START TRANSACTION;
INSERT INTO users (userid,alias,name,surname,passwd,url,autologin,autologout,lang,refresh,type,theme,rows_per_page) values ('1','Admin','Zabbix','Administrator','$2y$10$92nDno4n0Zm7Ej7Jfsz8WukBfgSS/U0QkIuu8WkJPihXBb2A1UrEK','','1','0','en_GB','30s','3','default','50');
INSERT INTO users (userid,alias,name,surname,passwd,url,autologin,autologout,lang,refresh,type,theme,rows_per_page) values ('2','guest','','','$2y$10$89otZrRNmde97rIyzclecuk6LwKAsHN0BcvoOKGjbT.BwMBfm7G06','','0','15m','en_GB','30s','1','default','50');
INSERT INTO hstgrp (groupid,name,internal,flags) values ('1','Templates','0','0');
INSERT INTO hstgrp (groupid,name,internal,flags) values ('2','Linux servers','0','0');
INSERT INTO hstgrp (groupid,name,internal,flags) values ('4','Zabbix servers','0','0');
INSERT INTO hstgrp (groupid,name,internal,flags) values ('5','Discovered hosts','1','0');
INSERT INTO hstgrp (groupid,name,internal,flags) values ('6','Virtual machines','0','0');
INSERT INTO hstgrp (groupid,name,internal,flags) values ('7','Hypervisors','0','0');
INSERT INTO hstgrp (groupid,name,internal,flags) values ('8','Templates/Modules','0','0');
INSERT INTO hstgrp (groupid,name,internal,flags) values ('9','Templates/Network devices','0','0');
INSERT INTO hstgrp (groupid,name,internal,flags) values ('10','Templates/Operating systems','0','0');
INSERT INTO hstgrp (groupid,name,internal,flags) values ('11','Templates/Server hardware','0','0');
INSERT INTO hstgrp (groupid,name,internal,flags) values ('12','Templates/Applications','0','0');
INSERT INTO hstgrp (groupid,name,internal,flags) values ('13','Templates/Databases','0','0');
INSERT INTO hstgrp (groupid,name,internal,flags) values ('14','Templates/Virtualization','0','0');
INSERT INTO drules (druleid,proxy_hostid,name,iprange,delay,status) values ('2',NULL,'Local network','192.168.0.1-254','1h','1');
INSERT INTO dchecks (dcheckid,druleid,type,key_,snmp_community,ports,snmpv3_securityname,snmpv3_securitylevel,snmpv3_authpassphrase,snmpv3_privpassphrase,uniq,snmpv3_authprotocol,snmpv3_privprotocol,snmpv3_contextname,host_source,name_source) values ('2','2','9','system.uname','','10050','','0','','','0','0','0','','1','0');
INSERT INTO media_type (mediatypeid,type,name,smtp_server,smtp_helo,smtp_email,exec_path,gsm_modem,username,passwd,status,smtp_port,smtp_security,smtp_verify_peer,smtp_verify_host,smtp_authentication,exec_params,maxsessions,maxattempts,attempt_interval,content_type,script,timeout,process_tags,show_event_menu,event_menu_url,event_menu_name,description) values ('1','0','Email','mail.example.com','example.com','zabbix@example.com','','','','','0','25','0','0','0','0','','1','3','10s','0','','30s','0','0','','','');
INSERT INTO media_type (mediatypeid,type,name,smtp_server,smtp_helo,smtp_email,exec_path,gsm_modem,username,passwd,status,smtp_port,smtp_security,smtp_verify_peer,smtp_verify_host,smtp_authentication,exec_params,maxsessions,maxattempts,attempt_interval,content_type,script,timeout,process_tags,show_event_menu,event_menu_url,event_menu_name,description) values ('3','2','SMS','','','','','/dev/ttyS0','','','0','25','0','0','0','0','','1','3','10s','1','','30s','0','0','','','');
INSERT INTO media_type (mediatypeid,type,name,smtp_server,smtp_helo,smtp_email,exec_path,gsm_modem,username,passwd,status,smtp_port,smtp_security,smtp_verify_peer,smtp_verify_host,smtp_authentication,exec_params,maxsessions,maxattempts,attempt_interval,content_type,script,timeout,process_tags,show_event_menu,event_menu_url,event_menu_name,description) values ('4','0','Email (HTML)','mail.example.com','example.com','zabbix@example.com','','','','','0','25','0','0','0','0','','1','3','10s','1','','30s','0','0','','','');
INSERT INTO media_type (mediatypeid,type,name,smtp_server,smtp_helo,smtp_email,exec_path,gsm_modem,username,passwd,status,smtp_port,smtp_security,smtp_verify_peer,smtp_verify_host,smtp_authentication,exec_params,maxsessions,maxattempts,attempt_interval,content_type,script,timeout,process_tags,show_event_menu,event_menu_url,event_menu_name,description) values ('5','4','Mattermost','','','','','','','','0','25','0','0','0','0','','1','1','10s','1',E'var SEVERITY_COLORS = [
    ''#97AAB3'', ''#7499FF'', ''#FFC859'',
    ''#FFA059'', ''#E97659'', ''#E45959''
];

var RESOLVE_COLOR = ''#009900'';

var SEND_MODE_HANDLERS = {
    alarm: handlerAlarm,
    event: handlerEvent
};

var EVENT_STATUS = {
    PROBLEM: ''PROBLEM'',
    UPDATE: ''UPDATE'',
    RESOLVE: ''OK''
};

if (!String.prototype.format) {
    String.prototype.format = function() {
        var args = arguments;

        return this.replace(/{(\\d+)}/g, function(match, number) {
            return number in args
                ? args[number]
                : match
            ;
        });
    };
}

function isEventProblem(params) {
    return params.event_value == 1
        && params.event_update_status == 0
    ;
}

function isEventUpdate(params) {
    return params.event_value == 1
        && params.event_update_status == 1
    ;
}

function isEventResolve(params) {
    return params.event_value == 0;
}

function getPermalink(mattermost_url, team_name, postid) {
    return ''{0}/{1}/pl/{2}''.format(
        mattermost_url.replace(/\\/+$/, ''''),
        team_name,
        postid
    );
}

function getChannel(send_to) {
    switch (true) {
        case /.+\\/#.+/.test(send_to):
            return getChannelByName(send_to);

        case /@.+/.test(send_to):
            return getDirectChannel(send_to);

        default:
            return getChannelByID(send_to);
    }
}

function getChannelByName(send_to) {
    var team_chan = send_to
        .trim()
        .split(''/#'');

    var resp = JSON.parse(req.Get(
        Mattermost.channel_byname.format(team_chan[0], team_chan[1]),
        JSON.stringify(fields)
    )
    );

    if (req.Status() != 200) {
        throw ''[{0}] {1}''.format(resp.status_code, resp.message);
    }

    return resp;
}

function getDirectChannel(send_to) {
    Zabbix.Log(5, ''[ Mattermost Webhook ] Call {0}({1})''.format(
        arguments.callee.name,
        JSON.stringify(arguments)
    ));

    var teamUser = send_to
            .trim()
            .split(''/@''),
        bot = getBotUser(),
        user = getUserByName(teamUser[1]);

    var resp = JSON.parse(req.Post(
        Mattermost.direct_channel,
        JSON.stringify([bot.id, user.id])
    )
    );

    Zabbix.Log(5, ''[ Mattermost Webhook ] Result {0}: {1}''.format(
        arguments.callee.name,
        JSON.stringify(resp)
    ));

    if (req.Status() != 201) {
        throw ''[{0}] {1}''.format(resp.status_code, resp.message);
    }

    resp.team_name = teamUser[0];

    return resp;
}

function getChannelByID(channelID) {
    Zabbix.Log(5, ''[ Mattermost Webhook ] Call {0}({1})''.format(
        arguments.callee.name,
        JSON.stringify(arguments)
    ));

    var resp = JSON.parse(req.Get(
        Mattermost.get_channel.format(channelID),
        JSON.stringify(fields)
    )
    );

    Zabbix.Log(5, ''[ Mattermost Webhook ] Result {0}: {1}''.format(
        arguments.callee.name,
        JSON.stringify(resp)
    ));

    if (req.Status() != 200) {
        throw ''[{0}] {1}''.format(resp.status_code, resp.message);
    }

    return resp;
}

function getBotUser() {
    Zabbix.Log(5, ''[ Mattermost Webhook ] Call {0}({1})''.format(
        arguments.callee.name,
        JSON.stringify(arguments)
    ));

    var resp = JSON.parse(req.Get(
        Mattermost.bot_user,
        JSON.stringify(fields)
    )
    );

    Zabbix.Log(5, ''[ Mattermost Webhook ] Result {0}: {1}''.format(
        arguments.callee.name,
        JSON.stringify(resp)
    ));

    if (req.Status() != 200) {
        throw ''[{0}] {1}''.format(resp.status_code, resp.message);
    }

    return resp;
}

function getUserByName(userName) {
    Zabbix.Log(5, ''[ Mattermost Webhook ] Call {0}({1})''.format(
        arguments.callee.name,
        JSON.stringify(arguments)
    ));

    var resp = JSON.parse(req.Get(
        Mattermost.format(userName),
        JSON.stringify(fields)
    )
    );

    Zabbix.Log(5, ''[ Mattermost Webhook ] Result {0}: {1}''.format(
        arguments.callee.name,
        JSON.stringify(resp)
    ));

    if (req.Status() != 200) {
        throw ''[{0}] {1}''.format(resp.status_code, resp.message);
    }

    return resp;
}

function getTeamByID(teamID) {
    Zabbix.Log(5, ''[ Mattermost Webhook ] Call {0}({1})''.format(
        arguments.callee.name,
        JSON.stringify(arguments)
    ));

    var resp = JSON.parse(req.Get(
        Mattermost.get_team.format(teamID),
        JSON.stringify(fields)
    )
    );

    Zabbix.Log(5, ''[ Mattermost Webhook ] Result {0}: {1}''.format(
        arguments.callee.name,
        JSON.stringify(resp)
    ));

    if (req.Status() != 200) {
        throw ''[{0}] {1}''.format(resp.status_code, resp.message);
    }

    return resp;
}

function createProblemURL(zabbix_url, triggerid, eventid) {
    var problem_url = ''{0}/tr_events.php?triggeriid{1}&eventid={2}''
        .format(
            zabbix_url,
            triggerid,
            eventid
        );

    return problem_url;
}

function getTagValue(event_tags, key) {
    var pattern = new RegExp(''('' + key + '':.+)'');
    var tagValue = event_tags
        .split('','')
        .filter(function (v) {
            return v.match(pattern);
        })
        .map(function (v) {
            return v.split('':'')[1];
        })[0]
        || 0;

    return tagValue;
}

function handlerAlarm(req, params) {
    var channel = getChannel(params.send_to);
    var fields = {
        channel_id: channel.id,
        props: {}
    };

    if (isEventProblem(params)) {
        var team_name = channel.team_name
            ? channel.team_name
            : getTeamByID(channel.team_id).name;

        fields.props.attachments = [
            createMessage(
                EVENT_STATUS.PROBLEM,
                SEVERITY_COLORS[params.event_nseverity] || 0,
                params.event_date,
                params.event_time,
                createProblemURL(params.zabbix_url, params.trigger_id, params.event_id)
            )
        ];

        var resp = JSON.parse(req.Post(
            Mattermost.post_message,
            JSON.stringify(fields)
        )
        );

        if (req.Status() != 201) {
            throw ''[{0}] {1}''.format(resp.status_code, resp.message);
        }

        result.tags.__mattermost_post_id = resp.id;
        result.tags.__mattermost_channel_id = channel.id;
        result.tags.__mattermost_channel_name = channel.name;
        result.tags.__mattermost_message_link = getPermalink(
            params.mattermost_url,
            team_name,
            resp.id
        );

    }
    else if (isEventUpdate(params)) {
        fields.root_id = getTagValue(params.event_tags, ''mattermost_post_id'');
        fields.message = params.event_update_message || '''';
        fields.props.attachments = [
            createMessage(
                EVENT_STATUS.UPDATE,
                SEVERITY_COLORS[params.event_nseverity] || 0,
                params.event_update_date,
                params.event_update_time,
                createProblemURL(params.zabbix_url, params.trigger_id, params.event_id),
                true
            )
        ];

        resp = JSON.parse(req.Post(
            Mattermost.post_message, JSON.stringify(fields)
        )
        );

        if (req.Status() != 201) {
            throw ''[{0}] {1}''.format(resp.status_code, resp.message);
        }

    }
    else if (isEventResolve(params)) {
        fields.channel_id = getTagValue(params.event_tags, ''mattermost_channel_id'');
        fields.id = getTagValue(params.event_tags, ''mattermost_post_id'');
        fields.props.attachments = [
            createMessage(
                EVENT_STATUS.RESOLVE,
                RESOLVE_COLOR,
                params.event_date,
                params.event_time,
                createProblemURL(params.zabbix_url, params.trigger_id, params.event_id)
            )
        ];

        var post_id = getTagValue(params.event_tags, ''mattermost_post_id'');

        resp = JSON.parse(req.Put(
            Mattermost.chat_update.format(post_id),
            JSON.stringify(fields)
        )
        );

        if (req.Status() != 200) {
            throw ''[{0}] {1}''.format(resp.status_code, resp.message);
        }
    }
}

function handlerEvent(req, params) {
    var channel = getChannel(params.send_to);
    var fields = {
        channel_id: channel.id,
        props: {}
    };

    if (isEventProblem(params)) {
        var team_name = channel.team_name
            ? channel.team_name
            : getTeamByID(channel.team_id).name;

        fields.props.attachments = [
            createMessage(
                EVENT_STATUS.PROBLEM,
                SEVERITY_COLORS[params.event_nseverity] || 0,
                params.event_date,
                params.event_time,
                createProblemURL(params.zabbix_url, params.trigger_id, params.event_id)
            )
        ];

        var resp = JSON.parse(req.Post(Mattermost.post_message, JSON.stringify(fields)));

        if (req.Status() != 201) {
            throw ''[{0}] {1}''.format(resp.status_code, resp.message);
        }

        result.tags.__mattermost_channel_name = channel.name;
        result.tags.__mattermost_message_link = getPermalink(
            params.mattermost_url,
            team_name,
            resp.id
        );

    }
    else if (isEventUpdate(params)) {
        fields.message = params.event_update_message || '''';
        fields.props.attachments = [
            createMessage(
                EVENT_STATUS.UPDATE,
                SEVERITY_COLORS[params.event_nseverity] || 0,
                params.event_update_date,
                params.event_update_time,
                createProblemURL(params.zabbix_url, params.trigger_id, params.event_id),
                false
            )
        ];

        resp = JSON.parse(req.Post(Mattermost.post_message, JSON.stringify(fields)));

        if (req.Status() != 201) {
            throw ''[{0}] {1}''.format(resp.status_code, resp.message);
        }

    }
    else if (isEventResolve(params)) {
        fields.props.attachments = [
            createMessage(
                EVENT_STATUS.RESOLVE,
                RESOLVE_COLOR,
                params.event_recovery_date,
                params.event_recovery_time,
                createProblemURL(params.zabbix_url, params.trigger_id, params.event_id)
            )
        ];

        resp = JSON.parse(req.Post(Mattermost.post_message, JSON.stringify(fields)));

        if (req.Status() != 201) {
            throw ''[{0}] {1}''.format(resp.status_code, resp.message);
        }
    }
}

function createMessage(
    status,
    event_severity_color,
    event_date,
    event_time,
    problem_url,
    isShort
) {
    var message = {
        fallbac: ''{0} #{1}: {2}''.format(status, params.event_id, params.event_name),
        title: ''{0} #{1}: {2}''.format(status, params.event_id, params.event_name),
        color: event_severity_color,
        title_link: problem_url,
        footer: problem_url,

        fields: [
            {
                title: ''Host'',
                value: ''{0} [{1}]''.format(params.host_name, params.host_ip),
                short: true
            },
            {
                title: ''Event time'',
                value: ''{0} {1}''.format(event_date, event_time),
                short: true
            },
            {
                title: ''Severity'',
                value: params.event_severity,
                short: true
            },
            {
                title: ''Opdata'',
                value: params.event_opdata,
                short: true
            }
        ],
    };

    if (!isShort) {
        message.fields.push(
            {
                title: ''Event tags'',
                value: ''`{0}`''.format(params.event_tags.replace(/__.+?:(.+?,|.+)/g, '''') || ''None''),
                short: true
            },
            {
                title: ''Trigger description'',
                value: params.trigger_description,
                short: true
            }
        );
    }

    return message;
}

function validateParams(params) {
    if (typeof params.bot_token !== ''string'' || params.bot_token.trim() === '''') {
        throw ''Field "bot_token" cannot be empty'';
    }

    if (isNaN(params.event_id)) {
        throw ''Field "event_id" is not a number'';
    }

    if ([0, 1, 2, 3, 4, 5].indexOf(parseInt(params.event_nseverity)) === -1) {
        throw ''Incorrect "event_nseverity" parameter given: '' + params.event_nseverity + ''\\nMust be 0-5.'';
    }

    if (typeof params.event_severity !== ''string'' || params.event_severity.trim() === '''') {
        throw ''Field "event_severity" cannot be empty'';
    }

    if (params.event_update_status !== ''0'' && params.event_update_status !== ''1'') {
        throw ''Incorrect "event_update_status" parameter given: '' + params.event_update_status + ''\\nMust be 0 or 1.'';
    }

    if (params.event_value !== ''0'' && params.event_value !== ''1'') {
        throw ''Incorrect "event_value" parameter given: '' + params.event_value + ''\\nMust be 0 or 1.'';
    }

    if (typeof params.host_ip !== ''string'' || params.host_ip.trim() === '''') {
        throw ''Field "host_ip" cannot be empty'';
    }

    if (typeof params.host_name !== ''string'' || params.host_name.trim() === '''') {
        throw ''Field "host_name" cannot be empty'';
    }

    if (typeof params.mattermost_url !== ''string'' || params.mattermost_url.trim() === '''') {
        throw ''Field "mattermost_url" cannot be empty'';
    }

    if (!/^(http|https):\\/\\/.+/.test(params.mattermost_url)) {
        throw ''Field "mattermost_url" must contain a schema'';
    }

    if ([''alarm'', ''event''].indexOf(params.send_mode) === -1) {
        throw ''Incorrect "send_mode" parameter given: '' + params.send_mode + ''\\nMust be "alarm" or "event".'';
    }

    if (typeof params.send_to !== ''string'' || params.send_to.trim() === '''') {
        throw ''Field "send_to" cannot be empty'';
    }

    if (isNaN(params.trigger_id)) {
        throw ''field "trigger_id" is not a number'';
    }

    if (typeof params.zabbix_url !== ''string'' || params.zabbix_url.trim() === '''') {
        throw ''Field "zabbix_url" cannot be empty'';
    }

    if (!/^(http|https):\\/\\/.+/.test(params.zabbix_url)) {
        throw ''Field "zabbix_url" must contain a schema'';
    }

}

try {
    var params = JSON.parse(value);

    validateParams(params);

    var req = new CurlHttpRequest(),
        fields = {},
        result = {tags: {}};

    if (typeof params.HTTPProxy === ''string'' && params.HTTPProxy.trim() !== '''') {
        req.SetProxy(params.HTTPProxy);
    }

    req.AddHeader(''Content-Type: application/json; charset=utf-8'');
    req.AddHeader(''Authorization: Bearer '' + params.bot_token);

    params.mattermost_url = params.mattermost_url.replace(/\\/+$/, '''');
    params.zabbix_url = params.zabbix_url.replace(/\\/+$/, '''');

    var APIEndpoint = params.mattermost_url + ''/api/v4/'';

    var Mattermost = {
        post_message: APIEndpoint + ''posts'',
        get_channel: APIEndpoint + ''channels/{0}'',
        get_team: APIEndpoint + ''teams/{0}'',
        chat_update: APIEndpoint + ''posts/{0}'',
        direct_channel: APIEndpoint + ''channels/direct'',
        channel_byname: APIEndpoint + ''teams/name/{0}/channels/name/{1}'',
        user_byname: APIEndpoint + ''users/username/{0}'',
        bot_user: APIEndpoint + ''users/me''

    };

    params.send_mode = params.send_mode.toLowerCase();
    params.send_mode = params.send_mode in SEND_MODE_HANDLERS
        ? params.send_mode
        : ''alarm'';

    SEND_MODE_HANDLERS[params.send_mode](req, params);

    return JSON.stringify(result);

}
catch (error) {
    Zabbix.Log(4, ''[ Mattermost Webhook ] Mattermost notification failed: '' + error);
    throw ''Mattermost notification failed: '' + error;
}','30s','1','1','{EVENT.TAGS.__mattermost_message_link}','Open in Mattermost: {EVENT.TAGS.__mattermost_channel_name}','');
INSERT INTO media_type (mediatypeid,type,name,smtp_server,smtp_helo,smtp_email,exec_path,gsm_modem,username,passwd,status,smtp_port,smtp_security,smtp_verify_peer,smtp_verify_host,smtp_authentication,exec_params,maxsessions,maxattempts,attempt_interval,content_type,script,timeout,process_tags,show_event_menu,event_menu_url,event_menu_name,description) values ('6','4','Opsgenie','','','','','','','','0','25','0','0','0','0','','1','3','10s','1','try {
    var result = {tags: {}},
        params = JSON.parse(value),
        req = new CurlHttpRequest(),
        fields = {},
        url = params.url,
        severity;

    if (typeof params.HTTPProxy === ''string'' && params.HTTPProxy.trim() !== '''') {
        req.SetProxy(params.HTTPProxy);
    }

    req.AddHeader(''Content-Type: application/json'');
    req.AddHeader(''Authorization: GenieKey '' + params.token);

    // Zabbix: 0 - Not classified, 1 - Information, 2 - Warning, 3 - Average, 4 - High, 5 - Disaster.
    // Opsgenie: P5 Informational, P4 Low, P3 Moderate, P2 High, P1 Critical.
    if ((params.severity == 0) || (params.severity == 1))
        severity = ''P5'';
    else if (params.severity == 2)
        severity = ''P4'';
    else if (params.severity == 3)
        severity = ''P3'';
    else if (params.severity == 4)
        severity = ''P2'';
    else if (params.severity == 5)
        severity = ''P1'';

    if ((params.eventvalue == 1) && (params.eventupdate == 0)) {
        fields.message = params.subject;
        fields.alias = params.eventid;
        fields.description = params.message;
        fields.details = {''Zabbix server'': params.zbxurl, Problem: params.zbxurl +
            ''/tr_events.php?triggerid='' + params.triggerid + ''&eventid='' + params.eventid};
        fields.source = ''Zabbix'';
        fields.priority = severity;
    }
    else if ((params.eventvalue == 1) && (params.eventupdate == 1)) {
        if (params.eventaction.includes(''acknowledged''))
            url = url + ''/'' + params.eventid + ''/acknowledge?identifierType=alias'' ;
        else
            url = url + ''/'' + params.eventid + ''/notes?identifierType=alias'';
        fields.user = params.user;
        fields.note = params.message;
    }
    else if (params.eventvalue == 0) {
        url = url + ''/'' + params.eventid + ''/close?identifierType=alias''
        fields.note = params.message;
    }

    var resp = req.Post(url,
        JSON.stringify(fields)
    );

    if (req.Status() != 202) {
        throw JSON.parse(resp).message;
    }

    resp = JSON.parse(resp);

    if ((params.eventvalue == 1) && (params.eventupdate == 0)) {
        url = params.url + ''/'' + params.eventid + ''?identifierType=alias'';
        resp = req.Get(url);
        resp = JSON.parse(resp);
        result.tags.opsgenie_issue_key = params.web + ''/alert/detail/'' + resp.data.id + ''/details'';
    }

}
catch (error) {
    Zabbix.Log(3, ''Opsgenie notification failed : '' + error);
    throw ''Opsgenie notification failed : '' + error;

}

return JSON.stringify(result);','30s','1','1','{EVENT.TAGS.opsgenie_issue_key}','Alert in Opsgenie','Please refer to https://docs.opsgenie.com/docs/alert-api and https://www.zabbix.com/documentation/current/manual/config/notifications/media/webhook#example_scripts.
  
Set global macro {$ZABBIX.URL} with your Zabbix server URL.
Add dedicated user with media type "Opsgenie".
Change the values of the variables url (https://api.opsgenie.com/v2/alerts or https://api.eu.opsgenie.com/v2/alerts),
web (for example, https://myzabbix.app.opsgenie.com), token.');
INSERT INTO media_type (mediatypeid,type,name,smtp_server,smtp_helo,smtp_email,exec_path,gsm_modem,username,passwd,status,smtp_port,smtp_security,smtp_verify_peer,smtp_verify_host,smtp_authentication,exec_params,maxsessions,maxattempts,attempt_interval,content_type,script,timeout,process_tags,show_event_menu,event_menu_url,event_menu_name,description) values ('7','4','PagerDuty','','','','','','','','0','25','0','0','0','0','','1','3','10s','1','try {

    var params = JSON.parse(value),
        req = new CurlHttpRequest(),
        fields = {},
        resp = '''';

    if (typeof params.HTTPProxy === ''string'' && params.HTTPProxy.trim() !== '''') {
        req.SetProxy(params.HTTPProxy);
    }

    if (isNaN(parseInt(params.eventid)) || params.eventid < 1) {
        throw ''incorrect value for variable "eventid". The value must be a positive number.'';
    }
    if (params.eventname.length < 1) {
        throw ''incorrect value for variable "eventname". The value must be a non-empty string.'';
    }
    if (params.hostname.length < 1) {
        throw ''incorrect value for variable "eventname". The value must be a non-empty string.'';
    }
    if (isNaN(parseInt(params.severity)) || (params.severity < 0 && params.severity > 5)) {
        throw ''incorrect value for variable "severity". The value must be a number 0..5.'';
    }
    if (isNaN(parseInt(params.triggerid)) || params.triggerid < 1) {
        throw ''incorrect value for variable "triggerid". The value must be a positive number.'';
    }
    if (params.eventack != ''Yes'' && params.eventack != ''No'') {
        throw ''incorrect value for variable "eventack". The value must be Yes or No.'';
    }
    if (isNaN(parseInt(params.eventupdate)) || (params.eventupdate < 0 || params.eventupdate > 1)) {
        throw ''incorrect value for variable "eventupdate". The value must be 0 or 1.'';
    }
    if (isNaN(parseInt(params.eventvalue)) || (params.eventvalue < 0 || params.eventvalue > 1)) {
        throw ''incorrect value for variable "eventvalue". The value must be 0 or 1.'';
    }

    // Correspondence between the PagerDuty and Zabbix severity level
    var severityMapping = [
        ''info'',    // Not classified
        ''info'',    // Information
        ''warning'', // Warning
        ''warning'', // Average
        ''error'',   // High
        ''critical'' // Disaster
    ];

    req.AddHeader(''Content-Type: application/json'');

    fields.routing_key = params.token;
    fields.dedup_key = params.eventid;

    if ((params.eventvalue == 1) && (params.eventupdate == 0)) {
        fields.event_action = ''trigger'';
        fields.payload = {
            summary: params.eventname,
            source: params.hostname + '' : '' + params.hostip,
            severity: severityMapping[params.severity],
            custom_details: {
                ''Event date'': params.eventdate,
                ''Event time'': params.eventtime,
                ''Trigger description'': params.triggerdesc,
                ''Trigger opdata'': params.triggeropdata,
                ''Event tags'': params.eventtags,
                ''Event host'': params.hostname,
                ''Event host ip'': params.hostip
            }
        };
        fields.links = [{
            href: params.url + ''/tr_events.php?triggerid='' + params.triggerid + ''&eventid='' + params.eventid,
            text: ''Event link''
        }];
        fields.client = ''Zabbix'';
        fields.client_url = params.url;
    }
    else if ((params.eventvalue == 1) && (params.eventupdate == 1) && (params.eventack == ''Yes''))
        fields.event_action = ''acknowledge'';
    else if (params.eventvalue == 0)
        fields.event_action = ''resolve'';
    else
        throw ''incorrect values. Update message without ack will not be sent.'';

    Zabbix.Log(4, ''[PagerDuty Webhook] Sending request:'' + JSON.stringify(fields));
    resp = req.Post(''https://events.pagerduty.com/v2/enqueue'',
        JSON.stringify(fields)
    );
    Zabbix.Log(4, ''[PagerDuty Webhook] Receiving response:'' + resp);

    try {
        resp = JSON.parse(resp);
    }
    catch (error) {
        throw ''incorrect response. PagerDuty returned a non-JSON object.'';
    }

    if (req.Status() != 202) {
        if (typeof resp === ''object'' && typeof resp.errors === ''object'' && typeof resp.errors[0] === ''string'') {
            throw resp.errors[0];
        }
        else {
            throw ''Unknown error.'';
        }
    }

    if (resp.status != ''success'') {
        throw ''Unknown error.'';
    }

    return ''OK'';
}
catch (error) {
    Zabbix.Log(3, ''[PagerDuty Webhook] Notification failed : '' + error);
    throw ''PagerDuty notification failed : '' + error;
}','30s','0','0','','','Please refer to https://v2.developer.pagerduty.com/docs/send-an-event-events-api-v2 and https://www.zabbix.com/documentation/current/manual/config/notifications/media/webhook#example_scripts.
  
Set global macro {$ZABBIX.URL} with your Zabbix server URL.
Add a dedicated user with the media type "PagerDuty" and place the integration key in the "token" parameter to integrate into the service.');
INSERT INTO media_type (mediatypeid,type,name,smtp_server,smtp_helo,smtp_email,exec_path,gsm_modem,username,passwd,status,smtp_port,smtp_security,smtp_verify_peer,smtp_verify_host,smtp_authentication,exec_params,maxsessions,maxattempts,attempt_interval,content_type,script,timeout,process_tags,show_event_menu,event_menu_url,event_menu_name,description) values ('8','4','Pushover','','','','','','','','0','25','0','0','0','0','','0','3','10s','1',E'try {
    var params = JSON.parse(value),
        request = new CurlHttpRequest(),
        data,
        response;

    if (typeof params.HTTPProxy === ''string'' && params.HTTPProxy.trim() !== '''') {
        request.SetProxy(params.HTTPProxy);
    }

    if (isNaN(params.priority) || params.priority < -2 || params.priority > 2) {
        throw ''field "priority" should be -2..2'';
    }

    if (isNaN(params.triggerid)) {
        throw ''field "triggerid" is not a number'';
    }

    if (isNaN(params.eventid)) {
        throw ''field "eventid" is not a number'';
    }

    if (typeof params.message !== ''string'' || params.message.trim() === '''') {
        throw ''field "message" cannot be empty'';
    }

    data = {
        token: params.token,
        user: params.user,
        title: params.title,
        message: params.message,
        url: params.url + ''/tr_events.php?triggerid='' + params.triggerid + ''&eventid='' + params.eventid,
        url_title: params.url_title,
        priority: params.priority
    };

    if (params.priority == 2) {
        if (isNaN(params.retry) || params.retry < 30) {
            throw ''field "retry" should be a number with value of at least 30 if "priority" is set to 2'';
        }

        if (isNaN(params.expire) || params.expire > 10800) {
            throw ''field "expire" should be a number with value of at most 10800 if "priority" is set to 2'';
        }

        data.retry = params.retry;
        data.expire = params.expire;
    }

    data = JSON.stringify(data);
    Zabbix.Log(4, ''[ Pushover Webhook ] Sending request: '' + params.endpoint + ''\\n'' + data);

    request.AddHeader(''Content-Type: application/json'');
    response = request.Post(params.endpoint, data);

    Zabbix.Log(4, ''[ Pushover Webhook ] Received response with status code '' + request.Status() + ''\\n'' + response);

    if (response !== null) {
        try {
            response = JSON.parse(response);
        }
        catch (error) {
            Zabbix.Log(4, ''[ Pushover Webhook ] Failed to parse response received from Pushover'');
            response = null;
        }
    }

    if (request.Status() != 200 || response === null || typeof response !== ''object'' || response.status !== 1) {
        if (response !== null && typeof response === ''object'' && typeof response.errors === ''object''
                && typeof response.errors[0] === ''string'') {
            throw response.errors[0];
        }
        else {
            throw ''Unknown error. Check debug log for more information.'';
        }
    }

    return ''OK'';
}
catch (error) {
    Zabbix.Log(4, ''[ Pushover Webhook ] Pushover notification failed: '' + error);
    throw ''Pushover notification failed: '' + error;
}','30s','0','0','','','Please refer to setup guide here: https://git.zabbix.com/projects/ZBX/repos/zabbix/browse/templates/media/pushover

Set token parameter with to your Pushover application key.
When assigning Pushover media to the Zabbix user - add user key into send to field.');
INSERT INTO media_type (mediatypeid,type,name,smtp_server,smtp_helo,smtp_email,exec_path,gsm_modem,username,passwd,status,smtp_port,smtp_security,smtp_verify_peer,smtp_verify_host,smtp_authentication,exec_params,maxsessions,maxattempts,attempt_interval,content_type,script,timeout,process_tags,show_event_menu,event_menu_url,event_menu_name,description) values ('9','4','Slack','','','','','','','','0','25','0','0','0','0','','1','3','10s','1',E'var SEVERITY_COLORS = [
    ''#97AAB3'', ''#7499FF'', ''#FFC859'',
    ''#FFA059'', ''#E97659'', ''#E45959''
];

var RESOLVE_COLOR = ''#009900'';

var SLACK_MODE_HANDLERS = {
    alarm: handlerAlarm,
    event: handlerEvent
};

var EVENT_STATUS = {
    PROBLEM: ''PROBLEM'',
    UPDATE: ''UPDATE'',
    RESOLVE: ''OK''
};

if (!String.prototype.format) {
    String.prototype.format = function() {
        var args = arguments;

        return this.replace(/{(\\d+)}/g, function(match, number) {
            return number in args
                ? args[number]
                : match
            ;
        });
    };
}

function isEventProblem(params) {
    return params.event_value == 1
        && params.event_update_status == 0
    ;
}

function isEventUpdate(params) {
    return params.event_value == 1
        && params.event_update_status == 1
    ;
}

function isEventResolve(params) {
    return params.event_value == 0;
}

function getPermalink(channelId, messageTimestamp) {
    var req = new CurlHttpRequest();

    req.AddHeader(''Content-Type: application/x-www-form-urlencoded; charset=utf-8'');

    var resp = JSON.parse(req.Get(
        ''{0}?token={1}&channel={2}&message_ts={3}''.format(
            Slack.getPermalink,
            params.bot_token,
            channelId,
            messageTimestamp
        )
    ));

    if (req.Status != 200 && !resp.ok) {
        throw resp.error;
    }

    return resp.permalink;
}

function createProblemURL(zabbix_url, triggerid, eventid) {
    var problem_url = ''{0}/tr_events.php?triggerid={1}&eventid={2}''
        .format(
            zabbix_url.replace(/\\/+$/, ''''),
            triggerid,
            eventid
        );

    return problem_url;
}

function getTagValue(event_tags, key) {
    var pattern = new RegExp(''('' + key + '':.+)'');
    var tag_value = event_tags
        .split('','')
        .filter(function (v) {
            return v.match(pattern);
        })
        .map(function (v) {
            return v.split('':'')[1];
        })[0]
        || 0;

    return tag_value;
}

function handlerAlarm(params) {
    var fields = {
        channel: params.channel,
        as_user: params.slack_as_user,
    };

    if (isEventProblem(params)) {
        fields.attachments = [
            createMessage(
                EVENT_STATUS.PROBLEM,
                SEVERITY_COLORS[params.event_nseverity] || 0,
                params.event_date,
                params.event_time,
                createProblemURL(params.zabbix_url, params.trigger_id, params.event_id)
            )
        ];

        var resp = JSON.parse(req.Post(Slack.postMessage, JSON.stringify(fields)));

        if (req.Status != 200 && !resp.ok) {
            throw resp.error;
        }

        result.tags.__message_ts = resp.ts;
        result.tags.__channel_id = resp.channel;
        result.tags.__channel_name = params.channel;
        result.tags.__message_link = getPermalink(resp.channel, resp.ts);
    }
    else if (isEventUpdate(params)) {
        fields.thread_ts = getTagValue(params.event_tags, ''message_ts'');
        fields.attachments = [
            createMessage(
                EVENT_STATUS.UPDATE,
                SEVERITY_COLORS[params.event_nseverity] || 0,
                params.event_update_date,
                params.event_update_time,
                createProblemURL(params.zabbix_url, params.trigger_id, params.event_id),
                true,
                params.event_update_message
            )
        ];

        resp = JSON.parse(req.Post(Slack.postMessage, JSON.stringify(fields)));
        if (req.Status != 200 && !resp.ok) {
            throw resp.error;
        }

    }
    else if (isEventResolve(params)) {
        fields.channel = getTagValue(params.event_tags, ''channel_id'');
        fields.text = '''';
        fields.ts = getTagValue(params.event_tags, ''message_ts'');
        fields.attachments = [
            createMessage(
                EVENT_STATUS.RESOLVE,
                RESOLVE_COLOR,
                params.event_date,
                params.event_time,
                createProblemURL(params.zabbix_url, params.trigger_id, params.event_id)
            )
        ];

        resp = JSON.parse(req.Post(Slack.chatUpdate, JSON.stringify(fields)));
        if (req.Status != 200 && !resp.ok) {
            throw resp.error;
        }
    }
}

function handlerEvent(params) {
    var fields = {
        channel: params.channel,
        as_user: params.slack_as_user
    };

    if (isEventProblem(params)) {
        fields.attachments = [
            createMessage(
                EVENT_STATUS.PROBLEM,
                SEVERITY_COLORS[params.event_nseverity] || 0,
                params.event_date,
                params.event_time,
                createProblemURL(params.zabbix_url, params.trigger_id, params.event_id)
            )
        ];

        var resp = JSON.parse(req.Post(Slack.postMessage, JSON.stringify(fields)));

        if (req.Status != 200 && !resp.ok) {
            throw resp.error;
        }

        result.tags.__channel_name = params.channel;
        result.tags.__message_link = getPermalink(resp.channel, resp.ts);

    }
    else if (isEventUpdate(params)) {
        fields.attachments = [
            createMessage(
                EVENT_STATUS.UPDATE,
                SEVERITY_COLORS[params.event_nseverity] || 0,
                params.event_update_date,
                params.event_update_time,
                createProblemURL(params.zabbix_url, params.trigger_id, params.event_id),
                false,
                params.event_update_message
            )
        ];

        resp = JSON.parse(req.Post(Slack.postMessage, JSON.stringify(fields)));

        if (req.Status != 200 && !resp.ok) {
            throw resp.error;
        }

    }
    else if (isEventResolve(params)) {
        fields.attachments = [
            createMessage(
                EVENT_STATUS.RESOLVE,
                RESOLVE_COLOR,
                params.event_recovery_date,
                params.event_recovery_time,
                createProblemURL(params.zabbix_url, params.trigger_id, params.event_id)
            )
        ];

        resp = JSON.parse(req.Post(Slack.postMessage, JSON.stringify(fields)));

        if (req.Status != 200 && !resp.ok) {
            throw resp.error;
        }
    }
}

function createMessage(
    status,
    event_severity_color,
    event_date,
    event_time,
    problem_url,
    isShort,
    messageText
) {
    var message = {
        fallback: ''{0}: {1}''.format(status, params.event_name),
        title: ''{0}: {1}''.format(status, params.event_name),
        color: event_severity_color,
        title_link: problem_url,
        pretext: messageText || '''',

        fields: [
            {
                title: ''Host'',
                value: ''{0} [{1}]''.format(params.host_name, params.host_ip),
                short: true
            },
            {
                title: ''Event time'',
                value: ''{0} {1}''.format(event_date, event_time),
                short: true
            },
            {
                title: ''Severity'',
                value: params.event_severity,
                short: true
            },
            {
                title: ''Opdata'',
                value: params.event_opdata,
                short: true
            }
        ],
    };

    if (!isShort) {
        message[''actions''] = [
            {
                type: ''button'',
                text: ''Open in Zabbix'',
                url: problem_url
            }
        ];

        message.fields.push(
            {
                title: ''Event tags'',
                value: params.event_tags.replace(/__.+?:(.+?,|.+)/g, '''') || ''None'',
                short: true
            },
            {
                title: ''Trigger description'',
                value: params.trigger_description,
                short: true
            }
        );
    }

    return message;
}

function validateParams(params) {
    if (typeof params.bot_token !== ''string'' || params.bot_token.trim() === '''') {
        throw ''Field "bot_token" cannot be empty'';
    }

    if (typeof params.channel !== ''string'' || params.channel.trim() === '''') {
        throw ''Field "channel" cannot be empty'';
    }

    if (isNaN(params.event_id)) {
        throw ''Field "event_id" is not a number'';
    }

    if (!~[0, 1, 2, 3, 4, 5].indexOf(parseInt(params.event_nseverity))) {
        throw ''Incorrect "event_nseverity" parameter given: '' + params.event_nseverity + ''\\nMust be 0-5.'';
    }

    if (typeof params.event_severity !== ''string'' || params.event_severity.trim() === '''') {
        throw ''Field "event_severity" cannot be empty'';
    }

    if (params.event_update_status !== ''0'' && params.event_update_status !== ''1'') {
        throw ''Incorrect "event_update_status" parameter given: '' + params.event_update_status + ''\\nMust be 0 or 1.'';
    }

    if (params.event_value !== ''0'' && params.event_value !== ''1'') {
        throw ''Incorrect "event_value" parameter given: '' + params.event_value + ''\\nMust be 0 or 1.'';
    }

    if (typeof params.host_ip !== ''string'' || params.host_ip.trim() === '''') {
        throw ''Field "host_ip" cannot be empty'';
    }

    if (typeof params.host_name !== ''string'' || params.host_name.trim() === '''') {
        throw ''Field "host_name" cannot be empty'';
    }

    if (!~[''true'', ''false''].indexOf(params.slack_as_user.toLowerCase())) {
        throw ''Incorrect "slack_as_user" parameter given: '' + params.slack_as_user + ''\\nMust be "true" or "false".'';
    }

    if (!~[''alarm'', ''event''].indexOf(params.slack_mode)) {
        throw ''Incorrect "slack_mode" parameter given: '' + params.slack_mode + ''\\nMust be "alarm" or "event".'';
    }

    if (isNaN(params.trigger_id)) {
        throw ''field "trigger_id" is not a number'';
    }

    if (typeof params.zabbix_url !== ''string'' || params.zabbix_url.trim() === '''') {
        throw ''Field "zabbix_url" cannot be empty'';
    }

    if (!/^(http|https):\\/\\/.+/.test(params.zabbix_url)) {
        throw ''Field "zabbix_url" must contain a schema'';
    }
}

try {
    var params = JSON.parse(value);

    validateParams(params);

    var req = new CurlHttpRequest(),
        result = {tags: {}};

    if (typeof params.HTTPProxy === ''string'' && params.HTTPProxy.trim() !== '''') {
        req.SetProxy(params.HTTPProxy);
    }

    req.AddHeader(''Content-Type: application/json; charset=utf-8'');
    req.AddHeader(''Authorization: Bearer '' + params.bot_token);

    var slack_endpoint = ''https://slack.com/api/'';

    var Slack = {
        postMessage: slack_endpoint + ''chat.postMessage'',
        getPermalink: slack_endpoint + ''chat.getPermalink'',
        chatUpdate: slack_endpoint + ''chat.update''
    };

    params.slack_mode = params.slack_mode.toLowerCase();
    params.slack_mode = params.slack_mode in SLACK_MODE_HANDLERS
        ? params.slack_mode
        : ''alarm'';

    SLACK_MODE_HANDLERS[params.slack_mode](params);

    return JSON.stringify(result);

}
catch (error) {
    Zabbix.Log(4, ''[ Mattermost Webhook ] Slack notification failed : '' + error);
    throw ''Slack notification failed : '' + error;
}','30s','1','1','{EVENT.TAGS.__message_link}','Open in Slack: {EVENT.TAGS.__channel_name}','');
INSERT INTO media_type (mediatypeid,type,name,smtp_server,smtp_helo,smtp_email,exec_path,gsm_modem,username,passwd,status,smtp_port,smtp_security,smtp_verify_peer,smtp_verify_host,smtp_authentication,exec_params,maxsessions,maxattempts,attempt_interval,content_type,script,timeout,process_tags,show_event_menu,event_menu_url,event_menu_name,description) values ('10','4','Discord','','','','','','','','0','25','0','0','0','0','','1','3','10s','1',E'var SEVERITY_COLORS = [
    ''#97AAB3'', // Not classified.
    ''#7499FF'', // Information.
    ''#FFC859'', // Warning.
    ''#FFA059'', // Average.
    ''#E97659'', // High.
    ''#E45959'', // Disaster.
    ''#009900''  // Resolved.
];

function stringTruncate(str, len) {
    return str.length > len ? str.substring(0, len - 3) + ''...'' : str;
}

try {
    Zabbix.Log(4, ''[ Discord Webhook ] Executed with params: '' + value);

    var params = JSON.parse(value);

    if (!params.discord_endpoint) {
        throw ''Cannot get discord_endpoint'';
    }
    else if (!params.discord_endpoint.startsWith(''https://discordapp.com/api/webhooks'')) {
        throw ''Invalid Discord webhook URL: '' + params.discord_endpoint;
    }
    else {
        params.discord_endpoint = params.discord_endpoint.replace(''/api/'', ''/api/v1000/'') + ''?wait=True'';
    }

    params.zabbix_url = (params.zabbix_url.endsWith(''/''))
        ? params.zabbix_url.slice(0, -1) : params.zabbix_url;

    if (!(params.event_value == 0 || params.event_value == 1)) {
        throw ''Incorrect "event_value" parameter given: '' + params.event_value + ''\\nMust be 0 or 1.'';
    }

    if (!(params.event_update_status == 0 || params.event_update_status == 1)) {
        throw ''Incorrect "event_update_status" parameter given: '' + params.event_update_status + ''\\nMust be 0 or 1.'';
    }

    if (params.event_value == 0) {
        params.event_nseverity = ''6'';
    }

    if (!SEVERITY_COLORS[params.event_nseverity]) {
        throw ''Incorrect "event_nseverity" parameter given: '' + params.event_nseverity + ''\\nMust be 0-5.'';
    }

    var color = parseInt(SEVERITY_COLORS[params.event_nseverity].replace(''#'', ''''), 16),
        fields = [],
        body = {
            embeds: [
                {
                    color: color || 0,
                    url: params.zabbix_url + ''/tr_events.php?triggerid='' +
                        params.trigger_id + ''&eventid='' + params.event_id
                }
            ]
        };

    // Default message from {ALERT.MESSAGE}.
    if (params.use_default_message.toLowerCase() == ''true'') {
        body.embeds[0].title = stringTruncate(params.alert_subject, 256);
        body.embeds[0].description = stringTruncate(params.alert_message, 2048);
    }
    else {
        fields.push(
            {
                name: ''Host'',
                value: params.host_name + '' ['' + params.host_ip + '']''
            }
        );

        // Resolved message.
        if (params.event_value == 0) {
            body.embeds[0].title = stringTruncate(''OK: '' + params.event_name, 256);
            fields.push(
                {
                    name: ''Revovery time'',
                    value: params.event_recovery_time + '' '' + params.event_recovery_date,
                    inline: ''True''
                }
            );
        }

        // Problem message.
        else if (params.event_update_status == 0) {
            body.embeds[0].title = stringTruncate(''PROBLEM: '' + params.event_name, 256);
            fields.push(
                {
                    name: ''Event time'',
                    value: params.event_time + '' '' + params.event_date,
                    inline: ''True''
                }
            );
        }

        // Update message.
        else if (params.event_update_status == 1) {
            body.embeds[0].title = stringTruncate(''UPDATE: '' + params.event_name, 256);
            body.embeds[0].description = params.event_update_user + '' '' + params.event_update_action + ''.'';

            if (params.event_update_message) {
                body.embeds[0].description += '' Comment:\\n>>> '' + params.event_update_message;
            }

            body.embeds[0].description = stringTruncate(body.embeds[0].description, 2048);

            fields.push(
                {
                    name: ''Event update time'',
                    value: params.event_update_time + '' '' + params.event_update_date,
                    inline: ''True''
                }
            );
        }

        fields.push(
            {
                name: ''Severity'',
                value: params.event_severity,
                inline: ''True''
            }
        );

        if (params.event_opdata) {
            fields.push(
                {
                    name: ''Operational data'',
                    value: stringTruncate(params.event_opdata, 1024),
                    inline: ''True''
                }
            );
        }

        if (params.event_value == 1 && params.event_update_status == 0 && params.trigger_description) {
            fields.push(
                {
                    name: ''Trigger description'',
                    value: stringTruncate(params.trigger_description, 1024)
                }
            );
        }

        body.embeds[0].footer = {
            text: ''Event ID: '' + params.event_id
        };

        if (params.event_tags) {
            body.embeds[0].footer.text += ''\\nEvent tags: '' + params.event_tags;
        }
        body.embeds[0].footer.text = stringTruncate(body.embeds[0].footer.text, 2048);
    }

    if (fields.length > 0) {
        body.embeds[0].fields = fields;
    }

    var req = new CurlHttpRequest();

    if (typeof params.HTTPProxy === ''string'' && params.HTTPProxy.trim() !== '''') {
        req.SetProxy(params.HTTPProxy);
    }

    req.AddHeader(''Content-Type: application/json'');

    var resp = req.Post(params.discord_endpoint, JSON.stringify(body)),
        data = JSON.parse(resp);

    Zabbix.Log(4, ''[ Discord Webhook ] JSON: '' + JSON.stringify(body));
    Zabbix.Log(4, ''[ Discord Webhook ] Response: '' + resp);

    if (data.id) {
        return resp;
    }
    else {
        var message = ((typeof data.message === ''string'') ? data.message : ''Unknown error'');

        Zabbix.Log(3, ''[ Discord Webhook ] FAILED with response: '' + resp);
        throw message + ''. For more details check zabbix server log.'';
    }
}
catch (error) {
    Zabbix.Log(3, ''[ Discord Webhook ] ERROR: '' + error);
    throw ''Sending failed: '' + error;
}','30s','0','0','','','');
INSERT INTO media_type (mediatypeid,type,name,smtp_server,smtp_helo,smtp_email,exec_path,gsm_modem,username,passwd,status,smtp_port,smtp_security,smtp_verify_peer,smtp_verify_host,smtp_authentication,exec_params,maxsessions,maxattempts,attempt_interval,content_type,script,timeout,process_tags,show_event_menu,event_menu_url,event_menu_name,description) values ('11','4','SIGNL4','','','','','','','','0','25','0','0','0','0','','1','3','10s','1',E'// SIGNL4 Webhook
try {
    var response,
        payload,
        params = JSON.parse(value),
        endpoint = ''https://connect.signl4.com/webhook/'',
        request = new CurlHttpRequest();

    if (typeof params.HTTPProxy === ''string'' && params.HTTPProxy.trim() !== '''') {
        request.SetProxy(params.HTTPProxy);
    }

    if (typeof params.teamsecret === ''string'' && params.teamsecret.trim() !== '''') {
        endpoint += params.teamsecret;
        delete params.teamsecret;
    }
    else {
        throw ''The team secret of your SIGNL4 team cannot be empty.'';
    }

    if (typeof params.Severity === ''string'' && params.Severity === ''{EVENT.SEVERITY}'') {
        params.Severity = ''Not classified'';
    }

    payload = JSON.stringify(params);
    Zabbix.Log(4, ''[ SIGNL4 Webhook ] Sending request: '' + payload);

    request.AddHeader(''Content-Type: application/json'');
    response = request.Post(endpoint, ''payload='' + payload);

    Zabbix.Log(4, ''[ SIGNL4 Webhook ] Received response with status code '' +
            request.Status() + ''\\n'' + response
    );

    if (request.Status() !== 201) {
        throw ''Request failed with status code '' + request.Status() +
                ''. Check debug log for more information.'';
    }

    return ''OK'';
}
catch (error) {
    Zabbix.Log(4, ''[ SIGNL4 Webhook ] ERROR: '' + error);

    throw ''Sending failed: '' + error;
}','30s','0','0','','','SIGNL4 is a mobile alert notification app for powerful alerting, alert management and mobile assignment of work items. It offers alerting via app push, SMS and voice calls including escalations, tracking, and duty scheduling.

Get the app at https://www.signl4.com.');
INSERT INTO media_type (mediatypeid,type,name,smtp_server,smtp_helo,smtp_email,exec_path,gsm_modem,username,passwd,status,smtp_port,smtp_security,smtp_verify_peer,smtp_verify_host,smtp_authentication,exec_params,maxsessions,maxattempts,attempt_interval,content_type,script,timeout,process_tags,show_event_menu,event_menu_url,event_menu_name,description) values ('12','4','Jira','','','','','','','','0','25','0','0','0','0','','1','3','10s','1',E'var Jira = {
    params: {},

    setParams: function (params) {
        if (typeof params !== ''object'') {
            return;
        }

        Jira.params = params;
        if (typeof Jira.params.url === ''string'') {
            if (!Jira.params.url.endsWith(''/'')) {
                Jira.params.url += ''/'';
            }

            Jira.params.url += ''rest/api/latest/'';
        }
    },

    setProxy: function (HTTPProxy) {
        Jira.HTTPProxy = HTTPProxy;
    },

    setTags: function(event_tags_json) {
        if (typeof event_tags_json !== ''undefined'' && event_tags_json !== ''''
            && event_tags_json !== ''{EVENT.TAGSJSON}'') {
            try {
                var tags = JSON.parse(event_tags_json),
                    label;

                Jira.labels = [];

                tags.forEach(function (tag) {
                    if (typeof tag.tag !== ''undefined'' && typeof tag.value !== ''undefined'' ) {
                        label = (tag.tag + (tag.value ? ('':'' + tag.value) : '''')).replace(/\\s/g, ''_'');
                        if (label.length < 256) {
                            Jira.labels.push(label);
                        }
                    }
                });
            }
            catch (error) {
                // Code is not missing here.
            }
        }
    },

    escapeMarkup: function (str) {
        var length = str.length,
            result = '''',
            markup = [''{'', ''|'', ''}'', ''~'', ''_'', ''\\\\'', ''['', '']'', ''^'', ''<'', ''>'', ''?'', ''!'', ''#'', ''+'', ''*'', ''&''];

        for (var i = 0; i < length; i++) {
            var char = str[i];

            result += (markup.indexOf(char) !== -1) ? (''&#'' + str[i].charCodeAt() + '';'') : char;
        }

        return result;
    },

    addCustomFields: function (data, fields) {
        if (typeof fields === ''object'' && Object.keys(fields).length) {
            var schema = Jira.getSchema(),
                path = [''projects'', 0, ''issuetypes'', 0, ''fields''],
                field;

            while ((field = path.shift()) !== undefined) {
                schema = schema[field];
                if (typeof schema === ''undefined'') {
                    schema = null;
                    break;
                }
            }

            if (schema) {
                Object.keys(fields)
                    .forEach(function(field) {
                        data.fields[field] = fields[field];

                        if (typeof schema[field] === ''object'' && typeof schema[field].schema === ''object''
                            && (schema[field].schema.type === ''number'' || schema[field].schema.type === ''datetime'')) {
                            switch (schema[field].schema.type) {
                                case ''number'':
                                    data.fields[field] = parseInt(fields[field]);
                                    break;

                                case ''datetime'':
                                    if (fields[field].match(/\\d+[.-]\\d+[.-]\\d+T\\d+:\\d+:\\d+/) !== null) {
                                        data.fields[field] = fields[field].replace(/\\./g, ''-'');
                                    }
                                    else {
                                        delete data.fields[field];
                                    }
                                    break;
                            }
                        }
                    });
            }
            else {
                Zabbix.Log(4, ''[ Jira Webhook ] Failed to retrieve field schema.'');
            }
        }

        return data;
    },

    request: function (method, query, data) {
        [''url'', ''user'', ''password'', ''project_key'', ''issue_type''].forEach(function (field) {
            if (typeof Jira.params !== ''object'' || typeof Jira.params[field] === ''undefined''
                || Jira.params[field] === '''' ) {
                throw ''Required Jira param is not set: "'' + field + ''".'';
            }
        });

        var response,
            url = Jira.params.url + query,
            request = new CurlHttpRequest();

        request.AddHeader(''Content-Type: application/json'');
        request.AddHeader(''Authorization: Basic '' + btoa(Jira.params.user + '':'' + Jira.params.password));

        if (typeof Jira.HTTPProxy !== ''undefined'' && Jira.HTTPProxy !== '''') {
            request.SetProxy(Jira.HTTPProxy);
        }

        if (typeof data !== ''undefined'') {
            data = JSON.stringify(data);
        }

        Zabbix.Log(4, ''[ Jira Webhook ] Sending request: '' + url + ((typeof data === ''string'') ? (''\\n'' + data) : ''''));

        switch (method) {
            case ''get'':
                response = request.Get(url, data);
                break;

            case ''post'':
                response = request.Post(url, data);
                break;

            case ''put'':
                response = request.Put(url, data);
                break;

            default:
                throw ''Unsupported HTTP request method: '' + method;
        }

        Zabbix.Log(4, ''[ Jira Webhook ] Received response with status code '' + request.Status() + ''\\n'' + response);

        if (response !== null) {
            try {
                response = JSON.parse(response);
            }
            catch (error) {
                Zabbix.Log(4, ''[ Jira Webhook ] Failed to parse response received from Jira'');
                response = null;
            }
        }

        if (request.Status() < 200 || request.Status() >= 300) {
            var message = ''Request failed with status code '' + request.Status();

            if (response !== null && typeof response.errors !== ''undefined''
                && Object.keys(response.errors).length > 0) {
                message += '': '' + JSON.stringify(response.errors);
            }
            else if (response !== null && typeof response.errorMessages !== ''undefined''
                && Object.keys(response.errorMessages).length > 0) {
                message += '': '' + JSON.stringify(response.errorMessages);
            }

            throw message + '' Check debug log for more information.'';
        }

        return {
            status: request.Status(),
            response: response
        };
    },

    getSchema: function() {
        var result = Jira.request(''get'', ''issue/createmeta?expand=projects.issuetypes.fields&projectKeys='' +
                Jira.params.project_key + ''&issuetypeNames='' + Jira.params.issue_type);

        return result.response;
    },

    createIssue: function(summary, description, fields) {
        var data = {
            fields: {
                project: {
                    key: Jira.params.project_key
                },
                issuetype: {
                    name: Jira.params.issue_type
                },
                summary: summary,
                description: description
            }
        };

        if (Jira.labels && Jira.labels.length > 0) {
            data.fields.labels = Jira.labels;
        }
        var result = Jira.request(''post'', ''issue'', Jira.addCustomFields(data, fields));

        if (typeof result.response !== ''object'' || typeof result.response.key === ''undefined'') {
            throw ''Cannot create Jira issue. Check debug log for more information.'';
        }

        return result.response.key;
    },

    updateIssue: function(summary, fields, update) {
        var data = {fields: {}};

        if (summary) {
            data.fields.summary = summary;
        }

        Jira.request(''put'', ''issue/'' + Jira.params.issue_key, Jira.addCustomFields(data, fields));
        Jira.commentIssue(update);
    },

    commentIssue: function(update) {
        var data = {};

        if (typeof update === ''string'') {
            data.body = update;
            Jira.request(''post'', ''issue/'' + Jira.params.issue_key + ''/comment'', data);
        }
        else if (update.status === ''1'') {
            data.body = update.user + '' '' + update.action + ''.'';

            if (update.message) {
                data.body += ''\\nMessage: {quote}'' + Jira.escapeMarkup(update.message) + ''{quote}'';
            }

            Jira.request(''post'', ''issue/'' + Jira.params.issue_key + ''/comment'', data);
        }
    }
};

try {
    var params = JSON.parse(value),
        fields = {},
        jira = {},
        update = {},
        result = {tags: {}},
        required_params = [''alert_subject'', ''summary'', ''event_recovery_value'', ''event_source'', ''event_value''];

    Object.keys(params)
        .forEach(function (key) {
            if (key.startsWith(''jira_'')) {
                jira[key.substring(5)] = params[key];
            }
            else if (key.startsWith(''customfield_'')) {
                fields[key] = params[key];
            }
            else if (key.startsWith(''event_update_'')) {
                update[key.substring(13)] = params[key];
            }
            else if (required_params.indexOf(key) !== -1 && params[key] === '''') {
                throw ''Parameter "'' + key + ''" can\\''t be empty.'';
            }
        });

    if ([0, 1, 2, 3].indexOf(parseInt(params.event_source)) === -1) {
        throw ''Incorrect "event_source" parameter given: '' + params.event_source + ''\\nMust be 0-3.'';
    }

    // Check {EVENT.VALUE} for trigger-based and internal events.
    if (params.event_value !== ''0'' && params.event_value !== ''1''
        && (params.event_source === ''0'' || params.event_source === ''3'')) {
        throw ''Incorrect "event_value" parameter given: '' + params.event_value + ''\\nMust be 0 or 1.'';
    }

    // Check {EVENT.UPDATE.STATUS} only for trigger-based events.
    if (params.event_update_status !== ''0'' && params.event_update_status !== ''1'' && params.event_source === ''0'') {
        throw ''Incorrect "event_update_status" parameter given: '' + params.event_update_status + ''\\nMust be 0 or 1.'';
    }

    if (params.event_source !== ''0'' && params.event_recovery_value === ''0'') {
        throw ''Recovery operations are supported only for trigger-based actions.'';
    }

    Jira.setParams(jira);
    Jira.setProxy(params.HTTPProxy);
    Jira.setTags(params.event_tags_json);

    // Create issue for non trigger-based events.
    if (params.event_source !== ''0'' && params.event_recovery_value !== ''0'') {
        Jira.createIssue(params.alert_subject, params.alert_message);
    }
    // Create issue for trigger-based events.
    else if (params.event_value === ''1'' && update.status === ''0'' && !jira.issue_key.startsWith(jira.project_key)) {
        var key = Jira.createIssue(params.alert_subject,
            (Object.keys(fields).length ? params.trigger_description : params.alert_message), fields);


        result.tags.__zbx_jira_issuekey = key;
        result.tags.__zbx_jira_issuelink = params.jira_url +
            (params.jira_url.endsWith(''/'') ? '''' : ''/'') + ''browse/'' + key;
    }
    // Update created issue for trigger-based event.
    else {
        if (!jira.issue_key.startsWith(jira.project_key)) {
            throw ''Incorrect Issue key given: '' + jira.issue_key;
        }
        Jira.updateIssue(params.alert_subject, fields,
            ((params.event_value === ''0'' && !Object.keys(fields).length)
                ? params.alert_message : update));
    }

    return JSON.stringify(result);
}
catch (error) {
    Zabbix.Log(3, ''[ Jira Webhook ] ERROR: '' + error);
    throw ''Sending failed: '' + error;
}','30s','1','1','{EVENT.TAGS.__zbx_jira_issuelink}','Jira: {EVENT.TAGS.__zbx_jira_issuekey}','');
INSERT INTO media_type (mediatypeid,type,name,smtp_server,smtp_helo,smtp_email,exec_path,gsm_modem,username,passwd,status,smtp_port,smtp_security,smtp_verify_peer,smtp_verify_host,smtp_authentication,exec_params,maxsessions,maxattempts,attempt_interval,content_type,script,timeout,process_tags,show_event_menu,event_menu_url,event_menu_name,description) values ('13','4','Jira with CustomFields','','','','','','','','0','25','0','0','0','0','','1','3','10s','1',E'var Jira = {
    params: {},

    setParams: function (params) {
        if (typeof params !== ''object'') {
            return;
        }

        Jira.params = params;
        if (typeof Jira.params.url === ''string'') {
            if (!Jira.params.url.endsWith(''/'')) {
                Jira.params.url += ''/'';
            }

            Jira.params.url += ''rest/api/latest/'';
        }
    },

    setProxy: function (HTTPProxy) {
        Jira.HTTPProxy = HTTPProxy;
    },

    setTags: function(event_tags_json) {
        if (typeof event_tags_json !== ''undefined'' && event_tags_json !== ''''
            && event_tags_json !== ''{EVENT.TAGSJSON}'') {
            try {
                var tags = JSON.parse(event_tags_json),
                    label;

                Jira.labels = [];

                tags.forEach(function (tag) {
                    if (typeof tag.tag !== ''undefined'' && typeof tag.value !== ''undefined'' ) {
                        label = (tag.tag + (tag.value ? ('':'' + tag.value) : '''')).replace(/\\s/g, ''_'');
                        if (label.length < 256) {
                            Jira.labels.push(label);
                        }
                    }
                });
            }
            catch (error) {
                // Code is not missing here.
            }
        }
    },

    escapeMarkup: function (str) {
        var length = str.length,
            result = '''',
            markup = [''{'', ''|'', ''}'', ''~'', ''_'', ''\\\\'', ''['', '']'', ''^'', ''<'', ''>'', ''?'', ''!'', ''#'', ''+'', ''*'', ''&''];

        for (var i = 0; i < length; i++) {
            var char = str[i];

            result += (markup.indexOf(char) !== -1) ? (''&#'' + str[i].charCodeAt() + '';'') : char;
        }

        return result;
    },

    addCustomFields: function (data, fields) {
        if (typeof fields === ''object'' && Object.keys(fields).length) {
            var schema = Jira.getSchema(),
                path = [''projects'', 0, ''issuetypes'', 0, ''fields''],
                field;

            while ((field = path.shift()) !== undefined) {
                schema = schema[field];
                if (typeof schema === ''undefined'') {
                    schema = null;
                    break;
                }
            }

            if (schema) {
                Object.keys(fields)
                    .forEach(function(field) {
                        data.fields[field] = fields[field];

                        if (typeof schema[field] === ''object'' && typeof schema[field].schema === ''object''
                            && (schema[field].schema.type === ''number'' || schema[field].schema.type === ''datetime'')) {
                            switch (schema[field].schema.type) {
                                case ''number'':
                                    data.fields[field] = parseInt(fields[field]);
                                    break;

                                case ''datetime'':
                                    if (fields[field].match(/\\d+[.-]\\d+[.-]\\d+T\\d+:\\d+:\\d+/) !== null) {
                                        data.fields[field] = fields[field].replace(/\\./g, ''-'');
                                    }
                                    else {
                                        delete data.fields[field];
                                    }
                                    break;
                            }
                        }
                    });
            }
            else {
                Zabbix.Log(4, ''[ Jira Webhook ] Failed to retrieve field schema.'');
            }
        }

        return data;
    },

    request: function (method, query, data) {
        [''url'', ''user'', ''password'', ''project_key'', ''issue_type''].forEach(function (field) {
            if (typeof Jira.params !== ''object'' || typeof Jira.params[field] === ''undefined''
                || Jira.params[field] === '''' ) {
                throw ''Required Jira param is not set: "'' + field + ''".'';
            }
        });

        var response,
            url = Jira.params.url + query,
            request = new CurlHttpRequest();

        request.AddHeader(''Content-Type: application/json'');
        request.AddHeader(''Authorization: Basic '' + btoa(Jira.params.user + '':'' + Jira.params.password));

        if (typeof Jira.HTTPProxy !== ''undefined'' && Jira.HTTPProxy !== '''') {
            request.SetProxy(Jira.HTTPProxy);
        }

        if (typeof data !== ''undefined'') {
            data = JSON.stringify(data);
        }

        Zabbix.Log(4, ''[ Jira Webhook ] Sending request: '' + url + ((typeof data === ''string'') ? (''\\n'' + data) : ''''));

        switch (method) {
            case ''get'':
                response = request.Get(url, data);
                break;

            case ''post'':
                response = request.Post(url, data);
                break;

            case ''put'':
                response = request.Put(url, data);
                break;

            default:
                throw ''Unsupported HTTP request method: '' + method;
        }

        Zabbix.Log(4, ''[ Jira Webhook ] Received response with status code '' + request.Status() + ''\\n'' + response);

        if (response !== null) {
            try {
                response = JSON.parse(response);
            }
            catch (error) {
                Zabbix.Log(4, ''[ Jira Webhook ] Failed to parse response received from Jira'');
                response = null;
            }
        }

        if (request.Status() < 200 || request.Status() >= 300) {
            var message = ''Request failed with status code '' + request.Status();

            if (response !== null && typeof response.errors !== ''undefined''
                && Object.keys(response.errors).length > 0) {
                message += '': '' + JSON.stringify(response.errors);
            }
            else if (response !== null && typeof response.errorMessages !== ''undefined''
                && Object.keys(response.errorMessages).length > 0) {
                message += '': '' + JSON.stringify(response.errorMessages);
            }

            throw message + '' Check debug log for more information.'';
        }

        return {
            status: request.Status(),
            response: response
        };
    },

    getSchema: function() {
        var result = Jira.request(''get'', ''issue/createmeta?expand=projects.issuetypes.fields&projectKeys='' +
                Jira.params.project_key + ''&issuetypeNames='' + Jira.params.issue_type);

        return result.response;
    },

    createIssue: function(summary, description, fields) {
        var data = {
            fields: {
                project: {
                    key: Jira.params.project_key
                },
                issuetype: {
                    name: Jira.params.issue_type
                },
                summary: summary,
                description: description
            }
        };

        if (Jira.labels && Jira.labels.length > 0) {
            data.fields.labels = Jira.labels;
        }
        var result = Jira.request(''post'', ''issue'', Jira.addCustomFields(data, fields));

        if (typeof result.response !== ''object'' || typeof result.response.key === ''undefined'') {
            throw ''Cannot create Jira issue. Check debug log for more information.'';
        }

        return result.response.key;
    },

    updateIssue: function(summary, fields, update) {
        var data = {fields: {}};

        if (summary) {
            data.fields.summary = summary;
        }

        Jira.request(''put'', ''issue/'' + Jira.params.issue_key, Jira.addCustomFields(data, fields));
        Jira.commentIssue(update);
    },

    commentIssue: function(update) {
        var data = {};

        if (typeof update === ''string'') {
            data.body = update;
            Jira.request(''post'', ''issue/'' + Jira.params.issue_key + ''/comment'', data);
        }
        else if (update.status === ''1'') {
            data.body = update.user + '' '' + update.action + ''.'';

            if (update.message) {
                data.body += ''\\nMessage: {quote}'' + Jira.escapeMarkup(update.message) + ''{quote}'';
            }

            Jira.request(''post'', ''issue/'' + Jira.params.issue_key + ''/comment'', data);
        }
    }
};

try {
    var params = JSON.parse(value),
        fields = {},
        jira = {},
        update = {},
        result = {tags: {}},
        required_params = [''alert_subject'', ''summary'', ''event_recovery_value'', ''event_source'', ''event_value''];

    Object.keys(params)
        .forEach(function (key) {
            if (key.startsWith(''jira_'')) {
                jira[key.substring(5)] = params[key];
            }
            else if (key.startsWith(''customfield_'')) {
                fields[key] = params[key];
            }
            else if (key.startsWith(''event_update_'')) {
                update[key.substring(13)] = params[key];
            }
            else if (required_params.indexOf(key) !== -1 && params[key] === '''') {
                throw ''Parameter "'' + key + ''" can\\''t be empty.'';
            }
        });

    if ([0, 1, 2, 3].indexOf(parseInt(params.event_source)) === -1) {
        throw ''Incorrect "event_source" parameter given: '' + params.event_source + ''\\nMust be 0-3.'';
    }

    // Check {EVENT.VALUE} for trigger-based and internal events.
    if (params.event_value !== ''0'' && params.event_value !== ''1''
        && (params.event_source === ''0'' || params.event_source === ''3'')) {
        throw ''Incorrect "event_value" parameter given: '' + params.event_value + ''\\nMust be 0 or 1.'';
    }

    // Check {EVENT.UPDATE.STATUS} only for trigger-based events.
    if (params.event_update_status !== ''0'' && params.event_update_status !== ''1'' && params.event_source === ''0'') {
        throw ''Incorrect "event_update_status" parameter given: '' + params.event_update_status + ''\\nMust be 0 or 1.'';
    }

    if (params.event_source !== ''0'' && params.event_recovery_value === ''0'') {
        throw ''Recovery operations are supported only for trigger-based actions.'';
    }

    Jira.setParams(jira);
    Jira.setProxy(params.HTTPProxy);
    Jira.setTags(params.event_tags_json);

    // Create issue for non trigger-based events.
    if (params.event_source !== ''0'' && params.event_recovery_value !== ''0'') {
        Jira.createIssue(params.alert_subject, params.alert_message);
    }
    // Create issue for trigger-based events.
    else if (params.event_value === ''1'' && update.status === ''0'' && !jira.issue_key.startsWith(jira.project_key)) {
        var key = Jira.createIssue(params.alert_subject,
            (Object.keys(fields).length ? params.trigger_description : params.alert_message), fields);


        result.tags.__zbx_jira_issuekey = key;
        result.tags.__zbx_jira_issuelink = params.jira_url +
            (params.jira_url.endsWith(''/'') ? '''' : ''/'') + ''browse/'' + key;
    }
    // Update created issue for trigger-based event.
    else {
        if (!jira.issue_key.startsWith(jira.project_key)) {
            throw ''Incorrect Issue key given: '' + jira.issue_key;
        }
        Jira.updateIssue(params.alert_subject, fields,
            ((params.event_value === ''0'' && !Object.keys(fields).length)
                ? params.alert_message : update));
    }

    return JSON.stringify(result);
}
catch (error) {
    Zabbix.Log(3, ''[ Jira Webhook ] ERROR: '' + error);
    throw ''Sending failed: '' + error;
}','30s','1','1','{EVENT.TAGS.__zbx_jira_issuelink}','Jira: {EVENT.TAGS.__zbx_jira_issuekey}','');
INSERT INTO media_type (mediatypeid,type,name,smtp_server,smtp_helo,smtp_email,exec_path,gsm_modem,username,passwd,status,smtp_port,smtp_security,smtp_verify_peer,smtp_verify_host,smtp_authentication,exec_params,maxsessions,maxattempts,attempt_interval,content_type,script,timeout,process_tags,show_event_menu,event_menu_url,event_menu_name,description) values ('14','4','MS Teams','','','','','','','','0','25','0','0','0','0','','1','3','10s','1',E'var SEVERITY_COLORS = [
    ''#97AAB3'', // Not classified.
    ''#7499FF'', // Information.
    ''#FFC859'', // Warning.
    ''#FFA059'', // Average.
    ''#E97659'', // High.
    ''#E45959'', // Disaster.
    ''#009900'', // Resolved.
    ''#000000''  // Default.
];

try {
    var params = JSON.parse(value);

    if (!params.teams_endpoint) {
        throw ''Cannot get teams_endpoint'';
    }
    else if (!params.teams_endpoint.startsWith(''https://outlook.office.com/webhook/'')) {
        throw ''Invalid MS Teams webhook URL: '' + params.teams_endpoint;
    }

    params.zabbix_url = (params.zabbix_url.endsWith(''/''))
        ? params.zabbix_url.slice(0, -1) : params.zabbix_url;

    if ([0, 1, 2, 3].indexOf(parseInt(params.event_source)) === -1) {
        throw ''Incorrect "event_source" parameter given: "'' + params.event_source + ''".\\nMust be 0-3.'';
    }

    // Set "use_default_message" to true for non trigger-based events.
    if (params.event_source !== ''0'') {
        params.use_default_message = ''true'';
    }

    // Check {EVENT.VALUE} for trigger-based and internal events.
    if (params.event_value !== ''0'' && params.event_value !== ''1''
        && (params.event_source === ''0'' || params.event_source === ''3'')) {
        throw ''Incorrect "event_value" parameter given: "'' + params.event_value + ''".\\nMust be 0 or 1.'';
    }

    // Check {EVENT.UPDATE.STATUS} only for trigger-based events.
    if (params.event_update_status !== ''0'' && params.event_update_status !== ''1'' && params.event_source === ''0'') {
        throw ''Incorrect "event_update_status" parameter given: "'' + params.event_update_status + ''".\\nMust be 0 or 1.'';
    }

    if (params.event_value == 0) {
        params.event_nseverity = ''6'';
    }

    if (!SEVERITY_COLORS[params.event_nseverity]) {
        params.event_nseverity = ''7'';
    }

    var request = new CurlHttpRequest(),
        facts = [],
        body = {
            themeColor: SEVERITY_COLORS[params.event_nseverity].replace(''#'', ''''),
            summary: ''Zabbix'',
            sections: [
                {
                    markdown: ''false'',
                    activityTitle: params.alert_subject,
                    activitySubtitle: ''On '' + params.host_name + '' ['' + params.host_ip + '']'',
                    text: (params.use_default_message.toLowerCase() == ''true'')
                        ? params.alert_message
                        : params.trigger_description
                }
            ],
            potentialAction: [
                {
                    ''@type'': ''OpenUri'',
                    name: (params.event_source === ''0'')
                        ? ''Event Info''
                        : ''Zabbix Home'',
                    targets: [
                        {
                            os: ''default'',
                            uri: (params.event_source === ''0'')
                                ? params.zabbix_url + ''/tr_events.php?triggerid='' +
                                    params.trigger_id + ''&eventid='' + params.event_id
                                : params.zabbix_url
                        }
                    ]
                }
            ]
        };

    if (params.use_default_message.toLowerCase() !== ''true'') {
        // Problem message.
        if (params.event_value === ''1'' && params.event_update_status === ''0'') {
            facts.push({
                name: ''Event time'',
                value: params.event_time + '' '' + params.event_date
            });
        }
        // Update message.
        else if (params.event_update_status === ''1'') {
            body.sections[0].text = params.event_update_user + '' '' + params.event_update_action + ''.'';

            if (params.event_update_message) {
                body.sections[0].text += ''<br>Message:<br>'' + params.event_update_message;
            }

            facts.push({
                name: ''Event update time'',
                value: params.event_update_time + '' '' + params.event_update_date
            });
        }
        // Resolved message.
        else {
            facts.push({
                name: ''Revovery time'',
                value: params.event_recovery_time + '' '' + params.event_recovery_date
            });
        }

        if (params.event_severity && params.event_severity !== ''{EVENT.SEVERITY}'') {
            facts.push({
                name: ''Severity'',
                value: params.event_severity
            });
        }


        if (params.event_opdata && params.event_opdata !== ''{EVENT.OPDATA}'') {
            facts.push({
                name: ''Operational data'',
                value: params.event_opdata
            });
        }

        if (params.event_tags && params.event_tags !== ''{EVENT.TAGS}'') {
            facts.push({
                name: ''Event tags'',
                value: params.event_tags
            });
        }

        body.sections[0].facts = facts;
    }

    body.sections[0].text = body.sections[0].text.replace(/(?:\\r\\n|\\r|\\n)/g, ''<br>'');

    request.AddHeader(''Content-Type: application/json'');

    if (typeof params.HTTPProxy === ''string'' && params.HTTPProxy !== '''') {
        request.SetProxy(params.HTTPProxy);
    }

    Zabbix.Log(4, ''[ MS Teams Webhook ] JSON: '' + JSON.stringify(body));

    var response = request.Post(params.teams_endpoint, JSON.stringify(body));

    Zabbix.Log(4, ''[ MS Teams Webhook ] Response: '' + response);

    if (response === ''1'') {
        return ''OK'';
    }
    else {
        Zabbix.Log(4, ''[ MS Teams Webhook ] FAILED with response: '' + response);
        throw response;
    }
}
catch (error) {
    Zabbix.Log(3, ''[ MS Teams Webhook ] ERROR: '' + error);
    throw ''Sending failed: '' + error;
}','30s','0','0','','','');
INSERT INTO media_type (mediatypeid,type,name,smtp_server,smtp_helo,smtp_email,exec_path,gsm_modem,username,passwd,status,smtp_port,smtp_security,smtp_verify_peer,smtp_verify_host,smtp_authentication,exec_params,maxsessions,maxattempts,attempt_interval,content_type,script,timeout,process_tags,show_event_menu,event_menu_url,event_menu_name,description) values ('15','4','Redmine','','','','','','','','0','25','0','0','0','0','','1','3','10s','1',E'var Redmine = {
    params: {},

    setParams: function (params) {
        if (typeof params !== ''object'') {
            return;
        }

        Redmine.params = params;
        if (typeof Redmine.params.url === ''string'') {
            if (!Redmine.params.url.endsWith(''/'')) {
                Redmine.params.url += ''/'';
            }
        }
    },

    addCustomFields: function (data, fields) {
        if (typeof fields === ''object'' && Object.keys(fields).length) {
            var schema = Redmine.getSchema();

            if (schema) {
                data.issue.custom_fields = [];

                Object.keys(fields)
                    .forEach(function(field) {
                        for (var idx in schema.custom_fields) {
                            if (schema.custom_fields[idx].id != field) {
                                continue;
                            }

                            var field_value;

                            switch (schema.custom_fields[idx].field_format) {
                                case ''string'':
                                    field_value = fields[field];
                                    break;

                                case ''int'':
                                    field_value = parseInt(fields[field]);
                                    break;

                                case ''float'':
                                    field_value = parseFloat(fields[field]);
                                    break;

                                case ''date'':
                                    if (fields[field].match(/^\\d{4}[.-]\\d{2}[.-]\\d{2}$/)) {
                                        field_value = fields[field].replace(/\\./g, ''-'');
                                    }
                                    break;
                            }

                            if (field_value !== undefined) {
                                data.issue.custom_fields.push({id: field, value: field_value});
                            }
                        }
                    });
            }
            else {
                Zabbix.Log(4, ''[ Redmine Webhook ] Failed to retrieve field schema.'');
            }
        }

        return data;
    },

    request: function (method, query, data) {
        [''url'', ''access_key''].forEach(function (field) {
            if (typeof Redmine.params !== ''object'' || typeof Redmine.params[field] === ''undefined''
                || Redmine.params[field] === '''' ) {
                throw ''Required param is not set: "'' + field + ''".'';
            }
        });

        var response,
            url = Redmine.params.url + query,
            request = new CurlHttpRequest();

        if (typeof Redmine.HTTPProxy === ''string'' && Redmine.HTTPProxy.trim() !== '''') {
            request.SetProxy(Redmine.HTTPProxy);
        }

        request.AddHeader(''Content-Type: application/json'');
        request.AddHeader(''X-Redmine-API-Key: '' + Redmine.params.access_key);

        if (typeof data !== ''undefined'') {
            data = JSON.stringify(data);
        }

        Zabbix.Log(4, ''[ Redmine Webhook ] Sending request: '' +
            url + ((typeof data === ''string'') ? ('' '' + data) : ''''));

        switch (method) {
            case ''get'':
                response = request.Get(url, data);
                break;

            case ''post'':
                response = request.Post(url, data);
                break;

            case ''put'':
                response = request.Put(url, data);
                break;

            default:
                throw ''Unsupported HTTP request method: '' + method;
        }

        Zabbix.Log(4, ''[ Redmine Webhook ] Received response with status code '' + request.Status() + '': '' + response);

        if (response !== null) {
            try {
                response = JSON.parse(response);
            }
            catch (error) {
                Zabbix.Log(4, ''[ Redmine Webhook ] Failed to parse response received from Redmine'');
                response = null;
            }
        }

        if (request.Status() < 200 || request.Status() >= 300) {
            var message = ''Request failed with status code '' + request.Status();

            if (response !== null && typeof response.errors !== ''undefined''
                && Object.keys(response.errors).length > 0) {
                message += '': '' + JSON.stringify(response.errors);
            }
            else if (response !== null && typeof response.errorMessages !== ''undefined''
                && Object.keys(response.errorMessages).length > 0) {
                message += '': '' + JSON.stringify(response.errorMessages);
            }

            throw message + '' Check debug log for more information.'';
        }

        return {
            status: request.Status(),
            response: response
        };
    },

    getProjectID: function(name) {
        var result = Redmine.request(''get'', ''projects.json''),
            project_id;

        if (result.response) {
            var projects = result.response.projects || [];

            for (var i in projects) {
                if (projects[i].name === name) {
                    project_id = projects[i].id;
                    break;
                }
            }
        }
        else {
            Zabbix.Log(4, ''[ Redmine Webhook ] Failed to retrieve project data.'');
        }

        if (typeof project_id === ''undefined'') {
            throw ''Cannot find project with name: '' + name;
        }

        return project_id;
    },

    getSchema: function() {
        var result = Redmine.request(''get'', ''custom_fields.json'');

        return result.response;
    },

    createIssue: function(subject, description, priority, fields) {
        var project_id = /^\\d+$/.test(Redmine.params.project)
                ? Redmine.params.project
                : Redmine.getProjectID(Redmine.params.project),
            data = {
                issue: {
                    project_id: project_id,
                    tracker_id: Redmine.params.tracker_id,
                    subject: subject,
                    description: description
                }
            },
            result;

        if (priority) {
            data.issue.priority_id = priority;
        }

        result = Redmine.request(''post'', ''issues.json'', Redmine.addCustomFields(data, fields));

        if (typeof result.response !== ''object''
            || typeof result.response.issue.id === ''undefined''
            || result.status != 201) {
            throw ''Cannot create Redmine issue. Check debug log for more information.'';
        }

        return result.response.issue.id;
    },

    updateIssue: function(note, fields) {
        var data = {
            issue: {
                notes: note || ''''
            }
        };

        Redmine.request(''put'', ''issues/'' + Redmine.params.issue_key + ''.json'', Redmine.addCustomFields(data, fields));
    }
};

try {
    var params = JSON.parse(value),
        params_redmine = {},
        params_fields = {},
        params_update = {},
        result = {tags: {}},
        required_params = [
            ''alert_subject'', ''tracker_id'', ''project'',
            ''event_source'', ''event_value'',  ''event_update_status''
        ],
        severities = [
            {name: ''not_classified'', color: ''#97AAB3''},
            {name: ''information'', color: ''#7499FF''},
            {name: ''warning'', color: ''#FFC859''},
            {name: ''average'', color: ''#FFA059''},
            {name: ''high'', color: ''#E97659''},
            {name: ''disaster'', color: ''#E45959''},
            {name: ''resolved'', color: ''#009900''},
            {name: null, color: ''#000000''}
        ],
        priority;

    Object.keys(params)
        .forEach(function (key) {
            if (key.startsWith(''redmine_'')) {
                params_redmine[key.substring(8)] = params[key];
            }
            else if (key.startsWith(''customfield_'')) {
                params_fields[key.substring(12)] = params[key];
            }
            else if (key.startsWith(''event_update_'')) {
                params_update[key.substring(13)] = params[key];
            }
            else if (required_params.indexOf(key) !== -1 && params[key].trim() === '''') {
                throw ''Parameter "'' + key + ''" cannot be empty.'';
            }
        });

    if ([0, 1, 2, 3].indexOf(parseInt(params.event_source)) === -1) {
        throw ''Incorrect "event_source" parameter given: '' + params.event_source + ''\\nMust be 0-3.'';
    }

    // Check {EVENT.VALUE} for trigger-based and internal events.
    if (params.event_value !== ''0'' && params.event_value !== ''1''
        && (params.event_source === ''0'' || params.event_source === ''3'')) {
        throw ''Incorrect "event_value" parameter given: '' + params.event_value + ''\\nMust be 0 or 1.'';
    }

    // Check {EVENT.UPDATE.STATUS} only for trigger-based events.
    if (params.event_source === ''0'' && params.event_update_status !== ''0'' && params.event_update_status !== ''1'') {
        throw ''Incorrect "event_update_status" parameter given: '' + params.event_update_status + ''\\nMust be 0 or 1.'';
    }

    if (params.event_source !== ''0'' && params.event_value === ''0'') {
        throw ''Recovery operations are supported only for trigger-based actions.'';
    }

    if (params.event_source === ''0''
        && ((params.event_value === ''1'' && params.event_update_status === ''1'')
            || (params.event_value === ''0''
                && (params.event_update_status === ''0'' || params.event_update_status === ''1'')))
        && (isNaN(parseInt(params.redmine_issue_key)) || parseInt(params.redmine_issue_key) < 1 )) {
        throw ''Incorrect "redmine_issue_key" parameter given: '' + params.redmine_issue_key +
            ''\\nMust be positive integer.'';
    }

    if ([0, 1, 2, 3, 4, 5].indexOf(parseInt(params.event_nseverity)) === -1) {
        params.event_nseverity = ''7'';
    }

    if (params.event_value === ''0'') {
        params.event_nseverity = ''6'';
    }

    priority = params[''severity_'' + severities[params.event_nseverity].name];
    priority = priority && priority.trim() || severities[7].name;

    Redmine.setParams(params_redmine);
    Redmine.HTTPProxy = params.HTTPProxy;

    // Create issue for non trigger-based events.
    if (params.event_source !== ''0''
        && params.event_value !== ''0'') {
        Redmine.createIssue(params.alert_subject, params.alert_message, priority);
    }
    // Create issue for trigger-based events.
    else if (params.event_value === ''1'' && params_update.status === ''0'') {
        var issue_id = Redmine.createIssue(params.alert_subject,
            params.alert_subject + ''\\n'' + params.alert_message + ''\\n'' +
            params.zabbix_url + (params.zabbix_url.endsWith(''/'') ? '''' : ''/'') +
            ''tr_events.php?triggerid='' + params.trigger_id + ''&eventid='' + params.event_id + ''\\n'',
            priority,
            params_fields);

        result.tags.__zbx_redmine_issue_id = issue_id;
        result.tags.__zbx_redmine_issuelink = params.redmine_url +
            (params.redmine_url.endsWith(''/'') ? '''' : ''/'') + ''issues/'' + issue_id;
    }
    // Update created issue for trigger-based event.
    else {
        Redmine.updateIssue(params.alert_subject + ''\\n'' + params.alert_message, params_fields);
    }

    return JSON.stringify(result);
}
catch (error) {
    Zabbix.Log(3, ''[ Redmine Webhook ] ERROR: '' + error);
    throw ''Sending failed: '' + error;
}','30s','1','1','{EVENT.TAGS.__zbx_redmine_issuelink}','Redmine: issue #{EVENT.TAGS.__zbx_redmine_issue_id}','');
INSERT INTO media_type (mediatypeid,type,name,smtp_server,smtp_helo,smtp_email,exec_path,gsm_modem,username,passwd,status,smtp_port,smtp_security,smtp_verify_peer,smtp_verify_host,smtp_authentication,exec_params,maxsessions,maxattempts,attempt_interval,content_type,script,timeout,process_tags,show_event_menu,event_menu_url,event_menu_name,description) values ('16','4','Telegram','','','','','','','','0','25','0','0','0','0','','1','3','10s','1',E'var Telegram = {
    token: null,
    to: null,
    message: null,
    proxy: null,
    parse_mode: null,

    sendMessage: function() {
        var params = {
            chat_id: Telegram.to,
            text: Telegram.message,
            disable_web_page_preview: true,
            disable_notification: false
        },
        data,
        response,
        request = new CurlHttpRequest(),
        url = ''https://api.telegram.org/bot'' + Telegram.token + ''/sendMessage'';

        if (Telegram.parse_mode !== null) {
            params[''parse_mode''] = Telegram.parse_mode;
        }

        if (Telegram.proxy) {
            request.setProxy(Telegram.proxy);
        }

        request.AddHeader(''Content-Type: application/json'');
        data = JSON.stringify(params);

        // Remove replace() function if you want to see the exposed token in the log file.
        Zabbix.Log(4, ''[Telegram Webhook] URL: '' + url.replace(Telegram.token, ''<TOKEN>''));
        Zabbix.Log(4, ''[Telegram Webhook] params: '' + data);
        response = request.Post(url, data);
        Zabbix.Log(4, ''[Telegram Webhook] HTTP code: '' + request.Status());

        try {
            response = JSON.parse(response);
        }
        catch (error) {
            response = null;
        }

        if (request.Status() !== 200 || typeof response.ok !== ''boolean'' || response.ok !== true) {
            if (typeof response.description === ''string'') {
                throw response.description;
            }
            else {
                throw ''Unknown error. Check debug log for more information.''
            }
        }
    }
}

try {
    var params = JSON.parse(value);

    if (typeof params.Token === ''undefined'') {
        throw ''Incorrect value is given for parameter "Token": parameter is missing'';
    }

    Telegram.token = params.Token;

    if (params.HTTPProxy) {
        Telegram.proxy = params.HTTPProxy;
    } 

    if ([''Markdown'', ''HTML'', ''MarkdownV2''].indexOf(params.ParseMode) !== -1) {
        Telegram.parse_mode = params.ParseMode;
    }

    Telegram.to = params.To;
    Telegram.message = params.Subject + ''\\n'' + params.Message;
    Telegram.sendMessage();

    return ''OK'';
}
catch (error) {
    Zabbix.Log(4, ''[Telegram Webhook] notification failed: '' + error);
    throw ''Sending failed: '' + error + ''.'';
}','10s','0','0','','','https://git.zabbix.com/projects/ZBX/repos/zabbix/browse/templates/media/telegram

1. Register bot: send "/newbot" to @BotFather and follow instructions
2. Copy and paste the obtained token into the "Token" field above
3. If you want to send personal notifications, you need to get chat id of the user you want to send messages to:
    3.1. Send "/getid" to "@myidbot" in Telegram messenger
    3.2. Copy returned chat id and save it in the "Telegram Webhook" media for the user
    3.3. Ask the user to send "/start" to your bot (Telegram bot won''t send anything to the user without it)
4. If you want to send group notifications, you need to get group id of the group you want to send messages to:
    4.1. Add "@myidbot" to your group
    4.2. Send "/getgroupid@myidbot" in your group
    4.3. Copy returned group id save it in the "Telegram Webhook" media for the user you created for  group notifications
    4.4. Send "/start@your_bot_name_here" in your group (Telegram bot won''t send anything to the group without it)');
INSERT INTO media_type (mediatypeid,type,name,smtp_server,smtp_helo,smtp_email,exec_path,gsm_modem,username,passwd,status,smtp_port,smtp_security,smtp_verify_peer,smtp_verify_host,smtp_authentication,exec_params,maxsessions,maxattempts,attempt_interval,content_type,script,timeout,process_tags,show_event_menu,event_menu_url,event_menu_name,description) values ('17','4','Zendesk','','','','','','','','0','25','0','0','0','0','','1','3','10s','1',E'var Zendesk = {
    params: {},

    setParams: function (params) {
        if (typeof params !== ''object'') {
            return;
        }

        Zendesk.params = params;
        if (typeof Zendesk.params.url === ''string'') {
            if (!Zendesk.params.url.endsWith(''/'')) {
                Zendesk.params.url += ''/'';
            }
            Zendesk.params.url += ''api/v2/'';
        }
    },

    addCustomFields: function (data, fields) {
        if (typeof fields === ''object'' && Object.keys(fields).length) {
            var schema = Zendesk.getSchema(),
                arr = [],
                i,
                n;

            if (schema) {
                Object.keys(fields)
                    .forEach(function(field) {
                        for (i = 0, n = schema.ticket_fields.length; i < n; i++) {
                            if (schema.ticket_fields[i].id == field
                                && [''text'', ''integer'', ''date''].indexOf(schema.ticket_fields[i].type) !== -1){

                                switch (schema.ticket_fields[i].type) {
                                    case ''integer'':
                                        fields[field] = parseInt(fields[field]);
                                        break;
                                    case ''date'':
                                        if (fields[field].match(/^\\d{4}[.-]\\d{2}[.-]\\d{2}$/) !== null) {
                                            fields[field] = fields[field].replace(/\\./g, ''-'');
                                        }
                                        else {
                                            fields[field] = '''';
                                        }
                                        break;
                                }

                                arr.push({id: field, value: fields[field]});
                                break;
                            }
                        }
                    });

                if (arr.length) {
                    data.ticket[''custom_fields''] = arr;
                }
            }
            else {
                Zabbix.Log(4, ''[Zendesk Webhook] Failed to retrieve field schema.'');
            }
        }

        return data;
    },

    request: function (method, query, data) {
        [''url'', ''token'', ''type''].forEach(function (field) {
            if (typeof Zendesk.params !== ''object'' || typeof Zendesk.params[field] === ''undefined'') {
                throw ''Required Zendesk param is not set: '' + field + ''\\n'' + Zendesk.params[field];
            }
        });

        var response,
            url = Zendesk.params.url + query,
            request = new CurlHttpRequest();

        if (typeof Zendesk.HTTPProxy === ''string'' && Zendesk.HTTPProxy.trim() !== '''') {
            request.SetProxy(Zendesk.HTTPProxy);
        }

        request.AddHeader(''Content-Type: application/json'');
        request.AddHeader(''Authorization: Basic '' + btoa(Zendesk.params.token));

        if (typeof data !== ''undefined'') {
            data = JSON.stringify(data);
        }

        Zabbix.Log(4, ''[Zendesk Webhook] Sending request: '' + url + ((typeof data === ''string'') ? ('' '' + data) : ''''));

        switch (method) {
            case ''get'':
                response = request.Get(url, data);
                break;

            case ''post'':
                response = request.Post(url, data);
                break;

            case ''put'':
                response = request.Put(url, data);
                break;

            default:
                throw ''Unsupported HTTP request method: '' + method;
        }

        Zabbix.Log(4, ''[Zendesk Webhook] Received response with status code '' + request.Status() + ''. '' + response);

        if (response !== null) {
            try {
                response = JSON.parse(response);
            }
            catch (error) {
                Zabbix.Log(4, ''[Zendesk Webhook] Failed to parse response received from Zendesk.'');
            }
        }

        if (request.Status() < 200 || request.Status() >= 300) {
            var message = ''Request failed with status code '' + request.Status();

            if (response !== null && typeof response.error !== ''undefined''
                && Object.keys(response.error).length > 0) {
                message += '': '' + JSON.stringify(response.error);
            }
            else if (response !== null && typeof response.description !== ''undefined''
                && Object.keys(response.description).length > 0) {
                message += '': '' + JSON.stringify(response.description);
            }
            else {
                message += ''. '' + response;
            }
            throw message + ''. Check debug log for more information.'';
        }

        return {
            status: request.Status(),
            response: response
        };
    },

    getSchema: function() {
        var result = Zendesk.request(''get'', ''ticket_fields.json'');

        return result.response;
    },

    createIssue: function(data, fields) {
        var result = Zendesk.request(''post'', ''tickets.json'', Zendesk.addCustomFields(data, fields));

        if (typeof result.response !== ''object'' || typeof result.response.ticket.id === ''undefined''
            || result.status != 201) {
            throw ''Cannot create Zendesk issue. Check debug log for more information.'';
        }

        return result.response.ticket.id;
    },

    updateIssue: function(data, fields) {
        Zendesk.request(''put'', ''tickets/'' + Zendesk.params.issue_key + ''.json'', Zendesk.addCustomFields(data, fields));
    }
};

try {
    var params = JSON.parse(value),
        fields = {},
        zendesk = {},
        update = {},
        data = {},
        result = {tags: {}},
        required_params = [
            ''alert_subject'',
            ''alert_message'',
            ''event_id'',
            ''event_source'',
            ''event_value'',
            ''event_update_status''
        ],
        severities = [
            {name: ''not_classified'', color: ''#97AAB3''},
            {name: ''information'', color: ''#7499FF''},
            {name: ''warning'', color: ''#FFC859''},
            {name: ''average'', color: ''#FFA059''},
            {name: ''high'', color: ''#E97659''},
            {name: ''disaster'', color: ''#E45959''},
            {name: ''resolved'', color: ''#009900''},
            {name: ''default'', color: ''#000000''}
        ],
        priority;

    Object.keys(params)
        .forEach(function (key) {
            if (key.startsWith(''zendesk_'')) {
                zendesk[key.substring(8)] = params[key];
            }
            else if (key.startsWith(''customfield_'')) {
                fields[key.substring(12)] = params[key];
            }
            else if (key.startsWith(''event_update_'')) {
                update[key.substring(13)] = params[key];
            }
            else if (required_params.indexOf(key) !== -1 && params[key].trim() === '''') {
                throw ''Parameter '' + key + '' cannot be empty.'';
            }
        });

    // Possible values: question, incident, problems, task
    if ([''question'', ''incident'', ''problem'', ''task''].indexOf(params.zendesk_type) === -1) {
        throw ''Incorrect "zendesk_type" parameter given: '' + params.zendesk_type +
            ''\\nMust be one of question, incident, problem, task.'';
    }

    // Possible values: 0 - Trigger, 1 - Discovery, 2 - Autoregistration, 3 - Internal.
    if ([0, 1, 2, 3].indexOf(parseInt(params.event_source)) === -1) {
        throw ''Incorrect "event_source" parameter given: '' + params.event_source + ''\\nMust be 0-3.'';
    }

    // Check {EVENT.VALUE} for trigger-based and internal events.
    // Possible values: 1 for problem, 0 for recovering
    if (params.event_value !== ''0'' && params.event_value !== ''1''
        && (params.event_source === ''0'' || params.event_source === ''3'')) {
        throw ''Incorrect "event_value" parameter given: '' + params.event_value + ''\\nMust be 0 or 1.'';
    }

    // Check {EVENT.UPDATE.STATUS} only for trigger-based events.
    // Possible values: 0 - Webhook was called because of problem/recovery event, 1 - Update operation.
    if (params.event_source === ''0'' && params.event_update_status !== ''0'' && params.event_update_status !== ''1'') {
        throw ''Incorrect "event_update_status" parameter given: '' + params.event_update_status + ''\\nMust be 0 or 1.'';
    }

    if (params.event_source !== ''0'' && params.event_value === ''0'') {
        throw ''Recovery operations are supported only for trigger-based actions.'';
    }

    // Zendesk_issue_key must be a positive integer if an update action is being performed.
    if (params.event_source === ''0'' && ((params.event_value === ''1'' && params.event_update_status === ''1'')
        || (params.event_value === ''0'' && (params.event_update_status === ''0'' || params.event_update_status === ''1'')))
        && (isNaN(parseInt(params.zendesk_issue_key)) || parseInt(params.zendesk_issue_key) < 1 )) {
        throw ''Incorrect "zendesk_issue_key" parameter given: '' + params.zendesk_issue_key +
            ''\\nMust be positive integer.'';
    }

    if ([0, 1, 2, 3, 4, 5].indexOf(parseInt(params.event_nseverity)) === -1) {
        params.event_nseverity = ''7'';
    }

    if (params.event_value === ''0'') {
        params.event_nseverity = ''6'';
    }

    priority = params[''severity_'' + severities[params.event_nseverity].name] || severities[7].name;

    Zendesk.setParams(zendesk);
    Zendesk.HTTPProxy = params.HTTPProxy;

    // Create issue for non trigger-based events.
    if (params.event_source !== ''0'' && params.event_value !== ''0'') {
        data = {
            ticket: {
                external_id: params.event_id,
                type: Zendesk.params.type,
                status: ''new'',
                subject: params.alert_subject,
                comment: {
                    body: params.alert_message,
                    public: ''false''
                },
                priority: priority,
                tags: params.event_tags
            }
        };

        Zendesk.createIssue(data, fields);
    }
    // Create issue for trigger-based events.
    else if (params.event_value === ''1'' && update.status === ''0'') {
        data = {
            ticket: {
                external_id: params.event_id,
                type: Zendesk.params.type,
                status: ''new'',
                subject: params.alert_subject,
                comment: {
                    body: params.zbxurl + (params.zbxurl.endsWith(''/'') ? '''' : ''/'') + ''tr_events.php?triggerid='' +
                        params.trigger_id + ''&eventid='' + params.event_id + ''\\n'' + params.alert_message,
                    public: ''false''
                },
                priority: priority,
                tags: params.event_tags
            }
        };
        var key = Zendesk.createIssue(data, fields);

        result.tags.__zbx_zdk_issuekey = key;
        result.tags.__zbx_zdk_issuelink = params.zendesk_url +
            (params.zendesk_url.endsWith(''/'') ? '''' : ''/'') + ''agent/tickets/'' + key;
    }
    // Update created issue for trigger-based event.
    else {
        data = {
            ticket: {
                type: Zendesk.params.type,
                subject: params.alert_subject,
                comment: {
                    body: params.alert_message,
                    public: ''false''
                }
            }
        };

        Zendesk.updateIssue(data, fields);
    }

    return JSON.stringify(result);
}
catch (error) {
    Zabbix.Log(3, ''[Zendesk Webhook] ERROR: '' + error);
    throw ''Sending failed: '' + error;
}','30s','1','1','{EVENT.TAGS.__zbx_zdk_issuelink}','Zendesk: {EVENT.TAGS.__zbx_zdk_issuekey}','');
INSERT INTO media_type (mediatypeid,type,name,smtp_server,smtp_helo,smtp_email,exec_path,gsm_modem,username,passwd,status,smtp_port,smtp_security,smtp_verify_peer,smtp_verify_host,smtp_authentication,exec_params,maxsessions,maxattempts,attempt_interval,content_type,script,timeout,process_tags,show_event_menu,event_menu_url,event_menu_name,description) values ('18','4','ServiceNow','','','','','','','','0','25','0','0','0','0','','1','3','10s','1',E'var ServiceNow = {
    params: {},

    setParams: function (params) {
        if (typeof params !== ''object'') {
            return;
        }

        ServiceNow.params = params;
        if (typeof ServiceNow.params.url === ''string'') {
            if (!ServiceNow.params.url.endsWith(''/'')) {
                ServiceNow.params.url += ''/'';
            }

            ServiceNow.params.url += ''api/now/table/incident'';
        }
    },

    setProxy: function (HTTPProxy) {
        ServiceNow.HTTPProxy = HTTPProxy;
    },

    setFields: function (data, fields) {
        if (typeof fields === ''object'' && Object.keys(fields).length) {
            Object.keys(fields)
                .forEach(function(field) {
                    data[field] = (fields[field].match(/^\\d{4}\\.\\d{2}\\.\\d{2}$/) !== null)
                        ? fields[field].replace(/\\./g, ''-'')
                        : fields[field];
                });
        }
    },

    request: function (method, data) {
        [''url'', ''user'', ''password''].forEach(function (field) {
            if (typeof ServiceNow.params !== ''object'' || typeof ServiceNow.params[field] === ''undefined''
                || ServiceNow.params[field] === '''' ) {
                throw ''Required ServiceNow param is not set: "'' + field + ''".'';
            }
        });

        var response,
            url = ServiceNow.params.url,
            request = new CurlHttpRequest();

        request.AddHeader(''Content-Type: application/json'');
        request.AddHeader(''Authorization: Basic '' + btoa(ServiceNow.params.user + '':'' + ServiceNow.params.password));

        if (typeof ServiceNow.HTTPProxy !== ''undefined'' && ServiceNow.HTTPProxy !== '''') {
            request.SetProxy(ServiceNow.HTTPProxy);
        }

        if (typeof data !== ''undefined'') {
            data = JSON.stringify(data);
        }

        Zabbix.Log(4, ''[ ServiceNow Webhook ] Sending request: '' + url + ((typeof data === ''string'')
            ? (''\\n'' + data)
            : ''''));

        switch (method) {
            case ''get'':
                response = request.Get(url, data);
                break;

            case ''post'':
                response = request.Post(url, data);
                break;

            case ''put'':
                response = request.Put(url, data);
                break;

            default:
                throw ''Unsupported HTTP request method: '' + method;
        }

        Zabbix.Log(4, ''[ ServiceNow Webhook ] Received response with status code '' +
            request.Status() + ''\\n'' + response);

        if (response !== null) {
            try {
                response = JSON.parse(response);
            }
            catch (error) {
                Zabbix.Log(4, ''[ ServiceNow Webhook ] Failed to parse response received from ServiceNow'');
                response = null;
            }
        }

        if (request.Status() < 200 || request.Status() >= 300) {
            var message = ''Request failed with status code '' + request.Status();

            if (response !== null && typeof response.error.message !== ''undefined''
                && Object.keys(response.error).length > 0) {
                message += '': '' + JSON.stringify(response.error.message);
            }

            throw message + '' Check debug log for more information.'';
        }
        else if (typeof response.result !== ''object'' || typeof response.result.sys_id === ''undefined'') {
            throw ''Cannot create ServiceNow incident. Check debug log for more information.'';
        }

        return response.result;
    }
};

try {
    var params = JSON.parse(value),
        fields = {},
        servicenow = {},
        data = {},
        result = {tags: {}},
        required_params = [
            ''alert_subject'', ''alert_message'', ''event_source'', ''event_value'',
            ''event_update_status'', ''event_recovery_value'', ''event_nseverity''
        ],
        severities = [
            {name: ''not_classified'', color: ''#97AAB3''},
            {name: ''information'', color: ''#7499FF''},
            {name: ''warning'', color: ''#FFC859''},
            {name: ''average'', color: ''#FFA059''},
            {name: ''high'', color: ''#E97659''},
            {name: ''disaster'', color: ''#E45959''},
            {name: ''resolved'', color: ''#009900''},
            {name: ''default'', color: ''#000000''}
        ],
        method = ''post'',
        process_tags = true;

    Object.keys(params)
        .forEach(function (key) {
            if (key.startsWith(''servicenow_'')) {
                servicenow[key.substring(11)] = params[key];
            }
            else if (key.startsWith(''u_'')) {
                fields[key] = params[key];
            }
            else if (required_params.indexOf(key) !== -1 && params[key] === '''') {
                throw ''Parameter "'' + key + ''" can\\''t be empty.'';
            }
        });

    if ([0, 1, 2, 3].indexOf(parseInt(params.event_source)) === -1) {
        throw ''Incorrect "event_source" parameter given: '' + params.event_source + ''\\nMust be 0-3.'';
    }

    if ([0, 1, 2, 3, 4, 5].indexOf(parseInt(params.event_nseverity)) === -1) {
        params.event_nseverity = ''7'';
    }

    // Check {EVENT.VALUE} for trigger-based and internal events.
    if (params.event_value !== ''0'' && params.event_value !== ''1''
        && (params.event_source === ''0'' || params.event_source === ''3'')) {
        throw ''Incorrect "event_value" parameter given: '' + params.event_value + ''\\nMust be 0 or 1.'';
    }

    // Check {EVENT.UPDATE.STATUS} only for trigger-based events.
    if (params.event_update_status !== ''0'' && params.event_update_status !== ''1'' && params.event_source === ''0'') {
        throw ''Incorrect "event_update_status" parameter given: '' + params.event_update_status + ''\\nMust be 0 or 1.'';
    }

    if (params.event_source !== ''0'' && params.event_recovery_value === ''0'') {
        throw ''Recovery operations are supported only for trigger-based actions.'';
    }

    data.short_description = params.alert_subject;
    data.description = params.alert_message;

    if (typeof params[''urgency_for_'' + severities[params.event_nseverity].name] !== ''undefined'') {
        data.urgency = params[''urgency_for_'' + severities[params.event_nseverity].name];
    }

    ServiceNow.setParams(servicenow);
    ServiceNow.setProxy(params.HTTPProxy);
    ServiceNow.setFields(data, fields);

    if (params.event_source === ''0'' && (params.event_value === ''0'' || params.event_update_status === ''1'')) {
        process_tags = false;
        method = ''put'';
        delete data.description;
        delete data.urgency;
        ServiceNow.params.url += ''/'' + params.servicenow_sys_id;
        data.comments = params.alert_message;
    }

    var response = ServiceNow.request(method, data);

    if (process_tags) {
        result.tags.__zbx_servicenow_sys_id = response.sys_id;
        result.tags.__zbx_servicenow_link = params.servicenow_url +
            (params.servicenow_url.endsWith(''/'') ? '''' : ''/'') + ''incident.do?sys_id='' + response.sys_id;
        result.tags.__zbx_servicenow_number = response.number;
    }

    return JSON.stringify(result);
}
catch (error) {
    Zabbix.Log(3, ''[ ServiceNow Webhook ] ERROR: '' + error);
    throw ''Sending failed: '' + error;
}','30s','1','1','{EVENT.TAGS.__zbx_servicenow_link}','ServiceNow: {EVENT.TAGS.__zbx_servicenow_number}','');
INSERT INTO media_type (mediatypeid,type,name,smtp_server,smtp_helo,smtp_email,exec_path,gsm_modem,username,passwd,status,smtp_port,smtp_security,smtp_verify_peer,smtp_verify_host,smtp_authentication,exec_params,maxsessions,maxattempts,attempt_interval,content_type,script,timeout,process_tags,show_event_menu,event_menu_url,event_menu_name,description) values ('19','4','Zammad','','','','','','','','0','25','0','0','0','0','','1','3','10s','1',E'var Zammad = {
    params: {},

    setParams: function (params) {
        if (typeof params !== ''object'') {
            return;
        }

        Zammad.params = params;
        if (typeof Zammad.params.url === ''string'') {
            if (!Zammad.params.url.endsWith(''/'')) {
                Zammad.params.url += ''/'';
            }
        }
    },

    request: function (method, query, data) {
        [''url'', ''access_token''].forEach(function (field) {
            if (typeof Zammad.params !== ''object'' || typeof Zammad.params[field] === ''undefined''
                || Zammad.params[field] === '''' ) {
                throw ''Required param is not set: "'' + field + ''".'';
            }
        });

        var response,
            url = Zammad.params.url + query,
            request = new CurlHttpRequest();

        if (typeof Zammad.HTTPProxy === ''string'' && Zammad.HTTPProxy.trim() !== '''') {
            request.SetProxy(Zammad.HTTPProxy);
        }

        request.AddHeader(''Content-Type: application/json'');
        request.AddHeader(''Authorization: Token token='' + Zammad.params.access_token);

        if (typeof data !== ''undefined'') {
            data = JSON.stringify(data);
        }

        Zabbix.Log(4, ''[ Zammad Webhook ] Sending request: '' +
            url + ((typeof data === ''string'') ? ('' '' + data) : ''''));

        switch (method) {
            case ''get'':
                response = request.Get(url, data);
                break;

            case ''post'':
                response = request.Post(url, data);
                break;

            case ''put'':
                response = request.Put(url, data);
                break;

            default:
                throw ''Unsupported HTTP request method: '' + method;
        }

        Zabbix.Log(4, ''[ Zammad Webhook ] Received response with status code '' + request.Status() + '': '' + response);

        if (response !== null) {
            try {
                response = JSON.parse(response);
            }
            catch (error) {
                Zabbix.Log(4, ''[ Zammad Webhook ] Failed to parse response received from Zammad'');
                response = null;
            }
        }

        if (request.Status() < 200 || request.Status() >= 300) {
            var message = ''Request failed with status code '' + request.Status();

            if (response !== null && typeof response.errors !== ''undefined''
                && Object.keys(response.errors).length > 0) {
                message += '': '' + JSON.stringify(response.errors);
            }
            else if (response !== null && typeof response.errorMessages !== ''undefined''
                && Object.keys(response.errorMessages).length > 0) {
                message += '': '' + JSON.stringify(response.errorMessages);
            }

            throw message + '' Check debug log for more information.'';
        }

        return {
            status: request.Status(),
            response: response
        };
    },

    setTicketTags: function(tags, ticket_id) {
        try {
            var tags_json = JSON.parse(tags),
                result;

            for (var i in tags_json) {
                result = Zammad.request(''get'',
                    ''/api/v1/tags/add?object=Ticket&o_id='' + ticket_id +
                    ''&item='' + tags_json[i].tag);

                if (typeof result.response !== ''object''
                    || result.status != 200) {
                    Zabbix.Log(4, ''[ Zammad Webhook ] Cannot add ticket tag:'' + tags_json[i].tag);
                }
            }
        }
        catch (error) {
            Zabbix.Log(4, ''[ Zammad Webhook ] Failed to add ticket tags:'' + error);
        }

        return;
    },

    createTicket: function(subject, message, priority) {
        var data = {
                title: subject,
                group: ''Users'',
                article: {
                    subject: subject,
                    body: message,
                    type: ''note'',
                    internal: false
                },
                customer: Zammad.params.customer
            },
            result;

        if (priority) {
            data.priority_id = priority;
        }

        result = Zammad.request(''post'', ''api/v1/tickets'', data);

        if (typeof result.response !== ''object''
            || typeof result.response.id === ''undefined''
            || result.status != 201) {
            throw ''Cannot create Zammad ticket. Check debug log for more information.'';
        }

        return result.response.id;
    },

    updateTicket: function(subject, message) {
        var data = {
            ticket_id: Zammad.params.ticket_id,
            subject: subject,
            body: message || '''',
            type: ''note'',
            internal: false
        };

        result = Zammad.request(''post'', ''api/v1/ticket_articles'', data);

        if (typeof result.response !== ''object''
            || typeof result.response.id === ''undefined''
            || result.status != 201) {
            throw ''Cannot update Zammad ticket. Check debug log for more information.'';
        }
    }
};

try {
    var params = JSON.parse(value),
        params_zammad = {},
        params_update = {},
        result = {tags: {}},
        required_params = [
            ''alert_subject'', ''customer'',
            ''event_source'', ''event_value'',
            ''event_update_status''
        ],
        severities = [
            {name: ''not_classified'', color: ''#97AAB3''},
            {name: ''information'', color: ''#7499FF''},
            {name: ''warning'', color: ''#FFC859''},
            {name: ''average'', color: ''#FFA059''},
            {name: ''high'', color: ''#E97659''},
            {name: ''disaster'', color: ''#E45959''},
            {name: ''resolved'', color: ''#009900''},
            {name: null, color: ''#000000''}
        ],
        priority;

    Object.keys(params)
        .forEach(function (key) {
            if (key.startsWith(''zammad_'')) {
                params_zammad[key.substring(7)] = params[key].trim();
            }
            else if (key.startsWith(''event_update_'')) {
                params_update[key.substring(13)] = params[key];
            }
            else if (required_params.indexOf(key) !== -1 && params[key].trim() === '''') {
                throw ''Parameter "'' + key + ''" cannot be empty.'';
            }
        });

    if ([0, 1, 2, 3].indexOf(parseInt(params.event_source)) === -1) {
        throw ''Incorrect "event_source" parameter given: '' + params.event_source + ''\\nMust be 0-3.'';
    }

    // Check {EVENT.VALUE} for trigger-based and internal events.
    if (params.event_value !== ''0'' && params.event_value !== ''1''
        && (params.event_source === ''0'' || params.event_source === ''3'')) {
        throw ''Incorrect "event_value" parameter given: '' + params.event_value + ''\\nMust be 0 or 1.'';
    }

    // Check {EVENT.UPDATE.STATUS} only for trigger-based events.
    if (params.event_source === ''0'' && params.event_update_status !== ''0'' && params.event_update_status !== ''1'') {
        throw ''Incorrect "event_update_status" parameter given: '' + params.event_update_status + ''\\nMust be 0 or 1.'';
    }

    if (params.event_source !== ''0'' && params.event_value === ''0'') {
        throw ''Recovery operations are supported only for trigger-based actions.'';
    }

    if (params.event_source === ''0''
        && ((params.event_value === ''1'' && params.event_update_status === ''1'')
            || (params.event_value === ''0''
                && (params.event_update_status === ''0'' || params.event_update_status === ''1'')))
        && (isNaN(parseInt(params.zammad_ticket_id)) || parseInt(params.zammad_ticket_id) < 1 )) {
        throw ''Incorrect "zammad_ticket_id" parameter given: '' + params.zammad_ticket_id +
            ''\\nMust be positive integer.'';
    }

    if ([0, 1, 2, 3, 4, 5].indexOf(parseInt(params.event_nseverity)) === -1) {
        params.event_nseverity = ''7'';
    }

    if (params.event_value === ''0'') {
        params.event_nseverity = ''6'';
    }

    priority = params[''severity_'' + severities[params.event_nseverity].name];
    priority = priority && priority.trim() || severities[7].name;

    Zammad.setParams(params_zammad);
    Zammad.HTTPProxy = params.HTTPProxy;

    // Create ticket for non trigger-based events.
    if (params.event_source !== ''0''
        && params.event_value !== ''0'') {
        Zammad.createTicket(params.alert_subject, params.alert_message, priority, params.event_tags);
    }
    // Create ticket for trigger-based events.
    else if (params.event_value === ''1'' && params_update.status === ''0'') {
        var ticket_id = Zammad.createTicket(params.alert_subject,
            params.alert_subject + ''\\n'' + params.alert_message + ''\\n'' +
            params.zabbix_url + (params.zabbix_url.endsWith(''/'') ? '''' : ''/'') +
            ''tr_events.php?triggerid='' + params.trigger_id + ''&eventid='' + params.event_id + ''\\n'',
            priority);

        result.tags.__zbx_zammad_ticket_id = ticket_id;
        result.tags.__zbx_zammad_ticketlink = params.zammad_url +
            (params.zammad_url.endsWith(''/'') ? '''' : ''/'') + ''#ticket/zoom/'' + ticket_id;

        if (Zammad.params.enable_tags.toLowerCase() === ''true'') {
            Zammad.setTicketTags(params.event_tags, ticket_id);
        }
    }
    // Update created ticket for trigger-based event.
    else {
        Zammad.updateTicket(params.alert_subject, params.alert_message);
    }

    return JSON.stringify(result);
}
catch (error) {
    Zabbix.Log(3, ''[ Zammad Webhook ] ERROR: '' + error);
    throw ''Sending failed: '' + error;
}','30s','1','1','{EVENT.TAGS.__zbx_zammad_ticketlink}','Zammad: ticket #{EVENT.TAGS.__zbx_zammad_ticket_id}','');
INSERT INTO media_type (mediatypeid,type,name,smtp_server,smtp_helo,smtp_email,exec_path,gsm_modem,username,passwd,status,smtp_port,smtp_security,smtp_verify_peer,smtp_verify_host,smtp_authentication,exec_params,maxsessions,maxattempts,attempt_interval,content_type,script,timeout,process_tags,show_event_menu,event_menu_url,event_menu_name,description) values ('20','4','Jira ServiceDesk','','','','','','','','0','25','0','0','0','0','','1','3','10s','1',E'var Jira = {
    params: {},
    schema: {},

    setParams: function (params) {
        if (typeof params !== ''object'') {
            return;
        }

        Jira.params = params;
        if (typeof Jira.params.url === ''string'') {
            if (!Jira.params.url.endsWith(''/'')) {
                Jira.params.url += ''/'';
            }

            Jira.params.url += ''rest/servicedeskapi/latest/'';
        }
    },

    setProxy: function (HTTPProxy) {
        Jira.HTTPProxy = HTTPProxy;
    },

    setTags: function(event_tags_json) {
        if (!Jira.schema) {
            Zabbix.Log(4, ''[ Jira Service Desk Webhook ] Cannot add labels because failed to retrieve field schema.'');

            return;
        }

        var block = Jira.schema.requestTypeFields.filter(function(object) {
            return object.fieldId == ''labels'';
        });

        if (block[0] && typeof event_tags_json !== ''undefined'' && event_tags_json !== ''''
            && event_tags_json !== ''{EVENT.TAGSJSON}'') {
            try {
                var tags = JSON.parse(event_tags_json),
                    label;

                Jira.labels = [];

                tags.forEach(function (tag) {
                    if (typeof tag.tag !== ''undefined'' && typeof tag.value !== ''undefined'' ) {
                        label = (tag.tag + (tag.value ? ('':'' + tag.value) : '''')).replace(/\\s/g, ''_'');
                        if (label.length < 255) {
                            Jira.labels.push(label);
                        }
                    }
                });
            }
            catch (error) {
                // Code is not missing here.
            }
        }
    },

    addCustomFields: function (data, fields) {
        if (typeof fields === ''object'' && Object.keys(fields).length) {
            if (Jira.schema) {
                Object.keys(fields)
                    .forEach(function(field) {
                        data.requestFieldValues[field] = fields[field];

                        var block = Jira.schema.requestTypeFields.filter(function(object) {
                            return object.fieldId == field;
                        });

                        if (typeof block[0] === ''object'' && typeof block[0].jiraSchema === ''object''
                            && (block[0].jiraSchema.type === ''number'' || block[0].jiraSchema.type === ''datetime'')) {
                            switch (block[0].jiraSchema.type) {
                                case ''number'':
                                    data.requestFieldValues[field] = parseInt(fields[field]);
                                    break;

                                case ''datetime'':
                                    if (fields[field].match(/\\d+[.-]\\d+[.-]\\d+T\\d+:\\d+:\\d+/) !== null) {
                                        data.requestFieldValues[field] = fields[field].replace(/\\./g, ''-'');
                                    }
                                    else {
                                        delete data.requestFieldValues[field];
                                    }
                                    break;
                            }
                        }
                    });
            }
            else {
                Zabbix.Log(4, ''[ Jira Service Desk Webhook ] Cannot add custom fields'' +
                    ''because failed to retrieve field schema.'');
            }
        }

        return data;
    },

    request: function (method, query, data) {
        [''url'', ''user'', ''password'', ''servicedesk_id'', ''request_type_id''].forEach(function (field) {
            if (typeof Jira.params !== ''object'' || typeof Jira.params[field] === ''undefined''
                || Jira.params[field] === '''' ) {
                throw ''Required Jira param is not set: "'' + field + ''".'';
            }
        });

        var response,
            url = Jira.params.url + query,
            request = new CurlHttpRequest();

        request.AddHeader(''Content-Type: application/json'');
        request.AddHeader(''Authorization: Basic '' + btoa(Jira.params.user + '':'' + Jira.params.password));
        request.AddHeader(''X-ExperimentalApi: opt-in'');

        if (typeof Jira.HTTPProxy !== ''undefined'' && Jira.HTTPProxy !== '''') {
            request.SetProxy(Jira.HTTPProxy);
        }

        if (typeof data !== ''undefined'') {
            data = JSON.stringify(data);
        }

        Zabbix.Log(4, ''[ Jira Service Desk Webhook ] Sending request: '' + url +
            ((typeof data === ''string'') ? (''\\n'' + data) : ''''));

        switch (method) {
            case ''get'':
                response = request.Get(url, data);
                break;

            case ''post'':
                response = request.Post(url, data);
                break;

            case ''put'':
                response = request.Put(url, data);
                break;

            default:
                throw ''Unsupported HTTP request method: '' + method;
        }

        Zabbix.Log(4, ''[ Jira Service Desk Webhook ] Received response with status code '' +
            request.Status() + ''\\n'' + response);

        if (response !== null) {
            try {
                response = JSON.parse(response);
            }
            catch (error) {
                Zabbix.Log(4, ''[ Jira Service Desk Webhook ] Failed to parse response received from Jira'');
                response = null;
            }
        }

        if (request.Status() < 200 || request.Status() >= 300) {
            var message = ''Request failed with status code '' + request.Status();

            if (response !== null && typeof response.errors !== ''undefined''
                && Object.keys(response.errors).length > 0) {
                message += '': '' + JSON.stringify(response.errors);
            }
            else if (response !== null && typeof response.errorMessage !== ''undefined''
                && Object.keys(response.errorMessage).length > 0) {
                message += '': '' + JSON.stringify(response.errorMessage);
            }

            throw message + '' Check debug log for more information.'';
        }

        return {
            status: request.Status(),
            response: response
        };
    },

    getSchema: function() {
        var result = Jira.request(''get'', ''servicedesk/'' + Jira.params.servicedesk_id + ''/requesttype/'' +
            Jira.params.request_type_id + ''/field'');

        if (typeof Jira.schema !== ''object'' && typeof Jira.schema.requestTypeFields !== ''object'') {
            Jira.schema = null;
        }
        else {
            Jira.schema = result.response;
        }
    },

    createRequest: function(summary, description, fields) {
        var data = {
            serviceDeskId: Jira.params.servicedesk_id,
            requestTypeId: Jira.params.request_type_id,
            requestFieldValues: {
                summary: summary,
                description: description
            }
        };

        if (Jira.labels && Jira.labels.length > 0) {
            data.requestFieldValues.labels = Jira.labels;
        }
        var result = Jira.request(''post'', ''request'', Jira.addCustomFields(data, fields));

        if (typeof result.response !== ''object'' || typeof result.response.issueKey === ''undefined'') {
            throw ''Cannot create Jira request. Check debug log for more information.'';
        }

        return result.response.issueKey;
    }
};

try {
    var params = JSON.parse(value),
        fields = {},
        jira = {},
        comment = {public: true},
        result = {tags: {}},
        required_params = [
            ''alert_subject'', ''alert_message'', ''event_source'', ''event_value'',
            ''event_update_status'', ''event_recovery_value''
        ];

    Object.keys(params)
        .forEach(function (key) {
            if (key.startsWith(''jira_'')) {
                jira[key.substring(5)] = params[key];
            }
            else if (key.startsWith(''customfield_'')) {
                fields[key] = params[key];
            }
            else if (required_params.indexOf(key) !== -1 && params[key] === '''') {
                throw ''Parameter "'' + key + ''" cannot be empty.'';
            }
        });

    if ([0, 1, 2, 3].indexOf(parseInt(params.event_source)) === -1) {
        throw ''Incorrect "event_source" parameter given: '' + params.event_source + ''\\nMust be 0-3.'';
    }

    // Check {EVENT.VALUE} for trigger-based and internal events.
    if (params.event_value !== ''0'' && params.event_value !== ''1''
        && (params.event_source === ''0'' || params.event_source === ''3'')) {
        throw ''Incorrect "event_value" parameter given: '' + params.event_value + ''\\nMust be 0 or 1.'';
    }

    // Check {EVENT.UPDATE.STATUS} only for trigger-based events.
    if (params.event_update_status !== ''0'' && params.event_update_status !== ''1'' && params.event_source === ''0'') {
        throw ''Incorrect "event_update_status" parameter given: '' + params.event_update_status + ''\\nMust be 0 or 1.'';
    }

    if (params.event_source !== ''0'' && params.event_recovery_value === ''0'') {
        throw ''Recovery operations are supported only for trigger-based actions.'';
    }

    Jira.setParams(jira);
    Jira.setProxy(params.HTTPProxy);
    Jira.getSchema();
    Jira.setTags(params.event_tags_json);

    // Create request for non trigger-based events.
    if (params.event_source !== ''0'' && params.event_recovery_value !== ''0'') {
        Jira.createRequest(params.alert_subject, params.alert_message);
    }
    // Create request for trigger-based events.
    else if (params.event_value === ''1'' && params.event_update_status === ''0''
        && jira.request_key === ''{EVENT.TAGS.__zbx_jira_requestkey}'') {
        var key = Jira.createRequest(params.alert_subject, params.alert_message, fields);

        result.tags.__zbx_jira_requestkey = key;
        result.tags.__zbx_jira_requestlink = params.jira_url +
            (params.jira_url.endsWith(''/'') ? '''' : ''/'') + ''browse/'' + key;
    }
    // Comment created request for trigger-based event.
    else {
        if (jira.request_key === ''{EVENT.TAGS.__zbx_jira_requestkey}'' || jira.request_key.trim() === '''') {
            throw ''Incorrect Request key given: '' + jira.request_key;
        }
        comment.body = params.alert_message;
        Jira.request(''post'', ''request/'' + Jira.params.request_key + ''/comment'', comment);
    }

    return JSON.stringify(result);
}
catch (error) {
    Zabbix.Log(3, ''[ Jira Service Desk Webhook ] ERROR: '' + error);
    throw ''Sending failed: '' + error;
}','30s','1','1','{EVENT.TAGS.__zbx_jira_requestlink}','Jira ServiceDesk: {EVENT.TAGS.__zbx_jira_requestkey}','');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('1','5','zabbix_url','{$ZABBIX.URL}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('2','5','bot_token','<YOUR BOT TOKEN>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('3','5','mattermost_url','<YOUR MATTERMOST URL>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('4','5','send_mode','alarm');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('5','5','send_to','{ALERT.SENDTO}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('6','5','event_tags','{EVENT.TAGS}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('7','5','event_name','{EVENT.NAME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('8','5','event_nseverity','{EVENT.NSEVERITY}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('10','5','event_value','{EVENT.VALUE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('11','5','event_update_status','{EVENT.UPDATE.STATUS}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('12','5','event_date','{EVENT.DATE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('13','5','event_time','{EVENT.TIME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('14','5','event_severity','{EVENT.SEVERITY}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('15','5','event_opdata','{EVENT.OPDATA}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('16','5','event_id','{EVENT.ID}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('17','5','event_update_message','{EVENT.UPDATE.MESSAGE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('18','5','trigger_id','{TRIGGER.ID}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('19','5','trigger_description','{TRIGGER.DESCRIPTION}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('20','5','host_name','{HOST.NAME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('21','5','host_ip','{HOST.IP}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('22','5','event_update_date','{EVENT.UPDATE.DATE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('23','5','event_update_time','{EVENT.UPDATE.TIME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('24','5','event_recovery_date','{EVENT.RECOVERY.DATE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('25','5','event_recovery_time','{EVENT.RECOVERY.TIME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('26','6','url','<put your opsgenie api url>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('27','6','web','<put your opsgenie web url>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('28','6','token','<put your key>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('29','6','subject','{ALERT.SUBJECT}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('30','6','message','{ALERT.MESSAGE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('31','6','eventid','{EVENT.ID}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('32','6','severity','{EVENT.NSEVERITY}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('33','6','user','{USER.FULLNAME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('34','6','eventvalue','{EVENT.VALUE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('35','6','eventupdate','{EVENT.UPDATE.STATUS}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('36','6','eventaction','{EVENT.UPDATE.ACTION}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('37','6','zbxurl','{$ZABBIX.URL}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('38','6','triggerid','{TRIGGER.ID}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('39','7','token','<put your key>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('40','7','eventid','{EVENT.ID}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('41','7','eventname','{EVENT.NAME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('42','7','hostname','{HOST.NAME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('43','7','hostip','{HOST.IP}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('44','7','severity','{EVENT.NSEVERITY}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('45','7','triggerdesc','{TRIGGER.DESCRIPTION}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('46','7','triggeropdata','{EVENT.OPDATA}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('47','7','eventtags','{EVENT.TAGS}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('48','7','triggerid','{TRIGGER.ID}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('49','7','eventdate','{EVENT.DATE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('50','7','eventtime','{EVENT.TIME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('52','7','eventack','{EVENT.ACK.STATUS}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('53','7','eventupdate','{EVENT.UPDATE.STATUS}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('54','7','eventvalue','{EVENT.VALUE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('55','7','url','{$ZABBIX.URL}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('56','8','token','<PUSHOVER TOKEN HERE>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('57','8','user','{ALERT.SENDTO}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('58','8','message','{ALERT.MESSAGE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('59','8','title','{ALERT.SUBJECT}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('60','8','url','{$ZABBIX.URL}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('61','8','url_title','Zabbix');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('62','8','priority','0');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('63','8','eventid','{EVENT.ID}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('64','8','triggerid','{TRIGGER.ID}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('65','9','zabbix_url','{$ZABBIX.URL}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('66','9','bot_token','<PLACE YOUR KEY HERE>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('67','9','channel','{ALERT.SENDTO}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('68','9','slack_mode','alarm');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('69','9','slack_as_user','true');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('71','9','event_tags','{EVENT.TAGS}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('72','9','event_name','{EVENT.NAME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('73','9','event_nseverity','{EVENT.NSEVERITY}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('75','9','event_value','{EVENT.VALUE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('76','9','event_update_status','{EVENT.UPDATE.STATUS}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('77','9','event_date','{EVENT.DATE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('78','9','event_time','{EVENT.TIME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('79','9','event_severity','{EVENT.SEVERITY}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('80','9','event_opdata','{EVENT.OPDATA}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('81','9','event_id','{EVENT.ID}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('82','9','event_update_message','{EVENT.UPDATE.MESSAGE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('83','9','trigger_id','{TRIGGER.ID}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('84','9','trigger_description','{TRIGGER.DESCRIPTION}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('85','9','host_name','{HOST.NAME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('86','9','host_ip','{HOST.IP}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('87','9','event_update_date','{EVENT.UPDATE.DATE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('88','9','event_update_time','{EVENT.UPDATE.TIME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('89','9','event_recovery_date','{EVENT.RECOVERY.DATE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('90','9','event_recovery_time','{EVENT.RECOVERY.TIME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('91','10','zabbix_url','{$ZABBIX.URL}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('92','10','discord_endpoint','{ALERT.SENDTO}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('93','10','use_default_message','false');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('94','10','alert_message','{ALERT.MESSAGE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('95','10','alert_subject','{ALERT.SUBJECT}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('96','10','event_name','{EVENT.NAME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('97','10','event_id','{EVENT.ID}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('98','10','event_severity','{EVENT.SEVERITY}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('99','10','event_nseverity','{EVENT.NSEVERITY}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('100','10','event_opdata','{EVENT.OPDATA}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('101','10','event_tags','{EVENT.TAGS}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('102','10','event_time','{EVENT.TIME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('103','10','event_date','{EVENT.DATE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('104','10','event_recovery_date','{EVENT.RECOVERY.DATE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('105','10','event_recovery_time','{EVENT.RECOVERY.TIME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('106','10','event_update_date','{EVENT.UPDATE.DATE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('107','10','event_update_time','{EVENT.UPDATE.TIME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('108','10','event_update_action','{EVENT.UPDATE.ACTION}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('109','10','event_update_message','{EVENT.UPDATE.MESSAGE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('110','10','event_update_status','{EVENT.UPDATE.STATUS}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('111','10','event_update_user','{USER.FULLNAME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('112','10','event_value','{EVENT.VALUE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('113','10','host_ip','{HOST.IP}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('114','10','host_name','{HOST.NAME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('115','10','trigger_description','{TRIGGER.DESCRIPTION}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('116','10','trigger_id','{TRIGGER.ID}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('117','8','endpoint','https://api.pushover.net/1/messages.json');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('118','8','retry','60');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('119','8','expire','1200');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('120','11','teamsecret','{ALERT.SENDTO}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('121','11','Subject','{ALERT.SUBJECT}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('122','11','Message','{ALERT.MESSAGE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('123','11','Severity','{EVENT.SEVERITY}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('124','11','X-S4-ExternalID','Zabbix event id: {EVENT.ID}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('125','11','Hostname','{HOST.NAME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('126','11','Host IP','{HOST.IP}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('127','12','alert_message','{ALERT.MESSAGE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('128','12','alert_subject','{ALERT.SUBJECT}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('129','12','event_recovery_value','{EVENT.RECOVERY.VALUE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('130','12','event_source','{EVENT.SOURCE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('131','12','event_tags_json','{EVENT.TAGSJSON}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('132','12','event_update_action','{EVENT.UPDATE.ACTION}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('133','12','event_update_message','{EVENT.UPDATE.MESSAGE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('134','12','event_update_status','{EVENT.UPDATE.STATUS}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('135','12','event_update_user','{USER.FULLNAME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('136','12','event_value','{EVENT.VALUE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('137','12','jira_issue_key','{EVENT.TAGS.__zbx_jira_issuekey}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('138','12','jira_issue_type','<PLACE ISSUETYPE NAME>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('139','12','jira_password','<PLACE PASSWORD OR TOKEN>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('140','12','jira_project_key','<PLACE PROJECT KEY>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('141','12','jira_url','<PLACE YOUR JIRA URL>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('142','12','jira_user','<PLACE LOGIN>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('143','12','trigger_description','{TRIGGER.DESCRIPTION}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('144','13','<''DATETIME'' CUSTOMFIELD FOR EVENT RECOVERY TIME>','{EVENT.RECOVERY.DATE}T{EVENT.RECOVERY.TIME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('145','13','<''DATETIME'' CUSTOMFIELD FOR EVENT TIME>','{EVENT.DATE}T{EVENT.TIME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('146','13','<''NUMBER'' CUSTOMFIELD FOR EVENT.ID>','{EVENT.ID}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('147','13','<''NUMBER'' CUSTOMFIELD FOR TRIGGER.ID>','{TRIGGER.ID}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('148','13',E'<''STRING'' CUSTOMFIELD FOR HOST\\IP>','{HOST.HOST} [{HOST.IP}]');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('149','13','<''STRING'' CUSTOMFIELD FOR OPERATIONAL DATA>','{EVENT.OPDATA}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('150','13','<''STRING'' CUSTOMFIELD FOR SEVERITY>','{EVENT.SEVERITY}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('151','13','<''URL'' CUSTOMFIELD FOR EVENT URL>','{$ZABBIX.URL}/tr_events.php?triggerid={TRIGGER.ID}&eventid={EVENT.ID}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('152','13','alert_message','{ALERT.MESSAGE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('153','13','alert_subject','{ALERT.SUBJECT}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('154','13','event_recovery_value','{EVENT.RECOVERY.VALUE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('155','13','event_source','{EVENT.SOURCE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('156','13','event_tags_json','{EVENT.TAGSJSON}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('157','13','event_update_action','{EVENT.UPDATE.ACTION}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('158','13','event_update_message','{EVENT.UPDATE.MESSAGE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('159','13','event_update_status','{EVENT.UPDATE.STATUS}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('160','13','event_update_user','{USER.FULLNAME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('161','13','event_value','{EVENT.VALUE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('162','13','jira_issue_key','{EVENT.TAGS.__zbx_jira_issuekey}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('163','13','jira_issue_type','<PLACE ISSUETYPE NAME>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('164','13','jira_password','<PLACE PASSWORD OR TOKEN>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('165','13','jira_project_key','<PLACE PROJECT KEY>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('166','13','jira_url','<PLACE YOUR JIRA URL>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('167','13','jira_user','<PLACE LOGIN>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('168','13','trigger_description','{TRIGGER.DESCRIPTION}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('169','14','alert_message','{ALERT.MESSAGE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('170','14','alert_subject','{ALERT.SUBJECT}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('171','14','event_date','{EVENT.DATE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('172','14','event_id','{EVENT.ID}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('173','14','event_nseverity','{EVENT.NSEVERITY}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('174','14','event_opdata','{EVENT.OPDATA}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('175','14','event_recovery_date','{EVENT.RECOVERY.DATE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('176','14','event_recovery_time','{EVENT.RECOVERY.TIME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('177','14','event_severity','{EVENT.SEVERITY}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('178','14','event_source','{EVENT.SOURCE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('179','14','event_status','{EVENT.STATUS}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('180','14','event_tags','{EVENT.TAGS}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('181','14','event_time','{EVENT.TIME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('182','14','event_update_action','{EVENT.UPDATE.ACTION}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('183','14','event_update_date','{EVENT.UPDATE.DATE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('184','14','event_update_message','{EVENT.UPDATE.MESSAGE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('185','14','event_update_status','{EVENT.UPDATE.STATUS}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('186','14','event_update_time','{EVENT.UPDATE.TIME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('187','14','event_update_user','{USER.FULLNAME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('188','14','event_value','{EVENT.VALUE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('189','14','host_ip','{HOST.IP}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('190','14','host_name','{HOST.NAME}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('191','14','teams_endpoint','<PLACE WEBHOOK URL HERE>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('192','14','trigger_description','{TRIGGER.DESCRIPTION}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('193','14','trigger_id','{TRIGGER.ID}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('194','14','use_default_message','false');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('195','14','zabbix_url','{$ZABBIX.URL}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('196','15','alert_message','{ALERT.MESSAGE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('197','15','alert_subject','{ALERT.SUBJECT}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('198','15','event_id','{EVENT.ID}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('199','15','event_nseverity','{EVENT.NSEVERITY}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('200','15','event_source','{EVENT.SOURCE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('201','15','event_update_message','{EVENT.UPDATE.MESSAGE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('202','15','event_update_status','{EVENT.UPDATE.STATUS}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('203','15','event_value','{EVENT.VALUE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('204','15','redmine_access_key','<PUT YOUR ACCESS KEY>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('205','15','redmine_issue_key','{EVENT.TAGS.__zbx_redmine_issue_id}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('206','15','redmine_project','<PUT YOUR PROJECT ID OR NAME>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('207','15','redmine_tracker_id','<PUT YOUR TRACKER ID>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('208','15','redmine_url','<PUT YOUR REDMINE URL>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('209','15','trigger_id','{TRIGGER.ID}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('210','15','zabbix_url','{$ZABBIX.URL}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('211','16','Message','{ALERT.MESSAGE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('212','16','ParseMode','');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('213','16','Subject','{ALERT.SUBJECT}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('214','16','To','{ALERT.SENDTO}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('215','16','Token','<PLACE YOUR TOKEN>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('216','17','alert_message','{ALERT.MESSAGE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('217','17','alert_subject','{ALERT.SUBJECT}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('218','17','event_id','{EVENT.ID}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('219','17','event_nseverity','{EVENT.NSEVERITY}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('220','17','event_source','{EVENT.SOURCE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('221','17','event_tags','{EVENT.TAGS}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('222','17','event_update_status','{EVENT.UPDATE.STATUS}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('223','17','event_value','{EVENT.VALUE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('224','17','severity_average','normal');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('225','17','severity_default','-');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('226','17','severity_disaster','urgent');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('227','17','severity_high','high');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('228','17','severity_information','low');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('229','17','severity_not_classified','low');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('230','17','severity_warning','normal');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('231','17','trigger_id','{TRIGGER.ID}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('232','17','zbxurl','{$ZABBIX.URL}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('233','17','zendesk_issue_key','{EVENT.TAGS.__zbx_zdk_issuekey}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('234','17','zendesk_token','<put your {enduser_email_address}/token:{api_token}>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('235','17','zendesk_type','incident');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('236','17','zendesk_url','<put your Zendesk URL>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('237','18','alert_message','{ALERT.MESSAGE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('238','18','alert_subject','{ALERT.SUBJECT}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('239','18','event_nseverity','{EVENT.NSEVERITY}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('240','18','event_recovery_value','{EVENT.RECOVERY.VALUE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('241','18','event_source','{EVENT.SOURCE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('242','18','event_update_status','{EVENT.UPDATE.STATUS}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('243','18','event_value','{EVENT.VALUE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('244','18','servicenow_password','<PLACE PASSWORD HERE>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('245','18','servicenow_sys_id','{EVENT.TAGS.__zbx_servicenow_sys_id}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('246','18','servicenow_url','{ALERT.SENDTO}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('247','18','servicenow_user','<PLACE USERNAME HERE>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('248','18','urgency_for_average','2');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('249','18','urgency_for_disaster','1');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('250','18','urgency_for_high','2');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('251','18','urgency_for_information','3');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('252','18','urgency_for_not_classified','3');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('253','18','urgency_for_warning','3');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('254','19','alert_message','{ALERT.MESSAGE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('255','19','alert_subject','{ALERT.SUBJECT}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('256','19','event_id','{EVENT.ID}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('257','19','event_nseverity','{EVENT.NSEVERITY}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('258','19','event_source','{EVENT.SOURCE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('259','19','event_tags','{EVENT.TAGSJSON}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('260','19','event_update_message','{EVENT.UPDATE.MESSAGE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('261','19','event_update_status','{EVENT.UPDATE.STATUS}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('262','19','event_value','{EVENT.VALUE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('263','19','trigger_id','{TRIGGER.ID}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('264','19','zabbix_url','{$ZABBIX.URL}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('265','19','zammad_access_token','<PUT YOUR ACCESS TOKEN>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('266','19','zammad_customer','<PUT YOUR CUSTOMER EMAIL>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('267','19','zammad_enable_tags','true');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('268','19','zammad_ticket_id','{EVENT.TAGS.__zbx_zammad_ticket_id}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('269','19','zammad_url','<PUT YOUR ZAMMAD URL>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('270','20','alert_message','{ALERT.MESSAGE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('271','20','alert_subject','{ALERT.SUBJECT}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('272','20','event_recovery_value','{EVENT.RECOVERY.VALUE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('273','20','event_source','{EVENT.SOURCE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('274','20','event_tags_json','{EVENT.TAGSJSON}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('275','20','event_update_status','{EVENT.UPDATE.STATUS}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('276','20','event_value','{EVENT.VALUE}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('277','20','jira_password','<PLACE PASSWORD OR TOKEN>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('278','20','jira_request_key','{EVENT.TAGS.__zbx_jira_requestkey}');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('279','20','jira_request_type_id','<PLACE REQUEST TYPE ID>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('280','20','jira_servicedesk_id','<PLACE SERVICEDESK ID>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('281','20','jira_url','<PLACE YOUR JIRA URL>');
INSERT INTO media_type_param (mediatype_paramid,mediatypeid,name,value) values ('282','20','jira_user','<PLACE LOGIN>');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('1','1','0','0','Problem: {EVENT.NAME}','Problem started at {EVENT.TIME} on {EVENT.DATE}
Problem name: {EVENT.NAME}
Host: {HOST.NAME}
Severity: {EVENT.SEVERITY}
Operational data: {EVENT.OPDATA}
Original problem ID: {EVENT.ID}
{TRIGGER.URL}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('2','1','0','1','Resolved in {EVENT.DURATION}: {EVENT.NAME}','Problem has been resolved at {EVENT.RECOVERY.TIME} on {EVENT.RECOVERY.DATE}
Problem name: {EVENT.NAME}
Problem duration: {EVENT.DURATION}
Host: {HOST.NAME}
Severity: {EVENT.SEVERITY}
Original problem ID: {EVENT.ID}
{TRIGGER.URL}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('3','1','0','2','Updated problem in {EVENT.AGE}: {EVENT.NAME}','{USER.FULLNAME} {EVENT.UPDATE.ACTION} problem at {EVENT.UPDATE.DATE} {EVENT.UPDATE.TIME}.
{EVENT.UPDATE.MESSAGE}

Current problem status is {EVENT.STATUS}, age is {EVENT.AGE}, acknowledged: {EVENT.ACK.STATUS}.');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('4','1','1','0','Discovery: {DISCOVERY.DEVICE.STATUS} {DISCOVERY.DEVICE.IPADDRESS}','Discovery rule: {DISCOVERY.RULE.NAME}

Device IP: {DISCOVERY.DEVICE.IPADDRESS}
Device DNS: {DISCOVERY.DEVICE.DNS}
Device status: {DISCOVERY.DEVICE.STATUS}
Device uptime: {DISCOVERY.DEVICE.UPTIME}

Device service name: {DISCOVERY.SERVICE.NAME}
Device service port: {DISCOVERY.SERVICE.PORT}
Device service status: {DISCOVERY.SERVICE.STATUS}
Device service uptime: {DISCOVERY.SERVICE.UPTIME}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('5','1','2','0','Autoregistration: {HOST.HOST}','Host name: {HOST.HOST}
Host IP: {HOST.IP}
Agent port: {HOST.PORT}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('6','3','0','0','','{EVENT.SEVERITY}: {EVENT.NAME}
Host: {HOST.NAME}
{EVENT.DATE} {EVENT.TIME}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('7','3','0','1','','Resolved in {EVENT.DURATION}: {EVENT.NAME}
Host: {HOST.NAME}
{EVENT.DATE} {EVENT.TIME}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('8','3','0','2','','{USER.FULLNAME} {EVENT.UPDATE.ACTION} problem in {EVENT.AGE} at {EVENT.UPDATE.DATE} {EVENT.UPDATE.TIME}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('9','3','1','0','','Discovery: {DISCOVERY.DEVICE.STATUS} {DISCOVERY.DEVICE.IPADDRESS}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('10','3','2','0','','Autoregistration: {HOST.HOST}
Host IP: {HOST.IP}
Agent port: {HOST.PORT}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('11','4','0','0','Problem: {EVENT.NAME}','<b>Problem started</b> at {EVENT.TIME} on {EVENT.DATE}<br><b>Problem name:</b> {EVENT.NAME}<br><b>Host:</b> {HOST.NAME}<br><b>Severity:</b> {EVENT.SEVERITY}<br><b>Operational data:</b> {EVENT.OPDATA}<br><b>Original problem ID:</b> {EVENT.ID}<br>{TRIGGER.URL}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('12','4','0','1','Resolved in {EVENT.DURATION}: {EVENT.NAME}','<b>Problem has been resolved</b> at {EVENT.RECOVERY.TIME} on {EVENT.RECOVERY.DATE}<br><b>Problem name:</b> {EVENT.NAME}<br><b>Problem duration:</b> {EVENT.DURATION}<br><b>Host:</b> {HOST.NAME}<br><b>Severity:</b> {EVENT.SEVERITY}<br><b>Original problem ID:</b> {EVENT.ID}<br>{TRIGGER.URL}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('13','4','0','2','Updated problem in {EVENT.AGE}: {EVENT.NAME}','<b>{USER.FULLNAME} {EVENT.UPDATE.ACTION} problem</b> at {EVENT.UPDATE.DATE} {EVENT.UPDATE.TIME}.<br>{EVENT.UPDATE.MESSAGE}<br><br><b>Current problem status:</b> {EVENT.STATUS}<br><b>Age:</b> {EVENT.AGE}<br><b>Acknowledged:</b> {EVENT.ACK.STATUS}.');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('14','4','1','0','Discovery: {DISCOVERY.DEVICE.STATUS} {DISCOVERY.DEVICE.IPADDRESS}','<b>Discovery rule:</b> {DISCOVERY.RULE.NAME}<br><br><b>Device IP:</b> {DISCOVERY.DEVICE.IPADDRESS}<br><b>Device DNS:</b> {DISCOVERY.DEVICE.DNS}<br><b>Device status:</b> {DISCOVERY.DEVICE.STATUS}<br><b>Device uptime:</b> {DISCOVERY.DEVICE.UPTIME}<br><br><b>Device service name:</b> {DISCOVERY.SERVICE.NAME}<br><b>Device service port:</b> {DISCOVERY.SERVICE.PORT}<br><b>Device service status:</b> {DISCOVERY.SERVICE.STATUS}<br><b>Device service uptime:</b> {DISCOVERY.SERVICE.UPTIME}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('15','4','2','0','Autoregistration: {HOST.HOST}','<b>Host name:</b> {HOST.HOST}<br><b>Host IP:</b> {HOST.IP}<br><b>Agent port:</b> {HOST.PORT}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('16','11','0','0','Problem: {EVENT.NAME}','Problem started at {EVENT.TIME} on {EVENT.DATE}
Problem name: {EVENT.NAME}
Host: {HOST.NAME}
Severity: {EVENT.SEVERITY}
Operational data: {EVENT.OPDATA}
Original problem ID: {EVENT.ID}
{TRIGGER.URL}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('17','11','0','1','Resolved: {EVENT.NAME}','Problem has been resolved in {EVENT.DURATION} at {EVENT.RECOVERY.TIME} on {EVENT.RECOVERY.DATE}
Problem name: {EVENT.NAME}
Host: {HOST.NAME}
Severity: {EVENT.SEVERITY}
Original problem ID: {EVENT.ID}
{TRIGGER.URL}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('18','11','0','2','Updated problem: {EVENT.NAME}','{USER.FULLNAME} {EVENT.UPDATE.ACTION} problem at {EVENT.UPDATE.DATE} {EVENT.UPDATE.TIME}.
{EVENT.UPDATE.MESSAGE}

Current problem status is {EVENT.STATUS}, acknowledged: {EVENT.ACK.STATUS}.');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('19','11','1','0','Discovery: {DISCOVERY.DEVICE.STATUS} {DISCOVERY.DEVICE.IPADDRESS}','Discovery rule: {DISCOVERY.RULE.NAME}

Device IP: {DISCOVERY.DEVICE.IPADDRESS}
Device DNS: {DISCOVERY.DEVICE.DNS}
Device status: {DISCOVERY.DEVICE.STATUS}
Device uptime: {DISCOVERY.DEVICE.UPTIME}

Device service name: {DISCOVERY.SERVICE.NAME}
Device service port: {DISCOVERY.SERVICE.PORT}
Device service status: {DISCOVERY.SERVICE.STATUS}
Device service uptime: {DISCOVERY.SERVICE.UPTIME}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('20','11','2','0','Autoregistration: {HOST.HOST}','Host name: {HOST.HOST}
Host IP: {HOST.IP}
Agent port: {HOST.PORT}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('21','12','0','0','[{EVENT.STATUS}] {EVENT.NAME}','Problem started at {EVENT.TIME} on {EVENT.DATE}
Problem name: {EVENT.NAME}
Host: {HOST.NAME}
Severity: {EVENT.SEVERITY}
Operational data: {EVENT.OPDATA}
Original problem ID: {EVENT.ID}
{TRIGGER.URL}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('22','12','0','1','[{EVENT.STATUS}] {EVENT.NAME}','Problem has been resolved in {EVENT.DURATION} at {EVENT.RECOVERY.TIME} on {EVENT.RECOVERY.DATE}
Problem name: {EVENT.NAME}
Host: {HOST.NAME}
Severity: {EVENT.SEVERITY}
Original problem ID: {EVENT.ID}
{TRIGGER.URL}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('23','12','0','2','[{EVENT.STATUS}] {EVENT.NAME}','{USER.FULLNAME} {EVENT.UPDATE.ACTION} problem at {EVENT.UPDATE.DATE} {EVENT.UPDATE.TIME}.
{EVENT.UPDATE.MESSAGE}

Current problem status is {EVENT.STATUS}, acknowledged: {EVENT.ACK.STATUS}.');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('24','12','1','0','Discovery: {DISCOVERY.DEVICE.STATUS} {DISCOVERY.DEVICE.IPADDRESS}','Discovery rule: {DISCOVERY.RULE.NAME}

Device IP: {DISCOVERY.DEVICE.IPADDRESS}
Device DNS: {DISCOVERY.DEVICE.DNS}
Device status: {DISCOVERY.DEVICE.STATUS}
Device uptime: {DISCOVERY.DEVICE.UPTIME}

Device service name: {DISCOVERY.SERVICE.NAME}
Device service port: {DISCOVERY.SERVICE.PORT}
Device service status: {DISCOVERY.SERVICE.STATUS}
Device service uptime: {DISCOVERY.SERVICE.UPTIME}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('25','12','2','0','Autoregistration: {HOST.HOST}','Host name: {HOST.HOST}
Host IP: {HOST.IP}
Agent port: {HOST.PORT}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('26','13','0','0','[{EVENT.STATUS}] {EVENT.NAME}','Problem started at {EVENT.TIME} on {EVENT.DATE}
Problem name: {EVENT.NAME}
Host: {HOST.NAME}
Severity: {EVENT.SEVERITY}
Operational data: {EVENT.OPDATA}
Original problem ID: {EVENT.ID}
{TRIGGER.URL}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('27','13','0','1','[{EVENT.STATUS}] {EVENT.NAME}','Problem has been resolved in {EVENT.DURATION} at {EVENT.RECOVERY.TIME} on {EVENT.RECOVERY.DATE}
Problem name: {EVENT.NAME}
Host: {HOST.NAME}
Severity: {EVENT.SEVERITY}
Original problem ID: {EVENT.ID}
{TRIGGER.URL}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('28','13','0','2','[{EVENT.STATUS}] {EVENT.NAME}','{USER.FULLNAME} {EVENT.UPDATE.ACTION} problem at {EVENT.UPDATE.DATE} {EVENT.UPDATE.TIME}.
{EVENT.UPDATE.MESSAGE}

Current problem status is {EVENT.STATUS}, acknowledged: {EVENT.ACK.STATUS}.');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('29','13','1','0','Discovery: {DISCOVERY.DEVICE.STATUS} {DISCOVERY.DEVICE.IPADDRESS}','Discovery rule: {DISCOVERY.RULE.NAME}

Device IP: {DISCOVERY.DEVICE.IPADDRESS}
Device DNS: {DISCOVERY.DEVICE.DNS}
Device status: {DISCOVERY.DEVICE.STATUS}
Device uptime: {DISCOVERY.DEVICE.UPTIME}

Device service name: {DISCOVERY.SERVICE.NAME}
Device service port: {DISCOVERY.SERVICE.PORT}
Device service status: {DISCOVERY.SERVICE.STATUS}
Device service uptime: {DISCOVERY.SERVICE.UPTIME}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('30','13','2','0','Autoregistration: {HOST.HOST}','Host name: {HOST.HOST}
Host IP: {HOST.IP}
Agent port: {HOST.PORT}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('31','14','1','0','Discovery: {DISCOVERY.DEVICE.STATUS} {DISCOVERY.DEVICE.IPADDRESS}','Discovery rule: {DISCOVERY.RULE.NAME}

Device IP: {DISCOVERY.DEVICE.IPADDRESS}
Device DNS: {DISCOVERY.DEVICE.DNS}
Device status: {DISCOVERY.DEVICE.STATUS}
Device uptime: {DISCOVERY.DEVICE.UPTIME}

Device service name: {DISCOVERY.SERVICE.NAME}
Device service port: {DISCOVERY.SERVICE.PORT}
Device service status: {DISCOVERY.SERVICE.STATUS}
Device service uptime: {DISCOVERY.SERVICE.UPTIME}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('32','14','2','0','Autoregistration: {HOST.HOST}','Host name: {HOST.HOST}
Host IP: {HOST.IP}
Agent port: {HOST.PORT}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('33','14','0','0','Problem: {EVENT.NAME}','Problem started at {EVENT.TIME} on {EVENT.DATE}
Problem name: {EVENT.NAME}
Host: {HOST.NAME}
Severity: {EVENT.SEVERITY}
Operational data: {EVENT.OPDATA}
Original problem ID: {EVENT.ID}
{TRIGGER.URL}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('34','14','0','1','Resolved: {EVENT.NAME}','Problem has been resolved in {EVENT.DURATION} at {EVENT.RECOVERY.TIME} on {EVENT.RECOVERY.DATE}
Problem name: {EVENT.NAME}
Host: {HOST.NAME}
Severity: {EVENT.SEVERITY}
Original problem ID: {EVENT.ID}
{TRIGGER.URL}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('35','14','0','2','Updated problem: {EVENT.NAME}','{USER.FULLNAME} {EVENT.UPDATE.ACTION} problem at {EVENT.UPDATE.DATE} {EVENT.UPDATE.TIME}.
{EVENT.UPDATE.MESSAGE}

Current problem status is {EVENT.STATUS}, acknowledged: {EVENT.ACK.STATUS}.');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('36','15','0','0','Problem: {EVENT.NAME}','Problem started at {EVENT.TIME} on {EVENT.DATE}
Problem name: {EVENT.NAME}
Host: {HOST.NAME}
Severity: {EVENT.SEVERITY}
Operational data: {EVENT.OPDATA}
Original problem ID: {EVENT.ID}
{TRIGGER.URL}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('37','15','0','1','Resolved: {EVENT.NAME}','Problem has been resolved in {EVENT.DURATION} at {EVENT.RECOVERY.TIME} on {EVENT.RECOVERY.DATE}
Problem name: {EVENT.NAME}
Host: {HOST.NAME}
Severity: {EVENT.SEVERITY}
Original problem ID: {EVENT.ID}
{TRIGGER.URL}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('38','15','0','2','Updated problem: {EVENT.NAME}','{USER.FULLNAME} {EVENT.UPDATE.ACTION} problem at {EVENT.UPDATE.DATE} {EVENT.UPDATE.TIME}.
{EVENT.UPDATE.MESSAGE}

Current problem status is {EVENT.STATUS}, acknowledged: {EVENT.ACK.STATUS}.');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('39','15','1','0','Discovery: {DISCOVERY.DEVICE.STATUS} {DISCOVERY.DEVICE.IPADDRESS}','Discovery rule: {DISCOVERY.RULE.NAME}

Device IP: {DISCOVERY.DEVICE.IPADDRESS}
Device DNS: {DISCOVERY.DEVICE.DNS}
Device status: {DISCOVERY.DEVICE.STATUS}
Device uptime: {DISCOVERY.DEVICE.UPTIME}

Device service name: {DISCOVERY.SERVICE.NAME}
Device service port: {DISCOVERY.SERVICE.PORT}
Device service status: {DISCOVERY.SERVICE.STATUS}
Device service uptime: {DISCOVERY.SERVICE.UPTIME}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('40','15','2','0','Autoregistration: {HOST.HOST}','Host name: {HOST.HOST}
Host IP: {HOST.IP}
Agent port: {HOST.PORT}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('41','16','0','0','Problem: {EVENT.NAME}','Problem started at {EVENT.TIME} on {EVENT.DATE}
Problem name: {EVENT.NAME}
Host: {HOST.NAME}
Severity: {EVENT.SEVERITY}
Operational data: {EVENT.OPDATA}
Original problem ID: {EVENT.ID}
{TRIGGER.URL}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('42','16','0','1','Resolved in {EVENT.DURATION}: {EVENT.NAME}','Problem has been resolved in {EVENT.DURATION} at {EVENT.RECOVERY.TIME} on {EVENT.RECOVERY.DATE}
Problem name: {EVENT.NAME}
Host: {HOST.NAME}
Severity: {EVENT.SEVERITY}
Original problem ID: {EVENT.ID}
{TRIGGER.URL}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('43','16','0','2','Updated problem: {EVENT.NAME}','{USER.FULLNAME} {EVENT.UPDATE.ACTION} problem at {EVENT.UPDATE.DATE} {EVENT.UPDATE.TIME}.
{EVENT.UPDATE.MESSAGE}

Current problem status is {EVENT.STATUS}, acknowledged: {EVENT.ACK.STATUS}.');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('44','16','1','0','Discovery: {DISCOVERY.DEVICE.STATUS} {DISCOVERY.DEVICE.IPADDRESS}','Discovery rule: {DISCOVERY.RULE.NAME}

Device IP: {DISCOVERY.DEVICE.IPADDRESS}
Device DNS: {DISCOVERY.DEVICE.DNS}
Device status: {DISCOVERY.DEVICE.STATUS}
Device uptime: {DISCOVERY.DEVICE.UPTIME}

Device service name: {DISCOVERY.SERVICE.NAME}
Device service port: {DISCOVERY.SERVICE.PORT}
Device service status: {DISCOVERY.SERVICE.STATUS}
Device service uptime: {DISCOVERY.SERVICE.UPTIME}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('45','16','2','0','Autoregistration: {HOST.HOST}','Host name: {HOST.HOST}
Host IP: {HOST.IP}
Agent port: {HOST.PORT}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('46','17','0','0','{EVENT.NAME}','Problem started at {EVENT.TIME} on {EVENT.DATE}
Problem name: {EVENT.NAME}
Host: {HOST.NAME}
Severity: {EVENT.SEVERITY}
Operational data: {EVENT.OPDATA}
Original problem ID: {EVENT.ID}
{TRIGGER.URL}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('47','17','0','1','{EVENT.NAME}','Problem has been resolved in {EVENT.DURATION} at {EVENT.RECOVERY.TIME} on {EVENT.RECOVERY.DATE}
Problem name: {EVENT.NAME}
Host: {HOST.NAME}
Severity: {EVENT.SEVERITY}
Operational data: {EVENT.OPDATA}
Original problem ID: {EVENT.ID}
{TRIGGER.URL}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('48','17','0','2','{EVENT.NAME}','{USER.FULLNAME} {EVENT.UPDATE.ACTION} problem at {EVENT.UPDATE.DATE} {EVENT.UPDATE.TIME}.
{EVENT.UPDATE.MESSAGE}

Current problem status is {EVENT.STATUS}, acknowledged: {EVENT.ACK.STATUS}.');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('49','17','1','0','Discovery: {DISCOVERY.DEVICE.STATUS} {DISCOVERY.DEVICE.IPADDRESS}','Discovery rule: {DISCOVERY.RULE.NAME}

Device IP: {DISCOVERY.DEVICE.IPADDRESS}
Device DNS: {DISCOVERY.DEVICE.DNS}
Device status: {DISCOVERY.DEVICE.STATUS}
Device uptime: {DISCOVERY.DEVICE.UPTIME}

Device service name: {DISCOVERY.SERVICE.NAME}
Device service port: {DISCOVERY.SERVICE.PORT}
Device service status: {DISCOVERY.SERVICE.STATUS}
Device service uptime: {DISCOVERY.SERVICE.UPTIME}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('50','17','2','0','Autoregistration: {HOST.HOST}','Host name: {HOST.HOST}
Host IP: {HOST.IP}
Agent port: {HOST.PORT}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('51','17','3','0','Internal problem: {EVENT.NAME}','Internal problem started at {EVENT.TIME} on {EVENT.DATE}
Problem name: {EVENT.NAME}
Host: {HOST.NAME}
Operational data: {EVENT.OPDATA}
Original problem ID: {EVENT.ID}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('52','18','0','0','[{EVENT.STATUS}] {EVENT.NAME}','Problem started at {EVENT.TIME} on {EVENT.DATE}
Problem name: {EVENT.NAME}
Host: {HOST.NAME}
Severity: {EVENT.SEVERITY}
Operational data: {EVENT.OPDATA}
Original problem ID: {EVENT.ID}
{TRIGGER.URL}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('53','18','0','1','[{EVENT.STATUS}] {EVENT.NAME}','Problem has been resolved in {EVENT.DURATION} at {EVENT.RECOVERY.TIME} on {EVENT.RECOVERY.DATE}
Problem name: {EVENT.NAME}
Host: {HOST.NAME}
Severity: {EVENT.SEVERITY}
Original problem ID: {EVENT.ID}
{TRIGGER.URL}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('54','18','0','2','[{EVENT.STATUS}] {EVENT.NAME}','{USER.FULLNAME} {EVENT.UPDATE.ACTION} problem at {EVENT.UPDATE.DATE} {EVENT.UPDATE.TIME}.
{EVENT.UPDATE.MESSAGE}

Current problem status is {EVENT.STATUS}, acknowledged: {EVENT.ACK.STATUS}.');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('55','18','1','0','Discovery: {DISCOVERY.DEVICE.STATUS} {DISCOVERY.DEVICE.IPADDRESS}','Discovery rule: {DISCOVERY.RULE.NAME}

Device IP: {DISCOVERY.DEVICE.IPADDRESS}
Device DNS: {DISCOVERY.DEVICE.DNS}
Device status: {DISCOVERY.DEVICE.STATUS}
Device uptime: {DISCOVERY.DEVICE.UPTIME}

Device service name: {DISCOVERY.SERVICE.NAME}
Device service port: {DISCOVERY.SERVICE.PORT}
Device service status: {DISCOVERY.SERVICE.STATUS}
Device service uptime: {DISCOVERY.SERVICE.UPTIME}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('56','18','2','0','Autoregistration: {HOST.HOST}','Host name: {HOST.HOST}
Host IP: {HOST.IP}
Agent port: {HOST.PORT}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('57','19','0','0','Problem: {EVENT.NAME}','Problem started at {EVENT.TIME} on {EVENT.DATE}
Problem name: {EVENT.NAME}
Host: {HOST.NAME}
Severity: {EVENT.SEVERITY}
Operational data: {EVENT.OPDATA}
Original problem ID: {EVENT.ID}
{TRIGGER.URL}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('58','19','0','1','Resolved: {EVENT.NAME}','Problem has been resolved in {EVENT.DURATION} at {EVENT.RECOVERY.TIME} on {EVENT.RECOVERY.DATE}
Problem name: {EVENT.NAME}
Host: {HOST.NAME}
Severity: {EVENT.SEVERITY}
Original problem ID: {EVENT.ID}
{TRIGGER.URL}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('59','19','0','2','Updated problem: {EVENT.NAME}','{USER.FULLNAME} {EVENT.UPDATE.ACTION} problem at {EVENT.UPDATE.DATE} {EVENT.UPDATE.TIME}.
{EVENT.UPDATE.MESSAGE}

Current problem status is {EVENT.STATUS}, acknowledged: {EVENT.ACK.STATUS}.');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('60','19','1','0','Discovery: {DISCOVERY.DEVICE.STATUS} {DISCOVERY.DEVICE.IPADDRESS}','Discovery rule: {DISCOVERY.RULE.NAME}

Device IP: {DISCOVERY.DEVICE.IPADDRESS}
Device DNS: {DISCOVERY.DEVICE.DNS}
Device status: {DISCOVERY.DEVICE.STATUS}
Device uptime: {DISCOVERY.DEVICE.UPTIME}

Device service name: {DISCOVERY.SERVICE.NAME}
Device service port: {DISCOVERY.SERVICE.PORT}
Device service status: {DISCOVERY.SERVICE.STATUS}
Device service uptime: {DISCOVERY.SERVICE.UPTIME}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('61','19','2','0','Autoregistration: {HOST.HOST}','Host name: {HOST.HOST}
Host IP: {HOST.IP}
Agent port: {HOST.PORT}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('62','20','0','0','{EVENT.NAME}','Problem started at {EVENT.TIME} on {EVENT.DATE}
Problem name: {EVENT.NAME}
Host: {HOST.NAME}
Severity: {EVENT.SEVERITY}
Operational data: {EVENT.OPDATA}
Original problem ID: {EVENT.ID}
{TRIGGER.URL}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('63','20','0','1','{EVENT.NAME}','Problem has been resolved in {EVENT.DURATION} at {EVENT.RECOVERY.TIME} on {EVENT.RECOVERY.DATE}
Problem name: {EVENT.NAME}
Host: {HOST.NAME}
Severity: {EVENT.SEVERITY}
Original problem ID: {EVENT.ID}
{TRIGGER.URL}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('64','20','0','2','{EVENT.NAME}','{USER.FULLNAME} {EVENT.UPDATE.ACTION} problem at {EVENT.UPDATE.DATE} {EVENT.UPDATE.TIME}.
{EVENT.UPDATE.MESSAGE}

Current problem status is {EVENT.STATUS}, acknowledged: {EVENT.ACK.STATUS}.');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('65','20','1','0','Discovery: {DISCOVERY.DEVICE.STATUS} {DISCOVERY.DEVICE.IPADDRESS}','Discovery rule: {DISCOVERY.RULE.NAME}

Device IP: {DISCOVERY.DEVICE.IPADDRESS}
Device DNS: {DISCOVERY.DEVICE.DNS}
Device status: {DISCOVERY.DEVICE.STATUS}
Device uptime: {DISCOVERY.DEVICE.UPTIME}

Device service name: {DISCOVERY.SERVICE.NAME}
Device service port: {DISCOVERY.SERVICE.PORT}
Device service status: {DISCOVERY.SERVICE.STATUS}
Device service uptime: {DISCOVERY.SERVICE.UPTIME}');
INSERT INTO media_type_message (mediatype_messageid,mediatypeid,eventsource,recovery,subject,message) values ('66','20','2','0','Autoregistration: {HOST.HOST}','Host name: {HOST.HOST}
Host IP: {HOST.IP}
Agent port: {HOST.PORT}');
INSERT INTO usrgrp (usrgrpid,name,gui_access,users_status,debug_mode) values ('7','Zabbix administrators','0','0','0');
INSERT INTO usrgrp (usrgrpid,name,gui_access,users_status,debug_mode) values ('8','Guests','1','0','0');
INSERT INTO usrgrp (usrgrpid,name,gui_access,users_status,debug_mode) values ('9','Disabled','0','1','0');
INSERT INTO usrgrp (usrgrpid,name,gui_access,users_status,debug_mode) values ('11','Enabled debug mode','0','0','1');
INSERT INTO usrgrp (usrgrpid,name,gui_access,users_status,debug_mode) values ('12','No access to the frontend','3','0','0');
INSERT INTO users_groups (id,usrgrpid,userid) values ('2','8','2');
INSERT INTO users_groups (id,usrgrpid,userid) values ('3','9','2');
INSERT INTO users_groups (id,usrgrpid,userid) values ('4','7','1');
INSERT INTO scripts (scriptid,name,command,host_access,usrgrpid,groupid,description,confirmation,type,execute_on) values ('1','Ping','ping -c 3 {HOST.CONN}; case $? in [01]) true;; *) false;; esac','2',NULL,NULL,'','','0','2');
INSERT INTO scripts (scriptid,name,command,host_access,usrgrpid,groupid,description,confirmation,type,execute_on) values ('2','Traceroute','/usr/bin/traceroute {HOST.CONN}','2',NULL,NULL,'','','0','2');
INSERT INTO scripts (scriptid,name,command,host_access,usrgrpid,groupid,description,confirmation,type,execute_on) values ('3','Detect operating system','sudo /usr/bin/nmap -O {HOST.CONN}','2','7',NULL,'','','0','2');
INSERT INTO actions (actionid,name,eventsource,evaltype,status,esc_period,formula,pause_suppressed) values ('2','Auto discovery. Linux servers.','1','0','1','0','','1');
INSERT INTO actions (actionid,name,eventsource,evaltype,status,esc_period,formula,pause_suppressed) values ('3','Report problems to Zabbix administrators','0','0','1','1h','','1');
INSERT INTO actions (actionid,name,eventsource,evaltype,status,esc_period,formula,pause_suppressed) values ('4','Report not supported items','3','0','1','1h','','1');
INSERT INTO actions (actionid,name,eventsource,evaltype,status,esc_period,formula,pause_suppressed) values ('5','Report not supported low level discovery rules','3','0','1','1h','','1');
INSERT INTO actions (actionid,name,eventsource,evaltype,status,esc_period,formula,pause_suppressed) values ('6','Report unknown triggers','3','0','1','1h','','1');
INSERT INTO operations (operationid,actionid,operationtype,esc_period,esc_step_from,esc_step_to,evaltype,recovery) values ('1','2','6','0','1','1','0','0');
INSERT INTO operations (operationid,actionid,operationtype,esc_period,esc_step_from,esc_step_to,evaltype,recovery) values ('2','2','4','0','1','1','0','0');
INSERT INTO operations (operationid,actionid,operationtype,esc_period,esc_step_from,esc_step_to,evaltype,recovery) values ('3','3','0','0','1','1','0','0');
INSERT INTO operations (operationid,actionid,operationtype,esc_period,esc_step_from,esc_step_to,evaltype,recovery) values ('4','4','0','0','1','1','0','0');
INSERT INTO operations (operationid,actionid,operationtype,esc_period,esc_step_from,esc_step_to,evaltype,recovery) values ('5','5','0','0','1','1','0','0');
INSERT INTO operations (operationid,actionid,operationtype,esc_period,esc_step_from,esc_step_to,evaltype,recovery) values ('6','6','0','0','1','1','0','0');
INSERT INTO operations (operationid,actionid,operationtype,esc_period,esc_step_from,esc_step_to,evaltype,recovery) values ('7','3','11','0','1','1','0','1');
INSERT INTO operations (operationid,actionid,operationtype,esc_period,esc_step_from,esc_step_to,evaltype,recovery) values ('8','4','11','0','1','1','0','1');
INSERT INTO operations (operationid,actionid,operationtype,esc_period,esc_step_from,esc_step_to,evaltype,recovery) values ('9','5','11','0','1','1','0','1');
INSERT INTO operations (operationid,actionid,operationtype,esc_period,esc_step_from,esc_step_to,evaltype,recovery) values ('10','6','11','0','1','1','0','1');
INSERT INTO opmessage (operationid,default_msg,subject,message,mediatypeid) values ('3','1','','',NULL);
INSERT INTO opmessage (operationid,default_msg,subject,message,mediatypeid) values ('4','1','','',NULL);
INSERT INTO opmessage (operationid,default_msg,subject,message,mediatypeid) values ('5','1','','',NULL);
INSERT INTO opmessage (operationid,default_msg,subject,message,mediatypeid) values ('6','1','','',NULL);
INSERT INTO opmessage (operationid,default_msg,subject,message,mediatypeid) values ('7','1','','',NULL);
INSERT INTO opmessage (operationid,default_msg,subject,message,mediatypeid) values ('8','1','','',NULL);
INSERT INTO opmessage (operationid,default_msg,subject,message,mediatypeid) values ('9','1','','',NULL);
INSERT INTO opmessage (operationid,default_msg,subject,message,mediatypeid) values ('10','1','','',NULL);
INSERT INTO opmessage_grp (opmessage_grpid,operationid,usrgrpid) values ('1','3','7');
INSERT INTO opmessage_grp (opmessage_grpid,operationid,usrgrpid) values ('2','4','7');
INSERT INTO opmessage_grp (opmessage_grpid,operationid,usrgrpid) values ('3','5','7');
INSERT INTO opmessage_grp (opmessage_grpid,operationid,usrgrpid) values ('4','6','7');
INSERT INTO opgroup (opgroupid,operationid,groupid) values ('1','2','2');
INSERT INTO conditions (conditionid,actionid,conditiontype,operator,value,value2) values ('2','2','10','0','0','');
INSERT INTO conditions (conditionid,actionid,conditiontype,operator,value,value2) values ('3','2','8','0','9','');
INSERT INTO conditions (conditionid,actionid,conditiontype,operator,value,value2) values ('4','2','12','2','Linux','');
INSERT INTO conditions (conditionid,actionid,conditiontype,operator,value,value2) values ('6','4','23','0','0','');
INSERT INTO conditions (conditionid,actionid,conditiontype,operator,value,value2) values ('7','5','23','0','2','');
INSERT INTO conditions (conditionid,actionid,conditiontype,operator,value,value2) values ('8','6','23','0','4','');
INSERT INTO config (configid,refresh_unsupported,work_period,alert_usrgrpid,discovery_groupid) values ('1','10m','1-5,09:00-18:00','7','5');
INSERT INTO graph_theme (graphthemeid,theme,backgroundcolor,graphcolor,gridcolor,maingridcolor,gridbordercolor,textcolor,highlightcolor,leftpercentilecolor,rightpercentilecolor,nonworktimecolor,colorpalette) values ('1','blue-theme','FFFFFF','FFFFFF','CCD5D9','ACBBC2','ACBBC2','1F2C33','E33734','429E47','E33734','EBEBEB','1A7C11,F63100,2774A4,A54F10,FC6EA3,6C59DC,AC8C14,611F27,F230E0,5CCD18,BB2A02,5A2B57,89ABF8,7EC25C,274482,2B5429,8048B4,FD5434,790E1F,87AC4D,E89DF4');
INSERT INTO graph_theme (graphthemeid,theme,backgroundcolor,graphcolor,gridcolor,maingridcolor,gridbordercolor,textcolor,highlightcolor,leftpercentilecolor,rightpercentilecolor,nonworktimecolor,colorpalette) values ('2','dark-theme','2B2B2B','2B2B2B','454545','4F4F4F','4F4F4F','F2F2F2','E45959','59DB8F','E45959','333333','199C0D,F63100,2774A4,F7941D,FC6EA3,6C59DC,C7A72D,BA2A5D,F230E0,5CCD18,BB2A02,AC41A5,89ABF8,7EC25C,3165D5,79A277,AA73DE,FD5434,F21C3E,87AC4D,E89DF4');
INSERT INTO graph_theme (graphthemeid,theme,backgroundcolor,graphcolor,gridcolor,maingridcolor,gridbordercolor,textcolor,highlightcolor,leftpercentilecolor,rightpercentilecolor,nonworktimecolor,colorpalette) values ('3','hc-light','FFFFFF','FFFFFF','555555','000000','333333','000000','333333','000000','000000','EBEBEB','1A7C11,F63100,2774A4,A54F10,FC6EA3,6C59DC,AC8C14,611F27,F230E0,5CCD18,BB2A02,5A2B57,89ABF8,7EC25C,274482,2B5429,8048B4,FD5434,790E1F,87AC4D,E89DF4');
INSERT INTO graph_theme (graphthemeid,theme,backgroundcolor,graphcolor,gridcolor,maingridcolor,gridbordercolor,textcolor,highlightcolor,leftpercentilecolor,rightpercentilecolor,nonworktimecolor,colorpalette) values ('4','hc-dark','000000','000000','666666','888888','4F4F4F','FFFFFF','FFFFFF','FFFFFF','FFFFFF','333333','199C0D,F63100,2774A4,F7941D,FC6EA3,6C59DC,C7A72D,BA2A5D,F230E0,5CCD18,BB2A02,AC41A5,89ABF8,7EC25C,3165D5,79A277,AA73DE,FD5434,F21C3E,87AC4D,E89DF4');
INSERT INTO globalmacro (globalmacroid,macro,value,description,type) values ('2','{$SNMP_COMMUNITY}','public','','0');
INSERT INTO regexps (regexpid,name,test_string) values ('1','File systems for discovery','ext3');
INSERT INTO regexps (regexpid,name,test_string) values ('2','Network interfaces for discovery','eth0');
INSERT INTO regexps (regexpid,name,test_string) values ('3','Storage devices for SNMP discovery','/boot');
INSERT INTO regexps (regexpid,name,test_string) values ('4','Windows service names for discovery','SysmonLog');
INSERT INTO regexps (regexpid,name,test_string) values ('5','Windows service startup states for discovery','automatic');
INSERT INTO expressions (expressionid,regexpid,expression,expression_type,exp_delimiter,case_sensitive) values ('1','1','^(btrfs|ext2|ext3|ext4|reiser|xfs|ffs|ufs|jfs|jfs2|vxfs|hfs|apfs|refs|ntfs|fat32|zfs)$','3',',','0');
INSERT INTO expressions (expressionid,regexpid,expression,expression_type,exp_delimiter,case_sensitive) values ('3','3','^(Physical memory|Virtual memory|Memory buffers|Cached memory|Swap space)$','4',',','1');
INSERT INTO expressions (expressionid,regexpid,expression,expression_type,exp_delimiter,case_sensitive) values ('5','4','^(MMCSS|gupdate|SysmonLog|clr_optimization_v2.0.50727_32|clr_optimization_v4.0.30319_32)$','4',',','1');
INSERT INTO expressions (expressionid,regexpid,expression,expression_type,exp_delimiter,case_sensitive) values ('6','5','^(automatic|automatic delayed)$','3',',','1');
INSERT INTO expressions (expressionid,regexpid,expression,expression_type,exp_delimiter,case_sensitive) values ('7','2','^Software Loopback Interface','4',',','1');
INSERT INTO expressions (expressionid,regexpid,expression,expression_type,exp_delimiter,case_sensitive) values ('8','2','^(In)?[Ll]oop[Bb]ack[0-9._]*$','4',',','1');
INSERT INTO expressions (expressionid,regexpid,expression,expression_type,exp_delimiter,case_sensitive) values ('9','2','^NULL[0-9.]*$','4',',','1');
INSERT INTO expressions (expressionid,regexpid,expression,expression_type,exp_delimiter,case_sensitive) values ('10','2','^[Ll]o[0-9.]*$','4',',','1');
INSERT INTO expressions (expressionid,regexpid,expression,expression_type,exp_delimiter,case_sensitive) values ('11','2','^[Ss]ystem$','4',',','1');
INSERT INTO expressions (expressionid,regexpid,expression,expression_type,exp_delimiter,case_sensitive) values ('12','2','^Nu[0-9.]*$','4',',','1');
INSERT INTO config_autoreg_tls (autoreg_tlsid,tls_psk_identity,tls_psk) values ('1','','');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10001',NULL,'Template OS Linux by Zabbix agent','3','-1','2','','','Template OS Linux by Zabbix agent','0',NULL,'Official Linux template. Requires agent of Zabbix 3.0.14, 3.4.5 and 4.0.0 or newer.

Known Issues:

  Description: Network discovery. Zabbix agent as of 4.2 doesn''t support items such as net.if.status, net.if.speed.

You can discuss this template or leave feedback on our forum https://www.zabbix.com/forum/zabbix-suggestions-and-feedback/387225-discussion-thread-for-official-zabbix-template-for-linux

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10047',NULL,'Template App Zabbix Server','3','-1','2','','','Template App Zabbix Server','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10048',NULL,'Template App Zabbix Proxy','3','-1','2','','','Template App Zabbix Proxy','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10050',NULL,'Template Module Zabbix agent','3','-1','2','','','Template Module Zabbix agent','0',NULL,'Use this template for agents reachable from Zabbix server/proxy (passive mode).

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10074',NULL,'Template OS OpenBSD','3','-1','2','','','Template OS OpenBSD','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10075',NULL,'Template OS FreeBSD','3','-1','2','','','Template OS FreeBSD','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10076',NULL,'Template OS AIX','3','-1','2','','','Template OS AIX','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10077',NULL,'Template OS HP-UX','3','-1','2','','','Template OS HP-UX','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10078',NULL,'Template OS Solaris','3','-1','2','','','Template OS Solaris','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10079',NULL,'Template OS Mac OS X','3','-1','2','','','Template OS Mac OS X','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10081',NULL,'Template OS Windows by Zabbix agent','3','-1','2','','','Template OS Windows by Zabbix agent','0',NULL,'Official Windows template. Requires agent of Zabbix 4.4 and newer.


You can discuss this template or leave feedback on our forum https://www.zabbix.com/forum/zabbix-suggestions-and-feedback/387224-discussion-thread-for-official-zabbix-template-for-windows

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10084',NULL,'Zabbix server','0','-1','2','','','Zabbix server','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10093',NULL,'Template App FTP Service','3','-1','2','','','Template App FTP Service','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10094',NULL,'Template App HTTP Service','3','-1','2','','','Template App HTTP Service','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10095',NULL,'Template App HTTPS Service','3','-1','2','','','Template App HTTPS Service','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10096',NULL,'Template App IMAP Service','3','-1','2','','','Template App IMAP Service','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10097',NULL,'Template App LDAP Service','3','-1','2','','','Template App LDAP Service','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10098',NULL,'Template App NNTP Service','3','-1','2','','','Template App NNTP Service','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10099',NULL,'Template App NTP Service','3','-1','2','','','Template App NTP Service','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10100',NULL,'Template App POP Service','3','-1','2','','','Template App POP Service','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10101',NULL,'Template App SMTP Service','3','-1','2','','','Template App SMTP Service','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10102',NULL,'Template App SSH Service','3','-1','2','','','Template App SSH Service','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10103',NULL,'Template App Telnet Service','3','-1','2','','','Template App Telnet Service','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10169',NULL,'Template App Generic Java JMX','3','-1','2','','','Template App Generic Java JMX','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10170',NULL,'Template DB MySQL','3','-1','2','','','Template DB MySQL','0',NULL,E'Requirements for template operation:
1.Install Zabbix agent and MySQL client.
2.Copy Template_DB_MySQL.conf into folder with Zabbix agent configuration (/etc/zabbix/zabbix_agentd.d/ by default). Don''t forget restart zabbix-agent. 
3.Create MySQL user for monitoring. For example:
CREATE USER ''zbx_monitor''@''%'' IDENTIFIED BY ''<password>'';
GRANT USAGE,REPLICATION CLIENT,PROCESS,SHOW DATABASES,SHOW VIEW ON *.* TO ''zbx_monitor''@''%'';
For more information read the MYSQL documentation https://dev.mysql.com/doc/refman/8.0/en/grant.html , please. 
4.Create .my.cnf in home directory of Zabbix agent for Linux (/var/lib/zabbix by default ) or my.cnf in c:\\ for Windows. For example:
[client]
user=zbx_monitor
password=<password>','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10171',NULL,'Template Server Intel SR1530 IPMI','3','-1','2','','','Template Server Intel SR1530 IPMI','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10172',NULL,'Template Server Intel SR1630 IPMI','3','-1','2','','','Template Server Intel SR1630 IPMI','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10173',NULL,'Template VM VMware','3','-1','2','','','Template VM VMware','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10174',NULL,'Template VM VMware Guest','3','-1','2','','','Template VM VMware Guest','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10175',NULL,'Template VM VMware Hypervisor','3','-1','2','','','Template VM VMware Hypervisor','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10176',NULL,'{#HV.UUID}','0','-1','2','','','{#HV.NAME}','2',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10177',NULL,'{#VM.UUID}','0','-1','2','','','{#VM.NAME}','2',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10182',NULL,'Template Module EtherLike-MIB SNMPv1','3','-1','2','','','Template Module EtherLike-MIB SNMPv1','0',NULL,'Template EtherLike-MIB (duplex control only)

MIBs used:
EtherLike-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10183',NULL,'Template Module EtherLike-MIB SNMPv2','3','-1','2','','','Template Module EtherLike-MIB SNMPv2','0',NULL,'Template EtherLike-MIB (duplex control only)

MIBs used:
EtherLike-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10184',NULL,'Template Module HOST-RESOURCES-MIB SNMPv1','3','-1','2','','','Template Module HOST-RESOURCES-MIB SNMPv1','0',NULL,'HOST-RESOURCES-MIB: CPU, memory and storage(vfs.fs.file) linked together.

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10185',NULL,'Template Module HOST-RESOURCES-MIB SNMPv2','3','-1','2','','','Template Module HOST-RESOURCES-MIB SNMPv2','0',NULL,'HOST-RESOURCES-MIB: CPU, memory and storage(vfs.fs.file) linked together.

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10186',NULL,'Template Module ICMP Ping','3','-1','2','','','Template Module ICMP Ping','0',NULL,'Template Module ICMP Ping

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10187',NULL,'Template Module Interfaces Simple SNMPv1','3','-1','2','','','Template Module Interfaces Simple SNMPv1','0',NULL,'Template Module Interfaces Simple (no ifXTable). This is the exact copy of Template Module Interfaces template with the exception that metrics from ifXTable are replaced with ifTable counters where possible. Use this template with devices where IF-MIB::ifXtable is not available. If supported by the host - use Template Module Interfaces template instead.

MIBs used:
IF-MIB

Known Issues:

  Description: 32bit counters are used in this template (since there is no ifXtable available). If busy interfaces return incorrect bits sent/received - set update interval to 1m or less.

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10188',NULL,'Template Module Interfaces Simple SNMPv2','3','-1','2','','','Template Module Interfaces Simple SNMPv2','0',NULL,'Template Module Interfaces Simple (no ifXTable). This is the exact copy of Template Module Interfaces template with the exception that metrics from ifXTable are replaced with ifTable counters where possible. Use this template with devices where IF-MIB::ifXtable is not available. If supported by the host - use Template Module Interfaces template instead.

MIBs used:
IF-MIB

Known Issues:

  Description: 32bit counters are used in this template (since there is no ifXtable available). If busy interfaces return incorrect bits sent/received - set update interval to 1m or less.

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10189',NULL,'Template Module Interfaces SNMPv1','3','-1','2','','','Template Module Interfaces SNMPv1','0',NULL,'Template Module Interfaces

MIBs used:
IF-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10190',NULL,'Template Module Interfaces SNMPv2','3','-1','2','','','Template Module Interfaces SNMPv2','0',NULL,'Template Module Interfaces

MIBs used:
IF-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10192',NULL,'Template Module Interfaces Windows SNMPv2','3','-1','2','','','Template Module Interfaces Windows SNMPv2','0',NULL,'Template Interfaces Windows

MIBs used:
IF-MIB

Known Issues:

  Description: 32bit counters are used in this template (since 64bit are not supported by Windows OS). If busy interfaces return incorrect bits sent/received - set update interval to 1m or less.

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10203',NULL,'Template Module Generic SNMPv1','3','-1','2','','','Template Module Generic SNMPv1','0',NULL,'Template Module Generic

MIBs used:
SNMPv2-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10204',NULL,'Template Module Generic SNMPv2','3','-1','2','','','Template Module Generic SNMPv2','0',NULL,'Template Module Generic

MIBs used:
SNMPv2-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10207',NULL,'Template Net Alcatel Timetra TiMOS SNMPv2','3','-1','2','','','Template Net Alcatel Timetra TiMOS SNMPv2','0',NULL,'Template Net Alcatel Timetra TiMOS

MIBs used:
TIMETRA-CHASSIS-MIB
TIMETRA-SYSTEM-MIB
SNMPv2-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10208',NULL,'Template Net Brocade FC SNMPv2','3','-1','2','','','Template Net Brocade FC SNMPv2','0',NULL,'Template Net Brocade FC

MIBs used:
SW-MIB

Known Issues:

  Description: no IF-MIB::ifAlias is available
  Version: v6.3.1c, v7.0.0c,  v7.4.1c
  Device: all

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10209',NULL,'Template Module Brocade_Foundry Performance SNMPv2','3','-1','2','','','Template Module Brocade_Foundry Performance SNMPv2','0',NULL,'Template Module Brocade_Foundry Performance

MIBs used:
FOUNDRY-SN-AGENT-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10210',NULL,'Template Net Brocade_Foundry Nonstackable SNMPv2','3','-1','2','','','Template Net Brocade_Foundry Nonstackable SNMPv2','0',NULL,'Template Net Brocade_Foundry Nonstackable

MIBs used:
FOUNDRY-SN-AGENT-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10211',NULL,'Template Net Brocade_Foundry Stackable SNMPv2','3','-1','2','','','Template Net Brocade_Foundry Stackable SNMPv2','0',NULL,'Template Brocade_Foundry Stackable

MIBs used:
FOUNDRY-SN-AGENT-MIB
FOUNDRY-SN-STACKING-MIB

Known Issues:

  Description: Correct fan(returns fan status as ''other(1)'' and temperature (returns 0) for the non-master Switches are not available in SNMP
  Version: Version 08.0.40b and above
  Device: ICX 7750 in stack

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10212',NULL,'Template Module Cisco CISCO-MEMORY-POOL-MIB SNMPv2','3','-1','2','','','Template Module Cisco CISCO-MEMORY-POOL-MIB SNMPv2','0',NULL,'Template Cisco CISCO-MEMORY-POOL-MIB

MIBs used:
CISCO-MEMORY-POOL-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10213',NULL,'Template Module Cisco CISCO-PROCESS-MIB SNMPv2','3','-1','2','','','Template Module Cisco CISCO-PROCESS-MIB SNMPv2','0',NULL,'Template Cisco CISCO-PROCESS-MIB

MIBs used:
CISCO-PROCESS-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10215',NULL,'Template Module Cisco OLD-CISCO-CPU-MIB SNMPv2','3','-1','2','','','Template Module Cisco OLD-CISCO-CPU-MIB SNMPv2','0',NULL,'Template Cisco OLD-CISCO-CPU-MIB

MIBs used:
OLD-CISCO-CPU-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10216',NULL,'Template Module Cisco Inventory SNMPv2','3','-1','2','','','Template Module Cisco Inventory SNMPv2','0',NULL,'Template Cisco Inventory

MIBs used:
ENTITY-MIB
SNMPv2-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10217',NULL,'Template Module Cisco CISCO-ENVMON-MIB SNMPv2','3','-1','2','','','Template Module Cisco CISCO-ENVMON-MIB SNMPv2','0',NULL,'Template Cisco CISCO-ENVMON-MIB

MIBs used:
CISCO-ENVMON-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10218',NULL,'Template Net Cisco IOS SNMPv2','3','-1','2','','','Template Net Cisco IOS SNMPv2','0',NULL,'Template Cisco IOS Software releases 12.2(3.5) or later

Known Issues:

  Description: no if(in|out)(Errors|Discards) are available for vlan ifType
  Version: IOS for example: 12.1(22)EA11, 15.4(3)M2
  Device: C2911, C7600

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10220',NULL,'Template Net Cisco IOS prior to 12.0_3_T SNMPv2','3','-1','2','','','Template Net Cisco IOS prior to 12.0_3_T SNMPv2','0',NULL,'Cisco IOS Software releases prior to 12.0(3)T

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10221',NULL,'Template Net Dell Force S-Series SNMPv2','3','-1','2','','','Template Net Dell Force S-Series SNMPv2','0',NULL,'Template Dell Force S-Series

MIBs used:
F10-S-SERIES-CHASSIS-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10222',NULL,'Template Net D-Link DES 7200 SNMPv2','3','-1','2','','','Template Net D-Link DES 7200 SNMPv2','0',NULL,'Template D-Link DES 7200

MIBs used:
MY-PROCESS-MIB
SNMPv2-MIB
MY-MEMORY-MIB
ENTITY-MIB
MY-SYSTEM-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10223',NULL,'Template Net D-Link DES_DGS Switch SNMPv2','3','-1','2','','','Template Net D-Link DES_DGS Switch SNMPv2','0',NULL,'Template D-Link DES_DGS Switch

MIBs used:
DLINK-AGENT-MIB
SNMPv2-MIB
ENTITY-MIB
EQUIPMENT-MIB

Known Issues:

  Description: D-Link reports missing PSU as fail(4)
  Version: Firmware: 1.73R008,hardware revision: B1
  Device: DGS-3420-26SC Gigabit Ethernet Switch

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10224',NULL,'Template Net Extreme EXOS SNMPv2','3','-1','2','','','Template Net Extreme EXOS SNMPv2','0',NULL,'Template Extreme EXOS

MIBs used:
EXTREME-SOFTWARE-MONITOR-MIB
EXTREME-SYSTEM-MIB
ENTITY-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10225',NULL,'Template Net Network Generic Device SNMPv1','3','-1','2','','','Template Net Network Generic Device SNMPv1','0',NULL,'Template Net Network Generic Device

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10226',NULL,'Template Net Network Generic Device SNMPv2','3','-1','2','','','Template Net Network Generic Device SNMPv2','0',NULL,'Template Net Network Generic Device

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10227',NULL,'Template Net HP Comware HH3C SNMPv2','3','-1','2','','','Template Net HP Comware HH3C SNMPv2','0',NULL,'Template Net HP Comware (HH3C)

MIBs used:
ENTITY-MIB
HH3C-ENTITY-EXT-MIB

Known Issues:

  Description: No temperature sensors. All entities of them return 0 for HH3C-ENTITY-EXT-MIB::hh3cEntityExtTemperature
  Version: 1910-48 Switch Software Version 5.20.99, Release 1116 Copyright(c)2010-2016 Hewlett Packard Enterprise Development LP
  Device: HP 1910-48

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10229',NULL,'Template Net Huawei VRP SNMPv2','3','-1','2','','','Template Net Huawei VRP SNMPv2','0',NULL,'Template Net Huawei VRP

MIBs used:
HUAWEI-ENTITY-EXTENT-MIB
ENTITY-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10230',NULL,'Template Net Intel_Qlogic Infiniband SNMPv2','3','-1','2','','','Template Net Intel_Qlogic Infiniband SNMPv2','0',NULL,'Template Net Intel_Qlogic Infiniband

MIBs used:
ICS-CHASSIS-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10231',NULL,'Template Net Juniper SNMPv2','3','-1','2','','','Template Net Juniper SNMPv2','0',NULL,'Template Net Juniper

MIBs used:
JUNIPER-ALARM-MIB
JUNIPER-MIB
SNMPv2-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10233',NULL,'Template Net Mikrotik SNMPv2','3','-1','2','','','Template Net Mikrotik SNMPv2','0',NULL,'Template Net Mikrotik

MIBs used:
HOST-RESOURCES-MIB
MIKROTIK-MIB

Known Issues:

  Description: Doesn''t have ifHighSpeed filled. fixed in more recent versions
  Version: RouterOS 6.28 or lower

  Description: Doesn''t have any temperature sensors
  Version: RouterOS 6.38.5
  Device: Mikrotik 941-2nD, Mikrotik 951G-2HnD

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10234',NULL,'Template Net Netgear Fastpath SNMPv2','3','-1','2','','','Template Net Netgear Fastpath SNMPv2','0',NULL,'Template Net Netgear Fastpath

MIBs used:
FASTPATH-SWITCHING-MIB
FASTPATH-BOXSERVICES-PRIVATE-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10235',NULL,'Template Net QTech QSW SNMPv2','3','-1','2','','','Template Net QTech QSW SNMPv2','0',NULL,'Template Net QTech QSW

MIBs used:
QTECH-MIB
ENTITY-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10236',NULL,'Template Net TP-LINK SNMPv2','3','-1','2','','','Template Net TP-LINK SNMPv2','0',NULL,'Template Net TP-LINK JetStream

MIBs used:
TPLINK-SYSINFO-MIB
TPLINK-SYSMONITOR-MIB

Known Issues:

  Description: default sysLocation, sysName and sysContact is not filled with proper data. Real hostname and location can be found only in private branch(TPLINK-SYSINFO-MIB). Please check whether this problem exists in the latest firware: http://www.tp-linkru.com/download/T2600G-28TS.html#Firmware
  Version: 2.0.0 Build 20170628 Rel.55184(Beta)
  Device: T2600G-28TS 2.0

  Description: The Serial number of the product(tpSysInfoSerialNum) is missing in HW versions prior to V2_170323
  Version: prior to version V2_170323
  Device: T2600G-28TS 2.0

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10237',NULL,'Template Net Ubiquiti AirOS SNMPv1','3','-1','2','','','Template Net Ubiquiti AirOS SNMPv1','0',NULL,'Template Net Ubiquiti AirOS

MIBs used:
IEEE802dot11-MIB
FROGFOOT-RESOURCES-MIB

Known Issues:

  Description: UBNT unifi reports speed: like IF-MIB::ifSpeed.1 = Gauge32: 4294967295 for all interfaces
  Version: Firmware: BZ.ar7240.v3.7.51.6230.170322.1513
  Device: UBNT UAP-LR

  Description: UBNT AirMax(NanoStation, NanoBridge etc) reports ifSpeed: as 0 for VLAN and wireless(ath0) interfaces
  Version: Firmware: XW.ar934x.v5.6-beta4.22359.140521.1836
  Device: NanoStation M5

  Description: UBNT AirMax(NanoStation, NanoBridge etc) reports always return ifType: as ethernet(6) even for wifi,vlans and other types
  Version: Firmware: XW.ar934x.v5.6-beta4.22359.140521.1836
  Device: NanoStation M5

  Description: ifXTable is not provided in IF-MIB. So Interfaces Simple Template is used instead
  Version: all above
  Device: NanoStation, UAP-LR

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10248',NULL,'Template OS Linux SNMPv2','3','-1','2','','','Template OS Linux SNMPv2','0',NULL,'Template OS Linux

You can discuss this template or leave feedback on our forum https://www.zabbix.com/forum/zabbix-suggestions-and-feedback/387225-discussion-thread-for-official-zabbix-template-for-linux

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10249',NULL,'Template OS Windows SNMPv2','3','-1','2','','','Template OS Windows SNMPv2','0',NULL,'Official Windows SNMP template. Requires Zabbix server 4.0.14, 4.2.8, 4.4.0 or newer (JSONPath function avg() used with types autoconversion).


Known Issues:

  Description: Doesn''t support In/Out 64 bit counters even though IfxTable is present:
Currently, Windows gets it’s interface status from MIB-2. Since these 64bit SNMP counters (ifHCInOctets, ifHCOutOctets, etc.) are defined as an extension to IF-MIB, Microsoft has not implemented it.
https://social.technet.microsoft.com/Forums/windowsserver/en-US/07b62ff0-94f6-40ca-a99d-d129c1b33d70/windows-2008-r2-snmp-64bit-counters-support?forum=winservergen

  Version: Win2008, Win2012R2.

  Description: Doesn''t support ifXTable at all
  Version: WindowsXP

  Description: EtherLike MIB is not supported
  Version: *
  Device: *

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10250',NULL,'Template Net HP Enterprise Switch SNMPv2','3','-1','2','','','Template Net HP Enterprise Switch SNMPv2','0',NULL,'Template Net HP Enterprise Switch

MIBs used:
SEMI-MIB
NETSWITCH-MIB
HP-ICF-CHASSIS
ENTITY-SENSORS-MIB
ENTITY-MIB
STATISTICS-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10251',NULL,'Template Net Mellanox SNMPv2','3','-1','2','','','Template Net Mellanox SNMPv2','0',NULL,'Template Net Mellanox

MIBs used:
ENTITY-SENSORS-MIB
ENTITY-STATE-MIB
ENTITY-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10252',NULL,'Template Module Cisco CISCO-PROCESS-MIB IOS versions 12.0_3_T-12.2_3.5 SNMPv2','3','-1','2','','','Template Module Cisco CISCO-PROCESS-MIB IOS versions 12.0_3_T-12.2_3.5 SNMPv2','0',NULL,'Template Module Cisco CISCO-PROCESS-MIB IOS versions 12.0_3_T-12.2_3.5

MIBs used:
CISCO-PROCESS-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10253',NULL,'Template Net Cisco IOS versions 12.0_3_T-12.2_3.5 SNMPv2','3','-1','2','','','Template Net Cisco IOS versions 12.0_3_T-12.2_3.5 SNMPv2','0',NULL,'Cisco IOS Software releases later to 12.0(3)T and prior to 12.2(3.5)

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10254',NULL,'Template Net Arista SNMPv2','3','-1','2','','','Template Net Arista SNMPv2','0',NULL,'Template Net Arista

MIBs used:
ENTITY-SENSORS-MIB
ENTITY-STATE-MIB
ENTITY-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10255',NULL,'Template Server Dell iDRAC SNMPv2','3','-1','2','','','Template Server Dell iDRAC SNMPv2','0',NULL,'Template Server iDRAC

MIBs used:
IDRAC-MIB-SMIv2

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10256',NULL,'Template Server HP iLO SNMPv2','3','-1','2','','','Template Server HP iLO SNMPv2','0',NULL,'Template Server HP iLO

MIBs used:
CPQSINFO-MIB
CPQHLTH-MIB
CPQIDA-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10257',NULL,'Template Server IBM IMM SNMPv1','3','-1','2','','','Template Server IBM IMM SNMPv1','0',NULL,'Template Server IBM IMM

MIBs used:
IMM-MIB

Known Issues:

  Description: Some IMMs (IMM1) do not return disks
  Version: IMM1
  Device: IBM x3250M3

  Description: Some IMMs (IMM1) do not return fan status: fanHealthStatus
  Version: IMM1
  Device: IBM x3250M3

  Description: IMM1 servers (M2, M3 generations) sysObjectID is NET-SNMP-MIB::netSnmpAgentOIDs.10
  Version: IMM1
  Device: IMM1 servers (M2,M3 generations)

  Description: IMM1 servers (M2, M3 generations) only Ambient temperature sensor available
  Version: IMM1
  Device: IMM1 servers (M2,M3 generations)

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10258',NULL,'Template Server IBM IMM SNMPv2','3','-1','2','','','Template Server IBM IMM SNMPv2','0',NULL,'Template Server IBM IMM

MIBs used:
IMM-MIB

Known Issues:

  Description: Some IMMs (IMM1) do not return disks
  Version: IMM1
  Device: IBM x3250M3

  Description: Some IMMs (IMM1) do not return fan status: fanHealthStatus
  Version: IMM1
  Device: IBM x3250M3

  Description: IMM1 servers (M2, M3 generations) sysObjectID is NET-SNMP-MIB::netSnmpAgentOIDs.10
  Version: IMM1
  Device: IMM1 servers (M2,M3 generations)

  Description: IMM1 servers (M2, M3 generations) only Ambient temperature sensor available
  Version: IMM1
  Device: IMM1 servers (M2,M3 generations)

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10259',NULL,'Template Server Supermicro Aten SNMPv2','3','-1','2','','','Template Server Supermicro Aten SNMPv2','0',NULL,'Template Server Supermicro Aten

MIBs used:
ATEN-IPMI-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10260',NULL,'Template App Apache Tomcat JMX','3','-1','2','','','Template App Apache Tomcat JMX','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10261',NULL,'Template App Remote Zabbix server','3','-1','2','','','Template App Remote Zabbix server','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10262',NULL,'Template App Remote Zabbix proxy','3','-1','2','','','Template App Remote Zabbix proxy','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10263',NULL,'Template DB PostgreSQL','3','-1','2','','','Template DB PostgreSQL','0',NULL,'','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10264',NULL,'Template App Apache by Zabbix agent','3','-1','2','','','Template App Apache by Zabbix agent','0',NULL,'Get metrics from mod_status module using HTTP agent.
https://httpd.apache.org/docs/current/mod/mod_status.html

You can discuss this template or leave feedback on our forum https://www.zabbix.com/forum/zabbix-suggestions-and-feedback/384764-discussion-thread-for-official-zabbix-template-apache

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10265',NULL,'Template App Apache by HTTP','3','-1','2','','','Template App Apache by HTTP','0',NULL,'Get metrics from mod_status module using HTTP agent.
https://httpd.apache.org/docs/current/mod/mod_status.html

You can discuss this template or leave feedback on our forum https://www.zabbix.com/forum/zabbix-suggestions-and-feedback/384764-discussion-thread-for-official-zabbix-template-apache

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10266',NULL,'Template App Nginx by Zabbix agent','3','-1','2','','','Template App Nginx by Zabbix agent','0',NULL,'Get metrics from stub status module using Zabbix agent running on Linux
https://nginx.ru/en/docs/http/ngx_http_stub_status_module.html


You can discuss this template or leave feedback on our forum https://www.zabbix.com/forum/zabbix-suggestions-and-feedback/384765-discussion-thread-for-official-zabbix-template-nginx

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10267',NULL,'Template App Nginx by HTTP','3','-1','2','','','Template App Nginx by HTTP','0',NULL,'Get metrics from stub status module using HTTP agent
https://nginx.ru/en/docs/http/ngx_http_stub_status_module.html.


You can discuss this template or leave feedback on our forum https://www.zabbix.com/forum/zabbix-suggestions-and-feedback/384765-discussion-thread-for-official-zabbix-template-nginx

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10268',NULL,'Template Module Linux memory SNMPv2','3','-1','2','','','Template Module Linux memory SNMPv2','0',NULL,'MIBs used:
UCD-SNMP-MIB

Known Issues:

  Description: Please note that memory utilization is a rough estimate, since memory available is calculated as free+buffers+cached, which is not 100% accurate, but the best we can get using SNMP.

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10269',NULL,'Template Module Linux block devices SNMPv2','3','-1','2','','','Template Module Linux block devices SNMPv2','0',NULL,'MIBs used:
UCD-DISKIO-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10270',NULL,'Template Module Linux CPU SNMPv2','3','-1','2','','','Template Module Linux CPU SNMPv2','0',NULL,'MIBs used:
HOST-RESOURCES-MIB
UCD-SNMP-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10271',NULL,'Template Module Linux filesystems SNMPv2','3','-1','2','','','Template Module Linux filesystems SNMPv2','0',NULL,'MIBs used:
HOST-RESOURCES-MIB
UCD-SNMP-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10272',NULL,'Template Module Linux CPU by Zabbix agent','3','-1','2','','','Template Module Linux CPU by Zabbix agent','0',NULL,'Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10273',NULL,'Template Module Linux filesystems by Zabbix agent','3','-1','2','','','Template Module Linux filesystems by Zabbix agent','0',NULL,'Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10274',NULL,'Template Module Linux memory by Zabbix agent','3','-1','2','','','Template Module Linux memory by Zabbix agent','0',NULL,'Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10275',NULL,'Template Module Linux block devices by Zabbix agent','3','-1','2','','','Template Module Linux block devices by Zabbix agent','0',NULL,'Known Issues:

  Description: If having problems accessing /proc/diskstats on CloudLinux, please read this https://docs.cloudlinux.com/cloudlinux_os_kernel/#virtualized-proc-filesystem.
  Device: CloudLinux

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10276',NULL,'Template Module Linux network interfaces by Zabbix agent','3','-1','2','','','Template Module Linux network interfaces by Zabbix agent','0',NULL,'Known Issues:

  Description: High interface utilization trigger is removed since currently it is not possible to retrieve interface speed to determine the max bandwidth.

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10277',NULL,'Template Module Linux generic by Zabbix agent','3','-1','2','','','Template Module Linux generic by Zabbix agent','0',NULL,'Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10278',NULL,'Template Module Linux CPU by Zabbix agent active','3','-1','2','','','Template Module Linux CPU by Zabbix agent active','0',NULL,'Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10279',NULL,'Template Module Linux filesystems by Zabbix agent active','3','-1','2','','','Template Module Linux filesystems by Zabbix agent active','0',NULL,'Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10280',NULL,'Template Module Linux memory by Zabbix agent active','3','-1','2','','','Template Module Linux memory by Zabbix agent active','0',NULL,'Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10281',NULL,'Template Module Linux block devices by Zabbix agent active','3','-1','2','','','Template Module Linux block devices by Zabbix agent active','0',NULL,'Known Issues:

  Description: If having problems accessing /proc/diskstats on CloudLinux, please read this https://docs.cloudlinux.com/cloudlinux_os_kernel/#virtualized-proc-filesystem.
  Device: CloudLinux

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10282',NULL,'Template Module Linux network interfaces by Zabbix agent active','3','-1','2','','','Template Module Linux network interfaces by Zabbix agent active','0',NULL,'Known Issues:

  Description: High interface utilization trigger is removed since currently it is not possible to retrieve interface speed to determine the max bandwidth.

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10283',NULL,'Template Module Linux generic by Zabbix agent active','3','-1','2','','','Template Module Linux generic by Zabbix agent active','0',NULL,'Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10284',NULL,'Template OS Linux by Zabbix agent active','3','-1','2','','','Template OS Linux by Zabbix agent active','0',NULL,'Official Linux template. Requires agent of Zabbix 3.0.14, 3.4.5 and 4.0.0 or newer.

Known Issues:

  Description: Network discovery. Zabbix agent as of 4.2 doesn''t support items such as net.if.status, net.if.speed.

You can discuss this template or leave feedback on our forum https://www.zabbix.com/forum/zabbix-suggestions-and-feedback/387225-discussion-thread-for-official-zabbix-template-for-linux

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10285',NULL,'Template OS Linux by Prom','3','-1','2','','','Template OS Linux by Prom','0',NULL,'Official Linux template using node exporter.

Known Issues:

  Description: node_exporter v0.16.0 renamed many metrics. CPU utilization for ''guest'' and ''guest_nice'' metrics are not supported in this template with node_exporter < 0.16. Disk IO metrics are not supported. Other metrics provided as ''best effort''.  
 See https://github.com/prometheus/node_exporter/releases/tag/v0.16.0 for details.
  Version: below 0.16.0

  Description: metric node_network_info with label ''device'' cannot be found, so network discovery is not possible.
  Version: below 0.18

You can discuss this template or leave feedback on our forum https://www.zabbix.com/forum/zabbix-suggestions-and-feedback/387225-discussion-thread-for-official-zabbix-template-for-linux

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10286',NULL,'Template Module Windows CPU by Zabbix agent','3','-1','2','','','Template Module Windows CPU by Zabbix agent','0',NULL,'Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10287',NULL,'Template Module Windows memory by Zabbix agent','3','-1','2','','','Template Module Windows memory by Zabbix agent','0',NULL,'Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10288',NULL,'Template Module Windows filesystems by Zabbix agent','3','-1','2','','','Template Module Windows filesystems by Zabbix agent','0',NULL,'Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10289',NULL,'Template Module Windows physical disks by Zabbix agent','3','-1','2','','','Template Module Windows physical disks by Zabbix agent','0',NULL,'Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10290',NULL,'Template Module Windows generic by Zabbix agent','3','-1','2','','','Template Module Windows generic by Zabbix agent','0',NULL,'Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10291',NULL,'Template Module Windows network by Zabbix agent','3','-1','2','','','Template Module Windows network by Zabbix agent','0',NULL,'Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10292',NULL,'Template Module Zabbix agent active','3','-1','2','','','Template Module Zabbix agent active','0',NULL,'Use this template instead of ''Template Module Zabbix agent'' for agents running in active mode only.

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10293',NULL,'Template Module Windows CPU by Zabbix agent active','3','-1','2','','','Template Module Windows CPU by Zabbix agent active','0',NULL,'Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10294',NULL,'Template Module Windows memory by Zabbix agent active','3','-1','2','','','Template Module Windows memory by Zabbix agent active','0',NULL,'Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10295',NULL,'Template Module Windows filesystems by Zabbix agent active','3','-1','2','','','Template Module Windows filesystems by Zabbix agent active','0',NULL,'Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10296',NULL,'Template Module Windows physical disks by Zabbix agent active','3','-1','2','','','Template Module Windows physical disks by Zabbix agent active','0',NULL,'Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10297',NULL,'Template Module Windows generic by Zabbix agent active','3','-1','2','','','Template Module Windows generic by Zabbix agent active','0',NULL,'Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10298',NULL,'Template Module Windows network by Zabbix agent active','3','-1','2','','','Template Module Windows network by Zabbix agent active','0',NULL,'Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10299',NULL,'Template OS Windows by Zabbix agent active','3','-1','2','','','Template OS Windows by Zabbix agent active','0',NULL,'Official Windows template. Requires agent of Zabbix 4.4 and newer.


You can discuss this template or leave feedback on our forum https://www.zabbix.com/forum/zabbix-suggestions-and-feedback/387224-discussion-thread-for-official-zabbix-template-for-windows

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10300',NULL,'Template App RabbitMQ cluster by Zabbix agent','3','-1','2','','','Template App RabbitMQ cluster by Zabbix agent','0',NULL,'Get cluster metrics from RabbitMQ management plugin provided an HTTP-based API using Zabbix agent.

You can discuss this template or leave feedback on our forum https://www.zabbix.com/forum/zabbix-suggestions-and-feedback/387226-discussion-thread-for-official-zabbix-template-rabbitmq

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10301',NULL,'Template App RabbitMQ node by Zabbix agent','3','-1','2','','','Template App RabbitMQ node by Zabbix agent','0',NULL,'Get node metrics from RabbitMQ management plugin provided an HTTP-based API using Zabbix agent.

You can discuss this template or leave feedback on our forum https://www.zabbix.com/forum/zabbix-suggestions-and-feedback/387226-discussion-thread-for-official-zabbix-template-rabbitmq

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10302',NULL,'Template App RabbitMQ cluster by HTTP','3','-1','2','','','Template App RabbitMQ cluster by HTTP','0',NULL,'Get cluster metrics from RabbitMQ management plugin provided an HTTP-based API using HTTP agent.

You can discuss this template or leave feedback on our forum https://www.zabbix.com/forum/zabbix-suggestions-and-feedback/387226-discussion-thread-for-official-zabbix-template-rabbitmq

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10303',NULL,'Template App RabbitMQ node by HTTP','3','-1','2','','','Template App RabbitMQ node by HTTP','0',NULL,'Get node metrics from RabbitMQ management plugin provided an HTTP-based API using HTTP agent.

You can discuss this template or leave feedback on our forum https://www.zabbix.com/forum/zabbix-suggestions-and-feedback/387226-discussion-thread-for-official-zabbix-template-rabbitmq

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10304',NULL,'Template Server Cisco UCS SNMPv2','3','-1','2','','','Template Server Cisco UCS SNMPv2','0',NULL,'Template Server Cisco UCS

MIBs used:
CISCO-UNIFIED-COMPUTING-COMPUTE-MIB
CISCO-UNIFIED-COMPUTING-PROCESSOR-MIB
CISCO-UNIFIED-COMPUTING-EQUIPMENT-MIB
CISCO-UNIFIED-COMPUTING-STORAGE-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10305',NULL,'Template Module HOST-RESOURCES-MIB CPU SNMPv2','3','-1','2','','','Template Module HOST-RESOURCES-MIB CPU SNMPv2','0',NULL,'Requires Zabbix server 4.0.14, 4.2.8, 4.4.0 or newer (JSONPath function avg() used with types autoconversion).

MIBs used:
HOST-RESOURCES-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10306',NULL,'Template Module HOST-RESOURCES-MIB memory SNMPv2','3','-1','2','','','Template Module HOST-RESOURCES-MIB memory SNMPv2','0',NULL,'MIBs used:
HOST-RESOURCES-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10307',NULL,'Template Module HOST-RESOURCES-MIB storage SNMPv2','3','-1','2','','','Template Module HOST-RESOURCES-MIB storage SNMPv2','0',NULL,'MIBs used:
HOST-RESOURCES-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10308',NULL,'Template App HAProxy by Zabbix agent','3','-1','2','','','Template App HAProxy by Zabbix agent','0',NULL,'Get metrics from status page using Zabbix agent
https://www.haproxy.com/blog/exploring-the-haproxy-stats-page/.
Example configuration of HAProxy:        
  frontend stats
      bind *:8404
      stats enable
      stats uri /stats
      stats refresh 10s


You can discuss this template or leave feedback on our forum https://www.zabbix.com/forum/zabbix-suggestions-and-feedback/393527-discussion-thread-for-official-zabbix-template-haproxy

Template tooling version used: 0.35','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10309',NULL,'Template App HAProxy by HTTP','3','-1','2','','','Template App HAProxy by HTTP','0',NULL,'Get metrics from status page using HTTP agent
https://www.haproxy.com/blog/exploring-the-haproxy-stats-page/.
Example configuration of HAProxy:        
  frontend stats
      bind *:8404
      stats enable
      stats uri /stats
      stats refresh 10s
      #stats auth Username:Password  # Authentication credentials


You can discuss this template or leave feedback on our forum https://www.zabbix.com/forum/zabbix-suggestions-and-feedback/393527-discussion-thread-for-official-zabbix-template-haproxy

Template tooling version used: 0.35','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10310',NULL,'Template DB Redis','3','-1','2','','','Template DB Redis','0',NULL,'Get Redis metrics from plugin for the New Zabbix Agent (zabbix-agent2).

You can discuss this template or leave feedback on our forum https://www.zabbix.com/forum/zabbix-suggestions-and-feedback/389050-discussion-thread-for-official-zabbix-template-redis

Template tooling version used: 0.33','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10311',NULL,'Template Module HOST-RESOURCES-MIB CPU SNMPv1','3','-1','2','','','Template Module HOST-RESOURCES-MIB CPU SNMPv1','0',NULL,'Requires Zabbix server 4.0.14, 4.2.8, 4.4.0 or newer (JSONPath function avg() used with types autoconversion).

MIBs used:
HOST-RESOURCES-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10312',NULL,'Template Module HOST-RESOURCES-MIB memory SNMPv1','3','-1','2','','','Template Module HOST-RESOURCES-MIB memory SNMPv1','0',NULL,'MIBs used:
HOST-RESOURCES-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10313',NULL,'Template Module HOST-RESOURCES-MIB storage SNMPv1','3','-1','2','','','Template Module HOST-RESOURCES-MIB storage SNMPv1','0',NULL,'MIBs used:
HOST-RESOURCES-MIB

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10314',NULL,'Template Module Windows services by Zabbix agent','3','-1','2','','','Template Module Windows services by Zabbix agent','0',NULL,'Template Services OS Windows

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10315',NULL,'Template Module Windows services by Zabbix agent active','3','-1','2','','','Template Module Windows services by Zabbix agent active','0',NULL,'Template Services OS Windows

Template tooling version used: 0.34','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10316',NULL,'Template DB MySQL by Zabbix agent','3','-1','2','','','Template DB MySQL by Zabbix agent','0',NULL,E'Requirements for template operation:
1.Install Zabbix agent and MySQL client.
2.Copy Template_DB_MySQL.conf into folder with Zabbix agent configuration (/etc/zabbix/zabbix_agentd.d/ by default). Don''t forget restart zabbix-agent. 
3.Create MySQL user for monitoring. For example:
CREATE USER ''zbx_monitor''@''%'' IDENTIFIED BY ''<password>'';
GRANT USAGE,REPLICATION CLIENT,PROCESS,SHOW DATABASES,SHOW VIEW ON *.* TO ''zbx_monitor''@''%'';
For more information read the MYSQL documentation https://dev.mysql.com/doc/refman/8.0/en/grant.html , please. 
4.Create .my.cnf in home directory of Zabbix agent for Linux (/var/lib/zabbix by default ) or my.cnf in c:\\ for Windows. For example:
[client]
user=''zbx_monitor''
password=''<password>''


You can discuss this template or leave feedback on our forum https://www.zabbix.com/forum/zabbix-suggestions-and-feedback/384189-discussion-thread-for-official-zabbix-template-db-mysql

Template tooling version used: 0.35','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10317',NULL,'Template DB MySQL by ODBC','3','-1','2','','','Template DB MySQL by ODBC','0',NULL,'Requirements for template operation:
1.Create MySQL user for monitoring. For example:
CREATE USER ''zbx_monitor''@''%'' IDENTIFIED BY ''<password>'';
GRANT USAGE,REPLICATION CLIENT,PROCESS,SHOW DATABASES,SHOW VIEW ON *.* TO ''zbx_monitor''@''%'';
For more information read the MYSQL documentation https://dev.mysql.com/doc/refman/8.0/en/grant.html , please. 
2. Set the user name and password in host macros ({$MYSQL.USER} and {$MYSQL.PASSWORD}).


You can discuss this template or leave feedback on our forum https://www.zabbix.com/forum/zabbix-suggestions-and-feedback/384189-discussion-thread-for-official-zabbix-template-db-mysql

Template tooling version used: 0.35','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10318',NULL,'Template App Docker','3','-1','2','','','Template App Docker','0',NULL,'Get Docker engine metrics from plugin for the New Zabbix Agent (zabbix-agent2).

You can discuss this template or leave feedback on our forum 

Template tooling version used: 0.35','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10319',NULL,'Template App Memcached','3','-1','2','','','Template App Memcached','0',NULL,'Get Memcached metrics from plugin for the New Zabbix Agent (zabbix-agent2).

You can discuss this template or leave feedback on our forum https://www.zabbix.com/forum/zabbix-suggestions-and-feedback/398623-discussion-thread-for-official-zabbix-template-memcached

Template tooling version used: 0.35','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10320',NULL,'Template DB MySQL by Zabbix agent 2','3','-1','2','','','Template DB MySQL by Zabbix agent 2','0',NULL,'Requirements for template operation:
1.Create MySQL user for monitoring. For example:
CREATE USER ''zbx_monitor''@''%'' IDENTIFIED BY ''<password>'';
GRANT USAGE,REPLICATION CLIENT,PROCESS,SHOW DATABASES,SHOW VIEW ON *.* TO ''zbx_monitor''@''%'';
For more information read the MYSQL documentation https://dev.mysql.com/doc/refman/8.0/en/grant.html , please. 
2. Set in the {$MYSQL.DSN} macro the system data source name of the MySQL instance such as <protocol(host:port or /path/to/socket)/>.
3. Set the user name and password in host macros ({$MYSQL.USER} and {$MYSQL.PASSWORD}) if you want to override parameters from the Zabbix agent configuration file.


You can discuss this template or leave feedback on our forum https://www.zabbix.com/forum/zabbix-suggestions-and-feedback/384189-discussion-thread-for-official-zabbix-template-db-mysql

Template tooling version used: 0.35','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10321',NULL,'Template Server Chassis by IPMI','3','-1','2','','','Template Server Chassis by IPMI','0',NULL,'Template for monitoring servers with BMC over IPMI that work without any external scripts. 
All metrics are collected at once, thanks to Zabbix''s bulk data collection. The template is available starting from Zabbix version 5.0. 
It collects metrics by polling BMC remotely using an IPMI agent.


Known Issues:

  Description: If the BMC has a sensor with an empty threshold value, we get the LLD error "Cannot create trigger...".

You can discuss this template or leave feedback on our forum https://www.zabbix.com/forum/zabbix-suggestions-and-feedback/398023-discussion-thread-for-official-zabbix-template-ipmi

Template tooling version used: 0.35','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10322',NULL,'Template App Elasticsearch Cluster by HTTP','3','-1','2','','','Template App Elasticsearch Cluster by HTTP','0',NULL,'The template to monitor Elasticsearch by Zabbix that work without any external scripts.
It works with both standalone and cluster instances.
The metrics are collected in one pass remotely using an HTTP agent. 
They are getting values from REST API _cluster/health, _cluster/stats, _nodes/stats requests.
You can set {$ELASTICSEARCH.USERNAME} and {$ELASTICSEARCH.PASSWORD} macros in the template for using on the host level.
If you use an atypical location ES API, don''t forget to change the macros {$ELASTICSEARCH.SCHEME},{$ELASTICSEARCH.PORT}.


You can discuss this template or leave feedback on our forum https://www.zabbix.com/forum/zabbix-suggestions-and-feedback/399473-discussion-thread-for-official-zabbix-template-for-elasticsearch

Template tooling version used: 0.35','1','1','','','','','','1','0');
INSERT INTO hosts (hostid,proxy_hostid,host,status,ipmi_authtype,ipmi_privilege,ipmi_username,ipmi_password,name,flags,templateid,description,tls_connect,tls_accept,tls_issuer,tls_subject,tls_psk_identity,tls_psk,proxy_address,auto_compress,discover) values ('10323',NULL,'Template DB ClickHouse by HTTP','3','-1','2','','','Template DB ClickHouse by HTTP','0',NULL,'Get node metrics from ClickHouse HTTP interface using HTTP agent.

Template tooling version used: 0.35','1','1','','','','','','1','0');
INSERT INTO group_prototype (group_prototypeid,hostid,name,groupid,templateid) values ('156','10176','{#CLUSTER.NAME}',NULL,NULL);
INSERT INTO group_prototype (group_prototypeid,hostid,name,groupid,templateid) values ('157','10176','{#DATACENTER.NAME}',NULL,NULL);
INSERT INTO group_prototype (group_prototypeid,hostid,name,groupid,templateid) values ('158','10176','','7',NULL);
INSERT INTO group_prototype (group_prototypeid,hostid,name,groupid,templateid) values ('159','10177','{#CLUSTER.NAME} (vm)',NULL,NULL);
INSERT INTO group_prototype (group_prototypeid,hostid,name,groupid,templateid) values ('160','10177','{#DATACENTER.NAME} (vm)',NULL,NULL);
INSERT INTO group_prototype (group_prototypeid,hostid,name,groupid,templateid) values ('161','10177','{#HV.NAME}',NULL,NULL);
INSERT INTO group_prototype (group_prototypeid,hostid,name,groupid,templateid) values ('162','10177','','6',NULL);
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('3','System performance','2','7','10001',NULL,'0');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('4','Zabbix server health','2','3','10047',NULL,'0');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('5','System performance','2','2','10076',NULL,'0');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('6','System performance','2','2','10077',NULL,'0');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('7','System performance','2','2','10075',NULL,'0');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('9','System performance','2','3','10074',NULL,'0');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('10','System performance','2','3','10078',NULL,'0');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('16','Zabbix server','2','2',NULL,'1','0');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('17','Zabbix proxy health','2','2','10048',NULL,'0');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('18','System performance','1','2','10079',NULL,'0');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('19','System performance','2','6','10081',NULL,'0');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('20','MySQL performance','2','4','10170',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('21','Zabbix server health','2','3','10261',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('22','Zabbix proxy health','2','2','10262',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('23','PostgreSQL databases','2','4','10263',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('24','PostgreSQL stat','2','4','10263',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('25','Apache performance','2','3','10264',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('26','Apache performance','2','3','10265',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('27','Nginx performance','2','2','10266',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('28','Nginx performance','2','2','10267',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('29','System performance','2','6','10248',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('30','Network interfaces','1','1','10276',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('31','Network interfaces','1','1','10282',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('32','System performance','2','7','10284',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('33','System performance','2','7','10285',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('34','Network interfaces','1','1','10285',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('35','Netowrk interfaces','1','1','10291',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('36','Netowrk interfaces','1','1','10298',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('37','System performance','2','6','10299',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('38','RabbitMQ overview','2','3','10300',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('39','RabbitMQ node status','2','3','10301',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('40','RabbitMQ overview','2','3','10302',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('41','RabbitMQ node status','2','3','10303',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('42','Network interfaces','1','1','10189',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('43','Network interfaces','1','1','10190',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('44','Network interfaces','1','1','10187',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('45','Network interfaces','1','1','10188',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('46','Network interfaces','1','1','10192',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('47','System performance','2','3','10185',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('48','HAProxy Backend performance','1','1','10308',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('49','HAProxy Frontend performance','2','2','10308',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('50','HAProxy Server performance','1','1','10308',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('51','HAProxy Backend performance','1','1','10309',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('52','HAProxy Frontend performance','2','2','10309',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('53','HAProxy Server performance','1','1','10309',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('54','Redis overview','2','5','10310',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('55','Redis performance','2','2','10310',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('56','System performance','2','3','10184',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('57','MySQL performance','2','3','10316',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('58','MySQL performance','2','3','10317',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('59','Docker overview','2','5','10318',NULL,'1');
INSERT INTO screens (screenid,name,hsize,vsize,templateid,userid,private) values ('60','MySQL performance','2','3','10320',NULL,'1');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('44','16','2','1','500','100','0','0','2','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('1954','20','0','862','750','200','0','0','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('1955','20','0','863','750','200','1','0','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('1956','20','0','860','750','200','0','1','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('1957','20','0','859','750','200','1','1','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('1958','20','0','861','750','200','0','2','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('1959','20','0','864','750','200','1','2','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3104','25','0','832','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3105','25','0','833','750','100','1','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3106','25','20','830','750','100','0','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3107','25','20','831','750','100','1','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3108','25','0','834','750','100','0','2','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3109','26','0','838','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3110','26','0','839','750','100','1','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3111','26','20','836','750','100','0','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3112','26','20','837','750','100','1','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3113','26','0','840','750','100','0','2','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3114','59','0','1125','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3115','59','0','1129','750','100','1','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3116','59','0','1128','750','100','0','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3117','59','0','1126','750','100','1','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3118','59','0','1127','750','100','0','2','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3119','48','20','1075','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3120','49','20','1078','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3121','49','20','1076','750','100','1','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3122','49','20','1079','750','100','0','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3123','49','20','1077','750','100','1','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3124','50','20','1080','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3125','51','20','1081','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3126','52','20','1084','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3127','52','20','1082','750','100','1','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3128','52','20','1085','750','100','0','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3129','52','20','1083','750','100','1','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3130','53','20','1086','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3131','27','0','841','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3132','27','0','843','750','100','1','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3133','27','0','842','750','100','0','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3134','28','0','845','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3135','28','0','847','750','100','1','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3136','28','0','846','750','100','0','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3137','38','0','1029','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3138','38','0','1027','750','100','1','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3139','38','0','1030','750','100','0','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3140','38','0','1028','750','100','1','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3141','38','0','1031','750','100','0','2','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3142','39','0','1011','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3143','39','0','1012','750','100','1','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3144','39','0','1008','750','100','0','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3145','39','0','1009','750','100','1','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3146','39','0','1007','750','100','0','2','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3147','39','0','1010','750','100','1','2','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3148','40','0','1018','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3149','40','0','1016','750','100','1','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3150','40','0','1019','750','100','0','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3151','40','0','1017','750','100','1','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3152','40','0','1020','750','100','0','2','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3153','41','0','1025','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3154','41','0','1026','750','100','1','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3155','41','0','1022','750','100','0','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3156','41','0','1023','750','100','1','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3157','41','0','1021','750','100','0','2','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3158','41','0','1024','750','100','1','2','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3159','22','0','806','750','212','0','0','1','1','0','1','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3160','22','0','804','750','100','1','0','1','1','0','1','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3161','22','0','805','750','100','0','1','1','1','0','1','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3162','22','0','803','750','128','1','1','1','1','0','1','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3163','21','0','802','750','212','0','0','1','1','0','1','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3164','21','0','799','750','100','1','0','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3165','21','0','800','750','114','0','1','1','1','0','1','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3166','21','0','798','750','128','1','1','1','1','0','1','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3167','21','0','797','750','160','0','2','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3168','21','0','801','750','160','1','2','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3169','17','0','532','750','212','0','0','1','1','0','1','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3170','17','0','530','750','100','1','0','1','1','0','1','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3171','17','0','531','750','100','0','1','1','1','0','1','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3172','17','0','529','750','128','1','1','1','1','0','1','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3173','4','0','392','750','212','0','0','1','1','0','1','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3174','4','0','404','750','100','1','0','1','1','0','1','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3175','4','0','406','750','114','0','1','1','1','0','1','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3176','4','0','410','750','128','1','1','1','1','0','1','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3177','4','0','527','750','160','0','2','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3178','4','0','788','750','160','1','2','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3179','5','0','469','750','148','0','0','1','1','0','1','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3180','5','0','471','750','100','1','0','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3181','5','0','498','750','100','0','1','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3182','5','0','540','750','100','1','1','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3183','7','0','463','750','120','0','0','1','1','0','1','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3184','7','0','462','750','106','1','0','1','1','0','1','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3185','7','0','541','750','100','0','1','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3186','7','0','464','750','300','1','1','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3187','6','0','475','750','114','0','0','1','1','0','1','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3188','6','0','474','750','100','1','0','1','1','0','1','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3189','6','0','542','750','100','0','1','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3190','18','0','487','750','100','0','0','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3191','18','0','543','750','100','0','1','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3192','9','0','457','750','120','0','0','1','1','0','1','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3193','9','0','456','750','106','1','0','1','1','0','1','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3194','9','0','544','750','100','0','1','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3195','9','0','458','750','300','1','1','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3196','9','1','22838','750','100','0','2','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3197','9','1','22837','750','100','1','2','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3198','10','0','481','750','114','0','0','1','1','0','1','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3199','10','0','480','750','100','1','0','1','1','0','1','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3200','10','0','545','750','100','0','1','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3201','10','0','482','750','300','1','1','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3202','10','1','22998','750','100','0','2','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3203','10','1','22997','750','100','1','2','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3204','57','0','1112','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3205','57','0','1113','750','100','1','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3206','57','0','1110','750','100','0','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3207','57','0','1109','750','100','1','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3208','57','0','1111','750','100','0','2','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3209','57','0','1114','750','100','1','2','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3210','60','0','1139','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3211','60','0','1140','750','100','1','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3212','60','0','1137','750','100','0','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3213','60','0','1136','750','100','1','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3214','60','0','1138','750','100','0','2','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3215','60','0','1141','750','100','1','2','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3216','58','0','1118','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3217','58','0','1119','750','100','1','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3218','58','0','1116','750','100','0','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3219','58','0','1115','750','100','1','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3220','58','0','1117','750','100','0','2','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3221','58','0','1120','750','100','1','2','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3222','23','20','821','750','200','0','0','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3223','23','20','816','750','200','1','0','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3224','23','20','814','750','200','0','1','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3225','23','20','820','750','200','1','1','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3226','23','20','817','750','200','0','2','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3227','23','20','815','750','200','1','2','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3228','23','20','818','750','200','0','3','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3229','23','20','819','750','200','1','3','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3230','24','0','824','750','200','0','0','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3231','24','0','827','750','200','1','0','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3232','24','0','825','750','200','0','1','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3233','24','0','828','750','200','1','1','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3234','24','0','826','750','200','0','2','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3235','24','0','829','750','200','1','2','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3236','24','0','822','750','200','0','3','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3237','24','0','823','750','200','1','3','1','1','0','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3238','54','0','1091','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3239','54','0','1095','750','100','1','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3240','54','0','1092','750','100','0','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3241','54','0','1094','750','100','1','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3242','54','0','1099','750','100','0','2','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3243','54','0','1100','750','100','1','2','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3244','54','0','1101','750','100','0','3','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3245','54','0','1102','750','100','1','3','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3246','54','20','1090','750','100','0','4','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3247','55','0','1093','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3248','55','0','1098','750','100','1','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3249','55','0','1096','750','100','0','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3250','55','0','1097','750','100','1','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3251','56','0','1108','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3252','56','20','1104','750','100','0','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3253','56','20','1106','750','100','0','2','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3254','47','0','1071','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3255','47','20','1061','750','100','0','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3256','47','20','1066','750','100','0','2','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3257','44','20','738','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3258','45','20','741','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3259','42','20','744','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3260','43','20','745','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3261','46','20','766','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3262','3','0','903','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3263','3','0','909','750','100','1','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3264','3','0','918','750','100','0','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3265','3','0','921','750','100','1','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3266','3','20','888','750','100','0','2','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3267','3','20','891','750','100','0','3','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3268','3','20','894','750','100','0','4','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3269','3','20','897','750','100','0','5','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3270','3','20','900','750','100','0','6','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3271','30','20','899','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3272','31','20','934','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3273','32','0','937','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3274','32','0','941','750','100','1','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3275','32','0','947','750','100','0','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3276','32','0','949','750','100','1','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3277','32','20','927','750','100','0','2','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3278','32','20','929','750','100','0','3','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3279','32','20','931','750','100','0','4','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3280','32','20','933','750','100','0','5','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3281','32','20','935','750','100','0','6','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3282','33','0','957','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3283','33','0','959','750','100','1','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3284','33','0','962','750','100','0','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3285','33','0','963','750','100','1','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3286','33','20','953','750','100','0','2','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3287','33','20','954','750','100','0','3','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3288','33','20','955','750','100','0','4','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3289','33','20','956','750','100','0','5','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3290','33','20','952','750','100','0','6','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3291','34','20','952','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3292','29','0','881','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3293','29','20','869','750','100','1','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3294','29','0','877','750','100','0','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3295','29','0','879','750','100','1','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3296','29','20','873','750','100','0','2','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3297','29','20','867','750','100','0','3','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3298','29','19','29033','750','100','0','4','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3299','29','20','865','750','100','0','5','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3300','19','0','977','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3301','19','1','29485','750','100','1','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3302','19','0','979','750','100','0','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3303','19','0','981','750','100','1','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3304','19','20','965','750','100','0','2','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3305','19','20','967','750','100','0','3','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3306','19','20','969','750','100','0','4','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3307','19','20','971','750','100','0','5','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3308','35','20','970','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3309','36','20','988','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3310','37','0','995','750','100','0','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3311','37','1','29592','750','100','1','0','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3312','37','0','997','750','100','0','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3313','37','0','999','750','100','1','1','1','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3314','37','20','983','750','100','0','2','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3315','37','20','985','750','100','0','3','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3316','37','20','987','750','100','0','4','2','1','25','0','0','0','','0','0','','3');
INSERT INTO screens_items (screenitemid,screenid,resourcetype,resourceid,width,height,x,y,colspan,rowspan,elements,valign,halign,style,url,dynamic,sort_triggers,application,max_columns) values ('3317','37','20','989','750','100','0','5','2','1','25','0','0','0','','0','0','','3');
INSERT INTO applications (applicationid,hostid,name,flags) values ('179','10047','Zabbix server','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('253','10074','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('254','10074','Filesystems','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('255','10074','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('256','10074','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('257','10074','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('258','10074','OS','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('259','10074','Performance','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('260','10074','Processes','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('261','10074','Security','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('263','10075','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('264','10075','Filesystems','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('265','10075','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('266','10075','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('267','10075','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('268','10075','OS','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('269','10075','Performance','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('270','10075','Processes','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('271','10075','Security','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('273','10076','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('274','10076','Filesystems','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('275','10076','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('276','10076','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('277','10076','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('278','10076','OS','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('279','10076','Performance','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('280','10076','Processes','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('281','10076','Security','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('283','10077','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('284','10077','Filesystems','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('285','10077','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('286','10077','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('287','10077','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('288','10077','OS','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('289','10077','Performance','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('290','10077','Processes','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('291','10077','Security','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('293','10078','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('294','10078','Filesystems','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('295','10078','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('296','10078','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('297','10078','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('298','10078','OS','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('299','10078','Performance','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('300','10078','Processes','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('301','10078','Security','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('303','10079','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('304','10079','Filesystems','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('305','10079','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('306','10079','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('307','10079','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('308','10079','OS','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('309','10079','Performance','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('310','10079','Processes','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('311','10079','Security','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('331','10076','Logical partitions','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('345','10084','Zabbix server','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('356','10048','Zabbix proxy','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('446','10093','FTP service','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('447','10094','HTTP service','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('448','10095','HTTPS service','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('449','10096','IMAP service','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('450','10097','LDAP service','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('451','10098','NNTP service','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('452','10099','NTP service','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('453','10100','POP service','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('454','10101','SMTP service','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('455','10102','SSH service','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('456','10103','Telnet service','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('732','10169','Classes','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('733','10169','Compilation','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('734','10169','Garbage collector','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('735','10169','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('736','10169','Memory pool','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('737','10169','Operating system','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('738','10169','Runtime','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('739','10169','Threads','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('740','10170','MySQL','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('741','10171','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('742','10171','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('743','10171','Voltage','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('744','10172','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('745','10172','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('746','10172','Voltage','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('747','10173','Clusters','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('748','10173','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('749','10173','Log','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('750','10174','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('751','10174','Disks','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('752','10174','Filesystems','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('753','10174','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('754','10174','Interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('755','10174','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('756','10174','Network','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('757','10174','Storage','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('758','10175','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('759','10175','Datastore','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('760','10175','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('761','10175','Hardware','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('762','10175','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('763','10175','Network','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('770','10182','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('771','10183','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('780','10186','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('781','10187','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('782','10188','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('783','10189','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('784','10190','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('786','10192','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('797','10203','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('798','10203','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('799','10204','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('800','10204','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('803','10207','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('804','10207','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('805','10207','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('806','10207','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('807','10207','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('808','10207','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('809','10207','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('810','10207','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('811','10208','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('812','10208','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('813','10208','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('814','10208','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('815','10208','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('816','10208','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('817','10208','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('818','10208','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('819','10208','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('820','10210','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('821','10210','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('822','10210','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('823','10211','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('824','10211','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('825','10211','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('826','10209','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('827','10209','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('828','10210','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('829','10210','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('830','10210','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('831','10210','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('832','10211','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('833','10211','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('834','10211','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('835','10211','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('836','10210','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('837','10210','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('838','10211','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('839','10211','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('840','10218','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('841','10218','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('842','10218','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('846','10220','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('847','10220','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('848','10212','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('849','10213','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('851','10215','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('852','10216','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('853','10217','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('854','10217','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('855','10217','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('856','10218','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('857','10218','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('858','10218','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('859','10218','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('860','10218','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('861','10218','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('868','10220','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('869','10220','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('870','10220','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('871','10220','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('872','10220','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('873','10220','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('874','10221','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('875','10221','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('876','10221','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('877','10221','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('878','10221','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('879','10221','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('880','10221','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('881','10221','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('882','10221','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('883','10222','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('884','10222','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('885','10222','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('886','10222','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('887','10222','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('888','10222','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('889','10222','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('890','10222','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('891','10222','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('892','10223','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('893','10223','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('894','10223','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('895','10223','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('896','10223','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('897','10223','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('898','10223','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('899','10223','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('900','10223','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('901','10224','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('902','10224','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('903','10224','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('904','10224','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('905','10224','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('906','10224','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('907','10224','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('908','10224','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('909','10224','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('910','10225','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('911','10225','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('912','10225','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('913','10226','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('914','10226','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('915','10226','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('916','10227','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('917','10227','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('918','10227','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('919','10227','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('920','10227','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('921','10227','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('922','10227','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('923','10227','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('924','10227','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('934','10229','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('935','10229','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('936','10229','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('937','10229','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('938','10229','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('939','10229','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('940','10229','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('941','10229','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('942','10230','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('943','10230','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('944','10230','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('945','10230','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('946','10230','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('947','10230','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('948','10230','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('949','10231','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('950','10231','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('951','10231','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('952','10231','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('953','10231','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('954','10231','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('955','10231','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('956','10231','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('957','10231','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('969','10233','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('970','10233','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('971','10233','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('972','10233','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('973','10233','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('974','10233','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('975','10233','Storage','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('976','10233','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('977','10234','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('978','10234','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('979','10234','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('980','10234','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('981','10234','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('982','10234','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('983','10234','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('984','10234','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('985','10234','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('986','10235','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('987','10235','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('988','10235','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('989','10235','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('990','10235','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('991','10235','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('992','10236','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('993','10236','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('994','10236','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('995','10236','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('996','10236','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('997','10236','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('998','10237','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('999','10237','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1000','10237','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1001','10237','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1002','10237','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1003','10237','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1028','10250','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1029','10250','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1030','10250','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1031','10250','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1032','10250','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1033','10250','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1034','10250','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1035','10250','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1036','10250','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1041','10251','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1042','10251','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1043','10251','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1044','10251','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1045','10251','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1046','10251','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1047','10251','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1048','10253','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1049','10253','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1050','10253','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1051','10253','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1052','10253','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1053','10253','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1054','10253','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1055','10253','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1056','10252','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1057','10253','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1058','10254','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1059','10254','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1060','10254','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1062','10254','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1064','10254','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1066','10254','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1068','10254','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1069','10255','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1070','10255','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1071','10255','Disk arrays','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1072','10255','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1073','10255','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1074','10255','Physical disks','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1075','10255','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1076','10255','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1077','10255','Virtual disks','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1078','10256','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1079','10256','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1080','10256','Disk arrays','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1081','10256','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1082','10256','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1083','10256','Physical disks','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1084','10256','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1085','10256','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1086','10256','Virtual disks','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1087','10257','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1088','10257','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1089','10257','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1090','10257','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1091','10257','Physical disks','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1092','10257','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1093','10257','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1094','10258','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1095','10258','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1096','10258','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1097','10258','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1098','10258','Physical disks','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1099','10258','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1100','10258','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1101','10259','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1102','10259','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1103','10259','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1104','10259','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1105','10260','http-8080','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1106','10260','http-8443','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1107','10260','jk-8009','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1108','10260','Sessions','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1109','10260','Tomcat','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1110','10261','Zabbix server','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1111','10262','Zabbix proxy','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1112','10173','Datastore','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1114','10263','PostgreSQL','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1115','10263','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1116','10264','Apache','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1117','10264','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1118','10265','Apache','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1119','10265','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1120','10266','Nginx','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1121','10266','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1122','10267','Nginx','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1123','10267','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1124','10170','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1125','10248','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1126','10248','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1127','10248','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1128','10268','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1129','10269','Storage','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1130','10270','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1131','10271','Storage','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1132','10248','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1133','10248','Storage','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1134','10248','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1135','10249','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1136','10249','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1141','10249','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1142','10272','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1143','10273','Filesystems','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1144','10274','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1145','10275','Storage','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1146','10275','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1147','10276','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1148','10277','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1149','10277','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1150','10277','Security','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1151','10277','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1152','10001','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1153','10001','Filesystems','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1154','10001','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1155','10001','Storage','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1156','10001','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1157','10001','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1158','10001','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1159','10001','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1160','10001','Security','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1161','10001','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1162','10084','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1163','10084','Filesystems','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1164','10084','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1165','10084','Storage','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1166','10084','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1167','10084','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1168','10084','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1169','10084','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1170','10084','Security','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1171','10084','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1173','10278','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1174','10279','Filesystems','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1175','10280','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1176','10281','Storage','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1177','10281','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1178','10282','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1179','10283','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1180','10283','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1181','10283','Security','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1182','10283','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1183','10284','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1184','10284','Filesystems','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1185','10284','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1186','10284','Storage','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1187','10284','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1188','10284','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1189','10284','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1190','10284','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1191','10284','Security','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1192','10284','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1193','10285','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1194','10285','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1195','10285','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1196','10285','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1197','10285','Monitoring agent','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1198','10285','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1199','10285','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1200','10285','Storage','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1201','10285','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1202','10286','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1203','10287','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1204','10288','Filesystems','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1205','10289','Storage','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1206','10289','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1207','10290','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1208','10290','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1209','10290','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1210','10291','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1211','10291','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1212','10081','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1213','10081','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1214','10081','Filesystems','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1215','10081','Storage','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1216','10081','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1217','10081','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1218','10081','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1219','10081','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1220','10081','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1221','10050','Monitoring agent','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1222','10050','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1223','10292','Monitoring agent','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1224','10292','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1225','10001','Monitoring agent','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1226','10074','Monitoring agent','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1227','10074','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1228','10075','Monitoring agent','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1229','10075','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1230','10076','Monitoring agent','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1231','10076','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1232','10077','Monitoring agent','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1233','10077','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1234','10078','Monitoring agent','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1235','10078','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1236','10079','Monitoring agent','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1237','10079','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1238','10081','Monitoring agent','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1240','10084','Monitoring agent','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1241','10299','Monitoring agent','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1242','10299','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1243','10293','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1244','10294','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1245','10295','Filesystems','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1246','10296','Storage','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1247','10296','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1248','10297','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1249','10297','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1250','10297','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1251','10298','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1252','10298','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1253','10299','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1254','10299','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1255','10299','Filesystems','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1256','10299','Storage','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1257','10299','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1258','10299','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1259','10299','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1260','10299','Network interfaces','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1261','10300','RabbitMQ','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1262','10300','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1263','10301','RabbitMQ','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1264','10301','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1265','10302','RabbitMQ','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1266','10302','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1267','10303','RabbitMQ','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1268','10303','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1269','10284','Monitoring agent','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1270','10304','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1271','10304','Status','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1272','10304','Disk arrays','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1273','10304','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1274','10304','Inventory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1275','10304','Physical disks','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1276','10304','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1277','10304','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1278','10304','Virtual disks','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1279','10207','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1280','10235','Fans','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1281','10235','Power supply','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1282','10235','Temperature','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1283','10305','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1284','10306','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1285','10307','Storage','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1286','10185','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1287','10185','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1288','10185','Storage','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1289','10251','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1290','10251','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1291','10251','Storage','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1292','10249','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1293','10249','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1294','10249','Storage','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1295','10254','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1296','10254','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1297','10254','Storage','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1298','10308','HAProxy','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1299','10308','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1300','10309','HAProxy','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1301','10309','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1302','10310','Redis','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1303','10310','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1304','10311','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1305','10312','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1306','10313','Storage','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1307','10184','CPU','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1308','10184','Memory','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1309','10184','Storage','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1310','10314','Services','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1311','10081','Services','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1312','10315','Services','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1313','10299','Services','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1314','10316','MySQL','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1315','10316','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1316','10317','MySQL','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1317','10317','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1318','10318','Docker','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1319','10318','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1320','10319','Memcached','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1321','10319','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1322','10320','MySQL','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1323','10320','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1324','10321','General','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1325','10321','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1326','10322','ES cluster','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1327','10322','Zabbix raw items','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1328','10323','ClickHouse','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1329','10323','ClickHouse ZooKeeper','0');
INSERT INTO applications (applicationid,hostid,name,flags) values ('1330','10323','Zabbix raw items','0');
INSERT INTO interface (interfaceid,hostid,main,type,useip,ip,dns,port) values ('1','10084','1','1','1','127.0.0.1','','10050');
INSERT INTO valuemaps (valuemapid,name) values ('1','Service state');
INSERT INTO valuemaps (valuemapid,name) values ('2','Host availability');
INSERT INTO valuemaps (valuemapid,name) values ('3','Windows service state');
INSERT INTO valuemaps (valuemapid,name) values ('4','APC Battery Replacement Status');
INSERT INTO valuemaps (valuemapid,name) values ('5','APC Battery Status');
INSERT INTO valuemaps (valuemapid,name) values ('6','HP Insight System Status');
INSERT INTO valuemaps (valuemapid,name) values ('7','Dell Open Manage System Status');
INSERT INTO valuemaps (valuemapid,name) values ('8','SNMP interface status (ifOperStatus)');
INSERT INTO valuemaps (valuemapid,name) values ('9','SNMP device status (hrDeviceStatus)');
INSERT INTO valuemaps (valuemapid,name) values ('10','Zabbix agent ping status');
INSERT INTO valuemaps (valuemapid,name) values ('11','SNMP interface status (ifAdminStatus)');
INSERT INTO valuemaps (valuemapid,name) values ('12','VMware VirtualMachinePowerState');
INSERT INTO valuemaps (valuemapid,name) values ('13','VMware status');
INSERT INTO valuemaps (valuemapid,name) values ('14','Maintenance status');
INSERT INTO valuemaps (valuemapid,name) values ('15','Value cache operating mode');
INSERT INTO valuemaps (valuemapid,name) values ('16','Windows service startup type');
INSERT INTO valuemaps (valuemapid,name) values ('17','HTTP response status code');
INSERT INTO valuemaps (valuemapid,name) values ('18','ENTITY-SENSORS-MIB::EntitySensorStatus');
INSERT INTO valuemaps (valuemapid,name) values ('19','EtherLike-MIB::dot3StatsDuplexStatus');
INSERT INTO valuemaps (valuemapid,name) values ('20','IF-MIB::ifOperStatus');
INSERT INTO valuemaps (valuemapid,name) values ('21','IF-MIB::ifType');
INSERT INTO valuemaps (valuemapid,name) values ('22','zabbix.host.available');
INSERT INTO valuemaps (valuemapid,name) values ('23','TIMETRA-CHASSIS-MIB::TmnxDeviceState');
INSERT INTO valuemaps (valuemapid,name) values ('24','SW-MIB::swSensorStatus');
INSERT INTO valuemaps (valuemapid,name) values ('25','SW-MIB::swOperStatus');
INSERT INTO valuemaps (valuemapid,name) values ('26','FOUNDRY-SN-AGENT-MIB::snChasPwrSupplyOperStatus');
INSERT INTO valuemaps (valuemapid,name) values ('27','FOUNDRY-SN-AGENT-MIB::snChasFanOperStatus');
INSERT INTO valuemaps (valuemapid,name) values ('28','CISCO-ENVMON-MIB::CiscoEnvMonState');
INSERT INTO valuemaps (valuemapid,name) values ('29','F10-S-SERIES-CHASSIS-MIB::extremeFanOperational');
INSERT INTO valuemaps (valuemapid,name) values ('30','F10-S-SERIES-CHASSIS-MIB::chSysFanTrayOperStatus');
INSERT INTO valuemaps (valuemapid,name) values ('31','F10-S-SERIES-CHASSIS-MIB::chSysPowerSupplyOperStatus');
INSERT INTO valuemaps (valuemapid,name) values ('32','MY-SYSTEM-MIB::mySystemFanIsNormal');
INSERT INTO valuemaps (valuemapid,name) values ('33','EQUIPMENT-MIB::swFanStatus');
INSERT INTO valuemaps (valuemapid,name) values ('34','EQUIPMENT-MIB::swPowerStatus');
INSERT INTO valuemaps (valuemapid,name) values ('35','TruthValue');
INSERT INTO valuemaps (valuemapid,name) values ('36','EXTREME-SYSTEM-MIB::extremeFanOperational');
INSERT INTO valuemaps (valuemapid,name) values ('37','EXTREME-SYSTEM-MIB::extremeOverTemperatureAlarm');
INSERT INTO valuemaps (valuemapid,name) values ('38','EXTREME-SYSTEM-MIB::extremePowerSupplyStatus');
INSERT INTO valuemaps (valuemapid,name) values ('39','HH3C-ENTITY-EXT-MIB::hh3cEntityExtErrorStatus');
INSERT INTO valuemaps (valuemapid,name) values ('40','HP-ICF-CHASSIS::hpicfSensorStatus');
INSERT INTO valuemaps (valuemapid,name) values ('41','HUAWEI-ENTITY-EXTENT-MIB::hwEntityFanState');
INSERT INTO valuemaps (valuemapid,name) values ('42','ICS-CHASSIS-MIB::icsChassisFanOperStatus');
INSERT INTO valuemaps (valuemapid,name) values ('43','ICS-CHASSIS-MIB::icsChassisSensorSlotOperStatus');
INSERT INTO valuemaps (valuemapid,name) values ('44','ICS-CHASSIS-MIB::icsChassisPowerSupplyOperStatus');
INSERT INTO valuemaps (valuemapid,name) values ('45','ICS-CHASSIS-MIB::icsChassisTemperatureStatus');
INSERT INTO valuemaps (valuemapid,name) values ('46','JUNIPER-ALARM-MIB::jnxRedAlarmState');
INSERT INTO valuemaps (valuemapid,name) values ('47','JUNIPER-ALARM-MIB::jnxOperatingState');
INSERT INTO valuemaps (valuemapid,name) values ('48','ENTITY-STATE-MIB::EntityOperState');
INSERT INTO valuemaps (valuemapid,name) values ('49','FASTPATH-BOXSERVICES-PRIVATE-MIB::boxServicesPowSupplyItemState');
INSERT INTO valuemaps (valuemapid,name) values ('50','FASTPATH-BOXSERVICES-PRIVATE-MIB::boxServicesFanItemState');
INSERT INTO valuemaps (valuemapid,name) values ('51','FASTPATH-BOXSERVICES-PRIVATE-MIB::boxServicesTempSensorState');
INSERT INTO valuemaps (valuemapid,name) values ('52','QTECH-MIB::sysFanStatus');
INSERT INTO valuemaps (valuemapid,name) values ('53','QTECH-MIB::sysPowerStatus');
INSERT INTO valuemaps (valuemapid,name) values ('54','CPQSINFO-MIB::status');
INSERT INTO valuemaps (valuemapid,name) values ('55','CPQHLTH-MIB::cpqHeTemperatureLocale');
INSERT INTO valuemaps (valuemapid,name) values ('56','CPQIDA-MIB::cpqDaCntlrModel');
INSERT INTO valuemaps (valuemapid,name) values ('57','CPQIDA-MIB::cpqDaPhyDrvStatus');
INSERT INTO valuemaps (valuemapid,name) values ('58','IMM-MIB::systemHealthStat');
INSERT INTO valuemaps (valuemapid,name) values ('59','IDRAC-MIB-SMIv2::ObjectStatusEnum');
INSERT INTO valuemaps (valuemapid,name) values ('60','IDRAC-MIB-SMIv2::StatusProbeEnum');
INSERT INTO valuemaps (valuemapid,name) values ('61','IDRAC-MIB-SMIv2::physicalDiskComponentStatus');
INSERT INTO valuemaps (valuemapid,name) values ('62','IDRAC-MIB-SMIv2::BooleanType');
INSERT INTO valuemaps (valuemapid,name) values ('63','IDRAC-MIB-SMIv2::physicalDiskMediaType');
INSERT INTO valuemaps (valuemapid,name) values ('64','IDRAC-MIB-SMIv2::batteryState');
INSERT INTO valuemaps (valuemapid,name) values ('65','IDRAC-MIB-SMIv2::virtualDiskLayout');
INSERT INTO valuemaps (valuemapid,name) values ('66','IDRAC-MIB-SMIv2::virtualDiskOperationalState');
INSERT INTO valuemaps (valuemapid,name) values ('67','IDRAC-MIB-SMIv2::virtualDiskWritePolicy');
INSERT INTO valuemaps (valuemapid,name) values ('68','IDRAC-MIB-SMIv2::virtualDiskReadPolicy');
INSERT INTO valuemaps (valuemapid,name) values ('69','IDRAC-MIB-SMIv2::virtualDiskState');
INSERT INTO valuemaps (valuemapid,name) values ('70','CPQIDA-MIB::cpqDaPhyDrvSmartStatus');
INSERT INTO valuemaps (valuemapid,name) values ('71','CPQIDA-MIB::cpqDaAccelStatus');
INSERT INTO valuemaps (valuemapid,name) values ('72','CPQIDA-MIB::cpqDaAccelBattery');
INSERT INTO valuemaps (valuemapid,name) values ('73','CPQIDA-MIB::cpqDaPhyDrvMediaType');
INSERT INTO valuemaps (valuemapid,name) values ('74','CPQIDA-MIB::cpqDaLogDrvFaultTol');
INSERT INTO valuemaps (valuemapid,name) values ('75','CPQIDA-MIB::cpqDaLogDrvStatus');
INSERT INTO valuemaps (valuemapid,name) values ('76','PostgreSQL recovery role');
INSERT INTO valuemaps (valuemapid,name) values ('77','PostgreSQL replication status');
INSERT INTO valuemaps (valuemapid,name) values ('78','Linux::Interface protocol types');
INSERT INTO valuemaps (valuemapid,name) values ('79','Win32_NetworkAdapter::AdapterTypeId');
INSERT INTO valuemaps (valuemapid,name) values ('80','CIM_LogicalDevice::Availability');
INSERT INTO valuemaps (valuemapid,name) values ('81','Win32_NetworkAdapter::NetConnectionStatus');
INSERT INTO valuemaps (valuemapid,name) values ('82','RabbitMQ healthcheck');
INSERT INTO valuemaps (valuemapid,name) values ('83','Alarm state');
INSERT INTO valuemaps (valuemapid,name) values ('84','CISCO-UNIFIED-COMPUTING-TC-MIB::CucsEquipmentOperability');
INSERT INTO valuemaps (valuemapid,name) values ('85','CISCO-UNIFIED-COMPUTING-TC-MIB::CucsLsOperState');
INSERT INTO valuemaps (valuemapid,name) values ('86','CISCO-UNIFIED-COMPUTING-TC-MIB::CucsStoragePDriveStatus');
INSERT INTO valuemaps (valuemapid,name) values ('87','CISCO-UNIFIED-COMPUTING-TC-MIB::CucsStorageLunType');
INSERT INTO valuemaps (valuemapid,name) values ('88','CISCO-UNIFIED-COMPUTING-TC-MIB::CucsEquipmentPresence');
INSERT INTO valuemaps (valuemapid,name) values ('89','Redis bgwrite status');
INSERT INTO valuemaps (valuemapid,name) values ('90','Redis flag');
INSERT INTO valuemaps (valuemapid,name) values ('91','Redis repl offset');
INSERT INTO valuemaps (valuemapid,name) values ('92','Redis bgsave time');
INSERT INTO valuemaps (valuemapid,name) values ('93','Docker flag');
INSERT INTO valuemaps (valuemapid,name) values ('94','ES cluster state');
INSERT INTO valuemaps (valuemapid,name) values ('95','Replicas state');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('10061','5','','10047','Number of processed numeric (float) values per second','zabbix[wcache,values,float]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('10062','5','','10047','Number of processed character values per second','zabbix[wcache,values,str]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('10063','5','','10047','Number of processed log values per second','zabbix[wcache,values,log]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('10064','5','','10047','Number of processed numeric (unsigned) values per second','zabbix[wcache,values,uint]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('10065','5','','10047','Number of processed text values per second','zabbix[wcache,values,text]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('10066','5','','10047','Number of processed not supported values per second','zabbix[wcache,values,not supported]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('10067','5','','10048','Number of processed numeric (float) values per second','zabbix[wcache,values,float]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('10068','5','','10048','Number of processed character values per second','zabbix[wcache,values,str]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('10069','5','','10048','Number of processed log values per second','zabbix[wcache,values,log]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('10070','5','','10048','Number of processed numeric (unsigned) values per second','zabbix[wcache,values,uint]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('10071','5','','10048','Number of processed text values per second','zabbix[wcache,values,text]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('10072','5','','10048','Number of processed not supported values per second','zabbix[wcache,values,not supported]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22183','5','','10047','Zabbix history write cache, % used','zabbix[wcache,history,pused]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22185','5','','10047','Zabbix trend write cache, % used','zabbix[wcache,trend,pused]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22187','5','','10047','Number of processed values per second','zabbix[wcache,values]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22189','5','','10047','Zabbix configuration cache, % used','zabbix[rcache,buffer,pused]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22191','5','','10047','Zabbix value cache, % used','zabbix[vcache,buffer,pused]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22196','5','','10047','Zabbix value cache hits','zabbix[vcache,cache,hits]','1m','1w','365d','0','0','','vps','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22199','5','','10047','Zabbix value cache misses','zabbix[vcache,cache,misses]','1m','1w','365d','0','0','','vps','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22219','5','','10047','Zabbix queue over 10 minutes','zabbix[queue,10m]','10m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22231','0','','10050','Version of Zabbix agent running','agent.version','1h','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22232','0','','10050','Zabbix agent ping','agent.ping','1m','7d','365d','0','3','','','','',NULL,'10','','','0','','','','','0',NULL,'The agent always returns 1 for this item. It could be used in combination with nodata() for availability check.','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22396','5','','10047','Zabbix history index cache, % used','zabbix[wcache,index,pused]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22399','5','','10047','Utilization of poller data collector processes, in %','zabbix[process,poller,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22400','5','','10047','Utilization of unreachable poller data collector processes, in %','zabbix[process,unreachable poller,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22401','5','','10047','Utilization of vmware data collector processes, in %','zabbix[process,vmware collector,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22402','5','','10047','Utilization of http poller data collector processes, in %','zabbix[process,http poller,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22404','5','','10047','Utilization of trapper data collector processes, in %','zabbix[process,trapper,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22406','5','','10047','Utilization of history syncer internal processes, in %','zabbix[process,history syncer,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22408','5','','10047','Utilization of housekeeper internal processes, in %','zabbix[process,housekeeper,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22412','5','','10047','Utilization of configuration syncer internal processes, in %','zabbix[process,configuration syncer,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22414','5','','10047','Utilization of self-monitoring internal processes, in %','zabbix[process,self-monitoring,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22416','5','','10047','Utilization of ipmi poller data collector processes, in %','zabbix[process,ipmi poller,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22418','5','','10047','Utilization of icmp pinger data collector processes, in %','zabbix[process,icmp pinger,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22420','5','','10047','Utilization of proxy poller data collector processes, in %','zabbix[process,proxy poller,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22422','5','','10047','Utilization of escalator internal processes, in %','zabbix[process,escalator,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22424','5','','10047','Utilization of alerter internal processes, in %','zabbix[process,alerter,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22426','5','','10047','Utilization of timer internal processes, in %','zabbix[process,timer,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22430','5','','10047','Utilization of discoverer data collector processes, in %','zabbix[process,discoverer,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22689','5','','10047','Utilization of java poller data collector processes, in %','zabbix[process,java poller,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22835','0','','10074','Maximum number of opened files','kernel.maxfiles','1h','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'It could be increased by using sysctrl utility or modifying file /etc/sysctl.conf.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22836','0','','10074','Maximum number of processes','kernel.maxproc','1h','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'It could be increased by using sysctrl utility or modifying file /etc/sysctl.conf.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22837','0','','10074','Number of running processes','proc.num[,,run]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of processes in running state.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22838','0','','10074','Number of processes','proc.num[]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of processes in any state.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22839','0','','10074','Host boot time','system.boottime','10m','1w','365d','0','3','','unixtime','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22840','0','','10074','Interrupts per second','system.cpu.intr','1m','1w','365d','0','3','','ips','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22841','0','','10074','Processor load (15 min average per core)','system.cpu.load[percpu,avg15]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The processor load is calculated as system CPU load divided by number of CPU cores.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22842','0','','10074','Processor load (1 min average per core)','system.cpu.load[percpu,avg1]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The processor load is calculated as system CPU load divided by number of CPU cores.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22843','0','','10074','Processor load (5 min average per core)','system.cpu.load[percpu,avg5]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The processor load is calculated as system CPU load divided by number of CPU cores.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22844','0','','10074','Context switches per second','system.cpu.switches','1m','1w','365d','0','3','','sps','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22845','0','','10074','CPU idle time','system.cpu.util[,idle]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent doing nothing.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22846','0','','10074','CPU interrupt time','system.cpu.util[,interrupt]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The amount of time the CPU has been servicing hardware interrupts.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22848','0','','10074','CPU nice time','system.cpu.util[,nice]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running users'' processes that have been niced.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22851','0','','10074','CPU system time','system.cpu.util[,system]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running the kernel and its processes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22852','0','','10074','CPU user time','system.cpu.util[,user]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running users'' processes that are not niced.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22853','0','','10074','Host name','system.hostname','1h','1w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'System host name.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22854','0','','10074','Host local time','system.localtime','1m','1w','365d','0','3','','unixtime','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22855','0','','10074','Free swap space','system.swap.size[,free]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22856','0','','10074','Free swap space in %','system.swap.size[,pfree]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22857','0','','10074','Total swap space','system.swap.size[,total]','1h','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22858','0','','10074','System information','system.uname','1h','1w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The information as normally returned by ''uname -a''.','5','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22859','0','','10074','System uptime','system.uptime','10m','1w','365d','0','3','','uptime','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22860','0','','10074','Number of logged in users','system.users.num','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of users who are currently logged in.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22861','0','','10074','Checksum of /etc/passwd','vfs.file.cksum[/etc/passwd]','1h','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22862','0','','10074','Available memory','vm.memory.size[available]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Available memory is defined as free+cached+buffers memory.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22863','0','','10074','Total memory','vm.memory.size[total]','1h','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22867','0','','10074','Mounted filesystem discovery','vfs.fs.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of file systems of different types as defined in global regular expression "File systems for discovery".','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22868','0','','10074','Free disk space on {#FSNAME}','vfs.fs.size[{#FSNAME},free]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22869','0','','10074','Free inodes on {#FSNAME} (percentage)','vfs.fs.inode[{#FSNAME},pfree]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22870','0','','10074','Total disk space on {#FSNAME}','vfs.fs.size[{#FSNAME},total]','1h','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22871','0','','10074','Used disk space on {#FSNAME}','vfs.fs.size[{#FSNAME},used]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22872','0','','10074','Free disk space on {#FSNAME} (percentage)','vfs.fs.size[{#FSNAME},pfree]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22875','0','','10075','Maximum number of opened files','kernel.maxfiles','1h','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'It could be increased by using sysctrl utility or modifying file /etc/sysctl.conf.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22876','0','','10075','Maximum number of processes','kernel.maxproc','1h','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'It could be increased by using sysctrl utility or modifying file /etc/sysctl.conf.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22877','0','','10075','Number of running processes','proc.num[,,run]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of processes in running state.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22878','0','','10075','Number of processes','proc.num[]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of processes in any state.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22879','0','','10075','Host boot time','system.boottime','10m','1w','365d','0','3','','unixtime','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22880','0','','10075','Interrupts per second','system.cpu.intr','1m','1w','365d','0','3','','ips','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22881','0','','10075','Processor load (15 min average per core)','system.cpu.load[percpu,avg15]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The processor load is calculated as system CPU load divided by number of CPU cores.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22882','0','','10075','Processor load (1 min average per core)','system.cpu.load[percpu,avg1]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The processor load is calculated as system CPU load divided by number of CPU cores.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22883','0','','10075','Processor load (5 min average per core)','system.cpu.load[percpu,avg5]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The processor load is calculated as system CPU load divided by number of CPU cores.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22884','0','','10075','Context switches per second','system.cpu.switches','1m','1w','365d','0','3','','sps','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22885','0','','10075','CPU idle time','system.cpu.util[,idle]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent doing nothing.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22886','0','','10075','CPU interrupt time','system.cpu.util[,interrupt]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The amount of time the CPU has been servicing hardware interrupts.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22888','0','','10075','CPU nice time','system.cpu.util[,nice]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running users'' processes that have been niced.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22891','0','','10075','CPU system time','system.cpu.util[,system]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running the kernel and its processes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22892','0','','10075','CPU user time','system.cpu.util[,user]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running users'' processes that are not niced.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22893','0','','10075','Host name','system.hostname','1h','1w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'System host name.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22894','0','','10075','Host local time','system.localtime','1m','1w','365d','0','3','','unixtime','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22895','0','','10075','Free swap space','system.swap.size[,free]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22896','0','','10075','Free swap space in %','system.swap.size[,pfree]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22897','0','','10075','Total swap space','system.swap.size[,total]','1h','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22898','0','','10075','System information','system.uname','1h','1w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The information as normally returned by ''uname -a''.','5','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22899','0','','10075','System uptime','system.uptime','10m','1w','365d','0','3','','uptime','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22900','0','','10075','Number of logged in users','system.users.num','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of users who are currently logged in.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22901','0','','10075','Checksum of /etc/passwd','vfs.file.cksum[/etc/passwd]','1h','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22902','0','','10075','Available memory','vm.memory.size[available]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Available memory is defined as free+cached+buffers memory.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22903','0','','10075','Total memory','vm.memory.size[total]','1h','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22907','0','','10075','Mounted filesystem discovery','vfs.fs.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of file systems of different types as defined in global regular expression "File systems for discovery".','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22908','0','','10075','Free disk space on {#FSNAME}','vfs.fs.size[{#FSNAME},free]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22909','0','','10075','Free inodes on {#FSNAME} (percentage)','vfs.fs.inode[{#FSNAME},pfree]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22910','0','','10075','Total disk space on {#FSNAME}','vfs.fs.size[{#FSNAME},total]','1h','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22911','0','','10075','Used disk space on {#FSNAME}','vfs.fs.size[{#FSNAME},used]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22912','0','','10075','Free disk space on {#FSNAME} (percentage)','vfs.fs.size[{#FSNAME},pfree]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22917','0','','10076','Number of running processes','proc.num[,,run]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of processes in running state.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22918','0','','10076','Number of processes','proc.num[]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of processes in any state.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22920','0','','10076','Interrupts per second','system.cpu.intr','1m','1w','365d','0','3','','ips','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22921','0','','10076','Processor load (15 min average per core)','system.cpu.load[percpu,avg15]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The processor load is calculated as system CPU load divided by number of CPU cores.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22922','0','','10076','Processor load (1 min average per core)','system.cpu.load[percpu,avg1]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The processor load is calculated as system CPU load divided by number of CPU cores.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22923','0','','10076','Processor load (5 min average per core)','system.cpu.load[percpu,avg5]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The processor load is calculated as system CPU load divided by number of CPU cores.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22924','0','','10076','Context switches per second','system.cpu.switches','1m','1w','365d','0','3','','sps','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22933','0','','10076','Host name','system.hostname','1h','1w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'System host name.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22934','0','','10076','Host local time','system.localtime','1m','1w','365d','0','3','','unixtime','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22938','0','','10076','System information','system.uname','1h','1w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The information as normally returned by ''uname -a''.','5','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22939','0','','10076','System uptime','system.uptime','10m','1w','365d','0','3','','uptime','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22940','0','','10076','Number of logged in users','system.users.num','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of users who are currently logged in.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22941','0','','10076','Checksum of /etc/passwd','vfs.file.cksum[/etc/passwd]','1h','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22942','0','','10076','Available memory','vm.memory.size[available]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Available memory is defined as free+cached+buffers memory.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22943','0','','10076','Total memory','vm.memory.size[total]','1h','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22944','0','','10076','Network interface discovery','net.if.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of network interfaces as defined in global regular expression "Network interfaces for discovery".','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22945','0','','10076','Incoming network traffic on {#IFNAME}','net.if.in[{#IFNAME}]','1m','1w','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22946','0','','10076','Outgoing network traffic on {#IFNAME}','net.if.out[{#IFNAME}]','1m','1w','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22947','0','','10076','Mounted filesystem discovery','vfs.fs.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of file systems of different types as defined in global regular expression "File systems for discovery".','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22948','0','','10076','Free disk space on {#FSNAME}','vfs.fs.size[{#FSNAME},free]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22949','0','','10076','Free inodes on {#FSNAME} (percentage)','vfs.fs.inode[{#FSNAME},pfree]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22950','0','','10076','Total disk space on {#FSNAME}','vfs.fs.size[{#FSNAME},total]','1h','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22951','0','','10076','Used disk space on {#FSNAME}','vfs.fs.size[{#FSNAME},used]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22952','0','','10076','Free disk space on {#FSNAME} (percentage)','vfs.fs.size[{#FSNAME},pfree]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22961','0','','10077','Processor load (15 min average per core)','system.cpu.load[percpu,avg15]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The processor load is calculated as system CPU load divided by number of CPU cores.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22962','0','','10077','Processor load (1 min average per core)','system.cpu.load[percpu,avg1]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The processor load is calculated as system CPU load divided by number of CPU cores.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22963','0','','10077','Processor load (5 min average per core)','system.cpu.load[percpu,avg5]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The processor load is calculated as system CPU load divided by number of CPU cores.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22965','0','','10077','CPU idle time','system.cpu.util[,idle]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent doing nothing.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22968','0','','10077','CPU nice time','system.cpu.util[,nice]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running users'' processes that have been niced.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22971','0','','10077','CPU system time','system.cpu.util[,system]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running the kernel and its processes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22972','0','','10077','CPU user time','system.cpu.util[,user]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running users'' processes that are not niced.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22973','0','','10077','Host name','system.hostname','1h','1w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'System host name.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22974','0','','10077','Host local time','system.localtime','1m','1w','365d','0','3','','unixtime','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22978','0','','10077','System information','system.uname','1h','1w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The information as normally returned by ''uname -a''.','5','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22980','0','','10077','Number of logged in users','system.users.num','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of users who are currently logged in.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22981','0','','10077','Checksum of /etc/passwd','vfs.file.cksum[/etc/passwd]','1h','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22982','0','','10077','Available memory','vm.memory.size[available]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Available memory is defined as free+cached+buffers memory.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22983','0','','10077','Total memory','vm.memory.size[total]','1h','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22984','0','','10077','Network interface discovery','net.if.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of network interfaces as defined in global regular expression "Network interfaces for discovery".','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22985','0','','10077','Incoming network traffic on {#IFNAME}','net.if.in[{#IFNAME}]','1m','1w','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22986','0','','10077','Outgoing network traffic on {#IFNAME}','net.if.out[{#IFNAME}]','1m','1w','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22987','0','','10077','Mounted filesystem discovery','vfs.fs.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of file systems of different types as defined in global regular expression "File systems for discovery".','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22988','0','','10077','Free disk space on {#FSNAME}','vfs.fs.size[{#FSNAME},free]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22989','0','','10077','Free inodes on {#FSNAME} (percentage)','vfs.fs.inode[{#FSNAME},pfree]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22990','0','','10077','Total disk space on {#FSNAME}','vfs.fs.size[{#FSNAME},total]','1h','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22991','0','','10077','Used disk space on {#FSNAME}','vfs.fs.size[{#FSNAME},used]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22992','0','','10077','Free disk space on {#FSNAME} (percentage)','vfs.fs.size[{#FSNAME},pfree]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22996','0','','10078','Maximum number of processes','kernel.maxproc','1h','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'It could be increased by using sysctrl utility or modifying file /etc/sysctl.conf.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22997','0','','10078','Number of running processes','proc.num[,,run]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of processes in running state.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22998','0','','10078','Number of processes','proc.num[]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of processes in any state.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22999','0','','10078','Host boot time','system.boottime','10m','1w','365d','0','3','','unixtime','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23000','0','','10078','Interrupts per second','system.cpu.intr','1m','1w','365d','0','3','','ips','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23001','0','','10078','Processor load (15 min average per core)','system.cpu.load[percpu,avg15]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The processor load is calculated as system CPU load divided by number of CPU cores.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23002','0','','10078','Processor load (1 min average per core)','system.cpu.load[percpu,avg1]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The processor load is calculated as system CPU load divided by number of CPU cores.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23003','0','','10078','Processor load (5 min average per core)','system.cpu.load[percpu,avg5]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The processor load is calculated as system CPU load divided by number of CPU cores.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23004','0','','10078','Context switches per second','system.cpu.switches','1m','1w','365d','0','3','','sps','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23005','0','','10078','CPU idle time','system.cpu.util[,idle]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent doing nothing.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23007','0','','10078','CPU iowait time','system.cpu.util[,iowait]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'Amount of time the CPU has been waiting for I/O to complete.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23011','0','','10078','CPU system time','system.cpu.util[,system]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running the kernel and its processes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23012','0','','10078','CPU user time','system.cpu.util[,user]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running users'' processes that are not niced.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23013','0','','10078','Host name','system.hostname','1h','1w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'System host name.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23014','0','','10078','Host local time','system.localtime','1m','1w','365d','0','3','','unixtime','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23015','0','','10078','Free swap space','system.swap.size[,free]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23016','0','','10078','Free swap space in %','system.swap.size[,pfree]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23017','0','','10078','Total swap space','system.swap.size[,total]','1h','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23018','0','','10078','System information','system.uname','1h','1w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The information as normally returned by ''uname -a''.','5','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23019','0','','10078','System uptime','system.uptime','10m','1w','365d','0','3','','uptime','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23020','0','','10078','Number of logged in users','system.users.num','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of users who are currently logged in.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23021','0','','10078','Checksum of /etc/passwd','vfs.file.cksum[/etc/passwd]','1h','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23022','0','','10078','Available memory','vm.memory.size[available]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Available memory is defined as free+cached+buffers memory.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23023','0','','10078','Total memory','vm.memory.size[total]','1h','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23024','0','','10078','Network interface discovery','net.if.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of network interfaces as defined in global regular expression "Network interfaces for discovery".','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23025','0','','10078','Incoming network traffic on {#IFNAME}','net.if.in[{#IFNAME}]','1m','1w','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23026','0','','10078','Outgoing network traffic on {#IFNAME}','net.if.out[{#IFNAME}]','1m','1w','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23027','0','','10078','Mounted filesystem discovery','vfs.fs.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of file systems of different types as defined in global regular expression "File systems for discovery".','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23028','0','','10078','Free disk space on {#FSNAME}','vfs.fs.size[{#FSNAME},free]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23029','0','','10078','Free inodes on {#FSNAME} (percentage)','vfs.fs.inode[{#FSNAME},pfree]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23030','0','','10078','Total disk space on {#FSNAME}','vfs.fs.size[{#FSNAME},total]','1h','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23031','0','','10078','Used disk space on {#FSNAME}','vfs.fs.size[{#FSNAME},used]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23032','0','','10078','Free disk space on {#FSNAME} (percentage)','vfs.fs.size[{#FSNAME},pfree]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23035','0','','10079','Maximum number of opened files','kernel.maxfiles','1h','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'It could be increased by using sysctrl utility or modifying file /etc/sysctl.conf.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23036','0','','10079','Maximum number of processes','kernel.maxproc','1h','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'It could be increased by using sysctrl utility or modifying file /etc/sysctl.conf.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23039','0','','10079','Host boot time','system.boottime','10m','1w','365d','0','3','','unixtime','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23041','0','','10079','Processor load (15 min average per core)','system.cpu.load[percpu,avg15]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The processor load is calculated as system CPU load divided by number of CPU cores.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23042','0','','10079','Processor load (1 min average per core)','system.cpu.load[percpu,avg1]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The processor load is calculated as system CPU load divided by number of CPU cores.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23043','0','','10079','Processor load (5 min average per core)','system.cpu.load[percpu,avg5]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The processor load is calculated as system CPU load divided by number of CPU cores.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23053','0','','10079','Host name','system.hostname','1h','1w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'System host name.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23054','0','','10079','Host local time','system.localtime','1m','1w','365d','0','3','','unixtime','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23058','0','','10079','System information','system.uname','1h','1w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The information as normally returned by ''uname -a''.','5','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23059','0','','10079','System uptime','system.uptime','10m','1w','365d','0','3','','uptime','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23060','0','','10079','Number of logged in users','system.users.num','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of users who are currently logged in.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23061','0','','10079','Checksum of /etc/passwd','vfs.file.cksum[/etc/passwd]','1h','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23062','0','','10079','Available memory','vm.memory.size[available]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Available memory is defined as free+cached+buffers memory.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23063','0','','10079','Total memory','vm.memory.size[total]','1h','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23067','0','','10079','Mounted filesystem discovery','vfs.fs.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of file systems of different types as defined in global regular expression "File systems for discovery".','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23068','0','','10079','Free disk space on {#FSNAME}','vfs.fs.size[{#FSNAME},free]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23069','0','','10079','Free inodes on {#FSNAME} (percentage)','vfs.fs.inode[{#FSNAME},pfree]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23070','0','','10079','Total disk space on {#FSNAME}','vfs.fs.size[{#FSNAME},total]','1h','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23071','0','','10079','Used disk space on {#FSNAME}','vfs.fs.size[{#FSNAME},used]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23072','0','','10079','Free disk space on {#FSNAME} (percentage)','vfs.fs.size[{#FSNAME},pfree]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23073','0','','10075','Incoming network traffic on {#IFNAME}','net.if.in[{#IFNAME}]','1m','1w','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23074','0','','10075','Outgoing network traffic on {#IFNAME}','net.if.out[{#IFNAME}]','1m','1w','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23075','0','','10074','Incoming network traffic on {#IFNAME}','net.if.in[{#IFNAME}]','1m','1w','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23076','0','','10074','Outgoing network traffic on {#IFNAME}','net.if.out[{#IFNAME}]','1m','1w','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23077','0','','10079','Incoming network traffic on en0','net.if.in[en0]','1m','1w','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23078','0','','10079','Outgoing network traffic on en0','net.if.out[en0]','1m','1w','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23108','0','','10076','CPU available physical processors in the shared pool','system.stat[cpu,app]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23109','0','','10076','CPU entitled capacity consumed','system.stat[cpu,ec]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23110','0','','10076','CPU idle time','system.stat[cpu,id]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23111','0','','10076','CPU logical processor utilization','system.stat[cpu,lbusy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23112','0','','10076','CPU number of physical processors consumed','system.stat[cpu,pc]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23113','0','','10076','CPU system time','system.stat[cpu,sy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23114','0','','10076','CPU user time','system.stat[cpu,us]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23115','0','','10076','CPU iowait time','system.stat[cpu,wa]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23116','0','','10076','Amount of data transferred','system.stat[disk,bps]','1m','1w','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23117','0','','10076','Number of transfers','system.stat[disk,tps]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23118','0','','10076','Processor units is entitled to receive','system.stat[ent]','1h','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23119','0','','10076','Kernel thread context switches','system.stat[faults,cs]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23120','0','','10076','Device interrupts','system.stat[faults,in]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23121','0','','10076','System calls','system.stat[faults,sy]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23122','0','','10076','Length of the swap queue','system.stat[kthr,b]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23123','0','','10076','Length of the run queue','system.stat[kthr,r]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23124','0','','10076','Active virtual pages','system.stat[memory,avm]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23125','0','','10076','Free real memory','system.stat[memory,fre]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23126','0','','10076','File page-ins per second','system.stat[page,fi]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23127','0','','10076','File page-outs per second','system.stat[page,fo]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23128','0','','10076','Pages freed (page replacement)','system.stat[page,fr]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23129','0','','10076','Pages paged in from paging space','system.stat[page,pi]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23130','0','','10076','Pages paged out to paging space','system.stat[page,po]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23131','0','','10076','Pages scanned by page-replacement algorithm','system.stat[page,sr]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23171','5','','10047','Utilization of snmp trapper data collector processes, in %','zabbix[process,snmp trapper,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23251','5','','10047','Zabbix queue','zabbix[queue]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23318','0','','10050','Host name of Zabbix agent running','agent.hostname','1h','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23329','0','','10074','Network interface discovery','net.if.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of network interfaces as defined in global regular expression "Network interfaces for discovery".','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23340','5','','10048','Number of processed values per second','zabbix[wcache,values]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23341','5','','10048','Zabbix history index cache, % used','zabbix[wcache,index,pused]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23342','5','','10048','Zabbix history write cache, % used','zabbix[wcache,history,pused]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23343','5','','10048','Utilization of self-monitoring internal processes, in %','zabbix[process,self-monitoring,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23344','5','','10048','Utilization of snmp trapper data collector processes, in %','zabbix[process,snmp trapper,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23345','5','','10048','Utilization of trapper data collector processes, in %','zabbix[process,trapper,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23346','5','','10048','Utilization of unreachable poller data collector processes, in %','zabbix[process,unreachable poller,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23347','5','','10048','Utilization of configuration syncer internal processes, in %','zabbix[process,configuration syncer,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23348','5','','10048','Utilization of poller data collector processes, in %','zabbix[process,poller,avg,busy]','1m','1w','365d','0','0','localhost','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23349','5','','10048','Utilization of java poller data collector processes, in %','zabbix[process,java poller,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23350','5','','10048','Utilization of history syncer internal processes, in %','zabbix[process,history syncer,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23351','5','','10048','Utilization of heartbeat sender internal processes, in %','zabbix[process,heartbeat sender,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23352','5','','10048','Utilization of discoverer data collector processes, in %','zabbix[process,discoverer,avg,busy]','1m','1w','365d','0','0','localhost','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23353','5','','10048','Utilization of housekeeper internal processes, in %','zabbix[process,housekeeper,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23354','5','','10048','Utilization of http poller data collector processes, in %','zabbix[process,http poller,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23355','5','','10048','Utilization of ipmi poller data collector processes, in %','zabbix[process,ipmi poller,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23356','5','','10048','Utilization of icmp pinger data collector processes, in %','zabbix[process,icmp pinger,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23357','5','','10048','Zabbix configuration cache, % used','zabbix[rcache,buffer,pused]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23358','5','','10048','Zabbix queue','zabbix[queue]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23359','5','','10048','Zabbix queue over 10 minutes','zabbix[queue,10m]','10m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23360','5','','10048','Utilization of data sender internal processes, in %','zabbix[process,data sender,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23540','0','','10075','Network interface discovery','net.if.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of network interfaces as defined in global regular expression "Network interfaces for discovery".','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23634','5','','10047','Zabbix vmware cache, % used','zabbix[vmware,buffer,pused]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23644','3','','10093','FTP service is running','net.tcp.service[ftp]','1m','1w','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23645','3','','10094','HTTP service is running','net.tcp.service[http]','1m','1w','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23646','3','','10095','HTTPS service is running','net.tcp.service[https]','1m','1w','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23647','3','','10096','IMAP service is running','net.tcp.service[imap]','1m','1w','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23648','3','','10097','LDAP service is running','net.tcp.service[ldap]','1m','1w','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23649','3','','10098','NNTP service is running','net.tcp.service[nntp]','1m','1w','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23650','3','','10099','NTP service is running','net.udp.service[ntp]','1m','1w','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23651','3','','10100','POP service is running','net.tcp.service[pop]','1m','1w','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23652','3','','10101','SMTP service is running','net.tcp.service[smtp]','1m','1w','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23653','3','','10102','SSH service is running','net.tcp.service[ssh]','1m','1w','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23654','3','','10103','Telnet service is running','net.tcp.service[telnet]','1m','1w','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23661','5','','10047','Zabbix value cache operating mode','zabbix[vcache,cache,mode]','1m','1w','365d','0','3','','','','',NULL,'15','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23663','5','','10047','Utilization of task manager internal processes, in %','zabbix[process,task manager,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('25366','5','','10047','Utilization of ipmi manager internal processes, in %','zabbix[process,ipmi manager,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('25368','5','','10048','Utilization of ipmi manager internal processes, in %','zabbix[process,ipmi manager,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('25369','5','','10048','Utilization of task manager internal processes, in %','zabbix[process,task manager,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('25370','5','','10047','Utilization of alert manager internal processes, in %','zabbix[process,alert manager,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('25665','5','','10047','Utilization of preprocessing manager internal processes, in %','zabbix[process,preprocessing manager,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('25666','5','','10047','Utilization of preprocessing worker internal processes, in %','zabbix[process,preprocessing worker,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26856','16','','10169','mp PS Old Gen max','jmx["java.lang:type=MemoryPool,name=PS Old Gen",Usage.max]','1h','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26857','16','','10169','mp PS Old Gen committed','jmx["java.lang:type=MemoryPool,name=PS Old Gen",Usage.committed]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26858','16','','10169','mp PS Old Gen used','jmx["java.lang:type=MemoryPool,name=PS Old Gen",Usage.used]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26859','16','','10169','mp PS Perm Gen committed','jmx["java.lang:type=MemoryPool,name=PS Perm Gen",Usage.committed]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26860','16','','10169','mp PS Perm Gen max','jmx["java.lang:type=MemoryPool,name=PS Perm Gen",Usage.max]','1h','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26861','16','','10169','mp Perm Gen used','jmx["java.lang:type=MemoryPool,name=Perm Gen",Usage.used]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26862','16','','10169','mp Perm Gen max','jmx["java.lang:type=MemoryPool,name=Perm Gen",Usage.max]','1h','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26863','16','','10169','mp Code Cache committed','jmx["java.lang:type=MemoryPool,name=Code Cache",Usage.committed]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26864','16','','10169','mp CMS Perm Gen used','jmx["java.lang:type=MemoryPool,name=CMS Perm Gen",Usage.used]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26865','16','','10169','mp Code Cache max','jmx["java.lang:type=MemoryPool,name=Code Cache",Usage.max]','1h','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26866','16','','10169','mp Code Cache used','jmx["java.lang:type=MemoryPool,name=Code Cache",Usage.used]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26867','16','','10169','mp Perm Gen committed','jmx["java.lang:type=MemoryPool,name=Perm Gen",Usage.committed]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26868','16','','10169','mp PS Perm Gen used','jmx["java.lang:type=MemoryPool,name=PS Perm Gen",Usage.used]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26869','16','','10169','mp Tenured Gen committed','jmx["java.lang:type=MemoryPool,name=Tenured Gen",Usage.committed]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26870','16','','10169','th Daemon Thread Count','jmx["java.lang:type=Threading",DaemonThreadCount]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26871','16','','10169','jvm Version','jmx["java.lang:type=Runtime",VmVersion]','1h','1w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26872','16','','10169','th Peak Thread Count','jmx["java.lang:type=Threading",PeakThreadCount]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26873','16','','10169','th Thread Count','jmx["java.lang:type=Threading",ThreadCount]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26874','16','','10169','th Total Started Thread Count','jmx["java.lang:type=Threading",TotalStartedThreadCount]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26875','16','','10169','jvm Name','jmx["java.lang:type=Runtime",VmName]','1h','1w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26876','16','','10169','jvm Uptime','jmx["java.lang:type=Runtime",Uptime]','1m','1w','365d','0','3','','uptime','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26877','16','','10169','mp Tenured Gen used','jmx["java.lang:type=MemoryPool,name=Tenured Gen",Usage.used]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26878','16','','10169','mp Tenured Gen max','jmx["java.lang:type=MemoryPool,name=Tenured Gen",Usage.max]','1h','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26879','16','','10169','os Max File Descriptor Count','jmx["java.lang:type=OperatingSystem",MaxFileDescriptorCount]','1h','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26880','16','','10169','os Open File Descriptor Count','jmx["java.lang:type=OperatingSystem",OpenFileDescriptorCount]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26881','16','','10169','os Process CPU Load','jmx["java.lang:type=OperatingSystem",ProcessCpuLoad]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26882','16','','10169','mp CMS Perm Gen max','jmx["java.lang:type=MemoryPool,name=CMS Perm Gen",Usage.max]','1h','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26883','16','','10169','mp CMS Perm Gen committed','jmx["java.lang:type=MemoryPool,name=CMS Perm Gen",Usage.committed]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26884','16','','10169','gc MarkSweepCompact number of collections per second','jmx["java.lang:type=GarbageCollector,name=MarkSweepCompact",CollectionCount]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26885','16','','10169','gc Copy accumulated time spent in collection','jmx["java.lang:type=GarbageCollector,name=Copy",CollectionTime]','1m','1w','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26886','16','','10169','gc MarkSweepCompact accumulated time spent in collection','jmx["java.lang:type=GarbageCollector,name=MarkSweepCompact",CollectionTime]','1m','1w','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26887','16','','10169','gc ParNew number of collections per second','jmx["java.lang:type=GarbageCollector,name=ParNew",CollectionCount]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26888','16','','10169','gc ParNew accumulated time spent in collection','jmx["java.lang:type=GarbageCollector,name=ParNew",CollectionTime]','1m','1w','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26889','16','','10169','gc Copy number of collections per second','jmx["java.lang:type=GarbageCollector,name=Copy",CollectionCount]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26890','16','','10169','gc ConcurrentMarkSweep accumulated time spent in collection','jmx["java.lang:type=GarbageCollector,name=ConcurrentMarkSweep",CollectionTime]','1m','1w','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26891','16','','10169','cl Unloaded Class Count','jmx["java.lang:type=ClassLoading",UnloadedClassCount]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26892','16','','10169','cl Total Loaded Class Count','jmx["java.lang:type=ClassLoading",TotalLoadedClassCount]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26893','16','','10169','comp Name of the current JIT compiler','jmx["java.lang:type=Compilation",Name]','1h','1w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26894','16','','10169','comp Accumulated time spent in compilation','jmx["java.lang:type=Compilation",TotalCompilationTime]','1m','1w','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26895','16','','10169','gc ConcurrentMarkSweep number of collections per second','jmx["java.lang:type=GarbageCollector,name=ConcurrentMarkSweep",CollectionCount]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26896','16','','10169','gc PS MarkSweep number of collections per second','jmx["java.lang:type=GarbageCollector,name=PS MarkSweep",CollectionCount]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26897','16','','10169','gc PS MarkSweep accumulated time spent in collection','jmx["java.lang:type=GarbageCollector,name=PS MarkSweep",CollectionTime]','1m','1w','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26898','16','','10169','mem Object Pending Finalization Count','jmx["java.lang:type=Memory",ObjectPendingFinalizationCount]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26899','16','','10169','mem Non-Heap Memory used','jmx["java.lang:type=Memory",NonHeapMemoryUsage.used]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26900','16','','10169','mp CMS Old Gen committed','jmx["java.lang:type=MemoryPool,name=CMS Old Gen",Usage.committed]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26901','16','','10169','mp CMS Old Gen max','jmx["java.lang:type=MemoryPool,name=CMS Old Gen",Usage.max]','1h','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26902','16','','10169','mp CMS Old Gen used','jmx["java.lang:type=MemoryPool,name=CMS Old Gen",Usage.used]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26903','16','','10169','mem Non-Heap Memory max','jmx["java.lang:type=Memory",NonHeapMemoryUsage.max]','1h','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26904','16','','10169','mem Non-Heap Memory committed','jmx["java.lang:type=Memory",NonHeapMemoryUsage.committed]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26905','16','','10169','gc PS Scavenge accumulated time spent in collection','jmx["java.lang:type=GarbageCollector,name=PS Scavenge",CollectionTime]','1m','1w','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26906','16','','10169','gc PS Scavenge number of collections per second','jmx["java.lang:type=GarbageCollector,name=PS Scavenge",CollectionCount]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26907','16','','10169','mem Heap Memory committed','jmx["java.lang:type=Memory",HeapMemoryUsage.committed]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26908','16','','10169','mem Heap Memory max','jmx["java.lang:type=Memory",HeapMemoryUsage.max]','1h','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26909','16','','10169','mem Heap Memory used','jmx["java.lang:type=Memory",HeapMemoryUsage.used]','1m','1w','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26910','16','','10169','cl Loaded Class Count','jmx["java.lang:type=ClassLoading",LoadedClassCount]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26925','12','','10171','Power','power','1m','1w','365d','0','3','','','','',NULL,NULL,'','power','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26926','12','','10171','Processor Vcc','processor_vcc','1m','1w','365d','0','0','','V','','',NULL,NULL,'','Processor Vcc','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26927','12','','10171','System Fan 3','system_fan_3','1m','1w','365d','0','0','','RPM','','',NULL,NULL,'','System Fan 3','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26928','12','','10171','BB Ambient Temp','bb_ambient_temp','1m','1w','365d','0','0','','C','','',NULL,NULL,'','BB Ambient Temp','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26929','12','','10171','BB +5.0V','bb_5.0v','1m','1w','365d','0','0','','V','','',NULL,NULL,'','BB +5.0V','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26930','12','','10171','BB +3.3V','bb_3.3v','1m','1w','365d','0','0','','V','','',NULL,NULL,'','BB +3.3V','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26931','12','','10171','BB +3.3V STBY','bb_3.3v_stby','1m','1w','365d','0','0','','V','','',NULL,NULL,'','BB +3.3V STBY','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26932','12','','10171','BB +1.8V SM','bb_1.8v_sm','1m','1w','365d','0','0','','V','','',NULL,NULL,'','BB +1.8V SM','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26933','12','','10172','Front Panel Temp','front_panel_temp','1m','1w','365d','0','0','','C','','',NULL,NULL,'','Front Panel Temp','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26934','12','','10172','Power','power','1m','1w','365d','0','3','','','','',NULL,NULL,'','power','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26935','12','','10172','System Fan 2','system_fan_2','1m','1w','365d','0','0','','RPM','','',NULL,NULL,'','System Fan 2','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26936','12','','10172','System Fan 3','system_fan_3','1m','1w','365d','0','0','','RPM','','',NULL,NULL,'','System Fan 3','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26937','12','','10172','BB +5.0V','bb_5.0v','1m','1w','365d','0','0','','V','','',NULL,NULL,'','BB +5.0V','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26938','12','','10172','BB +3.3V STBY','bb_3.3v_stby','1m','1w','365d','0','0','','V','','',NULL,NULL,'','BB +3.3V STBY','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26939','12','','10172','BB +1.05V PCH','bb_1.05v_pch','1m','1w','365d','0','0','','V','','',NULL,NULL,'','BB +1.05V PCH','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26940','12','','10172','BB +1.1V P1 Vccp','bb_1.1v_p1_vccp','1m','1w','365d','0','0','','V','','',NULL,NULL,'','BB +1.1V P1 Vccp','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26941','12','','10172','BB +1.5V P1 DDR3','bb_1.5v_p1_ddr3','1m','1w','365d','0','0','','V','','',NULL,NULL,'','BB +1.5V P1 DDR3','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26942','12','','10172','BB +3.3V','bb_3.3v','1m','1w','365d','0','0','','V','','',NULL,NULL,'','BB +3.3V','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26943','12','','10172','Baseboard Temp','baseboard_temp','1m','1w','365d','0','0','','C','','',NULL,NULL,'','Baseboard Temp','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26944','3','','10173','Version','vmware.version[{$URL}]','1h','90d','0','0','1','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26945','3','','10173','Full name','vmware.fullname[{$URL}]','1h','90d','0','0','1','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26946','3','','10173','Event log','vmware.eventlog[{$URL},skip]','1m','90d','0','0','2','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26947','3','','10174','Memory size','vmware.vm.memory.size[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL:conf}','90d','365d','0','3','','B','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'Total size of configured memory.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26948','3','','10174','Host memory usage','vmware.vm.memory.size.usage.host[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL}','90d','365d','0','3','','B','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'The amount of host physical memory allocated to the VM, accounting for saving from memory sharing with other VMs.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26949','3','','10174','Guest memory usage','vmware.vm.memory.size.usage.guest[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL}','90d','365d','0','3','','B','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'The amount of guest physical memory that is being used by the VM.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26950','3','','10174','Power state','vmware.vm.powerstate[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL}','90d','365d','0','3','','','','',NULL,'12','','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'The current power state of the virtual machine.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26951','3','','10174','Committed storage space','vmware.vm.storage.committed[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL}','90d','365d','0','3','','B','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'Total storage space, in bytes, committed to this virtual machine across all datastores.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26952','3','','10174','Uptime','vmware.vm.uptime[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL}','90d','365d','0','3','','uptime','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'System uptime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26953','3','','10174','Unshared storage space','vmware.vm.storage.unshared[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL}','90d','365d','0','3','','B','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'Total storage space, in bytes, occupied by the virtual machine across all datastores, that is not shared with any other virtual machine.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26954','3','','10174','Uncommitted storage space','vmware.vm.storage.uncommitted[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL}','90d','365d','0','3','','B','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'Additional storage space, in bytes, potentially used by this virtual machine on all datastores.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26955','3','','10174','Swapped memory','vmware.vm.memory.size.swapped[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL}','90d','365d','0','3','','B','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'The amount of guest physical memory swapped out to the VM''s swap device by ESX.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26956','3','','10174','Shared memory','vmware.vm.memory.size.shared[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL}','90d','365d','0','3','','B','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'The amount of guest physical memory shared through transparent page sharing.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26957','3','','10174','CPU usage','vmware.vm.cpu.usage[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL}','90d','365d','0','3','','Hz','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'Current upper-bound on CPU usage. The upper-bound is based on the host the virtual machine is current running on, as well as limits configured on the virtual machine itself or any parent resource pool. Valid while the virtual machine is running.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26958','3','','10174','CPU ready','vmware.vm.cpu.ready[{$URL},{HOST.HOST}]','{$VMWARE_PERF_INTERVAL}','90d','365d','0','3','','ms','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'Time that the virtual machine was ready, but could not get scheduled to run on the physical CPU during last measurement interval (VMware vCenter/ESXi Server performance counter sampling interval - 20 seconds)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26959','3','','10174','Number of virtual CPUs','vmware.vm.cpu.num[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL:conf}','90d','365d','0','3','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'Number of virtual CPUs assigned to the guest.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26960','3','','10174','Datacenter name','vmware.vm.datacenter.name[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL:conf}','90d','0','0','1','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'Datacenter name of the guest VM.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26961','3','','10174','Hypervisor name','vmware.vm.hv.name[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL:conf}','90d','0','0','1','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'Hypervisor name of the guest VM.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26962','3','','10174','Private memory','vmware.vm.memory.size.private[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL}','90d','365d','0','3','','B','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'Amount of memory backed by host memory and not being shared.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26963','3','','10174','Compressed memory','vmware.vm.memory.size.compressed[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL}','90d','365d','0','3','','B','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'The amount of memory currently in the compression cache for this VM.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26964','3','','10174','Ballooned memory','vmware.vm.memory.size.ballooned[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL}','90d','365d','0','3','','B','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'The amount of guest physical memory that is currently reclaimed through the balloon driver.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26965','3','','10174','Cluster name','vmware.vm.cluster.name[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL:conf}','90d','0','0','1','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'Cluster name of the guest VM.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26966','3','','10175','Number of bytes transmitted','vmware.hv.network.out[{$URL},{HOST.HOST},bps]','{$VMWARE_PERF_INTERVAL}','90d','365d','0','3','','Bps','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26967','3','','10175','Number of bytes received','vmware.hv.network.in[{$URL},{HOST.HOST},bps]','{$VMWARE_PERF_INTERVAL}','90d','365d','0','3','','Bps','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26968','3','','10175','Used memory','vmware.hv.memory.used[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL}','90d','365d','0','3','','B','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'Physical memory usage on the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26969','3','','10175','Ballooned memory','vmware.hv.memory.size.ballooned[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL}','90d','365d','0','3','','B','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'The amount of guest physical memory that is currently reclaimed through the balloon driver. Sum of all guest VMs.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26970','3','','10175','Health state rollup','vmware.hv.sensor.health.state[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL}','90d','365d','0','3','','','','',NULL,'13','','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'The host health state rollup sensor value: gray - unknown, ok, red - it has a problem, yellow - it might have a problem.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26971','3','','10175','Overall status','vmware.hv.status[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL}','90d','365d','0','3','','','','',NULL,'13','','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'The overall alarm status of the host: gray - unknown, ok, red - it has a problem, yellow - it might have a problem.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26972','3','','10175','Number of guest VMs','vmware.hv.vm.num[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL:conf}','90d','365d','0','3','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'Number of guest virtual machines.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26973','3','','10175','Version','vmware.hv.version[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL:conf}','90d','0','0','1','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'Dot-separated version string.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26974','3','','10175','Uptime','vmware.hv.uptime[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL:conf}','90d','365d','0','3','','uptime','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'System uptime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26975','3','','10175','Vendor','vmware.hv.hw.vendor[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL:conf}','90d','0','0','1','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'The hardware vendor identification.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26976','3','','10175','Bios UUID','vmware.hv.hw.uuid[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL:conf}','90d','0','0','1','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'The hardware BIOS identification.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26977','3','','10175','CPU frequency','vmware.hv.hw.cpu.freq[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL:conf}','90d','365d','0','3','','Hz','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'The speed of the CPU cores. This is an average value if there are multiple speeds. The product of CPU frequency and number of cores is approximately equal to the sum of the MHz for all the individual cores on the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26978','3','','10175','Full name','vmware.hv.fullname[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL:conf}','90d','0','0','1','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'The complete product name, including the version information.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26979','3','','10175','Datacenter name','vmware.hv.datacenter.name[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL:conf}','90d','0','0','1','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'Datacenter name of the hypervisor.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26980','3','','10175','CPU usage','vmware.hv.cpu.usage[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL}','90d','365d','0','3','','Hz','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'Aggregated CPU usage across all cores on the host in Hz. This is only available if the host is connected.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26981','3','','10175','CPU model','vmware.hv.hw.cpu.model[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL:conf}','90d','0','0','1','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'The CPU model.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26982','3','','10175','CPU cores','vmware.hv.hw.cpu.num[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL:conf}','90d','365d','0','3','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'Number of physical CPU cores on the host. Physical CPU cores are the processors contained by a CPU package.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26983','3','','10175','Model','vmware.hv.hw.model[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL:conf}','90d','0','0','1','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'The system model identification.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26984','3','','10175','Total memory','vmware.hv.hw.memory[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL:conf}','90d','365d','0','3','','B','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'The physical memory size.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26985','3','','10175','CPU threads','vmware.hv.hw.cpu.threads[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL:conf}','90d','365d','0','3','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'Number of physical CPU threads on the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26986','3','','10175','Cluster name','vmware.hv.cluster.name[{$URL},{HOST.HOST}]','{$VMWARE_INTERVAL:conf}','90d','0','0','1','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','0',NULL,'Cluster name of the guest VM.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26987','3','','10173','Discover VMware clusters','vmware.cluster.discovery[{$URL}]','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','1',NULL,'Discovery of clusters','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26988','3','','10173','Discover VMware hypervisors','vmware.hv.discovery[{$URL}]','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','1',NULL,'Discovery of hypervisors.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26989','3','','10173','Discover VMware VMs','vmware.vm.discovery[{$URL}]','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','1',NULL,'Discovery of guest virtual machines.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26990','3','','10174','Network device discovery','vmware.vm.net.if.discovery[{$URL},{HOST.HOST}]','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','1',NULL,'Discovery of all network devices.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26991','3','','10174','Disk device discovery','vmware.vm.vfs.dev.discovery[{$URL},{HOST.HOST}]','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','1',NULL,'Discovery of all disk devices.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26992','3','','10174','Mounted filesystem discovery','vmware.vm.vfs.fs.discovery[{$URL},{HOST.HOST}]','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','1',NULL,'Discovery of all guest file systems.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26993','3','','10175','Datastore discovery','vmware.hv.datastore.discovery[{$URL},{HOST.HOST}]','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26994','3','','10173','Status of "{#CLUSTER.NAME}" cluster','vmware.cluster.status[{$URL},{#CLUSTER.NAME}]','1m','90d','365d','0','3','','','','',NULL,'13','','','0','{$USERNAME}','{$PASSWORD}','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26995','3','','10174','Number of packets transmitted on interface {#IFDESC}','vmware.vm.net.if.out[{$URL},{HOST.HOST},{#IFNAME},pps]','{$VMWARE_PERF_INTERVAL}','90d','365d','0','3','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26996','3','','10174','Number of bytes transmitted on interface {#IFDESC}','vmware.vm.net.if.out[{$URL},{HOST.HOST},{#IFNAME},bps]','{$VMWARE_PERF_INTERVAL}','90d','365d','0','3','','Bps','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26997','3','','10174','Number of packets received on interface {#IFDESC}','vmware.vm.net.if.in[{$URL},{HOST.HOST},{#IFNAME},pps]','{$VMWARE_PERF_INTERVAL}','90d','365d','0','3','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26998','3','','10174','Number of bytes received on interface {#IFDESC}','vmware.vm.net.if.in[{$URL},{HOST.HOST},{#IFNAME},bps]','{$VMWARE_PERF_INTERVAL}','90d','365d','0','3','','Bps','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('26999','3','','10174','Average number of writes to the disk {#DISKDESC}','vmware.vm.vfs.dev.write[{$URL},{HOST.HOST},{#DISKNAME},ops]','{$VMWARE_PERF_INTERVAL}','90d','365d','0','3','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27000','3','','10174','Average number of bytes written to the disk {#DISKDESC}','vmware.vm.vfs.dev.write[{$URL},{HOST.HOST},{#DISKNAME},bps]','{$VMWARE_PERF_INTERVAL}','90d','365d','0','3','','Bps','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27001','3','','10174','Average number of reads from the disk {#DISKDESC}','vmware.vm.vfs.dev.read[{$URL},{HOST.HOST},{#DISKNAME},ops]','{$VMWARE_PERF_INTERVAL}','90d','365d','0','3','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27002','3','','10174','Average number of bytes read from the disk {#DISKDESC}','vmware.vm.vfs.dev.read[{$URL},{HOST.HOST},{#DISKNAME},bps]','{$VMWARE_PERF_INTERVAL}','90d','365d','0','3','','Bps','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27003','3','','10174','Used disk space on {#FSNAME}','vmware.vm.vfs.fs.size[{$URL},{HOST.HOST},{#FSNAME},used]','{$VMWARE_INTERVAL}','90d','365d','0','3','','B','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27004','3','','10174','Total disk space on {#FSNAME}','vmware.vm.vfs.fs.size[{$URL},{HOST.HOST},{#FSNAME},total]','{$VMWARE_INTERVAL:conf}','90d','365d','0','3','','B','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27005','3','','10174','Free disk space on {#FSNAME} (percentage)','vmware.vm.vfs.fs.size[{$URL},{HOST.HOST},{#FSNAME},pfree]','{$VMWARE_INTERVAL}','90d','365d','0','0','','%','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27006','3','','10174','Free disk space on {#FSNAME}','vmware.vm.vfs.fs.size[{$URL},{HOST.HOST},{#FSNAME},free]','{$VMWARE_INTERVAL}','90d','365d','0','3','','B','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27007','3','','10175','Average write latency of the datastore {#DATASTORE}','vmware.hv.datastore.write[{$URL},{HOST.HOST},{#DATASTORE},latency]','{$VMWARE_PERF_INTERVAL}','90d','365d','0','3','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27008','3','','10175','Total size of datastore {#DATASTORE}','vmware.hv.datastore.size[{$URL},{HOST.HOST},{#DATASTORE}]','{$VMWARE_PERF_INTERVAL:datastore}','90d','365d','0','3','','B','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27009','3','','10175','Free space on datastore {#DATASTORE} (percentage)','vmware.hv.datastore.size[{$URL},{HOST.HOST},{#DATASTORE},pfree]','{$VMWARE_PERF_INTERVAL:datastore}','90d','365d','0','0','','%','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27010','3','','10175','Average read latency of the datastore {#DATASTORE}','vmware.hv.datastore.read[{$URL},{HOST.HOST},{#DATASTORE},latency]','{$VMWARE_PERF_INTERVAL}','90d','365d','0','3','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27029','20','discovery[{#SNMPVALUE},1.3.6.1.2.1.10.7.2.1.19,{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2]','10182','EtherLike-MIB Discovery','net.if.duplex.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB and EtherLike-MIB. Interfaces with up(1) Operational Status are discovered.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27030','20','1.3.6.1.2.1.10.7.2.1.19.{#SNMPINDEX}','10182','Interface {#IFNAME}({#IFALIAS}): Duplex status','net.if.duplex[dot3StatsDuplexStatus.{#SNMPINDEX}]','1m','7d','365d','0','3','','','','',NULL,'19','','','0','','','','','2',NULL,'MIB: EtherLike-MIB
The current mode of operation of the MAC
entity.  ''unknown'' indicates that the current
duplex mode could not be determined.

Management control of the duplex mode is
accomplished through the MAU MIB.  When
an interface does not support autonegotiation,
or when autonegotiation is not enabled, the
duplex mode is controlled using
ifMauDefaultType.  When autonegotiation is
supported and enabled, duplex mode is controlled
using ifMauAutoNegAdvertisedBits.  In either
case, the currently operating duplex mode is
reflected both in this object and in ifMauType.

Note that this object provides redundant
information with ifMauType.  Normally, redundant
objects are discouraged.  However, in this
instance, it allows a management application to
determine the duplex status of an interface
without having to know every possible value of
ifMauType.  This was felt to be sufficiently
valuable to justify the redundancy.
Reference: [IEEE 802.3 Std.], 30.3.1.1.32,aDuplexStatus.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27031','20','discovery[{#SNMPVALUE},1.3.6.1.2.1.10.7.2.1.19,{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2]','10183','EtherLike-MIB Discovery','net.if.duplex.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB and EtherLike-MIB. Interfaces with up(1) Operational Status are discovered.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27032','20','1.3.6.1.2.1.10.7.2.1.19.{#SNMPINDEX}','10183','Interface {#IFNAME}({#IFALIAS}): Duplex status','net.if.duplex[dot3StatsDuplexStatus.{#SNMPINDEX}]','1m','7d','365d','0','3','','','','',NULL,'19','','','0','','','','','2',NULL,'MIB: EtherLike-MIB
The current mode of operation of the MAC
entity.  ''unknown'' indicates that the current
duplex mode could not be determined.

Management control of the duplex mode is
accomplished through the MAU MIB.  When
an interface does not support autonegotiation,
or when autonegotiation is not enabled, the
duplex mode is controlled using
ifMauDefaultType.  When autonegotiation is
supported and enabled, duplex mode is controlled
using ifMauAutoNegAdvertisedBits.  In either
case, the currently operating duplex mode is
reflected both in this object and in ifMauType.

Note that this object provides redundant
information with ifMauType.  Normally, redundant
objects are discouraged.  However, in this
instance, it allows a management application to
determine the duplex status of an interface
without having to know every possible value of
ifMauType.  This was felt to be sufficiently
valuable to justify the redundancy.
Reference: [IEEE 802.3 Std.], 30.3.1.1.32,aDuplexStatus.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27065','3','','10186','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27066','3','','10186','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27067','3','','10186','ICMP ping','icmpping','1m','1w','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27068','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFNAME},1.3.6.1.2.1.2.2.1.2,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10187','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27069','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10187','Interface {#IFDESCR}: Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27070','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10187','Interface {#IFDESCR}: Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','',NULL,'21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27071','20','1.3.6.1.2.1.2.2.1.5.{#SNMPINDEX}','10187','Interface {#IFDESCR}: Speed','net.if.speed[ifSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in bits per second.
For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made,
this object should contain the nominal bandwidth.
If the bandwidth of the interface is greater than the maximum value reportable by this object then
this object should report its maximum value (4,294,967,295) and ifHighSpeed must be used to report the interace''s speed.
For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27072','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10187','Interface {#IFDESCR}: Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27073','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10187','Interface {#IFDESCR}: Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27074','20','1.3.6.1.2.1.2.2.1.10.{#SNMPINDEX}','10187','Interface {#IFDESCR}: Bits received','net.if.in[ifInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface,including framing characters. Discontinuities in the value of this counter can occurat re-initialization of the management system, and atother times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27075','20','1.3.6.1.2.1.2.2.1.16.{#SNMPINDEX}','10187','Interface {#IFDESCR}: Bits sent','net.if.out[ifOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. Discontinuities in the value of this counter can occurat re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27076','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10187','Interface {#IFDESCR}: Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27077','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10187','Interface {#IFDESCR}: Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','',NULL,'20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27078','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFNAME},1.3.6.1.2.1.2.2.1.2,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10188','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27079','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10188','Interface {#IFDESCR}: Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27080','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10188','Interface {#IFDESCR}: Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','',NULL,'21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27081','20','1.3.6.1.2.1.2.2.1.5.{#SNMPINDEX}','10188','Interface {#IFDESCR}: Speed','net.if.speed[ifSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in bits per second.
For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made,
this object should contain the nominal bandwidth.
If the bandwidth of the interface is greater than the maximum value reportable by this object then
this object should report its maximum value (4,294,967,295) and ifHighSpeed must be used to report the interace''s speed.
For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27082','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10188','Interface {#IFDESCR}: Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27083','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10188','Interface {#IFDESCR}: Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27084','20','1.3.6.1.2.1.2.2.1.10.{#SNMPINDEX}','10188','Interface {#IFDESCR}: Bits received','net.if.in[ifInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface,including framing characters. Discontinuities in the value of this counter can occurat re-initialization of the management system, and atother times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27085','20','1.3.6.1.2.1.2.2.1.16.{#SNMPINDEX}','10188','Interface {#IFDESCR}: Bits sent','net.if.out[ifOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. Discontinuities in the value of this counter can occurat re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27086','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10188','Interface {#IFDESCR}: Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27087','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10188','Interface {#IFDESCR}: Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','',NULL,'20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27088','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10189','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27089','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10189','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27090','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10189','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','',NULL,'21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27091','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10189','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27092','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10189','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27093','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10189','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27094','20','1.3.6.1.2.1.31.1.1.1.6.{#SNMPINDEX}','10189','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifHCInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface, including framing characters. This object is a 64-bit version of ifInOctets. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27095','20','1.3.6.1.2.1.31.1.1.1.10.{#SNMPINDEX}','10189','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifHCOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. This object is a 64-bit version of ifOutOctets.Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27096','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10189','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27097','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10189','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','',NULL,'20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27098','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10190','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27099','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10190','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27100','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10190','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','',NULL,'21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27101','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10190','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27102','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10190','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27103','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10190','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27104','20','1.3.6.1.2.1.31.1.1.1.6.{#SNMPINDEX}','10190','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifHCInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface, including framing characters. This object is a 64-bit version of ifInOctets. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27105','20','1.3.6.1.2.1.31.1.1.1.10.{#SNMPINDEX}','10190','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifHCOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. This object is a 64-bit version of ifOutOctets.Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27106','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10190','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27107','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10190','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','',NULL,'20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27118','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10192','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27119','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10192','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27120','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10192','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','',NULL,'21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27121','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10192','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27122','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10192','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27123','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10192','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27124','20','1.3.6.1.2.1.2.2.1.10.{#SNMPINDEX}','10192','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface,including framing characters. Discontinuities in the value of this counter can occur at re-initialization of the management system, and atother times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27125','20','1.3.6.1.2.1.2.2.1.16.{#SNMPINDEX}','10192','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27126','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10192','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27127','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10192','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','',NULL,'20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27141','20','1.3.6.1.2.1.1.5.0','10203','System name','system.name','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27143','5','','10203','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','',NULL,'22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27146','17','','10203','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd',NULL,NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27152','20','1.3.6.1.2.1.1.5.0','10204','System name','system.name','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27154','5','','10204','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','',NULL,'22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27157','17','','10204','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd',NULL,NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27203','20','1.3.6.1.2.1.1.1.0','10207','Hardware model name','system.hw.model','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB','29','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27207','20','1.3.6.1.4.1.6527.3.1.2.1.1.9.0','10207','Used memory','vm.memory.used[sgiKbMemoryUsed.0]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: TIMETRA-SYSTEM-MIB
The value of sgiKbMemoryUsed indicates the total pre-allocated pool memory, in kilobytes, currently in use on the system.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27208','20','1.3.6.1.4.1.6527.3.1.2.1.1.1.0','10207','CPU utilization','system.cpu.util[sgiCpuUsage.0]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: TIMETRA-SYSTEM-MIB
The value of sgiCpuUsage indicates the current CPU utilization for the system.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27209','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.6527.3.1.2.2.1.8.1.8,{#TEMP_SENSOR},1.3.6.1.4.1.6527.3.1.2.2.1.8.1.17]','10207','Temperature Discovery','temperature.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27210','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.6527.3.1.2.2.1.4.1.2]','10207','FAN Discovery','fan.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27211','20','discovery[{#ENT_NAME},1.3.6.1.4.1.6527.3.1.2.2.1.8.1.8,{#ENT_CLASS},1.3.6.1.4.1.6527.3.1.2.2.1.8.1.7,{#ENT_SN},1.3.6.1.4.1.6527.3.1.2.2.1.8.1.5]','10207','Entity Serial Numbers Discovery','entity_sn.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27212','20','1.3.6.1.4.1.6527.3.1.2.2.1.8.1.18.{#SNMPINDEX}','10207','{#SNMPVALUE}: Temperature','sensor.temp.value[tmnxHwTemperature.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: TIMETRA-SYSTEM-MIB
The current temperature reading in degrees celsius from this hardware component''s temperature sensor.  If this component does not contain a temperature sensor, then the value -1 is returned.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27213','20','1.3.6.1.4.1.6527.3.1.2.2.1.4.1.2.{#SNMPINDEX}','10207','#{#SNMPINDEX}: Fan status','sensor.fan.status[tmnxChassisFanOperStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'23','','','0','','','','','2',NULL,'MIB: TIMETRA-SYSTEM-MIB
Current status of the Fan tray.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27214','20','1.3.6.1.4.1.6527.3.1.2.2.1.8.1.5.{#SNMPINDEX}','10207','{#ENT_NAME}: Hardware serial number','system.hw.serialnumber[tmnxHwSerialNumber.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: TIMETRA-CHASSIS-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27236','20','1.3.6.1.4.1.1588.2.1.1.1.1.6.0','10208','Firmware version','system.hw.firmware','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: SW-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27237','20','1.3.6.1.4.1.1588.2.1.1.1.1.10.0','10208','Hardware serial number','system.hw.serialnumber','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: SW-MIB','8','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27238','20','1.3.6.1.4.1.1588.2.1.1.1.1.7.0','10208','Overall system health status','system.status[swOperStatus.0]','30s','2w','0d','0','3','','','','',NULL,'25','','','0','','','','','0',NULL,'MIB: SW-MIB
The current operational status of the switch.The states are as follow:
online(1) means the switch is accessible by an external Fibre Channel port
offline(2) means the switch is not accessible
testing(3) means the switch is in a built-in test mode and is not accessible by an external Fibre Channel port
faulty(4) means the switch is not operational.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27240','20','1.3.6.1.4.1.1588.2.1.1.1.26.1.0','10208','CPU utilization','system.cpu.util[swCpuUsage.0]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: SW-MIB
System''s CPU usage.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27242','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.1588.2.1.1.1.1.22.1.1,{#SENSOR_TYPE},1.3.6.1.4.1.1588.2.1.1.1.1.22.1.2,{#SENSOR_INFO},1.3.6.1.4.1.1588.2.1.1.1.1.22.1.5]','10208','Temperature Discovery','temperature.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27243','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.1588.2.1.1.1.1.22.1.1,{#SENSOR_TYPE},1.3.6.1.4.1.1588.2.1.1.1.1.22.1.2,{#SENSOR_INFO},1.3.6.1.4.1.1588.2.1.1.1.1.22.1.5]','10208','PSU Discovery','psu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27244','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.1588.2.1.1.1.1.22.1.1,{#SENSOR_TYPE},1.3.6.1.4.1.1588.2.1.1.1.1.22.1.2,{#SENSOR_INFO},1.3.6.1.4.1.1588.2.1.1.1.1.22.1.5]','10208','FAN Discovery','fan.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27246','20','1.3.6.1.4.1.1588.2.1.1.1.1.22.1.3.{#SNMPINDEX}','10208','{#SENSOR_INFO}: Temperature status','sensor.temp.status[swSensorStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'24','','','0','','','','','2',NULL,'MIB: SW-MIB
Temperature status of testpoint: {#SENSOR_INFO}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27247','20','1.3.6.1.4.1.1588.2.1.1.1.1.22.1.4.{#SNMPINDEX}','10208','{#SENSOR_INFO}: Temperature','sensor.temp.value[swSensorValue.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: SW-MIB
Temperature readings of testpoint: {#SENSOR_INFO}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27248','20','1.3.6.1.4.1.1588.2.1.1.1.1.22.1.3.{#SNMPINDEX}','10208','{#SENSOR_INFO}: Power supply status','sensor.psu.status[swSensorStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'24','','','0','','','','','2',NULL,'MIB: SW-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27249','20','1.3.6.1.4.1.1588.2.1.1.1.1.22.1.4.{#SNMPINDEX}','10208','{#SENSOR_INFO}: Fan speed','sensor.fan.speed[swSensorValue.{#SNMPINDEX}]','1m','90d','365d','0','3','','rpm','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: SW-MIB
The current value (reading) of the sensor.
The value, -2147483648, represents an unknown quantity.
The fan value will be in RPM(revolution per minute)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27250','20','1.3.6.1.4.1.1588.2.1.1.1.1.22.1.3.{#SNMPINDEX}','10208','{#SENSOR_INFO}: Fan status','sensor.fan.status[swSensorStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'24','','','0','','','','','2',NULL,'MIB: SW-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27294','20','1.3.6.1.4.1.1991.1.1.2.1.52.0','10209','CPU utilization','system.cpu.util[snAgGblCpuUtil1MinAvg.0]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: FOUNDRY-SN-AGENT-MIB
The statistics collection of 1 minute CPU utilization.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27295','20','1.3.6.1.4.1.1991.1.1.2.1.11.0','10210','Firmware version','system.hw.firmware','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: FOUNDRY-SN-AGENT-MIB
The version of the running software in the form''major.minor.maintenance[letters]''','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27296','20','1.3.6.1.4.1.1991.1.1.1.1.2.0','10210','Hardware serial number','system.hw.serialnumber','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: FOUNDRY-SN-AGENT-MIB','8','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27297','20','1.3.6.1.4.1.1991.1.1.2.1.11.0','10211','Firmware version','system.hw.firmware','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: FOUNDRY-SN-AGENT-MIB
The version of the running software in the form ''major.minor.maintenance[letters]''','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27302','20','discovery[{#PSU_INDEX},1.3.6.1.4.1.1991.1.1.1.2.1.1.1]','10210','PSU Discovery','psu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'snChasPwrSupplyTable: A table of each power supply information. Only installed power supply appears in a table row.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27303','20','discovery[{#FAN_INDEX},1.3.6.1.4.1.1991.1.1.1.3.1.1.1]','10210','FAN Discovery','fan.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'snChasFanTable: A table of each fan information. Only installed fan appears in a table row.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27304','20','discovery[{#SENSOR_DESCR},1.3.6.1.4.1.1991.1.1.2.13.1.1.3]','10210','Temperature Discovery','temp.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'snAgentTempTable:Table to list temperatures of the modules in the device. This table is applicable to only those modules with temperature sensors.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27306','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.1991.1.1.1.1.18]','10210','Temperature Discovery Chassis','temp.chassis.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Since temperature of the chassis is not available on all Brocade/Foundry hardware, this LLD is here to avoid unsupported items.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27307','20','discovery[{#PSU_UNIT},1.3.6.1.4.1.1991.1.1.1.2.2.1.1,{#PSU_INDEX},1.3.6.1.4.1.1991.1.1.1.2.2.1.2]','10211','PSU Discovery','psu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'snChasPwrSupply2Table: A table of each power supply information for each unit. Only installed power supply appears in a table row.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27308','20','discovery[{#FAN_UNIT},1.3.6.1.4.1.1991.1.1.1.3.2.1.1,{#FAN_INDEX},1.3.6.1.4.1.1991.1.1.1.3.2.1.2]','10211','FAN Discovery','fan.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'snChasFan2Table: A table of each fan information for each unit. Only installed fan appears in a table row.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27309','20','discovery[{#SENSOR_DESCR},1.3.6.1.4.1.1991.1.1.2.13.3.1.4]','10211','Temperature Discovery','temp.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'snAgentTemp2Table:Table to list temperatures of the modules in the device for each unit. This table is applicable to only those modules with temperature sensors.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27310','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.1991.1.1.3.31.2.1.1.5]','10211','Stack Discovery','stack.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovering snStackingConfigUnitTable for Model names','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27311','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.1991.1.1.1.4.1.1.1]','10211','Chassis Discovery','chassis.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'snChasUnitIndex: The index to chassis table.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27312','20','1.3.6.1.4.1.1991.1.1.1.2.1.1.3.{#SNMPINDEX}','10210','PSU {#PSU_INDEX}: Power supply status','sensor.psu.status[snChasPwrSupplyOperStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'26','','','0','','','','','2',NULL,'MIB: FOUNDRY-SN-AGENT-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27313','20','1.3.6.1.4.1.1991.1.1.1.3.1.1.3.{#SNMPINDEX}','10210','Fan {#FAN_INDEX}: Fan status','sensor.fan.status[snChasFanOperStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'27','','','0','','','','','2',NULL,'MIB: FOUNDRY-SN-AGENT-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27314','20','1.3.6.1.4.1.1991.1.1.2.13.1.1.4.{#SNMPINDEX}','10210','{#SENSOR_DESCR}: Temperature','sensor.temp.value[snAgentTempValue.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: FOUNDRY-SN-AGENT-MIB
Temperature of the sensor represented by this row. Each unit is 0.5 degrees Celsius.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27315','20','1.3.6.1.4.1.1991.1.1.1.1.18.{#SNMPINDEX}','10210','Chassis #{#SNMPINDEX}: Temperature','sensor.temp.value[snChasActualTemperature.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: FOUNDRY-SN-AGENT-MIB
Temperature of the chassis. Each unit is 0.5 degrees Celcius.
Only management module built with temperature sensor hardware is applicable.
For those non-applicable management module, it returns no-such-name.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27316','20','1.3.6.1.4.1.1991.1.1.1.2.2.1.4.{#SNMPINDEX}','10211','Unit {#PSU_UNIT} PSU {#PSU_INDEX}: Power supply status','sensor.psu.status[snChasPwrSupply2OperStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'26','','','0','','','','','2',NULL,'MIB: FOUNDRY-SN-AGENT-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27317','20','1.3.6.1.4.1.1991.1.1.1.3.2.1.4.{#SNMPINDEX}','10211','Unit {#FAN_UNIT} Fan {#FAN_INDEX}: Fan status','sensor.fan.status[snChasFan2OperStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'27','','','0','','','','','2',NULL,'MIB: FOUNDRY-SN-AGENT-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27318','20','1.3.6.1.4.1.1991.1.1.2.13.3.1.5.{#SNMPINDEX}','10211','{#SENSOR_DESCR}: Temperature','sensor.temp.value[snAgentTemp2Value.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: FOUNDRY-SN-AGENT-MIB
Temperature of the sensor represented by this row. Each unit is 0.5 degrees Celsius.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27319','20','1.3.6.1.4.1.1991.1.1.3.31.2.1.1.5.{#SNMPINDEX}','10211','Unit {#SNMPINDEX}: Hardware model name','system.hw.model[snStackingConfigUnitType.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: FOUNDRY-SN-STACKING-MIB
A description of the configured/active system type for each unit.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27320','20','1.3.6.1.4.1.1991.1.1.1.4.1.1.2.{#SNMPINDEX}','10211','Unit {#SNMPVALUE}: Hardware serial number','system.hw.serialnumber[snChasUnitSerNum.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: FOUNDRY-SN-AGENT-MIB
The serial number of the chassis for each unit. If the serial number is unknown or unavailable then the value should be a zero length string.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27376','20','1.3.6.1.4.1.9.2.1.58','10215','CPU utilization','system.cpu.util[avgBusy5]','5m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: OLD-CISCO-CPU-MIB
5 minute exponentially-decayed moving average of the CPU busy percentage.
Reference: http://www.cisco.com/c/en/us/support/docs/ip/simple-network-management-protocol-snmp/15215-collect-cpu-util-snmp.html','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27378','20','1.3.6.1.2.1.47.1.1.1.1.11.1','10216','Hardware serial number','system.hw.serialnumber','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: ENTITY-MIB','8','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27379','20','1.3.6.1.2.1.47.1.1.1.1.13.1','10216','Hardware model name','system.hw.model','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: ENTITY-MIB','29','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27390','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.9.9.48.1.1.1.2]','10212','Memory Discovery','memory.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of ciscoMemoryPoolTable, a table of memory pool monitoring entries.
http://www.cisco.com/c/en/us/support/docs/ip/simple-network-management-protocol-snmp/15216-contiguous-memory.html','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27391','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.9.9.109.1.1.1.1.5]','10213','CPU Discovery','cpu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'If your IOS device has several CPUs, you must use CISCO-PROCESS-MIB and its object cpmCPUTotal5minRev from the table called cpmCPUTotalTable ,
indexed with cpmCPUTotalIndex .
This table allows CISCO-PROCESS-MIB to keep CPU statistics for different physical entities in the router,
like different CPU chips, group of CPUs, or CPUs in different modules/cards.
In case of a single CPU, cpmCPUTotalTable has only one entry.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27393','20','discovery[{#ENT_CLASS},1.3.6.1.2.1.47.1.1.1.1.5,{#ENT_NAME},1.3.6.1.2.1.47.1.1.1.1.7,{#ENT_SN},1.3.6.1.2.1.47.1.1.1.1.11]','10216','Entity Serial Numbers Discovery','entity_sn.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27394','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.9.9.13.1.3.1.2]','10217','Temperature Discovery','temperature.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of ciscoEnvMonTemperatureTable (ciscoEnvMonTemperatureDescr), a table of ambient temperature status
maintained by the environmental monitor.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27395','20','discovery[{#SENSOR_INFO},1.3.6.1.4.1.9.9.13.1.5.1.2]','10217','PSU Discovery','psu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'The table of power supply status maintained by the environmental monitor card.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27396','20','discovery[{#SENSOR_INFO},1.3.6.1.4.1.9.9.13.1.4.1.2]','10217','FAN Discovery','fan.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'The table of fan status maintained by the environmental monitor.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27415','20','1.3.6.1.4.1.9.9.48.1.1.1.6.{#SNMPINDEX}','10212','{#SNMPVALUE}: Free memory','vm.memory.free[ciscoMemoryPoolFree.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CISCO-MEMORY-POOL-MIB
Indicates the number of bytes from the memory pool that are currently unused on the managed device. Note that the sum of ciscoMemoryPoolUsed and ciscoMemoryPoolFree is the total amount of memory in the pool
Reference: http://www.cisco.com/c/en/us/support/docs/ip/simple-network-management-protocol-snmp/15216-contiguous-memory.html','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27416','20','1.3.6.1.4.1.9.9.48.1.1.1.5.{#SNMPINDEX}','10212','{#SNMPVALUE}: Used memory','vm.memory.used[ciscoMemoryPoolUsed.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CISCO-MEMORY-POOL-MIB
Indicates the number of bytes from the memory pool that are currently in use by applications on the managed device.
Reference: http://www.cisco.com/c/en/us/support/docs/ip/simple-network-management-protocol-snmp/15216-contiguous-memory.html','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27417','20','1.3.6.1.4.1.9.9.109.1.1.1.1.8.{#SNMPINDEX}','10213','#{#SNMPINDEX}: CPU utilization','system.cpu.util[cpmCPUTotal5minRev.{#SNMPINDEX}]','5m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CISCO-PROCESS-MIB
The cpmCPUTotal5minRev MIB object provides a more accurate view of the performance of the router over time than the MIB objects cpmCPUTotal1minRev and cpmCPUTotal5secRev . These MIB objects are not accurate because they look at CPU at one minute and five second intervals, respectively. These MIBs enable you to monitor the trends and plan the capacity of your network. The recommended baseline rising threshold for cpmCPUTotal5minRev is 90 percent. Depending on the platform, some routers that run at 90 percent, for example, 2500s, can exhibit performance degradation versus a high-end router, for example, the 7500 series, which can operate fine.
Reference: http://www.cisco.com/c/en/us/support/docs/ip/simple-network-management-protocol-snmp/15215-collect-cpu-util-snmp.html','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27419','20','1.3.6.1.2.1.47.1.1.1.1.11.{#SNMPINDEX}','10216','{#ENT_NAME}: Hardware serial number','system.hw.serialnumber[entPhysicalSerialNum.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27420','20','1.3.6.1.4.1.9.9.13.1.3.1.6.{#SNMPINDEX}','10217','{#SNMPVALUE}: Temperature status','sensor.temp.status[ciscoEnvMonTemperatureState.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'28','','','0','','','','','2',NULL,'MIB: CISCO-ENVMON-MIB
The current state of the test point being instrumented.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27421','20','1.3.6.1.4.1.9.9.13.1.3.1.3.{#SNMPINDEX}','10217','{#SNMPVALUE}: Temperature','sensor.temp.value[ciscoEnvMonTemperatureValue.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CISCO-ENVMON-MIB
The current measurement of the test point being instrumented.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27422','20','1.3.6.1.4.1.9.9.13.1.5.1.3.{#SNMPINDEX}','10217','{#SENSOR_INFO}: Power supply status','sensor.psu.status[ciscoEnvMonSupplyState.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'28','','','0','','','','','2',NULL,'MIB: CISCO-ENVMON-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27423','20','1.3.6.1.4.1.9.9.13.1.4.1.3.{#SNMPINDEX}','10217','{#SENSOR_INFO}: Fan status','sensor.fan.status[ciscoEnvMonFanState.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'28','','','0','','','','','2',NULL,'MIB: CISCO-ENVMON-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27473','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.6027.3.10.1.2.9.1.1]','10221','CPU and Memory and Flash Discovery','module.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27474','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.6027.3.10.1.2.3.1.1]','10221','PSU Discovery','psu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'A list of power supply residents in the S-series chassis.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27475','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.6027.3.10.1.2.4.1.1]','10221','FAN Discovery','fan.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27476','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.6027.3.10.1.2.2.1.2]','10221','Stack Unit Discovery','stack.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27478','20','1.3.6.1.4.1.6027.3.10.1.2.9.1.3.{#SNMPINDEX}','10221','#{#SNMPINDEX}: CPU utilization','system.cpu.util[chStackUnitCpuUtil1Min.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: F10-S-SERIES-CHASSIS-MIB
CPU utilization in percentage for last 1 minute.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27479','20','1.3.6.1.4.1.6027.3.10.1.2.3.1.2.{#SNMPINDEX}','10221','PSU {#SNMPVALUE}: Power supply status','sensor.psu.status[chSysPowerSupplyOperStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'31','','','0','','','','','2',NULL,'MIB: F10-S-SERIES-CHASSIS-MIB
The status of the power supply {#SNMPVALUE}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27480','20','1.3.6.1.4.1.6027.3.10.1.2.4.1.2.{#SNMPINDEX}','10221','Fan {#SNMPVALUE}: Fan status','sensor.fan.status[chSysFanTrayOperStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'30','','','0','','','','','2',NULL,'MIB: F10-S-SERIES-CHASSIS-MIB
The status of the fan tray {#SNMPVALUE}.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27481','20','1.3.6.1.4.1.6027.3.10.1.2.2.1.10.{#SNMPINDEX}','10221','#{#SNMPVALUE}: Operating system','system.sw.os[chStackUnitCodeVersion.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: F10-S-SERIES-CHASSIS-MIB
Current code version of this unit.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27482','20','1.3.6.1.4.1.6027.3.10.1.2.2.1.21.{#SNMPINDEX}','10221','#{#SNMPVALUE}: Hardware version(revision)','system.hw.version[chStackUnitProductRev.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: F10-S-SERIES-CHASSIS-MIB
The unit manufacturer''s product revision','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27483','20','1.3.6.1.4.1.6027.3.10.1.2.2.1.12.{#SNMPINDEX}','10221','#{#SNMPVALUE}: Hardware serial number','system.hw.serialnumber[chStackUnitSerialNumber.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: F10-S-SERIES-CHASSIS-MIB
The unit''s serial number.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27484','20','1.3.6.1.4.1.6027.3.10.1.2.2.1.7.{#SNMPINDEX}','10221','#{#SNMPVALUE}: Hardware model name','system.hw.model[chStackUnitModelID.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: F10-S-SERIES-CHASSIS-MIB
The plugged-in model ID for this unit.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27485','20','1.3.6.1.4.1.6027.3.10.1.2.2.1.14.{#SNMPINDEX}','10221','Device {#SNMPVALUE}: Temperature','sensor.temp.value[chStackUnitTemp.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: F10-S-SERIES-CHASSIS-MIB
The temperature of the unit.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27508','20','1.3.6.1.2.1.47.1.1.1.1.8.1','10222','Hardware version(revision)','system.hw.version','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27509','20','1.3.6.1.2.1.47.1.1.1.1.9.1','10222','Firmware version','system.hw.firmware','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27510','20','1.3.6.1.2.1.1.1.0','10222','Hardware model name','system.hw.model','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','29','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27511','20','1.3.6.1.4.1.171.10.97.2.36.1.1.3.0','10222','CPU utilization','system.cpu.util[myCPUUtilization5Min.0]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: MY-PROCESS-MIB
CPU utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27512','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.171.10.97.2.35.1.1.1.2]','10222','Memory Discovery','memory.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27513','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.171.10.97.2.1.1.23.1.2]','10222','Temperature Discovery','temperature.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27514','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.171.10.97.2.1.1.18.1.3]','10222','PSU Discovery','psu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27515','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.171.10.97.2.1.1.21.1.3]','10222','FAN Discovery','fan.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27517','20','1.3.6.1.4.1.171.10.97.2.1.1.23.1.3.{#SNMPINDEX}','10222','{#SNMPVALUE}: Temperature','sensor.temp.value[mySystemTemperatureCurrent.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: MY-SYSTEM-MIB
Return the current temperature of the FastSwitch.The temperature display is not supported for the current temperature returns to 0.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27518','20','1.3.6.1.4.1.171.10.97.2.1.1.18.1.2.{#SNMPINDEX}','10222','{#SNMPVALUE}: Power supply status','sensor.psu.status[mySystemElectricalSourceIsNormal.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'32','','','0','','','','','2',NULL,'MIB: MY-SYSTEM-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27519','20','1.3.6.1.4.1.171.10.97.2.1.1.21.1.2.{#SNMPINDEX}','10222','{#SNMPVALUE}: Fan status','sensor.fan.status[mySystemFanIsNormal.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'32','','','0','','','','','2',NULL,'MIB: MY-SYSTEM-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27543','20','1.3.6.1.2.1.47.1.1.1.1.8.1','10223','Hardware version(revision)','system.hw.version','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27544','20','1.3.6.1.2.1.47.1.1.1.1.9.1','10223','Firmware version','system.hw.firmware','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27545','20','1.3.6.1.4.1.171.12.1.1.12.0','10223','Hardware serial number','system.hw.serialnumber','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: DLINK-AGENT-MIB
A text string containing the serial number of this device.','8','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27546','20','1.3.6.1.2.1.1.1.0','10223','Hardware model name','system.hw.model','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity.  This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','29','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27547','20','1.3.6.1.4.1.171.12.1.1.6.2.0','10223','CPU utilization','system.cpu.util[agentCPUutilizationIn1min.0]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: DLINK-AGENT-MIB
The unit of time is 1 minute. The value will be between 0% (idle) and 100%(very busy).','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27548','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.171.12.1.1.9.1.1]','10223','Memory Discovery','memory.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27549','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.171.12.11.1.8.1.1]','10223','Temperature Discovery','temperature.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27550','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.171.12.11.1.6.1.2,{#STATUS},1.3.6.1.4.1.171.12.11.1.6.1.3]','10223','PSU Discovery','psu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'swPowerID of EQUIPMENT-MIB::swPowerTable','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27551','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.171.12.11.1.7.1.2,{#STATUS},1.3.6.1.4.1.171.12.11.1.7.1.3]','10223','FAN Discovery','fan.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'swFanID of EQUIPMENT-MIB::swFanTable','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27553','20','1.3.6.1.4.1.171.12.11.1.8.1.2.{#SNMPINDEX}','10223','#{#SNMPVALUE}: Temperature','sensor.temp.value[swTemperatureCurrent.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: EQUIPMENT-MIB
The shelf current temperature.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27554','20','1.3.6.1.4.1.171.12.11.1.6.1.3.{#SNMPINDEX}','10223','#{#SNMPVALUE}: Power supply status','sensor.psu.status[swPowerStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'34','','','0','','','','','2',NULL,'MIB: EQUIPMENT-MIB
Indicates the current power status.
lowVoltage : The voltage of the power unit is too low.
overCurrent: The current of the power unit is too high.
working    : The power unit is working normally.
fail       : The power unit has failed.
connect    : The power unit is connected but not powered on.
disconnect : The power unit is not connected.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27555','20','1.3.6.1.4.1.171.12.11.1.7.1.3.{#SNMPINDEX}','10223','#{#SNMPVALUE}: Fan status','sensor.fan.status[swFanStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'33','','','0','','','','','2',NULL,'MIB: EQUIPMENT-MIB
Indicates the current fan status.
speed-0     : If the fan function is normal and the fan does not spin            due to the temperature not  reaching the threshold, the status of the fan is speed 0.
speed-low   : Fan spin using the lowest speed.
speed-middle: Fan spin using the middle speed.
speed-high  : Fan spin using the highest speed.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27579','20','1.3.6.1.2.1.47.1.1.1.1.9.1','10224','Firmware version','system.hw.firmware','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27580','20','1.3.6.1.2.1.47.1.1.1.1.9.1','10224','Hardware version(revision)','system.hw.version','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27582','20','1.3.6.1.2.1.47.1.1.1.1.11.1','10224','Hardware serial number','system.hw.serialnumber','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: ENTITY-MIB','8','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27583','20','1.3.6.1.2.1.47.1.1.1.1.2.1','10224','Hardware model name','system.hw.model','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: ENTITY-MIB','29','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27584','20','1.3.6.1.4.1.1916.1.1.1.8.0','10224','Device: Temperature','sensor.temp.value[extremeCurrentTemperature.0]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: EXTREME-SYSTEM-MIB
Temperature readings of testpoint: Device
Reference: https://gtacknowledge.extremenetworks.com/articles/Q_A/Does-EXOS-support-temperature-polling-via-SNMP-on-all-nodes-in-a-stack','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27585','20','1.3.6.1.4.1.1916.1.1.1.7.0','10224','Device: Temperature status','sensor.temp.status[extremeOverTemperatureAlarm.0]','3m','2w','0d','0','3','','','','',NULL,'37','','','0','','','','','0',NULL,'MIB: EXTREME-SYSTEM-MIB
Temperature status of testpoint: Device','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27586','20','1.3.6.1.4.1.1916.1.32.1.2.0','10224','CPU utilization','system.cpu.util[extremeCpuMonitorTotalUtilization.0]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: EXTREME-SOFTWARE-MONITOR-MIB
Total CPU utlization (percentage) as of last sampling.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27587','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.1916.1.32.2.2.1.1]','10224','Memory Discovery','memory.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27588','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.1916.1.1.1.27.1.1]','10224','PSU Discovery','psu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Table of status of all power supplies in the system.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27589','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.1916.1.1.1.9.1.1]','10224','FAN Discovery','fan.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27591','20','1.3.6.1.4.1.1916.1.32.2.2.1.2.{#SNMPINDEX}','10224','#{#SNMPVALUE}: Total memory','vm.memory.total[extremeMemoryMonitorSystemTotal.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: EXTREME-SOFTWARE-MONITOR-MIB
Total amount of DRAM in Kbytes in the system.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27593','20','1.3.6.1.4.1.1916.1.1.1.27.1.2.{#SNMPINDEX}','10224','PSU {#SNMPVALUE}: Power supply status','sensor.psu.status[extremePowerSupplyStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'38','','','0','','','','','2',NULL,'MIB: EXTREME-SYSTEM-MIB
Status of the power supply {#SNMPVALUE}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27594','20','1.3.6.1.4.1.1916.1.1.1.9.1.4.{#SNMPINDEX}','10224','Fan {#SNMPVALUE}: Fan speed','sensor.fan.speed[extremeFanSpeed.{#SNMPINDEX}]','1m','90d','365d','0','3','','rpm','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: EXTREME-SYSTEM-MIB
The speed (RPM) of a cooling fan in the fantray {#SNMPVALUE}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27595','20','1.3.6.1.4.1.1916.1.1.1.9.1.2.{#SNMPINDEX}','10224','Fan {#SNMPVALUE}: Fan status','sensor.fan.status[extremeFanOperational.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'36','','','0','','','','','2',NULL,'MIB: EXTREME-SYSTEM-MIB
Operational status of a cooling fan.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27665','20','discovery[{#SNMPVALUE},1.3.6.1.2.1.47.1.1.1.1.2,{#MODULE_NAME},1.3.6.1.2.1.47.1.1.1.1.7]','10227','Module Discovery','module.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Filter limits results to ''Module level1'' or Fabric Modules','0','30d','2','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27666','20','discovery[{#SNMPVALUE},1.3.6.1.2.1.47.1.1.1.1.2,{#MODULE_NAME},1.3.6.1.2.1.47.1.1.1.1.7]','10227','Temperature Discovery','temp.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovering modules temperature (same filter as in Module Discovery) plus and temperature sensors','0','30d','2','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27667','20','discovery[{#ENT_CLASS},1.3.6.1.2.1.47.1.1.1.1.5,{#ENT_NAME},1.3.6.1.2.1.47.1.1.1.1.7,{#ENT_DESCR},1.3.6.1.2.1.47.1.1.1.1.2]','10227','FAN Discovery','fan.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovering all entities of PhysicalClass - 7: fan(7)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27668','20','discovery[{#ENT_CLASS},1.3.6.1.2.1.47.1.1.1.1.5,{#ENT_NAME},1.3.6.1.2.1.47.1.1.1.1.7,{#ENT_DESCR},1.3.6.1.2.1.47.1.1.1.1.2]','10227','PSU Discovery','psu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovering all entities of PhysicalClass - 6: powerSupply(6)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27669','20','discovery[{#ENT_CLASS},1.3.6.1.2.1.47.1.1.1.1.5,{#ENT_NAME},1.3.6.1.2.1.47.1.1.1.1.7]','10227','Entity Discovery','entity.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27671','20','1.3.6.1.4.1.25506.2.6.1.1.1.1.6.{#SNMPINDEX}','10227','{#MODULE_NAME}: CPU utilization','system.cpu.util[hh3cEntityExtCpuUsage.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: HH3C-ENTITY-EXT-MIB
The CPU usage for this entity. Generally, the CPU usage
will calculate the overall CPU usage on the entity, and it
is not sensible with the number of CPU on the entity','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27672','20','1.3.6.1.4.1.25506.2.6.1.1.1.1.12.{#SNMPINDEX}','10227','{#SNMPVALUE}: Temperature','sensor.temp.value[hh3cEntityExtTemperature.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: HH3C-ENTITY-EXT-MIB
The temperature for the {#SNMPVALUE}.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27673','20','1.3.6.1.4.1.25506.2.6.1.1.1.1.19.{#SNMPINDEX}','10227','{#ENT_NAME}: Fan status','sensor.fan.status[hh3cEntityExtErrorStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'39','','','0','','','','','2',NULL,'MIB: HH3C-ENTITY-EXT-MIB
Indicate the error state of this entity object.
fanError(41) means that the fan stops working.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27674','20','1.3.6.1.4.1.25506.2.6.1.1.1.1.19.{#SNMPINDEX}','10227','{#ENT_NAME}: Power supply status','sensor.psu.status[hh3cEntityExtErrorStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'39','','','0','','','','','2',NULL,'MIB: HH3C-ENTITY-EXT-MIB
Indicate the error state of this entity object.
psuError(51) means that the Power Supply Unit is in the state of fault.
rpsError(61) means the Redundant Power Supply is in the state of fault.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27675','20','1.3.6.1.2.1.47.1.1.1.1.10.{#SNMPINDEX}','10227','{#ENT_NAME}: Operating system','system.sw.os[entPhysicalSoftwareRev.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27676','20','1.3.6.1.2.1.47.1.1.1.1.8.{#SNMPINDEX}','10227','{#ENT_NAME}: Hardware version(revision)','system.hw.version[entPhysicalHardwareRev.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27677','20','1.3.6.1.2.1.47.1.1.1.1.9.{#SNMPINDEX}','10227','{#ENT_NAME}: Firmware version','system.hw.firmware[entPhysicalFirmwareRev.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27678','20','1.3.6.1.2.1.47.1.1.1.1.11.{#SNMPINDEX}','10227','{#ENT_NAME}: Hardware serial number','system.hw.serialnumber[entPhysicalSerialNum.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27679','20','1.3.6.1.2.1.47.1.1.1.1.2.{#SNMPINDEX}','10227','{#ENT_NAME}: Hardware model name','system.hw.model[entPhysicalDescr.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27745','20','discovery[{#ENT_NAME},1.3.6.1.2.1.47.1.1.1.1.7]','10229','MPU Discovery','mpu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'http://support.huawei.com/enterprise/KnowledgebaseReadAction.action?contentId=KB1000090234. Filter limits results to Main Processing Units','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27746','20','discovery[{#ENT_CLASS},1.3.6.1.2.1.47.1.1.1.1.5,{#ENT_NAME},1.3.6.1.2.1.47.1.1.1.1.7]','10229','Entity Discovery','entity.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27747','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.2011.5.25.31.1.1.10.1.1]','10229','FAN Discovery','discovery.fans','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27748','20','1.3.6.1.2.1.47.1.1.1.1.8.{#SNMPINDEX}','10229','{#ENT_NAME}: Hardware version(revision)','system.hw.version[entPhysicalHardwareRev.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27749','20','1.3.6.1.2.1.47.1.1.1.1.10.{#SNMPINDEX}','10229','{#ENT_NAME}: Operating system','system.sw.os[entPhysicalSoftwareRev.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27750','20','1.3.6.1.2.1.47.1.1.1.1.11.{#SNMPINDEX}','10229','{#ENT_NAME}: Hardware serial number','system.hw.serialnumber[entPhysicalSerialNum.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27751','20','1.3.6.1.4.1.2011.5.25.31.1.1.1.1.11.{#SNMPINDEX}','10229','{#ENT_NAME}: Temperature','sensor.temp.value[hwEntityTemperature.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: HUAWEI-ENTITY-EXTENT-MIB
The temperature for the {#SNMPVALUE}.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27753','20','1.3.6.1.4.1.2011.5.25.31.1.1.1.1.5.{#SNMPINDEX}','10229','{#ENT_NAME}: CPU utilization','system.cpu.util[hwEntityCpuUsage.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: HUAWEI-ENTITY-EXTENT-MIB
The CPU usage for this entity. Generally, the CPU usage will calculate the overall CPU usage on the entity, and itis not sensible with the number of CPU on the entity.
Reference: http://support.huawei.com/enterprise/KnowledgebaseReadAction.action?contentId=KB1000090234','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27754','20','1.3.6.1.2.1.47.1.1.1.1.2.{#SNMPINDEX}','10229','{#ENT_NAME}: Hardware model name','system.hw.model[entPhysicalDescr.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27755','20','1.3.6.1.4.1.2011.5.25.31.1.1.10.1.7.{#SNMPINDEX}','10229','#{#SNMPVALUE}: Fan status','sensor.fan.status[hwEntityFanState.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'41','','','0','','','','','2',NULL,'MIB: HUAWEI-ENTITY-EXTENT-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27777','20','1.3.6.1.4.1.10222.2.1.1.1.0','10230','Firmware version','system.hw.firmware','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: ICS-CHASSIS-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27778','20','1.3.6.1.4.1.10222.2.1.1.1.0','10230','Hardware model name','system.hw.model','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: ICS-CHASSIS-MIB','29','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27779','20','discovery[{#SENSOR_TYPE},1.3.6.1.4.1.10222.2.1.9.8.1.2,{#SENSOR_INFO},1.3.6.1.4.1.10222.2.1.9.8.1.7]','10230','Temperature Discovery','temp.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovering sensor''s table with temperature filter','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27780','20','discovery[{#ENT_CLASS},1.3.6.1.4.1.10222.2.1.1.9.1.3,{#ENT_NAME},1.3.6.1.4.1.10222.2.1.1.9.1.2]','10230','Unit Discovery','unit.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27781','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.10222.2.1.4.7.1.2]','10230','PSU Discovery','psu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'A textual description of the power supply, that can be assigned by the administrator.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27782','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.10222.2.1.6.5.1.2]','10230','FAN Discovery','fan.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'icsChassisFanDescription of icsChassisFanTable','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27783','20','1.3.6.1.4.1.10222.2.1.9.8.1.3.{#SNMPINDEX}','10230','{#SENSOR_INFO}: Temperature status','sensor.temp.status[icsChassisSensorSlotOperStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'43','','','0','','','','','2',NULL,'MIB: ICS-CHASSIS-MIB
The operational status of the sensor.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27784','20','1.3.6.1.4.1.10222.2.1.9.8.1.8.{#SNMPINDEX}','10230','{#SENSOR_INFO}: Temperature','sensor.temp.value[icsChassisSensorSlotValue.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ICS-CHASSIS-MIB
The current value read from the sensor.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27785','20','1.3.6.1.4.1.10222.2.1.1.10.1.1.{#SNMPINDEX}','10230','{#ENT_NAME}: Hardware serial number','system.hw.serialnumber[icsChassisSystemUnitFruSerialNumber.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ICS-CHASSIS-MIB
The serial number of the FRU.  If not available, this value is a zero-length string.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27786','20','1.3.6.1.4.1.10222.2.1.4.7.1.3.{#SNMPINDEX}','10230','{#SNMPVALUE}: Power supply status','sensor.psu.status[icsChassisPowerSupplyEntry.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'44','','','0','','','','','2',NULL,'MIB: ICS-CHASSIS-MIB
Actual status of the power supply:
(1) unknown: status not known.
(2) disabled: power supply is disabled.
(3) failed - power supply is unable to supply power due to failure.
(4) warning - power supply is supplying power, but an output or sensor is bad or warning.
(5) standby - power supply believed usable,but not supplying power.
(6) engaged - power supply is supplying power.
(7) redundant - power supply is supplying power, but not needed.
(8) notPresent - power supply is supplying power is not present.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27787','20','1.3.6.1.4.1.10222.2.1.6.5.1.3.{#SNMPINDEX}','10230','{#SNMPVALUE}: Fan status','sensor.fan.status[icsChassisFanOperStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'42','','','0','','','','','2',NULL,'MIB: ICS-CHASSIS-MIB
The operational status of the fan unit.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27812','20','1.3.6.1.4.1.2636.3.1.2.0','10231','Hardware model name','system.hw.model','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: JUNIPER-MIB
The name, model, or detailed description of the box,indicating which product the box is about, for example ''M40''.','29','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27813','20','1.3.6.1.4.1.2636.3.1.3.0','10231','Hardware serial number','system.hw.serialnumber','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: JUNIPER-MIB
The serial number of this subject, blank if unknown or unavailable.','8','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27814','20','1.3.6.1.4.1.2636.3.4.2.3.1.0','10231','Overall system health status','system.status[jnxRedAlarmState.0]','30s','2w','0d','0','3','','','','',NULL,'46','','','0','','','','','0',NULL,'MIB: JUNIPER-ALARM-MIB
The red alarm indication on the craft interface panel.
The red alarm is on when there is some system
failure or power supply failure or the system
is experiencing a hardware malfunction or some
threshold is being exceeded.

This red alarm state could be turned off by the
ACO/LT (Alarm Cut Off / Lamp Test) button on the
front panel module.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27815','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.2636.3.1.13.1.5]','10231','CPU and Memory Discovery','jnxOperatingTable.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning JUNIPER-MIB::jnxOperatingTable for CPU and Memory
http://kb.juniper.net/InfoCenter/index?page=content&id=KB17526&actp=search. Filter limits results to Routing Engines','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27816','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.2636.3.1.13.1.7,{#SENSOR_INFO},1.3.6.1.4.1.2636.3.1.13.1.5]','10231','Temperature discovery','jnxOperatingTable.discovery.temp','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning JUNIPER-MIB::jnxOperatingTable for Temperature
http://kb.juniper.net/InfoCenter/index?page=content&id=KB17526&actp=search. Filter limits results to Routing Engines','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27817','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.2636.3.1.13.1.5.4]','10231','FAN Discovery','jnxOperatingTable.discovery.fans','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning JUNIPER-MIB::jnxOperatingTable for Fans','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27818','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.2636.3.1.13.1.5.2]','10231','PSU Discovery','jnxOperatingTable.discovery.psu','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning JUNIPER-MIB::jnxOperatingTable for Power Supplies','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27821','20','1.3.6.1.4.1.2636.3.1.13.1.7.{#SNMPINDEX}','10231','{#SENSOR_INFO}: Temperature','sensor.temp.value[jnxOperatingTemp.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: JUNIPER-MIB
The temperature in Celsius (degrees C) of {#SENSOR_INFO}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27822','20','1.3.6.1.4.1.2636.3.1.13.1.6.4.{#SNMPINDEX}','10231','{#SNMPVALUE}: Fan status','sensor.fan.status[jnxOperatingState.4.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'47','','','0','','','','','2',NULL,'MIB: JUNIPER-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27823','20','1.3.6.1.4.1.2636.3.1.13.1.6.2.{#SNMPINDEX}','10231','{#SNMPVALUE}: Power supply status','sensor.psu.status[jnxOperatingState.2.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'47','','','0','','','','','2',NULL,'MIB: JUNIPER-MIB
If they are using DC power supplies there is a known issue on PR 1064039 where the fans do not detect the temperature correctly and fail to cool the power supply causing the shutdown to occur.
This is fixed in Junos 13.3R7 https://forums.juniper.net/t5/Routing/PEM-0-not-OK-MX104/m-p/289644#M14122','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27893','20','1.3.6.1.2.1.1.1.0','10233','Hardware model name','system.hw.model','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','29','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27894','20','1.3.6.1.4.1.14988.1.1.7.3.0','10233','Hardware serial number','system.hw.serialnumber','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: MIKROTIK-MIB
RouterBOARD serial number','8','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27895','20','1.3.6.1.4.1.14988.1.1.7.4.0','10233','Firmware version','system.hw.firmware','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: MIKROTIK-MIB
Current firmware version','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27897','20','1.3.6.1.4.1.14988.1.1.3.10.0','10233','Device: Temperature','sensor.temp.value[mtxrHlTemperature]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: MIKROTIK-MIB
(mtxrHlTemperature) Device temperature in Celsius (degrees C). Might be missing in entry models (RB750, RB450G..)
Reference: http://wiki.mikrotik.com/wiki/Manual:SNMP','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27898','20','1.3.6.1.2.1.25.2.3.1.5.65536','10233','Total memory','vm.memory.total[hrStorageSize.Memory]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: HOST-RESOURCES-MIB
The size of the storage represented by this entry, in
units of hrStorageAllocationUnits. This object is
writable to allow remote configuration of the size of
the storage area in those cases where such an
operation makes sense and is possible on the
underlying system. For example, the amount of main
memory allocated to a buffer pool might be modified or
the amount of disk space allocated to virtual memory
might be modified.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27900','20','1.3.6.1.2.1.25.2.3.1.6.65536','10233','Used memory','vm.memory.used[hrStorageUsed.Memory]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: HOST-RESOURCES-MIB
The amount of the storage represented by this entry that is allocated, in units of hrStorageAllocationUnits.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27901','20','discovery[{#SNMPVALUE},1.3.6.1.2.1.25.3.3.1.1]','10233','CPU discovery','hrProcessorLoad.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'HOST-RESOURCES-MIB::hrProcessorTable discovery','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27902','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.14988.1.1.3.11]','10233','Temperature CPU discovery','mtxrHlProcessorTemperature.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'MIKROTIK-MIB::mtxrHlProcessorTemperature
Since temperature of CPU is not available on all Mikrotik hardware, this is done to avoid unsupported items.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27903','20','discovery[{#SNMPVALUE},1.3.6.1.2.1.25.2.3.1.3,{#ALLOC_UNITS},1.3.6.1.2.1.25.2.3.1.4,{#STORAGE_TYPE},1.3.6.1.2.1.25.2.3.1.2]','10233','Storage discovery','storage.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'HOST-RESOURCES-MIB::hrStorage discovery with storage filter','0','30d','2','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27904','20','1.3.6.1.2.1.25.3.3.1.2.{#SNMPINDEX}','10233','#{#SNMPINDEX}: CPU utilization','system.cpu.util[hrProcessorLoad.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The average, over the last minute, of the percentage of time that this processor was not idle. Implementations may approximate this one minute smoothing period if necessary.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27905','20','1.3.6.1.4.1.14988.1.1.3.11.{#SNMPINDEX}','10233','CPU: Temperature','sensor.temp.value[mtxrHlProcessorTemperature.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: MIKROTIK-MIB
(mtxrHlProcessorTemperature) Processor temperature in Celsius (degrees C). Might be missing in entry models (RB750, RB450G..)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27906','15','','10233','Disk-{#SNMPINDEX}: Space utilization','vfs.fs.pused[hrStorageSize.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'(last("vfs.fs.used[hrStorageSize.{#SNMPINDEX}]")/last("vfs.fs.total[hrStorageSize.{#SNMPINDEX}]"))*100','','0','','','','','2',NULL,'Space utilization in % for Disk-{#SNMPINDEX}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27907','20','1.3.6.1.2.1.25.2.3.1.5.{#SNMPINDEX}','10233','Disk-{#SNMPINDEX}: Total space','vfs.fs.total[hrStorageSize.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The size of the storage represented by this entry, in
units of hrStorageAllocationUnits. This object is
writable to allow remote configuration of the size of
the storage area in those cases where such an
operation makes sense and is possible on the
underlying system. For example, the amount of main
memory allocated to a buffer pool might be modified or
the amount of disk space allocated to virtual memory
might be modified.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27908','20','1.3.6.1.2.1.25.2.3.1.6.{#SNMPINDEX}','10233','Disk-{#SNMPINDEX}: Used space','vfs.fs.used[hrStorageSize.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The amount of the storage represented by this entry that is allocated, in units of hrStorageAllocationUnits.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27930','20','1.3.6.1.4.1.4526.10.1.1.1.3.0','10234','Hardware model name','system.hw.model','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: FASTPATH-SWITCHING-MIB','29','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27931','20','1.3.6.1.4.1.4526.10.1.1.1.4.0','10234','Hardware serial number','system.hw.serialnumber','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: FASTPATH-SWITCHING-MIB
Serial number of the switch','8','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27935','20','1.3.6.1.4.1.4526.10.1.1.5.2.0','10234','Total memory','vm.memory.total[agentSwitchCpuProcessMemAvailable.0]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: FASTPATH-SWITCHING-MIB
The total Memory allocated for the tasks','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27936','20','1.3.6.1.4.1.4526.10.1.1.4.9.0','10234','CPU utilization','system.cpu.util[agentSwitchCpuProcessTotalUtilization.0]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: FASTPATH-SWITCHING-MIB
CPU utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27937','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.4526.10.43.1.8.1.1]','10234','Temperature Discovery','temp.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'FASTPATH-BOXSERVICES-PRIVATE-MIB::boxServicesTempSensorsTable','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27938','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.4526.10.43.1.6.1.1]','10234','FAN Discovery','fan.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'FASTPATH-BOXSERVICES-PRIVATE-MIB::1.3.6.1.4.1.4526.10.43.1.6.1.1','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27939','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.4526.10.43.1.7.1.1]','10234','PSU Discovery','psu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'FASTPATH-BOXSERVICES-PRIVATE-MIB::boxServicesPowSupplyIndex','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27940','20','1.3.6.1.4.1.4526.10.43.1.8.1.3.{#SNMPINDEX}','10234','#{#SNMPVALUE}: Temperature status','sensor.temp.status[boxServicesTempSensorState.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'51','','','0','','','','','2',NULL,'MIB: FASTPATH-BOXSERVICES-PRIVATE-MIB
The state of temperature sensor','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27941','20','1.3.6.1.4.1.4526.10.43.1.8.1.5.{#SNMPINDEX}','10234','#{#SNMPVALUE}: Temperature','sensor.temp.value[boxServicesTempSensorTemperature.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: FASTPATH-BOXSERVICES-PRIVATE-MIB
The temperature value reported by sensor','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27942','20','1.3.6.1.4.1.4526.10.43.1.6.1.3.{#SNMPINDEX}','10234','#{#SNMPVALUE}: Fan status','sensor.fan.status[boxServicesFanItemState.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'50','','','0','','','','','2',NULL,'MIB: FASTPATH-BOXSERVICES-PRIVATE-MIB
The status of fan','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27943','20','1.3.6.1.4.1.4526.10.43.1.7.1.3.{#SNMPINDEX}','10234','#{#SNMPVALUE}: Power supply status','sensor.psu.status[boxServicesPowSupplyItemState.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'49','','','0','','','','','2',NULL,'MIB: FASTPATH-BOXSERVICES-PRIVATE-MIB
The status of power supply','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27967','20','1.3.6.1.2.1.47.1.1.1.1.9.1','10235','Firmware version','system.hw.firmware','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27968','20','1.3.6.1.2.1.47.1.1.1.1.8.1','10235','Hardware version(revision)','system.hw.version','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27970','20','1.3.6.1.2.1.47.1.1.1.1.11.1','10235','Hardware serial number','system.hw.serialnumber','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: ENTITY-MIB','8','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27971','20','1.3.6.1.2.1.47.1.1.1.1.13.1','10235','Hardware model name','system.hw.model','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: ENTITY-MIB','29','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27972','20','1.3.6.1.4.1.27514.100.1.11.7.0','10235','Used memory','vm.memory.used[switchMemoryBusy.0]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: QTECH-MIB
Used memory in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27973','20','1.3.6.1.4.1.27514.100.1.11.6.0','10235','Total memory','vm.memory.total[switchMemorySize.0]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: QTECH-MIB
Total memory in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27975','20','1.3.6.1.4.1.27514.100.1.11.10.0','10235','CPU utilization','system.cpu.util[switchCpuUsage.0]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: QTECH-MIB
CPU utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27997','20','1.3.6.1.4.1.11863.6.1.1.5.0','10236','Hardware version(revision)','system.hw.version','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: TPLINK-SYSINFO-MIB
The hardware version of the product.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27998','20','1.3.6.1.4.1.11863.6.1.1.6.0','10236','Firmware version','system.hw.firmware','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: TPLINK-SYSINFO-MIB
The software version of the product.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27999','20','1.3.6.1.4.1.11863.6.1.1.8.0','10236','Hardware serial number','system.hw.serialnumber','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: TPLINK-SYSINFO-MIB
The Serial number of the product.','8','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28000','20','1.3.6.1.4.1.11863.6.1.1.5.0','10236','Hardware model name','system.hw.model','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: TPLINK-SYSINFO-MIB
The hardware version of the product.','29','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28001','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.11863.6.4.1.1.1.1.1]','10236','CPU Discovery','cpu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovering TPLINK-SYSMONITOR-MIB::tpSysMonitorCpuTable, displays the CPU utilization of all UNITs.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28002','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.11863.6.4.1.2.1.1.1]','10236','Memory Discovery','memory.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovering TPLINK-SYSMONITOR-MIB::tpSysMonitorMemoryTable, displays the memory utilization of all UNITs.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28003','20','1.3.6.1.4.1.11863.6.4.1.1.1.1.3.{#SNMPINDEX}','10236','#{#SNMPVALUE}: CPU utilization','system.cpu.util[tpSysMonitorCpu1Minute.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: TPLINK-SYSMONITOR-MIB
Displays the CPU utilization in 1 minute.
Reference: http://www.tp-link.com/faq-1330.html','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28026','20','1.2.840.10036.3.1.2.1.3.5','10237','Hardware model name','system.hw.model','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: IEEE802dot11-MIB
A printable string used to identify the manufacturer''s product name of the resource. Maximum string length is 128 octets.','29','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28027','20','1.2.840.10036.3.1.2.1.4.5','10237','Firmware version','system.hw.firmware','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: IEEE802dot11-MIB
Printable string used to identify the manufacturer''s product version of the resource. Maximum string length is 128 octets.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28031','20','1.3.6.1.4.1.10002.1.1.1.4.2.1.3.2','10237','CPU utilization','system.cpu.util[loadValue.2]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: FROGFOOT-RESOURCES-MIB
5 minute load average of processor load.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28141','20','1.3.6.1.4.1.11.2.14.11.5.1.1.3.0','10250','Firmware version','system.hw.firmware','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: NETSWITCH-MIB
Contains the operating code version number (also known as software or firmware).
For example, a software version such as A.08.01 is described as follows:
A    the function set available in your router
08   the common release number
01   updates to the current common release','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28142','20','1.3.6.1.4.1.11.2.36.1.1.2.9.0','10250','Hardware serial number','system.hw.serialnumber','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: SEMI-MIB','8','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28143','20','1.3.6.1.4.1.11.2.14.11.5.1.9.6.1.0','10250','CPU utilization','system.cpu.util[hpSwitchCpuStat.0]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: STATISTICS-MIB
The CPU utilization in percent(%).
Reference: http://h20564.www2.hpe.com/hpsc/doc/public/display?docId=emr_na-c02597344&sp4ts.oid=51079','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28144','20','discovery[{#SENSOR_TYPE},1.3.6.1.2.1.99.1.1.1.1,{#SENSOR_INFO},1.3.6.1.2.1.47.1.1.1.1.2,{#SENSOR_PRECISION},1.3.6.1.2.1.99.1.1.1.3]','10250','Temperature Discovery','temp.precision0.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'ENTITY-SENSORS-MIB::EntitySensorDataType discovery with celsius filter','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28145','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1.1.1]','10250','Memory Discovery','memory.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of NETSWITCH-MIB::hpLocalMemTable, A table that contains information on all the local memory for each slot.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28146','20','discovery[{#ENT_CLASS},1.3.6.1.4.1.11.2.14.11.1.2.6.1.2,{#ENT_DESCR},1.3.6.1.4.1.11.2.14.11.1.2.6.1.7,{#ENT_STATUS},1.3.6.1.4.1.11.2.14.11.1.2.6.1.4]','10250','FAN Discovery','fan.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovering all entities of hpicfSensorObjectId that ends with: 11.2.3.7.8.3.2 - fans and are present','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28147','20','discovery[{#ENT_CLASS},1.3.6.1.4.1.11.2.14.11.1.2.6.1.2,{#ENT_DESCR},1.3.6.1.4.1.11.2.14.11.1.2.6.1.7,{#ENT_STATUS},1.3.6.1.4.1.11.2.14.11.1.2.6.1.4]','10250','PSU Discovery','psu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovering all entities of hpicfSensorObjectId that ends with: 11.2.3.7.8.3.1 - power supplies and are present','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28148','20','discovery[{#ENT_CLASS},1.3.6.1.4.1.11.2.14.11.1.2.6.1.2,{#ENT_DESCR},1.3.6.1.4.1.11.2.14.11.1.2.6.1.7,{#ENT_STATUS},1.3.6.1.4.1.11.2.14.11.1.2.6.1.4]','10250','Temp Status Discovery','temp.status.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovering all entities of hpicfSensorObjectId that ends with: 11.2.3.7.8.3.3 - over temp status and are present','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28149','20','discovery[{#ENT_CLASS},1.3.6.1.2.1.47.1.1.1.1.5,{#ENT_NAME},1.3.6.1.2.1.47.1.1.1.1.7]','10250','Entity Discovery','entity.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28150','20','1.3.6.1.2.1.99.1.1.1.4.{#SNMPINDEX}','10250','{#SENSOR_INFO}: Temperature','sensor.temp.value[entPhySensorValue.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ENTITY-SENSORS-MIB
The most recent measurement obtained by the agent for this sensor.
To correctly interpret the value of this object, the associated entPhySensorType,
entPhySensorScale, and entPhySensorPrecision objects must also be examined.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28153','20','1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1.1.7.{#SNMPINDEX}','10250','#{#SNMPVALUE}: Used memory','vm.memory.used[hpLocalMemAllocBytes.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: NETSWITCH-MIB
The number of currently allocated bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28154','20','1.3.6.1.4.1.11.2.14.11.1.2.6.1.4.{#SNMPINDEX}','10250','{#ENT_DESCR}: Fan status','sensor.fan.status[hpicfSensorStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'40','','','0','','','','','2',NULL,'MIB: HP-ICF-CHASSIS
Actual status indicated by the sensor: {#ENT_DESCR}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28155','20','1.3.6.1.4.1.11.2.14.11.1.2.6.1.4.{#SNMPINDEX}','10250','{#ENT_DESCR}: Power supply status','sensor.psu.status[hpicfSensorStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'40','','','0','','','','','2',NULL,'MIB: HP-ICF-CHASSIS
Actual status indicated by the sensor: {#ENT_DESCR}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28156','20','1.3.6.1.4.1.11.2.14.11.1.2.6.1.4.{#SNMPINDEX}','10250','{#ENT_DESCR}: Temperature status','sensor.temp.status[hpicfSensorStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'40','','','0','','','','','2',NULL,'MIB: HP-ICF-CHASSIS
Actual status indicated by the sensor: {#ENT_DESCR}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28157','20','1.3.6.1.2.1.47.1.1.1.1.8.{#SNMPINDEX}','10250','{#ENT_NAME}: Hardware version(revision)','system.hw.version[entPhysicalHardwareRev.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28158','20','1.3.6.1.2.1.47.1.1.1.1.2.{#SNMPINDEX}','10250','{#ENT_NAME}: Hardware model name','system.hw.model[entPhysicalDescr.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28196','20','discovery[{#SENSOR_TYPE},1.3.6.1.2.1.99.1.1.1.1,{#SENSOR_INFO},1.3.6.1.2.1.47.1.1.1.1.2,{#SENSOR_PRECISION},1.3.6.1.2.1.99.1.1.1.3]','10251','Temperature Discovery','temp.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'ENTITY-SENSORS-MIB::EntitySensorDataType discovery with celsius filter','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28197','20','discovery[{#SNMPVALUE},1.3.6.1.2.1.99.1.1.1.1,{#SENSOR_INFO},1.3.6.1.2.1.47.1.1.1.1.2]','10251','Fan Discovery','fan.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'ENTITY-SENSORS-MIB::EntitySensorDataType discovery with rpm filter','0','30d','2','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28198','20','discovery[{#ENT_CLASS},1.3.6.1.2.1.47.1.1.1.1.5,{#ENT_NAME},1.3.6.1.2.1.47.1.1.1.1.7]','10251','Entity Discovery','entity.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28199','20','discovery[{#ENT_CLASS},1.3.6.1.2.1.47.1.1.1.1.5,{#ENT_NAME},1.3.6.1.2.1.47.1.1.1.1.7]','10251','PSU Discovery','psu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28200','20','1.3.6.1.2.1.99.1.1.1.5.{#SNMPINDEX}','10251','{#SENSOR_INFO}: Temperature status','sensor.temp.status[entPhySensorOperStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'18','','','0','','','','','2',NULL,'MIB: ENTITY-SENSORS-MIB
The operational status of the sensor {#SENSOR_INFO}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28201','20','1.3.6.1.2.1.99.1.1.1.4.{#SNMPINDEX}','10251','{#SENSOR_INFO}: Temperature','sensor.temp.value[entPhySensorValue.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ENTITY-SENSORS-MIB
The most recent measurement obtained by the agent for this sensor.
To correctly interpret the value of this object, the associated entPhySensorType,
entPhySensorScale, and entPhySensorPrecision objects must also be examined.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28202','20','1.3.6.1.2.1.99.1.1.1.5.{#SNMPINDEX}','10251','{#SENSOR_INFO}: Fan status','sensor.fan.status[entPhySensorOperStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'18','','','0','','','','','2',NULL,'MIB: ENTITY-SENSORS-MIB
The operational status of the sensor {#SENSOR_INFO}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28203','20','1.3.6.1.2.1.99.1.1.1.4.{#SNMPINDEX}','10251','{#SENSOR_INFO}: Fan speed','sensor.fan.speed[entPhySensorValue.{#SNMPINDEX}]','1m','90d','365d','0','3','','rpm','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ENTITY-SENSORS-MIB
The most recent measurement obtained by the agent for this sensor.
To correctly interpret the value of this object, the associated entPhySensorType,
entPhySensorScale, and entPhySensorPrecision objects must also be examined.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28204','20','1.3.6.1.2.1.47.1.1.1.1.11.{#SNMPINDEX}','10251','{#ENT_NAME}: Hardware serial number','system.hw.serialnumber[entPhysicalSerialNum.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28205','20','1.3.6.1.2.1.47.1.1.1.1.13.{#SNMPINDEX}','10251','{#ENT_NAME}: Hardware model name','system.hw.model[entPhysicalModelName.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28206','20','1.3.6.1.2.1.131.1.1.1.3.{#SNMPINDEX}','10251','{#ENT_NAME}: Power supply status','sensor.psu.status[entStateOper.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'48','','','0','','','','','2',NULL,'MIB: ENTITY-STATE-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28244','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.9.9.109.1.1.1.1.5]','10252','CPU Discovery','cpu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'If your IOS device has several CPUs, you must use CISCO-PROCESS-MIB and its object cpmCPUTotal5minRev from the table called cpmCPUTotalTable ,
indexed with cpmCPUTotalIndex .
This table allows CISCO-PROCESS-MIB to keep CPU statistics for different physical entities in the router,
like different CPU chips, group of CPUs, or CPUs in different modules/cards.
In case of a single CPU, cpmCPUTotalTable has only one entry.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28246','20','1.3.6.1.4.1.9.9.109.1.1.1.1.5.{#SNMPINDEX}','10252','{#SNMPVALUE}: CPU utilization','system.cpu.util[cpmCPUTotal5min.{#SNMPINDEX}]','5m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CISCO-PROCESS-MIB
The overall CPU busy percentage in the last 5 minute
period. This object deprecates the avgBusy5 object from
the OLD-CISCO-SYSTEM-MIB. This object is deprecated
by cpmCPUTotal5minRev which has the changed range
of value (0..100)
Reference: http://www.cisco.com/c/en/us/support/docs/ip/simple-network-management-protocol-snmp/15215-collect-cpu-util-snmp.html','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28248','5','','10047','Zabbix preprocessing queue','zabbix[preprocessing_queue]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Count of values enqueued in the preprocessing queue.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28250','5','','10048','Utilization of vmware data collector processes, in %','zabbix[process,vmware collector,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28251','5','','10048','Zabbix vmware cache, % used','zabbix[vmware,buffer,pused]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','1','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28306','20','discovery[{#SENSOR_TYPE},1.3.6.1.2.1.99.1.1.1.1,{#SENSOR_INFO},1.3.6.1.2.1.47.1.1.1.1.2,{#SENSOR_PRECISION},1.3.6.1.2.1.99.1.1.1.3]','10254','Temperature discovery','temp.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'ENTITY-SENSORS-MIB::EntitySensorDataType discovery with celsius filter','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28307','20','discovery[{#SNMPVALUE},1.3.6.1.2.1.99.1.1.1.1,{#SENSOR_INFO},1.3.6.1.2.1.47.1.1.1.1.2]','10254','Fan discovery','fan.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'ENTITY-SENSORS-MIB::EntitySensorDataType discovery with rpm filter','0','30d','2','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28308','20','discovery[{#ENT_CLASS},1.3.6.1.2.1.47.1.1.1.1.5,{#ENT_NAME},1.3.6.1.2.1.47.1.1.1.1.7]','10254','Entity discovery','entity.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28309','20','discovery[{#ENT_CLASS},1.3.6.1.2.1.47.1.1.1.1.5,{#ENT_NAME},1.3.6.1.2.1.47.1.1.1.1.7]','10254','PSU discovery','psu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28323','20','1.3.6.1.2.1.99.1.1.1.4.{#SNMPINDEX}','10254','{#SENSOR_INFO}: Temperature','sensor.temp.value[entPhySensorValue.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ENTITY-SENSORS-MIB
The most recent measurement obtained by the agent for this sensor.
To correctly interpret the value of this object, the associated entPhySensorType,
entPhySensorScale, and entPhySensorPrecision objects must also be examined.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28324','20','1.3.6.1.2.1.99.1.1.1.5.{#SNMPINDEX}','10254','{#SENSOR_INFO}: Temperature status','sensor.temp.status[entPhySensorOperStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'18','','','0','','','','','2',NULL,'MIB: ENTITY-SENSORS-MIB
The operational status of the sensor {#SENSOR_INFO}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28325','20','1.3.6.1.2.1.99.1.1.1.4.{#SNMPINDEX}','10254','{#SENSOR_INFO}: Fan speed','sensor.fan.speed[entPhySensorValue.{#SNMPINDEX}]','1m','90d','365d','0','3','','rpm','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ENTITY-SENSORS-MIB
The most recent measurement obtained by the agent for this sensor.
To correctly interpret the value of this object, the associated entPhySensorType,
entPhySensorScale, and entPhySensorPrecision objects must also be examined.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28326','20','1.3.6.1.2.1.99.1.1.1.5.{#SNMPINDEX}','10254','{#SENSOR_INFO}: Fan status','sensor.fan.status[entPhySensorOperStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'18','','','0','','','','','2',NULL,'MIB: ENTITY-SENSORS-MIB
The operational status of the sensor {#SENSOR_INFO}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28327','20','1.3.6.1.2.1.47.1.1.1.1.13.{#SNMPINDEX}','10254','{#ENT_NAME}: Hardware model name','system.hw.model[entPhysicalModelName.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28328','20','1.3.6.1.2.1.47.1.1.1.1.11.{#SNMPINDEX}','10254','{#ENT_NAME}: Hardware serial number','system.hw.serialnumber[entPhysicalSerialNum.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28329','20','1.3.6.1.2.1.131.1.1.1.3.{#SNMPINDEX}','10254','{#ENT_NAME}: Power supply status','sensor.psu.status[entStateOper.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'48','','','0','','','','','2',NULL,'MIB: ENTITY-STATE-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28341','20','1.3.6.1.4.1.674.10892.5.2.1.0','10255','Overall system health status','system.status[globalSystemStatus.0]','30s','2w','0d','0','3','','','','',NULL,'59','','','0','','','','','0',NULL,'MIB: IDRAC-MIB-SMIv2
This attribute defines the overall rollup status of all components in the system being monitored by the remote access card. Includes system, storage, IO devices, iDRAC, CPU, memory, etc.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28342','20','1.3.6.1.4.1.674.10892.5.1.3.12.0','10255','Hardware model name','system.hw.model','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: IDRAC-MIB-SMIv2
This attribute defines the model name of the system.','29','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28344','20','1.3.6.1.4.1.674.10892.5.1.3.2.0','10255','Hardware serial number','system.hw.serialnumber','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: IDRAC-MIB-SMIv2
This attribute defines the service tag of the system.','8','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28345','20','1.3.6.1.4.1.674.10892.5.1.1.8.0','10255','Firmware version','system.hw.firmware','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: IDRAC-MIB-SMIv2
This attribute defines the firmware version of a remote access card.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28346','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.674.10892.5.4.700.20.1.1,{#SENSOR_LOCALE},1.3.6.1.4.1.674.10892.5.4.700.20.1.8]','10255','Temperature CPU Discovery','temp.cpu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning table of Temperature Probe Table IDRAC-MIB-SMIv2::temperatureProbeTable','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28347','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.674.10892.5.4.700.20.1.1,{#SENSOR_LOCALE},1.3.6.1.4.1.674.10892.5.4.700.20.1.8]','10255','Temperature Ambient Discovery','temp.ambient.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning table of Temperature Probe Table IDRAC-MIB-SMIv2::temperatureProbeTable','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28348','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.674.10892.5.4.600.12.1.5,{#PSU_DESCR},1.3.6.1.4.1.674.10892.5.4.600.12.1.8]','10255','PSU Discovery','psu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'IDRAC-MIB-SMIv2::powerSupplyTable','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28349','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.674.10892.5.4.700.12.1.5,{#FAN_DESCR},1.3.6.1.4.1.674.10892.5.4.700.12.1.8,{#TYPE},1.3.6.1.4.1.674.10892.5.4.700.12.1.7]','10255','FAN Discovery','fan.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'IDRAC-MIB-SMIv2::coolingDeviceTable','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28350','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.674.10892.5.5.1.20.130.4.1.1,{#DISK_NAME},1.3.6.1.4.1.674.10892.5.5.1.20.130.4.1.2]','10255','Physical Disk Discovery','physicaldisk.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'IDRAC-MIB-SMIv2::physicalDiskTable','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28351','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.674.10892.5.5.1.20.140.1.1.1,{#DISK_NAME},1.3.6.1.4.1.674.10892.5.5.1.20.140.1.1.2]','10255','Virtual Disk Discovery','virtualdisk.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'IDRAC-MIB-SMIv2::virtualDiskTable','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28352','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.674.10892.5.5.1.20.130.1.1.38,{#CNTLR_NAME},1.3.6.1.4.1.674.10892.5.5.1.20.130.1.1.79]','10255','Array Controller Discovery','physicaldisk.arr.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'IDRAC-MIB-SMIv2::controllerTable','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28353','20','discovery[{#BATTERY_NUM},1.3.6.1.4.1.674.10892.5.5.1.20.130.15.1.1]','10255','Array Controller Cache Discovery','array.cache.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'IDRAC-MIB-SMIv2::batteryTable','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28354','20','1.3.6.1.4.1.674.10892.5.4.700.20.1.6.{#SNMPINDEX}','10255','{#SENSOR_LOCALE}: Temperature','sensor.temp.value[temperatureProbeReading.CPU.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,'60','','','0','','','','','2',NULL,'MIB: IDRAC-MIB-SMIv2
0700.0020.0001.0006 This attribute defines the reading for a temperature probe of type other than temperatureProbeTypeIsDiscrete.  When the value for temperatureProbeType is other than temperatureProbeTypeIsDiscrete,the value returned for this attribute is the temperature that the probeis reading in tenths of degrees Centigrade. When the value for temperatureProbeType is temperatureProbeTypeIsDiscrete, a value is not returned for this attribute.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28355','20','1.3.6.1.4.1.674.10892.5.4.700.20.1.5.{#SNMPINDEX}','10255','{#SENSOR_LOCALE}: Temperature status','sensor.temp.status[temperatureProbeStatus.CPU.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'60','','','0','','','','','2',NULL,'MIB: IDRAC-MIB-SMIv2
0700.0020.0001.0005 This attribute defines the probe status of the temperature probe.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28356','20','1.3.6.1.4.1.674.10892.5.4.700.20.1.6.{#SNMPINDEX}','10255','{#SENSOR_LOCALE}: Temperature','sensor.temp.value[temperatureProbeReading.Ambient.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,'60','','','0','','','','','2',NULL,'MIB: IDRAC-MIB-SMIv2
0700.0020.0001.0006 This attribute defines the reading for a temperature probe of type other than temperatureProbeTypeIsDiscrete.  When the value for temperatureProbeType is other than temperatureProbeTypeIsDiscrete,the value returned for this attribute is the temperature that the probeis reading in tenths of degrees Centigrade. When the value for temperatureProbeType is temperatureProbeTypeIsDiscrete, a value is not returned for this attribute.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28357','20','1.3.6.1.4.1.674.10892.5.4.700.20.1.5.{#SNMPINDEX}','10255','{#SENSOR_LOCALE}: Temperature status','sensor.temp.status[temperatureProbeStatus.Ambient.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'60','','','0','','','','','2',NULL,'MIB: IDRAC-MIB-SMIv2
0700.0020.0001.0005 This attribute defines the probe status of the temperature probe.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28358','20','1.3.6.1.4.1.674.10892.5.4.600.12.1.5.{#SNMPINDEX}','10255','{#PSU_DESCR}: Power supply status','sensor.psu.status[powerSupplyStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'59','','','0','','','','','2',NULL,'MIB: IDRAC-MIB-SMIv2
0600.0012.0001.0005 This attribute defines the status of the power supply.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28359','20','1.3.6.1.4.1.674.10892.5.4.700.12.1.5.{#SNMPINDEX}','10255','{#FAN_DESCR}: Fan status','sensor.fan.status[coolingDeviceStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'60','','','0','','','','','2',NULL,'MIB: IDRAC-MIB-SMIv2
0700.0012.0001.0005 This attribute defines the probe status of the cooling device.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28360','20','1.3.6.1.4.1.674.10892.5.4.700.12.1.6.{#SNMPINDEX}','10255','{#FAN_DESCR}: Fan speed','sensor.fan.speed[coolingDeviceReading.{#SNMPINDEX}]','1m','90d','365d','0','3','','rpm','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IDRAC-MIB-SMIv2
0700.0012.0001.0006 This attribute defines the reading for a cooling device
of subtype other than coolingDeviceSubTypeIsDiscrete.  When the value
for coolingDeviceSubType is other than coolingDeviceSubTypeIsDiscrete, the
value returned for this attribute is the speed in RPM or the OFF/ON value
of the cooling device.  When the value for coolingDeviceSubType is
coolingDeviceSubTypeIsDiscrete, a value is not returned for this attribute.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28361','20','1.3.6.1.4.1.674.10892.5.5.1.20.130.4.1.24.{#SNMPINDEX}','10255','{#DISK_NAME}: Physical disk status','system.hw.physicaldisk.status[physicalDiskComponentStatus.{#SNMPINDEX}]','3m','90d','0d','0','3','','','','',NULL,'61','','','0','','','','','2',NULL,'MIB: IDRAC-MIB-SMIv2
The status of the physical disk itself without the propagation of any contained component status.
Possible values:
1: Other
2: Unknown
3: OK
4: Non-critical
5: Critical
6: Non-recoverable','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28362','20','1.3.6.1.4.1.674.10892.5.5.1.20.130.4.1.7.{#SNMPINDEX}','10255','{#DISK_NAME}: Physical disk serial number','system.hw.physicaldisk.serialnumber[physicalDiskSerialNo.{#SNMPINDEX}]','1d','90d','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IDRAC-MIB-SMIv2
The physical disk''s unique identification number from the manufacturer.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28363','20','1.3.6.1.4.1.674.10892.5.5.1.20.130.4.1.31.{#SNMPINDEX}','10255','{#DISK_NAME}: Physical disk S.M.A.R.T. status','system.hw.physicaldisk.smart_status[physicalDiskSmartAlertIndication.{#SNMPINDEX}]','3m','90d','0d','0','3','','','','',NULL,'62','','','0','','','','','2',NULL,'MIB: IDRAC-MIB-SMIv2
Indicates whether the physical disk has received a predictive failure alert.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28364','20','1.3.6.1.4.1.674.10892.5.5.1.20.130.4.1.6.{#SNMPINDEX}','10255','{#DISK_NAME}: Physical disk model name','system.hw.physicaldisk.model[physicalDiskProductID.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IDRAC-MIB-SMIv2
The model number of the physical disk.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28365','20','1.3.6.1.4.1.674.10892.5.5.1.20.130.4.1.27.{#SNMPINDEX}','10255','{#DISK_NAME}: Physical disk part number','system.hw.physicaldisk.part_number[physicalDiskPartNumber.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IDRAC-MIB-SMIv2
The part number of the disk.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28366','20','1.3.6.1.4.1.674.10892.5.5.1.20.130.4.1.35.{#SNMPINDEX}','10255','{#DISK_NAME}: Physical disk media type','system.hw.physicaldisk.media_type[physicalDiskMediaType.{#SNMPINDEX}]','1h','2w','0d','0','3','','','','',NULL,'63','','','0','','','','','2',NULL,'MIB: IDRAC-MIB-SMIv2
The media type of the physical disk. Possible Values:
1: The media type could not be determined.
2: Hard Disk Drive (HDD).
3: Solid State Drive (SSD).','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28367','20','1.3.6.1.4.1.674.10892.5.5.1.20.130.4.1.11.{#SNMPINDEX}','10255','{#DISK_NAME}: Disk size','system.hw.physicaldisk.size[physicalDiskCapacityInMB.{#SNMPINDEX}]','1h','2w','0d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IDRAC-MIB-SMIv2
The size of the physical disk in megabytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28368','20','1.3.6.1.4.1.674.10892.5.5.1.20.140.1.1.13.{#SNMPINDEX}','10255','Disk {#SNMPVALUE}({#DISK_NAME}): Layout type','system.hw.virtualdisk.layout[virtualDiskLayout.{#SNMPINDEX}]','1h','2w','365d','0','3','','','','',NULL,'65','','','0','','','','','2',NULL,'MIB: IDRAC-MIB-SMIv2
The virtual disk''s RAID type.
Possible values:
1: Not one of the following
2: RAID-0
3: RAID-1
4: RAID-5
5: RAID-6
6: RAID-10
7: RAID-50
8: RAID-60
9: Concatenated RAID 1
10: Concatenated RAID 5','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28369','20','1.3.6.1.4.1.674.10892.5.5.1.20.140.1.1.30.{#SNMPINDEX}','10255','Disk {#SNMPVALUE}({#DISK_NAME}): Current state','system.hw.virtualdisk.state[virtualDiskOperationalState.{#SNMPINDEX}]','3m','2w','365d','0','3','','','','',NULL,'66','','','0','','','','','2',NULL,'MIB: IDRAC-MIB-SMIv2
The state of the virtual disk when there are progressive operations ongoing.
Possible values:
1: There is no active operation running.
2: The virtual disk configuration has changed. The physical disks included in the virtual disk are being modified to support the new configuration.
3: A Consistency Check (CC) is being performed on the virtual disk.
4: The virtual disk is being initialized.
5: BackGround Initialization (BGI) is being performed on the virtual disk.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28370','20','1.3.6.1.4.1.674.10892.5.5.1.20.140.1.1.11.{#SNMPINDEX}','10255','Disk {#SNMPVALUE}({#DISK_NAME}): Read policy','system.hw.virtualdisk.readpolicy[virtualDiskReadPolicy.{#SNMPINDEX}]','1h','2w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IDRAC-MIB-SMIv2
The read policy used by the controller for read operations on this virtual disk.
Possible values:
1: No Read Ahead.
2: Read Ahead.
3: Adaptive Read Ahead.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28371','20','1.3.6.1.4.1.674.10892.5.5.1.20.140.1.1.10.{#SNMPINDEX}','10255','Disk {#SNMPVALUE}({#DISK_NAME}): Write policy','system.hw.virtualdisk.writepolicy[virtualDiskWritePolicy.{#SNMPINDEX}]','1h','2w','365d','0','3','','','','',NULL,'67','','','0','','','','','2',NULL,'MIB: IDRAC-MIB-SMIv2
The write policy used by the controller for write operations on this virtual disk.
Possible values:
1: Write Through.
2: Write Back.
3: Force Write Back.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28372','20','1.3.6.1.4.1.674.10892.5.5.1.20.140.1.1.6.{#SNMPINDEX}','10255','Disk {#SNMPVALUE}({#DISK_NAME}): Disk size','system.hw.virtualdisk.size[virtualDiskSizeInMB.{#SNMPINDEX}]','1h','2w','0d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IDRAC-MIB-SMIv2
The size of the virtual disk in megabytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28373','20','1.3.6.1.4.1.674.10892.5.5.1.20.140.1.1.4.{#SNMPINDEX}','10255','Disk {#SNMPVALUE}({#DISK_NAME}): Status','system.hw.virtualdisk.status[virtualDiskState.{#SNMPINDEX}]','3m','2w','365d','0','3','','','','',NULL,'69','','','0','','','','','2',NULL,'MIB: IDRAC-MIB-SMIv2
The current state of this virtual disk (which includes any member physical disks.)
Possible states:
1: The current state could not be determined.
2: The virtual disk is operating normally or optimally.
3: The virtual disk has encountered a failure. The data on disk is lost or is about to be lost.
4: The virtual disk encounterd a failure with one or all of the constituent redundant physical disks.
The data on the virtual disk might no longer be fault tolerant.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28374','20','1.3.6.1.4.1.674.10892.5.5.1.20.130.1.1.38.{#SNMPINDEX}','10255','{#CNTLR_NAME}: Disk array controller status','system.hw.diskarray.status[controllerComponentStatus.{#SNMPINDEX}]','1m','1w','0d','0','3','','','','',NULL,'59','','','0','','','','','2',NULL,'MIB: IDRAC-MIB-SMIv2
The status of the controller itself without the propagation of any contained component status.
Possible values:
1: Other
2: Unknown
3: OK
4: Non-critical
5: Critical
6: Non-recoverable','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28375','20','1.3.6.1.4.1.674.10892.5.5.1.20.130.1.1.2.{#SNMPINDEX}','10255','{#CNTLR_NAME}: Disk array controller model','system.hw.diskarray.model[controllerName.{#SNMPINDEX}]','1d','90d','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IDRAC-MIB-SMIv2
The controller''s name as represented in Storage Management.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28376','20','1.3.6.1.4.1.674.10892.5.5.1.20.130.15.1.4.{#SNMPINDEX}','10255','Battery {#BATTERY_NUM}: Disk array cache controller battery status','system.hw.diskarray.cache.battery.status[batteryState.{#SNMPINDEX}]','1m','1w','0d','0','3','','','','',NULL,'64','','','0','','','','','2',NULL,'MIB: IDRAC-MIB-SMIv2
Current state of battery.
Possible values:
1: The current state could not be determined.
2: The battery is operating normally.
3: The battery has failed and needs to be replaced.
4: The battery temperature is high or charge level is depleting.
5: The battery is missing or not detected.
6: The battery is undergoing the re-charge phase.
7: The battery voltage or charge level is below the threshold.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28388','20','1.3.6.1.4.1.232.6.2.6.1.0','10256','System: Temperature status','sensor.temp.status[cpqHeThermalCondition.0]','3m','2w','0d','0','3','','','','',NULL,'54','','','0','','','','','0',NULL,'MIB: CPQHLTH-MIB
This value specifies the overall condition of the system''s thermal environment.
This value will be one of the following:
other(1)  Temperature could not be determined.
ok(2)  The temperature sensor is within normal operating range.
degraded(3)  The temperature sensor is outside of normal operating range.
failed(4)  The temperature sensor detects a condition that could  permanently damage the system.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28390','20','1.3.6.1.4.1.232.2.2.4.2.0','10256','Hardware model name','system.hw.model','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: CPQSINFO-MIB
The machine product name.The name of the machine used in this system.','29','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28391','20','1.3.6.1.4.1.232.2.2.2.1.0','10256','Hardware serial number','system.hw.serialnumber','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: CPQSINFO-MIB
The serial number of the physical system unit. The string will be empty if the system does not report the serial number function.','8','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28392','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.232.6.2.6.8.1.1,{#SENSOR_LOCALE},1.3.6.1.4.1.232.6.2.6.8.1.3]','10256','Temperature Discovery','tempDescr.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning table of Temperature Sensor Entries: CPQHLTH-MIB::cpqHeTemperatureTable','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28393','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.232.6.2.6.8.1.1,{#SENSOR_LOCALE},1.3.6.1.4.1.232.6.2.6.8.1.3]','10256','Temperature Discovery Ambient','tempDescr.discovery.ambient','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning table of Temperature Sensor Entries: CPQHLTH-MIB::cpqHeTemperatureTable with ambient(11) and 0.1 index filter','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28394','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.232.6.2.6.8.1.1,{#SENSOR_LOCALE},1.3.6.1.4.1.232.6.2.6.8.1.3]','10256','Temperature Discovery CPU','tempDescr.discovery.cpu','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning table of Temperature Sensor Entries: CPQHLTH-MIB::cpqHeTemperatureTable with cpu(6) filter','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28395','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.232.6.2.6.8.1.1,{#SENSOR_LOCALE},1.3.6.1.4.1.232.6.2.6.8.1.3]','10256','Temperature Discovery Memory','tempDescr.discovery.memory','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning table of Temperature Sensor Entries: CPQHLTH-MIB::cpqHeTemperatureTable with memory(7) filter','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28396','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.232.6.2.6.8.1.1,{#SENSOR_LOCALE},1.3.6.1.4.1.232.6.2.6.8.1.3]','10256','Temperature Discovery PSU','tempDescr.discovery.psu','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning table of Temperature Sensor Entries: CPQHLTH-MIB::cpqHeTemperatureTable with powerSupply(10) filter','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28397','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.232.6.2.6.8.1.1,{#SENSOR_LOCALE},1.3.6.1.4.1.232.6.2.6.8.1.3]','10256','Temperature Discovery System','tempDescr.discovery.io','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning table of Temperature Sensor Entries: CPQHLTH-MIB::cpqHeTemperatureTable with system(3) filter','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28398','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.232.6.2.9.3.1.5,{#CHASSIS_NUM},1.3.6.1.4.1.232.6.2.9.3.1.1,{#BAY_NUM},1.3.6.1.4.1.232.6.2.9.3.1.2]','10256','PSU Discovery','psu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'CPQHLTH-MIB::cpqHeFltTolPowerSupplyStatus','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28399','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.232.6.2.6.7.1.9]','10256','FAN Discovery','fan.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'CPQHLTH-MIB::cpqHeFltTolFanCondition','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28400','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.232.3.2.2.1.1.1,{#CNTLR_SLOT},1.3.6.1.4.1.232.3.2.2.1.1.5,{#CNTLR_LOCATION},1.3.6.1.4.1.232.3.2.2.1.1.20]','10256','Array Controller Discovery','array.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning table of Array controllers: CPQIDA-MIB::cpqDaCntlrTable','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28401','20','discovery[{#CACHE_STATUS},1.3.6.1.4.1.232.3.2.2.2.1.2,{#CACHE_CNTRL_INDEX},1.3.6.1.4.1.232.3.2.2.2.1.1]','10256','Array Controller Cache Discovery','array.cache.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning table of Array controllers: CPQIDA-MIB::cpqDaAccelTable','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28402','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.232.3.2.5.1.1.5,{#DISK_LOCATION},1.3.6.1.4.1.232.3.2.5.1.1.64]','10256','Physical Disk Discovery','physicalDisk.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning  table of physical drive entries CPQIDA-MIB::cpqDaPhyDrvTable.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28403','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.232.3.2.3.1.1.2,{#DISK_NAME},1.3.6.1.4.1.232.3.2.3.1.1.14]','10256','Virtual Disk Discovery','virtualdisk.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'CPQIDA-MIB::cpqDaLogDrvTable','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28404','20','1.3.6.1.4.1.232.6.2.6.8.1.4.{#SNMPINDEX}','10256','{#SNMPINDEX}: Temperature','sensor.temp.value[cpqHeTemperatureCelsius.{#SNMPINDEX}]','6m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CPQHLTH-MIB
Temperature readings of testpoint: {#SNMPINDEX}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28405','20','1.3.6.1.4.1.232.6.2.6.8.1.3.{#SNMPINDEX}','10256','{#SNMPINDEX}: Temperature sensor location','sensor.temp.locale[cpqHeTemperatureLocale.{#SNMPINDEX}]','1h','1w','0d','0','3','','','','',NULL,'55','','','0','','','','','2',NULL,'MIB: CPQHLTH-MIB
This specifies the location of the temperature sensor present in the system.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28406','20','1.3.6.1.4.1.232.6.2.6.8.1.4.{#SNMPINDEX}','10256','Ambient: Temperature','sensor.temp.value[cpqHeTemperatureCelsius.Ambient.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CPQHLTH-MIB
Temperature readings of testpoint: Ambient','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28407','20','1.3.6.1.4.1.232.6.2.6.8.1.4.{#SNMPINDEX}','10256','CPU-{#SNMPINDEX}: Temperature','sensor.temp.value[cpqHeTemperatureCelsius.CPU.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CPQHLTH-MIB
Temperature readings of testpoint: CPU-{#SNMPINDEX}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28408','20','1.3.6.1.4.1.232.6.2.6.8.1.4.{#SNMPINDEX}','10256','Memory-{#SNMPINDEX}: Temperature','sensor.temp.value[cpqHeTemperatureCelsius.Memory.{#SNMPINDEX}]','6m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CPQHLTH-MIB
Temperature readings of testpoint: Memory-{#SNMPINDEX}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28409','20','1.3.6.1.4.1.232.6.2.6.8.1.4.{#SNMPINDEX}','10256','PSU-{#SNMPINDEX}: Temperature','sensor.temp.value[cpqHeTemperatureCelsius.PSU.{#SNMPINDEX}]','6m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CPQHLTH-MIB
Temperature readings of testpoint: PSU-{#SNMPINDEX}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28410','20','1.3.6.1.4.1.232.6.2.6.8.1.4.{#SNMPINDEX}','10256','System-{#SNMPINDEX}: Temperature','sensor.temp.value[cpqHeTemperatureCelsius.System.{#SNMPINDEX}]','6m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CPQHLTH-MIB
Temperature readings of testpoint: System-{#SNMPINDEX}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28411','20','1.3.6.1.4.1.232.6.2.9.3.1.4.{#SNMPINDEX}','10256','Chassis {#CHASSIS_NUM}, bay {#BAY_NUM}: Power supply status','sensor.psu.status[cpqHeFltTolPowerSupplyCondition.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'54','','','0','','','','','2',NULL,'MIB: CPQHLTH-MIB
The condition of the power supply. This value will be one of the following:
other(1)  The status could not be determined or not present.
ok(2)  The power supply is operating normally.
degraded(3)  A temperature sensor, fan or other power supply component is  outside of normal operating range.
failed(4)  A power supply component detects a condition that could  permanently damage the system.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28412','20','1.3.6.1.4.1.232.6.2.6.7.1.9.{#SNMPINDEX}','10256','Fan {#SNMPINDEX}: Fan status','sensor.fan.status[cpqHeFltTolFanCondition.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'54','','','0','','','','','2',NULL,'MIB: CPQHLTH-MIB
The condition of the fan.
This value will be one of the following:
other(1)  Fan status detection is not supported by this system or driver.
ok(2)  The fan is operating properly.
degraded(2)  A redundant fan is not operating properly.
failed(4)  A non-redundant fan is not operating properly.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28413','20','1.3.6.1.4.1.232.3.2.2.1.1.6.{#SNMPINDEX}','10256','{#CNTLR_LOCATION}: Disk array controller status','system.hw.diskarray.status[cpqDaCntlrCondition.{#SNMPINDEX}]','1m','1w','0d','0','3','','','','',NULL,'54','','','0','','','','','2',NULL,'MIB: CPQIDA-MIB
This value represents the overall condition of this controller,
and any associated logical drives,physical drives, and array accelerators.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28414','20','1.3.6.1.4.1.232.3.2.2.1.1.2.{#SNMPINDEX}','10256','{#CNTLR_LOCATION}: Disk array controller model','system.hw.diskarray.model[cpqDaCntlrModel.{#SNMPINDEX}]','1d','90d','0d','0','3','','','','',NULL,'56','','','0','','','','','2',NULL,'MIB: CPQIDA-MIB
Array Controller Model. The type of controller card.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28415','20','1.3.6.1.4.1.232.3.2.2.2.1.2.{#SNMPINDEX}','10256','#{#CACHE_CNTRL_INDEX}: Disk array cache controller status','system.hw.diskarray.cache.status[cpqDaAccelStatus.{#SNMPINDEX}]','1m','1w','0d','0','3','','','','',NULL,'71','','','0','','','','','2',NULL,'MIB: CPQIDA-MIB
Cache Module/Operations Status. This describes the status of the cache module and/or cache operations.
Note that for some controller models, a cache module board that physically attaches to the controller or chipset may not be an available option.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28416','20','1.3.6.1.4.1.232.3.2.2.2.1.6.{#SNMPINDEX}','10256','#{#CACHE_CNTRL_INDEX}: Disk array cache controller battery status','system.hw.diskarray.cache.battery.status[cpqDaAccelBattery.{#SNMPINDEX}]','1m','1w','0d','0','3','','','','',NULL,'72','','','0','','','','','2',NULL,'MIB: CPQIDA-MIB
Cache Module Board Backup Power Status. This monitors the status of each backup power source on the board.
The backup power source can only recharge when the system has power applied. The type of backup power source used is indicated by cpqDaAccelBackupPowerSource.
The following values are valid:
Other (1)  Indicates that the instrument agent does not recognize  backup power status.  You may need to update your software.

Ok (2)  The backup power source is fully charged.

Recharging (3)  The array controller has one or more cache module backup power  sources that are recharging.
Cache module operations such as Battery/Flash Backed Write Cache, Expansion, Extension and Migration are temporarily suspended until the backup power source is fully charged.
Cache module operations will automatically resume  when charging is complete.

Failed (4)  The battery pack is below the sufficient voltage level and  has not recharged in 36 hours.
Your Cache Module board  needs to be serviced.

Degraded (5)  The battery is still operating, however, one of the batteries  in the pack has failed to recharge properly.
Your Cache  Module board should be serviced as soon as possible.

NotPresent (6)  A backup power source is not present on the cache module board. Some controllers do not have backup power sources.

Capacitor Failed (7)  The flash backed cache module capacitor is below the sufficient voltage level and has not recharged in 10 minutes.  Your Cache Module board needs to be serviced.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28417','20','1.3.6.1.4.1.232.3.2.5.1.1.6.{#SNMPINDEX}','10256','{#DISK_LOCATION}: Physical disk status','system.hw.physicaldisk.status[cpqDaPhyDrvStatus.{#SNMPINDEX}]','3m','90d','0d','0','3','','','','',NULL,'57','','','0','','','','','2',NULL,'MIB: CPQIDA-MIB
Physical Drive Status. This shows the status of the physical drive. The following values are valid for the physical drive status:
other (1)  Indicates that the instrument agent does not recognize  the drive.
You may need to upgrade your instrument agent  and/or driver software.
ok (2)  Indicates the drive is functioning properly.
failed (3)  Indicates that the drive is no longer operating and  should be replaced.
predictiveFailure(4)  Indicates that the drive has a predictive failure error and  should be replaced.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28418','20','1.3.6.1.4.1.232.3.2.5.1.1.57.{#SNMPINDEX}','10256','{#DISK_LOCATION}: Physical disk S.M.A.R.T. status','system.hw.physicaldisk.smart_status[cpqDaPhyDrvSmartStatus.{#SNMPINDEX}]','3m','90d','0d','0','3','','','','',NULL,'70','','','0','','','','','2',NULL,'MIB: CPQIDA-MIB
Physical Drive S.M.A.R.T Status.The following values are defined:
other(1)  The agent is unable to determine if the status of S.M.A.R.T  predictive failure monitoring for this drive.
ok(2)  Indicates the drive is functioning properly.
replaceDrive(3)  Indicates that the drive has a S.M.A.R.T predictive failure  error and should be replaced.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28419','20','1.3.6.1.4.1.232.3.2.5.1.1.51.{#SNMPINDEX}','10256','{#DISK_LOCATION}: Physical disk serial number','system.hw.physicaldisk.serialnumber[cpqDaPhyDrvSerialNum.{#SNMPINDEX}]','1d','90d','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CPQIDA-MIB
Physical Drive Serial Number.
This is the serial number assigned to the physical drive.
This value is based upon the serial number as returned by the SCSI inquiry command
but may have been modified due to space limitations.  This can be used for identification purposes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28420','20','1.3.6.1.4.1.232.3.2.5.1.1.3.{#SNMPINDEX}','10256','{#DISK_LOCATION}: Physical disk model name','system.hw.physicaldisk.model[cpqDaPhyDrvModel.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CPQIDA-MIB
Physical Drive Model.This is a text description of the physical drive.
The text that appears depends upon who manufactured the drive and the drive type.
If a drive fails, note the model to identify the type of drive necessary for replacement.
If a model number is not present, you may not have properly initialized the drive array to which the physical drive is attached for monitoring.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28421','20','1.3.6.1.4.1.232.3.2.5.1.1.69.{#SNMPINDEX}','10256','{#DISK_LOCATION}: Physical disk media type','system.hw.physicaldisk.media_type[cpqDaPhyDrvMediaType.{#SNMPINDEX}]','1h','2w','0d','0','3','','','','',NULL,'73','','','0','','','','','2',NULL,'MIB: CPQIDA-MIB
Drive Array Physical Drive Media Type.The following values are defined:
other(1)  The instrument agent is unable to determine the physical drive’s media type.
rotatingPlatters(2)  The physical drive media is composed of rotating platters.
solidState(3)  The physical drive media is composed of solid state electronics.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28422','20','1.3.6.1.4.1.232.3.2.5.1.1.45.{#SNMPINDEX}','10256','{#DISK_LOCATION}: Disk size','system.hw.physicaldisk.size[cpqDaPhyDrvMediaType.{#SNMPINDEX}]','1h','2w','0d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CPQIDA-MIB
Physical Drive Size in MB.
This is the size of the physical drive in megabytes.
This value is calculated using the value 1,048,576 (2^20) as a megabyte.
Drive manufacturers sometimes use the number 1,000,000 as a megabyte when giving drive capacities so this value may differ
from the advertised size of a drive. This field is only applicable for controllers which support SCSI drives,
and therefore is not supported by the IDA or IDA-2 controllers. The field will contain 0xFFFFFFFF if the drive capacity cannot be calculated
or if the controller does not support SCSI drives.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28423','20','1.3.6.1.4.1.232.3.2.3.1.1.4.{#SNMPINDEX}','10256','Disk {#SNMPINDEX}({#DISK_NAME}): Status','system.hw.virtualdisk.status[cpqDaLogDrvStatus.{#SNMPINDEX}]','3m','2w','365d','0','3','','','','',NULL,'75','','','0','','','','','2',NULL,'Logical Drive Status.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28424','20','1.3.6.1.4.1.232.3.2.3.1.1.3.{#SNMPINDEX}','10256','Disk {#SNMPINDEX}({#DISK_NAME}): Layout type','system.hw.virtualdisk.layout[cpqDaLogDrvFaultTol.{#SNMPINDEX}]','1h','2w','365d','0','3','','','','',NULL,'74','','','0','','','','','2',NULL,'Logical Drive Fault Tolerance.
This shows the fault tolerance mode of the logical drive.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28425','20','1.3.6.1.4.1.232.3.2.3.1.1.9.{#SNMPINDEX}','10256','Disk {#SNMPINDEX}({#DISK_NAME}): Disk size','system.hw.virtualdisk.size[cpqDaLogDrvSize.{#SNMPINDEX}]','1h','2w','0d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Logical Drive Size.
This is the size of the logical drive in megabytes.  This value
is calculated using the value 1,048,576 (2^20) as a megabyte.
Drive manufacturers sometimes use the number 1,000,000 as a
megabyte when giving drive capacities so this value may
differ from the advertised size of a drive.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28437','20','1.3.6.1.4.1.2.3.51.3.1.4.1.0','10257','Overall system health status','system.status[systemHealthStat.0]','30s','2w','0d','0','3','','','','',NULL,'58','','','0','','','','','0',NULL,'MIB: IMM-MIB
Indicates status of system health for the system in which the IMM resides. Value of ''nonRecoverable'' indicates a severe error has occurred and the system may not be functioning. A value of ''critical'' indicates that a error has occurred but the system is currently functioning properly. A value of ''nonCritical'' indicates that a condition has occurred that may change the state of the system in the future but currently the system is working properly. A value of ''normal'' indicates that the system is operating normally.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28438','20','1.3.6.1.4.1.2.3.51.3.1.5.2.1.5.0','10257','Hardware model name','system.hw.model','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: IMM-MIB','29','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28439','20','1.3.6.1.4.1.2.3.51.3.1.5.2.1.3.0','10257','Hardware serial number','system.hw.serialnumber','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: IMM-MIB
Machine serial number VPD information','8','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28440','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.2.3.51.3.1.1.2.1.2]','10257','Temperature Discovery','tempDescr.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning IMM-MIB::tempTable','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28441','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.2.3.51.3.1.1.2.1.2]','10257','Temperature Discovery Ambient','tempDescr.discovery.ambient','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning IMM-MIB::tempTable with Ambient filter','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28442','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.2.3.51.3.1.1.2.1.2]','10257','Temperature Discovery CPU','tempDescr.discovery.cpu','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning IMM-MIB::tempTable with CPU filter','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28443','20','discovery[{#PSU_DESCR},1.3.6.1.4.1.2.3.51.3.1.11.2.1.2]','10257','PSU Discovery','psu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'IMM-MIB::powerFruName','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28444','20','discovery[{#FAN_DESCR},1.3.6.1.4.1.2.3.51.3.1.3.2.1.2]','10257','FAN Discovery','fan.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'IMM-MIB::fanDescr','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28445','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.2.3.51.3.1.12.2.1.1]','10257','Physical Disk Discovery','physicalDisk.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28446','20','1.3.6.1.4.1.2.3.51.3.1.1.2.1.3.{#SNMPINDEX}','10257','{#SNMPVALUE}: Temperature','sensor.temp.value[tempReading.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IMM-MIB
Temperature readings of testpoint: {#SNMPVALUE}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28447','20','1.3.6.1.4.1.2.3.51.3.1.1.2.1.3.{#SNMPINDEX}','10257','Ambient: Temperature','sensor.temp.value[tempReading.Ambient.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IMM-MIB
Temperature readings of testpoint: Ambient','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28448','20','1.3.6.1.4.1.2.3.51.3.1.1.2.1.3.{#SNMPINDEX}','10257','CPU: Temperature','sensor.temp.value[tempReading.CPU.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IMM-MIB
Temperature readings of testpoint: CPU','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28449','20','1.3.6.1.4.1.2.3.51.3.1.11.2.1.6.{#SNMPINDEX}','10257','{#PSU_DESCR}: Power supply status','sensor.psu.status[powerHealthStatus.{#SNMPINDEX}]','3m','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IMM-MIB
A description of the power module status.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28450','20','1.3.6.1.4.1.2.3.51.3.1.3.2.1.10.{#SNMPINDEX}','10257','{#FAN_DESCR}: Fan status','sensor.fan.status[fanHealthStatus.{#SNMPINDEX}]','3m','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IMM-MIB
A description of the fan component status.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28451','20','1.3.6.1.4.1.2.3.51.3.1.3.2.1.3.{#SNMPINDEX}','10257','{#FAN_DESCR}: Fan speed, %','sensor.fan.speed.percentage[fanSpeed.{#SNMPINDEX}]','1m','90d','365d','0','3','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IMM-MIB
Fan speed expressed in percent(%) of maximum RPM.
An octet string expressed as ''ddd% of maximum'' where:d is a decimal digit or blank space for a leading zero.
If the fan is determined not to be running or the fan speed cannot be determined, the string will indicate ''Offline''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28452','20','1.3.6.1.4.1.2.3.51.3.1.12.2.1.3.{#SNMPINDEX}','10257','{#SNMPINDEX}: Physical disk status','system.hw.physicaldisk.status[diskHealthStatus.{#SNMPINDEX}]','3m','90d','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IMM-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28453','20','1.3.6.1.4.1.2.3.51.3.1.12.2.1.2.{#SNMPINDEX}','10257','{#SNMPINDEX}: Physical disk part number','system.hw.physicaldisk.part_number[diskFruName.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IMM-MIB
disk module FRU name.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28465','20','1.3.6.1.4.1.2.3.51.3.1.4.1.0','10258','Overall system health status','system.status[systemHealthStat.0]','30s','2w','0d','0','3','','','','',NULL,'58','','','0','','','','','0',NULL,'MIB: IMM-MIB
Indicates status of system health for the system in which the IMM resides. Value of ''nonRecoverable'' indicates a severe error has occurred and the system may not be functioning. A value of ''critical'' indicates that a error has occurred but the system is currently functioning properly. A value of ''nonCritical'' indicates that a condition has occurred that may change the state of the system in the future but currently the system is working properly. A value of ''normal'' indicates that the system is operating normally.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28466','20','1.3.6.1.4.1.2.3.51.3.1.5.2.1.5.0','10258','Hardware model name','system.hw.model','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: IMM-MIB','29','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28467','20','1.3.6.1.4.1.2.3.51.3.1.5.2.1.3.0','10258','Hardware serial number','system.hw.serialnumber','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: IMM-MIB
Machine serial number VPD information','8','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28468','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.2.3.51.3.1.1.2.1.2]','10258','Temperature Discovery','tempDescr.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning IMM-MIB::tempTable','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28469','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.2.3.51.3.1.1.2.1.2]','10258','Temperature Discovery Ambient','tempDescr.discovery.ambient','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning IMM-MIB::tempTable with Ambient filter','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28470','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.2.3.51.3.1.1.2.1.2]','10258','Temperature Discovery CPU','tempDescr.discovery.cpu','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning IMM-MIB::tempTable with CPU filter','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28471','20','discovery[{#PSU_DESCR},1.3.6.1.4.1.2.3.51.3.1.11.2.1.2]','10258','PSU Discovery','psu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'IMM-MIB::powerFruName','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28472','20','discovery[{#FAN_DESCR},1.3.6.1.4.1.2.3.51.3.1.3.2.1.2]','10258','FAN Discovery','fan.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'IMM-MIB::fanDescr','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28473','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.2.3.51.3.1.12.2.1.1]','10258','Physical Disk Discovery','physicalDisk.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28474','20','1.3.6.1.4.1.2.3.51.3.1.1.2.1.3.{#SNMPINDEX}','10258','{#SNMPVALUE}: Temperature','sensor.temp.value[tempReading.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IMM-MIB
Temperature readings of testpoint: {#SNMPVALUE}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28475','20','1.3.6.1.4.1.2.3.51.3.1.1.2.1.3.{#SNMPINDEX}','10258','Ambient: Temperature','sensor.temp.value[tempReading.Ambient.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IMM-MIB
Temperature readings of testpoint: Ambient','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28476','20','1.3.6.1.4.1.2.3.51.3.1.1.2.1.3.{#SNMPINDEX}','10258','CPU: Temperature','sensor.temp.value[tempReading.CPU.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IMM-MIB
Temperature readings of testpoint: CPU','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28477','20','1.3.6.1.4.1.2.3.51.3.1.11.2.1.6.{#SNMPINDEX}','10258','{#PSU_DESCR}: Power supply status','sensor.psu.status[powerHealthStatus.{#SNMPINDEX}]','3m','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IMM-MIB
A description of the power module status.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28478','20','1.3.6.1.4.1.2.3.51.3.1.3.2.1.10.{#SNMPINDEX}','10258','{#FAN_DESCR}: Fan status','sensor.fan.status[fanHealthStatus.{#SNMPINDEX}]','3m','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IMM-MIB
A description of the fan component status.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28479','20','1.3.6.1.4.1.2.3.51.3.1.3.2.1.3.{#SNMPINDEX}','10258','{#FAN_DESCR}: Fan speed, %','sensor.fan.speed.percentage[fanSpeed.{#SNMPINDEX}]','1m','90d','365d','0','3','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IMM-MIB
Fan speed expressed in percent(%) of maximum RPM.
An octet string expressed as ''ddd% of maximum'' where:d is a decimal digit or blank space for a leading zero.
If the fan is determined not to be running or the fan speed cannot be determined, the string will indicate ''Offline''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28480','20','1.3.6.1.4.1.2.3.51.3.1.12.2.1.3.{#SNMPINDEX}','10258','{#SNMPINDEX}: Physical disk status','system.hw.physicaldisk.status[diskHealthStatus.{#SNMPINDEX}]','3m','90d','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IMM-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28481','20','1.3.6.1.4.1.2.3.51.3.1.12.2.1.2.{#SNMPINDEX}','10258','{#SNMPINDEX}: Physical disk part number','system.hw.physicaldisk.part_number[diskFruName.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: IMM-MIB
disk module FRU name.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28493','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.21317.1.3.1.2,{#SENSOR_DESCR},1.3.6.1.4.1.21317.1.3.1.13]','10259','Temperature Discovery','tempDescr.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning ATEN-IPMI-MIB::sensorTable with filter: not connected temp sensors (Value = 0)','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28494','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.21317.1.3.1.2,{#SENSOR_DESCR},1.3.6.1.4.1.21317.1.3.1.13]','10259','FAN Discovery','fan.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning ATEN-IPMI-MIB::sensorTable with filter: not connected FAN sensors (Value = 0)','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28495','20','1.3.6.1.4.1.21317.1.3.1.2.{#SNMPINDEX}','10259','{#SENSOR_DESCR}: Temperature','sensor.temp.value[sensorReading.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ATEN-IPMI-MIB
A textual string containing information about the interface.
This string should include the name of the manufacturer, the product name and the version of the interface hardware/software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28496','20','1.3.6.1.4.1.21317.1.3.1.2.{#SNMPINDEX}','10259','{#SENSOR_DESCR}: Fan speed, %','sensor.fan.speed.percentage[sensorReading.{#SNMPINDEX}]','1m','90d','365d','0','3','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: ATEN-IPMI-MIB
A textual string containing information about the interface.
This string should include the name of the manufacturer, the product name and the version of the interface hardware/software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28501','16','','10260','jk-8009 bytes received per second',E'jmx["Catalina:type=GlobalRequestProcessor,name=\\"{$PROTOCOL_HANDLER_AJP}\\"", bytesReceived]','1m','1w','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28502','16','','10260','Maximum number of active sessions so far','jmx["Catalina:type=Manager,context=/,host=localhost",maxActive]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28503','16','','10260','http-8080 threads busy',E'jmx["Catalina:type=ThreadPool,name=\\"{$PROTOCOL_HANDLER_HTTP}\\"",currentThreadsBusy]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28504','16','','10260','http-8080 threads allocated',E'jmx["Catalina:type=ThreadPool,name=\\"{$PROTOCOL_HANDLER_HTTP}\\"",currentThreadCount]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28505','16','','10260','http-8443 threads max',E'jmx["Catalina:type=ThreadPool,name=\\"{$PROTOCOL_HANDLER_HTTPS}\\"",maxThreads]','1h','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28506','16','','10260','http-8443 threads busy',E'jmx["Catalina:type=ThreadPool,name=\\"{$PROTOCOL_HANDLER_HTTPS}\\"",currentThreadsBusy]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28507','16','','10260','http-8443 threads allocated',E'jmx["Catalina:type=ThreadPool,name=\\"{$PROTOCOL_HANDLER_HTTPS}\\"",currentThreadCount]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28508','16','','10260','jk-8009 threads max',E'jmx["Catalina:type=ThreadPool,name=\\"{$PROTOCOL_HANDLER_AJP}\\"",maxThreads]','1h','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28509','16','','10260','jk-8009 threads busy',E'jmx["Catalina:type=ThreadPool,name=\\"{$PROTOCOL_HANDLER_AJP}\\"",currentThreadsBusy]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28510','16','','10260','jk-8009 threads allocated',E'jmx["Catalina:type=ThreadPool,name=\\"{$PROTOCOL_HANDLER_AJP}\\"",currentThreadCount]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28511','16','','10260','Tomcat version','jmx["Catalina:type=Server",serverInfo]','1h','1w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28512','16','','10260','http-8443 gzip compression','jmx["Catalina:type=ProtocolHandler,port=8443",compression]','1h','1w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28513','16','','10260','http-8080 gzip compression','jmx["Catalina:type=ProtocolHandler,port=8080",compression]','1h','1w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28514','16','','10260','Number of sessions created by this manager per second','jmx["Catalina:type=Manager,context=/,host=localhost",sessionCounter]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28515','16','','10260','Number of sessions we rejected due to maxActive being reached','jmx["Catalina:type=Manager,context=/,host=localhost",rejectedSessions]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28516','16','','10260','The maximum number of active Sessions allowed, or -1 for no limit','jmx["Catalina:type=Manager,context=/,host=localhost",maxActiveSessions]','1h','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28517','16','','10260','jk-8009 bytes sent per second',E'jmx["Catalina:type=GlobalRequestProcessor,name=\\"{$PROTOCOL_HANDLER_AJP}\\"",bytesSent]','1m','1w','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28518','16','','10260','Number of active sessions at this moment','jmx["Catalina:type=Manager,context=/,host=localhost",activeSessions]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28519','16','','10260','http-8080 requests per second',E'jmx["Catalina:type=GlobalRequestProcessor,name=\\"{$PROTOCOL_HANDLER_HTTP}\\"",requestCount]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28520','16','','10260','http-8080 request processing time',E'jmx["Catalina:type=GlobalRequestProcessor,name=\\"{$PROTOCOL_HANDLER_HTTP}\\"",processingTime]','1m','1w','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28521','16','','10260','http-8080 errors per second',E'jmx["Catalina:type=GlobalRequestProcessor,name=\\"{$PROTOCOL_HANDLER_HTTP}\\"",errorCount]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28522','16','','10260','http-8080 bytes sent per second',E'jmx["Catalina:type=GlobalRequestProcessor,name=\\"{$PROTOCOL_HANDLER_HTTP}\\"",bytesSent]','1m','1w','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28523','16','','10260','http-8080 bytes received per second',E'jmx["Catalina:type=GlobalRequestProcessor,name=\\"{$PROTOCOL_HANDLER_HTTP}\\"",bytesReceived]','1m','1w','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28524','16','','10260','http-8443 requests per second',E'jmx["Catalina:type=GlobalRequestProcessor,name=\\"{$PROTOCOL_HANDLER_HTTPS}\\"",requestCount]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28525','16','','10260','http-8443 request processing time',E'jmx["Catalina:type=GlobalRequestProcessor,name=\\"{$PROTOCOL_HANDLER_HTTPS}\\"",processingTime]','1m','1w','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28526','16','','10260','http-8443 errors per second',E'jmx["Catalina:type=GlobalRequestProcessor,name=\\"{$PROTOCOL_HANDLER_HTTPS}\\"",errorCount]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28527','16','','10260','http-8443 bytes sent per second',E'jmx["Catalina:type=GlobalRequestProcessor,name=\\"{$PROTOCOL_HANDLER_HTTPS}\\"", bytesSent]','1m','1w','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28528','16','','10260','http-8443 bytes received per second',E'jmx["Catalina:type=GlobalRequestProcessor,name=\\"{$PROTOCOL_HANDLER_HTTPS}\\"",bytesReceived]','1m','1w','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28529','16','','10260','jk-8009 requests per second',E'jmx["Catalina:type=GlobalRequestProcessor,name=\\"{$PROTOCOL_HANDLER_AJP}\\"",requestCount]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28530','16','','10260','jk-8009 request processing time',E'jmx["Catalina:type=GlobalRequestProcessor,name=\\"{$PROTOCOL_HANDLER_AJP}\\"",processingTime]','1m','1w','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28531','16','','10260','jk-8009 errors per second',E'jmx["Catalina:type=GlobalRequestProcessor,name=\\"{$PROTOCOL_HANDLER_AJP}\\"",errorCount]','1m','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28532','16','','10260','http-8080 threads max',E'jmx["Catalina:type=ThreadPool,name=\\"{$PROTOCOL_HANDLER_HTTP}\\"",maxThreads]','1h','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28533','5','','10047','Zabbix LLD queue','zabbix[lld_queue]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Count of values enqueued in the preprocessing queue.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28535','5','','10047','Utilization of LLD manager internal processes, in %','zabbix[process,lld manager,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28537','5','','10047','Utilization of LLD worker internal processes, in %','zabbix[process,lld worker,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28539','5','','10261','Zabbix stats','zabbix[stats,{$ADDRESS},{$PORT}]','1m','0','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Zabbix server statistics master item.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28540','5','','10261','Zabbix stats queue','zabbix[stats,{$ADDRESS},{$PORT},queue]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28541','5','','10261','Zabbix stats queue over $5','zabbix[stats,{$ADDRESS},{$PORT},queue,10m]','10m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28542','18','','10261','History index cache, % used','wcache.index.pused','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28543','18','','10261','Configuration cache, % used','rcache.buffer.pused','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28544','18','','10261','Value cache, % used','vcache.buffer.pused','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28545','18','','10261','Value cache hits','vcache.cache.hits','0','1w','365d','0','0','','vps','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28546','18','','10261','Value cache misses','vcache.cache.misses','0','1w','365d','0','0','','vps','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28547','18','','10261','Value cache operating mode','vcache.cache.mode','0','1w','365d','0','3','','','','',NULL,'15','','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28548','18','','10261','VMware cache, % used','vmware.buffer.pused','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28549','18','','10261','History write cache, % used','wcache.history.pused','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28550','18','','10261','Number of processed values per second','wcache.values','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28551','18','','10261','Trend write cache, % used','wcache.trend.pused','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28552','18','','10261','Utilization of unreachable poller data collector processes, in %','process.unreachable_poller.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28553','18','','10261','Number of processed numeric (float) values per second','wcache.values.float','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28554','18','','10261','Number of processed log values per second','wcache.values.log','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28555','18','','10261','Number of processed not supported values per second','wcache.values.not_supported','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28556','18','','10261','Number of processed character values per second','wcache.values.str','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28557','18','','10261','Number of processed text values per second','wcache.values.text','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28558','18','','10261','Number of processed numeric (unsigned) values per second','wcache.values.uint','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28559','18','','10261','Utilization of vmware data collector processes, in %','process.vmware_collector.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28560','18','','10261','Preprocessing queue','preprocessing_queue','0','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Count of values enqueued in the preprocessing queue.','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28561','18','','10261','Utilization of alerter internal processes, in %','process.alerter.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28562','18','','10261','Utilization of ipmi manager internal processes, in %','process.ipmi_manager.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28563','18','','10261','Utilization of alert manager internal processes, in %','process.alert_manager.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28564','18','','10261','Utilization of configuration syncer internal processes, in %','process.configuration_syncer.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28565','18','','10261','Utilization of discoverer data collector processes, in %','process.discoverer.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28566','18','','10261','Utilization of escalator internal processes, in %','process.escalator.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28567','18','','10261','Utilization of history syncer internal processes, in %','process.history_syncer.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28568','18','','10261','Utilization of housekeeper internal processes, in %','process.housekeeper.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28569','18','','10261','Utilization of http poller data collector processes, in %','process.http_poller.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28570','18','','10261','Utilization of icmp pinger data collector processes, in %','process.icmp_pinger.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28571','18','','10261','Utilization of ipmi poller data collector processes, in %','process.ipmi_poller.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28572','18','','10261','Utilization of timer internal processes, in %','process.timer.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28573','18','','10261','Utilization of java poller data collector processes, in %','process.java_poller.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28574','18','','10261','Utilization of poller data collector processes, in %','process.poller.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28575','18','','10261','Utilization of preprocessing manager internal processes, in %','process.preprocessing_manager.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28576','18','','10261','Utilization of preprocessing worker internal processes, in %','process.preprocessing_worker.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28577','18','','10261','Utilization of proxy poller data collector processes, in %','process.proxy_poller.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28578','18','','10261','Utilization of self-monitoring internal processes, in %','process.self-monitoring.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28579','18','','10261','Utilization of snmp trapper data collector processes, in %','process.snmp_trapper.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28580','18','','10261','Utilization of task manager internal processes, in %','process.task_manager.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28581','18','','10261','Utilization of trapper data collector processes, in %','process.trapper.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28582','18','','10261','Utilization of LLD manager internal processes, in %','process.lld_manager.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28583','18','','10261','Utilization of LLD worker internal processes, in %','process.lld_worker.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28584','18','','10261','LLD queue','lld_queue','0','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Count of values enqueued in the preprocessing queue.','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28585','5','','10262','Zabbix stats','zabbix[stats,{$ADDRESS},{$PORT}]','1m','0','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Zabbix proxy statistics master item.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28586','5','','10262','Zabbix stats queue','zabbix[stats,{$ADDRESS},{$PORT},queue]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28587','5','','10262','Zabbix stats queue over $5','zabbix[stats,{$ADDRESS},{$PORT},queue,10m]','10m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28588','18','','10262','Utilization of vmware data collector processes, in %','process.vmware_collector.avg.busy','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28589','18','','10262','Number of processed numeric (unsigned) values per second','wcache.values.uint','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28590','18','','10262','Number of processed text values per second','wcache.values.text','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28591','18','','10262','Number of processed character values per second','wcache.values.str','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28592','18','','10262','Number of processed not supported values per second','wcache.values.not_supported','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28593','18','','10262','Number of processed log values per second','wcache.values.log','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28594','18','','10262','Number of processed numeric (float) values per second','wcache.values.float','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28595','18','','10262','Number of processed values per second','wcache.values','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28596','18','','10262','History index cache, % used','wcache.index.pused','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28597','18','','10262','History write cache, % used','wcache.history.pused','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28598','18','','10262','VMware cache, % used','vmware.buffer.pused','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28599','18','','10262','Configuration cache, % used','rcache.buffer.pused','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28600','18','','10262','Utilization of configuration syncer internal processes, in %','process.configuration_syncer.avg.busy','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28601','18','','10262','Utilization of data sender internal processes, in %','process.data_sender.avg.busy','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28602','18','','10262','Utilization of trapper data collector processes, in %','process.trapper.avg.busy','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28603','18','','10262','Utilization of task manager internal processes, in %','process.task_manager.avg.busy','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28604','18','','10262','Utilization of snmp trapper data collector processes, in %','process.snmp_trapper.avg.busy','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28605','18','','10262','Utilization of self-monitoring internal processes, in %','process.self-monitoring.avg.busy','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28606','18','','10262','Utilization of poller data collector processes, in %','process.poller.avg.busy','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28607','18','','10262','Utilization of java poller data collector processes, in %','process.java_poller.avg.busy','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28608','18','','10262','Utilization of ipmi poller data collector processes, in %','process.ipmi_poller.avg.busy','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28609','18','','10262','Utilization of ipmi manager internal processes, in %','process.ipmi_manager.avg.busy','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28610','18','','10262','Utilization of icmp pinger data collector processes, in %','process.icmp_pinger.avg.busy','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28611','18','','10262','Utilization of http poller data collector processes, in %','process.http_poller.avg.busy','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28612','18','','10262','Utilization of housekeeper internal processes, in %','process.housekeeper.avg.busy','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28613','18','','10262','Utilization of history syncer internal processes, in %','process.history_syncer.avg.busy','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28614','18','','10262','Utilization of heartbeat sender internal processes, in %','process.heartbeat_sender.avg.busy','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28615','18','','10262','Utilization of discoverer data collector processes, in %','process.discoverer.avg.busy','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28616','18','','10262','Utilization of unreachable poller data collector processes, in %','process.unreachable_poller.avg.busy','0','1w','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28585','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28617','5','','10048','Zabbix preprocessing queue','zabbix[preprocessing_queue]','1m','1w','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Count of values enqueued in the preprocessing queue.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28618','5','','10048','Utilization of preprocessing manager internal processes, in %','zabbix[process,preprocessing manager,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28619','5','','10048','Utilization of preprocessing worker internal processes, in %','zabbix[process,preprocessing worker,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28620','3','','10173','Discover VMware datastores','vmware.datastore.discovery[{$URL}]','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28621','3','','10173','Average read latency of the datastore {#DATASTORE}','vmware.datastore.read[{$URL},{#DATASTORE},latency]','{$VMWARE_PERF_INTERVAL}','90d','365d','0','3','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28622','3','','10173','Free space on datastore {#DATASTORE} (percentage)','vmware.datastore.size[{$URL},{#DATASTORE},pfree]','{$VMWARE_PERF_INTERVAL:datastore}','90d','365d','0','3','','%','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28623','3','','10173','Total size of datastore {#DATASTORE}','vmware.datastore.size[{$URL},{#DATASTORE}]','{$VMWARE_PERF_INTERVAL:datastore}','90d','365d','0','3','','B','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28624','3','','10173','Average write latency of the datastore {#DATASTORE}','vmware.datastore.write[{$URL},{#DATASTORE},latency]','{$VMWARE_PERF_INTERVAL}','90d','365d','0','3','','','','',NULL,NULL,'','','0','{$USERNAME}','{$PASSWORD}','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28671','0','','10263','PostgreSQL: Get connections sum','pgsql.connections.sum["{$PG.HOST}","{$PG.PORT}","{$PG.USER}","{$PG.DB}"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Collect all metrics from pg_stat_activity
https://www.postgresql.org/docs/current/monitoring-stats.html#PG-STAT-ACTIVITY-VIEW','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28672','0','','10263','PostgreSQL: Get locks','pgsql.locks["{$PG.HOST}","{$PG.PORT}","{$PG.USER}","{$PG.DB}"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Collect all metrics from pg_locks per database
https://www.postgresql.org/docs/current/explicit-locking.html#LOCKING-TABLES','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28673','0','','10263','Status: Ping time','pgsql.ping.time["{$PG.HOST}","{$PG.PORT}","{$PG.USER}","{$PG.DB}"]','1m','7d','365d','0','0','','ms','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28674','0','','10263','Status: Ping','pgsql.ping["{$PG.HOST}","{$PG.PORT}","{$PG.USER}","{$PG.DB}"]','1m','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28675','0','','10263','PostgreSQL: Get queries','pgsql.queries["{$PG.HOST}","{$PG.PORT}","{$PG.USER}","{$PG.DB}","{$PG.QUERY_ETIME.MAX.WARN}"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Collect all metrics by query execution time','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28676','0','','10263','Replication: standby count','pgsql.replication.count["{$PG.HOST}","{$PG.PORT}","{$PG.USER}","{$PG.DB}"]','1m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of standby servers','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28677','0','','10263','Replication: lag in seconds','pgsql.replication.lag.sec["{$PG.HOST}","{$PG.PORT}","{$PG.USER}","{$PG.DB}"]','1m','7d','365d','0','3','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'Replication lag with Master in seconds','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28678','0','','10263','Replication: recovery role','pgsql.replication.recovery_role["{$PG.HOST}","{$PG.PORT}","{$PG.USER}","{$PG.DB}"]','1m','7d','365d','0','3','','','','',NULL,'76','','','0','','','','','0',NULL,'Replication role: 1 — recovery is still in progress (standby mode), 0 — master mode.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28679','0','','10263','Replication: status','pgsql.replication.status["{$PG.HOST}","{$PG.PORT}","{$PG.USER}","{$PG.DB}"]','1m','7d','365d','0','3','','','','',NULL,'77','','','0','','','','','0',NULL,'Replication status: 0 — streaming is down, 1 — streaming is up, 2 — master mode','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28680','0','','10263','Status: Config hash','pgsql.config.hash["{$PG.HOST}","{$PG.PORT}","{$PG.USER}","{$PG.DB}"]','15m','7d','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'PostgreSQL configuration hash','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28681','0','','10263','Status: Cache hit ratio %','pgsql.cache.hit["{$PG.HOST}","{$PG.PORT}","{$PG.USER}","{$PG.DB}"]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'Cache hit ratio','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28682','0','','10263','PostgreSQL: Get bgwriter','pgsql.bgwriter["{$PG.HOST}","{$PG.PORT}","{$PG.USER}","{$PG.DB}"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Statistics about the background writer process''s activity','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28683','0','','10263','PostgreSQL: Get transactions','pgsql.transactions["{$PG.HOST}","{$PG.PORT}","{$PG.USER}","{$PG.DB}"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Collect metrics by transaction execution time','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28684','0','','10263','Status: Uptime','pgsql.uptime["{$PG.HOST}","{$PG.PORT}","{$PG.USER}","{$PG.DB}"]','1m','7d','365d','0','3','','uptime','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28685','0','','10263','Status: Version','pgsql.version["{$PG.HOST}","{$PG.PORT}","{$PG.USER}","{$PG.DB}"]','15m','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'PostgreSQL version','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28686','0','','10263','PostgreSQL: Get WAL','pgsql.wal.stat["{$PG.HOST}","{$PG.PORT}","{$PG.USER}","{$PG.DB}"]','5m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Master item to collect WAL metrics','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28687','0','','10263','PostgreSQL: Get dbstat','pgsql.dbstat["{$PG.HOST}","{$PG.PORT}","{$PG.USER}","{$PG.DB}"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Collect all metrics from pg_stat_database per database
https://www.postgresql.org/docs/current/monitoring-stats.html#PG-STAT-DATABASE-VIEW','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28688','18','','10263','Transactions: Max idle transaction time','pgsql.transactions.idle','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'Current max idle transaction time','0','30d','0','','28683','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28689','18','','10263','Transactions: Max active transaction time','pgsql.transactions.active','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'Current max active transaction time','0','30d','0','','28683','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28690','18','','10263','Transactions: Max prepared transaction time','pgsql.transactions.prepared','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'Current max prepared transaction time','0','30d','0','','28683','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28691','18','','10263','Transactions: Max waiting transaction time','pgsql.transactions.waiting','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'Current max waiting transaction time','0','30d','0','','28683','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28692','18','','10263','WAL: Segments count','pgsql.wal.count','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of WAL segments','0','30d','0','','28686','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28693','18','','10263','Bgwriter: Buffers allocated per second','pgsql.bgwriter.buffers_alloc.rate','0','7d','365d','0','0','','Bps','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of buffers allocated','0','30d','0','','28682','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28694','18','','10263','Bgwriter: Buffers written directly by a backend per second','pgsql.bgwriter.buffers_backend.rate','0','7d','365d','0','0','','Bps','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of buffers written directly by a backend','0','30d','0','','28682','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28695','18','','10263','Bgwriter: Checkpoint write time','pgsql.bgwriter.checkpoint_write_time','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'Total amount of time that has been spent in the portion of checkpoint processing where files are written to disk, in milliseconds','0','30d','0','','28682','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28696','18','','10263','Bgwriter: Buffers backend fsync per second','pgsql.bgwriter.buffers_backend_fsync.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of times a backend had to execute its own fsync call (normally the background writer handles those even when the backend does its own write)','0','30d','0','','28682','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28697','18','','10263','Bgwriter: Buffers written during checkpoints per second','pgsql.bgwriter.buffers_checkpoint.rate','0','7d','365d','0','0','','Bps','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of buffers written during checkpoints','0','30d','0','','28682','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28698','18','','10263','Bgwriter: Buffers written by the background writer per second','pgsql.bgwriter.buffers_clean.rate','0','7d','365d','0','0','','Bps','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of buffers written by the background writer','0','30d','0','','28682','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28699','18','','10263','Bgwriter: Requested checkpoints per second','pgsql.bgwriter.checkpoints_req.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of requested checkpoints that have been performed','0','30d','0','','28682','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28700','18','','10263','Bgwriter: Scheduled checkpoints per second','pgsql.bgwriter.checkpoints_timed.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of scheduled checkpoints that have been performed','0','30d','0','','28682','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28701','18','','10263','Bgwriter: Checkpoint sync time','pgsql.bgwriter.checkpoint_sync_time','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'Total amount of time that has been spent in the portion of checkpoint processing where files are synchronized to disk','0','30d','0','','28682','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28702','18','','10263','Bgwriter: Max written per second','pgsql.bgwriter.maxwritten_clean.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of times the background writer stopped a cleaning scan because it had written too many buffers','0','30d','0','','28682','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28703','18','','10263','Connections sum: Waiting','pgsql.connections.sum.waiting','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of waiting connections
https://www.postgresql.org/docs/current/monitoring-stats.html#WAIT-EVENT-TABLE','0','30d','0','','28671','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28704','18','','10263','Connections sum: Active','pgsql.connections.sum.active','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of connections executing a query','0','30d','0','','28671','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28705','18','','10263','Connections sum: Idle','pgsql.connections.sum.idle','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of connections waiting for a new client command','0','30d','0','','28671','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28706','18','','10263','Connections sum: Idle in transaction','pgsql.connections.sum.idle_in_transaction','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of connections in a transaction state, but not executing a query','0','30d','0','','28671','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28707','18','','10263','Connections sum: Prepared','pgsql.connections.sum.prepared','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of prepared transactions
https://www.postgresql.org/docs/current/sql-prepare-transaction.html','0','30d','0','','28671','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28708','18','','10263','Connections sum: Total','pgsql.connections.sum.total','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of connections','0','30d','0','','28671','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28709','18','','10263','Connections sum: Total %','pgsql.connections.sum.total_pct','0','7d','365d','0','3','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of connections in percentage','0','30d','0','','28671','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28710','18','','10263','WAL: Bytes written','pgsql.wal.write','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'WAL write in bytes','0','30d','0','','28686','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28711','0','','10263','Database discovery','pgsql.discovery.db["{$PG.HOST}","{$PG.PORT}","{$PG.USER}","{$PG.DB}"]','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28712','0','','10263','DB {#DBNAME}: Database size','pgsql.db.size["{$PG.HOST}","{$PG.PORT}","{$PG.USER}","{$PG.DB}","{#DBNAME}"]','15m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Database size','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28713','0','','10263','DB {#DBNAME}: Get frozen XID','pgsql.frozenxid["{$PG.HOST}","{$PG.PORT}","{$PG.USER}","{#DBNAME}"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28714','0','','10263','DB {#DBNAME}: Get scans','pgsql.scans["{$PG.HOST}","{$PG.PORT}","{$PG.USER}","{#DBNAME}"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of scans done for table/index in the database','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28715','18','','10263','DB {#DBNAME}: Detected conflicts per second','pgsql.dbstat.conflicts.rate["{#DBNAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Total number of queries canceled due to conflicts with recovery in this database','0','30d','0','','28687','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28716','18','','10263','DB {#DBNAME}: Locks total','pgsql.locks.total["{#DBNAME}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Total number of locks in the database','0','30d','0','','28672','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28717','18','','10263','DB {#DBNAME}: Sequential scans per second','pgsql.scans.seq.rate["{#DBNAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of sequential scans in the database','0','30d','0','','28714','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28718','18','','10263','DB {#DBNAME}: Index scans per second','pgsql.scans.idx.rate["{#DBNAME}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of index scans in the database','0','30d','0','','28714','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28719','18','','10263','DB {#DBNAME}: Queries sum transaction time','pgsql.queries.tx.time_sum["{#DBNAME}"]','0','7d','365d','0','3','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Sum transaction query time','0','30d','0','','28675','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28720','18','','10263','DB {#DBNAME}: Queries max transaction time','pgsql.queries.tx.time_max["{#DBNAME}"]','0','7d','365d','0','3','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Max transaction query time','0','30d','0','','28675','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28721','18','','10263','DB {#DBNAME}: Queries slow transaction count','pgsql.queries.tx.slow_count["{#DBNAME}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Slow transaction query count','0','30d','0','','28675','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28722','18','','10263','DB {#DBNAME}: Queries sum query time','pgsql.queries.query.time_sum["{#DBNAME}"]','0','7d','365d','0','3','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Sum query time','0','30d','0','','28675','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28723','18','','10263','DB {#DBNAME}: Queries max query time','pgsql.queries.query.time_max["{#DBNAME}"]','0','7d','365d','0','3','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Max query time','0','30d','0','','28675','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28724','18','','10263','DB {#DBNAME}: Queries slow query count','pgsql.queries.query.slow_count["{#DBNAME}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Slow query count','0','30d','0','','28675','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28725','18','','10263','DB {#DBNAME}: Queries sum maintenance time','pgsql.queries.mro.time_sum["{#DBNAME}"]','0','7d','365d','0','3','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Sum maintenance query time','0','30d','0','','28675','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28726','18','','10263','DB {#DBNAME}: Queries max maintenance time','pgsql.queries.mro.time_max["{#DBNAME}"]','0','7d','365d','0','3','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Max maintenance query time','0','30d','0','','28675','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28727','18','','10263','DB {#DBNAME}: Queries slow maintenance count','pgsql.queries.mro.slow_count["{#DBNAME}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Slow maintenance query count','0','30d','0','','28675','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28728','18','','10263','DB {#DBNAME}: Disk blocks read per second','pgsql.dbstat.blks_read.rate["{#DBNAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Total number of disk blocks read in this database','0','30d','0','','28687','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28729','18','','10263','DB {#DBNAME}: Detected deadlocks per second','pgsql.dbstat.deadlocks.rate["{#DBNAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Total number of detected deadlocks in this database','0','30d','0','','28687','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28730','18','','10263','DB {#DBNAME}: Blocks hit per second','pgsql.dbstat.blks_hit.rate["{#DBNAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Total number of times disk blocks were found already in the buffer cache, so that a read was not necessary','0','30d','0','','28687','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28731','18','','10263','DB {#DBNAME}: Frozen XID before avtovacuum %','pgsql.frozenxid.prc_before_av["{#DBNAME}"]','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'reventing Transaction ID Wraparound Failures
https://www.postgresql.org/docs/current/routine-vacuuming.html#VACUUM-FOR-WRAPAROUND','0','30d','0','','28713','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28732','18','','10263','DB {#DBNAME}: Rollbacks per second','pgsql.dbstat.xact_rollback.rate["{#DBNAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Total number of transactions in this database that have been rolled back','0','30d','0','','28687','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28733','18','','10263','DB {#DBNAME}: Commits per second','pgsql.dbstat.xact_commit.rate["{#DBNAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of transactions in this database that have been committed','0','30d','0','','28687','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28734','18','','10263','DB {#DBNAME}: Tuples updated per second','pgsql.dbstat.tup_updated.rate["{#DBNAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Total number of rows updated by queries in this database','0','30d','0','','28687','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28735','18','','10263','DB {#DBNAME}: Tuples returned per second','pgsql.dbstat.tup_returned.rate["{#DBNAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Total number of rows updated by queries in this database','0','30d','0','','28687','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28736','18','','10263','DB {#DBNAME}: Tuples inserted per second','pgsql.dbstat.tup_inserted.rate["{#DBNAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Total number of rows inserted by queries in this database','0','30d','0','','28687','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28737','18','','10263','DB {#DBNAME}: Tuples fetched per second','pgsql.dbstat.tup_fetched.rate["{#DBNAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Total number of rows fetched by queries in this database','0','30d','0','','28687','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28738','18','','10263','DB {#DBNAME}: Tuples deleted per second','pgsql.dbstat.tup_deleted.rate["{#DBNAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Total number of rows deleted by queries in this database','0','30d','0','','28687','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28739','18','','10263','DB {#DBNAME}: Temp_files created per second','pgsql.dbstat.temp_files.rate["{#DBNAME}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Total number of temporary files created by queries in this database','0','30d','0','','28687','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28740','18','','10263','DB {#DBNAME}: Temp_bytes written per second','pgsql.dbstat.temp_bytes.rate["{#DBNAME}"]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Total amount of data written to temporary files by queries in this database','0','30d','0','','28687','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28741','18','','10263','DB {#DBNAME}: Frozen XID before stop %','pgsql.frozenxid.prc_before_stop["{#DBNAME}"]','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'Preventing Transaction ID Wraparound Failures
https://www.postgresql.org/docs/current/routine-vacuuming.html#VACUUM-FOR-WRAPAROUND','0','30d','0','','28713','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28742','0','','10264','Apache: Get status','web.page.get["{$APACHE.STATUS.HOST}","{$APACHE.STATUS.PATH}","{$APACHE.STATUS.PORT}"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Getting data from a machine-readable version of the Apache status page.
https://httpd.apache.org/docs/current/mod/mod_status.html','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28743','0','','10264','Apache: Service ping','net.tcp.service[http,"{$APACHE.STATUS.HOST}","{$APACHE.STATUS.PORT}"]','1m','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28744','0','','10264','Apache: Memory usage (vsize)','proc.mem["{$APACHE.PROCESS_NAME}",,,,vsize]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Virtual memory size used by process in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28745','0','','10264','Apache: Memory usage (rss)','proc.mem["{$APACHE.PROCESS_NAME}",,,,rss]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Resident set size memory used by process in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28746','0','','10264','Apache: Number of processes running','proc.num["{$APACHE.PROCESS_NAME}"]','1m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28747','0','','10264','Apache: CPU utilization','proc.cpu.util["{$APACHE.PROCESS_NAME}"]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'Process CPU utilization percentage.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28748','0','','10264','Apache: Service response time','net.tcp.service.perf[http,"{$APACHE.STATUS.HOST}","{$APACHE.STATUS.PORT}"]','1m','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28749','18','','10264','Apache: Total requests','apache.requests','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'A total number of accesses','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28750','18','','10264','Apache: Workers reading request','apache.workers.reading','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of workers in reading state','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28751','18','','10264','Apache: Total bytes','apache.bytes','0','7d','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Total bytes served','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28752','18','','10264','Apache: Bytes per second','apache.bytes.rate','0','7d','365d','0','0','','Bps','','',NULL,NULL,'','','0','','','','','0',NULL,'Calculated as change rate for ''Total bytes'' stat.
BytesPerSec is not used, as it counts average since last Apache server start.','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28753','18','','10264','Apache: Workers waiting for connection','apache.workers.waiting','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of workers in waiting state','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28754','18','','10264','Apache: Workers starting up','apache.workers.starting','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of workers in starting state','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28755','18','','10264','Apache: Workers slot with no current process','apache.workers.slot','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of slots with no current process','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28756','18','','10264','Apache: Workers sending reply','apache.workers.sending','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of workers in sending state','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28757','18','','10264','Apache: Workers logging','apache.workers.logging','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of workers in logging state','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28758','18','','10264','Apache: Uptime','apache.uptime','0','7d','365d','0','3','','uptime','','',NULL,NULL,'','','0','','','','','0',NULL,'Service uptime in seconds','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28759','18','','10264','Apache: Workers keepalive (read)','apache.workers.keepalive','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of workers in keepalive state','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28760','18','','10264','Apache: Workers idle cleanup','apache.workers.cleanup','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of workers in cleanup state','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28761','18','','10264','Apache: Requests per second','apache.requests.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Calculated as change rate for ''Total requests'' stat.
ReqPerSec is not used, as it counts average since last Apache server start.','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28762','18','','10264','Apache: Workers DNS lookup','apache.workers.dnslookup','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of workers in dnslookup state','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28763','18','','10264','Apache: Workers closing connection','apache.workers.closing','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of workers in closing state','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28764','18','','10264','Apache: Total workers idle','apache.workers_total.idle','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of idle worker threads/processes','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28765','18','','10264','Apache: Total workers busy','apache.workers_total.busy','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of busy worker threads/processes','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28766','18','','10264','Apache: Version','apache.version','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Service version','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28767','18','','10264','Apache: Workers finishing','apache.workers.finishing','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of workers in finishing state','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28768','18','','10264','Event MPM discovery','apache.mpm.event.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Additional metrics if event MPM is used
https://httpd.apache.org/docs/current/mod/event.html','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28769','18','','10264','Apache: Connections async closing','apache.connections[async_closing{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of async connections in closing state (only applicable to event MPM)','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28770','18','','10264','Apache: Connections async keep alive','apache.connections[async_keep_alive{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of async connections in keep-alive state (only applicable to event MPM)','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28771','18','','10264','Apache: Connections async writing','apache.connections[async_writing{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of async connections in writing state (only applicable to event MPM)','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28772','18','','10264','Apache: Connections total','apache.connections[total{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of total connections','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28773','18','','10264','Apache: Bytes per request','apache.bytes[per_request{#SINGLETON}]','0','7d','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Average number of client requests per second','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28774','18','','10264','Apache: Number of async processes','apache.process[num{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of async processes','0','30d','0','','28742','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28775','19','','10265','Apache: Get status','apache.get_status','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Getting data from a machine-readable version of the Apache status page.
https://httpd.apache.org/docs/current/mod/mod_status.html','0','30d','0','',NULL,'3s','{$APACHE.STATUS.SCHEME}://{HOST.CONN}:{$APACHE.STATUS.PORT}/{$APACHE.STATUS.PATH}','','','200','1','0','','2','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28776','3','','10265','Apache: Service ping','net.tcp.service[http,"{HOST.CONN}","{$APACHE.STATUS.PORT}"]','1m','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28777','3','','10265','Apache: Service response time','net.tcp.service.perf[http,"{HOST.CONN}","{$APACHE.STATUS.PORT}"]','1m','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28778','18','','10265','Apache: Workers starting up','apache.workers.starting','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of workers in starting state','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28779','18','','10265','Apache: Workers slot with no current process','apache.workers.slot','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of slots with no current process','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28780','18','','10265','Apache: Workers sending reply','apache.workers.sending','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of workers in sending state','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28781','18','','10265','Apache: Workers reading request','apache.workers.reading','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of workers in reading state','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28782','18','','10265','Apache: Workers logging','apache.workers.logging','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of workers in logging state','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28783','18','','10265','Apache: Workers keepalive (read)','apache.workers.keepalive','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of workers in keepalive state','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28784','18','','10265','Apache: Workers idle cleanup','apache.workers.cleanup','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of workers in cleanup state','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28785','18','','10265','Apache: Workers finishing','apache.workers.finishing','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of workers in finishing state','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28786','18','','10265','Apache: Workers closing connection','apache.workers.closing','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of workers in closing state','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28787','18','','10265','Apache: Workers DNS lookup','apache.workers.dnslookup','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of workers in dnslookup state','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28788','18','','10265','Apache: Total workers idle','apache.workers_total.idle','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of idle worker threads/processes','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28789','18','','10265','Apache: Total workers busy','apache.workers_total.busy','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of busy worker threads/processes','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28790','18','','10265','Apache: Version','apache.version','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Service version','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28791','18','','10265','Apache: Uptime','apache.uptime','0','7d','365d','0','3','','uptime','','',NULL,NULL,'','','0','','','','','0',NULL,'Service uptime in seconds','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28792','18','','10265','Apache: Total requests','apache.requests','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'A total number of accesses','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28793','18','','10265','Apache: Requests per second','apache.requests.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Calculated as change rate for ''Total requests'' stat.
ReqPerSec is not used, as it counts average since last Apache server start.','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28794','18','','10265','Apache: Bytes per second','apache.bytes.rate','0','7d','365d','0','0','','Bps','','',NULL,NULL,'','','0','','','','','0',NULL,'Calculated as change rate for ''Total bytes'' stat.
BytesPerSec is not used, as it counts average since last Apache server start.','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28795','18','','10265','Apache: Total bytes','apache.bytes','0','7d','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Total bytes served','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28796','18','','10265','Apache: Workers waiting for connection','apache.workers.waiting','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of workers in waiting state','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28797','18','','10265','Event MPM discovery','apache.mpm.event.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Additional metrics if event MPM is used
https://httpd.apache.org/docs/current/mod/event.html','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28798','18','','10265','Apache: Connections async closing','apache.connections[async_closing{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of async connections in closing state (only applicable to event MPM)','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28799','18','','10265','Apache: Connections async keep alive','apache.connections[async_keep_alive{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of async connections in keep-alive state (only applicable to event MPM)','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28800','18','','10265','Apache: Connections async writing','apache.connections[async_writing{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of async connections in writing state (only applicable to event MPM)','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28801','18','','10265','Apache: Connections total','apache.connections[total{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of total connections','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28802','18','','10265','Apache: Bytes per request','apache.bytes[per_request{#SINGLETON}]','0','7d','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Average number of client requests per second','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28803','18','','10265','Apache: Number of async processes','apache.process[num{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of async processes','0','30d','0','','28775','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28804','0','','10266','Nginx: Get stub status page','web.page.get["{$NGINX.STUB_STATUS.HOST}","{$NGINX.STUB_STATUS.PATH}","{$NGINX.STUB_STATUS.PORT}"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The following status information is provided:
Active connections - the current number of active client connections including Waiting connections.
Accepts - the total number of accepted client connections.
Handled - the total number of handled connections. Generally, the parameter value is the same as accepts unless some resource limits have been reached (for example, the worker_connections limit).
Requests - the total number of client requests.
Reading - the current number of connections where nginx is reading the request header.
Writing - the current number of connections where nginx is writing the response back to the client.
Waiting - the current number of idle client connections waiting for a request.
https://nginx.org/en/docs/http/ngx_http_stub_status_module.html','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28805','0','','10266','Nginx: Service response time','net.tcp.service.perf[http,"{$NGINX.STUB_STATUS.HOST}","{$NGINX.STUB_STATUS.PORT}"]','1m','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28806','0','','10266','Nginx: CPU utilization','proc.cpu.util[nginx]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'Process CPU utilization percentage.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28807','0','','10266','Nginx: Memory usage (rss)','proc.mem[nginx,,,,rss]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Resident set size memory used by process in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28808','0','','10266','Nginx: Memory usage (vsize)','proc.mem[nginx,,,,vsize]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Virtual memory size used by process in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28809','0','','10266','Nginx: Number of processes running','proc.num[nginx]','1m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of the Nginx processes running.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28810','0','','10266','Nginx: Service status','net.tcp.service[http,"{$NGINX.STUB_STATUS.HOST}","{$NGINX.STUB_STATUS.PORT}"]','1m','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28811','18','','10266','Nginx: Connections waiting','nginx.connections.waiting','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The current number of idle client connections waiting for a request.','0','30d','0','','28804','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28812','18','','10266','Nginx: Connections writing','nginx.connections.writing','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The current number of connections where nginx is writing the response back to the client.','0','30d','0','','28804','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28813','18','','10266','Nginx: Connections active','nginx.connections.active','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The current number of active client connections including Waiting connections.','0','30d','0','','28804','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28814','18','','10266','Nginx: Connections reading','nginx.connections.reading','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The current number of connections where nginx is reading the request header.','0','30d','0','','28804','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28815','18','','10266','Nginx: Connections handled per second','nginx.connections.handled.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The total number of handled connections. Generally, the parameter value is the same as accepts unless some resource limits have been reached (for example, the worker_connections limit).','0','30d','0','','28804','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28816','18','','10266','Nginx: Connections dropped per second','nginx.connections.dropped.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The total number of dropped client connections.','0','30d','0','','28804','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28817','18','','10266','Nginx: Connections accepted per second','nginx.connections.accepted.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The total number of accepted client connections.','0','30d','0','','28804','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28818','18','','10266','Nginx: Requests per second','nginx.requests.total.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The total number of client requests.','0','30d','0','','28804','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28819','18','','10266','Nginx: Requests total','nginx.requests.total','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The total number of client requests.','0','30d','0','','28804','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28820','18','','10266','Nginx: Version','nginx.version','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28804','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28821','19','','10267','Nginx: Get stub status page','nginx.get_stub_status','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The following status information is provided:
Active connections - the current number of active client connections including Waiting connections.
Accepts - the total number of accepted client connections.
Handled - the total number of handled connections. Generally, the parameter value is the same as accepts unless some resource limits have been reached (for example, the worker_connections limit).
Requests - the total number of client requests.
Reading - the current number of connections where nginx is reading the request header.
Writing - the current number of connections where nginx is writing the response back to the client.
Waiting - the current number of idle client connections waiting for a request.
https://nginx.org/en/docs/http/ngx_http_stub_status_module.html','0','30d','0','',NULL,'3s','{$NGINX.STUB_STATUS.SCHEME}://{HOST.CONN}:{$NGINX.STUB_STATUS.PORT}/{$NGINX.STUB_STATUS.PATH}','','','200','1','0','','2','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28822','3','','10267','Nginx: Service status','net.tcp.service[http,"{HOST.CONN}","{$NGINX.STUB_STATUS.PORT}"]','1m','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28823','3','','10267','Nginx: Service response time','net.tcp.service.perf[http,"{HOST.CONN}","{$NGINX.STUB_STATUS.PORT}"]','1m','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28824','18','','10267','Nginx: Requests total','nginx.requests.total','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The total number of client requests.','0','30d','0','','28821','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28825','18','','10267','Nginx: Requests per second','nginx.requests.total.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The total number of client requests.','0','30d','0','','28821','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28826','18','','10267','Nginx: Connections accepted per second','nginx.connections.accepted.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The total number of accepted client connections.','0','30d','0','','28821','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28827','18','','10267','Nginx: Connections dropped per second','nginx.connections.dropped.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The total number of dropped client connections.','0','30d','0','','28821','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28828','18','','10267','Nginx: Connections handled per second','nginx.connections.handled.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The total number of handled connections. Generally, the parameter value is the same as accepts unless some resource limits have been reached (for example, the worker_connections limit).','0','30d','0','','28821','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28829','18','','10267','Nginx: Connections active','nginx.connections.active','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The current number of active client connections including Waiting connections.','0','30d','0','','28821','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28830','18','','10267','Nginx: Connections reading','nginx.connections.reading','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The current number of connections where nginx is reading the request header.','0','30d','0','','28821','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28831','18','','10267','Nginx: Connections waiting','nginx.connections.waiting','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The current number of idle client connections waiting for a request.','0','30d','0','','28821','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28832','18','','10267','Nginx: Connections writing','nginx.connections.writing','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The current number of connections where nginx is writing the response back to the client.','0','30d','0','','28821','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28833','18','','10267','Nginx: Version','nginx.version','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28821','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28894','20','1.3.6.1.4.1.2636.3.1.13.1.8.{#SNMPINDEX}','10231','{#SNMPVALUE}: CPU utilization','system.cpu.util[jnxOperatingCPU.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: JUNIPER-MIB
The CPU utilization in percentage of this subject. Zero if unavailable or inapplicable.
Reference: http://kb.juniper.net/library/CUSTOMERSERVICE/GLOBAL_JTAC/BK26199/SRX%20SNMP%20Monitoring%20Guide_v1.1.pdf','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28909','0','','10170','Info: MySQL version','mysql.version["{$MYSQL.HOST}","{$MYSQL.PORT}"]','15m','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28910','0','','10170','Availability: MySQL status','mysql.ping["{$MYSQL.HOST}","{$MYSQL.PORT}"]','1m','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28911','15','','10170','Performance: Buffer pool efficiency','mysql.buffer_pool_efficiency','1m','7d','365d','0','0','','%','','',NULL,NULL,'last(mysql.innodb_buffer_pool_reads) / 
( last(mysql.innodb_buffer_pool_read_requests) + 
( last(mysql.innodb_buffer_pool_read_requests) = 0 ) ) * 100 * 
( last(mysql.innodb_buffer_pool_read_requests) > 0 )','','0','','','','','0',NULL,'The item shows how effectively the buffer pool is serving reads.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28912','15','','10170','Performance: Buffer pool utilization','mysql.buffer_pool_utilization','1m','7d','365d','0','0','','%','','',NULL,NULL,'( last(mysql.innodb_buffer_pool_pages_total) - 
last(mysql.innodb_buffer_pool_pages_free) ) / 
( last(mysql.innodb_buffer_pool_pages_total) + 
( last(mysql.innodb_buffer_pool_pages_total) = 0 ) ) * 100 *
( last(mysql.innodb_buffer_pool_pages_total) > 0 )','','0','','','','','0',NULL,'Ratio of used to total pages in the buffer pool.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28913','0','','10170','Availability: Get status variables','mysql.get_status_variables["{$MYSQL.HOST}","{$MYSQL.PORT}"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The item gets server global status information.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28914','18','','10170','Performance: InnoDB buffer pool reads','mysql.innodb_buffer_pool_reads','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of logical reads that InnoDB could not satisfy from the buffer pool, and had to read directly from disk.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28915','18','','10170','Performance: InnoDB buffer pool read requests','mysql.innodb_buffer_pool_read_requests','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of logical read requests.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28916','18','','10170','Performance: InnoDB row lock time','mysql.innodb_row_lock_time','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'The total time spent in acquiring row locks for InnoDB tables, in milliseconds.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28917','18','','10170','Performance: InnoDB row lock time max','mysql.innodb_row_lock_time_max','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'The maximum time to acquire a row lock for InnoDB tables, in milliseconds.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28918','18','','10170','Performance: InnoDB row lock waits','mysql.innodb_row_lock_waits','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of times operations on InnoDB tables had to wait for a row lock.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28919','18','','10170','Connections: Max used connections','mysql.max_used_connections','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The maximum number of connections that have been in use simultaneously since the server started.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28920','18','','10170','Throughput: Questions per second','mysql.questions.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of statements executed by the server. This includes only statements sent to the server by clients and not statements executed within stored programs, unlike the Queries variable.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28921','18','','10170','Throughput: Queries per second','mysql.queries.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of statements executed by the server. This variable includes statements executed within stored programs, unlike the Questions variable.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28922','18','','10170','Performance: Slow queries per second','mysql.slow_queries.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of queries that have taken more than long_query_time seconds.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28923','18','','10170','Connections: Threads cached','mysql.threads_cached','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of threads in the thread cache.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28924','18','','10170','Connections: Threads connected','mysql.threads_connected','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of currently open connections.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28925','18','','10170','Connections: Threads created','mysql.threads_created','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of threads created to handle connections. If Threads_created is big, you may want to increase the thread_cache_size value. The cache miss rate can be calculated as Threads_created/Connections.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28926','18','','10170','Connections: Threads running','mysql.threads_running','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of threads that are not sleeping.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28927','18','','10170','Info: Uptime','mysql.uptime','0','7d','365d','0','3','','uptime','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of seconds that the server has been up.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28928','18','','10170','Performance: InnoDB buffer pool pages total','mysql.innodb_buffer_pool_pages_total','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The total size of the InnoDB buffer pool, in pages.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28929','18','','10170','Connections: Aborted clients per second','mysql.aborted_clients.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of connections that were aborted because the client died without closing the connection properly.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28930','18','','10170','Performance: InnoDB buffer pool pages free','mysql.innodb_buffer_pool_pages_free','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The total size of the InnoDB buffer pool, in pages.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28931','18','','10170','Connections: Connections per second','mysql.connections.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of connection attempts (successful or not) to the MySQL server.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28932','18','','10170','Throughput: Bytes received','mysql.bytes_received.rate','0','7d','365d','0','0','','Bps','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of bytes received from all clients.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28933','18','','10170','Throughput: Bytes sent','mysql.bytes_sent.rate','0','7d','365d','0','0','','Bps','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of bytes sent to all clients.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28934','18','','10170','Throughput: Command Delete per second','mysql.com_delete.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The Com_delete counter variable indicates the number of times the delete statement has been executed.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28935','18','','10170','Throughput: Command Insert per second','mysql.com_insert.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The Com_insert counter variable indicates the number of times the insert statement has been executed.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28936','18','','10170','Throughput: Command Select per second','mysql.com_select.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The Com_select counter variable indicates the number of times the select statement has been executed.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28937','18','','10170','Throughput: Command Update per second','mysql.com_update.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The Com_update counter variable indicates the number of times the update statement has been executed.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28938','18','','10170','Connections: Connection errors accept per second','mysql.connection_errors_accept.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of errors that occurred during calls to accept() on the listening port.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28939','18','','10170','Connections: Aborted connections per second','mysql.aborted_connects.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of failed attempts to connect to the MySQL server.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28940','18','','10170','Connections: Connection errors internal per second','mysql.connection_errors_internal.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of refused connections due to internal server errors, for example out of memory errors, or failed thread starts.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28941','18','','10170','Connections: Connection errors max connections per second','mysql.connection_errors_max_connections.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of refused connections due to the max_connections limit being reached.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28942','18','','10170','Connections: Connection errors peer address per second','mysql.connection_errors_peer_address.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of errors while searching for the connecting client IP address.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28943','18','','10170','Connections: Connection errors select per second','mysql.connection_errors_select.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of errors during calls to select() or poll() on the listening port. The client would not necessarily have been rejected in these cases.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28944','18','','10170','Connections: Connection errors tcpwrap per second','mysql.connection_errors_tcpwrap.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of connections the libwrap library refused.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28945','18','','10170','Performance: Created tmp tables on disk','mysql.created_tmp_disk_tables','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of internal on-disk temporary tables created by the server while executing statements.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28946','18','','10170','Performance: Created tmp files on disk','mysql.created_tmp_files','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'How many temporary files mysqld has created.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28947','18','','10170','Performance: Created tmp tables on memory','mysql.created_tmp_tables','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of internal temporary tables created by the server while executing statements.','0','30d','0','','28913','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28948','0','','10170','Databases discovery','mysql.db.discovery["{$MYSQL.HOST}","{$MYSQL.PORT}"]','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning databases in DBMS.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28949','0','','10170','Replication discovery','mysql.replication.discovery["{$MYSQL.HOST}","{$MYSQL.PORT}"]','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'If ''show slave status'' returns Master_Host, "Replication: *" items are created.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28950','0','','10170','Info: Size of database {#DBNAME}','mysql.dbsize["{$MYSQL.HOST}","{$MYSQL.PORT}","{#DBNAME}"]','5m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28951','0','','10170','Replication: Slave status {#MASTERHOST}','mysql.slave_status["{$MYSQL.HOST}","{$MYSQL.PORT}","{#MASTERHOST}"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The item gets status information on essential parameters of the slave threads.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28952','18','','10170','Replication: Seconds Behind Master {#MASTERHOST}','mysql.seconds_behind_master["{#MASTERHOST}"]','0','7d','365d','0','3','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of seconds that the slave SQL thread is behind processing the master binary log. A high number (or an increasing one) can indicate that the slave is unable to handle events from the master in a timely fashion.','0','30d','0','','28951','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28953','18','','10170','Replication: Slave IO Running {#MASTERHOST}','mysql.slave_io_running["{#MASTERHOST}"]','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Whether the I/O thread for reading the master''s binary log is running. Normally, you want this to be Yes unless you have not yet started replication or have explicitly stopped it with STOP SLAVE.','0','30d','0','','28951','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28954','18','','10170','Replication: Slave SQL Running {#MASTERHOST}','mysql.slave_sql_running["{#MASTERHOST}"]','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Whether the SQL thread for executing events in the relay log is running. As with the I/O thread, this should normally be Yes.','0','30d','0','','28951','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28978','15','','10268','Memory utilization','vm.memory.util[snmp]','1m','7d','365d','0','0','','%','','',NULL,NULL,'(last("vm.memory.total[memTotalReal.0]")-(last("vm.memory.free[memAvailReal.0]")+last("vm.memory.buffers[memBuffer.0]")+last("vm.memory.cached[memCached.0]")))/last("vm.memory.total[memTotalReal.0]")*100','','0','','','','','0',NULL,'Please note that memory utilization is a rough estimate, since memory available is calculated as free+buffers+cached, which is not 100% accurate, but the best we can get using SNMP.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28979','20','1.3.6.1.4.1.2021.4.6.0','10268','Free memory','vm.memory.free[memAvailReal.0]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: UCD-SNMP-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28980','20','1.3.6.1.4.1.2021.4.14.0','10268','Memory (buffers)','vm.memory.buffers[memBuffer.0]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: UCD-SNMP-MIB
Memory used by kernel buffers (Buffers in /proc/meminfo)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28981','20','1.3.6.1.4.1.2021.4.15.0','10268','Memory (cached)','vm.memory.cached[memCached.0]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: UCD-SNMP-MIB
Memory used by the page cache and slabs (Cached and Slab in /proc/meminfo)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28982','20','1.3.6.1.4.1.2021.4.5.0','10268','Total memory','vm.memory.total[memTotalReal.0]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: UCD-SNMP-MIB
Total memory in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28983','15','','10268','Available memory','vm.memory.available[snmp]','1m','7d','365d','0','3','','B','','',NULL,NULL,'last("vm.memory.free[memAvailReal.0]")+last("vm.memory.buffers[memBuffer.0]")+last("vm.memory.cached[memCached.0]")','','0','','','','','0',NULL,'Please note that memory utilization is a rough estimate, since memory available is calculated as free+buffers+cached, which is not 100% accurate, but the best we can get using SNMP.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28984','20','1.3.6.1.4.1.2021.4.3.0','10268','Total swap space','system.swap.total[memTotalSwap.0]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: UCD-SNMP-MIB
The total amount of swap space configured for this host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28985','20','1.3.6.1.4.1.2021.4.4.0','10268','Free swap space','system.swap.free[memAvailSwap.0]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: UCD-SNMP-MIB
The amount of swap space currently unused or available.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28986','15','','10268','Free swap space in %','system.swap.pfree[snmp]','1m','7d','365d','0','0','','%','','',NULL,NULL,'last("system.swap.free[memAvailSwap.0]")/last("system.swap.total[memTotalSwap.0]")*100','','0','','','','','0',NULL,'The free space of swap volume/file in percent.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28987','20','1.3.6.1.4.1.2021.10.1.3["index","1.3.6.1.4.1.2021.10.1.2", "Load-1"]','10270','Load average (1m avg)','system.cpu.load.avg1[laLoad.1]','1m','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: UCD-SNMP-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28988','20','1.3.6.1.4.1.2021.10.1.3["index","1.3.6.1.4.1.2021.10.1.2", "Load-5"]','10270','Load average (5m avg)','system.cpu.load.avg5[laLoad.2]','1m','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: UCD-SNMP-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28989','20','1.3.6.1.4.1.2021.10.1.3["index","1.3.6.1.4.1.2021.10.1.2", "Load-15"]','10270','Load average (15m avg)','system.cpu.load.avg15[laLoad.3]','1m','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: UCD-SNMP-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28990','20','discovery[{#SNMPVALUE},1.3.6.1.2.1.25.3.3.1.1]','10270','Number of CPUs','system.cpu.num[snmp]','1m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: HOST-RESOURCES-MIB
Count the number of CPU cores by counting number of cores discovered in hrProcessorTable using LLD','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28991','20','1.3.6.1.4.1.2021.11.59.0','10270','Interrupts per second','system.cpu.intr[ssRawInterrupts.0]','1m','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28992','20','1.3.6.1.4.1.2021.11.60.0','10270','Context switches per second','system.cpu.switches[ssRawContexts.0]','1m','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29008','20','discovery[{#DEVNAME},1.3.6.1.4.1.2021.13.15.1.1.2]','10269','Block devices discovery','vfs.dev.discovery[snmp]','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Block devices are discovered from UCD-DISKIO-MIB::diskIOTable (http://net-snmp.sourceforge.net/docs/mibs/ucdDiskIOMIB.html#diskIOTable)','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29009','18','','10270','CPU discovery','cpu.discovery[snmp]','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'This discovery will create set of per core CPU metrics from UCD-SNMP-MIB, using {#CPU.COUNT} in preprocessing. That''s the only reason why LLD is used.','0','30d','0','','28990','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29010','20','discovery[{#FSNAME},1.3.6.1.2.1.25.2.3.1.3,{#FSTYPE},1.3.6.1.2.1.25.2.3.1.2,{#ALLOC_UNITS},1.3.6.1.2.1.25.2.3.1.4]','10271','Mounted filesystem discovery','vfs.fs.discovery[snmp]','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'HOST-RESOURCES-MIB::hrStorage discovery with storage filter','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29014','20','1.3.6.1.4.1.2021.13.15.1.1.5.{#SNMPINDEX}','10269','{#DEVNAME}: Disk read rate','vfs.dev.read.rate[diskIOReads.{#SNMPINDEX}]','1m','7d','365d','0','0','','!r/s','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: UCD-DISKIO-MIB
The number of read accesses from this device since boot.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29015','20','1.3.6.1.4.1.2021.13.15.1.1.6.{#SNMPINDEX}','10269','{#DEVNAME}: Disk write rate','vfs.dev.write.rate[diskIOWrites.{#SNMPINDEX}]','1m','7d','365d','0','0','','!w/s','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: UCD-DISKIO-MIB
The number of write accesses from this device since boot.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29016','20','1.3.6.1.4.1.2021.13.15.1.1.9.{#SNMPINDEX}','10269','{#DEVNAME}: Disk utilization','vfs.dev.util[diskIOLA1.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: UCD-DISKIO-MIB
The 1 minute average load of disk (%)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29017','20','1.3.6.1.4.1.2021.11.53.0','10270','CPU idle time','system.cpu.idle[ssCpuRawIdle.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: UCD-SNMP-MIB
The time the CPU has spent doing nothing.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29018','20','1.3.6.1.4.1.2021.11.52.0','10270','CPU system time','system.cpu.system[ssCpuRawSystem.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: UCD-SNMP-MIB
The time the CPU has spent running the kernel and its processes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29019','20','1.3.6.1.4.1.2021.11.50.0','10270','CPU user time','system.cpu.user[ssCpuRawUser.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: UCD-SNMP-MIB
The time the CPU has spent running users'' processes that are not niced.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29020','20','1.3.6.1.4.1.2021.11.64.0','10270','CPU steal time','system.cpu.steal[ssCpuRawSteal.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: UCD-SNMP-MIB
The amount of CPU ''stolen'' from this virtual machine by the hypervisor for other tasks (such as running another virtual machine).','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29021','20','1.3.6.1.4.1.2021.11.61.0','10270','CPU softirq time','system.cpu.softirq[ssCpuRawSoftIRQ.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: UCD-SNMP-MIB
The amount of time the CPU has been servicing software interrupts.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29022','20','1.3.6.1.4.1.2021.11.51.0','10270','CPU nice time','system.cpu.nice[ssCpuRawNice.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: UCD-SNMP-MIB
The time the CPU has spent running users'' processes that have been niced.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29023','20','1.3.6.1.4.1.2021.11.54.0','10270','CPU iowait time','system.cpu.iowait[ssCpuRawWait.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: UCD-SNMP-MIB
Amount of time the CPU has been waiting for I/O to complete.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29024','20','1.3.6.1.4.1.2021.11.56.0','10270','CPU interrupt time','system.cpu.interrupt[ssCpuRawInterrupt.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: UCD-SNMP-MIB
The amount of time the CPU has been servicing hardware interrupts.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29025','20','1.3.6.1.4.1.2021.11.65.0','10270','CPU guest time','system.cpu.guest[ssCpuRawGuest.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: UCD-SNMP-MIB
Guest  time (time  spent  running  a  virtual  CPU  for  a  guest  operating  system)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29026','20','1.3.6.1.4.1.2021.11.66.0','10270','CPU guest nice time','system.cpu.guest_nice[ssCpuRawGuestNice.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: UCD-SNMP-MIB
Time spent running a niced guest (virtual CPU for guest operating systems under the control of the Linux kernel)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29027','20','1.3.6.1.2.1.25.2.3.1.6.{#SNMPINDEX}','10271','{#FSNAME}: Used space','vfs.fs.used[hrStorageUsed.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The amount of the storage represented by this entry that is allocated, in units of hrStorageAllocationUnits.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29028','20','1.3.6.1.2.1.25.2.3.1.5.{#SNMPINDEX}','10271','{#FSNAME}: Total space','vfs.fs.total[hrStorageSize.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The size of the storage represented by this entry, in units of hrStorageAllocationUnits.
This object is writable to allow remote configuration of the size of the storage area in those cases where such an operation makes sense and is possible on the underlying system.
For example, the amount of main storage allocated to a buffer pool might be modified or the amount of disk space allocated to virtual storage might be modified.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29029','15','','10271','{#FSNAME}: Space utilization','vfs.fs.pused[storageUsedPercentage.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'(last("vfs.fs.used[hrStorageUsed.{#SNMPINDEX}]")/last("vfs.fs.total[hrStorageSize.{#SNMPINDEX}]"))*100','','0','','','','','2',NULL,'Space utilization in % for {#FSNAME}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29030','20','1.3.6.1.4.1.2021.9.1.10["index","1.3.6.1.4.1.2021.9.1.2", "{#FSNAME}"]','10271','{#FSNAME}: Free inodes in %','vfs.fs.inode.pfree[dskPercentNode.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: UCD-SNMP-MIB
If having problems collecting this item make sure access to UCD-SNMP-MIB is allowed.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29048','18','','10270','CPU utilization','system.cpu.util[snmp,{#SNMPINDEX}]','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'CPU utilization in %','0','30d','0','','29017','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29087','0','','10272','Number of CPUs','system.cpu.num','1m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29088','0','','10272','CPU iowait time','system.cpu.util[,iowait]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'Amount of time the CPU has been waiting for I/O to complete.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29089','0','','10272','Context switches per second','system.cpu.switches','1m','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29090','0','','10272','CPU guest nice time','system.cpu.util[,guest_nice]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'Time spent running a niced guest (virtual CPU for guest operating systems under the control of the Linux kernel)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29091','0','','10272','CPU guest time','system.cpu.util[,guest]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'Guest  time (time  spent  running  a  virtual  CPU  for  a  guest  operating  system)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29092','0','','10272','CPU softirq time','system.cpu.util[,softirq]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The amount of time the CPU has been servicing software interrupts.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29093','0','','10272','CPU interrupt time','system.cpu.util[,interrupt]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The amount of time the CPU has been servicing hardware interrupts.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29094','0','','10272','CPU steal time','system.cpu.util[,steal]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The amount of CPU ''stolen'' from this virtual machine by the hypervisor for other tasks (such as running another virtual machine).','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29095','0','','10272','CPU nice time','system.cpu.util[,nice]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running users'' processes that have been niced.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29096','0','','10272','Load average (1m avg)','system.cpu.load[all,avg1]','1m','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29097','0','','10272','CPU user time','system.cpu.util[,user]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running users'' processes that are not niced.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29098','0','','10272','CPU system time','system.cpu.util[,system]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running the kernel and its processes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29099','0','','10272','CPU idle time','system.cpu.util[,idle]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent doing nothing.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29100','0','','10272','Load average (15m avg)','system.cpu.load[all,avg15]','1m','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29101','0','','10272','Load average (5m avg)','system.cpu.load[all,avg5]','1m','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29102','0','','10272','Interrupts per second','system.cpu.intr','1m','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29103','0','','10274','Memory utilization','vm.memory.size[pavailable]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'Memory used percentage is calculated as (100-pavailable)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29104','0','','10274','Total memory','vm.memory.size[total]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Total memory in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29105','0','','10274','Available memory','vm.memory.size[available]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Available memory, in Linux, available = free + buffers + cache. On other platforms calculation may vary. See also: https://www.zabbix.com/documentation/current/manual/appendix/items/vm.memory.size_params','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29106','0','','10274','Total swap space','system.swap.size[,total]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'The total space of swap volume/file in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29107','0','','10274','Free swap space','system.swap.size[,free]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'The free space of swap volume/file in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29108','0','','10274','Free swap space in %','system.swap.size[,pfree]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The free space of swap volume/file in percent.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29109','0','','10275','Get /proc/diskstats','vfs.file.contents[/proc/diskstats]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Get contents of /proc/diskstats for discovery and disk stats.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29110','0','','10277','System uptime','system.uptime','30s','2w','0d','0','3','','uptime','','',NULL,NULL,'','','0','','','','','0',NULL,'System uptime in ''N days, hh:mm:ss'' format.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29111','0','','10277','System boot time','system.boottime','15m','7d','365d','0','3','','unixtime','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29112','0','','10277','System local time','system.localtime','1m','7d','365d','0','3','','unixtime','','',NULL,NULL,'','','0','','','','','0',NULL,'System local time of the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29113','0','','10277','System name','system.hostname','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'System host name.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29114','0','','10277','System description','system.uname','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The information as normally returned by ''uname -a''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29115','0','','10277','Number of logged in users','system.users.num','1m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of users who are currently logged in.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29116','0','','10277','Maximum number of open file descriptors','kernel.maxfiles','1h','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'It could be increased by using sysctrl utility or modifying file /etc/sysctl.conf.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29117','0','','10277','Maximum number of processes','kernel.maxproc','1h','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'It could be increased by using sysctrl utility or modifying file /etc/sysctl.conf.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29118','0','','10277','Number of processes','proc.num','1m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29119','0','','10277','Number of running processes','proc.num[,,run]','1m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29120','0','','10277','Checksum of /etc/passwd','vfs.file.cksum[/etc/passwd]','15m','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29121','0','','10277','Operating system','system.sw.os','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','5','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29122','0','','10277','Operating system architecture','system.sw.arch','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Operating system architecture of the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29123','0','','10277','Software installed','system.sw.packages','1h','2w','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29198','18','','10272','CPU utilization','system.cpu.util','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'CPU utilization in %','0','30d','0','','29099','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29201','0','','10273','Mounted filesystem discovery','vfs.fs.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of file systems of different types.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29202','18','','10275','Block devices discovery','vfs.dev.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','1','','29109','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29203','0','','10276','Network interface discovery','net.if.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of network interfaces.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29210','0','','10273','{#FSNAME}: Used space','vfs.fs.size[{#FSNAME},used]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Used storage in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29211','0','','10273','{#FSNAME}: Total space','vfs.fs.size[{#FSNAME},total]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Total space in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29212','0','','10273','{#FSNAME}: Space utilization','vfs.fs.size[{#FSNAME},pused]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'Space utilization in % for {#FSNAME}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29213','0','','10273','{#FSNAME}: Free inodes in %','vfs.fs.inode[{#FSNAME},pfree]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29214','15','','10275','{#DEVNAME}: Disk read request avg waiting time (r_await)','vfs.dev.read.await[{#DEVNAME}]','1m','7d','365d','0','0','','!ms','','',NULL,NULL,'(last("vfs.dev.read.time.rate[{#DEVNAME}]")/(last("vfs.dev.read.rate[{#DEVNAME}]")+(last("vfs.dev.read.rate[{#DEVNAME}]")=0)))*1000*(last("vfs.dev.read.rate[{#DEVNAME}]") > 0)','','0','','','','','2',NULL,'This formula contains two boolean expressions that evaluates to 1 or 0 in order to set calculated metric to zero and to avoid division by zero exception.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29215','15','','10275','{#DEVNAME}: Disk write request avg waiting time (w_await)','vfs.dev.write.await[{#DEVNAME}]','1m','7d','365d','0','0','','!ms','','',NULL,NULL,'(last("vfs.dev.write.time.rate[{#DEVNAME}]")/(last("vfs.dev.write.rate[{#DEVNAME}]")+(last("vfs.dev.write.rate[{#DEVNAME}]")=0)))*1000*(last("vfs.dev.write.rate[{#DEVNAME}]") > 0)','','0','','','','','2',NULL,'This formula contains two boolean expressions that evaluates to 1 or 0 in order to set calculated metric to zero and to avoid division by zero exception.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29216','0','','10276','Interface {#IFNAME}: Bits received','net.if.in["{#IFNAME}"]','3m','7d','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29217','0','','10276','Interface {#IFNAME}: Bits sent','net.if.out["{#IFNAME}"]','3m','7d','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29218','0','','10276','Interface {#IFNAME}: Outbound packets with errors','net.if.out["{#IFNAME}",errors]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29219','0','','10276','Interface {#IFNAME}: Inbound packets with errors','net.if.in["{#IFNAME}",errors]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29220','0','','10276','Interface {#IFNAME}: Outbound packets discarded','net.if.out["{#IFNAME}",dropped]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29221','0','','10276','Interface {#IFNAME}: Inbound packets discarded','net.if.in["{#IFNAME}",dropped]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29222','0','','10276','Interface {#IFNAME}: Operational status','vfs.file.contents["/sys/class/net/{#IFNAME}/operstate"]','1m','7d','0','0','3','','','','',NULL,'20','','','0','','','','','2',NULL,'Indicates the interface RFC2863 operational state as a string.
Possible values are:"unknown", "notpresent", "down", "lowerlayerdown", "testing","dormant", "up".
Reference: https://www.kernel.org/doc/Documentation/ABI/testing/sysfs-class-net','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29223','0','','10276','Interface {#IFNAME}: Interface type','vfs.file.contents["/sys/class/net/{#IFNAME}/type"]','1h','7d','0d','0','3','','','','',NULL,'78','','','0','','','','','2',NULL,'Indicates the interface protocol type as a decimal value.
See include/uapi/linux/if_arp.h for all possible values.
Reference: https://www.kernel.org/doc/Documentation/ABI/testing/sysfs-class-net','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29252','18','','10275','{#DEVNAME}: Disk read rate','vfs.dev.read.rate[{#DEVNAME}]','0','7d','365d','0','0','','!r/s','','',NULL,NULL,'','','0','','','','','2',NULL,'r/s. The number (after merges) of read requests completed per second for the device.','0','30d','0','','29109','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29253','18','','10275','{#DEVNAME}: Disk write rate','vfs.dev.write.rate[{#DEVNAME}]','0','7d','365d','0','0','','!w/s','','',NULL,NULL,'','','0','','','','','2',NULL,'w/s. The number (after merges) of write requests completed per second for the device.','0','30d','0','','29109','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29254','18','','10275','{#DEVNAME}: Disk read time (rate)','vfs.dev.read.time.rate[{#DEVNAME}]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate of total read time counter. Used in r_await calculation','0','30d','0','','29109','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29255','18','','10275','{#DEVNAME}: Disk write time (rate)','vfs.dev.write.time.rate[{#DEVNAME}]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate of total write time counter. Used in w_await calculation','0','30d','0','','29109','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29256','18','','10275','{#DEVNAME}: Disk average queue size (avgqu-sz)','vfs.dev.queue_size[{#DEVNAME}]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Current average disk queue, the number of requests outstanding on the disk at the time the performance data is collected.','0','30d','0','','29109','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29257','18','','10275','{#DEVNAME}: Disk utilization','vfs.dev.util[{#DEVNAME}]','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'This item is the percentage of elapsed time that the selected disk drive was busy servicing read or writes requests.','0','30d','0','','29109','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29273','7','','10278','Number of CPUs','system.cpu.num','1m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29274','7','','10278','CPU iowait time','system.cpu.util[,iowait]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'Amount of time the CPU has been waiting for I/O to complete.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29275','7','','10278','Context switches per second','system.cpu.switches','1m','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29276','7','','10278','CPU guest nice time','system.cpu.util[,guest_nice]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'Time spent running a niced guest (virtual CPU for guest operating systems under the control of the Linux kernel)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29277','7','','10278','CPU guest time','system.cpu.util[,guest]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'Guest  time (time  spent  running  a  virtual  CPU  for  a  guest  operating  system)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29278','7','','10278','CPU softirq time','system.cpu.util[,softirq]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The amount of time the CPU has been servicing software interrupts.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29279','7','','10278','CPU interrupt time','system.cpu.util[,interrupt]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The amount of time the CPU has been servicing hardware interrupts.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29280','7','','10278','CPU steal time','system.cpu.util[,steal]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The amount of CPU ''stolen'' from this virtual machine by the hypervisor for other tasks (such as running another virtual machine).','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29281','7','','10278','CPU nice time','system.cpu.util[,nice]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running users'' processes that have been niced.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29282','7','','10278','Load average (1m avg)','system.cpu.load[all,avg1]','1m','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29283','7','','10278','CPU user time','system.cpu.util[,user]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running users'' processes that are not niced.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29284','7','','10278','CPU system time','system.cpu.util[,system]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running the kernel and its processes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29285','7','','10278','CPU idle time','system.cpu.util[,idle]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent doing nothing.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29286','7','','10278','Load average (15m avg)','system.cpu.load[all,avg15]','1m','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29287','7','','10278','Load average (5m avg)','system.cpu.load[all,avg5]','1m','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29288','7','','10278','Interrupts per second','system.cpu.intr','1m','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29289','7','','10280','Memory utilization','vm.memory.size[pavailable]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'Memory used percentage is calculated as (100-pavailable)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29290','7','','10280','Total memory','vm.memory.size[total]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Total memory in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29291','7','','10280','Available memory','vm.memory.size[available]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Available memory, in Linux, available = free + buffers + cache. On other platforms calculation may vary. See also: https://www.zabbix.com/documentation/current/manual/appendix/items/vm.memory.size_params','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29292','7','','10280','Total swap space','system.swap.size[,total]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'The total space of swap volume/file in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29293','7','','10280','Free swap space','system.swap.size[,free]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'The free space of swap volume/file in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29294','7','','10280','Free swap space in %','system.swap.size[,pfree]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The free space of swap volume/file in percent.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29295','7','','10281','Get /proc/diskstats','vfs.file.contents[/proc/diskstats]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Get contents of /proc/diskstats for discovery and disk stats.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29296','7','','10283','System uptime','system.uptime','30s','2w','0d','0','3','','uptime','','',NULL,NULL,'','','0','','','','','0',NULL,'System uptime in ''N days, hh:mm:ss'' format.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29297','7','','10283','System boot time','system.boottime','15m','7d','365d','0','3','','unixtime','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29298','0','','10283','System local time','system.localtime','1m','7d','365d','1','3','','unixtime','','',NULL,NULL,'','','0','','','','','0',NULL,'System local time of the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29299','7','','10283','System name','system.hostname','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'System host name.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29300','7','','10283','System description','system.uname','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The information as normally returned by ''uname -a''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29301','7','','10283','Number of logged in users','system.users.num','1m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of users who are currently logged in.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29302','7','','10283','Maximum number of open file descriptors','kernel.maxfiles','1h','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'It could be increased by using sysctrl utility or modifying file /etc/sysctl.conf.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29303','7','','10283','Maximum number of processes','kernel.maxproc','1h','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'It could be increased by using sysctrl utility or modifying file /etc/sysctl.conf.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29304','7','','10283','Number of processes','proc.num','1m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29305','7','','10283','Number of running processes','proc.num[,,run]','1m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29306','7','','10283','Checksum of /etc/passwd','vfs.file.cksum[/etc/passwd]','15m','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29307','7','','10283','Operating system','system.sw.os','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','5','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29308','7','','10283','Operating system architecture','system.sw.arch','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Operating system architecture of the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29309','7','','10283','Software installed','system.sw.packages','1h','2w','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29347','18','','10278','CPU utilization','system.cpu.util','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'CPU utilization in %','0','30d','0','','29285','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29349','7','','10279','Mounted filesystem discovery','vfs.fs.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of file systems of different types.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29350','18','','10281','Block devices discovery','vfs.dev.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','1','','29295','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29351','7','','10282','Network interface discovery','net.if.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of network interfaces.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29355','7','','10279','{#FSNAME}: Used space','vfs.fs.size[{#FSNAME},used]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Used storage in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29356','7','','10279','{#FSNAME}: Total space','vfs.fs.size[{#FSNAME},total]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Total space in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29357','7','','10279','{#FSNAME}: Space utilization','vfs.fs.size[{#FSNAME},pused]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'Space utilization in % for {#FSNAME}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29358','7','','10279','{#FSNAME}: Free inodes in %','vfs.fs.inode[{#FSNAME},pfree]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29359','15','','10281','{#DEVNAME}: Disk read request avg waiting time (r_await)','vfs.dev.read.await[{#DEVNAME}]','1m','7d','365d','0','0','','!ms','','',NULL,NULL,'(last("vfs.dev.read.time.rate[{#DEVNAME}]")/(last("vfs.dev.read.rate[{#DEVNAME}]")+(last("vfs.dev.read.rate[{#DEVNAME}]")=0)))*1000*(last("vfs.dev.read.rate[{#DEVNAME}]") > 0)','','0','','','','','2',NULL,'This formula contains two boolean expressions that evaluates to 1 or 0 in order to set calculated metric to zero and to avoid division by zero exception.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29360','15','','10281','{#DEVNAME}: Disk write request avg waiting time (w_await)','vfs.dev.write.await[{#DEVNAME}]','1m','7d','365d','0','0','','!ms','','',NULL,NULL,'(last("vfs.dev.write.time.rate[{#DEVNAME}]")/(last("vfs.dev.write.rate[{#DEVNAME}]")+(last("vfs.dev.write.rate[{#DEVNAME}]")=0)))*1000*(last("vfs.dev.write.rate[{#DEVNAME}]") > 0)','','0','','','','','2',NULL,'This formula contains two boolean expressions that evaluates to 1 or 0 in order to set calculated metric to zero and to avoid division by zero exception.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29361','7','','10282','Interface {#IFNAME}: Bits received','net.if.in["{#IFNAME}"]','3m','7d','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29362','7','','10282','Interface {#IFNAME}: Bits sent','net.if.out["{#IFNAME}"]','3m','7d','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29363','7','','10282','Interface {#IFNAME}: Outbound packets with errors','net.if.out["{#IFNAME}",errors]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29364','7','','10282','Interface {#IFNAME}: Inbound packets with errors','net.if.in["{#IFNAME}",errors]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29365','7','','10282','Interface {#IFNAME}: Outbound packets discarded','net.if.out["{#IFNAME}",dropped]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29366','7','','10282','Interface {#IFNAME}: Inbound packets discarded','net.if.in["{#IFNAME}",dropped]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29367','7','','10282','Interface {#IFNAME}: Operational status','vfs.file.contents["/sys/class/net/{#IFNAME}/operstate"]','1m','7d','0','0','3','','','','',NULL,'20','','','0','','','','','2',NULL,'Indicates the interface RFC2863 operational state as a string.
Possible values are:"unknown", "notpresent", "down", "lowerlayerdown", "testing","dormant", "up".
Reference: https://www.kernel.org/doc/Documentation/ABI/testing/sysfs-class-net','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29368','7','','10282','Interface {#IFNAME}: Interface type','vfs.file.contents["/sys/class/net/{#IFNAME}/type"]','1h','7d','0d','0','3','','','','',NULL,'78','','','0','','','','','2',NULL,'Indicates the interface protocol type as a decimal value.
See include/uapi/linux/if_arp.h for all possible values.
Reference: https://www.kernel.org/doc/Documentation/ABI/testing/sysfs-class-net','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29383','18','','10281','{#DEVNAME}: Disk read rate','vfs.dev.read.rate[{#DEVNAME}]','0','7d','365d','0','0','','!r/s','','',NULL,NULL,'','','0','','','','','2',NULL,'r/s. The number (after merges) of read requests completed per second for the device.','0','30d','0','','29295','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29384','18','','10281','{#DEVNAME}: Disk write rate','vfs.dev.write.rate[{#DEVNAME}]','0','7d','365d','0','0','','!w/s','','',NULL,NULL,'','','0','','','','','2',NULL,'w/s. The number (after merges) of write requests completed per second for the device.','0','30d','0','','29295','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29385','18','','10281','{#DEVNAME}: Disk read time (rate)','vfs.dev.read.time.rate[{#DEVNAME}]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate of total read time counter. Used in r_await calculation','0','30d','0','','29295','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29386','18','','10281','{#DEVNAME}: Disk write time (rate)','vfs.dev.write.time.rate[{#DEVNAME}]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate of total write time counter. Used in w_await calculation','0','30d','0','','29295','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29387','18','','10281','{#DEVNAME}: Disk average queue size (avgqu-sz)','vfs.dev.queue_size[{#DEVNAME}]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Current average disk queue, the number of requests outstanding on the disk at the time the performance data is collected.','0','30d','0','','29295','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29388','18','','10281','{#DEVNAME}: Disk utilization','vfs.dev.util[{#DEVNAME}]','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'This item is the percentage of elapsed time that the selected disk drive was busy servicing read or writes requests.','0','30d','0','','29295','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29395','19','','10285','Get node_exporter metrics','node_exporter.get','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','http://{HOST.CONN}:{$NODE_EXPORTER_PORT}/metrics','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29396','15','','10285','Memory utilization','vm.memory.util[node_exporter]','1m','7d','365d','0','0','','%','','',NULL,NULL,'(last("vm.memory.total[node_exporter]")-last("vm.memory.available[node_exporter]"))/last("vm.memory.total[node_exporter]")*100','','0','','','','','0',NULL,'Memory used percentage is calculated as (total-available)/total*100','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29397','15','','10285','Free swap space in %','system.swap.pfree[node_exporter]','1m','7d','365d','0','0','','%','','',NULL,NULL,'last("system.swap.free[node_exporter]")/last("system.swap.total[node_exporter]")*100','','0','','','','','0',NULL,'The free space of swap volume/file in percent.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29398','18','','10285','System local time','system.localtime[node_exporter]','0','7d','365d','0','0','','unixtime','','',NULL,NULL,'','','0','','','','','0',NULL,'System local time of the host.','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29399','18','','10285','CPU steal time','system.cpu.steal[node_exporter]','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The amount of CPU ''stolen'' from this virtual machine by the hypervisor for other tasks (such as running another virtual machine).','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29400','18','','10285','Free swap space','system.swap.free[node_exporter]','0','7d','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'The free space of swap volume/file in bytes.','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29401','18','','10285','Total swap space','system.swap.total[node_exporter]','0','7d','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'The total space of swap volume/file in bytes.','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29402','18','','10285','Available memory','vm.memory.available[node_exporter]','0','7d','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Available memory, in Linux, available = free + buffers + cache. On other platforms calculation may vary. See also: https://www.zabbix.com/documentation/current/manual/appendix/items/vm.memory.size_params','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29403','18','','10285','Total memory','vm.memory.total[node_exporter]','0','7d','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Total memory in Bytes','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29404','18','','10285','System boot time','system.boottime[node_exporter]','0','7d','365d','0','0','','unixtime','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29405','18','','10285','Context switches per second','system.cpu.switches[node_exporter]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29406','18','','10285','Interrupts per second','system.cpu.intr[node_exporter]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29407','18','','10285','CPU guest nice time','system.cpu.guest_nice[node_exporter]','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'Time spent running a niced guest (virtual CPU for guest operating systems under the control of the Linux kernel)','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29408','18','','10285','CPU guest time','system.cpu.guest[node_exporter]','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'Guest  time (time  spent  running  a  virtual  CPU  for  a  guest  operating  system)','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29409','18','','10285','CPU interrupt time','system.cpu.interrupt[node_exporter]','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The amount of time the CPU has been servicing hardware interrupts.','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29410','18','','10285','CPU iowait time','system.cpu.iowait[node_exporter]','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'Amount of time the CPU has been waiting for I/O to complete.','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29411','18','','10285','CPU nice time','system.cpu.nice[node_exporter]','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running users'' processes that have been niced.','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29412','18','','10285','CPU softirq time','system.cpu.softirq[node_exporter]','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The amount of time the CPU has been servicing software interrupts.','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29413','18','','10285','CPU user time','system.cpu.user[node_exporter]','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running users'' processes that are not niced.','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29414','18','','10285','System name','system.name[node_exporter]','0','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'System host name.','3','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29415','18','','10285','Version of node_exporter running','agent.version[node_exporter]','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29416','18','','10285','CPU idle time','system.cpu.idle[node_exporter]','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent doing nothing.','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29417','18','','10285','Number of CPUs','system.cpu.num[node_exporter]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29418','18','','10285','Load average (15m avg)','system.cpu.load.avg15[node_exporter]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29419','18','','10285','Load average (5m avg)','system.cpu.load.avg5[node_exporter]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29420','18','','10285','Load average (1m avg)','system.cpu.load.avg1[node_exporter]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29421','18','','10285','System uptime','system.uptime[node_exporter]','0','2w','0d','0','3','','uptime','','',NULL,NULL,'','','0','','','','','0',NULL,'System uptime in ''N days, hh:mm:ss'' format.','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29422','18','','10285','Operating system architecture','system.sw.arch[node_exporter]','0','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Operating system architecture of the host.','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29423','18','','10285','Number of open file descriptors','fd.open[node_exporter]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29424','18','','10285','Maximum number of open file descriptors','kernel.maxfiles[node_exporter]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'It could be increased by using sysctrl utility or modifying file /etc/sysctl.conf.','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29425','18','','10285','System description','system.descr[node_exporter]','0','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Labeled system information as provided by the uname system call.','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29426','18','','10285','CPU system time','system.cpu.system[node_exporter]','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running the kernel and its processes.','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29427','18','','10285','CPU utilization','system.cpu.util[node_exporter]','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'CPU utilization in %','0','30d','0','','29416','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29428','18','','10285','Operating system','system.sw.os[node_exporter]','0','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','5','30d','0','','29425','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29429','18','','10285','Network interface discovery','net.if.discovery[node_exporter]','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of network interfaces. Requires node_exporter v0.18 and up.','0','30d','1','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29430','18','','10285','Mounted filesystem discovery','vfs.fs.discovery[node_exporter]','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of file systems of different types.','0','30d','1','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29431','18','','10285','Block devices discovery','vfs.dev.discovery[node_exporter]','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','1','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29432','15','','10285','{#FSNAME}: Used space','vfs.fs.used[node_exporter,"{#FSNAME}"]','1m','7d','365d','0','0','','B','','',NULL,NULL,E'(last("vfs.fs.total[node_exporter,\\"{#FSNAME}\\"]")-last("vfs.fs.free[node_exporter,\\"{#FSNAME}\\"]"))','','0','','','','','2',NULL,'Used storage in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29433','15','','10285','{#FSNAME}: Space utilization','vfs.fs.pused[node_exporter,"{#FSNAME}"]','1m','7d','365d','0','0','','%','','',NULL,NULL,E'(last("vfs.fs.used[node_exporter,\\"{#FSNAME}\\"]")/last("vfs.fs.total[node_exporter,\\"{#FSNAME}\\"]"))*100','','0','','','','','2',NULL,'Space utilization in % for {#FSNAME}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29434','15','','10285','{#DEVNAME}: Disk read request avg waiting time (r_await)','vfs.dev.read.await[node_exporter,"{#DEVNAME}"]','1m','7d','365d','0','0','','!ms','','',NULL,NULL,E'(last("vfs.dev.read.time.rate[node_exporter,\\"{#DEVNAME}\\"]")/(last("vfs.dev.read.rate[node_exporter,\\"{#DEVNAME}\\"]")+(last("vfs.dev.read.rate[node_exporter,\\"{#DEVNAME}\\"]")=0)))*1000*(last("vfs.dev.read.rate[node_exporter,\\"{#DEVNAME}\\"]") > 0)','','0','','','','','2',NULL,'This formula contains two boolean expressions that evaluates to 1 or 0 in order to set calculated metric to zero and to avoid division by zero exception.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29435','15','','10285','{#DEVNAME}: Disk write request avg waiting time (w_await)','vfs.dev.write.await[node_exporter,"{#DEVNAME}"]','1m','7d','365d','0','0','','!ms','','',NULL,NULL,E'(last("vfs.dev.write.time.rate[node_exporter,\\"{#DEVNAME}\\"]")/(last("vfs.dev.write.rate[node_exporter,\\"{#DEVNAME}\\"]")+(last("vfs.dev.write.rate[node_exporter,\\"{#DEVNAME}\\"]")=0)))*1000*(last("vfs.dev.write.rate[node_exporter,\\"{#DEVNAME}\\"]") > 0)','','0','','','','','2',NULL,'This formula contains two boolean expressions that evaluates to 1 or 0 in order to set calculated metric to zero and to avoid division by zero exception.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29436','18','','10285','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[node_exporter,"{#IFNAME}"]','0','7d','365d','0','0','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29437','18','','10285','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[node_exporter,"{#IFNAME}"]','0','7d','365d','0','0','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29438','18','','10285','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[node_exporter"{#IFNAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29439','18','','10285','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[node_exporter,"{#IFNAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29440','18','','10285','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[node_exporter,"{#IFNAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29441','18','','10285','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[node_exporter,"{#IFNAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29442','18','','10285','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[node_exporter,"{#IFNAME}"]','0','7d','0d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'Sets value to 0 if metric is missing in node_exporter output.','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29443','18','','10285','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[node_exporter,"{#IFNAME}"]','0','7d','0d','0','3','','','','',NULL,'78','','','0','','','','','2',NULL,'node_network_protocol_type protocol_type value of /sys/class/net/<iface>.','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29444','18','','10285','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[node_exporter,"{#IFNAME}"]','0','7d','0','0','3','','','','',NULL,'20','','','0','','','','','2',NULL,'Indicates the interface RFC2863 operational state as a string.
Possible values are:"unknown", "notpresent", "down", "lowerlayerdown", "testing","dormant", "up".
Reference: https://www.kernel.org/doc/Documentation/ABI/testing/sysfs-class-net','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29445','18','','10285','{#FSNAME}: Free space','vfs.fs.free[node_exporter,"{#FSNAME}"]','0','7d','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29446','18','','10285','{#FSNAME}: Total space','vfs.fs.total[node_exporter,"{#FSNAME}"]','0','7d','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Total space in Bytes','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29447','18','','10285','{#FSNAME}: Free inodes in %','vfs.fs.inode.pfree[node_exporter,"{#FSNAME}"]','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29448','18','','10285','{#DEVNAME}: Disk read rate','vfs.dev.read.rate[node_exporter,"{#DEVNAME}"]','0','7d','365d','0','0','','!r/s','','',NULL,NULL,'','','0','','','','','2',NULL,'r/s. The number (after merges) of read requests completed per second for the device.','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29449','18','','10285','{#DEVNAME}: Disk write rate','vfs.dev.write.rate[node_exporter,"{#DEVNAME}"]','0','7d','365d','0','0','','!w/s','','',NULL,NULL,'','','0','','','','','2',NULL,'w/s. The number (after merges) of write requests completed per second for the device.','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29450','18','','10285','{#DEVNAME}: Disk read time (rate)','vfs.dev.read.time.rate[node_exporter,"{#DEVNAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate of total read time counter. Used in r_await calculation','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29451','18','','10285','{#DEVNAME}: Disk write time (rate)','vfs.dev.write.time.rate[node_exporter,"{#DEVNAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate of total write time counter. Used in w_await calculation','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29452','18','','10285','{#DEVNAME}: Disk average queue size (avgqu-sz)','vfs.dev.queue_size[node_exporter,"{#DEVNAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Current average disk queue, the number of requests outstanding on the disk at the time the performance data is collected.','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29453','18','','10285','{#DEVNAME}: Disk utilization','vfs.dev.util[node_exporter,"{#DEVNAME}"]','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'This item is the percentage of elapsed time that the selected disk drive was busy servicing read or writes requests.','0','30d','0','','29395','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29454','0','','10286','CPU utilization','system.cpu.util','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'CPU utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29455','0','','10286','CPU interrupt time',E'perf_counter_en["\\Processor Information(_total)\\% Interrupt Time"]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,E'The Processor Information\\% Interrupt Time is the time the processor spends receiving and servicing 
hardware interrupts during sample intervals. This value is an indirect indicator of the activity of 
devices that generate interrupts, such as the system clock, the mouse, disk drivers, data communication 
lines, network interface cards and other peripheral devices. This is an easy way to identify a potential 
hardware failure. This should never be higher than 20%.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29456','0','','10286','Context switches per second',E'perf_counter_en["\\System\\Context Switches/sec"]','1m','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,E'Context Switches/sec is the combined rate at which all processors on the computer are switched from one thread to another.
Context switches occur when a running thread voluntarily relinquishes the processor, is preempted by a higher priority ready thread, or switches between user-mode and privileged (kernel) mode to use an Executive or subsystem service.
It is the sum of Thread\\\\Context Switches/sec for all threads running on all processors in the computer and is measured in numbers of switches.
There are context switch counters on the System and Thread objects. This counter displays the difference between the values observed in the last two samples, divided by the duration of the sample interval.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29457','0','','10286','CPU privileged time',E'perf_counter_en["\\Processor Information(_total)\\% Privileged Time"]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,E'The Processor Information\\% Privileged Time counter shows the percent of time that the processor is spent 
executing in Kernel (or Privileged) mode. Privileged mode includes services interrupts inside Interrupt 
Service Routines (ISRs), executing Deferred Procedure Calls (DPCs), Device Driver calls and other kernel-mode 
functions of the Windows® Operating System.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29458','0','','10286','CPU user time',E'perf_counter_en["\\Processor Information(_total)\\% User Time"]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,E'The Processor Information\\% User Time counter shows the percent of time that the processor(s) is spent executing 
in User mode.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29459','0','','10286','CPU queue length',E'perf_counter_en["\\System\\Processor Queue Length"]','1m','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The Processor Queue Length shows the number of threads that are observed as delayed in the processor Ready Queue 
and are waiting to be executed.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29460','0','','10287','Used memory','vm.memory.size[used]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Used memory in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29461','0','','10287','Total memory','vm.memory.size[total]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Total memory in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29462','15','','10287','Memory utilization','vm.memory.util','1m','7d','365d','0','0','','%','','',NULL,NULL,'last("vm.memory.size[used]") / last("vm.memory.size[total]") * 100','','0','','','','','0',NULL,'Memory utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29463','0','','10287','Cache bytes',E'perf_counter_en["\\Memory\\Cache Bytes"]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,E'Cache Bytes is the sum of the Memory\\\\System Cache Resident Bytes, Memory\\\\System Driver Resident Bytes, 
Memory\\\\System Code Resident Bytes, and Memory\\\\Pool Paged Resident Bytes counters. This counter displays 
the last observed value only; it is not an average.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29464','0','','10287','Free swap space','system.swap.size[,free]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'The free space of swap volume/file in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29465','0','','10287','Free swap space in %','system.swap.size[,pfree]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The free space of swap volume/file in percent.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29466','0','','10287','Total swap space','system.swap.size[,total]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'The total space of swap volume/file in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29467','0','','10287','Free system page table entries',E'perf_counter_en["\\Memory\\Free System Page Table Entries"]','1m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'This indicates the number of page table entries not currently in use by the system. If the number is less 
than 5,000, there may well be a memory leak or you running out of memory.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29468','0','','10287','Memory page faults per second',E'perf_counter_en["\\Memory\\Page Faults/sec"]','1m','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Page Faults/sec is the average number of pages faulted per second. It is measured in number of pages 
faulted per second because only one page is faulted in each fault operation, hence this is also equal 
to the number of page fault operations. This counter includes both hard faults (those that require 
disk access) and soft faults (where the faulted page is found elsewhere in physical memory.) Most 
processors can handle large numbers of soft faults without significant consequence. However, hard faults, 
which require disk access, can cause significant delays.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29469','0','','10287','Memory pages per second',E'perf_counter_en["\\Memory\\Pages/sec"]','1m','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'This measures the rate at which pages are read from or written to disk to resolve hard page faults. 
If the value is greater than 1,000, as a result of excessive paging, there may be a memory leak.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29470','0','','10287','Memory pool non-paged',E'perf_counter_en["\\Memory\\Pool Nonpaged Bytes"]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'This measures the size, in bytes, of the non-paged pool. This is an area of system memory for objects 
that cannot be written to disk but instead must remain in physical memory as long as they are allocated. 
There is a possible memory leak if the value is greater than 175MB (or 100MB with the /3GB switch). 
A typical Event ID 2019 is recorded in the system event log.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29471','0','','10289','Physical disks WMI get',E'wmi.getall[root\\cimv2,"select * from win32_perfformatteddata_perfdisk_physicaldisk"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Raw data of win32_perfformatteddata_perfdisk_physicaldisk.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29472','0','','10290','Uptime','system.uptime','30s','2w','0d','0','3','','uptime','','',NULL,NULL,'','','0','','','','','0',NULL,'System uptime in ''N days, hh:mm:ss'' format.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29473','0','','10290','System local time','system.localtime','1m','7d','365d','0','3','','unixtime','','',NULL,NULL,'','','0','','','','','0',NULL,'System local time of the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29474','0','','10290','System name','system.hostname','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'System host name.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29475','0','','10290','System description','system.uname','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'System description of the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29476','0','','10290','Number of processes','proc.num[]','1m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of processes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29477','0','','10290','Number of threads',E'perf_counter_en["\\System\\Threads"]','1m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of threads used by all running processes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29478','0','','10290','Operating system architecture','system.sw.arch','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Operating system architecture of the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29479','0','','10291','Network interfaces WMI get',E'wmi.getall[root\\cimv2,"select * from win32_networkadapter where PhysicalAdapter=True"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Raw data of win32_networkadapter.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29506','0','','10288','Mounted filesystem discovery','vfs.fs.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of file systems of different types.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29507','18','','10289','Physical disks discovery','vfs.dev.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of installed physical disks.','0','30d','1','','29471','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29508','18','','10291','Network interfaces discovery','net.if.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of installed network interfaces.','0','30d','1','','29479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29512','0','','10288','{#FSNAME}: Used space','vfs.fs.size[{#FSNAME},used]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Used storage in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29513','0','','10288','{#FSNAME}: Total space','vfs.fs.size[{#FSNAME},total]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Total space in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29514','0','','10288','{#FSNAME}: Space utilization','vfs.fs.size[{#FSNAME},pused]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'Space utilization in % for {#FSNAME}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29515','0','','10291','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in["{#IFNAME}"]','3m','7d','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'Incoming traffic on the network interface.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29516','0','','10291','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out["{#IFNAME}"]','3m','7d','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'Outgoing traffic on the network interface.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29517','0','','10291','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in["{#IFNAME}",dropped]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of incoming packets dropped on the network interface.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29518','0','','10291','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out["{#IFNAME}",dropped]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of outgoing packets dropped on the network interface.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29519','0','','10291','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in["{#IFNAME}",errors]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of incoming packets with errors on the network interface.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29520','0','','10291','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out["{#IFNAME}",errors]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of outgoing packets with errors on the network interface.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29530','18','','10289','{#DEVNAME}: Disk read rate','vfs.dev.read.rate[DiskReadsPersec.{#DEVNAME}]','0','7d','365d','0','3','','!r/s','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate of read operations on the disk.','0','30d','0','','29471','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29531','18','','10289','{#DEVNAME}: Disk write rate','vfs.dev.write.rate[DiskWritesPersec.{#DEVNAME}]','0','7d','365d','0','3','','!w/s','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate of write operations on the disk.','0','30d','0','','29471','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29532','18','','10289','{#DEVNAME}: Disk average queue size (avgqu-sz)','vfs.dev.queue_size[CurrentDiskQueueLength.{#DEVNAME}]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Current average disk queue, the number of requests outstanding on the disk at the time the performance data is collected.','0','30d','0','','29471','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29533','18','','10289','{#DEVNAME}: Disk utilization','vfs.dev.util[PercentDiskTime.{#DEVNAME}]','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'This item is the percentage of elapsed time that the selected disk drive was busy servicing read or writes requests.','0','30d','0','','29471','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29534','18','','10291','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed["{#IFNAME}"]','0','7d','0d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'Estimated bandwidth of the network interface if any.','0','30d','0','','29479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29535','18','','10291','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type["{#IFNAME}"]','0','7d','0d','0','3','','','','',NULL,'79','','','0','','','','','2',NULL,'The type of the network interface.','0','30d','0','','29479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29536','18','','10291','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status["{#IFNAME}"]','0','7d','0','0','3','','','','',NULL,'81','','','0','','','','','2',NULL,'The operational status of the network interface.','0','30d','0','','29479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29544','5','','10050','Zabbix agent availability','zabbix[host,agent,available]','1m','7d','365d','0','3','','','','',NULL,'22','','','0','','','','','0',NULL,'Monitoring agent availability status','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29545','7','','10292','Version of Zabbix agent running','agent.version','1h','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29546','7','','10292','Host name of Zabbix agent running','agent.hostname','1h','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29547','7','','10292','Zabbix agent ping','agent.ping','1m','7d','365d','0','3','','','','',NULL,'10','','','0','','','','','0',NULL,'The agent always returns 1 for this item. It could be used in combination with nodata() for availability check.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29561','7','','10293','CPU utilization','system.cpu.util','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'CPU utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29562','7','','10293','CPU interrupt time',E'perf_counter_en["\\Processor Information(_total)\\% Interrupt Time"]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,E'The Processor Information\\% Interrupt Time is the time the processor spends receiving and servicing 
hardware interrupts during sample intervals. This value is an indirect indicator of the activity of 
devices that generate interrupts, such as the system clock, the mouse, disk drivers, data communication 
lines, network interface cards and other peripheral devices. This is an easy way to identify a potential 
hardware failure. This should never be higher than 20%.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29563','7','','10293','Context switches per second',E'perf_counter_en["\\System\\Context Switches/sec"]','1m','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,E'Context Switches/sec is the combined rate at which all processors on the computer are switched from one thread to another.
Context switches occur when a running thread voluntarily relinquishes the processor, is preempted by a higher priority ready thread, or switches between user-mode and privileged (kernel) mode to use an Executive or subsystem service.
It is the sum of Thread\\\\Context Switches/sec for all threads running on all processors in the computer and is measured in numbers of switches.
There are context switch counters on the System and Thread objects. This counter displays the difference between the values observed in the last two samples, divided by the duration of the sample interval.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29564','7','','10293','CPU privileged time',E'perf_counter_en["\\Processor Information(_total)\\% Privileged Time"]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,E'The Processor Information\\% Privileged Time counter shows the percent of time that the processor is spent 
executing in Kernel (or Privileged) mode. Privileged mode includes services interrupts inside Interrupt 
Service Routines (ISRs), executing Deferred Procedure Calls (DPCs), Device Driver calls and other kernel-mode 
functions of the Windows® Operating System.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29565','7','','10293','CPU user time',E'perf_counter_en["\\Processor Information(_total)\\% User Time"]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,E'The Processor Information\\% User Time counter shows the percent of time that the processor(s) is spent executing 
in User mode.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29566','7','','10293','CPU queue length',E'perf_counter_en["\\System\\Processor Queue Length"]','1m','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The Processor Queue Length shows the number of threads that are observed as delayed in the processor Ready Queue 
and are waiting to be executed.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29567','7','','10294','Used memory','vm.memory.size[used]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Used memory in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29568','7','','10294','Total memory','vm.memory.size[total]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Total memory in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29569','15','','10294','Memory utilization','vm.memory.util','1m','7d','365d','0','0','','%','','',NULL,NULL,'last("vm.memory.size[used]") / last("vm.memory.size[total]") * 100','','0','','','','','0',NULL,'Memory utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29570','7','','10294','Cache bytes',E'perf_counter_en["\\Memory\\Cache Bytes"]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,E'Cache Bytes is the sum of the Memory\\\\System Cache Resident Bytes, Memory\\\\System Driver Resident Bytes, 
Memory\\\\System Code Resident Bytes, and Memory\\\\Pool Paged Resident Bytes counters. This counter displays 
the last observed value only; it is not an average.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29571','7','','10294','Free swap space','system.swap.size[,free]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'The free space of swap volume/file in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29572','7','','10294','Free swap space in %','system.swap.size[,pfree]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The free space of swap volume/file in percent.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29573','7','','10294','Total swap space','system.swap.size[,total]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'The total space of swap volume/file in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29574','7','','10294','Free system page table entries',E'perf_counter_en["\\Memory\\Free System Page Table Entries"]','1m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'This indicates the number of page table entries not currently in use by the system. If the number is less 
than 5,000, there may well be a memory leak or you running out of memory.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29575','7','','10294','Memory page faults per second',E'perf_counter_en["\\Memory\\Page Faults/sec"]','1m','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Page Faults/sec is the average number of pages faulted per second. It is measured in number of pages 
faulted per second because only one page is faulted in each fault operation, hence this is also equal 
to the number of page fault operations. This counter includes both hard faults (those that require 
disk access) and soft faults (where the faulted page is found elsewhere in physical memory.) Most 
processors can handle large numbers of soft faults without significant consequence. However, hard faults, 
which require disk access, can cause significant delays.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29576','7','','10294','Memory pages per second',E'perf_counter_en["\\Memory\\Pages/sec"]','1m','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'This measures the rate at which pages are read from or written to disk to resolve hard page faults. 
If the value is greater than 1,000, as a result of excessive paging, there may be a memory leak.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29577','7','','10294','Memory pool non-paged',E'perf_counter_en["\\Memory\\Pool Nonpaged Bytes"]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'This measures the size, in bytes, of the non-paged pool. This is an area of system memory for objects 
that cannot be written to disk but instead must remain in physical memory as long as they are allocated. 
There is a possible memory leak if the value is greater than 175MB (or 100MB with the /3GB switch). 
A typical Event ID 2019 is recorded in the system event log.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29578','7','','10296','Physical disks WMI get',E'wmi.getall[root\\cimv2,"select * from win32_perfformatteddata_perfdisk_physicaldisk"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Raw data of win32_perfformatteddata_perfdisk_physicaldisk.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29579','7','','10297','Uptime','system.uptime','30s','2w','0d','0','3','','uptime','','',NULL,NULL,'','','0','','','','','0',NULL,'System uptime in ''N days, hh:mm:ss'' format.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29580','0','','10297','System local time','system.localtime','1m','7d','365d','1','3','','unixtime','','',NULL,NULL,'','','0','','','','','0',NULL,'System local time of the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29581','7','','10297','System name','system.hostname','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'System host name.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29582','7','','10297','System description','system.uname','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'System description of the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29583','7','','10297','Number of processes','proc.num[]','1m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of processes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29584','7','','10297','Number of threads',E'perf_counter_en["\\System\\Threads"]','1m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of threads used by all running processes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29585','7','','10297','Operating system architecture','system.sw.arch','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Operating system architecture of the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29586','7','','10298','Network interfaces WMI get',E'wmi.getall[root\\cimv2,"select * from win32_networkadapter where PhysicalAdapter=True"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Raw data of win32_networkadapter.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29613','7','','10295','Mounted filesystem discovery','vfs.fs.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of file systems of different types.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29614','18','','10296','Physical disks discovery','vfs.dev.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of installed physical disks.','0','30d','1','','29578','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29615','18','','10298','Network interfaces discovery','net.if.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of installed network interfaces.','0','30d','1','','29586','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29619','7','','10295','{#FSNAME}: Used space','vfs.fs.size[{#FSNAME},used]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Used storage in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29620','7','','10295','{#FSNAME}: Total space','vfs.fs.size[{#FSNAME},total]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Total space in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29621','7','','10295','{#FSNAME}: Space utilization','vfs.fs.size[{#FSNAME},pused]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'Space utilization in % for {#FSNAME}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29622','7','','10298','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in["{#IFNAME}"]','3m','7d','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'Incoming traffic on the network interface.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29623','7','','10298','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out["{#IFNAME}"]','3m','7d','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'Outgoing traffic on the network interface.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29624','7','','10298','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in["{#IFNAME}",dropped]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of incoming packets dropped on the network interface.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29625','7','','10298','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out["{#IFNAME}",dropped]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of outgoing packets dropped on the network interface.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29626','7','','10298','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in["{#IFNAME}",errors]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of incoming packets with errors on the network interface.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29627','7','','10298','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out["{#IFNAME}",errors]','3m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of outgoing packets with errors on the network interface.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29637','18','','10296','{#DEVNAME}: Disk read rate','vfs.dev.read.rate[DiskReadsPersec.{#DEVNAME}]','0','7d','365d','0','3','','!r/s','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate of read operations on the disk.','0','30d','0','','29578','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29638','18','','10296','{#DEVNAME}: Disk write rate','vfs.dev.write.rate[DiskWritesPersec.{#DEVNAME}]','0','7d','365d','0','3','','!w/s','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate of write operations on the disk.','0','30d','0','','29578','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29639','18','','10296','{#DEVNAME}: Disk average queue size (avgqu-sz)','vfs.dev.queue_size[CurrentDiskQueueLength.{#DEVNAME}]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Current average disk queue, the number of requests outstanding on the disk at the time the performance data is collected.','0','30d','0','','29578','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29640','18','','10296','{#DEVNAME}: Disk utilization','vfs.dev.util[PercentDiskTime.{#DEVNAME}]','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'This item is the percentage of elapsed time that the selected disk drive was busy servicing read or writes requests.','0','30d','0','','29578','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29641','18','','10298','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed["{#IFNAME}"]','0','7d','0d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'Estimated bandwidth of the network interface if any.','0','30d','0','','29586','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29642','18','','10298','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type["{#IFNAME}"]','0','7d','0d','0','3','','','','',NULL,'79','','','0','','','','','2',NULL,'The type of the network interface.','0','30d','0','','29586','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29643','18','','10298','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status["{#IFNAME}"]','0','7d','0','0','3','','','','',NULL,'81','','','0','','','','','2',NULL,'The operational status of the network interface.','0','30d','0','','29586','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29653','0','','10301','RabbitMQ: Get node overview','web.page.get["http://{$RABBITMQ.API.USER}:{$RABBITMQ.API.PASSWORD}@{$RABBITMQ.API.HOST}:{$RABBITMQ.API.PORT}/api/overview"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The HTTP API endpoint that returns cluster-wide metrics','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29654','0','','10301','RabbitMQ: Get nodes','web.page.get["http://{$RABBITMQ.API.USER}:{$RABBITMQ.API.PASSWORD}@{$RABBITMQ.API.HOST}:{$RABBITMQ.API.PORT}/api/nodes/{$RABBITMQ.CLUSTER.NAME}@{HOST.NAME}?memory=true"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The HTTP API endpoint that returns nodes metrics','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29655','0','','10301','RabbitMQ: Service ping','net.tcp.service[http,"{$RABBITMQ.API.HOST}","{$RABBITMQ.API.PORT}"]','1m','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29656','0','','10301','RabbitMQ: CPU utilization','proc.cpu.util["{$RABBITMQ.PROCESS_NAME}"]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'Process CPU utilization percentage.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29657','0','','10301','RabbitMQ: Memory usage (vsize)','proc.mem["{$RABBITMQ.PROCESS_NAME}",,,,vsize]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Virtual memory size used by process in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29658','0','','10301','RabbitMQ: Memory usage (rss)','proc.mem["{$RABBITMQ.PROCESS_NAME}",,,,rss]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Resident set size memory used by process in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29659','0','','10301','RabbitMQ: Number of processes running','proc.num["{$RABBITMQ.PROCESS_NAME}"]','1m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29660','0','','10301','RabbitMQ: Service response time','net.tcp.service.perf[http,"{$RABBITMQ.API.HOST}","{$RABBITMQ.API.PORT}"]','1m','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29661','0','','10301','RabbitMQ: Get queues','web.page.get["http://{$RABBITMQ.API.USER}:{$RABBITMQ.API.PASSWORD}@{$RABBITMQ.API.HOST}:{$RABBITMQ.API.PORT}/api/queues"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The HTTP API endpoint that returns queues metrics','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29662','0','','10301','RabbitMQ: Healthcheck','web.page.get["http://{$RABBITMQ.API.USER}:{$RABBITMQ.API.PASSWORD}@{$RABBITMQ.API.HOST}:{$RABBITMQ.API.PORT}/api/healthchecks/node"]','1m','7h','365d','0','3','','','','',NULL,'82','','','0','','','','','0',NULL,'Runs basic healthchecks in the current node. Checks that the rabbit application is running, channels and queues can be listed successfully, and that no alarms are in effect.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29687','18','','10301','RabbitMQ: Memory used','rabbitmq.node.mem_used','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Memory used in bytes','0','30d','0','','29654','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29688','18','','10301','RabbitMQ: Disk free alarm','rabbitmq.node.disk_free_alarm','0','7d','365d','0','3','','','','',NULL,'83','','','0','','','','','0',NULL,'Does the node have disk alarm','0','30d','0','','29654','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29691','18','','10301','RabbitMQ: Used file descriptors','rabbitmq.node.fd_used','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Used file descriptors','0','30d','0','','29654','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29692','18','','10301','RabbitMQ: Uptime','rabbitmq.node.uptime','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'Uptime in milliseconds','0','30d','0','','29654','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29693','18','','10301','RabbitMQ: Memory alarm','rabbitmq.node.mem_alarm','0','7d','365d','0','3','','','','',NULL,'83','','','0','','','','','0',NULL,'Does the host has memory alarm','0','30d','0','','29654','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29694','18','','10301','RabbitMQ: Memory limit','rabbitmq.node.mem_limit','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Memory usage high watermark in bytes','0','30d','0','','29654','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29695','18','','10301','RabbitMQ: Is running','rabbitmq.node.running','0','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'Is the node running or not','0','30d','0','','29654','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29696','18','','10301','RabbitMQ: Number of network partitions','rabbitmq.node.partitions','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of network partitions this node is seeing','0','30d','0','','29654','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29697','18','','10301','RabbitMQ: Sockets available','rabbitmq.node.sockets_total','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'File descriptors available for use as sockets','0','30d','0','','29654','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29698','18','','10301','RabbitMQ: Free disk space','rabbitmq.node.disk_free','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Current free disk space','0','30d','0','','29654','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29699','18','','10301','RabbitMQ: Runtime run queue','rabbitmq.node.run_queue','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Average number of Erlang processes waiting to run','0','30d','0','','29654','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29700','18','','10301','RabbitMQ: Disk free limit','rabbitmq.node.disk_free_limit','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Disk free space limit in bytes','0','30d','0','','29654','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29701','18','','10301','RabbitMQ: Sockets used','rabbitmq.node.sockets_used','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of file descriptors used as sockets','0','30d','0','','29654','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29703','18','','10301','Queues discovery','rabbitmq.queues.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Individual queue metrics','0','30d','1','','29661','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29720','18','','10301','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages','rabbitmq.queue.messages["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Count of the total messages in the queue','0','30d','0','','29661','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29721','18','','10301','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages delivered','rabbitmq.queue.messages.deliver["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Count of messages delivered in acknowledgement mode to consumers','0','30d','0','','29661','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29722','18','','10301','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages redelivered','rabbitmq.queue.messages.redeliver["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Count of subset of messages in deliver_get which had the redelivered flag set','0','30d','0','','29661','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29723','18','','10301','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages published per second','rabbitmq.queue.messages.publish.rate["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate per second of messages published','0','30d','0','','29661','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29724','18','','10301','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages published','rabbitmq.queue.messages.publish["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Count of messages published','0','30d','0','','29661','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29725','18','','10301','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages delivered per second','rabbitmq.queue.messages.deliver_get.rate["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate per second of the sum of messages delivered in acknowledgement mode to consumers, in no-acknowledgement mode to consumers, in acknowledgement mode in response to basic.get, and in no-acknowledgement mode in response to basic.get','0','30d','0','','29661','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29726','18','','10301','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages delivered','rabbitmq.queue.messages.deliver_get["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Sum of messages delivered in acknowledgement mode to consumers, in no-acknowledgement mode to consumers, in acknowledgement mode in response to basic.get, and in no-acknowledgement mode in response to basic.get','0','30d','0','','29661','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29727','18','','10301','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages delivered per second','rabbitmq.queue.messages.deliver.rate["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Count of messages delivered in acknowledgement mode to consumers','0','30d','0','','29661','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29728','18','','10301','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages acknowledged per second','rabbitmq.queue.messages.ack.rate["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number per second of messages delivered to clients and acknowledged','0','30d','0','','29661','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29729','18','','10301','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages per second','rabbitmq.queue.messages.rate["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Count per second of the total messages in the queue','0','30d','0','','29661','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29730','18','','10301','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages acknowledged','rabbitmq.queue.messages.ack["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of messages delivered to clients and acknowledged','0','30d','0','','29661','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29731','18','','10301','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages unacknowledged per second','rabbitmq.queue.messages_unacknowledged.rate["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number per second of messages delivered to clients but not yet acknowledged','0','30d','0','','29661','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29732','18','','10301','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages unacknowledged','rabbitmq.queue.messages_unacknowledged["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of messages delivered to clients but not yet acknowledged','0','30d','0','','29661','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29733','18','','10301','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages ready per second','rabbitmq.queue.messages_ready.rate["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number per second of messages ready to be delivered to clients','0','30d','0','','29661','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29734','18','','10301','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages ready','rabbitmq.queue.messages_ready["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of messages ready to be delivered to clients','0','30d','0','','29661','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29735','18','','10301','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Memory','rabbitmq.queue.memory["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Bytes of memory consumed by the Erlang process associated with the queue, including stack, heap and internal structures','0','30d','0','','29661','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29736','18','','10301','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Consumers','rabbitmq.queue.consumers["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of consumers','0','30d','0','','29661','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29737','18','','10301','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages redelivered per second','rabbitmq.queue.messages.redeliver.rate["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate per second of subset of messages in deliver_get which had the redelivered flag set','0','30d','0','','29661','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29738','19','','10302','RabbitMQ: Get overview','rabbitmq.get_overview','1m','1h','0','0','4','','','','',NULL,NULL,'','','1','{$RABBITMQ.API.USER}','{$RABBITMQ.API.PASSWORD}','','','0',NULL,'The HTTP API endpoint that returns cluster-wide metrics','0','30d','0','',NULL,'3s','{$RABBITMQ.API.SCHEME}://{HOST.CONN}:{$RABBITMQ.API.PORT}/api/overview','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29739','19','','10302','RabbitMQ: Get exchanges','rabbitmq.get_exchanges','1m','1h','0','0','4','','','','',NULL,NULL,'','','1','{$RABBITMQ.API.USER}','{$RABBITMQ.API.PASSWORD}','','','0',NULL,'The HTTP API endpoint that returns exchanges metrics','0','30d','0','',NULL,'3s','{$RABBITMQ.API.SCHEME}://{HOST.CONN}:{$RABBITMQ.API.PORT}/api/exchanges','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29741','19','','10303','RabbitMQ: Get nodes','rabbitmq.get_nodes','1m','1h','0','0','4','','','','',NULL,NULL,'','','1','{$RABBITMQ.API.USER}','{$RABBITMQ.API.PASSWORD}','','','0',NULL,'The HTTP API endpoint that returns nodes metrics','0','30d','0','',NULL,'3s','{$RABBITMQ.API.SCHEME}://{HOST.CONN}:{$RABBITMQ.API.PORT}/api/nodes/{$RABBITMQ.CLUSTER.NAME}@{HOST.NAME}?memory=true','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29742','3','','10303','RabbitMQ: Service ping','net.tcp.service[http,"{HOST.CONN}","{$RABBITMQ.API.PORT}"]','1m','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29743','3','','10303','RabbitMQ: Service response time','net.tcp.service.perf[http,"{HOST.CONN}","{$RABBITMQ.API.PORT}"]','1m','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29744','19','','10303','RabbitMQ: Healthcheck','rabbitmq.healthcheck','1m','7h','365d','0','3','','','','',NULL,'82','','','1','{$RABBITMQ.API.USER}','{$RABBITMQ.API.PASSWORD}','','','0',NULL,'Runs basic healthchecks in the current node. Checks that the rabbit application is running, channels and queues can be listed successfully, and that no alarms are in effect.','0','30d','0','',NULL,'3s','{$RABBITMQ.API.SCHEME}://{HOST.CONN}:{$RABBITMQ.API.PORT}/api/healthchecks/node','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29745','19','','10303','RabbitMQ: Get queues','rabbitmq.get_queues','1m','1h','0','0','4','','','','',NULL,NULL,'','','1','{$RABBITMQ.API.USER}','{$RABBITMQ.API.PASSWORD}','','','0',NULL,'The HTTP API endpoint that returns queues metrics','0','30d','0','',NULL,'3s','{$RABBITMQ.API.SCHEME}://{HOST.CONN}:{$RABBITMQ.API.PORT}/api/queues','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29746','18','','10302','RabbitMQ: Messages returned redeliver','rabbitmq.overview.messages.redeliver','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Count of subset of messages in deliver_get which had the redelivered flag set','0','30d','0','','29738','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29747','18','','10302','RabbitMQ: Messages returned unroutable per second','rabbitmq.overview.messages.return_unroutable.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Rate of messages returned to publisher as unroutable per second','0','30d','0','','29738','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29748','18','','10302','RabbitMQ: Messages returned unroutable','rabbitmq.overview.messages.return_unroutable','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Count of messages returned to publisher as unroutable','0','30d','0','','29738','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29749','18','','10302','RabbitMQ: Messages publish_out per second','rabbitmq.overview.messages.publish_out.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Rate of messages published from this overview into queues per second,0,rabbitmq,total msgs pub out rate','0','30d','0','','29738','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29750','18','','10302','RabbitMQ: Messages publish_out','rabbitmq.overview.messages.publish_out','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Count of messages published from this overview into queues','0','30d','0','','29738','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29751','18','','10302','RabbitMQ: Messages publish_in per second','rabbitmq.overview.messages.publish_in.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Rate of messages published from channels into this overview per sec','0','30d','0','','29738','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29752','18','','10302','RabbitMQ: Messages publish_in','rabbitmq.overview.messages.publish_in','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Count of messages published from channels into this overview','0','30d','0','','29738','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29753','18','','10302','RabbitMQ: Messages published per second','rabbitmq.overview.messages.publish.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Rate of messages published per second','0','30d','0','','29738','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29754','18','','10302','RabbitMQ: Messages published','rabbitmq.overview.messages.publish','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Count of messages published','0','30d','0','','29738','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29755','18','','10302','RabbitMQ: Messages delivered per second','rabbitmq.overview.messages.deliver_get.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Rate per second of the sum of messages delivered in acknowledgement mode to consumers, in no-acknowledgement mode to consumers, in acknowledgement mode in response to basic.get, and in no-acknowledgement mode in response to basic.get','0','30d','0','','29738','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29756','18','','10302','RabbitMQ: Messages delivered','rabbitmq.overview.messages.deliver_get','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Sum of messages delivered in acknowledgement mode to consumers, in no-acknowledgement mode to consumers, in acknowledgement mode in response to basic.get, and in no-acknowledgement mode in response to basic.get','0','30d','0','','29738','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29757','18','','10302','RabbitMQ: Messages confirmed per second','rabbitmq.overview.messages.confirm.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Rate of messages confirmed per second','0','30d','0','','29738','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29758','18','','10302','RabbitMQ: Messages confirmed','rabbitmq.overview.messages.confirm','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Count of messages confirmed','0','30d','0','','29738','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29759','18','','10302','RabbitMQ: Messages acknowledged per second','rabbitmq.overview.messages.ack.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Rate of messages delivered to clients and acknowledged per second','0','30d','0','','29738','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29760','18','','10302','RabbitMQ: Messages acknowledged','rabbitmq.overview.messages.ack','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of messages delivered to clients and acknowledged','0','30d','0','','29738','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29761','18','','10302','RabbitMQ: Messages unacknowledged','rabbitmq.overview.queue_totals.messages.unacknowledged','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of unacknowledged messages','0','30d','0','','29738','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29762','18','','10302','RabbitMQ: Messages ready for delivery','rabbitmq.overview.queue_totals.messages.ready','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of messages ready for deliver','0','30d','0','','29738','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29763','18','','10302','RabbitMQ: Messages total','rabbitmq.overview.queue_totals.messages','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of messages (ready plus unacknowledged)','0','30d','0','','29738','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29764','18','','10302','RabbitMQ: Exchanges total','rabbitmq.overview.object_totals.exchanges','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of exchanges','0','30d','0','','29738','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29765','18','','10302','RabbitMQ: Consumers total','rabbitmq.overview.object_totals.consumers','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of consumers','0','30d','0','','29738','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29766','18','','10302','RabbitMQ: Queues total','rabbitmq.overview.object_totals.queues','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of queues','0','30d','0','','29738','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29767','18','','10302','RabbitMQ: Channels total','rabbitmq.overview.object_totals.channels','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of channels','0','30d','0','','29738','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29768','18','','10302','RabbitMQ: Connections total','rabbitmq.overview.object_totals.connections','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of connections','0','30d','0','','29738','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29769','18','','10302','RabbitMQ: Messages returned redeliver per second','rabbitmq.overview.messages.redeliver.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Rate of subset of messages in deliver_get which had the redelivered flag set per second','0','30d','0','','29738','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29771','18','','10303','RabbitMQ: Number of network partitions','rabbitmq.node.partitions','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of network partitions this node is seeing','0','30d','0','','29741','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29772','18','','10303','RabbitMQ: Uptime','rabbitmq.node.uptime','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'Uptime in milliseconds','0','30d','0','','29741','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29773','18','','10303','RabbitMQ: Disk free alarm','rabbitmq.node.disk_free_alarm','0','7d','365d','0','3','','','','',NULL,'83','','','0','','','','','0',NULL,'Does the node have disk alarm','0','30d','0','','29741','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29774','18','','10303','RabbitMQ: Memory alarm','rabbitmq.node.mem_alarm','0','7d','365d','0','3','','','','',NULL,'83','','','0','','','','','0',NULL,'Does the host has memory alarm','0','30d','0','','29741','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29775','18','','10303','RabbitMQ: Is running','rabbitmq.node.running','0','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'Is the node running or not','0','30d','0','','29741','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29776','18','','10303','RabbitMQ: Sockets used','rabbitmq.node.sockets_used','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of file descriptors used as sockets','0','30d','0','','29741','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29777','18','','10303','RabbitMQ: Sockets available','rabbitmq.node.sockets_total','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'File descriptors available for use as sockets','0','30d','0','','29741','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29779','18','','10303','RabbitMQ: Runtime run queue','rabbitmq.node.run_queue','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Average number of Erlang processes waiting to run','0','30d','0','','29741','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29780','18','','10303','RabbitMQ: Memory used','rabbitmq.node.mem_used','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Memory used in bytes','0','30d','0','','29741','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29781','18','','10303','RabbitMQ: Disk free limit','rabbitmq.node.disk_free_limit','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Disk free space limit in bytes','0','30d','0','','29741','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29782','18','','10303','RabbitMQ: Free disk space','rabbitmq.node.disk_free','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Current free disk space','0','30d','0','','29741','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29783','18','','10303','RabbitMQ: Used file descriptors','rabbitmq.node.fd_used','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Used file descriptors','0','30d','0','','29741','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29784','18','','10303','RabbitMQ: Memory limit','rabbitmq.node.mem_limit','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Memory usage high watermark in bytes','0','30d','0','','29741','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29785','18','','10302','Exchanges discovery','rabbitmq.exchanges.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Individual exchange metrics','0','30d','1','','29739','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29786','18','','10303','Queues discovery','rabbitmq.queues.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Individual queue metrics','0','30d','1','','29745','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29787','18','','10302','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages acknowledged','rabbitmq.exchange.messages.ack["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of messages delivered to clients and acknowledged','0','30d','0','','29739','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29788','18','','10302','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages acknowledged per second','rabbitmq.exchange.messages.ack.rate["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate of messages delivered to clients and acknowledged per second','0','30d','0','','29739','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29789','18','','10302','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages confirmed','rabbitmq.exchange.messages.confirm["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Count of messages confirmed','0','30d','0','','29739','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29790','18','','10302','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages confirmed per second','rabbitmq.exchange.messages.confirm.rate["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate of messages confirmed per second','0','30d','0','','29739','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29791','18','','10302','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages delivered','rabbitmq.exchange.messages.deliver_get["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Sum of messages delivered in acknowledgement mode to consumers, in no-acknowledgement mode to consumers, in acknowledgement mode in response to basic.get, and in no-acknowledgement mode in response to basic.get','0','30d','0','','29739','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29792','18','','10302','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages delivered per second','rabbitmq.exchange.messages.deliver_get.rate["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate per second of the sum of messages delivered in acknowledgement mode to consumers, in no-acknowledgement mode to consumers, in acknowledgement mode in response to basic.get, and in no-acknowledgement mode in response to basic.get','0','30d','0','','29739','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29793','18','','10302','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages published','rabbitmq.exchange.messages.publish["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Count of messages published','0','30d','0','','29739','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29794','18','','10302','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages published per second','rabbitmq.exchange.messages.publish.rate["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate of messages published per second','0','30d','0','','29739','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29795','18','','10302','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages publish_in','rabbitmq.exchange.messages.publish_in["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Count of messages published from channels into this overview','0','30d','0','','29739','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29796','18','','10302','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages publish_in per second','rabbitmq.exchange.messages.publish_in.rate["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate of messages published from channels into this overview per sec','0','30d','0','','29739','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29797','18','','10302','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages publish_out','rabbitmq.exchange.messages.publish_out["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Count of messages published from this overview into queues','0','30d','0','','29739','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29798','18','','10302','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages publish_out per second','rabbitmq.exchange.messages.publish_out.rate["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate of messages published from this overview into queues per second,0,rabbitmq,total msgs pub out rate','0','30d','0','','29739','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29799','18','','10302','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages returned unroutable','rabbitmq.exchange.messages.return_unroutable["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Count of messages returned to publisher as unroutable','0','30d','0','','29739','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29800','18','','10302','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages returned unroutable per second','rabbitmq.exchange.messages.return_unroutable.rate["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate of messages returned to publisher as unroutable per second','0','30d','0','','29739','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29801','18','','10302','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages redelivered','rabbitmq.exchange.messages.redeliver["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Count of subset of messages in deliver_get which had the redelivered flag set','0','30d','0','','29739','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29802','18','','10302','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages redelivered per second','rabbitmq.exchange.messages.redeliver.rate["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate of subset of messages in deliver_get which had the redelivered flag set per second','0','30d','0','','29739','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29803','18','','10303','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages','rabbitmq.queue.messages["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Count of the total messages in the queue','0','30d','0','','29745','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29804','18','','10303','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages delivered','rabbitmq.queue.messages.deliver["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Count of messages delivered in acknowledgement mode to consumers','0','30d','0','','29745','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29805','18','','10303','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages redelivered','rabbitmq.queue.messages.redeliver["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Count of subset of messages in deliver_get which had the redelivered flag set','0','30d','0','','29745','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29806','18','','10303','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages published per second','rabbitmq.queue.messages.publish.rate["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate per second of messages published','0','30d','0','','29745','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29807','18','','10303','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages published','rabbitmq.queue.messages.publish["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Count of messages published','0','30d','0','','29745','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29808','18','','10303','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages delivered per second','rabbitmq.queue.messages.deliver_get.rate["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate per second of the sum of messages delivered in acknowledgement mode to consumers, in no-acknowledgement mode to consumers, in acknowledgement mode in response to basic.get, and in no-acknowledgement mode in response to basic.get','0','30d','0','','29745','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29809','18','','10303','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages delivered','rabbitmq.queue.messages.deliver_get["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Sum of messages delivered in acknowledgement mode to consumers, in no-acknowledgement mode to consumers, in acknowledgement mode in response to basic.get, and in no-acknowledgement mode in response to basic.get','0','30d','0','','29745','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29810','18','','10303','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages delivered per second','rabbitmq.queue.messages.deliver.rate["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Count of messages delivered in acknowledgement mode to consumers','0','30d','0','','29745','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29811','18','','10303','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages acknowledged per second','rabbitmq.queue.messages.ack.rate["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number per second of messages delivered to clients and acknowledged','0','30d','0','','29745','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29812','18','','10303','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages per second','rabbitmq.queue.messages.rate["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Count per second of the total messages in the queue','0','30d','0','','29745','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29813','18','','10303','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages acknowledged','rabbitmq.queue.messages.ack["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of messages delivered to clients and acknowledged','0','30d','0','','29745','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29814','18','','10303','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages unacknowledged per second','rabbitmq.queue.messages_unacknowledged.rate["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number per second of messages delivered to clients but not yet acknowledged','0','30d','0','','29745','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29815','18','','10303','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages unacknowledged','rabbitmq.queue.messages_unacknowledged["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of messages delivered to clients but not yet acknowledged','0','30d','0','','29745','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29816','18','','10303','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages ready per second','rabbitmq.queue.messages_ready.rate["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number per second of messages ready to be delivered to clients','0','30d','0','','29745','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29817','18','','10303','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages ready','rabbitmq.queue.messages_ready["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of messages ready to be delivered to clients','0','30d','0','','29745','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29818','18','','10303','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Memory','rabbitmq.queue.memory["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Bytes of memory consumed by the Erlang process associated with the queue, including stack, heap and internal structures','0','30d','0','','29745','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29819','18','','10303','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Consumers','rabbitmq.queue.consumers["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of consumers','0','30d','0','','29745','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29820','18','','10303','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages redelivered per second','rabbitmq.queue.messages.redeliver.rate["{#VHOST}/{#QUEUE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate per second of subset of messages in deliver_get which had the redelivered flag set','0','30d','0','','29745','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29821','18','','10261','Utilization of alert syncer internal processes, in %','process.alert_syncer.avg.busy','0','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','28539','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29822','5','','10047','Utilization of alert syncer internal processes, in %','zabbix[process,alert syncer,avg,busy]','1m','1w','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29824','20','1.3.6.1.2.1.1.3.0','10203','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29825','20','1.3.6.1.2.1.1.6.0','10203','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29826','20','1.3.6.1.2.1.1.4.0','10203','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29827','20','1.3.6.1.2.1.1.2.0','10203','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29828','20','1.3.6.1.2.1.1.1.0','10203','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29844','20','1.3.6.1.2.1.1.3.0','10204','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29845','20','1.3.6.1.2.1.1.6.0','10204','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29846','20','1.3.6.1.2.1.1.4.0','10204','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29847','20','1.3.6.1.2.1.1.2.0','10204','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29848','20','1.3.6.1.2.1.1.1.0','10204','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29994','20','1.3.6.1.4.1.232.6.1.3.0','10256','Overall system health status','system.status[cpqHeMibCondition.0]','30s','2w','0d','0','3','','','','',NULL,'54','','','0','','','','','0',NULL,'MIB: CPQHLTH-MIB
The overall condition. This object represents the overall status of the server information represented by this MIB.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29998','0','','10300','RabbitMQ: Get overview','web.page.get["http://{$RABBITMQ.API.USER}:{$RABBITMQ.API.PASSWORD}@{$RABBITMQ.API.CLUSTER_HOST}:{$RABBITMQ.API.PORT}/api/overview"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The HTTP API endpoint that returns cluster-wide metrics','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29999','0','','10300','RabbitMQ: Get exchanges','web.page.get["http://{$RABBITMQ.API.USER}:{$RABBITMQ.API.PASSWORD}@{$RABBITMQ.API.CLUSTER_HOST}:{$RABBITMQ.API.PORT}/api/exchanges"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The HTTP API endpoint that returns exchanges metrics','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30000','18','','10300','RabbitMQ: Messages returned redeliver','rabbitmq.overview.messages.redeliver','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Count of subset of messages in deliver_get which had the redelivered flag set','0','30d','0','','29998','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30001','18','','10300','RabbitMQ: Messages returned unroutable per second','rabbitmq.overview.messages.return_unroutable.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Rate of messages returned to publisher as unroutable per second','0','30d','0','','29998','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30002','18','','10300','RabbitMQ: Messages returned unroutable','rabbitmq.overview.messages.return_unroutable','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Count of messages returned to publisher as unroutable','0','30d','0','','29998','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30003','18','','10300','RabbitMQ: Messages publish_out per second','rabbitmq.overview.messages.publish_out.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Rate of messages published from this overview into queues per second,0,rabbitmq,total msgs pub out rate','0','30d','0','','29998','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30004','18','','10300','RabbitMQ: Messages publish_out','rabbitmq.overview.messages.publish_out','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Count of messages published from this overview into queues','0','30d','0','','29998','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30005','18','','10300','RabbitMQ: Messages publish_in per second','rabbitmq.overview.messages.publish_in.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Rate of messages published from channels into this overview per sec','0','30d','0','','29998','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30006','18','','10300','RabbitMQ: Messages publish_in','rabbitmq.overview.messages.publish_in','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Count of messages published from channels into this overview','0','30d','0','','29998','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30007','18','','10300','RabbitMQ: Messages published per second','rabbitmq.overview.messages.publish.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Rate of messages published per second','0','30d','0','','29998','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30008','18','','10300','RabbitMQ: Messages published','rabbitmq.overview.messages.publish','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Count of messages published','0','30d','0','','29998','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30009','18','','10300','RabbitMQ: Messages delivered per second','rabbitmq.overview.messages.deliver_get.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Rate per second of the sum of messages delivered in acknowledgement mode to consumers, in no-acknowledgement mode to consumers, in acknowledgement mode in response to basic.get, and in no-acknowledgement mode in response to basic.get','0','30d','0','','29998','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30010','18','','10300','RabbitMQ: Messages delivered','rabbitmq.overview.messages.deliver_get','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Sum of messages delivered in acknowledgement mode to consumers, in no-acknowledgement mode to consumers, in acknowledgement mode in response to basic.get, and in no-acknowledgement mode in response to basic.get','0','30d','0','','29998','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30011','18','','10300','RabbitMQ: Messages confirmed per second','rabbitmq.overview.messages.confirm.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Rate of messages confirmed per second','0','30d','0','','29998','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30012','18','','10300','RabbitMQ: Messages confirmed','rabbitmq.overview.messages.confirm','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Count of messages confirmed','0','30d','0','','29998','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30013','18','','10300','RabbitMQ: Messages acknowledged per second','rabbitmq.overview.messages.ack.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Rate of messages delivered to clients and acknowledged per second','0','30d','0','','29998','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30014','18','','10300','RabbitMQ: Messages acknowledged','rabbitmq.overview.messages.ack','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of messages delivered to clients and acknowledged','0','30d','0','','29998','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30015','18','','10300','RabbitMQ: Messages unacknowledged','rabbitmq.overview.queue_totals.messages.unacknowledged','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of unacknowledged messages','0','30d','0','','29998','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30016','18','','10300','RabbitMQ: Messages ready for delivery','rabbitmq.overview.queue_totals.messages.ready','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of messages ready for deliver','0','30d','0','','29998','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30017','18','','10300','RabbitMQ: Messages total','rabbitmq.overview.queue_totals.messages','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of messages (ready plus unacknowledged)','0','30d','0','','29998','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30018','18','','10300','RabbitMQ: Exchanges total','rabbitmq.overview.object_totals.exchanges','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of exchanges','0','30d','0','','29998','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30019','18','','10300','RabbitMQ: Consumers total','rabbitmq.overview.object_totals.consumers','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of consumers','0','30d','0','','29998','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30020','18','','10300','RabbitMQ: Queues total','rabbitmq.overview.object_totals.queues','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of queues','0','30d','0','','29998','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30021','18','','10300','RabbitMQ: Channels total','rabbitmq.overview.object_totals.channels','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of channels','0','30d','0','','29998','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30022','18','','10300','RabbitMQ: Connections total','rabbitmq.overview.object_totals.connections','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of connections','0','30d','0','','29998','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30023','18','','10300','RabbitMQ: Messages returned redeliver per second','rabbitmq.overview.messages.redeliver.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Rate of subset of messages in deliver_get which had the redelivered flag set per second','0','30d','0','','29998','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30024','18','','10301','RabbitMQ: Management plugin version','rabbitmq.node.overview.management_version','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Version of the management plugin in use','0','30d','0','','29653','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30025','18','','10301','RabbitMQ: RabbitMQ version','rabbitmq.node.overview.rabbitmq_version','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Version of RabbitMQ on the node which processed this request','0','30d','0','','29653','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30026','18','','10300','Exchanges discovery','rabbitmq.exchanges.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Individual exchange metrics','0','30d','1','','29999','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30027','18','','10300','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages acknowledged','rabbitmq.exchange.messages.ack["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of messages delivered to clients and acknowledged','0','30d','0','','29999','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30028','18','','10300','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages acknowledged per second','rabbitmq.exchange.messages.ack.rate["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate of messages delivered to clients and acknowledged per second','0','30d','0','','29999','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30029','18','','10300','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages confirmed','rabbitmq.exchange.messages.confirm["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Count of messages confirmed','0','30d','0','','29999','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30030','18','','10300','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages confirmed per second','rabbitmq.exchange.messages.confirm.rate["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate of messages confirmed per second','0','30d','0','','29999','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30031','18','','10300','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages delivered','rabbitmq.exchange.messages.deliver_get["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Sum of messages delivered in acknowledgement mode to consumers, in no-acknowledgement mode to consumers, in acknowledgement mode in response to basic.get, and in no-acknowledgement mode in response to basic.get','0','30d','0','','29999','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30032','18','','10300','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages delivered per second','rabbitmq.exchange.messages.deliver_get.rate["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate per second of the sum of messages delivered in acknowledgement mode to consumers, in no-acknowledgement mode to consumers, in acknowledgement mode in response to basic.get, and in no-acknowledgement mode in response to basic.get','0','30d','0','','29999','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30033','18','','10300','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages published','rabbitmq.exchange.messages.publish["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Count of messages published','0','30d','0','','29999','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30034','18','','10300','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages published per second','rabbitmq.exchange.messages.publish.rate["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate of messages published per second','0','30d','0','','29999','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30035','18','','10300','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages publish_in','rabbitmq.exchange.messages.publish_in["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Count of messages published from channels into this overview','0','30d','0','','29999','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30036','18','','10300','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages publish_in per second','rabbitmq.exchange.messages.publish_in.rate["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate of messages published from channels into this overview per sec','0','30d','0','','29999','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30037','18','','10300','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages publish_out','rabbitmq.exchange.messages.publish_out["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Count of messages published from this overview into queues','0','30d','0','','29999','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30038','18','','10300','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages publish_out per second','rabbitmq.exchange.messages.publish_out.rate["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate of messages published from this overview into queues per second,0,rabbitmq,total msgs pub out rate','0','30d','0','','29999','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30039','18','','10300','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages returned unroutable','rabbitmq.exchange.messages.return_unroutable["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Count of messages returned to publisher as unroutable','0','30d','0','','29999','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30040','18','','10300','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages returned unroutable per second','rabbitmq.exchange.messages.return_unroutable.rate["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate of messages returned to publisher as unroutable per second','0','30d','0','','29999','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30041','18','','10300','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages redelivered','rabbitmq.exchange.messages.redeliver["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Count of subset of messages in deliver_get which had the redelivered flag set','0','30d','0','','29999','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30042','18','','10300','RabbitMQ: Exchange {#VHOST}/{#EXCHANGE}/{#TYPE}: Messages redelivered per second','rabbitmq.exchange.messages.redeliver.rate["{#VHOST}/{#EXCHANGE}/{#TYPE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Rate of subset of messages in deliver_get which had the redelivered flag set per second','0','30d','0','','29999','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30043','19','','10303','RabbitMQ: Get node overview','rabbitmq.get_node_overview','1m','1h','0','0','4','','','','',NULL,NULL,'','','1','{$RABBITMQ.API.USER}','{$RABBITMQ.API.PASSWORD}','','','0',NULL,'The HTTP API endpoint that returns cluster-wide metrics','0','30d','0','',NULL,'3s','{$RABBITMQ.API.SCHEME}://{HOST.CONN}:{$RABBITMQ.API.PORT}/api/overview','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30044','18','','10303','RabbitMQ: Management plugin version','rabbitmq.node.overview.management_version','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Version of the management plugin in use','0','30d','0','','30043','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30045','18','','10303','RabbitMQ: RabbitMQ version','rabbitmq.node.overview.rabbitmq_version','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Version of RabbitMQ on the node which processed this request','0','30d','0','','30043','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30057','20','discovery[{#SENSOR_LOCATION},1.3.6.1.4.1.9.9.719.1.9.44.1.2]','10304','Temperature Discovery','temp.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30058','20','discovery[{#SENSOR_LOCATION},1.3.6.1.4.1.9.9.719.1.41.2.1.2]','10304','Temperature CPU Discovery','temp.cpu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30059','20','discovery[{#PSU_LOCATION},1.3.6.1.4.1.9.9.719.1.15.56.1.2]','10304','PSU Discovery','psu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30060','20','discovery[{#UNIT_LOCATION},1.3.6.1.4.1.9.9.719.1.9.35.1.2]','10304','Unit Discovery','unit.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30061','20','discovery[{#FAN_LOCATION},1.3.6.1.4.1.9.9.719.1.15.12.1.2]','10304','FAN Discovery','fan.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30062','20','discovery[{#DISK_LOCATION},1.3.6.1.4.1.9.9.719.1.45.4.1.2]','10304','Physical Disk Discovery','physicalDisk.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning table of physical drive entries CISCO-UNIFIED-COMPUTING-STORAGE-MIB::cucsStorageLocalDiskTable.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30063','20','discovery[{#VDISK_LOCATION},1.3.6.1.4.1.9.9.719.1.45.8.1.2]','10304','Virtual Disk Discovery','virtualdisk.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'CISCO-UNIFIED-COMPUTING-STORAGE-MIB::cucsStorageLocalLunTable','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30064','20','discovery[{#DISKARRAY_LOCATION},1.3.6.1.4.1.9.9.719.1.45.1.1.2]','10304','Array Controller Discovery','array.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning table of Array controllers: CISCO-UNIFIED-COMPUTING-STORAGE-MIB::cucsStorageControllerTable.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30065','20','discovery[{#DISKARRAY_CACHE_LOCATION},1.3.6.1.4.1.9.9.719.1.45.11.1.2]','10304','Array Controller Cache Discovery','array.cache.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning table of Array controllers: CISCO-UNIFIED-COMPUTING-STORAGE-MIB::cucsStorageControllerTable.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30066','20','1.3.6.1.4.1.9.9.719.1.9.44.1.4.{#SNMPINDEX}','10304','{#SENSOR_LOCATION}.Ambient: Temperature','sensor.temp.value[cucsComputeRackUnitMbTempStatsAmbientTemp.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CISCO-UNIFIED-COMPUTING-COMPUTE-MIB
Temperature readings of testpoint: {#SENSOR_LOCATION}.Ambient','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30067','20','1.3.6.1.4.1.9.9.719.1.9.44.1.8.{#SNMPINDEX}','10304','{#SENSOR_LOCATION}.Front: Temperature','sensor.temp.value[cucsComputeRackUnitMbTempStatsFrontTemp.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CISCO-UNIFIED-COMPUTING-COMPUTE-MIB
Cisco UCS compute:RackUnitMbTempStats:frontTemp managed object property','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30068','20','1.3.6.1.4.1.9.9.719.1.9.44.1.21.{#SNMPINDEX}','10304','{#SENSOR_LOCATION}.Rear: Temperature','sensor.temp.value[cucsComputeRackUnitMbTempStatsRearTemp.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CISCO-UNIFIED-COMPUTING-COMPUTE-MIB
Cisco UCS compute:RackUnitMbTempStats:rearTemp managed object property','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30069','20','1.3.6.1.4.1.9.9.719.1.9.44.1.13.{#SNMPINDEX}','10304','{#SENSOR_LOCATION}.IOH: Temperature','sensor.temp.value[cucsComputeRackUnitMbTempSltatsIoh1Temp.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CISCO-UNIFIED-COMPUTING-COMPUTE-MIB
Cisco UCS compute:RackUnitMbTempStats:ioh1Temp managed object property','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30070','20','1.3.6.1.4.1.9.9.719.1.41.2.1.10.{#SNMPINDEX}','10304','{#SENSOR_LOCATION}: Temperature','sensor.temp.value[cucsProcessorEnvStatsTemperature.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CISCO-UNIFIED-COMPUTING-PROCESSOR-MIB
Cisco UCS processor:EnvStats:temperature managed object property','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30071','20','1.3.6.1.4.1.9.9.719.1.15.56.1.7.{#SNMPINDEX}','10304','{#PSU_LOCATION}: Power supply status','sensor.psu.status[cucsEquipmentPsuOperState.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'84','','','0','','','','','2',NULL,'MIB: CISCO-UNIFIED-COMPUTING-EQUIPMENT-MIB
Cisco UCS equipment:Psu:operState managed object property','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30072','20','1.3.6.1.4.1.9.9.719.1.9.35.1.42.{#SNMPINDEX}','10304','{#UNIT_LOCATION}: Overall system health status','system.status[cucsComputeRackUnitOperState.{#SNMPINDEX}]','30s','2w','0d','0','3','','','','',NULL,'85','','','0','','','','','2',NULL,'MIB: CISCO-UNIFIED-COMPUTING-COMPUTE-MIB
Cisco UCS compute:RackUnit:operState managed object property','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30073','20','1.3.6.1.4.1.9.9.719.1.9.35.1.32.{#SNMPINDEX}','10304','{#UNIT_LOCATION}: Hardware model name','system.hw.model[cucsComputeRackUnitModel.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CISCO-UNIFIED-COMPUTING-COMPUTE-MIB
Cisco UCS compute:RackUnit:model managed object property','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30074','20','1.3.6.1.4.1.9.9.719.1.9.35.1.47.{#SNMPINDEX}','10304','{#UNIT_LOCATION}: Hardware serial number','system.hw.serialnumber[cucsComputeRackUnitSerial.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CISCO-UNIFIED-COMPUTING-COMPUTE-MIB
Cisco UCS compute:RackUnit:serial managed object property','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30075','20','1.3.6.1.4.1.9.9.719.1.15.12.1.9.{#SNMPINDEX}','10304','{#FAN_LOCATION}: Fan status','sensor.fan.status[cucsEquipmentFanOperState.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'84','','','0','','','','','2',NULL,'MIB: CISCO-UNIFIED-COMPUTING-EQUIPMENT-MIB
Cisco UCS equipment:Fan:operState managed object property','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30076','20','1.3.6.1.4.1.9.9.719.1.45.4.1.18.{#SNMPINDEX}','10304','{#DISK_LOCATION}: Physical disk status','system.hw.physicaldisk.status[cucsStorageLocalDiskDiskState.{#SNMPINDEX}]','3m','90d','0d','0','3','','','','',NULL,'86','','','0','','','','','2',NULL,'MIB: CISCO-UNIFIED-COMPUTING-STORAGE-MIB
Cisco UCS storage:LocalDisk:diskState managed object property.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30077','20','1.3.6.1.4.1.9.9.719.1.45.4.1.12.{#SNMPINDEX}','10304','{#DISK_LOCATION}: Physical disk model name','system.hw.physicaldisk.model[cucsStorageLocalDiskSerial.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CISCO-UNIFIED-COMPUTING-STORAGE-MIB
Cisco UCS storage:LocalDisk:serial managed object property. Actually returns part number code','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30078','20','1.3.6.1.4.1.9.9.719.1.45.4.1.7.{#SNMPINDEX}','10304','{#DISK_LOCATION}: Physical disk media type','system.hw.physicaldisk.media_type[cucsStorageLocalDiskModel.{#SNMPINDEX}]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CISCO-UNIFIED-COMPUTING-STORAGE-MIB
Cisco UCS storage:LocalDisk:model managed object property. Actually returns ''HDD'' or ''SSD''','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30079','20','1.3.6.1.4.1.9.9.719.1.45.4.1.13.{#SNMPINDEX}','10304','{#DISK_LOCATION}: Disk size','system.hw.physicaldisk.size[cucsStorageLocalDiskSize.{#SNMPINDEX}]','1h','2w','0d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CISCO-UNIFIED-COMPUTING-STORAGE-MIB
Cisco UCS storage:LocalDisk:size managed object property. In MB.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30080','20','1.3.6.1.4.1.9.9.719.1.45.8.1.10.{#SNMPINDEX}','10304','{#VDISK_LOCATION}: Status','system.hw.virtualdisk.status[cucsStorageLocalLunPresence.{#SNMPINDEX}]','3m','2w','365d','0','3','','','','',NULL,'88','','','0','','','','','2',NULL,'MIB: CISCO-UNIFIED-COMPUTING-STORAGE-MIB
Cisco UCS storage:LocalLun:presence managed object property','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30081','20','1.3.6.1.4.1.9.9.719.1.45.8.1.14.{#SNMPINDEX}','10304','{#VDISK_LOCATION}: Layout type','system.hw.virtualdisk.layout[cucsStorageLocalLunType.{#SNMPINDEX}]','1h','2w','365d','0','3','','','','',NULL,'87','','','0','','','','','2',NULL,'MIB: CISCO-UNIFIED-COMPUTING-STORAGE-MIB
Cisco UCS storage:LocalLun:type managed object property','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30082','20','1.3.6.1.4.1.9.9.719.1.45.8.1.13.{#SNMPINDEX}','10304','{#VDISK_LOCATION}: Disk size','system.hw.virtualdisk.size[cucsStorageLocalLunSize.{#SNMPINDEX}]','1h','2w','0d','0','3','','B','','',NULL,'87','','','0','','','','','2',NULL,'MIB: CISCO-UNIFIED-COMPUTING-STORAGE-MIB
Cisco UCS storage:LocalLun:size managed object property in MB.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30083','20','1.3.6.1.4.1.9.9.719.1.45.1.1.6.{#SNMPINDEX}','10304','{#DISKARRAY_LOCATION}: Disk array controller status','system.hw.diskarray.status[cucsStorageControllerOperState.{#SNMPINDEX}]','1m','1w','0d','0','3','','','','',NULL,'84','','','0','','','','','2',NULL,'MIB: CISCO-UNIFIED-COMPUTING-STORAGE-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30084','20','1.3.6.1.4.1.9.9.719.1.45.1.1.5.{#SNMPINDEX}','10304','{#DISKARRAY_LOCATION}: Disk array controller model','system.hw.diskarray.model[cucsStorageControllerModel.{#SNMPINDEX}]','1d','90d','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: CISCO-UNIFIED-COMPUTING-STORAGE-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30085','20','1.3.6.1.4.1.9.9.719.1.45.11.1.9.{#SNMPINDEX}','10304','{#DISKARRAY_CACHE_LOCATION}: Disk array cache controller battery status','system.hw.diskarray.cache.battery.status[cucsStorageRaidBatteryOperability.{#SNMPINDEX}]','1m','1w','0d','0','3','','','','',NULL,'84','','','0','','','','','2',NULL,'MIB: CISCO-UNIFIED-COMPUTING-STORAGE-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30086','20','1.3.6.1.2.1.1.1.0','10207','Operating system','system.sw.os[sysDescr.0]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB','5','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30087','20','1.3.6.1.4.1.6527.3.1.2.1.1.10.0','10207','Available memory','vm.memory.available[sgiKbMemoryAvailable.0]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: TIMETRA-SYSTEM-MIB
The value of sgiKbMemoryAvailable indicates the amount of free memory, in kilobytes, in the overall system that is not allocated to memory pools, but is available in case a memory pool needs to grow.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30088','15','','10207','Total memory','vm.memory.total[snmp]','1m','7d','365d','0','3','','B','','',NULL,NULL,'last("vm.memory.available[sgiKbMemoryAvailable.0]")+last("vm.memory.used[sgiKbMemoryUsed.0]")','','0','','','','','0',NULL,'Total memory in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30089','15','','10207','Memory utilization','vm.memory.util[vm.memory.util.0]','1m','7d','365d','0','0','','%','','',NULL,NULL,'last("vm.memory.used[sgiKbMemoryUsed.0]")/(last("vm.memory.available[sgiKbMemoryAvailable.0]")+last("vm.memory.used[sgiKbMemoryUsed.0]"))*100','','0','','','','','0',NULL,'Memory utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30090','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.6527.3.1.2.2.1.5.1.6]','10207','PSU Discovery','psu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30091','20','1.3.6.1.4.1.6527.3.1.2.2.1.5.1.6.{#SNMPINDEX}','10207','#{#SNMPINDEX}: Power supply status','sensor.psu.status[tmnxChassisPowerSupply1Status.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'23','','','0','','','','','2',NULL,'MIB: TIMETRA-SYSTEM-MIB
The overall status of an equipped power supply. 
For AC multiple powersupplies, this represents the overall status of the first power supplyin the tray (or shelf).
For any other type, this represents the overall status of the power supply.
If tmnxChassisPowerSupply1Status is''deviceStateOk'', then all monitored statuses are ''deviceStateOk''.
A value of ''deviceStateFailed'' represents a condition where at least one monitored status is in a failed state.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30092','20','1.3.6.1.4.1.6527.3.1.2.2.1.5.1.7.{#SNMPINDEX}','10207','#{#SNMPINDEX}: Power supply status','sensor.psu.status[tmnxChassisPowerSupply2Status.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'23','','','0','','','','','2',NULL,'MIB: TIMETRA-SYSTEM-MIB
The overall status of an equipped power supply.
For AC multiple powersupplies, this represents the overall status of the second power supplyin the tray (or shelf).
For any other type, this field is unused and set to ''deviceNotEquipped''.
If tmnxChassisPowerSupply2Status is ''deviceStateOk'', then all monitored statuses are ''deviceStateOk''.
A value of ''deviceStateFailed'' represents a condition where at least one monitored status is in a failed state.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30093','20','1.3.6.1.4.1.1588.2.1.1.1.26.6.0','10208','Memory utilization','vm.memory.util[swMemUsage.0]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: SW-MIB
Memory utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30094','20','1.3.6.1.4.1.1991.1.1.2.1.53.0','10209','Memory utilization','vm.memory.util[snAgGblDynMemUtil.0]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: FOUNDRY-SN-AGENT-MIB
The system dynamic memory utilization, in unit of percentage.
Deprecated: Refer to snAgSystemDRAMUtil.
For NI platforms, refer to snAgentBrdMemoryUtil100thPercent','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30097','20','1.3.6.1.2.1.1.1.0','10216','Operating system','system.sw.os[sysDescr.0]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB','5','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30101','15','','10212','{#SNMPVALUE}: Memory utilization','vm.memory.util[vm.memory.util.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'last("vm.memory.used[ciscoMemoryPoolUsed.{#SNMPINDEX}]")/(last("vm.memory.free[ciscoMemoryPoolFree.{#SNMPINDEX}]")+last("vm.memory.used[ciscoMemoryPoolUsed.{#SNMPINDEX}]"))*100','','0','','','','','2',NULL,'Memory utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30105','20','1.3.6.1.4.1.6027.3.10.1.2.9.1.5.{#SNMPINDEX}','10221','#{#SNMPINDEX}: Memory utilization','vm.memory.util[chStackUnitMemUsageUtil.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: F10-S-SERIES-CHASSIS-MIB
Total memory usage in percentage.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30106','20','1.3.6.1.4.1.171.10.97.2.1.1.2.0','10222','Operating system','system.sw.os[mySystemSwVersion.0]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: MY-SYSTEM-MIB','5','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30107','20','1.3.6.1.4.1.171.10.97.2.35.1.1.1.3.{#SNMPINDEX}','10222','{#SNMPINDEX}: Memory utilization','vm.memory.util[myMemoryPoolCurrentUtilization.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: MY-MEMORY-MIB
This is the memory pool utilization currently.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30108','20','1.3.6.1.4.1.171.12.1.1.9.1.4.{#SNMPINDEX}','10223','#{#SNMPVALUE}: Memory utilization','vm.memory.util[agentDRAMutilization.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: DLINK-AGENT-MIB
The percentage of used DRAM memory of the total DRAM memory available.The value will be between 0%(idle) and 100%(very busy)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30109','20','1.3.6.1.4.1.1916.1.1.1.13.0','10224','Operating system','system.sw.os[extremePrimarySoftwareRev.0]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: EXTREME-SYSTEM-MIB
The software revision of the primary image stored in this device.
This string will have a zero length if the revision is unknown, invalid or not present.
This will also be reported in RMON2 probeSoftwareRev if this is the software image currently running in the device.','5','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30110','20','1.3.6.1.4.1.1916.1.32.2.2.1.3.{#SNMPINDEX}','10224','#{#SNMPVALUE}: Available memory','vm.memory.available[extremeMemoryMonitorSystemFree.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: EXTREME-SOFTWARE-MONITOR-MIB
Total amount of free memory in Kbytes in the system.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30111','15','','10224','#{#SNMPVALUE}: Memory utilization','vm.memory.util[{#SNMPVALUE}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'(last("vm.memory.total[extremeMemoryMonitorSystemTotal.{#SNMPINDEX}]") - last("vm.memory.available[extremeMemoryMonitorSystemFree.{#SNMPINDEX}]")) / last("vm.memory.total[extremeMemoryMonitorSystemTotal.{#SNMPINDEX}]") * 100','','0','','','','','2',NULL,'Memory utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30112','20','1.3.6.1.4.1.25506.2.6.1.1.1.1.8.{#SNMPINDEX}','10227','{#MODULE_NAME}: Memory utilization','vm.memory.util[hh3cEntityExtMemUsage.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: HH3C-ENTITY-EXT-MIB
The memory usage for the entity. This object indicates what
percent of memory are used.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30113','20','1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1.1.6.{#SNMPINDEX}','10250','#{#SNMPVALUE}: Available memory','vm.memory.available[hpLocalMemFreeBytes.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: NETSWITCH-MIB
The number of available (unallocated) bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30114','20','1.3.6.1.4.1.11.2.14.11.5.1.1.2.1.1.1.5.{#SNMPINDEX}','10250','#{#SNMPVALUE}: Total memory','vm.memory.total[hpLocalMemTotalBytes.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: NETSWITCH-MIB
The number of currently installed bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30115','15','','10250','#{#SNMPVALUE}: Memory utilization','vm.memory.util[snmp.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'last("vm.memory.used[hpLocalMemAllocBytes.{#SNMPINDEX}]")/last("vm.memory.total[hpLocalMemTotalBytes.{#SNMPINDEX}]")*100','','0','','','','','2',NULL,'Memory utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30116','20','1.3.6.1.4.1.2011.5.25.31.1.1.1.1.7.{#SNMPINDEX}','10229','{#ENT_NAME}: Memory utilization','vm.memory.util[hwEntityMemUsage.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: HUAWEI-ENTITY-EXTENT-MIB
The memory usage for the entity. This object indicates what percent of memory are used.
Reference: http://support.huawei.com/enterprise/KnowledgebaseReadAction.action?contentId=KB1000090234','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30117','20','1.3.6.1.2.1.1.1.0','10231','Operating system','system.sw.os[sysDescr.0]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB','5','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30118','20','1.3.6.1.4.1.2636.3.1.13.1.11.{#SNMPINDEX}','10231','{#SNMPVALUE}: Memory utilization','vm.memory.util[jnxOperatingBuffer.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: JUNIPER-MIB
The buffer pool utilization in percentage of this subject.  Zero if unavailable or inapplicable.
Reference: http://kb.juniper.net/library/CUSTOMERSERVICE/GLOBAL_JTAC/BK26199/SRX%20SNMP%20Monitoring%20Guide_v1.1.pdf','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30119','20','1.3.6.1.4.1.14988.1.1.4.4.0','10233','Operating system','system.sw.os[mtxrLicVersion.0]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: MIKROTIK-MIB
Software version','5','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30120','15','','10233','Memory utilization','vm.memory.util[memoryUsedPercentage.Memory]','1m','7d','365d','0','0','','%','','',NULL,NULL,'last("vm.memory.used[hrStorageUsed.Memory]")/last("vm.memory.total[hrStorageSize.Memory]")*100','','0','','','','','0',NULL,'Memory utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30121','20','1.3.6.1.4.1.4526.10.1.1.1.10.0','10234','Operating system','system.sw.os[agentInventoryOperatingSystem.0]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: FASTPATH-SWITCHING-MIB
Operating System running on this unit','5','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30122','20','1.3.6.1.4.1.4526.10.1.1.5.1.0','10234','Available memory','vm.memory.available[agentSwitchCpuProcessMemFree.0]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: FASTPATH-SWITCHING-MIB
The total memory freed for utilization.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30123','15','','10234','Memory utilization','vm.memory.util[memoryUsedPercentage.0]','1m','7d','365d','0','0','','%','','',NULL,NULL,'(last("vm.memory.total[agentSwitchCpuProcessMemAvailable.0]")-last("vm.memory.available[agentSwitchCpuProcessMemFree.0]"))/last("vm.memory.total[agentSwitchCpuProcessMemAvailable.0]")*100','','0','','','','','0',NULL,'Memory utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30124','20','1.3.6.1.4.1.27514.100.1.11.9.0','10235','Temperature','sensor.temp.value[switchTemperature.0]','3m','90d','365d','0','0','','°C','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: QTECH-MIB
Temperature readings of testpoint: __RESOURCE__','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30125','20','1.3.6.1.4.1.27514.100.1.3.0','10235','Operating system','system.sw.os[sysSoftwareVersion.0]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: QTECH-MIB','5','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30126','15','','10235','Memory utilization','vm.memory.util[vm.memory.util.0]','1m','7d','365d','0','0','','%','','',NULL,NULL,'last("vm.memory.used[switchMemoryBusy.0]")/last("vm.memory.total[switchMemorySize.0]")*100','','0','','','','','0',NULL,'Memory utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30127','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.27514.100.1.12.1.3]','10235','FAN Discovery','fan.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30128','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.27514.100.1.7.1.5]','10235','PSU Discovery','psu.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30129','20','1.3.6.1.4.1.27514.100.1.12.1.3.{#SNMPINDEX}','10235','{#SNMPINDEX}: Fan status','sensor.fan.status[sysFanStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'52','','','0','','','','','2',NULL,'MIB: QTECH-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30130','20','1.3.6.1.4.1.27514.100.1.7.1.5.{#SNMPINDEX}','10235','{#SNMPINDEX}: Power supply status','sensor.psu.status[sysPowerStatus.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','',NULL,'53','','','0','','','','','2',NULL,'MIB: QTECH-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30131','20','1.3.6.1.4.1.11863.6.4.1.2.1.1.2.{#SNMPINDEX}','10236','#{#SNMPVALUE}: Memory utilization','vm.memory.util[tpSysMonitorMemoryUtilization.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: TPLINK-SYSMONITOR-MIB
Displays the memory utilization.
Reference: http://www.tp-link.com/faq-1330.html','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30132','20','1.3.6.1.4.1.10002.1.1.1.1.3.0','10237','Memory (buffers)','vm.memory.buffers[memBuffer.0]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: FROGFOOT-RESOURCES-MIB
Memory used by kernel buffers (Buffers in /proc/meminfo)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30133','20','1.3.6.1.4.1.10002.1.1.1.1.4.0','10237','Memory (cached)','vm.memory.cached[memCache.0]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: FROGFOOT-RESOURCES-MIB
Memory used by the page cache and slabs (Cached and Slab in /proc/meminfo)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30134','20','1.3.6.1.4.1.10002.1.1.1.1.2.0','10237','Free memory','vm.memory.free[memFree.0]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: FROGFOOT-RESOURCES-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30135','20','1.3.6.1.4.1.10002.1.1.1.1.1.0','10237','Total memory','vm.memory.total[memTotal.0]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: FROGFOOT-RESOURCES-MIB
Total memory in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30136','15','','10237','Memory utilization','vm.memory.util[memoryUsedPercentage]','1m','7d','365d','0','0','','%','','',NULL,NULL,'(last("vm.memory.total[memTotal.0]")-(last("vm.memory.free[memFree.0]")+last("vm.memory.buffers[memBuffer.0]")+last("vm.memory.cached[memCache.0]")))/last("vm.memory.total[memTotal.0]")*100','','0','','','','','0',NULL,'Memory utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30137','0','','10286','CPU DPC time',E'perf_counter_en["\\Processor Information(_total)\\% DPC Time"]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'Processor DPC time is the time that a single processor spent receiving and servicing deferred procedure 
calls (DPCs). DPCs are interrupts that run at a lower priority than standard interrupts. % DPC Time is a 
component of % Privileged Time because DPCs are executed in privileged mode. If a high % DPC Time is 
sustained, there may be a processor bottleneck or an application or hardware related issue that can 
significantly diminish overall system performance.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30139','7','','10293','CPU DPC time',E'perf_counter_en["\\Processor Information(_total)\\% DPC Time"]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'Processor DPC time is the time that a single processor spent receiving and servicing deferred procedure 
calls (DPCs). DPCs are interrupts that run at a lower priority than standard interrupts. % DPC Time is a 
component of % Privileged Time because DPCs are executed in privileged mode. If a high % DPC Time is 
sustained, there may be a processor bottleneck or an application or hardware related issue that can 
significantly diminish overall system performance.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30141','20','1.3.6.1.4.1.674.10892.5.1.3.6.0','10255','Operating system','system.sw.os[systemOSName]','1h','2w','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: IDRAC-MIB-SMIv2
This attribute defines the name of the operating system that the hostis running.','5','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30142','20','discovery[{#CPU.UTIL},1.3.6.1.2.1.25.3.3.1.2]','10305','CPU utilization','system.cpu.util','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: HOST-RESOURCES-MIB
The average, over the last minute, of the percentage of time that processors was not idle.
Implementations may approximate this one minute smoothing period if necessary.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30147','20','discovery[{#MEMNAME},1.3.6.1.2.1.25.2.3.1.3,{#MEMTYPE},1.3.6.1.2.1.25.2.3.1.2,{#ALLOC_UNITS},1.3.6.1.2.1.25.2.3.1.4]','10306','Memory discovery','vm.memory.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'HOST-RESOURCES-MIB::hrStorage discovery with memory filter','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30148','20','discovery[{#FSNAME},1.3.6.1.2.1.25.2.3.1.3,{#FSTYPE},1.3.6.1.2.1.25.2.3.1.2,{#ALLOC_UNITS},1.3.6.1.2.1.25.2.3.1.4]','10307','Storage discovery','vfs.fs.discovery[snmp]','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'HOST-RESOURCES-MIB::hrStorage discovery with storage filter.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30157','20','1.3.6.1.2.1.25.2.3.1.5.{#SNMPINDEX}','10306','{#MEMNAME}: Total memory','vm.memory.total[hrStorageSize.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The size of the storage represented by this entry, in units of hrStorageAllocationUnits.
This object is writable to allow remote configuration of the size of the storage area in those cases where such an operation makes sense and is possible on the underlying system.
For example, the amount of main memory allocated to a buffer pool might be modified or the amount of disk space allocated to virtual memory might be modified.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30158','20','1.3.6.1.2.1.25.2.3.1.6.{#SNMPINDEX}','10306','{#MEMNAME}: Used memory','vm.memory.used[hrStorageUsed.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The amount of the storage represented by this entry that is allocated, in units of hrStorageAllocationUnits.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30159','15','','10306','{#MEMNAME}: Memory utilization','vm.memory.util[memoryUsedPercentage.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'last("vm.memory.used[hrStorageUsed.{#SNMPINDEX}]")/last("vm.memory.total[hrStorageSize.{#SNMPINDEX}]")*100','','0','','','','','2',NULL,'Memory utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30160','15','','10307','{#FSNAME}: Space utilization','vfs.fs.pused[storageUsedPercentage.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'(last("vfs.fs.used[hrStorageUsed.{#SNMPINDEX}]")/last("vfs.fs.total[hrStorageSize.{#SNMPINDEX}]"))*100','','0','','','','','2',NULL,'Space utilization in % for {#FSNAME}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30161','20','1.3.6.1.2.1.25.2.3.1.5.{#SNMPINDEX}','10307','{#FSNAME}: Total space','vfs.fs.total[hrStorageSize.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The size of the storage represented by this entry, in units of hrStorageAllocationUnits.
This object is writable to allow remote configuration of the size of the storage area in those cases where such an operation makes sense and is possible on the underlying system.
For example, the amount of main storage allocated to a buffer pool might be modified or the amount of disk space allocated to virtual storage might be modified.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30162','20','1.3.6.1.2.1.25.2.3.1.6.{#SNMPINDEX}','10307','{#FSNAME}: Used space','vfs.fs.used[hrStorageUsed.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The amount of the storage represented by this entry that is allocated, in units of hrStorageAllocationUnits.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30187','0','','10308','HAProxy: Service response time','net.tcp.service.perf["{$HAPROXY.STATS.SCHEME}","{HOST.CONN}","{$HAPROXY.STATS.PORT}"]','1m','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30188','0','','10308','HAProxy: Service status','net.tcp.service["{$HAPROXY.STATS.SCHEME}","{HOST.CONN}","{$HAPROXY.STATS.PORT}"]','1m','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30189','0','','10308','HAProxy: Get stats','web.page.get["{$HAPROXY.STATS.SCHEME}://{HOST.CONN}:{$HAPROXY.STATS.PORT}/{$HAPROXY.STATS.PATH};csv"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'HAProxy Statistics Report in CSV format','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30190','0','','10308','HAProxy: Get stats page','web.page.get["{$HAPROXY.STATS.SCHEME}://{HOST.CONN}:{$HAPROXY.STATS.PORT}/{$HAPROXY.STATS.PATH}"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'HAProxy Statistics Report HTML','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30191','18','','10308','HAProxy: Uptime','haproxy.uptime','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','30190','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30192','18','','10308','HAProxy: Version','haproxy.version','0','90d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','30190','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30193','18','','10308','BACKEND discovery','haproxy.backend.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery backends','0','30d','1','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30194','18','','10308','FRONTEND discovery','haproxy.frontend.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery frontends','0','30d','1','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30195','18','','10308','Servers discovery','haproxy.server.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery servers','0','30d','1','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30196','15','','10308','HAProxy Frontend {#PXNAME}: Session utilization','haproxy.frontend.sutil[{#PXNAME}:{#SVNAME}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'last(haproxy.frontend.scur[{#PXNAME}:{#SVNAME}]) / last(haproxy.frontend.slim[{#PXNAME}:{#SVNAME}]) * 100','','0','','','','','2',NULL,'Percentage of sessions used (scur / slim * 100).','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30197','18','','10308','HAProxy Backend {#PXNAME}: Responses denied per second','haproxy.backend.dresp.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Responses denied due to security concerns (ACL-restricted).','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30198','18','','10308','HAProxy Backend {#PXNAME}: Errors connection per second','haproxy.backend.econ.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of requests that encountered an error attempting to connect to a backend server.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30199','18','','10308','HAProxy Backend {#PXNAME}: Response errors per second','haproxy.backend.eresp.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of requests whose responses yielded an error','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30200','18','','10308','HAProxy Backend {#PXNAME}: Unassigned requests','haproxy.backend.qcur[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Current number of requests unassigned in queue.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30201','18','','10308','HAProxy Backend {#PXNAME}: Time in queue','haproxy.backend.qtime[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Average time spent in queue (in ms) for the last 1,024 requests','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30202','18','','10308','HAProxy Backend {#PXNAME}: Responses time','haproxy.backend.rtime[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Average backend response time (in ms) for the last 1,024 requests','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30203','18','','10308','HAProxy Backend {#PXNAME}: Status','haproxy.backend.status[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','2',NULL,'','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30204','18','','10308','HAProxy Backend {#PXNAME}: Redispatched requests per second','haproxy.backend.wredis.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of times a request was redispatched to a different backend.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30205','18','','10308','HAProxy Backend {#PXNAME}: Retried connections per second','haproxy.backend.wretr.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of times a connection was retried.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30206','18','','10308','HAProxy Frontend {#PXNAME}: Incoming traffic','haproxy.frontend.bin[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','0','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of bits received by the frontend','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30207','18','','10308','HAProxy Frontend {#PXNAME}: Outgoing traffic','haproxy.frontend.bout[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of bits sent by the frontend','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30208','18','','10308','HAProxy Frontend {#PXNAME}: Denied requests per second','haproxy.frontend.dreq.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Requests denied due to security concerns (ACL-restricted) per second.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30209','18','','10308','HAProxy Frontend {#PXNAME}: Request errors per second','haproxy.frontend.ereq.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of request errors per second.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30210','18','','10308','HAProxy Frontend {#PXNAME}: Number of responses with codes 1xx per second','haproxy.frontend.hrsp_1xx.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of informational HTTP responses per second.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30211','18','','10308','HAProxy Frontend {#PXNAME}: Number of responses with codes 2xx per second','haproxy.frontend.hrsp_2xx.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of successful HTTP responses per second.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30212','18','','10308','HAProxy Frontend {#PXNAME}: Number of responses with codes 3xx per second','haproxy.frontend.hrsp_3xx.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of HTTP redirections per second.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30213','18','','10308','HAProxy Frontend {#PXNAME}: Number of responses with codes 4xx per second','haproxy.frontend.hrsp_4xx.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of HTTP client errors per second.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30214','18','','10308','HAProxy Frontend {#PXNAME}: Number of responses with codes 5xx per second','haproxy.frontend.hrsp_5xx.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of HTTP server errors per second.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30215','18','','10308','HAProxy Frontend {#PXNAME}: Sessions rate','haproxy.frontend.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of sessions created per second','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30216','18','','10308','HAProxy Frontend {#PXNAME}: Requests rate','haproxy.frontend.req_rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'HTTP requests per second','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30217','18','','10308','HAProxy Frontend {#PXNAME}: Established sessions','haproxy.frontend.scur[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The current number of established sessions.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30218','18','','10308','HAProxy Frontend {#PXNAME}: Session limits','haproxy.frontend.slim[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The most simultaneous sessions that are allowed, as defined by the maxconn setting in the frontend.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30219','18','','10308','HAProxy {#PXNAME} {#SVNAME}: Responses denied per second','haproxy.server.dresp.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Responses denied due to security concerns (ACL-restricted).','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30220','18','','10308','HAProxy {#PXNAME} {#SVNAME}: Errors connection per second','haproxy.server.econ.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of requests that encountered an error attempting to connect to a backend server.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30221','18','','10308','HAProxy {#PXNAME} {#SVNAME}: Response errors per second','haproxy.server.eresp.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of requests whose responses yielded an error.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30222','18','','10308','HAProxy {#PXNAME} {#SVNAME}: Number of responses with codes 4xx per second','haproxy.server.hrsp_4xx.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of HTTP client errors per second.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30223','18','','10308','HAProxy {#PXNAME} {#SVNAME}: Number of responses with codes 5xx per second','haproxy.server.hrsp_5xx.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of HTTP server errors per second.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30224','18','','10308','HAProxy {#PXNAME} {#SVNAME}: Unassigned requests','haproxy.server.qcur[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Current number of requests unassigned in queue.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30225','18','','10308','HAProxy {#PXNAME} {#SVNAME}: Time in queue','haproxy.server.qtime[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Average time spent in queue (in ms) for the last 1,024 requests.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30226','18','','10308','HAProxy {#PXNAME} {#SVNAME}: Responses time','haproxy.server.rtime[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Average server response time (in ms) for the last 1,024 requests.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30227','18','','10308','HAProxy {#PXNAME} {#SVNAME}: Status','haproxy.server.status[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','2',NULL,'','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30228','18','','10308','HAProxy {#PXNAME} {#SVNAME}: Redispatched requests per second','haproxy.server.wredis.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of times a request was redispatched to a different backend.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30229','18','','10308','HAProxy {#PXNAME} {#SVNAME}: Retried connections per second','haproxy.server.wretr.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of times a connection was retried.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30230','19','','10309','HAProxy: Get stats','haproxy.get','1m','1h','0','0','4','','','','',NULL,NULL,'','','1','{$HAPROXY.USERNAME}','{$HAPROXY.PASSWORD}','','','0',NULL,'HAProxy Statistics Report in CSV format','0','30d','0','',NULL,'3s','{$HAPROXY.STATS.SCHEME}://{HOST.CONN}:{$HAPROXY.STATS.PORT}/{$HAPROXY.STATS.PATH};csv','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30231','19','','10309','HAProxy: Get stats page','haproxy.get_html','1m','1h','0','0','4','','','','',NULL,NULL,'','','1','{$HAPROXY.USERNAME}','{$HAPROXY.PASSWORD}','','','0',NULL,'HAProxy Statistics Report HTML','0','30d','0','',NULL,'3s','{$HAPROXY.STATS.SCHEME}://{HOST.CONN}:{$HAPROXY.STATS.PORT}/{$HAPROXY.STATS.PATH}','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30234','18','','10309','HAProxy: Uptime','haproxy.uptime','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','30231','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30235','18','','10309','HAProxy: Version','haproxy.version','0','90d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','30231','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30236','18','','10309','BACKEND discovery','haproxy.backend.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery backends','0','30d','1','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30237','18','','10309','FRONTEND discovery','haproxy.frontend.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery frontends','0','30d','1','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30238','18','','10309','Servers discovery','haproxy.server.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery servers','0','30d','1','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30239','15','','10309','HAProxy Frontend {#PXNAME}: Session utilization','haproxy.frontend.sutil[{#PXNAME}:{#SVNAME}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'last(haproxy.frontend.scur[{#PXNAME}:{#SVNAME}]) / last(haproxy.frontend.slim[{#PXNAME}:{#SVNAME}]) * 100','','0','','','','','2',NULL,'Percentage of sessions used (scur / slim * 100).','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30240','18','','10309','HAProxy Backend {#PXNAME}: Responses denied per second','haproxy.backend.dresp.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Responses denied due to security concerns (ACL-restricted).','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30241','18','','10309','HAProxy Backend {#PXNAME}: Errors connection per second','haproxy.backend.econ.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of requests that encountered an error attempting to connect to a backend server.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30242','18','','10309','HAProxy Backend {#PXNAME}: Response errors per second','haproxy.backend.eresp.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of requests whose responses yielded an error','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30243','18','','10309','HAProxy Backend {#PXNAME}: Unassigned requests','haproxy.backend.qcur[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Current number of requests unassigned in queue.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30244','18','','10309','HAProxy Backend {#PXNAME}: Time in queue','haproxy.backend.qtime[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Average time spent in queue (in ms) for the last 1,024 requests','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30245','18','','10309','HAProxy Backend {#PXNAME}: Responses time','haproxy.backend.rtime[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Average backend response time (in ms) for the last 1,024 requests','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30246','18','','10309','HAProxy Backend {#PXNAME}: Status','haproxy.backend.status[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','2',NULL,'','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30247','18','','10309','HAProxy Backend {#PXNAME}: Redispatched requests per second','haproxy.backend.wredis.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of times a request was redispatched to a different backend.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30248','18','','10309','HAProxy Backend {#PXNAME}: Retried connections per second','haproxy.backend.wretr.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of times a connection was retried.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30249','18','','10309','HAProxy Frontend {#PXNAME}: Incoming traffic','haproxy.frontend.bin[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','0','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of bits received by the frontend','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30250','18','','10309','HAProxy Frontend {#PXNAME}: Outgoing traffic','haproxy.frontend.bout[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of bits sent by the frontend','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30251','18','','10309','HAProxy Frontend {#PXNAME}: Denied requests per second','haproxy.frontend.dreq.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Requests denied due to security concerns (ACL-restricted) per second.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30252','18','','10309','HAProxy Frontend {#PXNAME}: Request errors per second','haproxy.frontend.ereq.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of request errors per second.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30253','18','','10309','HAProxy Frontend {#PXNAME}: Number of responses with codes 1xx per second','haproxy.frontend.hrsp_1xx.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of informational HTTP responses per second.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30254','18','','10309','HAProxy Frontend {#PXNAME}: Number of responses with codes 2xx per second','haproxy.frontend.hrsp_2xx.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of successful HTTP responses per second.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30255','18','','10309','HAProxy Frontend {#PXNAME}: Number of responses with codes 3xx per second','haproxy.frontend.hrsp_3xx.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of HTTP redirections per second.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30256','18','','10309','HAProxy Frontend {#PXNAME}: Number of responses with codes 4xx per second','haproxy.frontend.hrsp_4xx.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of HTTP client errors per second.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30257','18','','10309','HAProxy Frontend {#PXNAME}: Number of responses with codes 5xx per second','haproxy.frontend.hrsp_5xx.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of HTTP server errors per second.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30258','18','','10309','HAProxy Frontend {#PXNAME}: Sessions rate','haproxy.frontend.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of sessions created per second','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30259','18','','10309','HAProxy Frontend {#PXNAME}: Requests rate','haproxy.frontend.req_rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'HTTP requests per second','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30260','18','','10309','HAProxy Frontend {#PXNAME}: Established sessions','haproxy.frontend.scur[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The current number of established sessions.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30261','18','','10309','HAProxy Frontend {#PXNAME}: Session limits','haproxy.frontend.slim[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The most simultaneous sessions that are allowed, as defined by the maxconn setting in the frontend.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30262','18','','10309','HAProxy {#PXNAME} {#SVNAME}: Responses denied per second','haproxy.server.dresp.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Responses denied due to security concerns (ACL-restricted).','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30263','18','','10309','HAProxy {#PXNAME} {#SVNAME}: Errors connection per second','haproxy.server.econ.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of requests that encountered an error attempting to connect to a backend server.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30264','18','','10309','HAProxy {#PXNAME} {#SVNAME}: Response errors per second','haproxy.server.eresp.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of requests whose responses yielded an error.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30265','18','','10309','HAProxy {#PXNAME} {#SVNAME}: Number of responses with codes 4xx per second','haproxy.server.hrsp_4xx.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of HTTP client errors per second.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30266','18','','10309','HAProxy {#PXNAME} {#SVNAME}: Number of responses with codes 5xx per second','haproxy.server.hrsp_5xx.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of HTTP server errors per second.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30267','18','','10309','HAProxy {#PXNAME} {#SVNAME}: Unassigned requests','haproxy.server.qcur[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Current number of requests unassigned in queue.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30268','18','','10309','HAProxy {#PXNAME} {#SVNAME}: Time in queue','haproxy.server.qtime[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Average time spent in queue (in ms) for the last 1,024 requests.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30269','18','','10309','HAProxy {#PXNAME} {#SVNAME}: Responses time','haproxy.server.rtime[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Average server response time (in ms) for the last 1,024 requests.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30270','18','','10309','HAProxy {#PXNAME} {#SVNAME}: Status','haproxy.server.status[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','2',NULL,'','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30271','18','','10309','HAProxy {#PXNAME} {#SVNAME}: Redispatched requests per second','haproxy.server.wredis.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of times a request was redispatched to a different backend.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30272','18','','10309','HAProxy {#PXNAME} {#SVNAME}: Retried connections per second','haproxy.server.wretr.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of times a connection was retried.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30273','0','','10310','Redis: Ping','redis.ping["{$REDIS.CONN.URI}"]','1m','7h','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30274','0','','10310','Redis: Slowlog entries per second','redis.slowlog.count["{$REDIS.CONN.URI}"]','1m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30275','0','','10310','Redis: Get config','redis.config["{$REDIS.CONN.URI}"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30276','0','','10310','Redis: Get info','redis.info["{$REDIS.CONN.URI}"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30277','18','','10310','Redis: Blocked clients','redis.clients.blocked','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of connections waiting on a blocking call','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30278','18','','10310','Redis: TCP port','redis.server.tcp_port','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'TCP/IP listen port','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30279','18','','10310','Redis: Expired keys','redis.stats.expired_keys','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of key expiration events','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30280','18','','10310','Redis: Evicted keys','redis.stats.evicted_keys','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of evicted keys due to maxmemory limit','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30281','18','','10310','Redis: Uptime','redis.server.uptime','0','7d','365d','0','3','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of seconds since Redis server start','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30282','18','','10310','Redis: Redis mode','redis.server.redis_mode','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The server''s mode ("standalone", "sentinel" or "cluster")','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30283','18','','10310','Redis: Redis version','redis.server.redis_version','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Version of the Redis server','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30284','18','','10310','Redis: Instantaneous operations per sec','redis.stats.instantaneous_ops.rate','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of commands processed per second','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30285','18','','10310','Redis: Process id','redis.server.process_id','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'PID of the server process','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30286','18','','10310','Redis: Replication role','redis.replication.role','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Value is "master" if the instance is replica of no one, or "slave" if the instance is a replica of some master instance. Note that a replica can be master of another replica (chained replication).','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30287','18','','10310','Redis: Replication backlog size','redis.replication.repl_backlog_size','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Total size in bytes of the replication backlog buffer','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30288','18','','10310','Redis: Replication backlog history length','redis.replication.repl_backlog_histlen','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Amount of data in the backlog sync buffer','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30289','18','','10310','Redis: Instantaneous input bytes per second','redis.stats.instantaneous_input.rate','0','7d','365d','0','0','','Bps','','',NULL,NULL,'','','0','','','','','0',NULL,'The network''s read rate per second in KB/sec','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30290','18','','10310','Redis: Keyspace hits','redis.stats.keyspace_hits','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of successful lookup of keys in the main dictionary','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30291','18','','10310','Redis: Instantaneous output bytes per second','redis.stats.instantaneous_output.rate','0','7d','365d','0','0','','Bps','','',NULL,NULL,'','','0','','','','','0',NULL,'The network''s write rate per second in KB/sec','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30292','18','','10310','Redis: Replication backlog active','redis.replication.repl_backlog_active','0','7d','365d','0','3','','','','',NULL,'90','','','0','','','','','0',NULL,'Flag indicating replication backlog is active','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30293','18','','10310','Redis: Keyspace misses','redis.stats.keyspace_misses','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of failed lookup of keys in the main dictionary','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30294','18','','10310','Redis: Latest fork usec','redis.stats.latest_fork_usec','0','7d','365d','0','3','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'Duration of the latest fork operation in microseconds','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30295','18','','10310','Redis: Migrate cached sockets','redis.stats.migrate_cached_sockets','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of sockets open for MIGRATE purposes','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30296','18','','10310','Redis: Pubsub channels','redis.stats.pubsub_channels','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Global number of pub/sub channels with client subscriptions','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30297','18','','10310','Redis: Pubsub patterns','redis.stats.pubsub_patterns','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Global number of pub/sub pattern with client subscriptions','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30298','18','','10310','Redis: Rejected connections','redis.stats.rejected_connections','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of connections rejected because of maxclients limit','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30299','18','','10310','Redis: Sync full','redis.stats.sync_full','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of full resyncs with replicas','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30300','18','','10310','Redis: Sync partial err','redis.stats.sync_partial_err','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of denied partial resync requests','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30301','18','','10310','Redis: Sync partial ok','redis.stats.sync_partial_ok','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of accepted partial resync requests','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30302','18','','10310','Redis: Total commands processed','redis.stats.total_commands_processed','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of commands processed by the server','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30303','18','','10310','Redis: Total connections received','redis.stats.total_connections_received','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of connections accepted by the server','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30304','18','','10310','Redis: Total net input bytes','redis.stats.total_net_input_bytes','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'The total number of bytes read from the network','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30305','18','','10310','Redis: Replication backlog first byte offset','redis.replication.repl_backlog_first_byte_offset','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'The master offset of the replication backlog buffer','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30306','18','','10310','Redis: Connected slaves','redis.replication.connected_slaves','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of connected slaves','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30307','18','','10310','Redis: Master replication offset','redis.replication.master_repl_offset','0','7d','365d','0','3','','B','','',NULL,'91','','','0','','','','','0',NULL,'Replication offset reported by the master','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30308','18','','10310','Redis: Memory used RSS','redis.memory.used_memory_rss','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of bytes that Redis allocated as seen by the operating system','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30309','18','','10310','Redis: Max input buffer','redis.clients.max_input_buffer','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The biggest input buffer among current client connections','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30310','18','','10310','Redis: Max output buffer','redis.clients.max_output_buffer','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The biggest output buffer among current client connections','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30311','18','','10310','Redis: Cluster enabled','redis.cluster.enabled','0','7d','365d','0','3','','','','',NULL,'90','','','0','','','','','0',NULL,'Indicate Redis cluster is enabled','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30312','18','','10310','Redis: Max clients','redis.config.maxclients','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Max number of connected clients at the same time.
Once the limit is reached Redis will close all the new connections sending an error "max number of clients reached".','0','30d','0','','30275','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30313','18','','10310','Redis: CPU sys','redis.cpu.sys','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'System CPU consumed by the Redis server','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30314','18','','10310','Redis: CPU sys children','redis.cpu.sys_children','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'System CPU consumed by the background processes','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30315','18','','10310','Redis: CPU user','redis.cpu.user','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'User CPU consumed by the Redis server','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30316','18','','10310','Redis: CPU user children','redis.cpu.user_children','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'User CPU consumed by the background processes','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30317','18','','10310','Redis: Memory fragmentation ratio','redis.memory.fragmentation_ratio','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'This ratio is an indication of memory mapping efficiency:
  — Value over 1.0 indicate that memory fragmentation is very likely. Consider restarting the Redis server so the operating system can recover fragmented memory, especially with a ratio over 1.5.
  — Value under 1.0 indicate that Redis likely has insufficient memory available. Consider optimizing memory usage or adding more RAM.

Note: If your peak memory usage is much higher than your current memory usage, the memory fragmentation ratio may be unreliable.

https://redis.io/topics/memory-optimization','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30318','18','','10310','Redis: Memory used','redis.memory.used_memory','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of bytes allocated by Redis using its allocator','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30319','18','','10310','Redis: Memory used Lua','redis.memory.used_memory_lua','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Amount of memory used by the Lua engine','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30320','18','','10310','Redis: Memory used peak','redis.memory.used_memory_peak','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Peak memory consumed by Redis (in bytes)','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30321','18','','10310','Redis: AOF current rewrite time sec','redis.persistence.aof_current_rewrite_time_sec','0','7d','365d','0','0','','s','','',NULL,'92','','','0','','','','','0',NULL,'Duration of the on-going AOF rewrite operation if any','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30322','18','','10310','Redis: Connected clients','redis.clients.connected','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of connected clients','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30323','18','','10310','Redis: AOF enabled','redis.persistence.aof_enabled','0','7d','365d','0','3','','','','',NULL,'90','','','0','','','','','0',NULL,'Flag indicating AOF logging is activated','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30324','18','','10310','Redis: AOF last bgrewrite status','redis.persistence.aof_last_bgrewrite_status','0','7d','365d','0','3','','','','',NULL,'89','','','0','','','','','0',NULL,'Status of the last AOF rewrite operation','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30325','18','','10310','Redis: AOF last rewrite time sec','redis.persistence.aof_last_rewrite_time_sec','0','7d','365d','0','0','','s','','',NULL,'92','','','0','','','','','0',NULL,'Duration of the last AOF rewrite','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30326','18','','10310','Redis: AOF last write status','redis.persistence.aof_last_write_status','0','7d','365d','0','3','','','','',NULL,'89','','','0','','','','','0',NULL,'Status of the last write operation to the AOF','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30327','18','','10310','Redis: AOF rewrite in progress','redis.persistence.aof_rewrite_in_progress','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Flag indicating a AOF rewrite operation is on-going','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30328','18','','10310','Redis: AOF rewrite scheduled','redis.persistence.aof_rewrite_scheduled','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Flag indicating an AOF rewrite operation will be scheduled once the on-going RDB save is complete','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30329','18','','10310','Redis: Dump loading','redis.persistence.loading','0','7d','365d','0','3','','','','',NULL,'90','','','0','','','','','0',NULL,'Flag indicating if the load of a dump file is on-going','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30330','18','','10310','Redis: RDB bgsave in progress','redis.persistence.rdb_bgsave_in_progress','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'"1" if bgsave is in progress and "0" otherwise','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30331','18','','10310','Redis: RDB changes since last save','redis.persistence.rdb_changes_since_last_save','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of changes since the last background save','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30332','18','','10310','Redis: RDB current bgsave time sec','redis.persistence.rdb_current_bgsave_time_sec','0','7d','365d','0','0','','s','','',NULL,'92','','','0','','','','','0',NULL,'Duration of the on-going RDB save operation if any','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30333','18','','10310','Redis: RDB last bgsave status','redis.persistence.rdb_last_bgsave_status','0','7d','365d','0','3','','','','',NULL,'89','','','0','','','','','0',NULL,'Status of the last RDB save operation','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30334','18','','10310','Redis: RDB last bgsave time sec','redis.persistence.rdb_last_bgsave_time_sec','0','7d','365d','0','0','','s','','',NULL,'92','','','0','','','','','0',NULL,'Duration of the last bg_save operation','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30335','18','','10310','Redis: RDB last save time','redis.persistence.rdb_last_save_time','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Epoch-based timestamp of last successful RDB save','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30336','18','','10310','Redis: Total net output bytes','redis.stats.total_net_output_bytes','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'The total number of bytes written to the network','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30337','0','','10310','Process metrics discovery','proc.num["{$REDIS.LLD.PROCESS_NAME}"]','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Collect metrics by Zabbix agent if it exists','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30338','18','','10310','Keyspace discovery','redis.keyspace.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Individual keyspace metrics','0','30d','1','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30339','18','','10310','Version 4+ metrics discovery','redis.metrics.v4.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Additional metrics for versions 4+','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30340','18','','10310','Version 5+ metrics discovery','redis.metrics.v5.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Additional metrics for versions 5+','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30341','18','','10310','AOF metrics discovery','redis.persistence.aof.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'If AOF is activated, additional metrics will be added','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30342','18','','10310','Replication metrics discovery','redis.replication.master.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'If the instance is the master and the slaves are connected, additional metrics are provided','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30343','18','','10310','Slave metrics discovery','redis.replication.slave.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'If the instance is a replica, additional metrics are provided','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30344','0','','10310','Redis: CPU utilization','proc.cpu.util["{$REDIS.PROCESS_NAME}{#SINGLETON}"]','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'Process CPU utilization percentage.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30345','0','','10310','Redis: Memory usage (rss)','proc.mem["{$REDIS.PROCESS_NAME}{#SINGLETON}",,,,rss]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Resident set size memory used by process in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30346','0','','10310','Redis: Memory usage (vsize)','proc.mem["{$REDIS.PROCESS_NAME}{#SINGLETON}",,,,vsize]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Virtual memory size used by process in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30347','0','','10310','Redis: Number of processes running','proc.num["{$REDIS.PROCESS_NAME}{#SINGLETON}"]','1m','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30348','18','','10310','DB {#DB}: Average TTL','redis.db.avg_ttl["{#DB}"]','0','7d','365d','0','3','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Average TTL','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30349','18','','10310','DB {#DB}: Expires','redis.db.expires["{#DB}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of keys with an expiration','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30350','18','','10310','DB {#DB}: Keys','redis.db.keys["{#DB}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Total number of keys','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30351','18','','10310','Redis: Active defrag running{#SINGLETON}','redis.memory.active_defrag_running[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Flag indicating if active defragmentation is active','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30352','18','','10310','Redis: RDB last CoW size{#SINGLETON}','redis.persistence.rdb_last_cow_size[{#SINGLETON}]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'The size in bytes of copy-on-write allocations during the last RDB save operation','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30353','18','','10310','Redis: Expired time cap reached count{#SINGLETON}','redis.stats.expired_time_cap_reached_count[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30354','18','','10310','Redis: Expired stale %{#SINGLETON}','redis.stats.expired_stale_perc[{#SINGLETON}]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30355','18','','10310','Redis: Active defrag misses{#SINGLETON}','redis.stats.active_defrag_misses[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of aborted value reallocations started by the active defragmentation process','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30356','18','','10310','Redis: Active defrag key misses{#SINGLETON}','redis.stats.active_defrag_key_misses[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of keys that were skipped by the active defragmentation process','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30357','18','','10310','Redis: Active defrag key hits{#SINGLETON}','redis.stats.active_defrag_key_hits[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of keys that were actively defragmented','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30358','18','','10310','Redis: Active defrag hits{#SINGLETON}','redis.stats.active_defrag_hits[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of value reallocations performed by active the defragmentation process','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30359','18','','10310','Redis: Executable path{#SINGLETON}','redis.server.executable[{#SINGLETON}]','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The path to the server''s executable','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30360','18','','10310','Redis: Replication second offset{#SINGLETON}','redis.replication.second_repl_offset[{#SINGLETON}]','0','7d','365d','0','0','','B','','',NULL,'91','','','0','','','','','2',NULL,'Offset up to which replication IDs are accepted','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30361','18','','10310','Redis: AOF last CoW size{#SINGLETON}','redis.persistence.aof_last_cow_size[{#SINGLETON}]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'The size in bytes of copy-on-write allocations during the last AOF rewrite operation','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30362','18','','10310','Redis: Lazyfree pending objects{#SINGLETON}','redis.memory.lazyfree_pending_objects[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of objects waiting to be freed (as a result of calling UNLINK, or FLUSHDB and FLUSHALL with the ASYNC option)','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30363','18','','10310','Redis: Memory used startup{#SINGLETON}','redis.memory.used_memory_startup[{#SINGLETON}]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Initial amount of memory consumed by Redis at startup in bytes','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30364','18','','10310','Redis: Memory used peak %{#SINGLETON}','redis.memory.used_memory_peak_perc[{#SINGLETON}]','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'The percentage of used_memory_peak out of used_memory','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30365','18','','10310','Redis: Memory used overhead{#SINGLETON}','redis.memory.used_memory_overhead[{#SINGLETON}]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'The sum in bytes of all overheads that the server allocated for managing its internal data structures','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30366','18','','10310','Redis: Memory used dataset{#SINGLETON}','redis.memory.used_memory_dataset[{#SINGLETON}]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'The size in bytes of the dataset','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30367','18','','10310','Redis: Memory used dataset %{#SINGLETON}','redis.memory.used_memory_dataset_perc[{#SINGLETON}]','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'The percentage of used_memory_dataset out of the net memory usage (used_memory minus used_memory_startup)','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30368','18','','10310','Redis: Total system memory{#SINGLETON}','redis.memory.total_system_memory[{#SINGLETON}]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'The total amount of memory that the Redis host has','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30369','18','','10310','Redis: Max memory{#SINGLETON}','redis.memory.maxmemory[{#SINGLETON}]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Maximum amount of memory allocated to the Redisdb system','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30370','18','','10310','Redis: Max memory policy{#SINGLETON}','redis.memory.maxmemory_policy[{#SINGLETON}]','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The value of the maxmemory-policy configuration directive','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30371','18','','10310','Redis: Slave expires tracked keys{#SINGLETON}','redis.stats.slave_expires_tracked_keys[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of keys tracked for expiry purposes (applicable only to writable replicas)','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30372','18','','10310','Redis: Allocator active{#SINGLETON}','redis.memory.allocator_active[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30373','18','','10310','Redis: Memory clients normal{#SINGLETON}','redis.memory.mem_clients_normal[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30374','18','','10310','Redis: Memory RSS overhead ratio{#SINGLETON}','redis.memory.rss_overhead_ratio[{#SINGLETON}]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30375','18','','10310','Redis: Memory RSS overhead bytes{#SINGLETON}','redis.memory.rss_overhead_bytes[{#SINGLETON}]','0','7d','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30376','18','','10310','Redis: Memory replication backlog{#SINGLETON}','redis.memory.replication_backlog[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30377','18','','10310','Redis: Memory number of cached scripts{#SINGLETON}','redis.memory.number_of_cached_scripts[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30378','18','','10310','Redis: Memory not counted for evict{#SINGLETON}','redis.memory.not_counted_for_evict[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30379','18','','10310','Redis: Memory clients slaves{#SINGLETON}','redis.memory.mem_clients_slaves[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30380','18','','10310','Redis: Memory AOF buffer{#SINGLETON}','redis.memory.mem_aof_buffer[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Size of the AOF buffer','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30381','18','','10310','Redis: Allocator allocated{#SINGLETON}','redis.memory.allocator_allocated[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30382','18','','10310','Redis: Memory fragmentation bytes{#SINGLETON}','redis.memory.fragmentation_bytes[{#SINGLETON}]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30383','18','','10310','Redis: Allocator RSS ratio{#SINGLETON}','redis.memory.allocator_rss_ratio[{#SINGLETON}]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30384','18','','10310','Redis: Allocator RSS bytes{#SINGLETON}','redis.memory.allocator_rss_bytes[{#SINGLETON}]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30385','18','','10310','Redis: Allocator resident{#SINGLETON}','redis.memory.allocator_resident[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30386','18','','10310','Redis: Allocator fragmentation ratio{#SINGLETON}','redis.memory.allocator_frag_ratio[{#SINGLETON}]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30387','18','','10310','Redis: Allocator fragmentation bytes{#SINGLETON}','redis.memory.allocator_frag_bytes[{#SINGLETON}]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30388','18','','10310','Redis: Memory used scripts{#SINGLETON}','redis.memory.used_memory_scripts[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30389','18','','10310','Redis: AOF base size{#SINGLETON}','redis.persistence.aof_base_size[{#SINGLETON}]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'AOF file size on latest startup or rewrite','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30390','18','','10310','Redis: AOF buffer length{#SINGLETON}','redis.persistence.aof_buffer_length[{#SINGLETON}]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Size of the AOF buffer','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30391','18','','10310','Redis: AOF current size{#SINGLETON}','redis.persistence.aof_current_size[{#SINGLETON}]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'AOF current file size','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30392','18','','10310','Redis: AOF delayed fsync{#SINGLETON}','redis.persistence.aof_delayed_fsync[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Delayed fsync counter','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30393','18','','10310','Redis: AOF pending background I/O fsync{#SINGLETON}','redis.persistence.aof_pending_bio_fsync[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of fsync pending jobs in background I/O queue','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30394','18','','10310','Redis: AOF pending rewrite{#SINGLETON}','redis.persistence.aof_pending_rewrite[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,'90','','','0','','','','','2',NULL,'Flag indicating an AOF rewrite operation will','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30395','18','','10310','Redis: AOF rewrite buffer length{#SINGLETON}','redis.persistence.aof_rewrite_buffer_length[{#SINGLETON}]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Size of the AOF rewrite buffer','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30396','18','','10310','Redis slave {#SLAVE_IP}:{#SLAVE_PORT}: Replication lag in bytes','redis.replication.lag_bytes["{#SLAVE_IP}:{#SLAVE_PORT}"]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Replication lag in bytes','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30397','18','','10310','Redis: Master host{#SINGLETON}','redis.replication.master_host[{#SINGLETON}]','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Host or IP address of the master','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30398','18','','10310','Redis: Master last I/O seconds ago{#SINGLETON}','redis.replication.master_last_io_seconds_ago[{#SINGLETON}]','0','7d','365d','0','3','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of seconds since the last interaction with master','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30399','18','','10310','Redis: Master link status{#SINGLETON}','redis.replication.master_link_status[{#SINGLETON}]','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Status of the link (up/down)','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30400','18','','10310','Redis: Master port{#SINGLETON}','redis.replication.master_port[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Master listening TCP port','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30401','18','','10310','Redis: Master sync in progress{#SINGLETON}','redis.replication.master_sync_in_progress[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Indicate the master is syncing to the replica','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30402','18','','10310','Redis: Slave priority{#SINGLETON}','redis.replication.slave_priority[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The priority of the instance as a candidate for failover','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30403','18','','10310','Redis: Slave priority{#SINGLETON}','redis.replication.slave_read_only[{#SINGLETON}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Flag indicating if the replica is read-only','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30404','18','','10310','Redis: Slave replication offset{#SINGLETON}','redis.replication.slave_repl_offset[{#SINGLETON}]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'The replication offset of the replica instance','0','30d','0','','30276','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30405','20','discovery[{#CPU.UTIL},1.3.6.1.2.1.25.3.3.1.2]','10311','CPU utilization','system.cpu.util','1m','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'MIB: HOST-RESOURCES-MIB
The average, over the last minute, of the percentage of time that processors was not idle.
Implementations may approximate this one minute smoothing period if necessary.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30407','20','discovery[{#MEMNAME},1.3.6.1.2.1.25.2.3.1.3,{#MEMTYPE},1.3.6.1.2.1.25.2.3.1.2,{#ALLOC_UNITS},1.3.6.1.2.1.25.2.3.1.4]','10312','Memory discovery','vm.memory.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'HOST-RESOURCES-MIB::hrStorage discovery with memory filter','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30408','20','discovery[{#FSNAME},1.3.6.1.2.1.25.2.3.1.3,{#FSTYPE},1.3.6.1.2.1.25.2.3.1.2,{#ALLOC_UNITS},1.3.6.1.2.1.25.2.3.1.4]','10313','Storage discovery','vfs.fs.discovery[snmp]','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'HOST-RESOURCES-MIB::hrStorage discovery with storage filter.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30411','20','1.3.6.1.2.1.25.2.3.1.5.{#SNMPINDEX}','10312','{#MEMNAME}: Total memory','vm.memory.total[hrStorageSize.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The size of the storage represented by this entry, in units of hrStorageAllocationUnits.
This object is writable to allow remote configuration of the size of the storage area in those cases where such an operation makes sense and is possible on the underlying system.
For example, the amount of main memory allocated to a buffer pool might be modified or the amount of disk space allocated to virtual memory might be modified.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30412','20','1.3.6.1.2.1.25.2.3.1.6.{#SNMPINDEX}','10312','{#MEMNAME}: Used memory','vm.memory.used[hrStorageUsed.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The amount of the storage represented by this entry that is allocated, in units of hrStorageAllocationUnits.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30413','15','','10312','{#MEMNAME}: Memory utilization','vm.memory.util[memoryUsedPercentage.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'last("vm.memory.used[hrStorageUsed.{#SNMPINDEX}]")/last("vm.memory.total[hrStorageSize.{#SNMPINDEX}]")*100','','0','','','','','2',NULL,'Memory utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30414','15','','10313','{#FSNAME}: Space utilization','vfs.fs.pused[storageUsedPercentage.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'(last("vfs.fs.used[hrStorageUsed.{#SNMPINDEX}]")/last("vfs.fs.total[hrStorageSize.{#SNMPINDEX}]"))*100','','0','','','','','2',NULL,'Space utilization in % for {#FSNAME}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30415','20','1.3.6.1.2.1.25.2.3.1.5.{#SNMPINDEX}','10313','{#FSNAME}: Total space','vfs.fs.total[hrStorageSize.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The size of the storage represented by this entry, in units of hrStorageAllocationUnits.
This object is writable to allow remote configuration of the size of the storage area in those cases where such an operation makes sense and is possible on the underlying system.
For example, the amount of main storage allocated to a buffer pool might be modified or the amount of disk space allocated to virtual storage might be modified.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30416','20','1.3.6.1.2.1.25.2.3.1.6.{#SNMPINDEX}','10313','{#FSNAME}: Used space','vfs.fs.used[hrStorageUsed.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The amount of the storage represented by this entry that is allocated, in units of hrStorageAllocationUnits.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30423','0','','10314','Windows services discovery','service.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of Windows services of different types as defined in template''s macros.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30425','0','','10314','State of service "{#SERVICE.NAME}" ({#SERVICE.DISPLAYNAME})','service.info["{#SERVICE.NAME}",state]','1m','7d','365d','0','3','','','','',NULL,'3','','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30427','7','','10315','Windows services discovery','service.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of Windows services of different types as defined in template''s macros.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30429','7','','10315','State of service "{#SERVICE.NAME}" ({#SERVICE.DISPLAYNAME})','service.info["{#SERVICE.NAME}",state]','1m','7d','365d','0','3','','','','',NULL,'3','','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30431','0','','10316','MySQL: Version','mysql.version["{$MYSQL.HOST}","{$MYSQL.PORT}"]','15m','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30432','0','','10316','MySQL: Status','mysql.ping["{$MYSQL.HOST}","{$MYSQL.PORT}"]','1m','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30433','0','','10316','MySQL: Get status variables','mysql.get_status_variables["{$MYSQL.HOST}","{$MYSQL.PORT}"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The item gets server global status information.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30434','15','','10316','MySQL: Buffer pool utilization','mysql.buffer_pool_utilization','1m','7d','365d','0','0','','%','','',NULL,NULL,'( last(mysql.innodb_buffer_pool_pages_total) - 
last(mysql.innodb_buffer_pool_pages_free) ) / 
( last(mysql.innodb_buffer_pool_pages_total) + 
( last(mysql.innodb_buffer_pool_pages_total) = 0 ) ) * 100 * 
( last(mysql.innodb_buffer_pool_pages_total) > 0 )','','0','','','','','0',NULL,'Ratio of used to total pages in the buffer pool.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30435','15','','10316','MySQL: Buffer pool efficiency','mysql.buffer_pool_efficiency','1m','7d','365d','0','0','','%','','',NULL,NULL,'last(mysql.innodb_buffer_pool_reads) / 
( last(mysql.innodb_buffer_pool_read_requests) + 
( last(mysql.innodb_buffer_pool_read_requests) = 0 ) ) * 100 * 
( last(mysql.innodb_buffer_pool_read_requests) > 0 )','','0','','','','','0',NULL,'The item shows how effectively the buffer pool is serving reads.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30436','18','','10316','MySQL: InnoDB buffer pool reads','mysql.innodb_buffer_pool_reads','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of logical reads that InnoDB could not satisfy from the buffer pool, and had to read directly from disk.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30437','18','','10316','MySQL: InnoDB buffer pool reads per second','mysql.innodb_buffer_pool_reads.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of logical reads per second that InnoDB could not satisfy from the buffer pool, and had to read directly from disk.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30438','18','','10316','MySQL: InnoDB row lock time','mysql.innodb_row_lock_time','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'The total time spent in acquiring row locks for InnoDB tables, in milliseconds.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30439','18','','10316','MySQL: InnoDB row lock time max','mysql.innodb_row_lock_time_max','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'The maximum time to acquire a row lock for InnoDB tables, in milliseconds.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30440','18','','10316','MySQL: InnoDB row lock waits','mysql.innodb_row_lock_waits','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of times operations on InnoDB tables had to wait for a row lock.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30441','18','','10316','MySQL: Max used connections','mysql.max_used_connections','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The maximum number of connections that have been in use simultaneously since the server started.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30442','18','','10316','MySQL: Queries per second','mysql.queries.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of statements executed by the server. This variable includes statements executed within stored programs, unlike the Questions variable.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30443','18','','10316','MySQL: InnoDB buffer pool read requests','mysql.innodb_buffer_pool_read_requests','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of logical read requests.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30444','18','','10316','MySQL: Questions per second','mysql.questions.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of statements executed by the server. This includes only statements sent to the server by clients and not statements executed within stored programs, unlike the Queries variable.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30445','18','','10316','MySQL: Slow queries per second','mysql.slow_queries.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of queries that have taken more than long_query_time seconds.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30446','18','','10316','MySQL: Threads cached','mysql.threads_cached','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of threads in the thread cache.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30447','18','','10316','MySQL: Threads connected','mysql.threads_connected','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of currently open connections.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30448','18','','10316','MySQL: Threads created','mysql.threads_created','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of threads created to handle connections. If Threads_created is big, you may want to increase the thread_cache_size value. The cache miss rate can be calculated as Threads_created/Connections.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30449','18','','10316','MySQL: Threads running','mysql.threads_running','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of threads that are not sleeping.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30450','18','','10316','MySQL: Uptime','mysql.uptime','0','7d','365d','0','3','','uptime','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of seconds that the server has been up.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30451','18','','10316','MySQL: InnoDB buffer pool read requests per second','mysql.innodb_buffer_pool_read_requests.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of logical read requests per second.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30452','18','','10316','MySQL: InnoDB buffer pool pages total','mysql.innodb_buffer_pool_pages_total','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The total size of the InnoDB buffer pool, in pages.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30453','18','','10316','MySQL: Bytes received','mysql.bytes_received.rate','0','7d','365d','0','0','','Bps','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of bytes received from all clients.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30454','18','','10316','MySQL: Connection errors max connections per second','mysql.connection_errors_max_connections.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of refused connections due to the max_connections limit being reached.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30455','18','','10316','MySQL: Bytes sent','mysql.bytes_sent.rate','0','7d','365d','0','0','','Bps','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of bytes sent to all clients.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30456','18','','10316','MySQL: Command Delete per second','mysql.com_delete.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The Com_delete counter variable indicates the number of times the delete statement has been executed.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30457','18','','10316','MySQL: Command Insert per second','mysql.com_insert.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The Com_insert counter variable indicates the number of times the insert statement has been executed.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30458','18','','10316','MySQL: Command Select per second','mysql.com_select.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The Com_select counter variable indicates the number of times the select statement has been executed.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30459','18','','10316','MySQL: Command Update per second','mysql.com_update.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The Com_update counter variable indicates the number of times the update statement has been executed.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30460','18','','10316','MySQL: Connection errors accept per second','mysql.connection_errors_accept.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of errors that occurred during calls to accept() on the listening port.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30461','18','','10316','MySQL: Connection errors internal per second','mysql.connection_errors_internal.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of refused connections due to internal server errors, for example out of memory errors, or failed thread starts.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30462','18','','10316','MySQL: Connection errors peer address per second','mysql.connection_errors_peer_address.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of errors while searching for the connecting client IP address.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30463','18','','10316','MySQL: InnoDB buffer pool pages free','mysql.innodb_buffer_pool_pages_free','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The total size of the InnoDB buffer pool, in pages.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30464','18','','10316','MySQL: Connection errors select per second','mysql.connection_errors_select.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of errors during calls to select() or poll() on the listening port. The client would not necessarily have been rejected in these cases.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30465','18','','10316','MySQL: Connection errors tcpwrap per second','mysql.connection_errors_tcpwrap.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of connections the libwrap library refused.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30466','18','','10316','MySQL: Connections per second','mysql.connections.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of connection attempts (successful or not) to the MySQL server.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30467','18','','10316','MySQL: Created tmp tables on disk','mysql.created_tmp_disk_tables','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of internal on-disk temporary tables created by the server while executing statements.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30468','18','','10316','MySQL: Created tmp files on disk','mysql.created_tmp_files','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'How many temporary files mysqld has created.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30469','18','','10316','MySQL: Created tmp tables on memory','mysql.created_tmp_tables','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of internal temporary tables created by the server while executing statements.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30470','18','','10316','MySQL: Aborted connections per second','mysql.aborted_connects.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of failed attempts to connect to the MySQL server.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30471','18','','10316','MySQL: Aborted clients per second','mysql.aborted_clients.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of connections that were aborted because the client died without closing the connection properly.','0','30d','0','','30433','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30472','0','','10316','Databases discovery','mysql.db.discovery["{$MYSQL.HOST}","{$MYSQL.PORT}"]','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning databases in DBMS.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30473','0','','10316','Replication discovery','mysql.replication.discovery["{$MYSQL.HOST}","{$MYSQL.PORT}"]','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'If "show slave status" returns Master_Host, "Replication: *" items are created.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30474','0','','10316','MySQL: Size of database {#DBNAME}','mysql.dbsize["{$MYSQL.HOST}","{$MYSQL.PORT}","{#DBNAME}"]','5m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30475','0','','10316','MySQL: Replication Slave status {#MASTERHOST}','mysql.slave_status["{$MYSQL.HOST}","{$MYSQL.PORT}","{#MASTERHOST}"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The item gets status information on essential parameters of the slave threads.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30476','18','','10316','MySQL: Replication Seconds Behind Master {#MASTERHOST}','mysql.seconds_behind_master["{#MASTERHOST}"]','0','7d','365d','0','3','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of seconds that the slave SQL thread is behind processing the master binary log.
A high number (or an increasing one) can indicate that the slave is unable to handle events
from the master in a timely fashion.','0','30d','0','','30475','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30477','18','','10316','MySQL: Replication Slave IO Running {#MASTERHOST}','mysql.slave_io_running["{#MASTERHOST}"]','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Whether the I/O thread for reading the master''s binary log is running. 
Normally, you want this to be Yes unless you have not yet started replication or have 
explicitly stopped it with STOP SLAVE.','0','30d','0','','30475','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30478','18','','10316','MySQL: Replication Slave SQL Running {#MASTERHOST}','mysql.slave_sql_running["{#MASTERHOST}"]','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Whether the SQL thread for executing events in the relay log is running. 
As with the I/O thread, this should normally be Yes.','0','30d','0','','30475','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30479','11','','10317','MySQL: Get status variables','db.odbc.get[get_status_variables,"{$MYSQL.DSN}"]','1m','1h','0','0','4','','','','',NULL,NULL,'show global status','','0','{$MYSQL.USER}','{$MYSQL.PASSWORD}','','','0',NULL,'The item gets server global status information.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30480','11','','10317','MySQL: Version','db.odbc.select[version,"{$MYSQL.DSN}"]','15m','7d','0','0','1','','','','',NULL,NULL,'select version()','','0','{$MYSQL.USER}','{$MYSQL.PASSWORD}','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30481','11','','10317','MySQL: Status','db.odbc.select[ping,"{$MYSQL.DSN}"]','1m','7d','365d','0','3','','','','',NULL,'1','select "1"','','0','{$MYSQL.USER}','{$MYSQL.PASSWORD}','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30482','15','','10317','MySQL: Buffer pool efficiency','mysql.buffer_pool_efficiency','1m','7d','365d','0','0','','%','','',NULL,NULL,'last(mysql.innodb_buffer_pool_reads) / 
( last(mysql.innodb_buffer_pool_read_requests) + 
( last(mysql.innodb_buffer_pool_read_requests) = 0 ) ) * 100 * 
( last(mysql.innodb_buffer_pool_read_requests) > 0 )','','0','','','','','0',NULL,'The item shows how effectively the buffer pool is serving reads.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30483','15','','10317','MySQL: Buffer pool utilization','mysql.buffer_pool_utilization','1m','7d','365d','0','0','','%','','',NULL,NULL,'( last(mysql.innodb_buffer_pool_pages_total) - 
last(mysql.innodb_buffer_pool_pages_free) ) / 
( last(mysql.innodb_buffer_pool_pages_total) + 
( last(mysql.innodb_buffer_pool_pages_total) = 0 ) ) * 100 * 
( last(mysql.innodb_buffer_pool_pages_total) > 0 )','','0','','','','','0',NULL,'Ratio of used to total pages in the buffer pool.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30484','18','','10317','MySQL: InnoDB row lock waits','mysql.innodb_row_lock_waits','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of times operations on InnoDB tables had to wait for a row lock.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30485','18','','10317','MySQL: InnoDB buffer pool read requests','mysql.innodb_buffer_pool_read_requests','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of logical read requests.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30486','18','','10317','MySQL: InnoDB buffer pool read requests per second','mysql.innodb_buffer_pool_read_requests.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of logical read requests per second.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30487','18','','10317','MySQL: InnoDB buffer pool reads','mysql.innodb_buffer_pool_reads','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of logical reads that InnoDB could not satisfy from the buffer pool, and had to read directly from disk.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30488','18','','10317','MySQL: InnoDB buffer pool reads per second','mysql.innodb_buffer_pool_reads.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of logical reads per second that InnoDB could not satisfy from the buffer pool, and had to read directly from disk.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30489','18','','10317','MySQL: InnoDB row lock time','mysql.innodb_row_lock_time','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'The total time spent in acquiring row locks for InnoDB tables, in milliseconds.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30490','18','','10317','MySQL: InnoDB row lock time max','mysql.innodb_row_lock_time_max','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'The maximum time to acquire a row lock for InnoDB tables, in milliseconds.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30491','18','','10317','MySQL: Queries per second','mysql.queries.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of statements executed by the server. This variable includes statements executed within stored programs, unlike the Questions variable.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30492','18','','10317','MySQL: Max used connections','mysql.max_used_connections','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The maximum number of connections that have been in use simultaneously since the server started.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30493','18','','10317','MySQL: InnoDB buffer pool pages free','mysql.innodb_buffer_pool_pages_free','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The total size of the InnoDB buffer pool, in pages.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30494','18','','10317','MySQL: Questions per second','mysql.questions.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of statements executed by the server. This includes only statements sent to the server by clients and not statements executed within stored programs, unlike the Queries variable.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30495','18','','10317','MySQL: Slow queries per second','mysql.slow_queries.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of queries that have taken more than long_query_time seconds.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30496','18','','10317','MySQL: Threads cached','mysql.threads_cached','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of threads in the thread cache.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30497','18','','10317','MySQL: Threads connected','mysql.threads_connected','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of currently open connections.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30498','18','','10317','MySQL: Threads created','mysql.threads_created','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of threads created to handle connections. If Threads_created is big, you may want to increase the thread_cache_size value. The cache miss rate can be calculated as Threads_created/Connections.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30499','18','','10317','MySQL: Threads running','mysql.threads_running','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of threads that are not sleeping.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30500','18','','10317','MySQL: InnoDB buffer pool pages total','mysql.innodb_buffer_pool_pages_total','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The total size of the InnoDB buffer pool, in pages.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30501','18','','10317','MySQL: Created tmp tables on disk','mysql.created_tmp_disk_tables','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of internal on-disk temporary tables created by the server while executing statements.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30502','18','','10317','MySQL: Created tmp tables on memory','mysql.created_tmp_tables','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of internal temporary tables created by the server while executing statements.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30503','18','','10317','MySQL: Command Select per second','mysql.com_select.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The Com_select counter variable indicates the number of times the select statement has been executed.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30504','18','','10317','MySQL: Aborted clients per second','mysql.aborted_clients.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of connections that were aborted because the client died without closing the connection properly.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30505','18','','10317','MySQL: Aborted connections per second','mysql.aborted_connects.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of failed attempts to connect to the MySQL server.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30506','18','','10317','MySQL: Bytes received','mysql.bytes_received.rate','0','7d','365d','0','0','','Bps','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of bytes received from all clients.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30507','18','','10317','MySQL: Bytes sent','mysql.bytes_sent.rate','0','7d','365d','0','0','','Bps','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of bytes sent to all clients.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30508','18','','10317','MySQL: Command Delete per second','mysql.com_delete.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The Com_delete counter variable indicates the number of times the delete statement has been executed.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30509','18','','10317','MySQL: Command Insert per second','mysql.com_insert.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The Com_insert counter variable indicates the number of times the insert statement has been executed.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30510','18','','10317','MySQL: Command Update per second','mysql.com_update.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The Com_update counter variable indicates the number of times the update statement has been executed.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30511','18','','10317','MySQL: Created tmp files on disk','mysql.created_tmp_files','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'How many temporary files mysqld has created.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30512','18','','10317','MySQL: Connection errors accept per second','mysql.connection_errors_accept.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of errors that occurred during calls to accept() on the listening port.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30513','18','','10317','MySQL: Connection errors internal per second','mysql.connection_errors_internal.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of refused connections due to internal server errors, for example out of memory errors, or failed thread starts.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30514','18','','10317','MySQL: Connection errors max connections per second','mysql.connection_errors_max_connections.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of refused connections due to the max_connections limit being reached.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30515','18','','10317','MySQL: Connection errors peer address per second','mysql.connection_errors_peer_address.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of errors while searching for the connecting client IP address.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30516','18','','10317','MySQL: Connection errors select per second','mysql.connection_errors_select.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of errors during calls to select() or poll() on the listening port. The client would not necessarily have been rejected in these cases.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30517','18','','10317','MySQL: Connection errors tcpwrap per second','mysql.connection_errors_tcpwrap.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of connections the libwrap library refused.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30518','18','','10317','MySQL: Connections per second','mysql.connections.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of connection attempts (successful or not) to the MySQL server.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30519','18','','10317','MySQL: Uptime','mysql.uptime','0','7d','365d','0','3','','uptime','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of seconds that the server has been up.','0','30d','0','','30479','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30520','11','','10317','Databases discovery','db.odbc.discovery[databases,"{$MYSQL.DSN}"]','1h','90d','0','0','4','','','','',NULL,NULL,'show databases','','0','{$MYSQL.USER}','{$MYSQL.PASSWORD}','','','1',NULL,'Scanning databases in DBMS.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30521','11','','10317','Replication discovery','db.odbc.discovery[replication,"{$MYSQL.DSN}"]','1h','90d','0','0','4','','','','',NULL,NULL,'show slave status','','0','{$MYSQL.USER}','{$MYSQL.PASSWORD}','','','1',NULL,'If "show slave status" returns Master_Host, "Replication: *" items are created.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30522','11','','10317','MySQL: Size of database {#DATABASE}','db.odbc.select[{#DATABASE}_size,"{$MYSQL.DSN}"]','5m','7d','365d','0','3','','B','','',NULL,NULL,'SELECT COALESCE(SUM(DATA_LENGTH + INDEX_LENGTH),0) FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_SCHEMA="{#DATABASE}"','','0','{$MYSQL.USER}','{$MYSQL.PASSWORD}','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30523','11','','10317','MySQL: Replication Slave status {#MASTER_HOST}','db.odbc.get["{#MASTER_HOST}","{$MYSQL.DSN}"]','1m','1h','0','0','4','','','','',NULL,NULL,'show slave status','','0','{$MYSQL.USER}','{$MYSQL.PASSWORD}','','','2',NULL,'The item gets status information on essential parameters of the slave threads.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30524','18','','10317','MySQL: Replication Seconds Behind Master {#MASTER_HOST}','mysql.seconds_behind_master["{#MASTER_HOST}"]','0','7d','365d','0','3','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of seconds that the slave SQL thread is behind processing the master binary log.
A high number (or an increasing one) can indicate that the slave is unable to handle events
from the master in a timely fashion.','0','30d','0','','30523','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30525','18','','10317','MySQL: Replication Slave IO Running {#MASTER_HOST}','mysql.slave_io_running["{#MASTER_HOST}"]','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Whether the I/O thread for reading the master''s binary log is running. 
Normally, you want this to be Yes unless you have not yet started replication or have 
explicitly stopped it with STOP SLAVE.','0','30d','0','','30523','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30526','18','','10317','MySQL: Replication Slave SQL Running {#MASTER_HOST}','mysql.slave_sql_running["{#MASTER_HOST}"]','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Whether the SQL thread for executing events in the relay log is running. 
As with the I/O thread, this should normally be Yes.','0','30d','0','','30523','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30527','0','','10318','Docker: Get data_usage','docker.data_usage','1m','0','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30528','0','','10318','Docker: Get containers','docker.containers','1m','0','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30529','0','','10318','Docker: Get info','docker.info','1m','0','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30530','0','','10318','Docker: Ping','docker.ping','1m','7h','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30531','0','','10318','Docker: Get images','docker.images','1m','0','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30532','18','','10318','Docker: Architecture','docker.architecture','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30533','18','','10318','Docker: Live restore enabled','docker.live_restore.enabled','0','7d','365d','0','3','','','','',NULL,'93','','','0','','','','','0',NULL,'','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30534','18','','10318','Docker: Logging driver','docker.logging_driver','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30535','18','','10318','Docker: Memory limit enabled','docker.mem_limit.enabled','0','7d','365d','0','3','','','','',NULL,'93','','','0','','','','','0',NULL,'','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30536','18','','10318','Docker: Memory total','docker.mem.total','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30537','18','','10318','Docker: Name','docker.name','0','1h','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30538','18','','10318','Docker: NCPU','docker.ncpu','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30539','18','','10318','Docker: Nfd','docker.nfd','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of used File Descriptors','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30540','18','','10318','Docker: NEvents listener','docker.nevents_listener','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30541','18','','10318','Docker: Kernel version','docker.kernel_version','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30542','18','','10318','Docker: OomKill disabled','docker.oomkill.disabled','0','7d','365d','0','3','','','','',NULL,'93','','','0','','','','','0',NULL,'','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30543','18','','10318','Docker: Operating system','docker.operating_system','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30544','18','','10318','Docker: OS type','docker.os_type','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30545','18','','10318','Docker: Pids limit enabled','docker.pids_limit.enabled','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30546','18','','10318','Docker: Docker root dir','docker.root_dir','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30547','18','','10318','Docker: Server version','docker.server_version','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30548','18','','10318','Docker: Swap limit enabled','docker.swap_limit.enabled','0','7d','365d','0','3','','','','',NULL,'93','','','0','','','','','0',NULL,'','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30549','18','','10318','Docker: Layers size','docker.layers_size','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','30527','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30550','18','','10318','Docker: IPv4 Forwarding enabled','docker.ipv4_forwarding.enabled','0','7d','365d','0','3','','','','',NULL,'93','','','0','','','','','0',NULL,'','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30551','18','','10318','Docker: Kernel memory enabled','docker.kernel_mem.enabled','0','7d','365d','0','3','','','','',NULL,'93','','','0','','','','','0',NULL,'','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30552','18','','10318','Docker: CPU Set enabled','docker.cpu_set.enabled','0','7d','365d','0','3','','','','',NULL,'93','','','0','','','','','0',NULL,'https://docs.docker.com/config/containers/resource_constraints/#configure-the-default-cfs-scheduler','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30553','18','','10318','Docker: Containers size','docker.containers_size','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','30527','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30554','18','','10318','Docker: Containers paused','docker.containers.paused','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of containers paused on this host','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30555','18','','10318','Docker: Containers running','docker.containers.running','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of containers running on this host','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30556','18','','10318','Docker: Containers stopped','docker.containers.stopped','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of containers stopped on this host','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30557','18','','10318','Docker: Containers total','docker.containers.total','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Total number of containers on this host','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30558','18','','10318','Docker: CPU CFS Period enabled','docker.cpu_cfs_period.enabled','0','7d','365d','0','3','','','','',NULL,'93','','','0','','','','','0',NULL,'https://docs.docker.com/config/containers/resource_constraints/#configure-the-default-cfs-scheduler','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30559','18','','10318','Docker: CPU CFS Quota enabled','docker.cpu_cfs_quota.enabled','0','7d','365d','0','3','','','','',NULL,'93','','','0','','','','','0',NULL,'https://docs.docker.com/config/containers/resource_constraints/#configure-the-default-cfs-scheduler','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30560','18','','10318','Docker: CPU Shares enabled','docker.cpu_shares.enabled','0','7d','365d','0','3','','','','',NULL,'93','','','0','','','','','0',NULL,'https://docs.docker.com/config/containers/resource_constraints/#configure-the-default-cfs-scheduler','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30561','18','','10318','Docker: Kernel memory TCP enabled','docker.kernel_mem_tcp.enabled','0','7d','365d','0','3','','','','',NULL,'93','','','0','','','','','0',NULL,'','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30562','18','','10318','Docker: Debug enabled','docker.debug.enabled','0','7d','365d','0','3','','','','',NULL,'93','','','0','','','','','0',NULL,'','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30563','18','','10318','Docker: Default runtime','docker.default_runtime','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30564','18','','10318','Docker: Storage driver','docker.driver','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Docker storage driver 
 https://docs.docker.com/storage/storagedriver/','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30565','18','','10318','Docker: Goroutines','docker.goroutines','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of goroutines','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30566','18','','10318','Docker: Images size','docker.images_size','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','30527','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30567','18','','10318','Docker: Images available','docker.images.top_level','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of top-level images','0','30d','0','','30531','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30568','18','','10318','Docker: Images total','docker.images.total','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of images with intermediate image layers','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30569','18','','10318','Docker: Cgroup driver','docker.cgroup_driver','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','30529','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30570','18','','10318','Docker: Volumes size','docker.volumes_size','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','30527','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30571','0','','10318','Containers discovery','docker.containers.discovery[false]','15m','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery for containers metrics

Parameter:
true  - Returns all containers
false - Returns only running containers','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30572','0','','10318','Images discovery','docker.images.discovery','15m','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery for images metrics','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30573','0','','10318','Container {#NAME}: Get stats','docker.container_stats["{#NAME}"]','1m','0','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Get container stats based on resource usage','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30574','0','','10318','Container {#NAME}: Get info','docker.container_info["{#NAME}"]','1m','0','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Return low-level information about a container','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30575','18','','10318','Container {#NAME}: Online CPUs','docker.container_stats.online_cpus["{#NAME}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30573','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30576','18','','10318','Container {#NAME}: Memory commit bytes','docker.container_stats.memory.commit_bytes["{#NAME}"]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30573','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30577','18','','10318','Container {#NAME}: Memory commit peak bytes','docker.container_stats.memory.commit_peak_bytes["{#NAME}"]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30573','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30578','18','','10318','Container {#NAME}: Memory maximum usage','docker.container_stats.memory.max_usage["{#NAME}"]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30573','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30579','18','','10318','Container {#NAME}: Memory private working set','docker.container_stats.memory.private_working_set["{#NAME}"]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30573','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30580','18','','10318','Container {#NAME}: Memory usage','docker.container_stats.memory.usage["{#NAME}"]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30573','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30581','18','','10318','Container {#NAME}: Created','docker.container_info.created["{#NAME}"]','0','7d','365d','0','3','','unixtime','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30574','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30582','18','','10318','Container {#NAME}: CPU total usage per second','docker.container_stats.cpu_usage.total.rate["{#NAME}"]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30573','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30583','18','','10318','Container {#NAME}: Networks bytes received per second','docker.networks.rx_bytes["{#NAME}"]','0','7d','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30573','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30584','18','','10318','Container {#NAME}: Networks incoming packets dropped per second','docker.networks.rx_dropped["{#NAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30573','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30585','18','','10318','Container {#NAME}: Networks errors received per second','docker.networks.rx_errors["{#NAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30573','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30586','18','','10318','Container {#NAME}: Networks packets received per second','docker.networks.rx_packets["{#NAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30573','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30587','18','','10318','Container {#NAME}: Networks bytes sent per second','docker.networks.tx_bytes["{#NAME}"]','0','7d','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30573','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30588','18','','10318','Container {#NAME}: Networks outgoing packets dropped per second','docker.networks.tx_dropped["{#NAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30573','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30589','18','','10318','Container {#NAME}: Networks errors sent per second','docker.networks.tx_errors["{#NAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30573','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30590','18','','10318','Container {#NAME}: CPU usermode usage per second','docker.container_stats.cpu_usage.user.rate["{#NAME}"]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30573','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30591','18','','10318','Container {#NAME}: Throttling periods','docker.container_stats.cpu_usage.throttling_periods["{#NAME}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of periods with throttling active','0','30d','0','','30573','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30592','18','','10318','Container {#NAME}: Finished at','docker.container_info.finished["{#NAME}"]','0','7d','365d','0','0','','unixtime','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30574','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30593','18','','10318','Container {#NAME}: OOMKilled','docker.container_info.state.oomkilled["{#NAME}"]','0','7d','365d','0','3','','','','',NULL,'93','','','0','','','','','2',NULL,'','0','30d','0','','30574','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30594','18','','10318','Container {#NAME}: Image','docker.container_info.image["{#NAME}"]','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30528','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30595','18','','10318','Container {#NAME}: Restart count','docker.container_info.restart_count["{#NAME}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30574','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30596','18','','10318','Container {#NAME}: Started at','docker.container_info.started["{#NAME}"]','0','7d','365d','0','0','','unixtime','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30574','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30597','18','','10318','Container {#NAME}: Dead','docker.container_info.state.dead["{#NAME}"]','0','7d','365d','0','3','','','','',NULL,'93','','','0','','','','','2',NULL,'','0','30d','0','','30574','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30598','18','','10318','Container {#NAME}: Error','docker.container_info.state.error["{#NAME}"]','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30574','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30599','18','','10318','Container {#NAME}: Exit code','docker.container_info.state.exitcode["{#NAME}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30574','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30600','18','','10318','Container {#NAME}: Paused','docker.container_info.state.paused["{#NAME}"]','0','7d','365d','0','3','','','','',NULL,'93','','','0','','','','','2',NULL,'','0','30d','0','','30574','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30601','18','','10318','Container {#NAME}: Throttled time','docker.container_stats.cpu_usage.throttled_time["{#NAME}"]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Aggregate time the container was throttled for in nanoseconds','0','30d','0','','30573','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30602','18','','10318','Container {#NAME}: Pid','docker.container_info.state.pid["{#NAME}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30574','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30603','18','','10318','Container {#NAME}: Restarting','docker.container_info.state.restarting["{#NAME}"]','0','7d','365d','0','3','','','','',NULL,'93','','','0','','','','','2',NULL,'','0','30d','0','','30574','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30604','18','','10318','Container {#NAME}: Running','docker.container_info.state.running["{#NAME}"]','0','7d','365d','0','3','','','','',NULL,'93','','','0','','','','','2',NULL,'','0','30d','0','','30574','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30605','18','','10318','Container {#NAME}: Status','docker.container_info.state.status["{#NAME}"]','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30574','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30606','18','','10318','Container {#NAME}: CPU kernelmode usage per second','docker.container_stats.cpu_usage.kernel.rate["{#NAME}"]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30573','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30607','18','','10318','Container {#NAME}: Throttled periods','docker.container_stats.cpu_usage.throttled_periods["{#NAME}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of periods when the container hits its throttling limit','0','30d','0','','30573','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30608','18','','10318','Container {#NAME}: Networks packets sent per second','docker.networks.tx_packets["{#NAME}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30573','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30609','18','','10318','Image {#NAME}: Created','docker.image.created["{#ID}"]','0','7d','365d','0','3','','unixtime','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30531','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30610','18','','10318','Image {#NAME}: Size','docker.image.size["{#ID}"]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','','30531','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30611','0','','10319','Memcached: Ping','memcached.ping["{$MEMCACHED.CONN.URI}"]','1m','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30612','0','','10319','Memcached: Get status','memcached.stats["{$MEMCACHED.CONN.URI}"]','1m','0','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30613','18','','10319','Memcached: Commands: FLUSH per second','memcached.commands.flush.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The flush_all command invalidates all items in the database. This operation incurs a performance penalty and shouldn’t take place in production, so check your debug scripts.','0','30d','0','','30612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30614','18','','10319','Memcached: Bytes used','memcached.stats.bytes','0','7d','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Current number of bytes used to store items.','0','30d','0','','30612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30615','18','','10319','Memcached: Uptime','memcached.uptime','0','7d','365d','0','3','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of seconds since Memcached server start','0','30d','0','','30612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30616','18','','10319','Memcached: New items per second','memcached.stats.total_items.rate','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of new items stored per second.','0','30d','0','','30612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30617','18','','10319','Memcached: Threads','memcached.stats.threads','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of worker threads requested','0','30d','0','','30612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30618','18','','10319','Memcached: Misses per second','memcached.stats.misses.rate','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of missed GET requests (items requested but not found) per second.','0','30d','0','','30612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30619','18','','10319','Memcached: Hits per second','memcached.stats.hits.rate','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of successful GET requests (items requested and found) per second.','0','30d','0','','30612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30620','18','','10319','Memcached: Evictions per second','memcached.stats.evictions.rate','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'"An eviction is when an item that still has time to live is removed from the cache because a brand new item needs to be allocated.
The item is selected with a pseudo-LRU mechanism.
A high number of evictions coupled with a low hit rate means your application is setting a large number of keys that are never used again."','0','30d','0','','30612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30621','18','','10319','Memcached: Current number of items stored','memcached.stats.curr_items','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Current number of items stored by this instance.','0','30d','0','','30612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30622','18','','10319','Memcached: Written bytes per second','memcached.stats.bytes_written.rate','0','7d','365d','0','0','','Bps','','',NULL,NULL,'','','0','','','','','0',NULL,'The network''s read rate per second in B/sec','0','30d','0','','30612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30623','18','','10319','Memcached: Read bytes per second','memcached.stats.bytes_read.rate','0','7d','365d','0','0','','Bps','','',NULL,NULL,'','','0','','','','','0',NULL,'The network''s read rate per second in B/sec','0','30d','0','','30612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30624','18','','10319','Memcached: Process id','memcached.process_id','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'PID of the server process','0','30d','0','','30612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30625','18','','10319','Memcached: Commands: GET per second','memcached.commands.get.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of GET requests received by server per second.','0','30d','0','','30612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30626','18','','10319','Memcached: CPU user','memcached.cpu.user','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'User CPU consumed by the Memcached server','0','30d','0','','30612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30627','18','','10319','Memcached: CPU sys','memcached.cpu.sys','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'System CPU consumed by the Memcached server','0','30d','0','','30612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30628','18','','10319','Memcached: Throttled connections','memcached.connections.throttled.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of times a client connection was throttled. When sending GETs in batch mode and the connection contains too many requests (limited by -R parameter) the connection might be throttled to prevent starvation.','0','30d','0','','30612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30629','18','','10319','Memcached: Connection structures','memcached.connections.structures','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of  connection structures allocated by the server','0','30d','0','','30612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30630','18','','10319','Memcached: New connections per second','memcached.connections.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of connections opened per second','0','30d','0','','30612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30631','18','','10319','Memcached: Queued connections per second','memcached.connections.queued.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of times that memcached has hit its connections limit and disabled its listener','0','30d','0','','30612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30632','18','','10319','Memcached: Max connections','memcached.connections.max','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Max number of concurrent connections','0','30d','0','','30612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30633','18','','10319','Memcached: Open connections','memcached.connections.current','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of clients presently connected','0','30d','0','','30612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30634','18','','10319','Memcached: Maximum number of bytes','memcached.config.limit_maxbytes','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'Maximum number of bytes allowed in cache. You can adjust this setting via a config file or the command line while starting your Memcached server.','0','30d','0','','30612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30635','18','','10319','Memcached: Commands: SET per second','memcached.commands.set.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of SET requests received by server per second.','0','30d','0','','30612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30636','18','','10319','Memcached: Memcached version','memcached.version','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Version of the Memcached server','0','30d','0','','30612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30637','0','','10320','MySQL: Version','mysql.version["{$MYSQL.DSN}","{$MYSQL.USER}","{$MYSQL.PASSWORD}"]','15m','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30638','0','','10320','MySQL: Status','mysql.ping["{$MYSQL.DSN}","{$MYSQL.USER}","{$MYSQL.PASSWORD}"]','1m','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30639','0','','10320','MySQL: Get status variables','mysql.get_status_variables["{$MYSQL.DSN}","{$MYSQL.USER}","{$MYSQL.PASSWORD}"]','1m','0','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The item gets server global status information.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30640','15','','10320','MySQL: Buffer pool utilization','mysql.buffer_pool_utilization','1m','7d','365d','0','0','','%','','',NULL,NULL,'( last(mysql.innodb_buffer_pool_pages_total) - 
last(mysql.innodb_buffer_pool_pages_free) ) / 
( last(mysql.innodb_buffer_pool_pages_total) + 
( last(mysql.innodb_buffer_pool_pages_total) = 0 ) ) * 100 * 
( last(mysql.innodb_buffer_pool_pages_total) > 0 )','','0','','','','','0',NULL,'Ratio of used to total pages in the buffer pool.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30641','15','','10320','MySQL: Buffer pool efficiency','mysql.buffer_pool_efficiency','1m','7d','365d','0','0','','%','','',NULL,NULL,'last(mysql.innodb_buffer_pool_reads) / 
( last(mysql.innodb_buffer_pool_read_requests) + 
( last(mysql.innodb_buffer_pool_read_requests) = 0 ) ) * 100 * 
( last(mysql.innodb_buffer_pool_read_requests) > 0 )','','0','','','','','0',NULL,'The item shows how effectively the buffer pool is serving reads.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30642','18','','10320','MySQL: InnoDB buffer pool reads','mysql.innodb_buffer_pool_reads','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of logical reads that InnoDB could not satisfy from the buffer pool, and had to read directly from disk.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30643','18','','10320','MySQL: InnoDB buffer pool reads per second','mysql.innodb_buffer_pool_reads.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of logical reads per second that InnoDB could not satisfy from the buffer pool, and had to read directly from disk.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30644','18','','10320','MySQL: InnoDB row lock time','mysql.innodb_row_lock_time','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'The total time spent in acquiring row locks for InnoDB tables, in milliseconds.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30645','18','','10320','MySQL: InnoDB row lock time max','mysql.innodb_row_lock_time_max','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'The maximum time to acquire a row lock for InnoDB tables, in milliseconds.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30646','18','','10320','MySQL: InnoDB row lock waits','mysql.innodb_row_lock_waits','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of times operations on InnoDB tables had to wait for a row lock.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30647','18','','10320','MySQL: Max used connections','mysql.max_used_connections','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The maximum number of connections that have been in use simultaneously since the server started.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30648','18','','10320','MySQL: Queries per second','mysql.queries.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of statements executed by the server. This variable includes statements executed within stored programs, unlike the Questions variable.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30649','18','','10320','MySQL: InnoDB buffer pool read requests','mysql.innodb_buffer_pool_read_requests','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of logical read requests.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30650','18','','10320','MySQL: Questions per second','mysql.questions.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of statements executed by the server. This includes only statements sent to the server by clients and not statements executed within stored programs, unlike the Queries variable.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30651','18','','10320','MySQL: Slow queries per second','mysql.slow_queries.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of queries that have taken more than long_query_time seconds.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30652','18','','10320','MySQL: Threads cached','mysql.threads_cached','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of threads in the thread cache.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30653','18','','10320','MySQL: Threads connected','mysql.threads_connected','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of currently open connections.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30654','18','','10320','MySQL: Threads created','mysql.threads_created','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of threads created to handle connections. If Threads_created is big, you may want to increase the thread_cache_size value. The cache miss rate can be calculated as Threads_created/Connections.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30655','18','','10320','MySQL: Threads running','mysql.threads_running','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of threads that are not sleeping.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30656','18','','10320','MySQL: Uptime','mysql.uptime','0','7d','365d','0','3','','uptime','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of seconds that the server has been up.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30657','18','','10320','MySQL: InnoDB buffer pool read requests per second','mysql.innodb_buffer_pool_read_requests.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of logical read requests per second.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30658','18','','10320','MySQL: InnoDB buffer pool pages total','mysql.innodb_buffer_pool_pages_total','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The total size of the InnoDB buffer pool, in pages.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30659','18','','10320','MySQL: Bytes received','mysql.bytes_received.rate','0','7d','365d','0','0','','Bps','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of bytes received from all clients.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30660','18','','10320','MySQL: Connection errors max connections per second','mysql.connection_errors_max_connections.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of refused connections due to the max_connections limit being reached.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30661','18','','10320','MySQL: Bytes sent','mysql.bytes_sent.rate','0','7d','365d','0','0','','Bps','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of bytes sent to all clients.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30662','18','','10320','MySQL: Command Delete per second','mysql.com_delete.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The Com_delete counter variable indicates the number of times the delete statement has been executed.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30663','18','','10320','MySQL: Command Insert per second','mysql.com_insert.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The Com_insert counter variable indicates the number of times the insert statement has been executed.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30664','18','','10320','MySQL: Command Select per second','mysql.com_select.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The Com_select counter variable indicates the number of times the select statement has been executed.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30665','18','','10320','MySQL: Command Update per second','mysql.com_update.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The Com_update counter variable indicates the number of times the update statement has been executed.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30666','18','','10320','MySQL: Connection errors accept per second','mysql.connection_errors_accept.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of errors that occurred during calls to accept() on the listening port.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30667','18','','10320','MySQL: Connection errors internal per second','mysql.connection_errors_internal.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of refused connections due to internal server errors, for example out of memory errors, or failed thread starts.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30668','18','','10320','MySQL: Connection errors peer address per second','mysql.connection_errors_peer_address.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of errors while searching for the connecting client IP address.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30669','18','','10320','MySQL: InnoDB buffer pool pages free','mysql.innodb_buffer_pool_pages_free','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The total size of the InnoDB buffer pool, in pages.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30670','18','','10320','MySQL: Connection errors select per second','mysql.connection_errors_select.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of errors during calls to select() or poll() on the listening port. The client would not necessarily have been rejected in these cases.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30671','18','','10320','MySQL: Connection errors tcpwrap per second','mysql.connection_errors_tcpwrap.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of connections the libwrap library refused.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30672','18','','10320','MySQL: Connections per second','mysql.connections.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of connection attempts (successful or not) to the MySQL server.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30673','18','','10320','MySQL: Created tmp tables on disk','mysql.created_tmp_disk_tables','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of internal on-disk temporary tables created by the server while executing statements.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30674','18','','10320','MySQL: Created tmp files on disk','mysql.created_tmp_files','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'How many temporary files mysqld has created.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30675','18','','10320','MySQL: Created tmp tables on memory','mysql.created_tmp_tables','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of internal temporary tables created by the server while executing statements.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30676','18','','10320','MySQL: Aborted connections per second','mysql.aborted_connects.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of failed attempts to connect to the MySQL server.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30677','18','','10320','MySQL: Aborted clients per second','mysql.aborted_clients.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of connections that were aborted because the client died without closing the connection properly.','0','30d','0','','30639','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30678','0','','10320','Databases discovery','mysql.db.discovery["{$MYSQL.DSN}","{$MYSQL.USER}","{$MYSQL.PASSWORD}"]','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Scanning databases in DBMS.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30679','0','','10320','Replication discovery','mysql.replication.discovery["{$MYSQL.DSN}","{$MYSQL.USER}","{$MYSQL.PASSWORD}"]','1h','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'If "show slave status" returns Master_Host, "Replication: *" items are created.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30680','0','','10320','MySQL: Size of database {#DATABASE}','mysql.db.size["{$MYSQL.DSN}","{$MYSQL.USER}","{$MYSQL.PASSWORD}","{#DATABASE}"]','5m','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30681','0','','10320','MySQL: Replication Slave status {#MASTER_HOST}','mysql.replication.get_slave_status["{$MYSQL.DSN}","{$MYSQL.USER}","{$MYSQL.PASSWORD}","{#MASTER_HOST}"]','1m','1h','0','0','4','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The item gets status information on essential parameters of the slave threads.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30682','18','','10320','MySQL: Replication Seconds Behind Master {#MASTER_HOST}','mysql.replication.seconds_behind_master["{#MASTER_HOST}"]','0','7d','365d','0','3','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of seconds that the slave SQL thread is behind processing the master binary log.
A high number (or an increasing one) can indicate that the slave is unable to handle events
from the master in a timely fashion.','0','30d','0','','30681','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30683','18','','10320','MySQL: Replication Slave IO Running {#MASTER_HOST}','mysql.replication.slave_io_running["{#MASTER_HOST}"]','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Whether the I/O thread for reading the master''s binary log is running. 
Normally, you want this to be Yes unless you have not yet started replication or have 
explicitly stopped it with STOP SLAVE.','0','30d','0','','30681','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30684','18','','10320','MySQL: Replication Slave SQL Running {#MASTER_HOST}','mysql.replication.slave_sql_running["{#MASTER_HOST}"]','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Whether the SQL thread for executing events in the relay log is running. 
As with the I/O thread, this should normally be Yes.','0','30d','0','','30681','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30685','12','','10321','Get IPMI sensors','ipmi.get','1m','0','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The master item that receives all sensors with values for LLD and dependent elements from BMC.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30686','18','','10321','Discrete sensors discovery','ipmi.discrete.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of the discrete IPMI sensors.','0','30d','1','','30685','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30687','18','','10321','Threshold sensors discovery','ipmi.sensors.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery of the threshold IPMI sensors.','0','30d','1','','30685','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30688','18','','10321','IPMI: {#SENSOR_ID}','ipmi.state_text[{#SENSOR_ID}]','0','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','2',NULL,'It is a state of the discrete IPMI sensor.','0','30d','0','','30685','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30689','18','','10321','IPMI: {#SENSOR_ID}, {#SENSOR_UNIT}','ipmi.value[{#SENSOR_ID}]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'It is a state of the threshold IPMI sensor.','0','30d','0','','30685','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30690','3','','10322','ES: Service status','net.tcp.service["{$ELASTICSEARCH.SCHEME}","{HOST.CONN}","{$ELASTICSEARCH.PORT}"]','1m','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'Checks if the service is running and accepting TCP connections.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30691','19','','10322','ES: Get cluster stats','es.cluster.get_stats','1m','0h','0','0','4','','','','',NULL,NULL,'','','1','{$ELASTICSEARCH.USERNAME}','{$ELASTICSEARCH.PASSWORD}','','','0',NULL,'Returns cluster statistics.','0','30d','0','',NULL,'15s','{$ELASTICSEARCH.SCHEME}://{HOST.CONN}:{$ELASTICSEARCH.PORT}/_cluster/stats','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30692','3','','10322','ES: Service response time','net.tcp.service.perf["{$ELASTICSEARCH.SCHEME}","{HOST.CONN}","{$ELASTICSEARCH.PORT}"]','1m','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'Checks performance of the TCP service.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30693','19','','10322','ES: Get nodes stats','es.nodes.get_stats','1m','0h','0','0','4','','','','',NULL,NULL,'','','1','{$ELASTICSEARCH.USERNAME}','{$ELASTICSEARCH.PASSWORD}','','','0',NULL,'Returns cluster nodes statistics.','0','30d','0','',NULL,'30s','{$ELASTICSEARCH.SCHEME}://{HOST.CONN}:{$ELASTICSEARCH.PORT}/_nodes/stats','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30694','19','','10322','ES: Get cluster health','es.cluster.get_health','1m','0h','0','0','4','','','','',NULL,NULL,'','','1','{$ELASTICSEARCH.USERNAME}','{$ELASTICSEARCH.PASSWORD}','','','0',NULL,'Returns the health status of a cluster.','0','30d','0','',NULL,'15s','{$ELASTICSEARCH.SCHEME}://{HOST.CONN}:{$ELASTICSEARCH.PORT}/_cluster/health?timeout=5s','','','','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30695','18','','10322','ES: Number of non-deleted documents','es.indices.docs.count','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The total number of non-deleted documents across all primary shards assigned to the selected nodes.
This number is based on the documents in Lucene segments and may include the documents from nested fields.','0','30d','0','','30691','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30696','18','','10322','ES: Cluster uptime','es.nodes.jvm.max_uptime[{#ES.NODE}]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'Uptime duration in seconds since JVM has last started.','0','30d','0','','30691','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30697','18','','10322','ES: Total size of all file stores','es.nodes.fs.total_in_bytes','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'The total size in bytes of all file stores across all selected nodes.','0','30d','0','','30691','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30698','18','','10322','ES: Total available size to JVM in all file stores','es.nodes.fs.available_in_bytes','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'The total number of bytes available to JVM in the file stores across all selected nodes.
Depending on OS or process-level restrictions, this number may be less than nodes.fs.free_in_byes. 
This is the actual amount of free disk space the selected Elasticsearch nodes can use.','0','30d','0','','30691','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30699','18','','10322','ES: Nodes with the master role','es.nodes.count.master','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of selected nodes with the master role.','0','30d','0','','30691','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30700','18','','10322','ES: Nodes with the ingest role','es.nodes.count.ingest','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of selected nodes with the ingest role.','0','30d','0','','30691','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30701','18','','10322','ES: Nodes with the data role','es.nodes.count.data','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of selected nodes with the data role.','0','30d','0','','30691','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30702','18','','10322','ES: Delayed unassigned shards','es.cluster.delayed_unassigned_shards','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of shards whose allocation has been delayed by the timeout settings.','0','30d','0','','30694','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30703','18','','10322','ES: Indices with shards assigned to nodes','es.indices.count','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The total number of indices with shards assigned to the selected nodes.','0','30d','0','','30691','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30704','18','','10322','ES: Task max waiting in queue','es.cluster.task_max_waiting_in_queue','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'The time expressed in seconds since the earliest initiated task is waiting for being performed.','0','30d','0','','30694','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30705','18','','10322','ES: Cluster health status','es.cluster.status','0','7d','365d','0','3','','','','',NULL,'94','','','0','','','','','0',NULL,'Health status of the cluster, based on the state of its primary and replica shards. Statuses are:
green
All shards are assigned.
yellow
All primary shards are assigned, but one or more replica shards are unassigned. If a node in the cluster fails, some data could be unavailable until that node is repaired.
red
One or more primary shards are unassigned, so some data is unavailable. This can occur briefly during cluster startup as primary shards are assigned.','0','30d','0','','30694','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30706','18','','10322','ES: Number of relocating shards','es.cluster.relocating_shards','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of shards that are under relocation.','0','30d','0','','30694','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30707','18','','10322','ES: Number of pending tasks','es.cluster.number_of_pending_tasks','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of cluster-level changes that have not yet been executed.','0','30d','0','','30694','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30708','18','','10322','ES: Number of nodes','es.cluster.number_of_nodes','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of nodes within the cluster.','0','30d','0','','30694','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30709','18','','10322','ES: Number of data nodes','es.cluster.number_of_data_nodes','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of nodes that are dedicated to data nodes.','0','30d','0','','30694','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30710','18','','10322','ES: Number of initializing shards','es.cluster.initializing_shards','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of shards that are under initialization.','0','30d','0','','30694','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30711','18','','10322','ES: Inactive shards percentage','es.cluster.inactive_shards_percent_as_number','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','0',NULL,'The ratio of inactive shards in the cluster expressed as a percentage.','0','30d','0','','30694','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30712','18','','10322','ES: Number of unassigned shards','es.cluster.unassigned_shards','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of shards that are not allocated.','0','30d','0','','30694','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30713','19','','10322','Cluster nodes discovery','es.nodes.discovery','1h','90d','0','0','4','','','','',NULL,NULL,'','','1','{$ELASTICSEARCH.USERNAME}','{$ELASTICSEARCH.PASSWORD}','','','1',NULL,'Discovery ES cluster nodes.','0','30d','0','',NULL,'15s','{$ELASTICSEARCH.SCHEME}://{HOST.CONN}:{$ELASTICSEARCH.PORT}/_nodes/_all/nodes','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30714','15','','10322','ES {#ES.NODE}: Query latency','es.node.indices.search.query_latency[{#ES.NODE}]','1m','7d','365d','0','0','','ms','','',NULL,NULL,'last(es.node.indices.search.query_time_in_millis[{#ES.NODE}]) / 
( last(es.node.indices.search.query_total[{#ES.NODE}]) + (last(es.node.indices.search.query_total[{#ES.NODE}]) = 0) )','','0','','','','','2',NULL,'The average query latency calculated by sampling the total number of queries and the total elapsed time at regular intervals.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30715','15','','10322','ES {#ES.NODE}: Flush latency','es.node.indices.flush.latency[{#ES.NODE}]','1m','7d','365d','0','0','','ms','','',NULL,NULL,'last(es.node.indices.flush.total_time_in_millis[{#ES.NODE}]) / ( last(es.node.indices.flush.total[{#ES.NODE}]) + (last(es.node.indices.flush.total[{#ES.NODE}]) = 0) )','','0','','','','','2',NULL,'The average flush latency calculated from the available flush.total and flush.total_time_in_millis metrics.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30716','15','','10322','ES {#ES.NODE}: Indexing latency','es.node.indices.indexing.index_latency[{#ES.NODE}]','1m','7d','365d','0','0','','ms','','',NULL,NULL,'last(es.node.indices.indexing.index_time_in_millis[{#ES.NODE}]) / ( last(es.node.indices.indexing.index_total[{#ES.NODE}]) + (last(es.node.indices.indexing.index_total[{#ES.NODE}]) = 0) )','','0','','','','','2',NULL,'The average indexing latency calculated from the available index_total and index_time_in_millis metrics.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30717','15','','10322','ES {#ES.NODE}: Fetch latency','es.node.indices.search.fetch_latency[{#ES.NODE}]','1m','7d','365d','0','0','','ms','','',NULL,NULL,'last(es.node.indices.search.fetch_time_in_millis[{#ES.NODE}]) / ( last(es.node.indices.search.fetch_total[{#ES.NODE}]) + (last(es.node.indices.search.fetch_total[{#ES.NODE}]) = 0) )','','0','','','','','2',NULL,'The average fetch latency calculated by sampling the total number of fetches and the total elapsed time at regular intervals.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30718','18','','10322','ES {#ES.NODE}: Refresh thread pool active threads','es.node.thread_pool.refresh.active[{#ES.NODE}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of active threads in the refresh thread pool.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30719','18','','10322','ES {#ES.NODE}: Total number of query','es.node.indices.search.query_total[{#ES.NODE}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The total number of query operations.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30720','18','','10322','ES {#ES.NODE}: Rate of queries','es.node.indices.search.query.rate[{#ES.NODE}]','0','7d','365d','0','0','','rps','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of query operations per second.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30721','18','','10322','ES {#ES.NODE}: Amount of JVM heap committed','es.node.jvm.mem.heap_committed_in_bytes[{#ES.NODE}]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'The amount of memory, in bytes, available for use by the heap.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30722','18','','10322','ES {#ES.NODE}: Maximum JVM memory available for use','es.node.jvm.mem.heap_max_in_bytes[{#ES.NODE}]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'The maximum amount of memory, in bytes, available for use by the heap.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30723','18','','10322','ES {#ES.NODE}: Amount of JVM heap currently in use','es.node.jvm.mem.heap_used_in_bytes[{#ES.NODE}]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'The memory, in bytes, currently in use by the heap.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30724','18','','10322','ES {#ES.NODE}: Percent of JVM heap currently in use','es.node.jvm.mem.heap_used_percent[{#ES.NODE}]','0','7d','365d','0','0','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'The percentage of memory currently in use by the heap.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30725','18','','10322','ES {#ES.NODE}: Node uptime','es.node.jvm.uptime[{#ES.NODE}]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'JVM uptime in seconds.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30726','18','','10322','ES {#ES.NODE}: Total available size','es.node.fs.total.available_in_bytes[{#ES.NODE}]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'The total number of bytes available to this Java virtual machine on all file stores. 
Depending on OS or process level restrictions, this might appear less than fs.total.free_in_bytes. 
This is the actual amount of free disk space the Elasticsearch node can utilize.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30727','18','','10322','ES {#ES.NODE}: Refresh thread pool executor tasks completed','es.node.thread_pool.refresh.completed.rate[{#ES.NODE}]','0','7d','365d','0','0','','rps','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of tasks completed by the refresh thread pool executor.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30728','18','','10322','ES {#ES.NODE}: Time spent performing query','es.node.indices.search.query_time[{#ES.NODE}]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Time in seconds spent performing query operations for the last measuring span.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30729','18','','10322','ES {#ES.NODE}: Refresh thread pool executor tasks rejected','es.node.thread_pool.refresh.rejected.rate[{#ES.NODE}]','0','7d','365d','0','0','','rps','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of tasks rejected by the refresh thread pool executor.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30730','18','','10322','ES {#ES.NODE}: Search thread pool active threads','es.node.thread_pool.search.active[{#ES.NODE}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of active threads in the search thread pool.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30731','18','','10322','ES {#ES.NODE}: Search thread pool executor tasks completed','es.node.thread_pool.search.completed.rate[{#ES.NODE}]','0','7d','365d','0','0','','rps','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of tasks completed by the search thread pool executor.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30732','18','','10322','ES {#ES.NODE}: Search thread pool tasks in queue','es.node.thread_pool.search.queue[{#ES.NODE}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of tasks in queue for the search thread pool.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30733','18','','10322','ES {#ES.NODE}: Search thread pool executor tasks rejected','es.node.thread_pool.search.rejected.rate[{#ES.NODE}]','0','7d','365d','0','0','','rps','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of tasks rejected by the search thread pool executor.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30734','18','','10322','ES {#ES.NODE}: Write thread pool active threads','es.node.thread_pool.write.active[{#ES.NODE}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of active threads in the write thread pool.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30735','18','','10322','ES {#ES.NODE}: Write thread pool executor tasks completed','es.node.thread_pool.write.completed.rate[{#ES.NODE}]','0','7d','365d','0','0','','rps','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of tasks completed by the write thread pool executor.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30736','18','','10322','ES {#ES.NODE}: Write thread pool tasks in queue','es.node.thread_pool.write.queue[{#ES.NODE}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of tasks in queue for the write thread pool.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30737','18','','10322','ES {#ES.NODE}: Refresh thread pool tasks in queue','es.node.thread_pool.refresh.queue[{#ES.NODE}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of tasks in queue for the refresh thread pool.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30738','18','','10322','ES {#ES.NODE}: Current query operations','es.node.indices.search.query_current[{#ES.NODE}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of query operations currently running.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30739','18','','10322','ES {#ES.NODE}: Total time spent performing query','es.node.indices.search.query_time_in_millis[{#ES.NODE}]','0','7d','365d','0','3','','ms','','',NULL,NULL,'','','0','','','','','2',NULL,'Time in milliseconds spent performing query operations.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30740','18','','10322','ES {#ES.NODE}: Time spent throttling operations','es.node.indices.indexing.throttle_time[{#ES.NODE}]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Time in seconds spent throttling operations for the last measuring span.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30741','18','','10322','ES {#ES.NODE}: Number of open HTTP connections','es.node.http.current_open[{#ES.NODE}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of currently open HTTP connections for the node.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30742','18','','10322','ES {#ES.NODE}: Rate of HTTP connections opened','es.node.http.opened.rate[{#ES.NODE}]','0','7d','365d','0','0','','rps','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of HTTP connections opened for the node per second.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30743','18','','10322','ES {#ES.NODE}: Total time spent on flushing indices to disk','es.node.indices.flush.total_time_in_millis[{#ES.NODE}]','0','7d','365d','0','3','','ms','','',NULL,NULL,'','','0','','','','','2',NULL,'Total time in milliseconds spent performing flush operations.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30744','18','','10322','ES {#ES.NODE}: Total number of index flushes to disk','es.node.indices.flush.total[{#ES.NODE}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The total number of flush operations.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30745','18','','10322','ES {#ES.NODE}: Current indexing operations','es.node.indices.indexing.index_current[{#ES.NODE}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of indexing operations currently running.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30746','18','','10322','ES {#ES.NODE}: Total time spent performing indexing','es.node.indices.indexing.index_time_in_millis[{#ES.NODE}]','0','7d','365d','0','3','','ms','','',NULL,NULL,'','','0','','','','','2',NULL,'Total time in milliseconds spent performing indexing operations.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30747','18','','10322','ES {#ES.NODE}: Total number of indexing','es.node.indices.indexing.index_total[{#ES.NODE}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The total number of indexing operations.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30748','18','','10322','ES {#ES.NODE}: Time spent throttling merge operations','es.node.indices.merges.total_throttled_time[{#ES.NODE}]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Time in seconds spent throttling merge operations for the last measuring span.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30749','18','','10322','ES {#ES.NODE}: Total size','es.node.fs.total.total_in_bytes[{#ES.NODE}]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Total size (in bytes) of all file stores.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30750','18','','10322','ES {#ES.NODE}: Time spent throttling recovery operations','es.node.indices.recovery.throttle_time[{#ES.NODE}]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Time in seconds spent throttling recovery operations for the last measuring span.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30751','18','','10322','ES {#ES.NODE}: Rate of index refreshes','es.node.indices.refresh.rate[{#ES.NODE}]','0','7d','365d','0','0','','rps','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of refresh operations per second.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30752','18','','10322','ES {#ES.NODE}: Time spent performing refresh','es.node.indices.refresh.time[{#ES.NODE}]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Time in seconds spent performing refresh operations for the last measuring span.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30753','18','','10322','ES {#ES.NODE}: Current fetch operations','es.node.indices.search.fetch_current[{#ES.NODE}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of fetch operations currently running.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30754','18','','10322','ES {#ES.NODE}: Total time spent performing fetch','es.node.indices.search.fetch_time_in_millis[{#ES.NODE}]','0','7d','365d','0','3','','ms','','',NULL,NULL,'','','0','','','','','2',NULL,'Time in milliseconds spent performing fetch operations.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30755','18','','10322','ES {#ES.NODE}: Time spent performing fetch','es.node.indices.search.fetch_time[{#ES.NODE}]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Time in seconds spent performing fetch operations for the last measuring span.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30756','18','','10322','ES {#ES.NODE}: Total number of fetch','es.node.indices.search.fetch_total[{#ES.NODE}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The total number of fetch operations.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30757','18','','10322','ES {#ES.NODE}: Rate of fetch','es.node.indices.search.fetch.rate[{#ES.NODE}]','0','7d','365d','0','0','','rps','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of fetch operations per second.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30758','18','','10322','ES {#ES.NODE}: Write thread pool executor tasks rejected','es.node.thread_pool.write.rejected.rate[{#ES.NODE}]','0','7d','365d','0','0','','rps','','',NULL,NULL,'','','0','','','','','2',NULL,'The number of tasks rejected by the write thread pool executor.','0','30d','0','','30693','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30759','18','','10308','TCP BACKEND discovery','haproxy.backend_tcp.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery TCP backends','0','30d','1','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30760','18','','10308','TCP FRONTEND discovery','haproxy.frontend_tcp.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery TCP frontends','0','30d','1','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30761','18','','10308','TCP Servers discovery','haproxy.server_tcp.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery tcp servers','0','30d','1','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30762','15','','10308','HAProxy TCP Frontend {#PXNAME}: Session utilization','haproxy.frontend_tcp.sutil[{#PXNAME}:{#SVNAME}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'last(haproxy.frontend_tcp.scur[{#PXNAME}:{#SVNAME}]) / last(haproxy.frontend_tcp.slim[{#PXNAME}:{#SVNAME}]) * 100','','0','','','','','2',NULL,'Percentage of sessions used (scur / slim * 100).','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30763','18','','10308','HAProxy TCP Backend {#PXNAME}: Responses denied per second','haproxy.backend_tcp.dresp.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Responses denied due to security concerns (ACL-restricted).','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30764','18','','10308','HAProxy TCP Backend {#PXNAME}: Errors connection per second','haproxy.backend_tcp.econ.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of requests that encountered an error attempting to connect to a backend server.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30765','18','','10308','HAProxy TCP Backend {#PXNAME}: Response errors per second','haproxy.backend_tcp.eresp.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of requests whose responses yielded an error','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30766','18','','10308','HAProxy TCP Backend {#PXNAME}: Unassigned requests','haproxy.backend_tcp.qcur[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Current number of requests unassigned in queue.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30767','18','','10308','HAProxy TCP Backend {#PXNAME}: Time in queue','haproxy.backend_tcp.qtime[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Average time spent in queue (in ms) for the last 1,024 requests','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30768','18','','10308','HAProxy TCP Backend {#PXNAME}: Responses time','haproxy.backend_tcp.rtime[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Average backend response time (in ms) for the last 1,024 requests','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30769','18','','10308','HAProxy TCP Backend {#PXNAME}: Status','haproxy.backend_tcp.status[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','2',NULL,'','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30770','18','','10308','HAProxy TCP Backend {#PXNAME}: Redispatched requests per second','haproxy.backend_tcp.wredis.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of times a request was redispatched to a different backend.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30771','18','','10308','HAProxy TCP Backend {#PXNAME}: Retried connections per second','haproxy.backend_tcp.wretr.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of times a connection was retried.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30772','18','','10308','HAProxy TCP Frontend {#PXNAME}: Incoming traffic','haproxy.frontend_tcp.bin[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','0','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of bits received by the frontend','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30773','18','','10308','HAProxy TCP Frontend {#PXNAME}: Outgoing traffic','haproxy.frontend_tcp.bout[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of bits sent by the frontend','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30774','18','','10308','HAProxy TCP Frontend {#PXNAME}: Denied requests per second','haproxy.frontend_tcp.dreq.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Requests denied due to security concerns (ACL-restricted) per second.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30775','18','','10308','HAProxy TCP Frontend {#PXNAME}: Request errors per second','haproxy.frontend_tcp.ereq.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of request errors per second.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30776','18','','10308','HAProxy TCP Frontend {#PXNAME}: Sessions rate','haproxy.frontend_tcp.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of sessions created per second','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30777','18','','10308','HAProxy TCP Frontend {#PXNAME}: Requests rate','haproxy.frontend_tcp.req_rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'HTTP requests per second','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30778','18','','10308','HAProxy TCP Frontend {#PXNAME}: Established sessions','haproxy.frontend_tcp.scur[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The current number of established sessions.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30779','18','','10308','HAProxy TCP Frontend {#PXNAME}: Session limits','haproxy.frontend_tcp.slim[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The most simultaneous sessions that are allowed, as defined by the maxconn setting in the frontend.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30780','18','','10308','HAProxy TCP {#PXNAME} {#SVNAME}: Responses denied per second','haproxy.server_tcp.dresp.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Responses denied due to security concerns (ACL-restricted).','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30781','18','','10308','HAProxy TCP {#PXNAME} {#SVNAME}: Errors connection per second','haproxy.server_tcp.econ.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of requests that encountered an error attempting to connect to a backend server.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30782','18','','10308','HAProxy TCP {#PXNAME} {#SVNAME}: Response errors per second','haproxy.server_tcp.eresp.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of requests whose responses yielded an error.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30783','18','','10308','HAProxy TCP {#PXNAME} {#SVNAME}: Unassigned requests','haproxy.server_tcp.qcur[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Current number of requests unassigned in queue.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30784','18','','10308','HAProxy TCP {#PXNAME} {#SVNAME}: Time in queue','haproxy.server_tcp.qtime[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Average time spent in queue (in ms) for the last 1,024 requests.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30785','18','','10308','HAProxy TCP {#PXNAME} {#SVNAME}: Responses time','haproxy.server_tcp.rtime[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Average server response time (in ms) for the last 1,024 requests.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30786','18','','10308','HAProxy TCP {#PXNAME} {#SVNAME}: Status','haproxy.server_tcp.status[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','2',NULL,'','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30787','18','','10308','HAProxy TCP {#PXNAME} {#SVNAME}: Redispatched requests per second','haproxy.server_tcp.wredis.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of times a request was redispatched to a different backend.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30788','18','','10308','HAProxy TCP {#PXNAME} {#SVNAME}: Retried connections per second','haproxy.server_tcp.wretr.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of times a connection was retried.','0','30d','0','','30189','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30789','3','','10309','HAProxy: Service response time','net.tcp.service.perf["{$HAPROXY.STATS.SCHEME}","{HOST.CONN}","{$HAPROXY.STATS.PORT}"]','1m','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30790','3','','10309','HAProxy: Service status','net.tcp.service["{$HAPROXY.STATS.SCHEME}","{HOST.CONN}","{$HAPROXY.STATS.PORT}"]','1m','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30791','18','','10309','TCP BACKEND discovery','haproxy.backend_tcp.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery TCP backends','0','30d','1','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30792','18','','10309','TCP FRONTEND discovery','haproxy.frontend_tcp.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery TCP frontends','0','30d','1','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30793','18','','10309','TCP Servers discovery','haproxy.server_tcp.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Discovery tcp servers','0','30d','1','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30794','15','','10309','HAProxy TCP Frontend {#PXNAME}: Session utilization','haproxy.frontend_tcp.sutil[{#PXNAME}:{#SVNAME}]','1m','7d','365d','0','0','','%','','',NULL,NULL,'last(haproxy.frontend_tcp.scur[{#PXNAME}:{#SVNAME}]) / last(haproxy.frontend_tcp.slim[{#PXNAME}:{#SVNAME}]) * 100','','0','','','','','2',NULL,'Percentage of sessions used (scur / slim * 100).','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30795','18','','10309','HAProxy TCP Backend {#PXNAME}: Responses denied per second','haproxy.backend_tcp.dresp.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Responses denied due to security concerns (ACL-restricted).','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30796','18','','10309','HAProxy TCP Backend {#PXNAME}: Errors connection per second','haproxy.backend_tcp.econ.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of requests that encountered an error attempting to connect to a backend server.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30797','18','','10309','HAProxy TCP Backend {#PXNAME}: Response errors per second','haproxy.backend_tcp.eresp.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of requests whose responses yielded an error','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30798','18','','10309','HAProxy TCP Backend {#PXNAME}: Unassigned requests','haproxy.backend_tcp.qcur[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Current number of requests unassigned in queue.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30799','18','','10309','HAProxy TCP Backend {#PXNAME}: Time in queue','haproxy.backend_tcp.qtime[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Average time spent in queue (in ms) for the last 1,024 requests','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30800','18','','10309','HAProxy TCP Backend {#PXNAME}: Responses time','haproxy.backend_tcp.rtime[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Average backend response time (in ms) for the last 1,024 requests','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30801','18','','10309','HAProxy TCP Backend {#PXNAME}: Status','haproxy.backend_tcp.status[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','2',NULL,'','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30802','18','','10309','HAProxy TCP Backend {#PXNAME}: Redispatched requests per second','haproxy.backend_tcp.wredis.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of times a request was redispatched to a different backend.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30803','18','','10309','HAProxy TCP Backend {#PXNAME}: Retried connections per second','haproxy.backend_tcp.wretr.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of times a connection was retried.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30804','18','','10309','HAProxy TCP Frontend {#PXNAME}: Incoming traffic','haproxy.frontend_tcp.bin[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','0','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of bits received by the frontend','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30805','18','','10309','HAProxy TCP Frontend {#PXNAME}: Outgoing traffic','haproxy.frontend_tcp.bout[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','bps','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of bits sent by the frontend','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30806','18','','10309','HAProxy TCP Frontend {#PXNAME}: Denied requests per second','haproxy.frontend_tcp.dreq.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Requests denied due to security concerns (ACL-restricted) per second.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30807','18','','10309','HAProxy TCP Frontend {#PXNAME}: Request errors per second','haproxy.frontend_tcp.ereq.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of request errors per second.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30808','18','','10309','HAProxy TCP Frontend {#PXNAME}: Sessions rate','haproxy.frontend_tcp.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of sessions created per second','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30809','18','','10309','HAProxy TCP Frontend {#PXNAME}: Requests rate','haproxy.frontend_tcp.req_rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'HTTP requests per second','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30810','18','','10309','HAProxy TCP Frontend {#PXNAME}: Established sessions','haproxy.frontend_tcp.scur[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The current number of established sessions.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30811','18','','10309','HAProxy TCP Frontend {#PXNAME}: Session limits','haproxy.frontend_tcp.slim[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'The most simultaneous sessions that are allowed, as defined by the maxconn setting in the frontend.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30812','18','','10309','HAProxy TCP {#PXNAME} {#SVNAME}: Responses denied per second','haproxy.server_tcp.dresp.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Responses denied due to security concerns (ACL-restricted).','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30813','18','','10309','HAProxy TCP {#PXNAME} {#SVNAME}: Errors connection per second','haproxy.server_tcp.econ.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of requests that encountered an error attempting to connect to a backend server.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30814','18','','10309','HAProxy TCP {#PXNAME} {#SVNAME}: Response errors per second','haproxy.server_tcp.eresp.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of requests whose responses yielded an error.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30815','18','','10309','HAProxy TCP {#PXNAME} {#SVNAME}: Unassigned requests','haproxy.server_tcp.qcur[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Current number of requests unassigned in queue.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30816','18','','10309','HAProxy TCP {#PXNAME} {#SVNAME}: Time in queue','haproxy.server_tcp.qtime[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Average time spent in queue (in ms) for the last 1,024 requests.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30817','18','','10309','HAProxy TCP {#PXNAME} {#SVNAME}: Responses time','haproxy.server_tcp.rtime[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','2',NULL,'Average server response time (in ms) for the last 1,024 requests.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30818','18','','10309','HAProxy TCP {#PXNAME} {#SVNAME}: Status','haproxy.server_tcp.status[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','2',NULL,'','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30819','18','','10309','HAProxy TCP {#PXNAME} {#SVNAME}: Redispatched requests per second','haproxy.server_tcp.wredis.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of times a request was redispatched to a different backend.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30820','18','','10309','HAProxy TCP {#PXNAME} {#SVNAME}: Retried connections per second','haproxy.server_tcp.wretr.rate[{#PXNAME}:{#SVNAME}]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of times a connection was retried.','0','30d','0','','30230','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30821','19','','10323','ClickHouse: Ping','clickhouse.ping','1m','7d','365d','0','3','','','','',NULL,'1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','{$CLICKHOUSE.SCHEME}://{HOST.CONN}:{$CLICKHOUSE.PORT}/ping','','','','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30822','19','','10323','ClickHouse: Version','clickhouse.version','1m','7d','0','0','1','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Version of the server','0','30d','0','',NULL,'3s','{$CLICKHOUSE.SCHEME}://{HOST.CONN}:{$CLICKHOUSE.PORT}/','[{"query":"SELECT version()"}]','','200','1','0','X-ClickHouse-User: {$CLICKHOUSE.USER}
X-ClickHouse-Key: {$CLICKHOUSE.PASSWORD}','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30823','19','','10323','ClickHouse: Get replicas info','clickhouse.replicas','1m','0','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','{$CLICKHOUSE.SCHEME}://{HOST.CONN}:{$CLICKHOUSE.PORT}/','[{"query":"SELECT database, table, is_readonly, is_session_expired, future_parts, parts_to_check, queue_size, inserts_in_queue, merges_in_queue, log_max_index, log_pointer, total_replicas, active_replicas, log_max_index - log_pointer as replica_lag FROM system.replicas format JSON"}]','','200','1','0','X-ClickHouse-User: {$CLICKHOUSE.USER}
X-ClickHouse-Key: {$CLICKHOUSE.PASSWORD}','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30824','19','','10323','ClickHouse: Get system.asynchronous_metrics','clickhouse.system.asynchronous_metrics','1m','0','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Get metrics that are calculated periodically in the background','0','30d','0','',NULL,'3s','{$CLICKHOUSE.SCHEME}://{HOST.CONN}:{$CLICKHOUSE.PORT}/','[{"query":"select metric, value from system.asynchronous_metrics format JSON"}]','','200','1','0','X-ClickHouse-User: {$CLICKHOUSE.USER}
X-ClickHouse-Key: {$CLICKHOUSE.PASSWORD}','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30825','19','','10323','ClickHouse: Get system.events','clickhouse.system.events','1m','0','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Get information about the number of events that have occurred in the system.','0','30d','0','',NULL,'3s','{$CLICKHOUSE.SCHEME}://{HOST.CONN}:{$CLICKHOUSE.PORT}/','[{"query":"select event, value from system.events format JSON"}]','','200','1','0','X-ClickHouse-User: {$CLICKHOUSE.USER}
X-ClickHouse-Key: {$CLICKHOUSE.PASSWORD}','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30826','19','','10323','ClickHouse: Get system.metrics','clickhouse.system.metrics','1m','0','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Get metrics which can be calculated instantly, or have a current value format JSONEachRow','0','30d','0','',NULL,'3s','{$CLICKHOUSE.SCHEME}://{HOST.CONN}:{$CLICKHOUSE.PORT}/','[{"query":"select metric, value from system.metrics format JSON"}]','','200','1','0','X-ClickHouse-User: {$CLICKHOUSE.USER}
X-ClickHouse-Key: {$CLICKHOUSE.PASSWORD}','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30827','19','','10323','ClickHouse: Longest currently running query time','clickhouse.process.elapsed','1m','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'Get longest running query.','0','30d','0','',NULL,'3s','{$CLICKHOUSE.SCHEME}://{HOST.CONN}:{$CLICKHOUSE.PORT}/','[{"query":"SELECT max(elapsed) FROM system.processes"}]','','200','1','0','X-ClickHouse-User: {$CLICKHOUSE.USER}
X-ClickHouse-Key: {$CLICKHOUSE.PASSWORD}','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30828','19','','10323','ClickHouse: Get tables info','clickhouse.tables','1m','0','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','{$CLICKHOUSE.SCHEME}://{HOST.CONN}:{$CLICKHOUSE.PORT}/','[{"query":"select database, table, sum(bytes) as bytes, count() as parts, sum(rows) as rows from system.parts where active = 1 group by database, table format JSON"}]','','200','1','0','X-ClickHouse-User: {$CLICKHOUSE.USER}
X-ClickHouse-Key: {$CLICKHOUSE.PASSWORD}','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30829','19','','10323','ClickHouse: Get system.settings','clickhouse.system.settings','1m','0','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Get information about settings that are currently in use.','0','30d','0','',NULL,'3s','{$CLICKHOUSE.SCHEME}://{HOST.CONN}:{$CLICKHOUSE.PORT}/','[{"query":"select name, value from system.settings format JSON"}]','','200','1','0','X-ClickHouse-User: {$CLICKHOUSE.USER}
X-ClickHouse-Key: {$CLICKHOUSE.PASSWORD}','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30830','19','','10323','ClickHouse: Get dictionaries info','clickhouse.dictionaries','1m','0','0','0','4','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','{$CLICKHOUSE.SCHEME}://{HOST.CONN}:{$CLICKHOUSE.PORT}/','[{"query":"SELECT * FROM system.dictionaries format JSON"}]','','200','1','0','X-ClickHouse-User: {$CLICKHOUSE.USER}
X-ClickHouse-Key: {$CLICKHOUSE.PASSWORD}','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30831','18','','10323','ClickHouse: Write syscalls in fly','clickhouse.write','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of write (write, pwrite, io_getevents, etc.) syscalls in fly','0','30d','0','','30826','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30832','18','','10323','ClickHouse: Total replication tasks in queue','clickhouse.replicas.sum.queue.size','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'','0','30d','0','','30824','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30833','18','','10323','ClickHouse: New queries per second','clickhouse.query.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of queries to be interpreted and potentially executed. Does not include queries that failed to parse or were rejected due to AST size limits, quota limits or limits on the number of simultaneously running queries. May include internal queries initiated by ClickHouse itself. Does not count subqueries.','0','30d','0','','30825','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30834','18','','10323','ClickHouse: Read syscalls in fly','clickhouse.read','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of read (read, pread, io_getevents, etc.) syscalls in fly','0','30d','0','','30826','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30835','18','','10323','ClickHouse: Read bytes per second','clickhouse.read_bytes.rate','0','7d','365d','0','0','','Bps','','',NULL,NULL,'','','0','','','','','0',NULL,'"Number of bytes (the number of bytes before decompression) read from compressed sources (files, network)."','0','30d','0','','30825','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30836','18','','10323','ClickHouse: ZooKeeper wait time','clickhouse.zookeper.wait.time','0','7d','365d','0','0','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'Time spent in waiting for ZooKeeper operations.','0','30d','0','','30825','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30837','18','','10323','ClickHouse: Replication lag across all tables','clickhouse.replicas.max.absolute.delay','0','7d','365d','0','3','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'Maximum replica queue delay relative to current time','0','30d','0','','30824','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30838','18','','10323','ClickHouse: Total number read-only Replicas','clickhouse.replicas.readonly.total','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'"Number of Replicated tables that are currently in readonly state 
due to re-initialization after ZooKeeper session loss 
or due to startup without ZooKeeper configured."','0','30d','0','','30826','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30839','18','','10323','ClickHouse: Revision','clickhouse.revision','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Revision of the server.','0','30d','0','','30826','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30840','18','','10323','ClickHouse: ZooKeeper exeptions per second','clickhouse.zookeper.exeptions.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Count of ZooKeeper exceptions that does not belong to user/hardware exceptions.','0','30d','0','','30825','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30841','18','','10323','ClickHouse: New SELECT queries per second','clickhouse.select_query.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of SELECT queries to be interpreted and potentially executed. Does not include queries that failed to parse or were rejected due to AST size limits, quota limits or limits on the number of simultaneously running queries. May include internal queries initiated by ClickHouse itself. Does not count subqueries.','0','30d','0','','30825','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30842','18','','10323','ClickHouse: ZooKeeper user exeptions per second','clickhouse.zookeper.user_exeptions.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Count of ZooKeeper exceptions caused by no znodes, bad version, node exists, node empty and no children for ephemeral.','0','30d','0','','30825','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30843','18','','10323','ClickHouse: ZooKeeper sessions','clickhouse.zookeper.session','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of sessions (connections) to ZooKeeper. Should be no more than one.','0','30d','0','','30826','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30844','18','','10323','ClickHouse: ZooKeeper requests','clickhouse.zookeper.request','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of requests to ZooKeeper in progress.','0','30d','0','','30826','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30845','18','','10323','ClickHouse: ZooKeeper hardware exeptions per second','clickhouse.zookeper.hw_exeptions.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Count of ZooKeeper exceptions caused by session moved/expired, connection loss, marshalling error, operation timed out and invalid zhandle state.','0','30d','0','','30825','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30846','18','','10323','ClickHouse: Uptime','clickhouse.uptime','0','7d','365d','0','3','','s','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of seconds since ClickHouse server start','0','30d','0','','30824','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30847','18','','10323','ClickHouse: Current running queries','clickhouse.query.current','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of executing queries','0','30d','0','','30826','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30848','18','','10323','ClickHouse: Current distribute connections','clickhouse.connections.distribute','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of connections to remote servers sending data that was INSERTed into Distributed tables.','0','30d','0','','30826','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30849','18','','10323','ClickHouse: Current HTTP connections','clickhouse.connections.http','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of connections to HTTP server.','0','30d','0','','30826','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30850','18','','10323','ClickHouse: Allocated bytes','clickhouse.jemalloc.allocated','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'"Total number of bytes allocated by the application."','0','30d','0','','30824','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30851','18','','10323','ClickHouse: Current Interserver connections','clickhouse.connections.interserver','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of connections from other replicas to fetch parts.','0','30d','0','','30826','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30852','18','','10323','ClickHouse: Current MySQL connections','clickhouse.connections.mysql','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of connections to MySQL server.','0','30d','0','','30826','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30853','18','','10323','ClickHouse: Current TCP connections','clickhouse.connections.tcp','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of connections to TCP server (clients with native interface).','0','30d','0','','30826','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30854','18','','10323','ClickHouse: Current distributed files to insert','clickhouse.distributed.files','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of pending files to process for asynchronous insertion into Distributed tables. Number of files for every shard is summed.','0','30d','0','','30826','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30855','18','','10323','ClickHouse: Distributed connection fail with retry per second','clickhouse.distributed.files.fail.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'"Connection failures after all retries in replicated DB connection pool"','0','30d','0','','30825','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30856','18','','10323','ClickHouse: Distributed connection fail with retry per second','clickhouse.distributed.files.retry.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Connection retries in replicated DB connection pool','0','30d','0','','30825','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30857','18','','10323','ClickHouse: New INSERT queries per second','clickhouse.insert_query.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of INSERT queries to be interpreted and potentially executed. Does not include queries that failed to parse or were rejected due to AST size limits, quota limits or limits on the number of simultaneously running queries. May include internal queries initiated by ClickHouse itself. Does not count subqueries.','0','30d','0','','30825','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30858','18','','10323','ClickHouse: Delayed insert queries','clickhouse.insert.delay','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'"Number of INSERT queries that are throttled due to high number of active data parts for partition in a MergeTree table."','0','30d','0','','30826','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30859','18','','10323','ClickHouse: Inserted bytes per second','clickhouse.inserted_bytes.rate','0','7d','365d','0','0','','Bps','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of uncompressed bytes inserted in all tables.','0','30d','0','','30825','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30860','18','','10323','ClickHouse: Inserted rows per second','clickhouse.inserted_rows.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'The number of rows inserted in all tables.','0','30d','0','','30825','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30861','18','','10323','ClickHouse: Mapped memory','clickhouse.jemalloc.mapped','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'"Total number of bytes in active extents mapped by the allocator."','0','30d','0','','30824','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30862','18','','10323','ClickHouse: Network errors per second','clickhouse.network.error.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Network errors (timeouts and connection failures) during query execution, background pool tasks and DNS cache update.','0','30d','0','','30825','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30863','18','','10323','ClickHouse: Resident memory','clickhouse.jemalloc.resident','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'"Maximum number of bytes in physically resident data pages mapped by the allocator, 
comprising all pages dedicated to allocator metadata, pages backing active allocations, 
and unused dirty pages."','0','30d','0','','30824','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30864','18','','10323','ClickHouse: Max count of parts per partition across all tables','clickhouse.max.part.count.for.partition','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'"Clickhouse MergeTree table engine split each INSERT query to partitions (PARTITION BY expression) and add one or more PARTS per INSERT inside each partition, 
after that background merge process run."','0','30d','0','','30824','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30865','18','','10323','ClickHouse: Memory used for queries','clickhouse.memory.tracking','0','7d','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'"Total amount of memory (bytes) allocated in currently executing queries."','0','30d','0','','30826','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30866','18','','10323','ClickHouse: Memory used for background merges','clickhouse.memory.tracking.background','0','7d','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'"Total amount of memory (bytes) allocated in background processing pool (that is dedicated for backround merges, mutations and fetches).
 Note that this value may include a drift when the memory was allocated in a context of background processing pool and freed in other context or vice-versa. This happens naturally due to caches for tables indexes and doesn''t indicate memory leaks."','0','30d','0','','30826','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30867','18','','10323','ClickHouse: Memory used for backround moves','clickhouse.memory.tracking.background.moves','0','7d','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'"Total amount of memory (bytes) allocated in background processing pool (that is dedicated for backround moves). Note that this value may include a drift when the memory was allocated in a context of background processing pool and freed in other context or vice-versa.
 This happens naturally due to caches for tables indexes and doesn''t indicate memory leaks."','0','30d','0','','30826','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30868','18','','10323','ClickHouse: Memory used for merges','clickhouse.memory.tracking.merges','0','7d','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'"Total amount of memory (bytes) allocated for background merges. Included in MemoryTrackingInBackgroundProcessingPool. Note that this value may include a drift when the memory was allocated in a context of background processing pool and freed in other context or vice-versa. 
This happens naturally due to caches for tables indexes and doesn''t indicate memory leaks."','0','30d','0','','30826','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30869','18','','10323','ClickHouse: Memory used for background schedule pool','clickhouse.memory.tracking.schedule.pool','0','7d','365d','0','0','','B','','',NULL,NULL,'','','0','','','','','0',NULL,'"Total amount of memory (bytes) allocated in background schedule pool (that is dedicated for bookkeeping tasks of Replicated tables)."','0','30d','0','','30826','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30870','18','','10323','ClickHouse: Uncompressed bytes merged per second','clickhouse.merge_bytes.rate','0','7d','365d','0','0','','Bps','','',NULL,NULL,'','','0','','','','','0',NULL,'Uncompressed bytes that were read for background merges','0','30d','0','','30825','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30871','18','','10323','ClickHouse: Merged rows per second','clickhouse.merge_rows.rate','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Rows read for background merges.','0','30d','0','','30825','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30872','18','','10323','ClickHouse: Current running merges','clickhouse.merge.current','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of executing background merges','0','30d','0','','30826','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30873','18','','10323','ClickHouse: ZooKeeper watches','clickhouse.zookeper.watch','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','0',NULL,'Number of watches (e.g., event subscriptions) in ZooKeeperr.','0','30d','0','','30826','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30874','18','','10323','Dictionaries','clickhouse.dictionaries.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Info about dictionaries','0','30d','1','','30830','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30875','18','','10323','Replicas','clickhouse.replicas.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Info about replicas','0','30d','1','','30823','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30876','18','','10323','Tables','clickhouse.tables.discovery','0','90d','0','0','4','','','','',NULL,NULL,'','','0','','','','','1',NULL,'Info about tables','0','30d','1','','30828','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30877','18','','10323','ClickHouse: Dictionary {#NAME}: Bytes allocated','clickhouse.dictionary.bytes_allocated["{#NAME}"]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'The amount of RAM the dictionary uses.','0','30d','0','','30830','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30878','18','','10323','ClickHouse: Dictionary {#NAME}: Element count','clickhouse.dictionary.element_count["{#NAME}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of items stored in the dictionary.','0','30d','0','','30830','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30879','18','','10323','ClickHouse: Dictionary {#NAME}: Load factor','clickhouse.dictionary.load_factor["{#NAME}"]','0','7d','365d','0','3','','%','','',NULL,NULL,'','','0','','','','','2',NULL,'The percentage filled in the dictionary (for a hashed dictionary, the percentage filled in the hash table).','0','30d','0','','30830','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30880','18','','10323','ClickHouse: {#DB}.{#TABLE}: Active replicas','clickhouse.replica.active_replicas["{#DB}.{#TABLE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of replicas of this table that have a session in ZooKeeper (i.e., the number of functioning replicas). (Have a non-zero value only where there is an active session with ZooKeeper).','0','30d','0','','30823','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30881','18','','10323','ClickHouse: {#DB}.{#TABLE}: Replica future parts','clickhouse.replica.future_parts["{#DB}.{#TABLE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of data parts that will appear as the result of INSERTs or merges that haven’t been done yet.','0','30d','0','','30823','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30882','18','','10323','ClickHouse: {#DB}.{#TABLE}: Replica queue inserts size','clickhouse.replica.inserts_in_queue["{#DB}.{#TABLE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of inserts of blocks of data that need to be made.','0','30d','0','','30823','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30883','18','','10323','ClickHouse: {#DB}.{#TABLE}: Replica readonly','clickhouse.replica.is_readonly["{#DB}.{#TABLE}"]','0','7d','365d','0','3','','','','',NULL,'95','','','0','','','','','2',NULL,'Whether the replica is in read-only mode.
This mode is turned on if the config doesn’t have sections with ZooKeeper, if an unknown error occurred when reinitializing sessions in ZooKeeper, and during session reinitialization in ZooKeeper.','0','30d','0','','30823','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30884','18','','10323','ClickHouse: {#DB}.{#TABLE}: Replica session expired','clickhouse.replica.is_session_expired["{#DB}.{#TABLE}"]','0','7d','365d','0','3','','','','',NULL,'95','','','0','','','','','2',NULL,'True if the ZooKeeper session expired','0','30d','0','','30823','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30885','18','','10323','ClickHouse: {#DB}.{#TABLE}: Replica lag','clickhouse.replica.lag["{#DB}.{#TABLE}"]','0','7d','365d','0','0','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Difference between log_max_index and log_pointer','0','30d','0','','30823','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30886','18','','10323','ClickHouse: {#DB}.{#TABLE}: Replica log max index','clickhouse.replica.log_max_index["{#DB}.{#TABLE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Maximum entry number in the log of general activity. (Have a non-zero value only where there is an active session with ZooKeeper).','0','30d','0','','30823','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30887','18','','10323','ClickHouse: {#DB}.{#TABLE}: Replica log pointer','clickhouse.replica.log_pointer["{#DB}.{#TABLE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Maximum entry number in the log of general activity that the replica copied to its execution queue, plus one. (Have a non-zero value only where there is an active session with ZooKeeper).','0','30d','0','','30823','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30888','18','','10323','ClickHouse: {#DB}.{#TABLE}: Replica queue merges size','clickhouse.replica.merges_in_queue["{#DB}.{#TABLE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of merges waiting to be made.','0','30d','0','','30823','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30889','18','','10323','ClickHouse: {#DB}.{#TABLE}: Replica parts to check','clickhouse.replica.parts_to_check["{#DB}.{#TABLE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of data parts in the queue for verification. A part is put in the verification queue if there is suspicion that it might be damaged.','0','30d','0','','30823','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30890','18','','10323','ClickHouse: {#DB}.{#TABLE}: Replica queue size','clickhouse.replica.queue_size["{#DB}.{#TABLE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Size of the queue for operations waiting to be performed.','0','30d','0','','30823','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30891','18','','10323','ClickHouse: {#DB}.{#TABLE}: Total replicas','clickhouse.replica.total_replicas["{#DB}.{#TABLE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Total number of known replicas of this table. (Have a non-zero value only where there is an active session with ZooKeeper).','0','30d','0','','30823','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30892','18','','10323','ClickHouse: {#DB}: Bytes','clickhouse.db.bytes["{#DB}"]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Database size in bytes.','0','30d','0','','30828','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30893','18','','10323','ClickHouse: {#DB}.{#TABLE}: Bytes','clickhouse.table.bytes["{#DB}.{#TABLE}"]','0','7d','365d','0','3','','B','','',NULL,NULL,'','','0','','','','','2',NULL,'Table size in bytes. Database: {#DB}, table: {#TABLE}','0','30d','0','','30828','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30894','18','','10323','ClickHouse: {#DB}.{#TABLE}: Parts','clickhouse.table.parts["{#DB}.{#TABLE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of parts of the table. Database: {#DB}, table: {#TABLE}','0','30d','0','','30828','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30895','18','','10323','ClickHouse: {#DB}.{#TABLE}: Rows','clickhouse.table.rows["{#DB}.{#TABLE}"]','0','7d','365d','0','3','','','','',NULL,NULL,'','','0','','','','','2',NULL,'Number of rows in the table. Database: {#DB}, table: {#TABLE}','0','30d','0','','30828','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('10020','0','','10001','Zabbix agent ping','agent.ping','1m','7d','365d','0','3','','','','','22232','10','','','0','','','','','0',NULL,'The agent always returns 1 for this item. It could be used in combination with nodata() for availability check.','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('10059','0','','10001','Version of Zabbix agent running','agent.version','1h','7d','0','0','1','','','','','22231',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('10073','5','','10084','Number of processed numeric (float) values per second','zabbix[wcache,values,float]','1m','1w','365d','0','0','','','','','10061',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('10074','5','','10084','Number of processed character values per second','zabbix[wcache,values,str]','1m','1w','365d','0','0','','','','','10062',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('10075','5','','10084','Number of processed log values per second','zabbix[wcache,values,log]','1m','1w','365d','0','0','','','','','10063',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('10076','5','','10084','Number of processed numeric (unsigned) values per second','zabbix[wcache,values,uint]','1m','1w','365d','0','0','','','','','10064',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('10077','5','','10084','Number of processed text values per second','zabbix[wcache,values,text]','1m','1w','365d','0','0','','','','','10065',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('10078','5','','10084','Number of processed not supported values per second','zabbix[wcache,values,not supported]','1m','1w','365d','0','0','','','','','10066',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22833','0','','10074','Zabbix agent ping','agent.ping','1m','7d','365d','0','3','','','','','22232','10','','','0','','','','','0',NULL,'The agent always returns 1 for this item. It could be used in combination with nodata() for availability check.','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22834','0','','10074','Version of Zabbix agent running','agent.version','1h','7d','0','0','1','','','','','22231',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22873','0','','10075','Zabbix agent ping','agent.ping','1m','7d','365d','0','3','','','','','22232','10','','','0','','','','','0',NULL,'The agent always returns 1 for this item. It could be used in combination with nodata() for availability check.','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22874','0','','10075','Version of Zabbix agent running','agent.version','1h','7d','0','0','1','','','','','22231',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22913','0','','10076','Zabbix agent ping','agent.ping','1m','7d','365d','0','3','','','','','22232','10','','','0','','','','','0',NULL,'The agent always returns 1 for this item. It could be used in combination with nodata() for availability check.','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22914','0','','10076','Version of Zabbix agent running','agent.version','1h','7d','0','0','1','','','','','22231',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22953','0','','10077','Zabbix agent ping','agent.ping','1m','7d','365d','0','3','','','','','22232','10','','','0','','','','','0',NULL,'The agent always returns 1 for this item. It could be used in combination with nodata() for availability check.','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22954','0','','10077','Version of Zabbix agent running','agent.version','1h','7d','0','0','1','','','','','22231',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22993','0','','10078','Zabbix agent ping','agent.ping','1m','7d','365d','0','3','','','','','22232','10','','','0','','','','','0',NULL,'The agent always returns 1 for this item. It could be used in combination with nodata() for availability check.','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('22994','0','','10078','Version of Zabbix agent running','agent.version','1h','7d','0','0','1','','','','','22231',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23033','0','','10079','Zabbix agent ping','agent.ping','1m','7d','365d','0','3','','','','','22232','10','','','0','','','','','0',NULL,'The agent always returns 1 for this item. It could be used in combination with nodata() for availability check.','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23034','0','','10079','Version of Zabbix agent running','agent.version','1h','7d','0','0','1','','','','','22231',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23160','0','','10081','Zabbix agent ping','agent.ping','1m','7d','365d','0','3','','','','','22232','10','','','0','','','','','0',NULL,'The agent always returns 1 for this item. It could be used in combination with nodata() for availability check.','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23161','0','','10081','Version of Zabbix agent running','agent.version','1h','7d','0','0','1','','','','','22231',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23252','5','','10084','Utilization of alerter internal processes, in %','zabbix[process,alerter,avg,busy]','1m','1w','365d','0','0','','%','','','22424',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23253','5','','10084','Utilization of configuration syncer internal processes, in %','zabbix[process,configuration syncer,avg,busy]','1m','1w','365d','0','0','','%','','','22412',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23255','5','','10084','Utilization of discoverer data collector processes, in %','zabbix[process,discoverer,avg,busy]','1m','1w','365d','0','0','','%','','','22430',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23256','5','','10084','Utilization of escalator internal processes, in %','zabbix[process,escalator,avg,busy]','1m','1w','365d','0','0','','%','','','22422',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23257','5','','10084','Utilization of history syncer internal processes, in %','zabbix[process,history syncer,avg,busy]','1m','1w','365d','0','0','','%','','','22406',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23258','5','','10084','Utilization of housekeeper internal processes, in %','zabbix[process,housekeeper,avg,busy]','1m','1w','365d','0','0','','%','','','22408',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23259','5','','10084','Utilization of http poller data collector processes, in %','zabbix[process,http poller,avg,busy]','1m','1w','365d','0','0','','%','','','22402',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23260','5','','10084','Utilization of icmp pinger data collector processes, in %','zabbix[process,icmp pinger,avg,busy]','1m','1w','365d','0','0','','%','','','22418',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23261','5','','10084','Utilization of ipmi poller data collector processes, in %','zabbix[process,ipmi poller,avg,busy]','1m','1w','365d','0','0','','%','','','22416',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23262','5','','10084','Utilization of java poller data collector processes, in %','zabbix[process,java poller,avg,busy]','1m','1w','365d','0','0','','%','','','22689',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23264','5','','10084','Utilization of poller data collector processes, in %','zabbix[process,poller,avg,busy]','1m','1w','365d','0','0','','%','','','22399',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23265','5','','10084','Utilization of proxy poller data collector processes, in %','zabbix[process,proxy poller,avg,busy]','1m','1w','365d','0','0','','%','','','22420',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23266','5','','10084','Utilization of self-monitoring internal processes, in %','zabbix[process,self-monitoring,avg,busy]','1m','1w','365d','0','0','','%','','','22414',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23267','5','','10084','Utilization of snmp trapper data collector processes, in %','zabbix[process,snmp trapper,avg,busy]','1m','1w','365d','0','0','','%','','','23171',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23268','5','','10084','Utilization of timer internal processes, in %','zabbix[process,timer,avg,busy]','1m','1w','365d','0','0','','%','','','22426',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23269','5','','10084','Utilization of trapper data collector processes, in %','zabbix[process,trapper,avg,busy]','1m','1w','365d','0','0','','%','','','22404',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23270','5','','10084','Utilization of unreachable poller data collector processes, in %','zabbix[process,unreachable poller,avg,busy]','1m','1w','365d','0','0','','%','','','22400',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23271','5','','10084','Zabbix queue over 10 minutes','zabbix[queue,10m]','10m','1w','365d','0','3','','','','','22219',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23272','5','','10084','Zabbix queue','zabbix[queue]','1m','1w','365d','0','3','','','','','23251',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23273','5','','10084','Zabbix configuration cache, % used','zabbix[rcache,buffer,pused]','1m','1w','365d','0','0','','%','','','22189',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23274','5','','10084','Zabbix history write cache, % used','zabbix[wcache,history,pused]','1m','1w','365d','0','0','','%','','','22183',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23275','5','','10084','Zabbix history index cache, % used','zabbix[wcache,index,pused]','1m','1w','365d','0','0','','%','','','22396',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23276','5','','10084','Zabbix trend write cache, % used','zabbix[wcache,trend,pused]','1m','1w','365d','0','0','','%','','','22185',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23277','5','','10084','Number of processed values per second','zabbix[wcache,values]','1m','1w','365d','0','0','','','','','22187',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23287','0','','10084','Zabbix agent ping','agent.ping','1m','7d','365d','0','3','','','','','10020','10','','','0','','','','','0','1','The agent always returns 1 for this item. It could be used in combination with nodata() for availability check.','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23288','0','','10084','Version of Zabbix agent running','agent.version','1h','7d','0','0','1','','','','','10059',NULL,'','','0','','','','','0','1','','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23319','0','','10001','Host name of Zabbix agent running','agent.hostname','1h','7d','0','0','1','','','','','23318',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23320','0','','10074','Host name of Zabbix agent running','agent.hostname','1h','7d','0','0','1','','','','','23318',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23321','0','','10075','Host name of Zabbix agent running','agent.hostname','1h','7d','0','0','1','','','','','23318',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23322','0','','10076','Host name of Zabbix agent running','agent.hostname','1h','7d','0','0','1','','','','','23318',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23323','0','','10077','Host name of Zabbix agent running','agent.hostname','1h','7d','0','0','1','','','','','23318',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23324','0','','10078','Host name of Zabbix agent running','agent.hostname','1h','7d','0','0','1','','','','','23318',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23325','0','','10079','Host name of Zabbix agent running','agent.hostname','1h','7d','0','0','1','','','','','23318',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23326','0','','10081','Host name of Zabbix agent running','agent.hostname','1h','7d','0','0','1','','','','','23318',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23327','0','','10084','Host name of Zabbix agent running','agent.hostname','1h','7d','0','0','1','','','','','23319',NULL,'','','0','','','','','0','1','','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23328','5','','10084','Utilization of vmware data collector processes, in %','zabbix[process,vmware collector,avg,busy]','1m','1w','365d','0','0','','%','','','22401',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23620','5','','10084','Zabbix value cache, % used','zabbix[vcache,buffer,pused]','1m','1w','365d','0','0','','%','','','22191',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23625','5','','10084','Zabbix value cache hits','zabbix[vcache,cache,hits]','1m','1w','365d','0','0','','vps','','','22196',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23628','5','','10084','Zabbix value cache misses','zabbix[vcache,cache,misses]','1m','1w','365d','0','0','','vps','','','22199',NULL,'','','0','','','','','0',NULL,'','0','0','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23635','5','','10084','Zabbix vmware cache, % used','zabbix[vmware,buffer,pused]','1m','1w','365d','0','0','','%','','','23634',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23662','5','','10084','Zabbix value cache operating mode','zabbix[vcache,cache,mode]','1m','1w','365d','0','3','','','','','23661','15','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('23664','5','','10084','Utilization of task manager internal processes, in %','zabbix[process,task manager,avg,busy]','1m','1w','365d','0','0','','%','','','23663',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('25367','5','','10084','Utilization of ipmi manager internal processes, in %','zabbix[process,ipmi manager,avg,busy]','1m','1w','365d','0','0','','%','','','25366',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('25371','5','','10084','Utilization of alert manager internal processes, in %','zabbix[process,alert manager,avg,busy]','1m','1w','365d','0','0','','%','','','25370',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('25667','5','','10084','Utilization of preprocessing manager internal processes, in %','zabbix[process,preprocessing manager,avg,busy]','1m','1w','365d','0','0','','%','','','25665',NULL,'','','0','','','','','0',NULL,'','0','30','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('25668','5','','10084','Utilization of preprocessing worker internal processes, in %','zabbix[process,preprocessing worker,avg,busy]','1m','1w','365d','0','0','','%','','','25666',NULL,'','','0','','','','','0',NULL,'','0','30','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27138','3','','10203','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27067','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27139','3','','10203','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27066',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27140','3','','10203','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27065',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27149','3','','10204','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27067','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27150','3','','10204','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27066',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27151','3','','10204','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27065',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27180','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10207','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27098',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27181','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10207','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27099',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27182','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10207','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27106',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27183','20','1.3.6.1.2.1.31.1.1.1.6.{#SNMPINDEX}','10207','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifHCInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27104',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface, including framing characters. This object is a 64-bit version of ifInOctets. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27184','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10207','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27102',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27185','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10207','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27103',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27186','20','1.3.6.1.2.1.31.1.1.1.10.{#SNMPINDEX}','10207','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifHCOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27105',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. This object is a 64-bit version of ifOutOctets.Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27187','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10207','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27101',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27188','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10207','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27107','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27189','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10207','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27100','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27190','20','discovery[{#SNMPVALUE},1.3.6.1.2.1.10.7.2.1.19,{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2]','10207','EtherLike-MIB Discovery','net.if.duplex.discovery','1h','90d','0','0','4','','','','','27031',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB and EtherLike-MIB. Interfaces with up(1) Operational Status are discovered.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27191','20','1.3.6.1.2.1.10.7.2.1.19.{#SNMPINDEX}','10207','Interface {#IFNAME}({#IFALIAS}): Duplex status','net.if.duplex[dot3StatsDuplexStatus.{#SNMPINDEX}]','1m','7d','365d','0','3','','','','','27032','19','','','0','','','','','2',NULL,'MIB: EtherLike-MIB
The current mode of operation of the MAC
entity.  ''unknown'' indicates that the current
duplex mode could not be determined.

Management control of the duplex mode is
accomplished through the MAU MIB.  When
an interface does not support autonegotiation,
or when autonegotiation is not enabled, the
duplex mode is controlled using
ifMauDefaultType.  When autonegotiation is
supported and enabled, duplex mode is controlled
using ifMauAutoNegAdvertisedBits.  In either
case, the currently operating duplex mode is
reflected both in this object and in ifMauType.

Note that this object provides redundant
information with ifMauType.  Normally, redundant
objects are discouraged.  However, in this
instance, it allows a management application to
determine the duplex status of an interface
without having to know every possible value of
ifMauType.  This was felt to be sufficiently
valuable to justify the redundancy.
Reference: [IEEE 802.3 Std.], 30.3.1.1.32,aDuplexStatus.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27192','3','','10207','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27193','3','','10207','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27194','3','','10207','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27195','17','','10207','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27199','20','1.3.6.1.2.1.1.5.0','10207','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27202','5','','10207','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27215','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10208','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27098',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27216','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10208','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27099',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27217','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10208','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27106',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27218','20','1.3.6.1.2.1.31.1.1.1.6.{#SNMPINDEX}','10208','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifHCInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27104',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface, including framing characters. This object is a 64-bit version of ifInOctets. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27219','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10208','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27102',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27220','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10208','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27103',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27221','20','1.3.6.1.2.1.31.1.1.1.10.{#SNMPINDEX}','10208','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifHCOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27105',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. This object is a 64-bit version of ifOutOctets.Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27222','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10208','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27101',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27223','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10208','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27107','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27224','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10208','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27100','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27225','3','','10208','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27226','3','','10208','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27227','3','','10208','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27228','17','','10208','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27232','20','1.3.6.1.2.1.1.5.0','10208','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27235','5','','10208','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27251','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10210','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27098',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27252','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10210','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27099',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27253','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10210','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27106',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27254','20','1.3.6.1.2.1.31.1.1.1.6.{#SNMPINDEX}','10210','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifHCInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27104',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface, including framing characters. This object is a 64-bit version of ifInOctets. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27255','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10210','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27102',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27256','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10210','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27103',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27257','20','1.3.6.1.2.1.31.1.1.1.10.{#SNMPINDEX}','10210','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifHCOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27105',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. This object is a 64-bit version of ifOutOctets.Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27258','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10210','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27101',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27259','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10210','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27107','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27260','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10210','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27100','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27261','3','','10210','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27262','3','','10210','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27263','3','','10210','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27264','17','','10210','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27268','20','1.3.6.1.2.1.1.5.0','10210','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27271','5','','10210','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27272','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10211','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27098',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27273','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10211','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27099',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27274','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10211','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27106',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27275','20','1.3.6.1.2.1.31.1.1.1.6.{#SNMPINDEX}','10211','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifHCInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27104',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface, including framing characters. This object is a 64-bit version of ifInOctets. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27276','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10211','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27102',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27277','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10211','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27103',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27278','20','1.3.6.1.2.1.31.1.1.1.10.{#SNMPINDEX}','10211','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifHCOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27105',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. This object is a 64-bit version of ifOutOctets.Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27279','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10211','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27101',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27280','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10211','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27107','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27281','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10211','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27100','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27282','3','','10211','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27283','3','','10211','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27284','3','','10211','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27285','17','','10211','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27289','20','1.3.6.1.2.1.1.5.0','10211','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27292','5','','10211','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27299','20','1.3.6.1.4.1.1991.1.1.2.1.52.0','10210','CPU utilization','system.cpu.util[snAgGblCpuUtil1MinAvg.0]','1m','7d','365d','0','0','','%','','','27294',NULL,'','','0','','','','','0',NULL,'MIB: FOUNDRY-SN-AGENT-MIB
The statistics collection of 1 minute CPU utilization.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27301','20','1.3.6.1.4.1.1991.1.1.2.1.52.0','10211','CPU utilization','system.cpu.util[snAgGblCpuUtil1MinAvg.0]','1m','7d','365d','0','0','','%','','','27294',NULL,'','','0','','','','','0',NULL,'MIB: FOUNDRY-SN-AGENT-MIB
The statistics collection of 1 minute CPU utilization.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27321','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10218','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27098',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27322','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10218','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27099',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27323','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10218','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27106',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27324','20','1.3.6.1.2.1.31.1.1.1.6.{#SNMPINDEX}','10218','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifHCInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27104',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface, including framing characters. This object is a 64-bit version of ifInOctets. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27325','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10218','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27102',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27326','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10218','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27103',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27327','20','1.3.6.1.2.1.31.1.1.1.10.{#SNMPINDEX}','10218','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifHCOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27105',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. This object is a 64-bit version of ifOutOctets.Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27328','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10218','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27101',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27329','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10218','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27107','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27330','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10218','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27100','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27331','20','discovery[{#SNMPVALUE},1.3.6.1.2.1.10.7.2.1.19,{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2]','10218','EtherLike-MIB Discovery','net.if.duplex.discovery','1h','90d','0','0','4','','','','','27031',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB and EtherLike-MIB. Interfaces with up(1) Operational Status are discovered.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27332','20','1.3.6.1.2.1.10.7.2.1.19.{#SNMPINDEX}','10218','Interface {#IFNAME}({#IFALIAS}): Duplex status','net.if.duplex[dot3StatsDuplexStatus.{#SNMPINDEX}]','1m','7d','365d','0','3','','','','','27032','19','','','0','','','','','2',NULL,'MIB: EtherLike-MIB
The current mode of operation of the MAC
entity.  ''unknown'' indicates that the current
duplex mode could not be determined.

Management control of the duplex mode is
accomplished through the MAU MIB.  When
an interface does not support autonegotiation,
or when autonegotiation is not enabled, the
duplex mode is controlled using
ifMauDefaultType.  When autonegotiation is
supported and enabled, duplex mode is controlled
using ifMauAutoNegAdvertisedBits.  In either
case, the currently operating duplex mode is
reflected both in this object and in ifMauType.

Note that this object provides redundant
information with ifMauType.  Normally, redundant
objects are discouraged.  However, in this
instance, it allows a management application to
determine the duplex status of an interface
without having to know every possible value of
ifMauType.  This was felt to be sufficiently
valuable to justify the redundancy.
Reference: [IEEE 802.3 Std.], 30.3.1.1.32,aDuplexStatus.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27333','3','','10218','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27334','3','','10218','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27335','3','','10218','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27336','17','','10218','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27340','20','1.3.6.1.2.1.1.5.0','10218','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27343','5','','10218','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27365','3','','10220','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27366','3','','10220','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27367','3','','10220','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27368','17','','10220','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27372','20','1.3.6.1.2.1.1.5.0','10220','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27375','5','','10220','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27380','20','1.3.6.1.4.1.9.2.1.58','10220','CPU utilization','system.cpu.util[avgBusy5]','5m','7d','365d','0','0','','%','','','27376',NULL,'','','0','','','','','0',NULL,'MIB: OLD-CISCO-CPU-MIB
5 minute exponentially-decayed moving average of the CPU busy percentage.
Reference: http://www.cisco.com/c/en/us/support/docs/ip/simple-network-management-protocol-snmp/15215-collect-cpu-util-snmp.html','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27382','20','1.3.6.1.2.1.47.1.1.1.1.11.1','10220','Hardware serial number','system.hw.serialnumber','1h','2w','0','0','1','','','','','27378',NULL,'','','0','','','','','0',NULL,'MIB: ENTITY-MIB','8','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27383','20','1.3.6.1.2.1.47.1.1.1.1.13.1','10220','Hardware model name','system.hw.model','1h','2w','0','0','1','','','','','27379',NULL,'','','0','','','','','0',NULL,'MIB: ENTITY-MIB','29','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27385','20','1.3.6.1.2.1.47.1.1.1.1.11.1','10218','Hardware serial number','system.hw.serialnumber','1h','2w','0','0','1','','','','','27378',NULL,'','','0','','','','','0',NULL,'MIB: ENTITY-MIB','8','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27386','20','1.3.6.1.2.1.47.1.1.1.1.13.1','10218','Hardware model name','system.hw.model','1h','2w','0','0','1','','','','','27379',NULL,'','','0','','','','','0',NULL,'MIB: ENTITY-MIB','29','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27397','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.9.9.48.1.1.1.2]','10218','Memory Discovery','memory.discovery','1h','90d','0','0','4','','','','','27390',NULL,'','','0','','','','','1',NULL,'Discovery of ciscoMemoryPoolTable, a table of memory pool monitoring entries.
http://www.cisco.com/c/en/us/support/docs/ip/simple-network-management-protocol-snmp/15216-contiguous-memory.html','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27398','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.9.9.109.1.1.1.1.5]','10218','CPU Discovery','cpu.discovery','1h','90d','0','0','4','','','','','27391',NULL,'','','0','','','','','1',NULL,'If your IOS device has several CPUs, you must use CISCO-PROCESS-MIB and its object cpmCPUTotal5minRev from the table called cpmCPUTotalTable ,
indexed with cpmCPUTotalIndex .
This table allows CISCO-PROCESS-MIB to keep CPU statistics for different physical entities in the router,
like different CPU chips, group of CPUs, or CPUs in different modules/cards.
In case of a single CPU, cpmCPUTotalTable has only one entry.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27399','20','discovery[{#ENT_CLASS},1.3.6.1.2.1.47.1.1.1.1.5,{#ENT_NAME},1.3.6.1.2.1.47.1.1.1.1.7,{#ENT_SN},1.3.6.1.2.1.47.1.1.1.1.11]','10218','Entity Serial Numbers Discovery','entity_sn.discovery','1h','90d','0','0','4','','','','','27393',NULL,'','','0','','','','','1',NULL,'','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27400','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.9.9.13.1.3.1.2]','10218','Temperature Discovery','temperature.discovery','1h','90d','0','0','4','','','','','27394',NULL,'','','0','','','','','1',NULL,'Discovery of ciscoEnvMonTemperatureTable (ciscoEnvMonTemperatureDescr), a table of ambient temperature status
maintained by the environmental monitor.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27401','20','discovery[{#SENSOR_INFO},1.3.6.1.4.1.9.9.13.1.5.1.2]','10218','PSU Discovery','psu.discovery','1h','90d','0','0','4','','','','','27395',NULL,'','','0','','','','','1',NULL,'The table of power supply status maintained by the environmental monitor card.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27402','20','discovery[{#SENSOR_INFO},1.3.6.1.4.1.9.9.13.1.4.1.2]','10218','FAN Discovery','fan.discovery','1h','90d','0','0','4','','','','','27396',NULL,'','','0','','','','','1',NULL,'The table of fan status maintained by the environmental monitor.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27409','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.9.9.48.1.1.1.2]','10220','Memory Discovery','memory.discovery','1h','90d','0','0','4','','','','','27390',NULL,'','','0','','','','','1',NULL,'Discovery of ciscoMemoryPoolTable, a table of memory pool monitoring entries.
http://www.cisco.com/c/en/us/support/docs/ip/simple-network-management-protocol-snmp/15216-contiguous-memory.html','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27410','20','discovery[{#ENT_CLASS},1.3.6.1.2.1.47.1.1.1.1.5,{#ENT_NAME},1.3.6.1.2.1.47.1.1.1.1.7,{#ENT_SN},1.3.6.1.2.1.47.1.1.1.1.11]','10220','Entity Serial Numbers Discovery','entity_sn.discovery','1h','90d','0','0','4','','','','','27393',NULL,'','','0','','','','','1',NULL,'','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27411','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.9.9.13.1.3.1.2]','10220','Temperature Discovery','temperature.discovery','1h','90d','0','0','4','','','','','27394',NULL,'','','0','','','','','1',NULL,'Discovery of ciscoEnvMonTemperatureTable (ciscoEnvMonTemperatureDescr), a table of ambient temperature status
maintained by the environmental monitor.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27412','20','discovery[{#SENSOR_INFO},1.3.6.1.4.1.9.9.13.1.5.1.2]','10220','PSU Discovery','psu.discovery','1h','90d','0','0','4','','','','','27395',NULL,'','','0','','','','','1',NULL,'The table of power supply status maintained by the environmental monitor card.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27413','20','discovery[{#SENSOR_INFO},1.3.6.1.4.1.9.9.13.1.4.1.2]','10220','FAN Discovery','fan.discovery','1h','90d','0','0','4','','','','','27396',NULL,'','','0','','','','','1',NULL,'The table of fan status maintained by the environmental monitor.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27425','20','1.3.6.1.4.1.9.9.48.1.1.1.6.{#SNMPINDEX}','10218','{#SNMPVALUE}: Free memory','vm.memory.free[ciscoMemoryPoolFree.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','27415',NULL,'','','0','','','','','2',NULL,'MIB: CISCO-MEMORY-POOL-MIB
Indicates the number of bytes from the memory pool that are currently unused on the managed device. Note that the sum of ciscoMemoryPoolUsed and ciscoMemoryPoolFree is the total amount of memory in the pool
Reference: http://www.cisco.com/c/en/us/support/docs/ip/simple-network-management-protocol-snmp/15216-contiguous-memory.html','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27426','20','1.3.6.1.4.1.9.9.48.1.1.1.5.{#SNMPINDEX}','10218','{#SNMPVALUE}: Used memory','vm.memory.used[ciscoMemoryPoolUsed.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','27416',NULL,'','','0','','','','','2',NULL,'MIB: CISCO-MEMORY-POOL-MIB
Indicates the number of bytes from the memory pool that are currently in use by applications on the managed device.
Reference: http://www.cisco.com/c/en/us/support/docs/ip/simple-network-management-protocol-snmp/15216-contiguous-memory.html','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27427','20','1.3.6.1.4.1.9.9.109.1.1.1.1.8.{#SNMPINDEX}','10218','#{#SNMPINDEX}: CPU utilization','system.cpu.util[cpmCPUTotal5minRev.{#SNMPINDEX}]','5m','7d','365d','0','0','','%','','','27417',NULL,'','','0','','','','','2',NULL,'MIB: CISCO-PROCESS-MIB
The cpmCPUTotal5minRev MIB object provides a more accurate view of the performance of the router over time than the MIB objects cpmCPUTotal1minRev and cpmCPUTotal5secRev . These MIB objects are not accurate because they look at CPU at one minute and five second intervals, respectively. These MIBs enable you to monitor the trends and plan the capacity of your network. The recommended baseline rising threshold for cpmCPUTotal5minRev is 90 percent. Depending on the platform, some routers that run at 90 percent, for example, 2500s, can exhibit performance degradation versus a high-end router, for example, the 7500 series, which can operate fine.
Reference: http://www.cisco.com/c/en/us/support/docs/ip/simple-network-management-protocol-snmp/15215-collect-cpu-util-snmp.html','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27428','20','1.3.6.1.2.1.47.1.1.1.1.11.{#SNMPINDEX}','10218','{#ENT_NAME}: Hardware serial number','system.hw.serialnumber[entPhysicalSerialNum.{#SNMPINDEX}]','1h','2w','0','0','1','','','','','27419',NULL,'','','0','','','','','2',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27429','20','1.3.6.1.4.1.9.9.13.1.3.1.6.{#SNMPINDEX}','10218','{#SNMPVALUE}: Temperature status','sensor.temp.status[ciscoEnvMonTemperatureState.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','','27420','28','','','0','','','','','2',NULL,'MIB: CISCO-ENVMON-MIB
The current state of the test point being instrumented.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27430','20','1.3.6.1.4.1.9.9.13.1.3.1.3.{#SNMPINDEX}','10218','{#SNMPVALUE}: Temperature','sensor.temp.value[ciscoEnvMonTemperatureValue.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','','27421',NULL,'','','0','','','','','2',NULL,'MIB: CISCO-ENVMON-MIB
The current measurement of the test point being instrumented.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27431','20','1.3.6.1.4.1.9.9.13.1.5.1.3.{#SNMPINDEX}','10218','{#SENSOR_INFO}: Power supply status','sensor.psu.status[ciscoEnvMonSupplyState.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','','27422','28','','','0','','','','','2',NULL,'MIB: CISCO-ENVMON-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27432','20','1.3.6.1.4.1.9.9.13.1.4.1.3.{#SNMPINDEX}','10218','{#SENSOR_INFO}: Fan status','sensor.fan.status[ciscoEnvMonFanState.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','','27423','28','','','0','','','','','2',NULL,'MIB: CISCO-ENVMON-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27443','20','1.3.6.1.4.1.9.9.48.1.1.1.6.{#SNMPINDEX}','10220','{#SNMPVALUE}: Free memory','vm.memory.free[ciscoMemoryPoolFree.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','27415',NULL,'','','0','','','','','2',NULL,'MIB: CISCO-MEMORY-POOL-MIB
Indicates the number of bytes from the memory pool that are currently unused on the managed device. Note that the sum of ciscoMemoryPoolUsed and ciscoMemoryPoolFree is the total amount of memory in the pool
Reference: http://www.cisco.com/c/en/us/support/docs/ip/simple-network-management-protocol-snmp/15216-contiguous-memory.html','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27444','20','1.3.6.1.4.1.9.9.48.1.1.1.5.{#SNMPINDEX}','10220','{#SNMPVALUE}: Used memory','vm.memory.used[ciscoMemoryPoolUsed.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','27416',NULL,'','','0','','','','','2',NULL,'MIB: CISCO-MEMORY-POOL-MIB
Indicates the number of bytes from the memory pool that are currently in use by applications on the managed device.
Reference: http://www.cisco.com/c/en/us/support/docs/ip/simple-network-management-protocol-snmp/15216-contiguous-memory.html','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27445','20','1.3.6.1.2.1.47.1.1.1.1.11.{#SNMPINDEX}','10220','{#ENT_NAME}: Hardware serial number','system.hw.serialnumber[entPhysicalSerialNum.{#SNMPINDEX}]','1h','2w','0','0','1','','','','','27419',NULL,'','','0','','','','','2',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27446','20','1.3.6.1.4.1.9.9.13.1.3.1.6.{#SNMPINDEX}','10220','{#SNMPVALUE}: Temperature status','sensor.temp.status[ciscoEnvMonTemperatureState.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','','27420','28','','','0','','','','','2',NULL,'MIB: CISCO-ENVMON-MIB
The current state of the test point being instrumented.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27447','20','1.3.6.1.4.1.9.9.13.1.3.1.3.{#SNMPINDEX}','10220','{#SNMPVALUE}: Temperature','sensor.temp.value[ciscoEnvMonTemperatureValue.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','','27421',NULL,'','','0','','','','','2',NULL,'MIB: CISCO-ENVMON-MIB
The current measurement of the test point being instrumented.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27448','20','1.3.6.1.4.1.9.9.13.1.5.1.3.{#SNMPINDEX}','10220','{#SENSOR_INFO}: Power supply status','sensor.psu.status[ciscoEnvMonSupplyState.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','','27422','28','','','0','','','','','2',NULL,'MIB: CISCO-ENVMON-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27449','20','1.3.6.1.4.1.9.9.13.1.4.1.3.{#SNMPINDEX}','10220','{#SENSOR_INFO}: Fan status','sensor.fan.status[ciscoEnvMonFanState.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','','27423','28','','','0','','','','','2',NULL,'MIB: CISCO-ENVMON-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27450','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10221','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27098',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27451','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10221','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27099',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27452','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10221','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27106',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27453','20','1.3.6.1.2.1.31.1.1.1.6.{#SNMPINDEX}','10221','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifHCInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27104',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface, including framing characters. This object is a 64-bit version of ifInOctets. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27454','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10221','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27102',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27455','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10221','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27103',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27456','20','1.3.6.1.2.1.31.1.1.1.10.{#SNMPINDEX}','10221','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifHCOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27105',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. This object is a 64-bit version of ifOutOctets.Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27457','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10221','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27101',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27458','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10221','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27107','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27459','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10221','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27100','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27460','20','discovery[{#SNMPVALUE},1.3.6.1.2.1.10.7.2.1.19,{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2]','10221','EtherLike-MIB Discovery','net.if.duplex.discovery','1h','90d','0','0','4','','','','','27031',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB and EtherLike-MIB. Interfaces with up(1) Operational Status are discovered.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27461','20','1.3.6.1.2.1.10.7.2.1.19.{#SNMPINDEX}','10221','Interface {#IFNAME}({#IFALIAS}): Duplex status','net.if.duplex[dot3StatsDuplexStatus.{#SNMPINDEX}]','1m','7d','365d','0','3','','','','','27032','19','','','0','','','','','2',NULL,'MIB: EtherLike-MIB
The current mode of operation of the MAC
entity.  ''unknown'' indicates that the current
duplex mode could not be determined.

Management control of the duplex mode is
accomplished through the MAU MIB.  When
an interface does not support autonegotiation,
or when autonegotiation is not enabled, the
duplex mode is controlled using
ifMauDefaultType.  When autonegotiation is
supported and enabled, duplex mode is controlled
using ifMauAutoNegAdvertisedBits.  In either
case, the currently operating duplex mode is
reflected both in this object and in ifMauType.

Note that this object provides redundant
information with ifMauType.  Normally, redundant
objects are discouraged.  However, in this
instance, it allows a management application to
determine the duplex status of an interface
without having to know every possible value of
ifMauType.  This was felt to be sufficiently
valuable to justify the redundancy.
Reference: [IEEE 802.3 Std.], 30.3.1.1.32,aDuplexStatus.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27462','3','','10221','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27463','3','','10221','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27464','3','','10221','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27465','17','','10221','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27469','20','1.3.6.1.2.1.1.5.0','10221','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27472','5','','10221','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27486','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10222','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27098',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27487','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10222','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27099',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27488','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10222','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27106',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27489','20','1.3.6.1.2.1.31.1.1.1.6.{#SNMPINDEX}','10222','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifHCInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27104',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface, including framing characters. This object is a 64-bit version of ifInOctets. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27490','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10222','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27102',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27491','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10222','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27103',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27492','20','1.3.6.1.2.1.31.1.1.1.10.{#SNMPINDEX}','10222','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifHCOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27105',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. This object is a 64-bit version of ifOutOctets.Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27493','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10222','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27101',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27494','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10222','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27107','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27495','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10222','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27100','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27496','3','','10222','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27497','3','','10222','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27498','3','','10222','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27499','17','','10222','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27503','20','1.3.6.1.2.1.1.5.0','10222','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27506','5','','10222','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27520','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10223','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27098',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27521','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10223','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27099',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27522','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10223','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27106',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27523','20','1.3.6.1.2.1.31.1.1.1.6.{#SNMPINDEX}','10223','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifHCInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27104',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface, including framing characters. This object is a 64-bit version of ifInOctets. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27524','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10223','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27102',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27525','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10223','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27103',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27526','20','1.3.6.1.2.1.31.1.1.1.10.{#SNMPINDEX}','10223','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifHCOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27105',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. This object is a 64-bit version of ifOutOctets.Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27527','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10223','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27101',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27528','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10223','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27107','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27529','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10223','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27100','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27530','20','discovery[{#SNMPVALUE},1.3.6.1.2.1.10.7.2.1.19,{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2]','10223','EtherLike-MIB Discovery','net.if.duplex.discovery','1h','90d','0','0','4','','','','','27031',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB and EtherLike-MIB. Interfaces with up(1) Operational Status are discovered.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27531','20','1.3.6.1.2.1.10.7.2.1.19.{#SNMPINDEX}','10223','Interface {#IFNAME}({#IFALIAS}): Duplex status','net.if.duplex[dot3StatsDuplexStatus.{#SNMPINDEX}]','1m','7d','365d','0','3','','','','','27032','19','','','0','','','','','2',NULL,'MIB: EtherLike-MIB
The current mode of operation of the MAC
entity.  ''unknown'' indicates that the current
duplex mode could not be determined.

Management control of the duplex mode is
accomplished through the MAU MIB.  When
an interface does not support autonegotiation,
or when autonegotiation is not enabled, the
duplex mode is controlled using
ifMauDefaultType.  When autonegotiation is
supported and enabled, duplex mode is controlled
using ifMauAutoNegAdvertisedBits.  In either
case, the currently operating duplex mode is
reflected both in this object and in ifMauType.

Note that this object provides redundant
information with ifMauType.  Normally, redundant
objects are discouraged.  However, in this
instance, it allows a management application to
determine the duplex status of an interface
without having to know every possible value of
ifMauType.  This was felt to be sufficiently
valuable to justify the redundancy.
Reference: [IEEE 802.3 Std.], 30.3.1.1.32,aDuplexStatus.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27532','3','','10223','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27533','3','','10223','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27534','3','','10223','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27535','17','','10223','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27539','20','1.3.6.1.2.1.1.5.0','10223','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27542','5','','10223','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27556','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10224','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27098',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27557','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10224','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27099',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27558','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10224','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27106',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27559','20','1.3.6.1.2.1.31.1.1.1.6.{#SNMPINDEX}','10224','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifHCInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27104',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface, including framing characters. This object is a 64-bit version of ifInOctets. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27560','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10224','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27102',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27561','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10224','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27103',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27562','20','1.3.6.1.2.1.31.1.1.1.10.{#SNMPINDEX}','10224','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifHCOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27105',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. This object is a 64-bit version of ifOutOctets.Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27563','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10224','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27101',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27564','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10224','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27107','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27565','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10224','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27100','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27566','20','discovery[{#SNMPVALUE},1.3.6.1.2.1.10.7.2.1.19,{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2]','10224','EtherLike-MIB Discovery','net.if.duplex.discovery','1h','90d','0','0','4','','','','','27031',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB and EtherLike-MIB. Interfaces with up(1) Operational Status are discovered.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27567','20','1.3.6.1.2.1.10.7.2.1.19.{#SNMPINDEX}','10224','Interface {#IFNAME}({#IFALIAS}): Duplex status','net.if.duplex[dot3StatsDuplexStatus.{#SNMPINDEX}]','1m','7d','365d','0','3','','','','','27032','19','','','0','','','','','2',NULL,'MIB: EtherLike-MIB
The current mode of operation of the MAC
entity.  ''unknown'' indicates that the current
duplex mode could not be determined.

Management control of the duplex mode is
accomplished through the MAU MIB.  When
an interface does not support autonegotiation,
or when autonegotiation is not enabled, the
duplex mode is controlled using
ifMauDefaultType.  When autonegotiation is
supported and enabled, duplex mode is controlled
using ifMauAutoNegAdvertisedBits.  In either
case, the currently operating duplex mode is
reflected both in this object and in ifMauType.

Note that this object provides redundant
information with ifMauType.  Normally, redundant
objects are discouraged.  However, in this
instance, it allows a management application to
determine the duplex status of an interface
without having to know every possible value of
ifMauType.  This was felt to be sufficiently
valuable to justify the redundancy.
Reference: [IEEE 802.3 Std.], 30.3.1.1.32,aDuplexStatus.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27568','3','','10224','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27569','3','','10224','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27570','3','','10224','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27571','17','','10224','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27575','20','1.3.6.1.2.1.1.5.0','10224','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27578','5','','10224','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27596','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFNAME},1.3.6.1.2.1.2.2.1.2,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10225','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27068',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27597','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10225','Interface {#IFDESCR}: Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27069',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27598','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10225','Interface {#IFDESCR}: Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27076',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27599','20','1.3.6.1.2.1.2.2.1.10.{#SNMPINDEX}','10225','Interface {#IFDESCR}: Bits received','net.if.in[ifInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27074',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface,including framing characters. Discontinuities in the value of this counter can occurat re-initialization of the management system, and atother times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27600','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10225','Interface {#IFDESCR}: Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27072',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27601','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10225','Interface {#IFDESCR}: Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27073',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27602','20','1.3.6.1.2.1.2.2.1.16.{#SNMPINDEX}','10225','Interface {#IFDESCR}: Bits sent','net.if.out[ifOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27075',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. Discontinuities in the value of this counter can occurat re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27603','20','1.3.6.1.2.1.2.2.1.5.{#SNMPINDEX}','10225','Interface {#IFDESCR}: Speed','net.if.speed[ifSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27071',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in bits per second.
For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made,
this object should contain the nominal bandwidth.
If the bandwidth of the interface is greater than the maximum value reportable by this object then
this object should report its maximum value (4,294,967,295) and ifHighSpeed must be used to report the interace''s speed.
For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27604','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10225','Interface {#IFDESCR}: Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27077','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27605','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10225','Interface {#IFDESCR}: Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27070','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27606','20','discovery[{#SNMPVALUE},1.3.6.1.2.1.10.7.2.1.19,{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2]','10225','EtherLike-MIB Discovery','net.if.duplex.discovery','1h','90d','0','0','4','','','','','27029',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB and EtherLike-MIB. Interfaces with up(1) Operational Status are discovered.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27607','20','1.3.6.1.2.1.10.7.2.1.19.{#SNMPINDEX}','10225','Interface {#IFNAME}({#IFALIAS}): Duplex status','net.if.duplex[dot3StatsDuplexStatus.{#SNMPINDEX}]','1m','7d','365d','0','3','','','','','27030','19','','','0','','','','','2',NULL,'MIB: EtherLike-MIB
The current mode of operation of the MAC
entity.  ''unknown'' indicates that the current
duplex mode could not be determined.

Management control of the duplex mode is
accomplished through the MAU MIB.  When
an interface does not support autonegotiation,
or when autonegotiation is not enabled, the
duplex mode is controlled using
ifMauDefaultType.  When autonegotiation is
supported and enabled, duplex mode is controlled
using ifMauAutoNegAdvertisedBits.  In either
case, the currently operating duplex mode is
reflected both in this object and in ifMauType.

Note that this object provides redundant
information with ifMauType.  Normally, redundant
objects are discouraged.  However, in this
instance, it allows a management application to
determine the duplex status of an interface
without having to know every possible value of
ifMauType.  This was felt to be sufficiently
valuable to justify the redundancy.
Reference: [IEEE 802.3 Std.], 30.3.1.1.32,aDuplexStatus.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27608','3','','10225','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27138','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27609','3','','10225','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27139',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27610','3','','10225','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27140',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27611','17','','10225','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27146',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27615','20','1.3.6.1.2.1.1.5.0','10225','System name','system.name','1h','2w','0','0','1','','','','','27141',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27618','5','','10225','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27143','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27619','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFNAME},1.3.6.1.2.1.2.2.1.2,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10226','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27078',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27620','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10226','Interface {#IFDESCR}: Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27079',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27621','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10226','Interface {#IFDESCR}: Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27086',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27622','20','1.3.6.1.2.1.2.2.1.10.{#SNMPINDEX}','10226','Interface {#IFDESCR}: Bits received','net.if.in[ifInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27084',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface,including framing characters. Discontinuities in the value of this counter can occurat re-initialization of the management system, and atother times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27623','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10226','Interface {#IFDESCR}: Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27082',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27624','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10226','Interface {#IFDESCR}: Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27083',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27625','20','1.3.6.1.2.1.2.2.1.16.{#SNMPINDEX}','10226','Interface {#IFDESCR}: Bits sent','net.if.out[ifOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27085',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. Discontinuities in the value of this counter can occurat re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27626','20','1.3.6.1.2.1.2.2.1.5.{#SNMPINDEX}','10226','Interface {#IFDESCR}: Speed','net.if.speed[ifSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27081',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in bits per second.
For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made,
this object should contain the nominal bandwidth.
If the bandwidth of the interface is greater than the maximum value reportable by this object then
this object should report its maximum value (4,294,967,295) and ifHighSpeed must be used to report the interace''s speed.
For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27627','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10226','Interface {#IFDESCR}: Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27087','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27628','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10226','Interface {#IFDESCR}: Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27080','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27629','20','discovery[{#SNMPVALUE},1.3.6.1.2.1.10.7.2.1.19,{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2]','10226','EtherLike-MIB Discovery','net.if.duplex.discovery','1h','90d','0','0','4','','','','','27031',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB and EtherLike-MIB. Interfaces with up(1) Operational Status are discovered.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27630','20','1.3.6.1.2.1.10.7.2.1.19.{#SNMPINDEX}','10226','Interface {#IFNAME}({#IFALIAS}): Duplex status','net.if.duplex[dot3StatsDuplexStatus.{#SNMPINDEX}]','1m','7d','365d','0','3','','','','','27032','19','','','0','','','','','2',NULL,'MIB: EtherLike-MIB
The current mode of operation of the MAC
entity.  ''unknown'' indicates that the current
duplex mode could not be determined.

Management control of the duplex mode is
accomplished through the MAU MIB.  When
an interface does not support autonegotiation,
or when autonegotiation is not enabled, the
duplex mode is controlled using
ifMauDefaultType.  When autonegotiation is
supported and enabled, duplex mode is controlled
using ifMauAutoNegAdvertisedBits.  In either
case, the currently operating duplex mode is
reflected both in this object and in ifMauType.

Note that this object provides redundant
information with ifMauType.  Normally, redundant
objects are discouraged.  However, in this
instance, it allows a management application to
determine the duplex status of an interface
without having to know every possible value of
ifMauType.  This was felt to be sufficiently
valuable to justify the redundancy.
Reference: [IEEE 802.3 Std.], 30.3.1.1.32,aDuplexStatus.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27631','3','','10226','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27632','3','','10226','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27633','3','','10226','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27634','17','','10226','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27638','20','1.3.6.1.2.1.1.5.0','10226','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27641','5','','10226','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27642','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10227','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27098',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27643','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10227','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27099',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27644','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10227','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27106',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27645','20','1.3.6.1.2.1.31.1.1.1.6.{#SNMPINDEX}','10227','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifHCInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27104',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface, including framing characters. This object is a 64-bit version of ifInOctets. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27646','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10227','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27102',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27647','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10227','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27103',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27648','20','1.3.6.1.2.1.31.1.1.1.10.{#SNMPINDEX}','10227','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifHCOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27105',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. This object is a 64-bit version of ifOutOctets.Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27649','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10227','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27101',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27650','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10227','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27107','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27651','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10227','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27100','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27652','20','discovery[{#SNMPVALUE},1.3.6.1.2.1.10.7.2.1.19,{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2]','10227','EtherLike-MIB Discovery','net.if.duplex.discovery','1h','90d','0','0','4','','','','','27031',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB and EtherLike-MIB. Interfaces with up(1) Operational Status are discovered.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27653','20','1.3.6.1.2.1.10.7.2.1.19.{#SNMPINDEX}','10227','Interface {#IFNAME}({#IFALIAS}): Duplex status','net.if.duplex[dot3StatsDuplexStatus.{#SNMPINDEX}]','1m','7d','365d','0','3','','','','','27032','19','','','0','','','','','2',NULL,'MIB: EtherLike-MIB
The current mode of operation of the MAC
entity.  ''unknown'' indicates that the current
duplex mode could not be determined.

Management control of the duplex mode is
accomplished through the MAU MIB.  When
an interface does not support autonegotiation,
or when autonegotiation is not enabled, the
duplex mode is controlled using
ifMauDefaultType.  When autonegotiation is
supported and enabled, duplex mode is controlled
using ifMauAutoNegAdvertisedBits.  In either
case, the currently operating duplex mode is
reflected both in this object and in ifMauType.

Note that this object provides redundant
information with ifMauType.  Normally, redundant
objects are discouraged.  However, in this
instance, it allows a management application to
determine the duplex status of an interface
without having to know every possible value of
ifMauType.  This was felt to be sufficiently
valuable to justify the redundancy.
Reference: [IEEE 802.3 Std.], 30.3.1.1.32,aDuplexStatus.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27654','3','','10227','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27655','3','','10227','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27656','3','','10227','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27657','17','','10227','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27661','20','1.3.6.1.2.1.1.5.0','10227','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27664','5','','10227','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27722','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10229','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27098',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27723','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10229','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27099',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27724','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10229','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27106',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27725','20','1.3.6.1.2.1.31.1.1.1.6.{#SNMPINDEX}','10229','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifHCInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27104',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface, including framing characters. This object is a 64-bit version of ifInOctets. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27726','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10229','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27102',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27727','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10229','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27103',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27728','20','1.3.6.1.2.1.31.1.1.1.10.{#SNMPINDEX}','10229','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifHCOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27105',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. This object is a 64-bit version of ifOutOctets.Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27729','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10229','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27101',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27730','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10229','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27107','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27731','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10229','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27100','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27732','20','discovery[{#SNMPVALUE},1.3.6.1.2.1.10.7.2.1.19,{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2]','10229','EtherLike-MIB Discovery','net.if.duplex.discovery','1h','90d','0','0','4','','','','','27031',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB and EtherLike-MIB. Interfaces with up(1) Operational Status are discovered.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27733','20','1.3.6.1.2.1.10.7.2.1.19.{#SNMPINDEX}','10229','Interface {#IFNAME}({#IFALIAS}): Duplex status','net.if.duplex[dot3StatsDuplexStatus.{#SNMPINDEX}]','1m','7d','365d','0','3','','','','','27032','19','','','0','','','','','2',NULL,'MIB: EtherLike-MIB
The current mode of operation of the MAC
entity.  ''unknown'' indicates that the current
duplex mode could not be determined.

Management control of the duplex mode is
accomplished through the MAU MIB.  When
an interface does not support autonegotiation,
or when autonegotiation is not enabled, the
duplex mode is controlled using
ifMauDefaultType.  When autonegotiation is
supported and enabled, duplex mode is controlled
using ifMauAutoNegAdvertisedBits.  In either
case, the currently operating duplex mode is
reflected both in this object and in ifMauType.

Note that this object provides redundant
information with ifMauType.  Normally, redundant
objects are discouraged.  However, in this
instance, it allows a management application to
determine the duplex status of an interface
without having to know every possible value of
ifMauType.  This was felt to be sufficiently
valuable to justify the redundancy.
Reference: [IEEE 802.3 Std.], 30.3.1.1.32,aDuplexStatus.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27734','3','','10229','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27735','3','','10229','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27736','3','','10229','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27737','17','','10229','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27741','20','1.3.6.1.2.1.1.5.0','10229','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27744','5','','10229','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27756','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10230','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27098',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27757','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10230','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27099',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27758','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10230','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27106',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27759','20','1.3.6.1.2.1.31.1.1.1.6.{#SNMPINDEX}','10230','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifHCInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27104',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface, including framing characters. This object is a 64-bit version of ifInOctets. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27760','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10230','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27102',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27761','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10230','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27103',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27762','20','1.3.6.1.2.1.31.1.1.1.10.{#SNMPINDEX}','10230','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifHCOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27105',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. This object is a 64-bit version of ifOutOctets.Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27763','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10230','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27101',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27764','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10230','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27107','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27765','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10230','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27100','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27766','3','','10230','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27767','3','','10230','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27768','3','','10230','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27769','17','','10230','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27773','20','1.3.6.1.2.1.1.5.0','10230','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27776','5','','10230','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27788','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10231','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27098',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27789','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10231','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27099',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27790','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10231','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27106',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27791','20','1.3.6.1.2.1.31.1.1.1.6.{#SNMPINDEX}','10231','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifHCInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27104',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface, including framing characters. This object is a 64-bit version of ifInOctets. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27792','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10231','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27102',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27793','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10231','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27103',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27794','20','1.3.6.1.2.1.31.1.1.1.10.{#SNMPINDEX}','10231','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifHCOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27105',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. This object is a 64-bit version of ifOutOctets.Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27795','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10231','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27101',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27796','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10231','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27107','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27797','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10231','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27100','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27798','20','discovery[{#SNMPVALUE},1.3.6.1.2.1.10.7.2.1.19,{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2]','10231','EtherLike-MIB Discovery','net.if.duplex.discovery','1h','90d','0','0','4','','','','','27031',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB and EtherLike-MIB. Interfaces with up(1) Operational Status are discovered.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27799','20','1.3.6.1.2.1.10.7.2.1.19.{#SNMPINDEX}','10231','Interface {#IFNAME}({#IFALIAS}): Duplex status','net.if.duplex[dot3StatsDuplexStatus.{#SNMPINDEX}]','1m','7d','365d','0','3','','','','','27032','19','','','0','','','','','2',NULL,'MIB: EtherLike-MIB
The current mode of operation of the MAC
entity.  ''unknown'' indicates that the current
duplex mode could not be determined.

Management control of the duplex mode is
accomplished through the MAU MIB.  When
an interface does not support autonegotiation,
or when autonegotiation is not enabled, the
duplex mode is controlled using
ifMauDefaultType.  When autonegotiation is
supported and enabled, duplex mode is controlled
using ifMauAutoNegAdvertisedBits.  In either
case, the currently operating duplex mode is
reflected both in this object and in ifMauType.

Note that this object provides redundant
information with ifMauType.  Normally, redundant
objects are discouraged.  However, in this
instance, it allows a management application to
determine the duplex status of an interface
without having to know every possible value of
ifMauType.  This was felt to be sufficiently
valuable to justify the redundancy.
Reference: [IEEE 802.3 Std.], 30.3.1.1.32,aDuplexStatus.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27800','3','','10231','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27801','3','','10231','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27802','3','','10231','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27803','17','','10231','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27807','20','1.3.6.1.2.1.1.5.0','10231','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27810','5','','10231','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27872','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10233','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27098',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27873','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10233','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27099',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27874','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10233','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27106',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27875','20','1.3.6.1.2.1.31.1.1.1.6.{#SNMPINDEX}','10233','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifHCInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27104',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface, including framing characters. This object is a 64-bit version of ifInOctets. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27876','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10233','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27102',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27877','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10233','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27103',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27878','20','1.3.6.1.2.1.31.1.1.1.10.{#SNMPINDEX}','10233','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifHCOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27105',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. This object is a 64-bit version of ifOutOctets.Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27879','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10233','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27101',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27880','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10233','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27107','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27881','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10233','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27100','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27882','3','','10233','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27883','3','','10233','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27884','3','','10233','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27885','17','','10233','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27889','20','1.3.6.1.2.1.1.5.0','10233','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27892','5','','10233','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27909','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10234','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27098',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27910','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10234','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27099',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27911','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10234','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27106',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27912','20','1.3.6.1.2.1.31.1.1.1.6.{#SNMPINDEX}','10234','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifHCInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27104',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface, including framing characters. This object is a 64-bit version of ifInOctets. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27913','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10234','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27102',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27914','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10234','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27103',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27915','20','1.3.6.1.2.1.31.1.1.1.10.{#SNMPINDEX}','10234','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifHCOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27105',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. This object is a 64-bit version of ifOutOctets.Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27916','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10234','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27101',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27917','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10234','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27107','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27918','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10234','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27100','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27919','3','','10234','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27920','3','','10234','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27921','3','','10234','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27922','17','','10234','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27926','20','1.3.6.1.2.1.1.5.0','10234','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27929','5','','10234','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27944','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10235','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27098',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27945','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10235','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27099',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27946','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10235','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27106',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27947','20','1.3.6.1.2.1.31.1.1.1.6.{#SNMPINDEX}','10235','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifHCInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27104',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface, including framing characters. This object is a 64-bit version of ifInOctets. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27948','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10235','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27102',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27949','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10235','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27103',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27950','20','1.3.6.1.2.1.31.1.1.1.10.{#SNMPINDEX}','10235','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifHCOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27105',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. This object is a 64-bit version of ifOutOctets.Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27951','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10235','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27101',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27952','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10235','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27107','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27953','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10235','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27100','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27954','20','discovery[{#SNMPVALUE},1.3.6.1.2.1.10.7.2.1.19,{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2]','10235','EtherLike-MIB Discovery','net.if.duplex.discovery','1h','90d','0','0','4','','','','','27031',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB and EtherLike-MIB. Interfaces with up(1) Operational Status are discovered.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27955','20','1.3.6.1.2.1.10.7.2.1.19.{#SNMPINDEX}','10235','Interface {#IFNAME}({#IFALIAS}): Duplex status','net.if.duplex[dot3StatsDuplexStatus.{#SNMPINDEX}]','1m','7d','365d','0','3','','','','','27032','19','','','0','','','','','2',NULL,'MIB: EtherLike-MIB
The current mode of operation of the MAC
entity.  ''unknown'' indicates that the current
duplex mode could not be determined.

Management control of the duplex mode is
accomplished through the MAU MIB.  When
an interface does not support autonegotiation,
or when autonegotiation is not enabled, the
duplex mode is controlled using
ifMauDefaultType.  When autonegotiation is
supported and enabled, duplex mode is controlled
using ifMauAutoNegAdvertisedBits.  In either
case, the currently operating duplex mode is
reflected both in this object and in ifMauType.

Note that this object provides redundant
information with ifMauType.  Normally, redundant
objects are discouraged.  However, in this
instance, it allows a management application to
determine the duplex status of an interface
without having to know every possible value of
ifMauType.  This was felt to be sufficiently
valuable to justify the redundancy.
Reference: [IEEE 802.3 Std.], 30.3.1.1.32,aDuplexStatus.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27956','3','','10235','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27957','3','','10235','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27958','3','','10235','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27959','17','','10235','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27963','20','1.3.6.1.2.1.1.5.0','10235','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27966','5','','10235','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27976','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFNAME},1.3.6.1.2.1.2.2.1.2,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10236','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27078',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27977','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10236','Interface {#IFDESCR}: Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27079',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27978','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10236','Interface {#IFDESCR}: Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27086',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27979','20','1.3.6.1.2.1.2.2.1.10.{#SNMPINDEX}','10236','Interface {#IFDESCR}: Bits received','net.if.in[ifInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27084',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface,including framing characters. Discontinuities in the value of this counter can occurat re-initialization of the management system, and atother times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27980','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10236','Interface {#IFDESCR}: Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27082',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27981','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10236','Interface {#IFDESCR}: Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27083',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27982','20','1.3.6.1.2.1.2.2.1.16.{#SNMPINDEX}','10236','Interface {#IFDESCR}: Bits sent','net.if.out[ifOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27085',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. Discontinuities in the value of this counter can occurat re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27983','20','1.3.6.1.2.1.2.2.1.5.{#SNMPINDEX}','10236','Interface {#IFDESCR}: Speed','net.if.speed[ifSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27081',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in bits per second.
For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made,
this object should contain the nominal bandwidth.
If the bandwidth of the interface is greater than the maximum value reportable by this object then
this object should report its maximum value (4,294,967,295) and ifHighSpeed must be used to report the interace''s speed.
For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27984','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10236','Interface {#IFDESCR}: Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27087','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27985','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10236','Interface {#IFDESCR}: Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27080','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27986','3','','10236','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27987','3','','10236','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27988','3','','10236','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27989','17','','10236','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27993','20','1.3.6.1.2.1.1.5.0','10236','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('27996','5','','10236','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28005','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFNAME},1.3.6.1.2.1.2.2.1.2,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10237','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27068',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28006','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10237','Interface {#IFDESCR}: Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27069',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28007','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10237','Interface {#IFDESCR}: Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27076',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28008','20','1.3.6.1.2.1.2.2.1.10.{#SNMPINDEX}','10237','Interface {#IFDESCR}: Bits received','net.if.in[ifInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27074',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface,including framing characters. Discontinuities in the value of this counter can occurat re-initialization of the management system, and atother times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28009','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10237','Interface {#IFDESCR}: Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27072',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28010','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10237','Interface {#IFDESCR}: Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27073',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28011','20','1.3.6.1.2.1.2.2.1.16.{#SNMPINDEX}','10237','Interface {#IFDESCR}: Bits sent','net.if.out[ifOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27075',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. Discontinuities in the value of this counter can occurat re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28012','20','1.3.6.1.2.1.2.2.1.5.{#SNMPINDEX}','10237','Interface {#IFDESCR}: Speed','net.if.speed[ifSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27071',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in bits per second.
For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made,
this object should contain the nominal bandwidth.
If the bandwidth of the interface is greater than the maximum value reportable by this object then
this object should report its maximum value (4,294,967,295) and ifHighSpeed must be used to report the interace''s speed.
For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28013','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10237','Interface {#IFDESCR}: Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27077','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28014','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10237','Interface {#IFDESCR}: Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27070','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28015','3','','10237','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27138','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28016','3','','10237','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27139',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28017','3','','10237','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27140',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28018','17','','10237','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27146',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28022','20','1.3.6.1.2.1.1.5.0','10237','System name','system.name','1h','2w','0','0','1','','','','','27141',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28025','5','','10237','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27143','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28118','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10250','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27098',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28119','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10250','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27099',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28120','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10250','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27106',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28121','20','1.3.6.1.2.1.31.1.1.1.6.{#SNMPINDEX}','10250','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifHCInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27104',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface, including framing characters. This object is a 64-bit version of ifInOctets. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28122','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10250','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27102',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28123','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10250','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27103',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28124','20','1.3.6.1.2.1.31.1.1.1.10.{#SNMPINDEX}','10250','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifHCOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27105',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. This object is a 64-bit version of ifOutOctets.Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28125','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10250','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27101',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28126','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10250','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27107','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28127','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10250','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27100','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28128','20','discovery[{#SNMPVALUE},1.3.6.1.2.1.10.7.2.1.19,{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2]','10250','EtherLike-MIB Discovery','net.if.duplex.discovery','1h','90d','0','0','4','','','','','27031',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB and EtherLike-MIB. Interfaces with up(1) Operational Status are discovered.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28129','20','1.3.6.1.2.1.10.7.2.1.19.{#SNMPINDEX}','10250','Interface {#IFNAME}({#IFALIAS}): Duplex status','net.if.duplex[dot3StatsDuplexStatus.{#SNMPINDEX}]','1m','7d','365d','0','3','','','','','27032','19','','','0','','','','','2',NULL,'MIB: EtherLike-MIB
The current mode of operation of the MAC
entity.  ''unknown'' indicates that the current
duplex mode could not be determined.

Management control of the duplex mode is
accomplished through the MAU MIB.  When
an interface does not support autonegotiation,
or when autonegotiation is not enabled, the
duplex mode is controlled using
ifMauDefaultType.  When autonegotiation is
supported and enabled, duplex mode is controlled
using ifMauAutoNegAdvertisedBits.  In either
case, the currently operating duplex mode is
reflected both in this object and in ifMauType.

Note that this object provides redundant
information with ifMauType.  Normally, redundant
objects are discouraged.  However, in this
instance, it allows a management application to
determine the duplex status of an interface
without having to know every possible value of
ifMauType.  This was felt to be sufficiently
valuable to justify the redundancy.
Reference: [IEEE 802.3 Std.], 30.3.1.1.32,aDuplexStatus.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28130','3','','10250','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28131','3','','10250','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28132','3','','10250','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28133','17','','10250','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28137','20','1.3.6.1.2.1.1.5.0','10250','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28140','5','','10250','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28175','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10251','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27098',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28176','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10251','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27099',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28177','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10251','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27106',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28178','20','1.3.6.1.2.1.31.1.1.1.6.{#SNMPINDEX}','10251','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifHCInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27104',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface, including framing characters. This object is a 64-bit version of ifInOctets. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28179','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10251','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27102',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28180','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10251','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27103',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28181','20','1.3.6.1.2.1.31.1.1.1.10.{#SNMPINDEX}','10251','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifHCOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27105',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. This object is a 64-bit version of ifOutOctets.Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28182','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10251','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27101',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28183','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10251','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27107','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28184','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10251','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27100','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28185','3','','10251','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28186','3','','10251','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28187','3','','10251','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28188','17','','10251','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28192','20','1.3.6.1.2.1.1.5.0','10251','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28195','5','','10251','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28207','20','discovery[{#ENT_CLASS},1.3.6.1.2.1.47.1.1.1.1.5,{#ENT_NAME},1.3.6.1.2.1.47.1.1.1.1.7,{#ENT_SN},1.3.6.1.2.1.47.1.1.1.1.11]','10253','Entity Serial Numbers Discovery','entity_sn.discovery','1h','90d','0','0','4','','','','','27393',NULL,'','','0','','','','','1',NULL,'','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28208','20','1.3.6.1.2.1.47.1.1.1.1.11.{#SNMPINDEX}','10253','{#ENT_NAME}: Hardware serial number','system.hw.serialnumber[entPhysicalSerialNum.{#SNMPINDEX}]','1h','2w','0','0','1','','','','','27419',NULL,'','','0','','','','','2',NULL,'MIB: ENTITY-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28209','20','1.3.6.1.2.1.47.1.1.1.1.13.1','10253','Hardware model name','system.hw.model','1h','2w','0','0','1','','','','','27379',NULL,'','','0','','','','','0',NULL,'MIB: ENTITY-MIB','29','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28210','20','1.3.6.1.2.1.47.1.1.1.1.11.1','10253','Hardware serial number','system.hw.serialnumber','1h','2w','0','0','1','','','','','27378',NULL,'','','0','','','','','0',NULL,'MIB: ENTITY-MIB','8','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28212','20','discovery[{#SENSOR_INFO},1.3.6.1.4.1.9.9.13.1.4.1.2]','10253','FAN Discovery','fan.discovery','1h','90d','0','0','4','','','','','27396',NULL,'','','0','','','','','1',NULL,'The table of fan status maintained by the environmental monitor.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28213','20','discovery[{#SENSOR_INFO},1.3.6.1.4.1.9.9.13.1.5.1.2]','10253','PSU Discovery','psu.discovery','1h','90d','0','0','4','','','','','27395',NULL,'','','0','','','','','1',NULL,'The table of power supply status maintained by the environmental monitor card.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28214','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.9.9.13.1.3.1.2]','10253','Temperature Discovery','temperature.discovery','1h','90d','0','0','4','','','','','27394',NULL,'','','0','','','','','1',NULL,'Discovery of ciscoEnvMonTemperatureTable (ciscoEnvMonTemperatureDescr), a table of ambient temperature status
maintained by the environmental monitor.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28215','20','1.3.6.1.4.1.9.9.13.1.4.1.3.{#SNMPINDEX}','10253','{#SENSOR_INFO}: Fan status','sensor.fan.status[ciscoEnvMonFanState.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','','27423','28','','','0','','','','','2',NULL,'MIB: CISCO-ENVMON-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28216','20','1.3.6.1.4.1.9.9.13.1.5.1.3.{#SNMPINDEX}','10253','{#SENSOR_INFO}: Power supply status','sensor.psu.status[ciscoEnvMonSupplyState.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','','27422','28','','','0','','','','','2',NULL,'MIB: CISCO-ENVMON-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28217','20','1.3.6.1.4.1.9.9.13.1.3.1.6.{#SNMPINDEX}','10253','{#SNMPVALUE}: Temperature status','sensor.temp.status[ciscoEnvMonTemperatureState.{#SNMPINDEX}]','3m','2w','0d','0','3','','','','','27420','28','','','0','','','','','2',NULL,'MIB: CISCO-ENVMON-MIB
The current state of the test point being instrumented.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28218','20','1.3.6.1.4.1.9.9.13.1.3.1.3.{#SNMPINDEX}','10253','{#SNMPVALUE}: Temperature','sensor.temp.value[ciscoEnvMonTemperatureValue.{#SNMPINDEX}]','3m','90d','365d','0','0','','°C','','','27421',NULL,'','','0','','','','','2',NULL,'MIB: CISCO-ENVMON-MIB
The current measurement of the test point being instrumented.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28219','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.9.9.48.1.1.1.2]','10253','Memory Discovery','memory.discovery','1h','90d','0','0','4','','','','','27390',NULL,'','','0','','','','','1',NULL,'Discovery of ciscoMemoryPoolTable, a table of memory pool monitoring entries.
http://www.cisco.com/c/en/us/support/docs/ip/simple-network-management-protocol-snmp/15216-contiguous-memory.html','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28220','20','1.3.6.1.4.1.9.9.48.1.1.1.6.{#SNMPINDEX}','10253','{#SNMPVALUE}: Free memory','vm.memory.free[ciscoMemoryPoolFree.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','27415',NULL,'','','0','','','','','2',NULL,'MIB: CISCO-MEMORY-POOL-MIB
Indicates the number of bytes from the memory pool that are currently unused on the managed device. Note that the sum of ciscoMemoryPoolUsed and ciscoMemoryPoolFree is the total amount of memory in the pool
Reference: http://www.cisco.com/c/en/us/support/docs/ip/simple-network-management-protocol-snmp/15216-contiguous-memory.html','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28222','20','1.3.6.1.4.1.9.9.48.1.1.1.5.{#SNMPINDEX}','10253','{#SNMPVALUE}: Used memory','vm.memory.used[ciscoMemoryPoolUsed.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','27416',NULL,'','','0','','','','','2',NULL,'MIB: CISCO-MEMORY-POOL-MIB
Indicates the number of bytes from the memory pool that are currently in use by applications on the managed device.
Reference: http://www.cisco.com/c/en/us/support/docs/ip/simple-network-management-protocol-snmp/15216-contiguous-memory.html','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28223','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10253','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27098',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28224','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10253','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27099',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28225','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10253','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27106',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28226','20','1.3.6.1.2.1.31.1.1.1.6.{#SNMPINDEX}','10253','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifHCInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27104',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface, including framing characters. This object is a 64-bit version of ifInOctets. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28227','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10253','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27102',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28228','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10253','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27103',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28229','20','1.3.6.1.2.1.31.1.1.1.10.{#SNMPINDEX}','10253','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifHCOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27105',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. This object is a 64-bit version of ifOutOctets.Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28230','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10253','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27101',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28231','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10253','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27107','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28232','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10253','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27100','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28233','3','','10253','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28234','3','','10253','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28235','3','','10253','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28236','17','','10253','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28240','20','1.3.6.1.2.1.1.5.0','10253','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28243','5','','10253','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28245','20','discovery[{#SNMPVALUE},1.3.6.1.4.1.9.9.109.1.1.1.1.5]','10253','CPU Discovery','cpu.discovery','1h','90d','0','0','4','','','','','28244',NULL,'','','0','','','','','1',NULL,'If your IOS device has several CPUs, you must use CISCO-PROCESS-MIB and its object cpmCPUTotal5minRev from the table called cpmCPUTotalTable ,
indexed with cpmCPUTotalIndex .
This table allows CISCO-PROCESS-MIB to keep CPU statistics for different physical entities in the router,
like different CPU chips, group of CPUs, or CPUs in different modules/cards.
In case of a single CPU, cpmCPUTotalTable has only one entry.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28247','20','1.3.6.1.4.1.9.9.109.1.1.1.1.5.{#SNMPINDEX}','10253','{#SNMPVALUE}: CPU utilization','system.cpu.util[cpmCPUTotal5min.{#SNMPINDEX}]','5m','7d','365d','0','0','','%','','','28246',NULL,'','','0','','','','','2',NULL,'MIB: CISCO-PROCESS-MIB
The overall CPU busy percentage in the last 5 minute
period. This object deprecates the avgBusy5 object from
the OLD-CISCO-SYSTEM-MIB. This object is deprecated
by cpmCPUTotal5minRev which has the changed range
of value (0..100)
Reference: http://www.cisco.com/c/en/us/support/docs/ip/simple-network-management-protocol-snmp/15215-collect-cpu-util-snmp.html','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28249','5','','10084','Zabbix preprocessing queue','zabbix[preprocessing_queue]','1m','1w','365d','0','3','','','','','28248',NULL,'','','0','','','','','0',NULL,'Count of values enqueued in the preprocessing queue.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28280','20','discovery[{#SNMPVALUE},1.3.6.1.2.1.10.7.2.1.19,{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2]','10254','EtherLike-MIB Discovery','net.if.duplex.discovery','1h','90d','0','0','4','','','','','27031',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB and EtherLike-MIB. Interfaces with up(1) Operational Status are discovered.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28281','20','1.3.6.1.2.1.10.7.2.1.19.{#SNMPINDEX}','10254','Interface {#IFNAME}({#IFALIAS}): Duplex status','net.if.duplex[dot3StatsDuplexStatus.{#SNMPINDEX}]','1m','7d','365d','0','3','','','','','27032','19','','','0','','','','','2',NULL,'MIB: EtherLike-MIB
The current mode of operation of the MAC
entity.  ''unknown'' indicates that the current
duplex mode could not be determined.

Management control of the duplex mode is
accomplished through the MAU MIB.  When
an interface does not support autonegotiation,
or when autonegotiation is not enabled, the
duplex mode is controlled using
ifMauDefaultType.  When autonegotiation is
supported and enabled, duplex mode is controlled
using ifMauAutoNegAdvertisedBits.  In either
case, the currently operating duplex mode is
reflected both in this object and in ifMauType.

Note that this object provides redundant
information with ifMauType.  Normally, redundant
objects are discouraged.  However, in this
instance, it allows a management application to
determine the duplex status of an interface
without having to know every possible value of
ifMauType.  This was felt to be sufficiently
valuable to justify the redundancy.
Reference: [IEEE 802.3 Std.], 30.3.1.1.32,aDuplexStatus.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28282','3','','10254','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28283','3','','10254','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28284','3','','10254','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28285','17','','10254','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28289','20','1.3.6.1.2.1.1.5.0','10254','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28292','5','','10254','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28293','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10254','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27098',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28294','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10254','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27099',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28295','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10254','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27106',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28296','20','1.3.6.1.2.1.31.1.1.1.6.{#SNMPINDEX}','10254','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifHCInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27104',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface, including framing characters. This object is a 64-bit version of ifInOctets. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28297','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10254','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27102',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28298','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10254','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27103',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28299','20','1.3.6.1.2.1.31.1.1.1.10.{#SNMPINDEX}','10254','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifHCOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27105',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. This object is a 64-bit version of ifOutOctets.Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28300','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10254','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27101',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28301','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10254','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27107','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28302','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10254','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27100','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28330','3','','10255','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28331','3','','10255','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28332','3','','10255','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28333','17','','10255','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28337','20','1.3.6.1.2.1.1.5.0','10255','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28340','5','','10255','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28377','3','','10256','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28378','3','','10256','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28379','3','','10256','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28380','17','','10256','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28384','20','1.3.6.1.2.1.1.5.0','10256','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28387','5','','10256','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28426','3','','10257','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27138','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28427','3','','10257','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27139',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28428','3','','10257','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27140',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28429','17','','10257','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27146',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28433','20','1.3.6.1.2.1.1.5.0','10257','System name','system.name','1h','2w','0','0','1','','','','','27141',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28436','5','','10257','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27143','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28454','3','','10258','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28455','3','','10258','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28456','3','','10258','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28457','17','','10258','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28461','20','1.3.6.1.2.1.1.5.0','10258','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28464','5','','10258','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28482','3','','10259','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28483','3','','10259','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28484','3','','10259','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28485','17','','10259','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28489','20','1.3.6.1.2.1.1.5.0','10259','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28492','5','','10259','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28534','5','','10084','Zabbix LLD queue','zabbix[lld_queue]','1m','1w','365d','0','3','','','','','28533',NULL,'','','0','','','','','0',NULL,'Count of values enqueued in the preprocessing queue.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28536','5','','10084','Utilization of LLD manager internal processes, in %','zabbix[process,lld manager,avg,busy]','1m','1w','365d','0','0','','%','','','28535',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28538','5','','10084','Utilization of LLD worker internal processes, in %','zabbix[process,lld worker,avg,busy]','1m','1w','365d','0','0','','%','','','28537',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28955','20','discovery[{#SNMPVALUE},1.3.6.1.2.1.10.7.2.1.19,{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2]','10248','EtherLike-MIB Discovery','net.if.duplex.discovery','1h','90d','0','0','4','','','','','27031',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB and EtherLike-MIB. Interfaces with up(1) Operational Status are discovered.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28956','20','1.3.6.1.2.1.10.7.2.1.19.{#SNMPINDEX}','10248','Interface {#IFNAME}({#IFALIAS}): Duplex status','net.if.duplex[dot3StatsDuplexStatus.{#SNMPINDEX}]','1m','7d','365d','0','3','','','','','27032','19','','','0','','','','','2',NULL,'MIB: EtherLike-MIB
The current mode of operation of the MAC
entity.  ''unknown'' indicates that the current
duplex mode could not be determined.

Management control of the duplex mode is
accomplished through the MAU MIB.  When
an interface does not support autonegotiation,
or when autonegotiation is not enabled, the
duplex mode is controlled using
ifMauDefaultType.  When autonegotiation is
supported and enabled, duplex mode is controlled
using ifMauAutoNegAdvertisedBits.  In either
case, the currently operating duplex mode is
reflected both in this object and in ifMauType.

Note that this object provides redundant
information with ifMauType.  Normally, redundant
objects are discouraged.  However, in this
instance, it allows a management application to
determine the duplex status of an interface
without having to know every possible value of
ifMauType.  This was felt to be sufficiently
valuable to justify the redundancy.
Reference: [IEEE 802.3 Std.], 30.3.1.1.32,aDuplexStatus.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28957','3','','10248','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28958','3','','10248','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28959','3','','10248','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28960','17','','10248','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28964','20','1.3.6.1.2.1.1.5.0','10248','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28967','5','','10248','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28968','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10248','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27098',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28969','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10248','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27099',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28970','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10248','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27106',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28971','20','1.3.6.1.2.1.31.1.1.1.6.{#SNMPINDEX}','10248','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifHCInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27104',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface, including framing characters. This object is a 64-bit version of ifInOctets. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28972','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10248','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27102',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28973','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10248','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27103',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28974','20','1.3.6.1.2.1.31.1.1.1.10.{#SNMPINDEX}','10248','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifHCOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27105',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. This object is a 64-bit version of ifOutOctets.Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28975','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10248','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27101',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28976','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10248','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27107','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28977','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10248','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27100','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28993','15','','10248','Memory utilization','vm.memory.util[snmp]','1m','7d','365d','0','0','','%','','','28978',NULL,'(last("vm.memory.total[memTotalReal.0]")-(last("vm.memory.free[memAvailReal.0]")+last("vm.memory.buffers[memBuffer.0]")+last("vm.memory.cached[memCached.0]")))/last("vm.memory.total[memTotalReal.0]")*100','','0','','','','','0',NULL,'Please note that memory utilization is a rough estimate, since memory available is calculated as free+buffers+cached, which is not 100% accurate, but the best we can get using SNMP.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28994','20','1.3.6.1.4.1.2021.4.6.0','10248','Free memory','vm.memory.free[memAvailReal.0]','1m','7d','365d','0','3','','B','','','28979',NULL,'','','0','','','','','0',NULL,'MIB: UCD-SNMP-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28995','20','1.3.6.1.4.1.2021.4.14.0','10248','Memory (buffers)','vm.memory.buffers[memBuffer.0]','1m','7d','365d','0','3','','B','','','28980',NULL,'','','0','','','','','0',NULL,'MIB: UCD-SNMP-MIB
Memory used by kernel buffers (Buffers in /proc/meminfo)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28996','20','1.3.6.1.4.1.2021.4.15.0','10248','Memory (cached)','vm.memory.cached[memCached.0]','1m','7d','365d','0','3','','B','','','28981',NULL,'','','0','','','','','0',NULL,'MIB: UCD-SNMP-MIB
Memory used by the page cache and slabs (Cached and Slab in /proc/meminfo)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28997','20','1.3.6.1.4.1.2021.4.5.0','10248','Total memory','vm.memory.total[memTotalReal.0]','1m','7d','365d','0','3','','B','','','28982',NULL,'','','0','','','','','0',NULL,'MIB: UCD-SNMP-MIB
Total memory in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28998','15','','10248','Available memory','vm.memory.available[snmp]','1m','7d','365d','0','3','','B','','','28983',NULL,'last("vm.memory.free[memAvailReal.0]")+last("vm.memory.buffers[memBuffer.0]")+last("vm.memory.cached[memCached.0]")','','0','','','','','0',NULL,'Please note that memory utilization is a rough estimate, since memory available is calculated as free+buffers+cached, which is not 100% accurate, but the best we can get using SNMP.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('28999','20','1.3.6.1.4.1.2021.4.3.0','10248','Total swap space','system.swap.total[memTotalSwap.0]','1m','7d','365d','0','3','','B','','','28984',NULL,'','','0','','','','','0',NULL,'MIB: UCD-SNMP-MIB
The total amount of swap space configured for this host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29000','20','1.3.6.1.4.1.2021.4.4.0','10248','Free swap space','system.swap.free[memAvailSwap.0]','1m','7d','365d','0','3','','B','','','28985',NULL,'','','0','','','','','0',NULL,'MIB: UCD-SNMP-MIB
The amount of swap space currently unused or available.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29001','15','','10248','Free swap space in %','system.swap.pfree[snmp]','1m','7d','365d','0','0','','%','','','28986',NULL,'last("system.swap.free[memAvailSwap.0]")/last("system.swap.total[memTotalSwap.0]")*100','','0','','','','','0',NULL,'The free space of swap volume/file in percent.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29002','20','1.3.6.1.4.1.2021.10.1.3["index","1.3.6.1.4.1.2021.10.1.2", "Load-1"]','10248','Load average (1m avg)','system.cpu.load.avg1[laLoad.1]','1m','7d','365d','0','0','','','','','28987',NULL,'','','0','','','','','0',NULL,'MIB: UCD-SNMP-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29003','20','1.3.6.1.4.1.2021.10.1.3["index","1.3.6.1.4.1.2021.10.1.2", "Load-5"]','10248','Load average (5m avg)','system.cpu.load.avg5[laLoad.2]','1m','7d','365d','0','0','','','','','28988',NULL,'','','0','','','','','0',NULL,'MIB: UCD-SNMP-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29004','20','1.3.6.1.4.1.2021.10.1.3["index","1.3.6.1.4.1.2021.10.1.2", "Load-15"]','10248','Load average (15m avg)','system.cpu.load.avg15[laLoad.3]','1m','7d','365d','0','0','','','','','28989',NULL,'','','0','','','','','0',NULL,'MIB: UCD-SNMP-MIB','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29005','20','discovery[{#SNMPVALUE},1.3.6.1.2.1.25.3.3.1.1]','10248','Number of CPUs','system.cpu.num[snmp]','1m','7d','365d','0','3','','','','','28990',NULL,'','','0','','','','','0',NULL,'MIB: HOST-RESOURCES-MIB
Count the number of CPU cores by counting number of cores discovered in hrProcessorTable using LLD','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29006','20','1.3.6.1.4.1.2021.11.59.0','10248','Interrupts per second','system.cpu.intr[ssRawInterrupts.0]','1m','7d','365d','0','0','','','','','28991',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29007','20','1.3.6.1.4.1.2021.11.60.0','10248','Context switches per second','system.cpu.switches[ssRawContexts.0]','1m','7d','365d','0','0','','','','','28992',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29011','20','discovery[{#DEVNAME},1.3.6.1.4.1.2021.13.15.1.1.2]','10248','Block devices discovery','vfs.dev.discovery[snmp]','1h','90d','0','0','4','','','','','29008',NULL,'','','0','','','','','1',NULL,'Block devices are discovered from UCD-DISKIO-MIB::diskIOTable (http://net-snmp.sourceforge.net/docs/mibs/ucdDiskIOMIB.html#diskIOTable)','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29012','18','','10248','CPU discovery','cpu.discovery[snmp]','0','90d','0','0','4','','','','','29009',NULL,'','','0','','','','','1',NULL,'This discovery will create set of per core CPU metrics from UCD-SNMP-MIB, using {#CPU.COUNT} in preprocessing. That''s the only reason why LLD is used.','0','30d','0','','29005','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29013','20','discovery[{#FSNAME},1.3.6.1.2.1.25.2.3.1.3,{#FSTYPE},1.3.6.1.2.1.25.2.3.1.2,{#ALLOC_UNITS},1.3.6.1.2.1.25.2.3.1.4]','10248','Mounted filesystem discovery','vfs.fs.discovery[snmp]','1h','90d','0','0','4','','','','','29010',NULL,'','','0','','','','','1',NULL,'HOST-RESOURCES-MIB::hrStorage discovery with storage filter','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29031','20','1.3.6.1.4.1.2021.13.15.1.1.5.{#SNMPINDEX}','10248','{#DEVNAME}: Disk read rate','vfs.dev.read.rate[diskIOReads.{#SNMPINDEX}]','1m','7d','365d','0','0','','!r/s','','','29014',NULL,'','','0','','','','','2',NULL,'MIB: UCD-DISKIO-MIB
The number of read accesses from this device since boot.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29032','20','1.3.6.1.4.1.2021.13.15.1.1.6.{#SNMPINDEX}','10248','{#DEVNAME}: Disk write rate','vfs.dev.write.rate[diskIOWrites.{#SNMPINDEX}]','1m','7d','365d','0','0','','!w/s','','','29015',NULL,'','','0','','','','','2',NULL,'MIB: UCD-DISKIO-MIB
The number of write accesses from this device since boot.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29033','20','1.3.6.1.4.1.2021.13.15.1.1.9.{#SNMPINDEX}','10248','{#DEVNAME}: Disk utilization','vfs.dev.util[diskIOLA1.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','29016',NULL,'','','0','','','','','2',NULL,'MIB: UCD-DISKIO-MIB
The 1 minute average load of disk (%)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29034','20','1.3.6.1.4.1.2021.11.53.0','10248','CPU idle time','system.cpu.idle[ssCpuRawIdle.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','29017',NULL,'','','0','','','','','2',NULL,'MIB: UCD-SNMP-MIB
The time the CPU has spent doing nothing.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29035','20','1.3.6.1.4.1.2021.11.52.0','10248','CPU system time','system.cpu.system[ssCpuRawSystem.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','29018',NULL,'','','0','','','','','2',NULL,'MIB: UCD-SNMP-MIB
The time the CPU has spent running the kernel and its processes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29036','20','1.3.6.1.4.1.2021.11.50.0','10248','CPU user time','system.cpu.user[ssCpuRawUser.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','29019',NULL,'','','0','','','','','2',NULL,'MIB: UCD-SNMP-MIB
The time the CPU has spent running users'' processes that are not niced.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29037','20','1.3.6.1.4.1.2021.11.64.0','10248','CPU steal time','system.cpu.steal[ssCpuRawSteal.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','29020',NULL,'','','0','','','','','2',NULL,'MIB: UCD-SNMP-MIB
The amount of CPU ''stolen'' from this virtual machine by the hypervisor for other tasks (such as running another virtual machine).','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29038','20','1.3.6.1.4.1.2021.11.61.0','10248','CPU softirq time','system.cpu.softirq[ssCpuRawSoftIRQ.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','29021',NULL,'','','0','','','','','2',NULL,'MIB: UCD-SNMP-MIB
The amount of time the CPU has been servicing software interrupts.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29039','20','1.3.6.1.4.1.2021.11.51.0','10248','CPU nice time','system.cpu.nice[ssCpuRawNice.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','29022',NULL,'','','0','','','','','2',NULL,'MIB: UCD-SNMP-MIB
The time the CPU has spent running users'' processes that have been niced.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29040','20','1.3.6.1.4.1.2021.11.54.0','10248','CPU iowait time','system.cpu.iowait[ssCpuRawWait.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','29023',NULL,'','','0','','','','','2',NULL,'MIB: UCD-SNMP-MIB
Amount of time the CPU has been waiting for I/O to complete.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29041','20','1.3.6.1.4.1.2021.11.56.0','10248','CPU interrupt time','system.cpu.interrupt[ssCpuRawInterrupt.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','29024',NULL,'','','0','','','','','2',NULL,'MIB: UCD-SNMP-MIB
The amount of time the CPU has been servicing hardware interrupts.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29042','20','1.3.6.1.4.1.2021.11.65.0','10248','CPU guest time','system.cpu.guest[ssCpuRawGuest.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','29025',NULL,'','','0','','','','','2',NULL,'MIB: UCD-SNMP-MIB
Guest  time (time  spent  running  a  virtual  CPU  for  a  guest  operating  system)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29043','20','1.3.6.1.4.1.2021.11.66.0','10248','CPU guest nice time','system.cpu.guest_nice[ssCpuRawGuestNice.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','29026',NULL,'','','0','','','','','2',NULL,'MIB: UCD-SNMP-MIB
Time spent running a niced guest (virtual CPU for guest operating systems under the control of the Linux kernel)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29044','20','1.3.6.1.2.1.25.2.3.1.6.{#SNMPINDEX}','10248','{#FSNAME}: Used space','vfs.fs.used[hrStorageUsed.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','29027',NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The amount of the storage represented by this entry that is allocated, in units of hrStorageAllocationUnits.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29045','20','1.3.6.1.2.1.25.2.3.1.5.{#SNMPINDEX}','10248','{#FSNAME}: Total space','vfs.fs.total[hrStorageSize.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','29028',NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The size of the storage represented by this entry, in units of hrStorageAllocationUnits.
This object is writable to allow remote configuration of the size of the storage area in those cases where such an operation makes sense and is possible on the underlying system.
For example, the amount of main storage allocated to a buffer pool might be modified or the amount of disk space allocated to virtual storage might be modified.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29046','15','','10248','{#FSNAME}: Space utilization','vfs.fs.pused[storageUsedPercentage.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','29029',NULL,'(last("vfs.fs.used[hrStorageUsed.{#SNMPINDEX}]")/last("vfs.fs.total[hrStorageSize.{#SNMPINDEX}]"))*100','','0','','','','','2',NULL,'Space utilization in % for {#FSNAME}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29047','20','1.3.6.1.4.1.2021.9.1.10["index","1.3.6.1.4.1.2021.9.1.2", "{#FSNAME}"]','10248','{#FSNAME}: Free inodes in %','vfs.fs.inode.pfree[dskPercentNode.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','29030',NULL,'','','0','','','','','2',NULL,'MIB: UCD-SNMP-MIB
If having problems collecting this item make sure access to UCD-SNMP-MIB is allowed.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29049','18','','10248','CPU utilization','system.cpu.util[snmp,{#SNMPINDEX}]','0','7d','365d','0','0','','%','','','29048',NULL,'','','0','','','','','2',NULL,'CPU utilization in %','0','30d','0','','29034','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29050','3','','10249','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29051','3','','10249','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29052','3','','10249','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29053','17','','10249','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29057','20','1.3.6.1.2.1.1.5.0','10249','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29060','5','','10249','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29077','20','discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8,{#IFADMINSTATUS},1.3.6.1.2.1.2.2.1.7,{#IFALIAS},1.3.6.1.2.1.31.1.1.1.18,{#IFNAME},1.3.6.1.2.1.31.1.1.1.1,{#IFDESCR},1.3.6.1.2.1.2.2.1.2,{#IFTYPE},1.3.6.1.2.1.2.2.1.3]','10249','Network interfaces discovery','net.if.discovery','1h','90d','0','0','4','','','','','27118',NULL,'','','0','','','','','1',NULL,'Discovering interfaces from IF-MIB.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29078','20','1.3.6.1.2.1.2.2.1.13.{#SNMPINDEX}','10249','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in.discards[ifInDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27119',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of inbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29079','20','1.3.6.1.2.1.2.2.1.14.{#SNMPINDEX}','10249','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in.errors[ifInErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27126',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29080','20','1.3.6.1.2.1.2.2.1.10.{#SNMPINDEX}','10249','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in[ifInOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27124',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets received on the interface,including framing characters. Discontinuities in the value of this counter can occur at re-initialization of the management system, and atother times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29081','20','1.3.6.1.2.1.2.2.1.19.{#SNMPINDEX}','10249','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out.discards[ifOutDiscards.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27122',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The number of outbound packets which were chosen to be discarded
even though no errors had been detected to prevent their being deliverable to a higher-layer protocol.
One possible reason for discarding such a packet could be to free up buffer space.
Discontinuities in the value of this counter can occur at re-initialization of the management system,
and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29082','20','1.3.6.1.2.1.2.2.1.20.{#SNMPINDEX}','10249','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out.errors[ifOutErrors.{#SNMPINDEX}]','3m','7d','365d','0','3','','','','','27123',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
For packet-oriented interfaces, the number of outbound packets that contained errors preventing them from being deliverable to a higher-layer protocol.  For character-oriented or fixed-length interfaces, the number of outbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29083','20','1.3.6.1.2.1.2.2.1.16.{#SNMPINDEX}','10249','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out[ifOutOctets.{#SNMPINDEX}]','3m','7d','365d','0','3','','bps','','','27125',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
The total number of octets transmitted out of the interface, including framing characters. Discontinuities in the value of this counter can occur at re-initialization of the management system, and at other times as indicated by the value of ifCounterDiscontinuityTime.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29084','20','1.3.6.1.2.1.31.1.1.1.15.{#SNMPINDEX}','10249','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed[ifHighSpeed.{#SNMPINDEX}]','5m','7d','0d','0','3','','bps','','','27121',NULL,'','','0','','','','','2',NULL,'MIB: IF-MIB
An estimate of the interface''s current bandwidth in units of 1,000,000 bits per second. If this object reports a value of `n'' then the speed of the interface is somewhere in the range of `n-500,000'' to`n+499,999''.  For interfaces which do not vary in bandwidth or for those where no accurate estimation can be made, this object should contain the nominal bandwidth. For a sub-layer which has no concept of bandwidth, this object should be zero.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29085','20','1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}','10249','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status[ifOperStatus.{#SNMPINDEX}]','1m','7d','0','0','3','','','','','27127','20','','','0','','','','','2',NULL,'MIB: IF-MIB
The current operational state of the interface.
- The testing(3) state indicates that no operational packet scan be passed
- If ifAdminStatus is down(2) then ifOperStatus should be down(2)
- If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
- It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
- It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
- It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29086','20','1.3.6.1.2.1.2.2.1.3.{#SNMPINDEX}','10249','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type[ifType.{#SNMPINDEX}]','1h','7d','0d','0','3','','','','','27120','21','','','0','','','','','2',NULL,'MIB: IF-MIB
The type of interface.
Additional values for ifType are assigned by the Internet Assigned NumbersAuthority (IANA),
through updating the syntax of the IANAifType textual convention.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29124','0','','10001','Number of CPUs','system.cpu.num','1m','7d','365d','0','3','','','','','29087',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29125','0','','10001','CPU iowait time','system.cpu.util[,iowait]','1m','7d','365d','0','0','','%','','','29088',NULL,'','','0','','','','','0',NULL,'Amount of time the CPU has been waiting for I/O to complete.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29126','0','','10001','Context switches per second','system.cpu.switches','1m','7d','365d','0','0','','','','','29089',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29127','0','','10001','CPU guest nice time','system.cpu.util[,guest_nice]','1m','7d','365d','0','0','','%','','','29090',NULL,'','','0','','','','','0',NULL,'Time spent running a niced guest (virtual CPU for guest operating systems under the control of the Linux kernel)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29128','0','','10001','CPU guest time','system.cpu.util[,guest]','1m','7d','365d','0','0','','%','','','29091',NULL,'','','0','','','','','0',NULL,'Guest  time (time  spent  running  a  virtual  CPU  for  a  guest  operating  system)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29129','0','','10001','CPU softirq time','system.cpu.util[,softirq]','1m','7d','365d','0','0','','%','','','29092',NULL,'','','0','','','','','0',NULL,'The amount of time the CPU has been servicing software interrupts.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29130','0','','10001','CPU interrupt time','system.cpu.util[,interrupt]','1m','7d','365d','0','0','','%','','','29093',NULL,'','','0','','','','','0',NULL,'The amount of time the CPU has been servicing hardware interrupts.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29131','0','','10001','CPU steal time','system.cpu.util[,steal]','1m','7d','365d','0','0','','%','','','29094',NULL,'','','0','','','','','0',NULL,'The amount of CPU ''stolen'' from this virtual machine by the hypervisor for other tasks (such as running another virtual machine).','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29132','0','','10001','CPU nice time','system.cpu.util[,nice]','1m','7d','365d','0','0','','%','','','29095',NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running users'' processes that have been niced.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29133','0','','10001','Load average (1m avg)','system.cpu.load[all,avg1]','1m','7d','365d','0','0','','','','','29096',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29134','0','','10001','CPU user time','system.cpu.util[,user]','1m','7d','365d','0','0','','%','','','29097',NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running users'' processes that are not niced.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29135','0','','10001','CPU system time','system.cpu.util[,system]','1m','7d','365d','0','0','','%','','','29098',NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running the kernel and its processes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29136','0','','10001','CPU idle time','system.cpu.util[,idle]','1m','7d','365d','0','0','','%','','','29099',NULL,'','','0','','','','','0',NULL,'The time the CPU has spent doing nothing.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29137','0','','10001','Load average (15m avg)','system.cpu.load[all,avg15]','1m','7d','365d','0','0','','','','','29100',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29138','0','','10001','Load average (5m avg)','system.cpu.load[all,avg5]','1m','7d','365d','0','0','','','','','29101',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29139','0','','10001','Interrupts per second','system.cpu.intr','1m','7d','365d','0','0','','','','','29102',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29140','0','','10001','Memory utilization','vm.memory.size[pavailable]','1m','7d','365d','0','0','','%','','','29103',NULL,'','','0','','','','','0',NULL,'Memory used percentage is calculated as (100-pavailable)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29141','0','','10001','Total memory','vm.memory.size[total]','1m','7d','365d','0','3','','B','','','29104',NULL,'','','0','','','','','0',NULL,'Total memory in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29142','0','','10001','Available memory','vm.memory.size[available]','1m','7d','365d','0','3','','B','','','29105',NULL,'','','0','','','','','0',NULL,'Available memory, in Linux, available = free + buffers + cache. On other platforms calculation may vary. See also: https://www.zabbix.com/documentation/current/manual/appendix/items/vm.memory.size_params','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29143','0','','10001','Total swap space','system.swap.size[,total]','1m','7d','365d','0','3','','B','','','29106',NULL,'','','0','','','','','0',NULL,'The total space of swap volume/file in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29144','0','','10001','Free swap space','system.swap.size[,free]','1m','7d','365d','0','3','','B','','','29107',NULL,'','','0','','','','','0',NULL,'The free space of swap volume/file in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29145','0','','10001','Free swap space in %','system.swap.size[,pfree]','1m','7d','365d','0','0','','%','','','29108',NULL,'','','0','','','','','0',NULL,'The free space of swap volume/file in percent.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29146','0','','10001','Get /proc/diskstats','vfs.file.contents[/proc/diskstats]','1m','1h','0','0','4','','','','','29109',NULL,'','','0','','','','','0',NULL,'Get contents of /proc/diskstats for discovery and disk stats.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29147','0','','10001','System uptime','system.uptime','30s','2w','0d','0','3','','uptime','','','29110',NULL,'','','0','','','','','0',NULL,'System uptime in ''N days, hh:mm:ss'' format.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29148','0','','10001','System boot time','system.boottime','15m','7d','365d','0','3','','unixtime','','','29111',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29149','0','','10001','System local time','system.localtime','1m','7d','365d','0','3','','unixtime','','','29112',NULL,'','','0','','','','','0',NULL,'System local time of the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29150','0','','10001','System name','system.hostname','1h','2w','0','0','1','','','','','29113',NULL,'','','0','','','','','0',NULL,'System host name.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29151','0','','10001','System description','system.uname','1h','2w','0','0','1','','','','','29114',NULL,'','','0','','','','','0',NULL,'The information as normally returned by ''uname -a''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29152','0','','10001','Number of logged in users','system.users.num','1m','7d','365d','0','3','','','','','29115',NULL,'','','0','','','','','0',NULL,'Number of users who are currently logged in.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29153','0','','10001','Maximum number of open file descriptors','kernel.maxfiles','1h','7d','365d','0','3','','','','','29116',NULL,'','','0','','','','','0',NULL,'It could be increased by using sysctrl utility or modifying file /etc/sysctl.conf.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29154','0','','10001','Maximum number of processes','kernel.maxproc','1h','7d','365d','0','3','','','','','29117',NULL,'','','0','','','','','0',NULL,'It could be increased by using sysctrl utility or modifying file /etc/sysctl.conf.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29155','0','','10001','Number of processes','proc.num','1m','7d','365d','0','3','','','','','29118',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29156','0','','10001','Number of running processes','proc.num[,,run]','1m','7d','365d','0','3','','','','','29119',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29157','0','','10001','Checksum of /etc/passwd','vfs.file.cksum[/etc/passwd]','15m','7d','0','0','1','','','','','29120',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29158','0','','10001','Operating system','system.sw.os','1h','2w','0','0','1','','','','','29121',NULL,'','','0','','','','','0',NULL,'','5','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29159','0','','10001','Operating system architecture','system.sw.arch','1h','2w','0','0','1','','','','','29122',NULL,'','','0','','','','','0',NULL,'Operating system architecture of the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29160','0','','10001','Software installed','system.sw.packages','1h','2w','0','0','4','','','','','29123',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29161','0','','10084','Number of CPUs','system.cpu.num','1m','7d','365d','0','3','','','','','29124',NULL,'','','0','','','','','0','1','','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29162','0','','10084','CPU iowait time','system.cpu.util[,iowait]','1m','7d','365d','0','0','','%','','','29125',NULL,'','','0','','','','','0','1','Amount of time the CPU has been waiting for I/O to complete.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29163','0','','10084','Context switches per second','system.cpu.switches','1m','7d','365d','0','0','','','','','29126',NULL,'','','0','','','','','0','1','','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29164','0','','10084','CPU guest nice time','system.cpu.util[,guest_nice]','1m','7d','365d','0','0','','%','','','29127',NULL,'','','0','','','','','0','1','Time spent running a niced guest (virtual CPU for guest operating systems under the control of the Linux kernel)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29165','0','','10084','CPU guest time','system.cpu.util[,guest]','1m','7d','365d','0','0','','%','','','29128',NULL,'','','0','','','','','0','1','Guest  time (time  spent  running  a  virtual  CPU  for  a  guest  operating  system)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29166','0','','10084','CPU softirq time','system.cpu.util[,softirq]','1m','7d','365d','0','0','','%','','','29129',NULL,'','','0','','','','','0','1','The amount of time the CPU has been servicing software interrupts.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29167','0','','10084','CPU interrupt time','system.cpu.util[,interrupt]','1m','7d','365d','0','0','','%','','','29130',NULL,'','','0','','','','','0','1','The amount of time the CPU has been servicing hardware interrupts.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29168','0','','10084','CPU steal time','system.cpu.util[,steal]','1m','7d','365d','0','0','','%','','','29131',NULL,'','','0','','','','','0','1','The amount of CPU ''stolen'' from this virtual machine by the hypervisor for other tasks (such as running another virtual machine).','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29169','0','','10084','CPU nice time','system.cpu.util[,nice]','1m','7d','365d','0','0','','%','','','29132',NULL,'','','0','','','','','0','1','The time the CPU has spent running users'' processes that have been niced.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29170','0','','10084','Load average (1m avg)','system.cpu.load[all,avg1]','1m','7d','365d','0','0','','','','','29133',NULL,'','','0','','','','','0','1','','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29171','0','','10084','CPU user time','system.cpu.util[,user]','1m','7d','365d','0','0','','%','','','29134',NULL,'','','0','','','','','0','1','The time the CPU has spent running users'' processes that are not niced.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29172','0','','10084','CPU system time','system.cpu.util[,system]','1m','7d','365d','0','0','','%','','','29135',NULL,'','','0','','','','','0','1','The time the CPU has spent running the kernel and its processes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29173','0','','10084','CPU idle time','system.cpu.util[,idle]','1m','7d','365d','0','0','','%','','','29136',NULL,'','','0','','','','','0','1','The time the CPU has spent doing nothing.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29174','0','','10084','Load average (15m avg)','system.cpu.load[all,avg15]','1m','7d','365d','0','0','','','','','29137',NULL,'','','0','','','','','0','1','','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29175','0','','10084','Load average (5m avg)','system.cpu.load[all,avg5]','1m','7d','365d','0','0','','','','','29138',NULL,'','','0','','','','','0','1','','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29176','0','','10084','Interrupts per second','system.cpu.intr','1m','7d','365d','0','0','','','','','29139',NULL,'','','0','','','','','0','1','','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29177','0','','10084','Memory utilization','vm.memory.size[pavailable]','1m','7d','365d','0','0','','%','','','29140',NULL,'','','0','','','','','0','1','Memory used percentage is calculated as (100-pavailable)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29178','0','','10084','Total memory','vm.memory.size[total]','1m','7d','365d','0','3','','B','','','29141',NULL,'','','0','','','','','0','1','Total memory in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29179','0','','10084','Available memory','vm.memory.size[available]','1m','7d','365d','0','3','','B','','','29142',NULL,'','','0','','','','','0','1','Available memory, in Linux, available = free + buffers + cache. On other platforms calculation may vary. See also: https://www.zabbix.com/documentation/current/manual/appendix/items/vm.memory.size_params','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29180','0','','10084','Total swap space','system.swap.size[,total]','1m','7d','365d','0','3','','B','','','29143',NULL,'','','0','','','','','0','1','The total space of swap volume/file in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29181','0','','10084','Free swap space','system.swap.size[,free]','1m','7d','365d','0','3','','B','','','29144',NULL,'','','0','','','','','0','1','The free space of swap volume/file in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29182','0','','10084','Free swap space in %','system.swap.size[,pfree]','1m','7d','365d','0','0','','%','','','29145',NULL,'','','0','','','','','0','1','The free space of swap volume/file in percent.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29183','0','','10084','Get /proc/diskstats','vfs.file.contents[/proc/diskstats]','1m','1h','0','0','4','','','','','29146',NULL,'','','0','','','','','0','1','Get contents of /proc/diskstats for discovery and disk stats.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29184','0','','10084','System uptime','system.uptime','30s','2w','0d','0','3','','uptime','','','29147',NULL,'','','0','','','','','0','1','System uptime in ''N days, hh:mm:ss'' format.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29185','0','','10084','System boot time','system.boottime','15m','7d','365d','0','3','','unixtime','','','29148',NULL,'','','0','','','','','0','1','','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29186','0','','10084','System local time','system.localtime','1m','7d','365d','0','3','','unixtime','','','29149',NULL,'','','0','','','','','0','1','System local time of the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29187','0','','10084','System name','system.hostname','1h','2w','0','0','1','','','','','29150',NULL,'','','0','','','','','0','1','System host name.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29188','0','','10084','System description','system.uname','1h','2w','0','0','1','','','','','29151',NULL,'','','0','','','','','0','1','The information as normally returned by ''uname -a''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29189','0','','10084','Number of logged in users','system.users.num','1m','7d','365d','0','3','','','','','29152',NULL,'','','0','','','','','0','1','Number of users who are currently logged in.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29190','0','','10084','Maximum number of open file descriptors','kernel.maxfiles','1h','7d','365d','0','3','','','','','29153',NULL,'','','0','','','','','0','1','It could be increased by using sysctrl utility or modifying file /etc/sysctl.conf.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29191','0','','10084','Maximum number of processes','kernel.maxproc','1h','7d','365d','0','3','','','','','29154',NULL,'','','0','','','','','0','1','It could be increased by using sysctrl utility or modifying file /etc/sysctl.conf.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29192','0','','10084','Number of processes','proc.num','1m','7d','365d','0','3','','','','','29155',NULL,'','','0','','','','','0','1','','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29193','0','','10084','Number of running processes','proc.num[,,run]','1m','7d','365d','0','3','','','','','29156',NULL,'','','0','','','','','0','1','','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29194','0','','10084','Checksum of /etc/passwd','vfs.file.cksum[/etc/passwd]','15m','7d','0','0','1','','','','','29157',NULL,'','','0','','','','','0','1','','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29195','0','','10084','Operating system','system.sw.os','1h','2w','0','0','1','','','','','29158',NULL,'','','0','','','','','0','1','','5','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29196','0','','10084','Operating system architecture','system.sw.arch','1h','2w','0','0','1','','','','','29159',NULL,'','','0','','','','','0','1','Operating system architecture of the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29197','0','','10084','Software installed','system.sw.packages','1h','2w','0','0','4','','','','','29160',NULL,'','','0','','','','','0','1','','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29199','18','','10001','CPU utilization','system.cpu.util','0','7d','365d','0','0','','%','','','29198',NULL,'','','0','','','','','0',NULL,'CPU utilization in %','0','30d','0','','29136','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29200','18','','10084','CPU utilization','system.cpu.util','0','7d','365d','0','0','','%','','','29199',NULL,'','','0','','','','','0',NULL,'CPU utilization in %','0','30d','0','','29173','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29204','0','','10001','Mounted filesystem discovery','vfs.fs.discovery','1h','90d','0','0','4','','','','','29201',NULL,'','','0','','','','','1',NULL,'Discovery of file systems of different types.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29205','18','','10001','Block devices discovery','vfs.dev.discovery','0','90d','0','0','4','','','','','29202',NULL,'','','0','','','','','1',NULL,'','0','30d','1','','29146','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29206','0','','10001','Network interface discovery','net.if.discovery','1h','90d','0','0','4','','','','','29203',NULL,'','','0','','','','','1',NULL,'Discovery of network interfaces.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29207','0','','10084','Mounted filesystem discovery','vfs.fs.discovery','1h','90d','0','0','4','','','','','29204',NULL,'','','0','','','','','1','1','Discovery of file systems of different types.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29208','18','','10084','Block devices discovery','vfs.dev.discovery','0','90d','0','0','4','','','','','29205',NULL,'','','0','','','','','1',NULL,'','0','30d','1','','29183','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29209','0','','10084','Network interface discovery','net.if.discovery','1h','90d','0','0','4','','','','','29206',NULL,'','','0','','','','','1','1','Discovery of network interfaces.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29224','0','','10001','{#FSNAME}: Used space','vfs.fs.size[{#FSNAME},used]','1m','7d','365d','0','3','','B','','','29210',NULL,'','','0','','','','','2',NULL,'Used storage in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29225','0','','10001','{#FSNAME}: Total space','vfs.fs.size[{#FSNAME},total]','1m','7d','365d','0','3','','B','','','29211',NULL,'','','0','','','','','2',NULL,'Total space in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29226','0','','10001','{#FSNAME}: Space utilization','vfs.fs.size[{#FSNAME},pused]','1m','7d','365d','0','0','','%','','','29212',NULL,'','','0','','','','','2',NULL,'Space utilization in % for {#FSNAME}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29227','0','','10001','{#FSNAME}: Free inodes in %','vfs.fs.inode[{#FSNAME},pfree]','1m','7d','365d','0','0','','%','','','29213',NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29228','15','','10001','{#DEVNAME}: Disk read request avg waiting time (r_await)','vfs.dev.read.await[{#DEVNAME}]','1m','7d','365d','0','0','','!ms','','','29214',NULL,'(last("vfs.dev.read.time.rate[{#DEVNAME}]")/(last("vfs.dev.read.rate[{#DEVNAME}]")+(last("vfs.dev.read.rate[{#DEVNAME}]")=0)))*1000*(last("vfs.dev.read.rate[{#DEVNAME}]") > 0)','','0','','','','','2',NULL,'This formula contains two boolean expressions that evaluates to 1 or 0 in order to set calculated metric to zero and to avoid division by zero exception.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29229','15','','10001','{#DEVNAME}: Disk write request avg waiting time (w_await)','vfs.dev.write.await[{#DEVNAME}]','1m','7d','365d','0','0','','!ms','','','29215',NULL,'(last("vfs.dev.write.time.rate[{#DEVNAME}]")/(last("vfs.dev.write.rate[{#DEVNAME}]")+(last("vfs.dev.write.rate[{#DEVNAME}]")=0)))*1000*(last("vfs.dev.write.rate[{#DEVNAME}]") > 0)','','0','','','','','2',NULL,'This formula contains two boolean expressions that evaluates to 1 or 0 in order to set calculated metric to zero and to avoid division by zero exception.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29230','0','','10001','Interface {#IFNAME}: Bits received','net.if.in["{#IFNAME}"]','3m','7d','365d','0','3','','bps','','','29216',NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29231','0','','10001','Interface {#IFNAME}: Bits sent','net.if.out["{#IFNAME}"]','3m','7d','365d','0','3','','bps','','','29217',NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29232','0','','10001','Interface {#IFNAME}: Outbound packets with errors','net.if.out["{#IFNAME}",errors]','3m','7d','365d','0','3','','','','','29218',NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29233','0','','10001','Interface {#IFNAME}: Inbound packets with errors','net.if.in["{#IFNAME}",errors]','3m','7d','365d','0','3','','','','','29219',NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29234','0','','10001','Interface {#IFNAME}: Outbound packets discarded','net.if.out["{#IFNAME}",dropped]','3m','7d','365d','0','3','','','','','29220',NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29235','0','','10001','Interface {#IFNAME}: Inbound packets discarded','net.if.in["{#IFNAME}",dropped]','3m','7d','365d','0','3','','','','','29221',NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29236','0','','10001','Interface {#IFNAME}: Operational status','vfs.file.contents["/sys/class/net/{#IFNAME}/operstate"]','1m','7d','0','0','3','','','','','29222','20','','','0','','','','','2',NULL,'Indicates the interface RFC2863 operational state as a string.
Possible values are:"unknown", "notpresent", "down", "lowerlayerdown", "testing","dormant", "up".
Reference: https://www.kernel.org/doc/Documentation/ABI/testing/sysfs-class-net','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29237','0','','10001','Interface {#IFNAME}: Interface type','vfs.file.contents["/sys/class/net/{#IFNAME}/type"]','1h','7d','0d','0','3','','','','','29223','78','','','0','','','','','2',NULL,'Indicates the interface protocol type as a decimal value.
See include/uapi/linux/if_arp.h for all possible values.
Reference: https://www.kernel.org/doc/Documentation/ABI/testing/sysfs-class-net','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29238','0','','10084','{#FSNAME}: Used space','vfs.fs.size[{#FSNAME},used]','1m','7d','365d','0','3','','B','','','29224',NULL,'','','0','','','','','2','1','Used storage in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29239','0','','10084','{#FSNAME}: Total space','vfs.fs.size[{#FSNAME},total]','1m','7d','365d','0','3','','B','','','29225',NULL,'','','0','','','','','2','1','Total space in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29240','0','','10084','{#FSNAME}: Space utilization','vfs.fs.size[{#FSNAME},pused]','1m','7d','365d','0','0','','%','','','29226',NULL,'','','0','','','','','2','1','Space utilization in % for {#FSNAME}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29241','0','','10084','{#FSNAME}: Free inodes in %','vfs.fs.inode[{#FSNAME},pfree]','1m','7d','365d','0','0','','%','','','29227',NULL,'','','0','','','','','2','1','','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29242','15','','10084','{#DEVNAME}: Disk read request avg waiting time (r_await)','vfs.dev.read.await[{#DEVNAME}]','1m','7d','365d','0','0','','!ms','','','29228',NULL,'(last("vfs.dev.read.time.rate[{#DEVNAME}]")/(last("vfs.dev.read.rate[{#DEVNAME}]")+(last("vfs.dev.read.rate[{#DEVNAME}]")=0)))*1000*(last("vfs.dev.read.rate[{#DEVNAME}]") > 0)','','0','','','','','2',NULL,'This formula contains two boolean expressions that evaluates to 1 or 0 in order to set calculated metric to zero and to avoid division by zero exception.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29243','15','','10084','{#DEVNAME}: Disk write request avg waiting time (w_await)','vfs.dev.write.await[{#DEVNAME}]','1m','7d','365d','0','0','','!ms','','','29229',NULL,'(last("vfs.dev.write.time.rate[{#DEVNAME}]")/(last("vfs.dev.write.rate[{#DEVNAME}]")+(last("vfs.dev.write.rate[{#DEVNAME}]")=0)))*1000*(last("vfs.dev.write.rate[{#DEVNAME}]") > 0)','','0','','','','','2',NULL,'This formula contains two boolean expressions that evaluates to 1 or 0 in order to set calculated metric to zero and to avoid division by zero exception.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29244','0','','10084','Interface {#IFNAME}: Bits received','net.if.in["{#IFNAME}"]','3m','7d','365d','0','3','','bps','','','29230',NULL,'','','0','','','','','2','1','','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29245','0','','10084','Interface {#IFNAME}: Bits sent','net.if.out["{#IFNAME}"]','3m','7d','365d','0','3','','bps','','','29231',NULL,'','','0','','','','','2','1','','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29246','0','','10084','Interface {#IFNAME}: Outbound packets with errors','net.if.out["{#IFNAME}",errors]','3m','7d','365d','0','3','','','','','29232',NULL,'','','0','','','','','2','1','','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29247','0','','10084','Interface {#IFNAME}: Inbound packets with errors','net.if.in["{#IFNAME}",errors]','3m','7d','365d','0','3','','','','','29233',NULL,'','','0','','','','','2','1','','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29248','0','','10084','Interface {#IFNAME}: Outbound packets discarded','net.if.out["{#IFNAME}",dropped]','3m','7d','365d','0','3','','','','','29234',NULL,'','','0','','','','','2','1','','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29249','0','','10084','Interface {#IFNAME}: Inbound packets discarded','net.if.in["{#IFNAME}",dropped]','3m','7d','365d','0','3','','','','','29235',NULL,'','','0','','','','','2','1','','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29250','0','','10084','Interface {#IFNAME}: Operational status','vfs.file.contents["/sys/class/net/{#IFNAME}/operstate"]','1m','7d','0','0','3','','','','','29236','20','','','0','','','','','2','1','Indicates the interface RFC2863 operational state as a string.
Possible values are:"unknown", "notpresent", "down", "lowerlayerdown", "testing","dormant", "up".
Reference: https://www.kernel.org/doc/Documentation/ABI/testing/sysfs-class-net','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29251','0','','10084','Interface {#IFNAME}: Interface type','vfs.file.contents["/sys/class/net/{#IFNAME}/type"]','1h','7d','0d','0','3','','','','','29237','78','','','0','','','','','2','1','Indicates the interface protocol type as a decimal value.
See include/uapi/linux/if_arp.h for all possible values.
Reference: https://www.kernel.org/doc/Documentation/ABI/testing/sysfs-class-net','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29258','18','','10001','{#DEVNAME}: Disk read rate','vfs.dev.read.rate[{#DEVNAME}]','0','7d','365d','0','0','','!r/s','','','29252',NULL,'','','0','','','','','2',NULL,'r/s. The number (after merges) of read requests completed per second for the device.','0','30d','0','','29146','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29259','18','','10001','{#DEVNAME}: Disk write rate','vfs.dev.write.rate[{#DEVNAME}]','0','7d','365d','0','0','','!w/s','','','29253',NULL,'','','0','','','','','2',NULL,'w/s. The number (after merges) of write requests completed per second for the device.','0','30d','0','','29146','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29260','18','','10001','{#DEVNAME}: Disk read time (rate)','vfs.dev.read.time.rate[{#DEVNAME}]','0','7d','365d','0','0','','','','','29254',NULL,'','','0','','','','','2',NULL,'Rate of total read time counter. Used in r_await calculation','0','30d','0','','29146','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29261','18','','10001','{#DEVNAME}: Disk write time (rate)','vfs.dev.write.time.rate[{#DEVNAME}]','0','7d','365d','0','0','','','','','29255',NULL,'','','0','','','','','2',NULL,'Rate of total write time counter. Used in w_await calculation','0','30d','0','','29146','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29262','18','','10001','{#DEVNAME}: Disk average queue size (avgqu-sz)','vfs.dev.queue_size[{#DEVNAME}]','0','7d','365d','0','0','','','','','29256',NULL,'','','0','','','','','2',NULL,'Current average disk queue, the number of requests outstanding on the disk at the time the performance data is collected.','0','30d','0','','29146','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29263','18','','10001','{#DEVNAME}: Disk utilization','vfs.dev.util[{#DEVNAME}]','0','7d','365d','0','0','','%','','','29257',NULL,'','','0','','','','','2',NULL,'This item is the percentage of elapsed time that the selected disk drive was busy servicing read or writes requests.','0','30d','0','','29146','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29264','18','','10084','{#DEVNAME}: Disk read rate','vfs.dev.read.rate[{#DEVNAME}]','0','7d','365d','0','0','','!r/s','','','29258',NULL,'','','0','','','','','2',NULL,'r/s. The number (after merges) of read requests completed per second for the device.','0','30d','0','','29183','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29265','18','','10084','{#DEVNAME}: Disk write rate','vfs.dev.write.rate[{#DEVNAME}]','0','7d','365d','0','0','','!w/s','','','29259',NULL,'','','0','','','','','2',NULL,'w/s. The number (after merges) of write requests completed per second for the device.','0','30d','0','','29183','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29266','18','','10084','{#DEVNAME}: Disk read time (rate)','vfs.dev.read.time.rate[{#DEVNAME}]','0','7d','365d','0','0','','','','','29260',NULL,'','','0','','','','','2',NULL,'Rate of total read time counter. Used in r_await calculation','0','30d','0','','29183','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29267','18','','10084','{#DEVNAME}: Disk write time (rate)','vfs.dev.write.time.rate[{#DEVNAME}]','0','7d','365d','0','0','','','','','29261',NULL,'','','0','','','','','2',NULL,'Rate of total write time counter. Used in w_await calculation','0','30d','0','','29183','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29268','18','','10084','{#DEVNAME}: Disk average queue size (avgqu-sz)','vfs.dev.queue_size[{#DEVNAME}]','0','7d','365d','0','0','','','','','29262',NULL,'','','0','','','','','2',NULL,'Current average disk queue, the number of requests outstanding on the disk at the time the performance data is collected.','0','30d','0','','29183','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29269','18','','10084','{#DEVNAME}: Disk utilization','vfs.dev.util[{#DEVNAME}]','0','7d','365d','0','0','','%','','','29263',NULL,'','','0','','','','','2',NULL,'This item is the percentage of elapsed time that the selected disk drive was busy servicing read or writes requests.','0','30d','0','','29183','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29310','7','','10284','Number of CPUs','system.cpu.num','1m','7d','365d','0','3','','','','','29273',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29311','7','','10284','CPU iowait time','system.cpu.util[,iowait]','1m','7d','365d','0','0','','%','','','29274',NULL,'','','0','','','','','0',NULL,'Amount of time the CPU has been waiting for I/O to complete.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29312','7','','10284','Context switches per second','system.cpu.switches','1m','7d','365d','0','0','','','','','29275',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29313','7','','10284','CPU guest nice time','system.cpu.util[,guest_nice]','1m','7d','365d','0','0','','%','','','29276',NULL,'','','0','','','','','0',NULL,'Time spent running a niced guest (virtual CPU for guest operating systems under the control of the Linux kernel)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29314','7','','10284','CPU guest time','system.cpu.util[,guest]','1m','7d','365d','0','0','','%','','','29277',NULL,'','','0','','','','','0',NULL,'Guest  time (time  spent  running  a  virtual  CPU  for  a  guest  operating  system)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29315','7','','10284','CPU softirq time','system.cpu.util[,softirq]','1m','7d','365d','0','0','','%','','','29278',NULL,'','','0','','','','','0',NULL,'The amount of time the CPU has been servicing software interrupts.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29316','7','','10284','CPU interrupt time','system.cpu.util[,interrupt]','1m','7d','365d','0','0','','%','','','29279',NULL,'','','0','','','','','0',NULL,'The amount of time the CPU has been servicing hardware interrupts.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29317','7','','10284','CPU steal time','system.cpu.util[,steal]','1m','7d','365d','0','0','','%','','','29280',NULL,'','','0','','','','','0',NULL,'The amount of CPU ''stolen'' from this virtual machine by the hypervisor for other tasks (such as running another virtual machine).','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29318','7','','10284','CPU nice time','system.cpu.util[,nice]','1m','7d','365d','0','0','','%','','','29281',NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running users'' processes that have been niced.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29319','7','','10284','Load average (1m avg)','system.cpu.load[all,avg1]','1m','7d','365d','0','0','','','','','29282',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29320','7','','10284','CPU user time','system.cpu.util[,user]','1m','7d','365d','0','0','','%','','','29283',NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running users'' processes that are not niced.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29321','7','','10284','CPU system time','system.cpu.util[,system]','1m','7d','365d','0','0','','%','','','29284',NULL,'','','0','','','','','0',NULL,'The time the CPU has spent running the kernel and its processes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29322','7','','10284','CPU idle time','system.cpu.util[,idle]','1m','7d','365d','0','0','','%','','','29285',NULL,'','','0','','','','','0',NULL,'The time the CPU has spent doing nothing.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29323','7','','10284','Load average (15m avg)','system.cpu.load[all,avg15]','1m','7d','365d','0','0','','','','','29286',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29324','7','','10284','Load average (5m avg)','system.cpu.load[all,avg5]','1m','7d','365d','0','0','','','','','29287',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29325','7','','10284','Interrupts per second','system.cpu.intr','1m','7d','365d','0','0','','','','','29288',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29326','7','','10284','Memory utilization','vm.memory.size[pavailable]','1m','7d','365d','0','0','','%','','','29289',NULL,'','','0','','','','','0',NULL,'Memory used percentage is calculated as (100-pavailable)','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29327','7','','10284','Total memory','vm.memory.size[total]','1m','7d','365d','0','3','','B','','','29290',NULL,'','','0','','','','','0',NULL,'Total memory in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29328','7','','10284','Available memory','vm.memory.size[available]','1m','7d','365d','0','3','','B','','','29291',NULL,'','','0','','','','','0',NULL,'Available memory, in Linux, available = free + buffers + cache. On other platforms calculation may vary. See also: https://www.zabbix.com/documentation/current/manual/appendix/items/vm.memory.size_params','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29329','7','','10284','Total swap space','system.swap.size[,total]','1m','7d','365d','0','3','','B','','','29292',NULL,'','','0','','','','','0',NULL,'The total space of swap volume/file in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29330','7','','10284','Free swap space','system.swap.size[,free]','1m','7d','365d','0','3','','B','','','29293',NULL,'','','0','','','','','0',NULL,'The free space of swap volume/file in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29331','7','','10284','Free swap space in %','system.swap.size[,pfree]','1m','7d','365d','0','0','','%','','','29294',NULL,'','','0','','','','','0',NULL,'The free space of swap volume/file in percent.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29332','7','','10284','Get /proc/diskstats','vfs.file.contents[/proc/diskstats]','1m','1h','0','0','4','','','','','29295',NULL,'','','0','','','','','0',NULL,'Get contents of /proc/diskstats for discovery and disk stats.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29333','7','','10284','System uptime','system.uptime','30s','2w','0d','0','3','','uptime','','','29296',NULL,'','','0','','','','','0',NULL,'System uptime in ''N days, hh:mm:ss'' format.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29334','7','','10284','System boot time','system.boottime','15m','7d','365d','0','3','','unixtime','','','29297',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29335','0','','10284','System local time','system.localtime','1m','7d','365d','1','3','','unixtime','','','29298',NULL,'','','0','','','','','0',NULL,'System local time of the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29336','7','','10284','System name','system.hostname','1h','2w','0','0','1','','','','','29299',NULL,'','','0','','','','','0',NULL,'System host name.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29337','7','','10284','System description','system.uname','1h','2w','0','0','1','','','','','29300',NULL,'','','0','','','','','0',NULL,'The information as normally returned by ''uname -a''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29338','7','','10284','Number of logged in users','system.users.num','1m','7d','365d','0','3','','','','','29301',NULL,'','','0','','','','','0',NULL,'Number of users who are currently logged in.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29339','7','','10284','Maximum number of open file descriptors','kernel.maxfiles','1h','7d','365d','0','3','','','','','29302',NULL,'','','0','','','','','0',NULL,'It could be increased by using sysctrl utility or modifying file /etc/sysctl.conf.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29340','7','','10284','Maximum number of processes','kernel.maxproc','1h','7d','365d','0','3','','','','','29303',NULL,'','','0','','','','','0',NULL,'It could be increased by using sysctrl utility or modifying file /etc/sysctl.conf.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29341','7','','10284','Number of processes','proc.num','1m','7d','365d','0','3','','','','','29304',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29342','7','','10284','Number of running processes','proc.num[,,run]','1m','7d','365d','0','3','','','','','29305',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29343','7','','10284','Checksum of /etc/passwd','vfs.file.cksum[/etc/passwd]','15m','7d','0','0','1','','','','','29306',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29344','7','','10284','Operating system','system.sw.os','1h','2w','0','0','1','','','','','29307',NULL,'','','0','','','','','0',NULL,'','5','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29345','7','','10284','Operating system architecture','system.sw.arch','1h','2w','0','0','1','','','','','29308',NULL,'','','0','','','','','0',NULL,'Operating system architecture of the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29346','7','','10284','Software installed','system.sw.packages','1h','2w','0','0','4','','','','','29309',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29348','18','','10284','CPU utilization','system.cpu.util','0','7d','365d','0','0','','%','','','29347',NULL,'','','0','','','','','0',NULL,'CPU utilization in %','0','30d','0','','29322','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29352','7','','10284','Mounted filesystem discovery','vfs.fs.discovery','1h','90d','0','0','4','','','','','29349',NULL,'','','0','','','','','1',NULL,'Discovery of file systems of different types.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29353','18','','10284','Block devices discovery','vfs.dev.discovery','0','90d','0','0','4','','','','','29350',NULL,'','','0','','','','','1',NULL,'','0','30d','1','','29332','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29354','7','','10284','Network interface discovery','net.if.discovery','1h','90d','0','0','4','','','','','29351',NULL,'','','0','','','','','1',NULL,'Discovery of network interfaces.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29369','7','','10284','{#FSNAME}: Used space','vfs.fs.size[{#FSNAME},used]','1m','7d','365d','0','3','','B','','','29355',NULL,'','','0','','','','','2',NULL,'Used storage in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29370','7','','10284','{#FSNAME}: Total space','vfs.fs.size[{#FSNAME},total]','1m','7d','365d','0','3','','B','','','29356',NULL,'','','0','','','','','2',NULL,'Total space in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29371','7','','10284','{#FSNAME}: Space utilization','vfs.fs.size[{#FSNAME},pused]','1m','7d','365d','0','0','','%','','','29357',NULL,'','','0','','','','','2',NULL,'Space utilization in % for {#FSNAME}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29372','7','','10284','{#FSNAME}: Free inodes in %','vfs.fs.inode[{#FSNAME},pfree]','1m','7d','365d','0','0','','%','','','29358',NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29373','15','','10284','{#DEVNAME}: Disk read request avg waiting time (r_await)','vfs.dev.read.await[{#DEVNAME}]','1m','7d','365d','0','0','','!ms','','','29359',NULL,'(last("vfs.dev.read.time.rate[{#DEVNAME}]")/(last("vfs.dev.read.rate[{#DEVNAME}]")+(last("vfs.dev.read.rate[{#DEVNAME}]")=0)))*1000*(last("vfs.dev.read.rate[{#DEVNAME}]") > 0)','','0','','','','','2',NULL,'This formula contains two boolean expressions that evaluates to 1 or 0 in order to set calculated metric to zero and to avoid division by zero exception.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29374','15','','10284','{#DEVNAME}: Disk write request avg waiting time (w_await)','vfs.dev.write.await[{#DEVNAME}]','1m','7d','365d','0','0','','!ms','','','29360',NULL,'(last("vfs.dev.write.time.rate[{#DEVNAME}]")/(last("vfs.dev.write.rate[{#DEVNAME}]")+(last("vfs.dev.write.rate[{#DEVNAME}]")=0)))*1000*(last("vfs.dev.write.rate[{#DEVNAME}]") > 0)','','0','','','','','2',NULL,'This formula contains two boolean expressions that evaluates to 1 or 0 in order to set calculated metric to zero and to avoid division by zero exception.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29375','7','','10284','Interface {#IFNAME}: Bits received','net.if.in["{#IFNAME}"]','3m','7d','365d','0','3','','bps','','','29361',NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29376','7','','10284','Interface {#IFNAME}: Bits sent','net.if.out["{#IFNAME}"]','3m','7d','365d','0','3','','bps','','','29362',NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29377','7','','10284','Interface {#IFNAME}: Outbound packets with errors','net.if.out["{#IFNAME}",errors]','3m','7d','365d','0','3','','','','','29363',NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29378','7','','10284','Interface {#IFNAME}: Inbound packets with errors','net.if.in["{#IFNAME}",errors]','3m','7d','365d','0','3','','','','','29364',NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29379','7','','10284','Interface {#IFNAME}: Outbound packets discarded','net.if.out["{#IFNAME}",dropped]','3m','7d','365d','0','3','','','','','29365',NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29380','7','','10284','Interface {#IFNAME}: Inbound packets discarded','net.if.in["{#IFNAME}",dropped]','3m','7d','365d','0','3','','','','','29366',NULL,'','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29381','7','','10284','Interface {#IFNAME}: Operational status','vfs.file.contents["/sys/class/net/{#IFNAME}/operstate"]','1m','7d','0','0','3','','','','','29367','20','','','0','','','','','2',NULL,'Indicates the interface RFC2863 operational state as a string.
Possible values are:"unknown", "notpresent", "down", "lowerlayerdown", "testing","dormant", "up".
Reference: https://www.kernel.org/doc/Documentation/ABI/testing/sysfs-class-net','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29382','7','','10284','Interface {#IFNAME}: Interface type','vfs.file.contents["/sys/class/net/{#IFNAME}/type"]','1h','7d','0d','0','3','','','','','29368','78','','','0','','','','','2',NULL,'Indicates the interface protocol type as a decimal value.
See include/uapi/linux/if_arp.h for all possible values.
Reference: https://www.kernel.org/doc/Documentation/ABI/testing/sysfs-class-net','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29389','18','','10284','{#DEVNAME}: Disk read rate','vfs.dev.read.rate[{#DEVNAME}]','0','7d','365d','0','0','','!r/s','','','29383',NULL,'','','0','','','','','2',NULL,'r/s. The number (after merges) of read requests completed per second for the device.','0','30d','0','','29332','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29390','18','','10284','{#DEVNAME}: Disk write rate','vfs.dev.write.rate[{#DEVNAME}]','0','7d','365d','0','0','','!w/s','','','29384',NULL,'','','0','','','','','2',NULL,'w/s. The number (after merges) of write requests completed per second for the device.','0','30d','0','','29332','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29391','18','','10284','{#DEVNAME}: Disk read time (rate)','vfs.dev.read.time.rate[{#DEVNAME}]','0','7d','365d','0','0','','','','','29385',NULL,'','','0','','','','','2',NULL,'Rate of total read time counter. Used in r_await calculation','0','30d','0','','29332','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29392','18','','10284','{#DEVNAME}: Disk write time (rate)','vfs.dev.write.time.rate[{#DEVNAME}]','0','7d','365d','0','0','','','','','29386',NULL,'','','0','','','','','2',NULL,'Rate of total write time counter. Used in w_await calculation','0','30d','0','','29332','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29393','18','','10284','{#DEVNAME}: Disk average queue size (avgqu-sz)','vfs.dev.queue_size[{#DEVNAME}]','0','7d','365d','0','0','','','','','29387',NULL,'','','0','','','','','2',NULL,'Current average disk queue, the number of requests outstanding on the disk at the time the performance data is collected.','0','30d','0','','29332','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29394','18','','10284','{#DEVNAME}: Disk utilization','vfs.dev.util[{#DEVNAME}]','0','7d','365d','0','0','','%','','','29388',NULL,'','','0','','','','','2',NULL,'This item is the percentage of elapsed time that the selected disk drive was busy servicing read or writes requests.','0','30d','0','','29332','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29480','0','','10081','CPU utilization','system.cpu.util','1m','7d','365d','0','0','','%','','','29454',NULL,'','','0','','','','','0',NULL,'CPU utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29481','0','','10081','CPU interrupt time',E'perf_counter_en["\\Processor Information(_total)\\% Interrupt Time"]','1m','7d','365d','0','0','','%','','','29455',NULL,'','','0','','','','','0',NULL,E'The Processor Information\\% Interrupt Time is the time the processor spends receiving and servicing 
hardware interrupts during sample intervals. This value is an indirect indicator of the activity of 
devices that generate interrupts, such as the system clock, the mouse, disk drivers, data communication 
lines, network interface cards and other peripheral devices. This is an easy way to identify a potential 
hardware failure. This should never be higher than 20%.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29482','0','','10081','Context switches per second',E'perf_counter_en["\\System\\Context Switches/sec"]','1m','7d','365d','0','0','','','','','29456',NULL,'','','0','','','','','0',NULL,E'Context Switches/sec is the combined rate at which all processors on the computer are switched from one thread to another.
Context switches occur when a running thread voluntarily relinquishes the processor, is preempted by a higher priority ready thread, or switches between user-mode and privileged (kernel) mode to use an Executive or subsystem service.
It is the sum of Thread\\\\Context Switches/sec for all threads running on all processors in the computer and is measured in numbers of switches.
There are context switch counters on the System and Thread objects. This counter displays the difference between the values observed in the last two samples, divided by the duration of the sample interval.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29483','0','','10081','CPU privileged time',E'perf_counter_en["\\Processor Information(_total)\\% Privileged Time"]','1m','7d','365d','0','0','','%','','','29457',NULL,'','','0','','','','','0',NULL,E'The Processor Information\\% Privileged Time counter shows the percent of time that the processor is spent 
executing in Kernel (or Privileged) mode. Privileged mode includes services interrupts inside Interrupt 
Service Routines (ISRs), executing Deferred Procedure Calls (DPCs), Device Driver calls and other kernel-mode 
functions of the Windows® Operating System.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29484','0','','10081','CPU user time',E'perf_counter_en["\\Processor Information(_total)\\% User Time"]','1m','7d','365d','0','0','','%','','','29458',NULL,'','','0','','','','','0',NULL,E'The Processor Information\\% User Time counter shows the percent of time that the processor(s) is spent executing 
in User mode.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29485','0','','10081','CPU queue length',E'perf_counter_en["\\System\\Processor Queue Length"]','1m','7d','365d','0','0','','','','','29459',NULL,'','','0','','','','','0',NULL,'The Processor Queue Length shows the number of threads that are observed as delayed in the processor Ready Queue 
and are waiting to be executed.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29486','0','','10081','Used memory','vm.memory.size[used]','1m','7d','365d','0','3','','B','','','29460',NULL,'','','0','','','','','0',NULL,'Used memory in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29487','0','','10081','Total memory','vm.memory.size[total]','1m','7d','365d','0','3','','B','','','29461',NULL,'','','0','','','','','0',NULL,'Total memory in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29488','15','','10081','Memory utilization','vm.memory.util','1m','7d','365d','0','0','','%','','','29462',NULL,'last("vm.memory.size[used]") / last("vm.memory.size[total]") * 100','','0','','','','','0',NULL,'Memory utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29489','0','','10081','Cache bytes',E'perf_counter_en["\\Memory\\Cache Bytes"]','1m','7d','365d','0','3','','B','','','29463',NULL,'','','0','','','','','0',NULL,E'Cache Bytes is the sum of the Memory\\\\System Cache Resident Bytes, Memory\\\\System Driver Resident Bytes, 
Memory\\\\System Code Resident Bytes, and Memory\\\\Pool Paged Resident Bytes counters. This counter displays 
the last observed value only; it is not an average.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29490','0','','10081','Free swap space','system.swap.size[,free]','1m','7d','365d','0','3','','B','','','29464',NULL,'','','0','','','','','0',NULL,'The free space of swap volume/file in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29491','0','','10081','Free swap space in %','system.swap.size[,pfree]','1m','7d','365d','0','0','','%','','','29465',NULL,'','','0','','','','','0',NULL,'The free space of swap volume/file in percent.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29492','0','','10081','Total swap space','system.swap.size[,total]','1m','7d','365d','0','3','','B','','','29466',NULL,'','','0','','','','','0',NULL,'The total space of swap volume/file in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29493','0','','10081','Free system page table entries',E'perf_counter_en["\\Memory\\Free System Page Table Entries"]','1m','7d','365d','0','3','','','','','29467',NULL,'','','0','','','','','0',NULL,'This indicates the number of page table entries not currently in use by the system. If the number is less 
than 5,000, there may well be a memory leak or you running out of memory.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29494','0','','10081','Memory page faults per second',E'perf_counter_en["\\Memory\\Page Faults/sec"]','1m','7d','365d','0','0','','','','','29468',NULL,'','','0','','','','','0',NULL,'Page Faults/sec is the average number of pages faulted per second. It is measured in number of pages 
faulted per second because only one page is faulted in each fault operation, hence this is also equal 
to the number of page fault operations. This counter includes both hard faults (those that require 
disk access) and soft faults (where the faulted page is found elsewhere in physical memory.) Most 
processors can handle large numbers of soft faults without significant consequence. However, hard faults, 
which require disk access, can cause significant delays.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29495','0','','10081','Memory pages per second',E'perf_counter_en["\\Memory\\Pages/sec"]','1m','7d','365d','0','0','','','','','29469',NULL,'','','0','','','','','0',NULL,'This measures the rate at which pages are read from or written to disk to resolve hard page faults. 
If the value is greater than 1,000, as a result of excessive paging, there may be a memory leak.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29496','0','','10081','Memory pool non-paged',E'perf_counter_en["\\Memory\\Pool Nonpaged Bytes"]','1m','7d','365d','0','3','','B','','','29470',NULL,'','','0','','','','','0',NULL,'This measures the size, in bytes, of the non-paged pool. This is an area of system memory for objects 
that cannot be written to disk but instead must remain in physical memory as long as they are allocated. 
There is a possible memory leak if the value is greater than 175MB (or 100MB with the /3GB switch). 
A typical Event ID 2019 is recorded in the system event log.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29497','0','','10081','Physical disks WMI get',E'wmi.getall[root\\cimv2,"select * from win32_perfformatteddata_perfdisk_physicaldisk"]','1m','1h','0','0','4','','','','','29471',NULL,'','','0','','','','','0',NULL,'Raw data of win32_perfformatteddata_perfdisk_physicaldisk.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29498','0','','10081','Uptime','system.uptime','30s','2w','0d','0','3','','uptime','','','29472',NULL,'','','0','','','','','0',NULL,'System uptime in ''N days, hh:mm:ss'' format.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29499','0','','10081','System local time','system.localtime','1m','7d','365d','0','3','','unixtime','','','29473',NULL,'','','0','','','','','0',NULL,'System local time of the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29500','0','','10081','System name','system.hostname','1h','2w','0','0','1','','','','','29474',NULL,'','','0','','','','','0',NULL,'System host name.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29501','0','','10081','System description','system.uname','1h','2w','0','0','1','','','','','29475',NULL,'','','0','','','','','0',NULL,'System description of the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29502','0','','10081','Number of processes','proc.num[]','1m','7d','365d','0','3','','','','','29476',NULL,'','','0','','','','','0',NULL,'The number of processes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29503','0','','10081','Number of threads',E'perf_counter_en["\\System\\Threads"]','1m','7d','365d','0','3','','','','','29477',NULL,'','','0','','','','','0',NULL,'The number of threads used by all running processes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29504','0','','10081','Operating system architecture','system.sw.arch','1h','2w','0','0','1','','','','','29478',NULL,'','','0','','','','','0',NULL,'Operating system architecture of the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29505','0','','10081','Network interfaces WMI get',E'wmi.getall[root\\cimv2,"select * from win32_networkadapter where PhysicalAdapter=True"]','1m','1h','0','0','4','','','','','29479',NULL,'','','0','','','','','0',NULL,'Raw data of win32_networkadapter.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29509','0','','10081','Mounted filesystem discovery','vfs.fs.discovery','1h','90d','0','0','4','','','','','29506',NULL,'','','0','','','','','1',NULL,'Discovery of file systems of different types.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29510','18','','10081','Physical disks discovery','vfs.dev.discovery','0','90d','0','0','4','','','','','29507',NULL,'','','0','','','','','1',NULL,'Discovery of installed physical disks.','0','30d','1','','29497','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29511','18','','10081','Network interfaces discovery','net.if.discovery','0','90d','0','0','4','','','','','29508',NULL,'','','0','','','','','1',NULL,'Discovery of installed network interfaces.','0','30d','1','','29505','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29521','0','','10081','{#FSNAME}: Used space','vfs.fs.size[{#FSNAME},used]','1m','7d','365d','0','3','','B','','','29512',NULL,'','','0','','','','','2',NULL,'Used storage in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29522','0','','10081','{#FSNAME}: Total space','vfs.fs.size[{#FSNAME},total]','1m','7d','365d','0','3','','B','','','29513',NULL,'','','0','','','','','2',NULL,'Total space in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29523','0','','10081','{#FSNAME}: Space utilization','vfs.fs.size[{#FSNAME},pused]','1m','7d','365d','0','0','','%','','','29514',NULL,'','','0','','','','','2',NULL,'Space utilization in % for {#FSNAME}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29524','0','','10081','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in["{#IFNAME}"]','3m','7d','365d','0','3','','bps','','','29515',NULL,'','','0','','','','','2',NULL,'Incoming traffic on the network interface.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29525','0','','10081','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out["{#IFNAME}"]','3m','7d','365d','0','3','','bps','','','29516',NULL,'','','0','','','','','2',NULL,'Outgoing traffic on the network interface.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29526','0','','10081','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in["{#IFNAME}",dropped]','3m','7d','365d','0','3','','','','','29517',NULL,'','','0','','','','','2',NULL,'The number of incoming packets dropped on the network interface.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29527','0','','10081','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out["{#IFNAME}",dropped]','3m','7d','365d','0','3','','','','','29518',NULL,'','','0','','','','','2',NULL,'The number of outgoing packets dropped on the network interface.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29528','0','','10081','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in["{#IFNAME}",errors]','3m','7d','365d','0','3','','','','','29519',NULL,'','','0','','','','','2',NULL,'The number of incoming packets with errors on the network interface.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29529','0','','10081','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out["{#IFNAME}",errors]','3m','7d','365d','0','3','','','','','29520',NULL,'','','0','','','','','2',NULL,'The number of outgoing packets with errors on the network interface.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29537','18','','10081','{#DEVNAME}: Disk read rate','vfs.dev.read.rate[DiskReadsPersec.{#DEVNAME}]','0','7d','365d','0','3','','!r/s','','','29530',NULL,'','','0','','','','','2',NULL,'Rate of read operations on the disk.','0','30d','0','','29497','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29538','18','','10081','{#DEVNAME}: Disk write rate','vfs.dev.write.rate[DiskWritesPersec.{#DEVNAME}]','0','7d','365d','0','3','','!w/s','','','29531',NULL,'','','0','','','','','2',NULL,'Rate of write operations on the disk.','0','30d','0','','29497','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29539','18','','10081','{#DEVNAME}: Disk average queue size (avgqu-sz)','vfs.dev.queue_size[CurrentDiskQueueLength.{#DEVNAME}]','0','7d','365d','0','0','','','','','29532',NULL,'','','0','','','','','2',NULL,'Current average disk queue, the number of requests outstanding on the disk at the time the performance data is collected.','0','30d','0','','29497','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29540','18','','10081','{#DEVNAME}: Disk utilization','vfs.dev.util[PercentDiskTime.{#DEVNAME}]','0','7d','365d','0','0','','%','','','29533',NULL,'','','0','','','','','2',NULL,'This item is the percentage of elapsed time that the selected disk drive was busy servicing read or writes requests.','0','30d','0','','29497','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29541','18','','10081','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed["{#IFNAME}"]','0','7d','0d','0','3','','bps','','','29534',NULL,'','','0','','','','','2',NULL,'Estimated bandwidth of the network interface if any.','0','30d','0','','29505','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29542','18','','10081','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type["{#IFNAME}"]','0','7d','0d','0','3','','','','','29535','79','','','0','','','','','2',NULL,'The type of the network interface.','0','30d','0','','29505','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29543','18','','10081','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status["{#IFNAME}"]','0','7d','0','0','3','','','','','29536','81','','','0','','','','','2',NULL,'The operational status of the network interface.','0','30d','0','','29505','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29548','5','','10001','Zabbix agent availability','zabbix[host,agent,available]','1m','7d','365d','0','3','','','','','29544','22','','','0','','','','','0',NULL,'Monitoring agent availability status','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29549','5','','10074','Zabbix agent availability','zabbix[host,agent,available]','1m','7d','365d','0','3','','','','','29544','22','','','0','','','','','0',NULL,'Monitoring agent availability status','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29550','5','','10075','Zabbix agent availability','zabbix[host,agent,available]','1m','7d','365d','0','3','','','','','29544','22','','','0','','','','','0',NULL,'Monitoring agent availability status','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29551','5','','10076','Zabbix agent availability','zabbix[host,agent,available]','1m','7d','365d','0','3','','','','','29544','22','','','0','','','','','0',NULL,'Monitoring agent availability status','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29552','5','','10077','Zabbix agent availability','zabbix[host,agent,available]','1m','7d','365d','0','3','','','','','29544','22','','','0','','','','','0',NULL,'Monitoring agent availability status','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29553','5','','10078','Zabbix agent availability','zabbix[host,agent,available]','1m','7d','365d','0','3','','','','','29544','22','','','0','','','','','0',NULL,'Monitoring agent availability status','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29554','5','','10079','Zabbix agent availability','zabbix[host,agent,available]','1m','7d','365d','0','3','','','','','29544','22','','','0','','','','','0',NULL,'Monitoring agent availability status','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29555','5','','10081','Zabbix agent availability','zabbix[host,agent,available]','1m','7d','365d','0','3','','','','','29544','22','','','0','','','','','0',NULL,'Monitoring agent availability status','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29557','5','','10084','Zabbix agent availability','zabbix[host,agent,available]','1m','7d','365d','0','3','','','','','29548','22','','','0','','','','','0',NULL,'Monitoring agent availability status','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29558','7','','10299','Host name of Zabbix agent running','agent.hostname','1h','7d','0','0','1','','','','','29546',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29559','7','','10299','Zabbix agent ping','agent.ping','1m','7d','365d','0','3','','','','','29547','10','','','0','','','','','0',NULL,'The agent always returns 1 for this item. It could be used in combination with nodata() for availability check.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29560','7','','10299','Version of Zabbix agent running','agent.version','1h','7d','0','0','1','','','','','29545',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29587','7','','10299','CPU utilization','system.cpu.util','1m','7d','365d','0','0','','%','','','29561',NULL,'','','0','','','','','0',NULL,'CPU utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29588','7','','10299','CPU interrupt time',E'perf_counter_en["\\Processor Information(_total)\\% Interrupt Time"]','1m','7d','365d','0','0','','%','','','29562',NULL,'','','0','','','','','0',NULL,E'The Processor Information\\% Interrupt Time is the time the processor spends receiving and servicing 
hardware interrupts during sample intervals. This value is an indirect indicator of the activity of 
devices that generate interrupts, such as the system clock, the mouse, disk drivers, data communication 
lines, network interface cards and other peripheral devices. This is an easy way to identify a potential 
hardware failure. This should never be higher than 20%.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29589','7','','10299','Context switches per second',E'perf_counter_en["\\System\\Context Switches/sec"]','1m','7d','365d','0','0','','','','','29563',NULL,'','','0','','','','','0',NULL,E'Context Switches/sec is the combined rate at which all processors on the computer are switched from one thread to another.
Context switches occur when a running thread voluntarily relinquishes the processor, is preempted by a higher priority ready thread, or switches between user-mode and privileged (kernel) mode to use an Executive or subsystem service.
It is the sum of Thread\\\\Context Switches/sec for all threads running on all processors in the computer and is measured in numbers of switches.
There are context switch counters on the System and Thread objects. This counter displays the difference between the values observed in the last two samples, divided by the duration of the sample interval.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29590','7','','10299','CPU privileged time',E'perf_counter_en["\\Processor Information(_total)\\% Privileged Time"]','1m','7d','365d','0','0','','%','','','29564',NULL,'','','0','','','','','0',NULL,E'The Processor Information\\% Privileged Time counter shows the percent of time that the processor is spent 
executing in Kernel (or Privileged) mode. Privileged mode includes services interrupts inside Interrupt 
Service Routines (ISRs), executing Deferred Procedure Calls (DPCs), Device Driver calls and other kernel-mode 
functions of the Windows® Operating System.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29591','7','','10299','CPU user time',E'perf_counter_en["\\Processor Information(_total)\\% User Time"]','1m','7d','365d','0','0','','%','','','29565',NULL,'','','0','','','','','0',NULL,E'The Processor Information\\% User Time counter shows the percent of time that the processor(s) is spent executing 
in User mode.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29592','7','','10299','CPU queue length',E'perf_counter_en["\\System\\Processor Queue Length"]','1m','7d','365d','0','0','','','','','29566',NULL,'','','0','','','','','0',NULL,'The Processor Queue Length shows the number of threads that are observed as delayed in the processor Ready Queue 
and are waiting to be executed.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29593','7','','10299','Used memory','vm.memory.size[used]','1m','7d','365d','0','3','','B','','','29567',NULL,'','','0','','','','','0',NULL,'Used memory in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29594','7','','10299','Total memory','vm.memory.size[total]','1m','7d','365d','0','3','','B','','','29568',NULL,'','','0','','','','','0',NULL,'Total memory in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29595','15','','10299','Memory utilization','vm.memory.util','1m','7d','365d','0','0','','%','','','29569',NULL,'last("vm.memory.size[used]") / last("vm.memory.size[total]") * 100','','0','','','','','0',NULL,'Memory utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29596','7','','10299','Cache bytes',E'perf_counter_en["\\Memory\\Cache Bytes"]','1m','7d','365d','0','3','','B','','','29570',NULL,'','','0','','','','','0',NULL,E'Cache Bytes is the sum of the Memory\\\\System Cache Resident Bytes, Memory\\\\System Driver Resident Bytes, 
Memory\\\\System Code Resident Bytes, and Memory\\\\Pool Paged Resident Bytes counters. This counter displays 
the last observed value only; it is not an average.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29597','7','','10299','Free swap space','system.swap.size[,free]','1m','7d','365d','0','3','','B','','','29571',NULL,'','','0','','','','','0',NULL,'The free space of swap volume/file in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29598','7','','10299','Free swap space in %','system.swap.size[,pfree]','1m','7d','365d','0','0','','%','','','29572',NULL,'','','0','','','','','0',NULL,'The free space of swap volume/file in percent.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29599','7','','10299','Total swap space','system.swap.size[,total]','1m','7d','365d','0','3','','B','','','29573',NULL,'','','0','','','','','0',NULL,'The total space of swap volume/file in bytes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29600','7','','10299','Free system page table entries',E'perf_counter_en["\\Memory\\Free System Page Table Entries"]','1m','7d','365d','0','3','','','','','29574',NULL,'','','0','','','','','0',NULL,'This indicates the number of page table entries not currently in use by the system. If the number is less 
than 5,000, there may well be a memory leak or you running out of memory.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29601','7','','10299','Memory page faults per second',E'perf_counter_en["\\Memory\\Page Faults/sec"]','1m','7d','365d','0','0','','','','','29575',NULL,'','','0','','','','','0',NULL,'Page Faults/sec is the average number of pages faulted per second. It is measured in number of pages 
faulted per second because only one page is faulted in each fault operation, hence this is also equal 
to the number of page fault operations. This counter includes both hard faults (those that require 
disk access) and soft faults (where the faulted page is found elsewhere in physical memory.) Most 
processors can handle large numbers of soft faults without significant consequence. However, hard faults, 
which require disk access, can cause significant delays.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29602','7','','10299','Memory pages per second',E'perf_counter_en["\\Memory\\Pages/sec"]','1m','7d','365d','0','0','','','','','29576',NULL,'','','0','','','','','0',NULL,'This measures the rate at which pages are read from or written to disk to resolve hard page faults. 
If the value is greater than 1,000, as a result of excessive paging, there may be a memory leak.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29603','7','','10299','Memory pool non-paged',E'perf_counter_en["\\Memory\\Pool Nonpaged Bytes"]','1m','7d','365d','0','3','','B','','','29577',NULL,'','','0','','','','','0',NULL,'This measures the size, in bytes, of the non-paged pool. This is an area of system memory for objects 
that cannot be written to disk but instead must remain in physical memory as long as they are allocated. 
There is a possible memory leak if the value is greater than 175MB (or 100MB with the /3GB switch). 
A typical Event ID 2019 is recorded in the system event log.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29604','7','','10299','Physical disks WMI get',E'wmi.getall[root\\cimv2,"select * from win32_perfformatteddata_perfdisk_physicaldisk"]','1m','1h','0','0','4','','','','','29578',NULL,'','','0','','','','','0',NULL,'Raw data of win32_perfformatteddata_perfdisk_physicaldisk.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29605','7','','10299','Uptime','system.uptime','30s','2w','0d','0','3','','uptime','','','29579',NULL,'','','0','','','','','0',NULL,'System uptime in ''N days, hh:mm:ss'' format.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29606','0','','10299','System local time','system.localtime','1m','7d','365d','1','3','','unixtime','','','29580',NULL,'','','0','','','','','0',NULL,'System local time of the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29607','7','','10299','System name','system.hostname','1h','2w','0','0','1','','','','','29581',NULL,'','','0','','','','','0',NULL,'System host name.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29608','7','','10299','System description','system.uname','1h','2w','0','0','1','','','','','29582',NULL,'','','0','','','','','0',NULL,'System description of the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29609','7','','10299','Number of processes','proc.num[]','1m','7d','365d','0','3','','','','','29583',NULL,'','','0','','','','','0',NULL,'The number of processes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29610','7','','10299','Number of threads',E'perf_counter_en["\\System\\Threads"]','1m','7d','365d','0','3','','','','','29584',NULL,'','','0','','','','','0',NULL,'The number of threads used by all running processes.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29611','7','','10299','Operating system architecture','system.sw.arch','1h','2w','0','0','1','','','','','29585',NULL,'','','0','','','','','0',NULL,'Operating system architecture of the host.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29612','7','','10299','Network interfaces WMI get',E'wmi.getall[root\\cimv2,"select * from win32_networkadapter where PhysicalAdapter=True"]','1m','1h','0','0','4','','','','','29586',NULL,'','','0','','','','','0',NULL,'Raw data of win32_networkadapter.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29616','7','','10299','Mounted filesystem discovery','vfs.fs.discovery','1h','90d','0','0','4','','','','','29613',NULL,'','','0','','','','','1',NULL,'Discovery of file systems of different types.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29617','18','','10299','Physical disks discovery','vfs.dev.discovery','0','90d','0','0','4','','','','','29614',NULL,'','','0','','','','','1',NULL,'Discovery of installed physical disks.','0','30d','1','','29604','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29618','18','','10299','Network interfaces discovery','net.if.discovery','0','90d','0','0','4','','','','','29615',NULL,'','','0','','','','','1',NULL,'Discovery of installed network interfaces.','0','30d','1','','29612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29628','7','','10299','{#FSNAME}: Used space','vfs.fs.size[{#FSNAME},used]','1m','7d','365d','0','3','','B','','','29619',NULL,'','','0','','','','','2',NULL,'Used storage in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29629','7','','10299','{#FSNAME}: Total space','vfs.fs.size[{#FSNAME},total]','1m','7d','365d','0','3','','B','','','29620',NULL,'','','0','','','','','2',NULL,'Total space in Bytes','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29630','7','','10299','{#FSNAME}: Space utilization','vfs.fs.size[{#FSNAME},pused]','1m','7d','365d','0','0','','%','','','29621',NULL,'','','0','','','','','2',NULL,'Space utilization in % for {#FSNAME}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29631','7','','10299','Interface {#IFNAME}({#IFALIAS}): Bits received','net.if.in["{#IFNAME}"]','3m','7d','365d','0','3','','bps','','','29622',NULL,'','','0','','','','','2',NULL,'Incoming traffic on the network interface.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29632','7','','10299','Interface {#IFNAME}({#IFALIAS}): Bits sent','net.if.out["{#IFNAME}"]','3m','7d','365d','0','3','','bps','','','29623',NULL,'','','0','','','','','2',NULL,'Outgoing traffic on the network interface.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29633','7','','10299','Interface {#IFNAME}({#IFALIAS}): Inbound packets discarded','net.if.in["{#IFNAME}",dropped]','3m','7d','365d','0','3','','','','','29624',NULL,'','','0','','','','','2',NULL,'The number of incoming packets dropped on the network interface.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29634','7','','10299','Interface {#IFNAME}({#IFALIAS}): Outbound packets discarded','net.if.out["{#IFNAME}",dropped]','3m','7d','365d','0','3','','','','','29625',NULL,'','','0','','','','','2',NULL,'The number of outgoing packets dropped on the network interface.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29635','7','','10299','Interface {#IFNAME}({#IFALIAS}): Inbound packets with errors','net.if.in["{#IFNAME}",errors]','3m','7d','365d','0','3','','','','','29626',NULL,'','','0','','','','','2',NULL,'The number of incoming packets with errors on the network interface.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29636','7','','10299','Interface {#IFNAME}({#IFALIAS}): Outbound packets with errors','net.if.out["{#IFNAME}",errors]','3m','7d','365d','0','3','','','','','29627',NULL,'','','0','','','','','2',NULL,'The number of outgoing packets with errors on the network interface.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29644','18','','10299','{#DEVNAME}: Disk read rate','vfs.dev.read.rate[DiskReadsPersec.{#DEVNAME}]','0','7d','365d','0','3','','!r/s','','','29637',NULL,'','','0','','','','','2',NULL,'Rate of read operations on the disk.','0','30d','0','','29604','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29645','18','','10299','{#DEVNAME}: Disk write rate','vfs.dev.write.rate[DiskWritesPersec.{#DEVNAME}]','0','7d','365d','0','3','','!w/s','','','29638',NULL,'','','0','','','','','2',NULL,'Rate of write operations on the disk.','0','30d','0','','29604','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29646','18','','10299','{#DEVNAME}: Disk average queue size (avgqu-sz)','vfs.dev.queue_size[CurrentDiskQueueLength.{#DEVNAME}]','0','7d','365d','0','0','','','','','29639',NULL,'','','0','','','','','2',NULL,'Current average disk queue, the number of requests outstanding on the disk at the time the performance data is collected.','0','30d','0','','29604','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29647','18','','10299','{#DEVNAME}: Disk utilization','vfs.dev.util[PercentDiskTime.{#DEVNAME}]','0','7d','365d','0','0','','%','','','29640',NULL,'','','0','','','','','2',NULL,'This item is the percentage of elapsed time that the selected disk drive was busy servicing read or writes requests.','0','30d','0','','29604','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29648','18','','10299','Interface {#IFNAME}({#IFALIAS}): Speed','net.if.speed["{#IFNAME}"]','0','7d','0d','0','3','','bps','','','29641',NULL,'','','0','','','','','2',NULL,'Estimated bandwidth of the network interface if any.','0','30d','0','','29612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29649','18','','10299','Interface {#IFNAME}({#IFALIAS}): Interface type','net.if.type["{#IFNAME}"]','0','7d','0d','0','3','','','','','29642','79','','','0','','','','','2',NULL,'The type of the network interface.','0','30d','0','','29612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29650','18','','10299','Interface {#IFNAME}({#IFALIAS}): Operational status','net.if.status["{#IFNAME}"]','0','7d','0','0','3','','','','','29643','81','','','0','','','','','2',NULL,'The operational status of the network interface.','0','30d','0','','29612','3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29823','5','','10084','Utilization of alert syncer internal processes, in %','zabbix[process,alert syncer,avg,busy]','1m','1w','365d','0','0','','%','','','29822',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29829','20','1.3.6.1.2.1.1.3.0','10225','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29824',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29830','20','1.3.6.1.2.1.1.6.0','10225','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29825',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29831','20','1.3.6.1.2.1.1.4.0','10225','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29826',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29832','20','1.3.6.1.2.1.1.2.0','10225','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29827',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29833','20','1.3.6.1.2.1.1.1.0','10225','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29828',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29834','20','1.3.6.1.2.1.1.3.0','10237','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29824',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29835','20','1.3.6.1.2.1.1.6.0','10237','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29825',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29836','20','1.3.6.1.2.1.1.4.0','10237','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29826',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29837','20','1.3.6.1.2.1.1.2.0','10237','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29827',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29838','20','1.3.6.1.2.1.1.1.0','10237','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29828',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29839','20','1.3.6.1.2.1.1.3.0','10257','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29824',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29840','20','1.3.6.1.2.1.1.6.0','10257','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29825',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29841','20','1.3.6.1.2.1.1.4.0','10257','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29826',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29842','20','1.3.6.1.2.1.1.2.0','10257','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29827',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29843','20','1.3.6.1.2.1.1.1.0','10257','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29828',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29849','20','1.3.6.1.2.1.1.3.0','10207','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29850','20','1.3.6.1.2.1.1.6.0','10207','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29851','20','1.3.6.1.2.1.1.4.0','10207','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29852','20','1.3.6.1.2.1.1.2.0','10207','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29853','20','1.3.6.1.2.1.1.1.0','10207','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29854','20','1.3.6.1.2.1.1.3.0','10208','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29855','20','1.3.6.1.2.1.1.6.0','10208','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29856','20','1.3.6.1.2.1.1.4.0','10208','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29857','20','1.3.6.1.2.1.1.2.0','10208','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29858','20','1.3.6.1.2.1.1.1.0','10208','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29859','20','1.3.6.1.2.1.1.3.0','10210','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29860','20','1.3.6.1.2.1.1.6.0','10210','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29861','20','1.3.6.1.2.1.1.4.0','10210','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29862','20','1.3.6.1.2.1.1.2.0','10210','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29863','20','1.3.6.1.2.1.1.1.0','10210','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29864','20','1.3.6.1.2.1.1.3.0','10211','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29865','20','1.3.6.1.2.1.1.6.0','10211','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29866','20','1.3.6.1.2.1.1.4.0','10211','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29867','20','1.3.6.1.2.1.1.2.0','10211','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29868','20','1.3.6.1.2.1.1.1.0','10211','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29869','20','1.3.6.1.2.1.1.3.0','10218','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29870','20','1.3.6.1.2.1.1.6.0','10218','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29871','20','1.3.6.1.2.1.1.4.0','10218','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29872','20','1.3.6.1.2.1.1.2.0','10218','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29873','20','1.3.6.1.2.1.1.1.0','10218','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29874','20','1.3.6.1.2.1.1.3.0','10220','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29875','20','1.3.6.1.2.1.1.6.0','10220','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29876','20','1.3.6.1.2.1.1.4.0','10220','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29877','20','1.3.6.1.2.1.1.2.0','10220','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29878','20','1.3.6.1.2.1.1.1.0','10220','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29879','20','1.3.6.1.2.1.1.3.0','10221','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29880','20','1.3.6.1.2.1.1.6.0','10221','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29881','20','1.3.6.1.2.1.1.4.0','10221','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29882','20','1.3.6.1.2.1.1.2.0','10221','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29883','20','1.3.6.1.2.1.1.1.0','10221','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29884','20','1.3.6.1.2.1.1.3.0','10222','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29885','20','1.3.6.1.2.1.1.6.0','10222','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29886','20','1.3.6.1.2.1.1.4.0','10222','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29887','20','1.3.6.1.2.1.1.2.0','10222','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29888','20','1.3.6.1.2.1.1.1.0','10222','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29889','20','1.3.6.1.2.1.1.3.0','10223','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29890','20','1.3.6.1.2.1.1.6.0','10223','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29891','20','1.3.6.1.2.1.1.4.0','10223','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29892','20','1.3.6.1.2.1.1.2.0','10223','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29893','20','1.3.6.1.2.1.1.1.0','10223','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29894','20','1.3.6.1.2.1.1.3.0','10224','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29895','20','1.3.6.1.2.1.1.6.0','10224','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29896','20','1.3.6.1.2.1.1.4.0','10224','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29897','20','1.3.6.1.2.1.1.2.0','10224','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29898','20','1.3.6.1.2.1.1.1.0','10224','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29899','20','1.3.6.1.2.1.1.3.0','10226','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29900','20','1.3.6.1.2.1.1.6.0','10226','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29901','20','1.3.6.1.2.1.1.4.0','10226','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29902','20','1.3.6.1.2.1.1.2.0','10226','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29903','20','1.3.6.1.2.1.1.1.0','10226','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29904','20','1.3.6.1.2.1.1.3.0','10227','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29905','20','1.3.6.1.2.1.1.6.0','10227','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29906','20','1.3.6.1.2.1.1.4.0','10227','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29907','20','1.3.6.1.2.1.1.2.0','10227','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29908','20','1.3.6.1.2.1.1.1.0','10227','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29909','20','1.3.6.1.2.1.1.3.0','10229','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29910','20','1.3.6.1.2.1.1.6.0','10229','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29911','20','1.3.6.1.2.1.1.4.0','10229','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29912','20','1.3.6.1.2.1.1.2.0','10229','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29913','20','1.3.6.1.2.1.1.1.0','10229','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29914','20','1.3.6.1.2.1.1.3.0','10230','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29915','20','1.3.6.1.2.1.1.6.0','10230','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29916','20','1.3.6.1.2.1.1.4.0','10230','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29917','20','1.3.6.1.2.1.1.2.0','10230','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29918','20','1.3.6.1.2.1.1.1.0','10230','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29919','20','1.3.6.1.2.1.1.3.0','10231','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29920','20','1.3.6.1.2.1.1.6.0','10231','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29921','20','1.3.6.1.2.1.1.4.0','10231','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29922','20','1.3.6.1.2.1.1.2.0','10231','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29923','20','1.3.6.1.2.1.1.1.0','10231','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29924','20','1.3.6.1.2.1.1.3.0','10233','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29925','20','1.3.6.1.2.1.1.6.0','10233','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29926','20','1.3.6.1.2.1.1.4.0','10233','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29927','20','1.3.6.1.2.1.1.2.0','10233','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29928','20','1.3.6.1.2.1.1.1.0','10233','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29929','20','1.3.6.1.2.1.1.3.0','10234','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29930','20','1.3.6.1.2.1.1.6.0','10234','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29931','20','1.3.6.1.2.1.1.4.0','10234','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29932','20','1.3.6.1.2.1.1.2.0','10234','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29933','20','1.3.6.1.2.1.1.1.0','10234','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29934','20','1.3.6.1.2.1.1.3.0','10235','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29935','20','1.3.6.1.2.1.1.6.0','10235','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29936','20','1.3.6.1.2.1.1.4.0','10235','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29937','20','1.3.6.1.2.1.1.2.0','10235','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29938','20','1.3.6.1.2.1.1.1.0','10235','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29939','20','1.3.6.1.2.1.1.3.0','10236','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29940','20','1.3.6.1.2.1.1.6.0','10236','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29941','20','1.3.6.1.2.1.1.4.0','10236','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29942','20','1.3.6.1.2.1.1.2.0','10236','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29943','20','1.3.6.1.2.1.1.1.0','10236','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29944','20','1.3.6.1.2.1.1.3.0','10250','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29945','20','1.3.6.1.2.1.1.6.0','10250','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29946','20','1.3.6.1.2.1.1.4.0','10250','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29947','20','1.3.6.1.2.1.1.2.0','10250','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29948','20','1.3.6.1.2.1.1.1.0','10250','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29949','20','1.3.6.1.2.1.1.3.0','10251','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29950','20','1.3.6.1.2.1.1.6.0','10251','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29951','20','1.3.6.1.2.1.1.4.0','10251','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29952','20','1.3.6.1.2.1.1.2.0','10251','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29953','20','1.3.6.1.2.1.1.1.0','10251','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29954','20','1.3.6.1.2.1.1.3.0','10253','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29955','20','1.3.6.1.2.1.1.6.0','10253','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29956','20','1.3.6.1.2.1.1.4.0','10253','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29957','20','1.3.6.1.2.1.1.2.0','10253','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29958','20','1.3.6.1.2.1.1.1.0','10253','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29959','20','1.3.6.1.2.1.1.3.0','10254','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29960','20','1.3.6.1.2.1.1.6.0','10254','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29961','20','1.3.6.1.2.1.1.4.0','10254','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29962','20','1.3.6.1.2.1.1.2.0','10254','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29963','20','1.3.6.1.2.1.1.1.0','10254','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29964','20','1.3.6.1.2.1.1.3.0','10255','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29965','20','1.3.6.1.2.1.1.6.0','10255','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29966','20','1.3.6.1.2.1.1.4.0','10255','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29967','20','1.3.6.1.2.1.1.2.0','10255','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29968','20','1.3.6.1.2.1.1.1.0','10255','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29969','20','1.3.6.1.2.1.1.3.0','10256','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29970','20','1.3.6.1.2.1.1.6.0','10256','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29971','20','1.3.6.1.2.1.1.4.0','10256','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29972','20','1.3.6.1.2.1.1.2.0','10256','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29973','20','1.3.6.1.2.1.1.1.0','10256','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29974','20','1.3.6.1.2.1.1.3.0','10258','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29975','20','1.3.6.1.2.1.1.6.0','10258','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29976','20','1.3.6.1.2.1.1.4.0','10258','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29977','20','1.3.6.1.2.1.1.2.0','10258','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29978','20','1.3.6.1.2.1.1.1.0','10258','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29979','20','1.3.6.1.2.1.1.3.0','10259','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29980','20','1.3.6.1.2.1.1.6.0','10259','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29981','20','1.3.6.1.2.1.1.4.0','10259','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29982','20','1.3.6.1.2.1.1.2.0','10259','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29983','20','1.3.6.1.2.1.1.1.0','10259','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29984','20','1.3.6.1.2.1.1.3.0','10248','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29985','20','1.3.6.1.2.1.1.6.0','10248','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29986','20','1.3.6.1.2.1.1.4.0','10248','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29987','20','1.3.6.1.2.1.1.2.0','10248','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29988','20','1.3.6.1.2.1.1.1.0','10248','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29989','20','1.3.6.1.2.1.1.3.0','10249','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29990','20','1.3.6.1.2.1.1.6.0','10249','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29991','20','1.3.6.1.2.1.1.4.0','10249','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29992','20','1.3.6.1.2.1.1.2.0','10249','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29993','20','1.3.6.1.2.1.1.1.0','10249','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29995','7','','10284','Host name of Zabbix agent running','agent.hostname','1h','7d','0','0','1','','','','','29546',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29996','7','','10284','Zabbix agent ping','agent.ping','1m','7d','365d','0','3','','','','','29547','10','','','0','','','','','0',NULL,'The agent always returns 1 for this item. It could be used in combination with nodata() for availability check.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('29997','7','','10284','Version of Zabbix agent running','agent.version','1h','7d','0','0','1','','','','','29545',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30046','3','','10304','ICMP ping','icmpping','1m','1w','365d','0','3','','','','','27149','1','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30047','3','','10304','ICMP loss','icmppingloss','1m','1w','365d','0','0','','%','','','27150',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30048','3','','10304','ICMP response time','icmppingsec','1m','1w','365d','0','0','','s','','','27151',NULL,'','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30049','17','','10304','SNMP traps (fallback)','snmptrap.fallback','1m','2w','0','0','2','','','','hh:mm:sszyyyy/MM/dd','27157',NULL,'','','0','','','','','0',NULL,'Item is used to collect all SNMP traps unmatched by other snmptrap items','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30050','20','1.3.6.1.2.1.1.4.0','10304','System contact details','system.contact[sysContact.0]','1h','2w','0','0','1','','','','','29846',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The textual identification of the contact person for this managed node, together with information on how to contact this person.  If no contact information is known, the value is the zero-length string.','23','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30051','20','1.3.6.1.2.1.1.1.0','10304','System description','system.descr[sysDescr.0]','1h','2w','0','0','1','','','','','29848',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
A textual description of the entity. This value should
include the full name and version identification of the system''s hardware type, software operating-system, and
networking software.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30052','20','1.3.6.1.2.1.1.6.0','10304','System location','system.location[sysLocation.0]','1h','2w','0','0','1','','','','','29845',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The physical location of this node (e.g., `telephone closet, 3rd floor'').  If the location is unknown, the value is the zero-length string.','24','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30053','20','1.3.6.1.2.1.1.5.0','10304','System name','system.name','1h','2w','0','0','1','','','','','27152',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
An administratively-assigned name for this managed node.By convention, this is the node''s fully-qualified domain name.  If the name is unknown, the value is the zero-length string.','3','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30054','20','1.3.6.1.2.1.1.2.0','10304','System object ID','system.objectid[sysObjectID.0]','15m','2w','0','0','1','','','','','29847',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The vendor''s authoritative identification of the network management subsystem contained in the entity.  This value is allocated within the SMI enterprises subtree (1.3.6.1.4.1) and provides an easy and unambiguous means for determining`what kind of box'' is being managed.  For example, if vendor`Flintstones, Inc.'' was assigned the subtree1.3.6.1.4.1.4242, it could assign the identifier 1.3.6.1.4.1.4242.1.1 to its `Fred Router''.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30055','20','1.3.6.1.2.1.1.3.0','10304','Uptime','system.uptime[sysUpTime.0]','30s','2w','0d','0','3','','uptime','','','29844',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB
The time (in hundredths of a second) since the network management portion of the system was last re-initialized.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30056','5','','10304','SNMP agent availability','zabbix[host,snmp,available]','1m','7d','365d','0','3','','','','','27154','22','','','0','','','','','0',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30095','20','1.3.6.1.4.1.1991.1.1.2.1.53.0','10210','Memory utilization','vm.memory.util[snAgGblDynMemUtil.0]','1m','7d','365d','0','0','','%','','','30094',NULL,'','','0','','','','','0',NULL,'MIB: FOUNDRY-SN-AGENT-MIB
The system dynamic memory utilization, in unit of percentage.
Deprecated: Refer to snAgSystemDRAMUtil.
For NI platforms, refer to snAgentBrdMemoryUtil100thPercent','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30096','20','1.3.6.1.4.1.1991.1.1.2.1.53.0','10211','Memory utilization','vm.memory.util[snAgGblDynMemUtil.0]','1m','7d','365d','0','0','','%','','','30094',NULL,'','','0','','','','','0',NULL,'MIB: FOUNDRY-SN-AGENT-MIB
The system dynamic memory utilization, in unit of percentage.
Deprecated: Refer to snAgSystemDRAMUtil.
For NI platforms, refer to snAgentBrdMemoryUtil100thPercent','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30098','20','1.3.6.1.2.1.1.1.0','10218','Operating system','system.sw.os[sysDescr.0]','1h','2w','0','0','1','','','','','30097',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB','5','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30099','20','1.3.6.1.2.1.1.1.0','10220','Operating system','system.sw.os[sysDescr.0]','1h','2w','0','0','1','','','','','30097',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB','5','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30100','20','1.3.6.1.2.1.1.1.0','10253','Operating system','system.sw.os[sysDescr.0]','1h','2w','0','0','1','','','','','30097',NULL,'','','0','','','','','0',NULL,'MIB: SNMPv2-MIB','5','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30102','15','','10218','{#SNMPVALUE}: Memory utilization','vm.memory.util[vm.memory.util.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','30101',NULL,'last("vm.memory.used[ciscoMemoryPoolUsed.{#SNMPINDEX}]")/(last("vm.memory.free[ciscoMemoryPoolFree.{#SNMPINDEX}]")+last("vm.memory.used[ciscoMemoryPoolUsed.{#SNMPINDEX}]"))*100','','0','','','','','2',NULL,'Memory utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30103','15','','10220','{#SNMPVALUE}: Memory utilization','vm.memory.util[vm.memory.util.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','30101',NULL,'last("vm.memory.used[ciscoMemoryPoolUsed.{#SNMPINDEX}]")/(last("vm.memory.free[ciscoMemoryPoolFree.{#SNMPINDEX}]")+last("vm.memory.used[ciscoMemoryPoolUsed.{#SNMPINDEX}]"))*100','','0','','','','','2',NULL,'Memory utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30104','15','','10253','{#SNMPVALUE}: Memory utilization','vm.memory.util[vm.memory.util.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','30101',NULL,'last("vm.memory.used[ciscoMemoryPoolUsed.{#SNMPINDEX}]")/(last("vm.memory.free[ciscoMemoryPoolFree.{#SNMPINDEX}]")+last("vm.memory.used[ciscoMemoryPoolUsed.{#SNMPINDEX}]"))*100','','0','','','','','2',NULL,'Memory utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30138','0','','10081','CPU DPC time',E'perf_counter_en["\\Processor Information(_total)\\% DPC Time"]','1m','7d','365d','0','0','','%','','','30137',NULL,'','','0','','','','','0',NULL,'Processor DPC time is the time that a single processor spent receiving and servicing deferred procedure 
calls (DPCs). DPCs are interrupts that run at a lower priority than standard interrupts. % DPC Time is a 
component of % Privileged Time because DPCs are executed in privileged mode. If a high % DPC Time is 
sustained, there may be a processor bottleneck or an application or hardware related issue that can 
significantly diminish overall system performance.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30140','7','','10299','CPU DPC time',E'perf_counter_en["\\Processor Information(_total)\\% DPC Time"]','1m','7d','365d','0','0','','%','','','30139',NULL,'','','0','','','','','0',NULL,'Processor DPC time is the time that a single processor spent receiving and servicing deferred procedure 
calls (DPCs). DPCs are interrupts that run at a lower priority than standard interrupts. % DPC Time is a 
component of % Privileged Time because DPCs are executed in privileged mode. If a high % DPC Time is 
sustained, there may be a processor bottleneck or an application or hardware related issue that can 
significantly diminish overall system performance.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30143','20','discovery[{#CPU.UTIL},1.3.6.1.2.1.25.3.3.1.2]','10185','CPU utilization','system.cpu.util','1m','7d','365d','0','0','','%','','','30142',NULL,'','','0','','','','','0',NULL,'MIB: HOST-RESOURCES-MIB
The average, over the last minute, of the percentage of time that processors was not idle.
Implementations may approximate this one minute smoothing period if necessary.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30144','20','discovery[{#CPU.UTIL},1.3.6.1.2.1.25.3.3.1.2]','10251','CPU utilization','system.cpu.util','1m','7d','365d','0','0','','%','','','30143',NULL,'','','0','','','','','0',NULL,'MIB: HOST-RESOURCES-MIB
The average, over the last minute, of the percentage of time that processors was not idle.
Implementations may approximate this one minute smoothing period if necessary.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30145','20','discovery[{#CPU.UTIL},1.3.6.1.2.1.25.3.3.1.2]','10249','CPU utilization','system.cpu.util','1m','7d','365d','0','0','','%','','','30143',NULL,'','','0','','','','','0',NULL,'MIB: HOST-RESOURCES-MIB
The average, over the last minute, of the percentage of time that processors was not idle.
Implementations may approximate this one minute smoothing period if necessary.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30146','20','discovery[{#CPU.UTIL},1.3.6.1.2.1.25.3.3.1.2]','10254','CPU utilization','system.cpu.util','1m','7d','365d','0','0','','%','','','30143',NULL,'','','0','','','','','0',NULL,'MIB: HOST-RESOURCES-MIB
The average, over the last minute, of the percentage of time that processors was not idle.
Implementations may approximate this one minute smoothing period if necessary.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30149','20','discovery[{#MEMNAME},1.3.6.1.2.1.25.2.3.1.3,{#MEMTYPE},1.3.6.1.2.1.25.2.3.1.2,{#ALLOC_UNITS},1.3.6.1.2.1.25.2.3.1.4]','10185','Memory discovery','vm.memory.discovery','1h','90d','0','0','4','','','','','30147',NULL,'','','0','','','','','1',NULL,'HOST-RESOURCES-MIB::hrStorage discovery with memory filter','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30150','20','discovery[{#FSNAME},1.3.6.1.2.1.25.2.3.1.3,{#FSTYPE},1.3.6.1.2.1.25.2.3.1.2,{#ALLOC_UNITS},1.3.6.1.2.1.25.2.3.1.4]','10185','Storage discovery','vfs.fs.discovery[snmp]','1h','90d','0','0','4','','','','','30148',NULL,'','','0','','','','','1',NULL,'HOST-RESOURCES-MIB::hrStorage discovery with storage filter.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30151','20','discovery[{#MEMNAME},1.3.6.1.2.1.25.2.3.1.3,{#MEMTYPE},1.3.6.1.2.1.25.2.3.1.2,{#ALLOC_UNITS},1.3.6.1.2.1.25.2.3.1.4]','10251','Memory discovery','vm.memory.discovery','1h','90d','0','0','4','','','','','30149',NULL,'','','0','','','','','1',NULL,'HOST-RESOURCES-MIB::hrStorage discovery with memory filter','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30152','20','discovery[{#FSNAME},1.3.6.1.2.1.25.2.3.1.3,{#FSTYPE},1.3.6.1.2.1.25.2.3.1.2,{#ALLOC_UNITS},1.3.6.1.2.1.25.2.3.1.4]','10251','Storage discovery','vfs.fs.discovery[snmp]','1h','90d','0','0','4','','','','','30150',NULL,'','','0','','','','','1',NULL,'HOST-RESOURCES-MIB::hrStorage discovery with storage filter.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30153','20','discovery[{#MEMNAME},1.3.6.1.2.1.25.2.3.1.3,{#MEMTYPE},1.3.6.1.2.1.25.2.3.1.2,{#ALLOC_UNITS},1.3.6.1.2.1.25.2.3.1.4]','10249','Memory discovery','vm.memory.discovery','1h','90d','0','0','4','','','','','30149',NULL,'','','0','','','','','1',NULL,'HOST-RESOURCES-MIB::hrStorage discovery with memory filter','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30154','20','discovery[{#FSNAME},1.3.6.1.2.1.25.2.3.1.3,{#FSTYPE},1.3.6.1.2.1.25.2.3.1.2,{#ALLOC_UNITS},1.3.6.1.2.1.25.2.3.1.4]','10249','Storage discovery','vfs.fs.discovery[snmp]','1h','90d','0','0','4','','','','','30150',NULL,'','','0','','','','','1',NULL,'HOST-RESOURCES-MIB::hrStorage discovery with storage filter.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30155','20','discovery[{#MEMNAME},1.3.6.1.2.1.25.2.3.1.3,{#MEMTYPE},1.3.6.1.2.1.25.2.3.1.2,{#ALLOC_UNITS},1.3.6.1.2.1.25.2.3.1.4]','10254','Memory discovery','vm.memory.discovery','1h','90d','0','0','4','','','','','30149',NULL,'','','0','','','','','1',NULL,'HOST-RESOURCES-MIB::hrStorage discovery with memory filter','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30156','20','discovery[{#FSNAME},1.3.6.1.2.1.25.2.3.1.3,{#FSTYPE},1.3.6.1.2.1.25.2.3.1.2,{#ALLOC_UNITS},1.3.6.1.2.1.25.2.3.1.4]','10254','Storage discovery','vfs.fs.discovery[snmp]','1h','90d','0','0','4','','','','','30150',NULL,'','','0','','','','','1',NULL,'HOST-RESOURCES-MIB::hrStorage discovery with storage filter.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30163','20','1.3.6.1.2.1.25.2.3.1.5.{#SNMPINDEX}','10185','{#MEMNAME}: Total memory','vm.memory.total[hrStorageSize.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','30157',NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The size of the storage represented by this entry, in units of hrStorageAllocationUnits.
This object is writable to allow remote configuration of the size of the storage area in those cases where such an operation makes sense and is possible on the underlying system.
For example, the amount of main memory allocated to a buffer pool might be modified or the amount of disk space allocated to virtual memory might be modified.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30164','20','1.3.6.1.2.1.25.2.3.1.6.{#SNMPINDEX}','10185','{#MEMNAME}: Used memory','vm.memory.used[hrStorageUsed.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','30158',NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The amount of the storage represented by this entry that is allocated, in units of hrStorageAllocationUnits.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30165','15','','10185','{#MEMNAME}: Memory utilization','vm.memory.util[memoryUsedPercentage.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','30159',NULL,'last("vm.memory.used[hrStorageUsed.{#SNMPINDEX}]")/last("vm.memory.total[hrStorageSize.{#SNMPINDEX}]")*100','','0','','','','','2',NULL,'Memory utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30166','15','','10185','{#FSNAME}: Space utilization','vfs.fs.pused[storageUsedPercentage.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','30160',NULL,'(last("vfs.fs.used[hrStorageUsed.{#SNMPINDEX}]")/last("vfs.fs.total[hrStorageSize.{#SNMPINDEX}]"))*100','','0','','','','','2',NULL,'Space utilization in % for {#FSNAME}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30167','20','1.3.6.1.2.1.25.2.3.1.5.{#SNMPINDEX}','10185','{#FSNAME}: Total space','vfs.fs.total[hrStorageSize.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','30161',NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The size of the storage represented by this entry, in units of hrStorageAllocationUnits.
This object is writable to allow remote configuration of the size of the storage area in those cases where such an operation makes sense and is possible on the underlying system.
For example, the amount of main storage allocated to a buffer pool might be modified or the amount of disk space allocated to virtual storage might be modified.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30168','20','1.3.6.1.2.1.25.2.3.1.6.{#SNMPINDEX}','10185','{#FSNAME}: Used space','vfs.fs.used[hrStorageUsed.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','30162',NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The amount of the storage represented by this entry that is allocated, in units of hrStorageAllocationUnits.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30169','20','1.3.6.1.2.1.25.2.3.1.5.{#SNMPINDEX}','10251','{#MEMNAME}: Total memory','vm.memory.total[hrStorageSize.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','30163',NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The size of the storage represented by this entry, in units of hrStorageAllocationUnits.
This object is writable to allow remote configuration of the size of the storage area in those cases where such an operation makes sense and is possible on the underlying system.
For example, the amount of main memory allocated to a buffer pool might be modified or the amount of disk space allocated to virtual memory might be modified.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30170','20','1.3.6.1.2.1.25.2.3.1.6.{#SNMPINDEX}','10251','{#MEMNAME}: Used memory','vm.memory.used[hrStorageUsed.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','30164',NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The amount of the storage represented by this entry that is allocated, in units of hrStorageAllocationUnits.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30171','15','','10251','{#MEMNAME}: Memory utilization','vm.memory.util[memoryUsedPercentage.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','30165',NULL,'last("vm.memory.used[hrStorageUsed.{#SNMPINDEX}]")/last("vm.memory.total[hrStorageSize.{#SNMPINDEX}]")*100','','0','','','','','2',NULL,'Memory utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30172','15','','10251','{#FSNAME}: Space utilization','vfs.fs.pused[storageUsedPercentage.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','30166',NULL,'(last("vfs.fs.used[hrStorageUsed.{#SNMPINDEX}]")/last("vfs.fs.total[hrStorageSize.{#SNMPINDEX}]"))*100','','0','','','','','2',NULL,'Space utilization in % for {#FSNAME}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30173','20','1.3.6.1.2.1.25.2.3.1.5.{#SNMPINDEX}','10251','{#FSNAME}: Total space','vfs.fs.total[hrStorageSize.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','30167',NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The size of the storage represented by this entry, in units of hrStorageAllocationUnits.
This object is writable to allow remote configuration of the size of the storage area in those cases where such an operation makes sense and is possible on the underlying system.
For example, the amount of main storage allocated to a buffer pool might be modified or the amount of disk space allocated to virtual storage might be modified.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30174','20','1.3.6.1.2.1.25.2.3.1.6.{#SNMPINDEX}','10251','{#FSNAME}: Used space','vfs.fs.used[hrStorageUsed.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','30168',NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The amount of the storage represented by this entry that is allocated, in units of hrStorageAllocationUnits.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30175','20','1.3.6.1.2.1.25.2.3.1.5.{#SNMPINDEX}','10249','{#MEMNAME}: Total memory','vm.memory.total[hrStorageSize.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','30163',NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The size of the storage represented by this entry, in units of hrStorageAllocationUnits.
This object is writable to allow remote configuration of the size of the storage area in those cases where such an operation makes sense and is possible on the underlying system.
For example, the amount of main memory allocated to a buffer pool might be modified or the amount of disk space allocated to virtual memory might be modified.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30176','20','1.3.6.1.2.1.25.2.3.1.6.{#SNMPINDEX}','10249','{#MEMNAME}: Used memory','vm.memory.used[hrStorageUsed.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','30164',NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The amount of the storage represented by this entry that is allocated, in units of hrStorageAllocationUnits.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30177','15','','10249','{#MEMNAME}: Memory utilization','vm.memory.util[memoryUsedPercentage.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','30165',NULL,'last("vm.memory.used[hrStorageUsed.{#SNMPINDEX}]")/last("vm.memory.total[hrStorageSize.{#SNMPINDEX}]")*100','','0','','','','','2',NULL,'Memory utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30178','15','','10249','{#FSNAME}: Space utilization','vfs.fs.pused[storageUsedPercentage.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','30166',NULL,'(last("vfs.fs.used[hrStorageUsed.{#SNMPINDEX}]")/last("vfs.fs.total[hrStorageSize.{#SNMPINDEX}]"))*100','','0','','','','','2',NULL,'Space utilization in % for {#FSNAME}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30179','20','1.3.6.1.2.1.25.2.3.1.5.{#SNMPINDEX}','10249','{#FSNAME}: Total space','vfs.fs.total[hrStorageSize.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','30167',NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The size of the storage represented by this entry, in units of hrStorageAllocationUnits.
This object is writable to allow remote configuration of the size of the storage area in those cases where such an operation makes sense and is possible on the underlying system.
For example, the amount of main storage allocated to a buffer pool might be modified or the amount of disk space allocated to virtual storage might be modified.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30180','20','1.3.6.1.2.1.25.2.3.1.6.{#SNMPINDEX}','10249','{#FSNAME}: Used space','vfs.fs.used[hrStorageUsed.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','30168',NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The amount of the storage represented by this entry that is allocated, in units of hrStorageAllocationUnits.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30181','20','1.3.6.1.2.1.25.2.3.1.5.{#SNMPINDEX}','10254','{#MEMNAME}: Total memory','vm.memory.total[hrStorageSize.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','30163',NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The size of the storage represented by this entry, in units of hrStorageAllocationUnits.
This object is writable to allow remote configuration of the size of the storage area in those cases where such an operation makes sense and is possible on the underlying system.
For example, the amount of main memory allocated to a buffer pool might be modified or the amount of disk space allocated to virtual memory might be modified.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30182','20','1.3.6.1.2.1.25.2.3.1.6.{#SNMPINDEX}','10254','{#MEMNAME}: Used memory','vm.memory.used[hrStorageUsed.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','30164',NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The amount of the storage represented by this entry that is allocated, in units of hrStorageAllocationUnits.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30183','15','','10254','{#MEMNAME}: Memory utilization','vm.memory.util[memoryUsedPercentage.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','30165',NULL,'last("vm.memory.used[hrStorageUsed.{#SNMPINDEX}]")/last("vm.memory.total[hrStorageSize.{#SNMPINDEX}]")*100','','0','','','','','2',NULL,'Memory utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30184','15','','10254','{#FSNAME}: Space utilization','vfs.fs.pused[storageUsedPercentage.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','30166',NULL,'(last("vfs.fs.used[hrStorageUsed.{#SNMPINDEX}]")/last("vfs.fs.total[hrStorageSize.{#SNMPINDEX}]"))*100','','0','','','','','2',NULL,'Space utilization in % for {#FSNAME}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30185','20','1.3.6.1.2.1.25.2.3.1.5.{#SNMPINDEX}','10254','{#FSNAME}: Total space','vfs.fs.total[hrStorageSize.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','30167',NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The size of the storage represented by this entry, in units of hrStorageAllocationUnits.
This object is writable to allow remote configuration of the size of the storage area in those cases where such an operation makes sense and is possible on the underlying system.
For example, the amount of main storage allocated to a buffer pool might be modified or the amount of disk space allocated to virtual storage might be modified.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30186','20','1.3.6.1.2.1.25.2.3.1.6.{#SNMPINDEX}','10254','{#FSNAME}: Used space','vfs.fs.used[hrStorageUsed.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','30168',NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The amount of the storage represented by this entry that is allocated, in units of hrStorageAllocationUnits.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30406','20','discovery[{#CPU.UTIL},1.3.6.1.2.1.25.3.3.1.2]','10184','CPU utilization','system.cpu.util','1m','7d','365d','0','0','','%','','','30405',NULL,'','','0','','','','','0',NULL,'MIB: HOST-RESOURCES-MIB
The average, over the last minute, of the percentage of time that processors was not idle.
Implementations may approximate this one minute smoothing period if necessary.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30409','20','discovery[{#MEMNAME},1.3.6.1.2.1.25.2.3.1.3,{#MEMTYPE},1.3.6.1.2.1.25.2.3.1.2,{#ALLOC_UNITS},1.3.6.1.2.1.25.2.3.1.4]','10184','Memory discovery','vm.memory.discovery','1h','90d','0','0','4','','','','','30407',NULL,'','','0','','','','','1',NULL,'HOST-RESOURCES-MIB::hrStorage discovery with memory filter','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30410','20','discovery[{#FSNAME},1.3.6.1.2.1.25.2.3.1.3,{#FSTYPE},1.3.6.1.2.1.25.2.3.1.2,{#ALLOC_UNITS},1.3.6.1.2.1.25.2.3.1.4]','10184','Storage discovery','vfs.fs.discovery[snmp]','1h','90d','0','0','4','','','','','30408',NULL,'','','0','','','','','1',NULL,'HOST-RESOURCES-MIB::hrStorage discovery with storage filter.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30417','20','1.3.6.1.2.1.25.2.3.1.5.{#SNMPINDEX}','10184','{#MEMNAME}: Total memory','vm.memory.total[hrStorageSize.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','30411',NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The size of the storage represented by this entry, in units of hrStorageAllocationUnits.
This object is writable to allow remote configuration of the size of the storage area in those cases where such an operation makes sense and is possible on the underlying system.
For example, the amount of main memory allocated to a buffer pool might be modified or the amount of disk space allocated to virtual memory might be modified.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30418','20','1.3.6.1.2.1.25.2.3.1.6.{#SNMPINDEX}','10184','{#MEMNAME}: Used memory','vm.memory.used[hrStorageUsed.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','30412',NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The amount of the storage represented by this entry that is allocated, in units of hrStorageAllocationUnits.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30419','15','','10184','{#MEMNAME}: Memory utilization','vm.memory.util[memoryUsedPercentage.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','30413',NULL,'last("vm.memory.used[hrStorageUsed.{#SNMPINDEX}]")/last("vm.memory.total[hrStorageSize.{#SNMPINDEX}]")*100','','0','','','','','2',NULL,'Memory utilization in %','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30420','15','','10184','{#FSNAME}: Space utilization','vfs.fs.pused[storageUsedPercentage.{#SNMPINDEX}]','1m','7d','365d','0','0','','%','','','30414',NULL,'(last("vfs.fs.used[hrStorageUsed.{#SNMPINDEX}]")/last("vfs.fs.total[hrStorageSize.{#SNMPINDEX}]"))*100','','0','','','','','2',NULL,'Space utilization in % for {#FSNAME}','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30421','20','1.3.6.1.2.1.25.2.3.1.5.{#SNMPINDEX}','10184','{#FSNAME}: Total space','vfs.fs.total[hrStorageSize.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','30415',NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The size of the storage represented by this entry, in units of hrStorageAllocationUnits.
This object is writable to allow remote configuration of the size of the storage area in those cases where such an operation makes sense and is possible on the underlying system.
For example, the amount of main storage allocated to a buffer pool might be modified or the amount of disk space allocated to virtual storage might be modified.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30422','20','1.3.6.1.2.1.25.2.3.1.6.{#SNMPINDEX}','10184','{#FSNAME}: Used space','vfs.fs.used[hrStorageUsed.{#SNMPINDEX}]','1m','7d','365d','0','3','','B','','','30416',NULL,'','','0','','','','','2',NULL,'MIB: HOST-RESOURCES-MIB
The amount of the storage represented by this entry that is allocated, in units of hrStorageAllocationUnits.','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30424','0','','10081','Windows services discovery','service.discovery','1h','90d','0','0','4','','','','','30423',NULL,'','','0','','','','','1',NULL,'Discovery of Windows services of different types as defined in template''s macros.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30426','0','','10081','State of service "{#SERVICE.NAME}" ({#SERVICE.DISPLAYNAME})','service.info["{#SERVICE.NAME}",state]','1m','7d','365d','0','3','','','','','30425','3','','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30428','7','','10299','Windows services discovery','service.discovery','1h','90d','0','0','4','','','','','30427',NULL,'','','0','','','','','1',NULL,'Discovery of Windows services of different types as defined in template''s macros.','0','30d','1','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO items (itemid,type,snmp_oid,hostid,name,key_,delay,history,trends,status,value_type,trapper_hosts,units,formula,logtimefmt,templateid,valuemapid,params,ipmi_sensor,authtype,username,password,publickey,privatekey,flags,interfaceid,description,inventory_link,lifetime,evaltype,jmx_endpoint,master_itemid,timeout,url,query_fields,posts,status_codes,follow_redirects,post_type,headers,retrieve_mode,request_method,output_format,verify_peer,verify_host,allow_traps,discover) values ('30430','7','','10299','State of service "{#SERVICE.NAME}" ({#SERVICE.DISPLAYNAME})','service.info["{#SERVICE.NAME}",state]','1m','7d','365d','0','3','','','','','30429','3','','','0','','','','','2',NULL,'','0','30d','0','',NULL,'3s','','','','200','1','0','','0','0','0','0','0','0','0');
INSERT INTO optemplate (optemplateid,operationid,templateid) values ('1','1','10001');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13015','{12641}>75','More than 75% used in the configuration cache','','0','3','Consider increasing CacheSize in the zabbix_server.conf configuration file',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13017','{12651}>75','More than 75% used in the history index cache','','0','3','Consider increasing HistoryIndexCacheSize in the zabbix_server.conf configuration file',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13019','{12649}>75','More than 75% used in the trends cache','','0','3','Consider increasing TrendCacheSize in the zabbix_server.conf configuration file',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13023','{12653}>100','More than 100 items having missing data for more than 10 minutes','','0','2','zabbix[queue,10m] item is collecting data about how many items are missing data for more than 10 minutes',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13073','{12645}>75','More than 75% used in the history cache','','0','3','Consider increasing HistoryCacheSize in the zabbix_server.conf configuration file',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13074','{12646}>95','More than 95% used in the value cache','','0','3','Consider increasing ValueCacheSize in the zabbix_server.conf configuration file',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13080','{13164}>75','Zabbix alerter processes more than 75% busy','','0','3','',NULL,'0','0','1','{13164}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13081','{13170}>75','Zabbix configuration syncer processes more than 75% busy','','0','3','',NULL,'0','0','1','{13170}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13083','{13172}>75','Zabbix discoverer processes more than 75% busy','','0','3','',NULL,'0','0','1','{13172}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13084','{13174}>75','Zabbix escalator processes more than 75% busy','','0','3','',NULL,'0','0','1','{13174}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13085','{13176}>75','Zabbix history syncer processes more than 75% busy','','0','3','',NULL,'0','0','1','{13176}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13086','{13178}>75','Zabbix housekeeper processes more than 75% busy','','0','3','',NULL,'0','0','1','{13178}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13087','{13180}>75','Zabbix http poller processes more than 75% busy','','0','3','',NULL,'0','0','1','{13180}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13088','{13182}>75','Zabbix icmp pinger processes more than 75% busy','','0','3','',NULL,'0','0','1','{13182}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13089','{13184}>75','Zabbix ipmi poller processes more than 75% busy','','0','3','',NULL,'0','0','1','{13184}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13091','{13188}>75','Zabbix poller processes more than 75% busy','','0','3','',NULL,'0','0','1','{13188}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13092','{13190}>75','Zabbix proxy poller processes more than 75% busy','','0','3','',NULL,'0','0','1','{13190}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13093','{13192}>75','Zabbix self-monitoring processes more than 75% busy','','0','3','',NULL,'0','0','1','{13192}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13094','{13198}>75','Zabbix timer processes more than 75% busy','','0','3','',NULL,'0','0','1','{13198}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13095','{13200}>75','Zabbix trapper processes more than 75% busy','','0','3','',NULL,'0','0','1','{13200}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13096','{13202}>75','Zabbix unreachable poller processes more than 75% busy','','0','3','',NULL,'0','0','1','{13202}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13097','{13204}>75','Zabbix vmware collector processes more than 75% busy','','0','3','',NULL,'0','0','1','{13204}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13275','{13186}>75','Zabbix java poller processes more than 75% busy','','0','3','',NULL,'0','0','1','{13186}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13285','{13159}=0','Telnet service is down on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13330','{12717}<1024','Configured max number of opened files is too low on {HOST.NAME}','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13331','{12718}<256','Configured max number of processes is too low on {HOST.NAME}','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13332','{13089}>30','Too many processes running on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13333','{13088}>300','Too many processes on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13334','{13087}>5','Processor load is too high on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13336','{12723}>0','Hostname was changed on {HOST.NAME}','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13337','{12724}<50','Lack of free swap space on {HOST.NAME}','','0','2','It probably means that the systems requires more physical memory.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13338','{12725}>0','Host information was changed on {HOST.NAME}','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13339','{12726}<0','{HOST.NAME} has just been restarted','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13340','{12727}>0','/etc/passwd has been changed on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13341','{12728}<20M','Lack of available memory on server {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13342','{12729}<20','Free inodes is less than 20% on volume {#FSNAME}','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13343','{12730}<20','Free disk space is less than 20% on volume {#FSNAME}','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13346','{12733}<1024','Configured max number of opened files is too low on {HOST.NAME}','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13347','{12734}<256','Configured max number of processes is too low on {HOST.NAME}','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13348','{13074}>30','Too many processes running on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13349','{13073}>300','Too many processes on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13350','{13072}>5','Processor load is too high on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13352','{12739}>0','Hostname was changed on {HOST.NAME}','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13353','{12740}<50','Lack of free swap space on {HOST.NAME}','','0','2','It probably means that the systems requires more physical memory.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13354','{12741}>0','Host information was changed on {HOST.NAME}','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13355','{12742}<0','{HOST.NAME} has just been restarted','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13356','{12743}>0','/etc/passwd has been changed on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13357','{12744}<20M','Lack of available memory on server {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13358','{12745}<20','Free inodes is less than 20% on volume {#FSNAME}','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13359','{12746}<20','Free disk space is less than 20% on volume {#FSNAME}','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13364','{13071}>30','Too many processes running on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13365','{13070}>300','Too many processes on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13366','{13069}>5','Processor load is too high on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13367','{13068}>20','Disk I/O is overloaded on {HOST.NAME}','','0','2','OS spends significant time waiting for I/O (input/output) operations. It could be indicator of performance issues with storage system.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13368','{12755}>0','Hostname was changed on {HOST.NAME}','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13370','{12757}>0','Host information was changed on {HOST.NAME}','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13371','{12758}<0','{HOST.NAME} has just been restarted','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13372','{12759}>0','/etc/passwd has been changed on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13373','{12760}<20M','Lack of available memory on server {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13374','{12761}<20','Free inodes is less than 20% on volume {#FSNAME}','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13375','{12762}<20','Free disk space is less than 20% on volume {#FSNAME}','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13382','{13075}>5','Processor load is too high on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13384','{12771}>0','Hostname was changed on {HOST.NAME}','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13386','{12773}>0','Host information was changed on {HOST.NAME}','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13388','{12775}>0','/etc/passwd has been changed on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13389','{12776}<20M','Lack of available memory on server {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13390','{12777}<20','Free inodes is less than 20% on volume {#FSNAME}','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13391','{12778}<20','Free disk space is less than 20% on volume {#FSNAME}','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13395','{12782}<256','Configured max number of processes is too low on {HOST.NAME}','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13396','{13093}>30','Too many processes running on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13397','{13092}>300','Too many processes on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13398','{13091}>5','Processor load is too high on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13399','{13090}>20','Disk I/O is overloaded on {HOST.NAME}','','0','2','OS spends significant time waiting for I/O (input/output) operations. It could be indicator of performance issues with storage system.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13400','{12787}>0','Hostname was changed on {HOST.NAME}','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13401','{12788}<50','Lack of free swap space on {HOST.NAME}','','0','2','It probably means that the systems requires more physical memory.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13402','{12789}>0','Host information was changed on {HOST.NAME}','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13403','{12790}<0','{HOST.NAME} has just been restarted','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13404','{12791}>0','/etc/passwd has been changed on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13405','{12792}<20M','Lack of available memory on server {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13406','{12793}<20','Free inodes is less than 20% on volume {#FSNAME}','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13407','{12794}<20','Free disk space is less than 20% on volume {#FSNAME}','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13410','{12797}<1024','Configured max number of opened files is too low on {HOST.NAME}','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13411','{12798}<256','Configured max number of processes is too low on {HOST.NAME}','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13414','{13086}>5','Processor load is too high on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13416','{12803}>0','Hostname was changed on {HOST.NAME}','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13418','{12805}>0','Host information was changed on {HOST.NAME}','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13419','{12806}<0','{HOST.NAME} has just been restarted','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13420','{12807}>0','/etc/passwd has been changed on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13421','{12808}<20M','Lack of available memory on server {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13422','{12809}<20','Free inodes is less than 20% on volume {#FSNAME}','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13423','{12810}<20','Free disk space is less than 20% on volume {#FSNAME}','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13441','{13194}>75','Zabbix snmp trapper processes more than 75% busy','','0','3','',NULL,'0','0','1','{13194}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13517','{12946}>75','More than 75% used in the configuration cache','','0','3','Consider increasing CacheSize in the zabbix_proxy.conf configuration file',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13518','{12947}>75','More than 75% used in the history cache','','0','3','Consider increasing HistoryCacheSize in the zabbix_proxy.conf configuration file',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13519','{12948}>75','More than 75% used in the history index cache','','0','3','Consider increasing HistoryIndexCacheSize in the zabbix_proxy.conf configuration file',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13520','{12949}>100','More than 100 items having missing data for more than 10 minutes','','0','2','zabbix[queue,10m] item is collecting data about how many items are missing data for more than 10 minutes',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13521','{13206}>75','Zabbix configuration syncer processes more than 75% busy','','0','3','',NULL,'0','0','1','{13206}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13522','{13208}>75','Zabbix discoverer processes more than 75% busy','','0','3','',NULL,'0','0','1','{13208}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13523','{13210}>75','Zabbix history syncer processes more than 75% busy','','0','3','',NULL,'0','0','1','{13210}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13524','{13211}>75','Zabbix housekeeper processes more than 75% busy','','0','3','',NULL,'0','0','1','{13211}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13525','{13212}>75','Zabbix http poller processes more than 75% busy','','0','3','',NULL,'0','0','1','{13212}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13526','{13213}>75','Zabbix icmp pinger processes more than 75% busy','','0','3','',NULL,'0','0','1','{13213}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13527','{13214}>75','Zabbix ipmi poller processes more than 75% busy','','0','3','',NULL,'0','0','1','{13214}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13528','{13215}>75','Zabbix java poller processes more than 75% busy','','0','3','',NULL,'0','0','1','{13215}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13529','{13216}>75','Zabbix poller processes more than 75% busy','','0','3','',NULL,'0','0','1','{13216}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13530','{13217}>75','Zabbix self-monitoring processes more than 75% busy','','0','3','',NULL,'0','0','1','{13217}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13531','{13218}>75','Zabbix snmp trapper processes more than 75% busy','','0','3','',NULL,'0','0','1','{13218}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13532','{13219}>75','Zabbix trapper processes more than 75% busy','','0','3','',NULL,'0','0','1','{13219}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13533','{13220}>75','Zabbix unreachable poller processes more than 75% busy','','0','3','',NULL,'0','0','1','{13220}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13534','{13207}>75','Zabbix data sender processes more than 75% busy','','0','3','',NULL,'0','0','1','{13207}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13535','{13209}>75','Zabbix heartbeat sender processes more than 75% busy','','0','3','',NULL,'0','0','1','{13209}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13536','{12965}>75','More than 75% used in the vmware cache','','0','3','Consider increasing VMwareCacheSize in the zabbix_server.conf configuration file',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13544','{12994}=0','FTP service is down on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13545','{12995}=0','HTTP service is down on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13546','{12996}=0','HTTPS service is down on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13547','{12997}=0','IMAP service is down on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13548','{12998}=0','LDAP service is down on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13549','{13154}=0','NNTP service is down on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13550','{13156}=0','NTP service is down on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13551','{13152}=0','POP service is down on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13552','{13157}=0','SMTP service is down on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13553','{13158}=0','SSH service is down on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13557','{13160}=1','Zabbix value cache working in low memory mode','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13559','{13196}>75','Zabbix task manager processes more than 75% busy','','0','3','',NULL,'0','0','1','{13196}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13562','{13222}>75','Zabbix ipmi manager processes more than 75% busy','','0','3','',NULL,'0','0','1','{13222}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13564','{13224}>75','Zabbix ipmi manager processes more than 75% busy','','0','3','',NULL,'0','0','1','{13224}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13565','{13225}>75','Zabbix task manager processes more than 75% busy','','0','3','',NULL,'0','0','1','{13225}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13566','{13226}>75','Zabbix alert manager processes more than 75% busy','','0','3','',NULL,'0','0','1','{13226}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13568','{13228}>75','Zabbix preprocessing manager processes more than 75% busy','','0','3','',NULL,'0','0','1','{13228}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13569','{13229}>75','Zabbix preprocessing worker processes more than 75% busy','','0','3','',NULL,'0','0','1','{13229}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14168','{14257}>({14258}*0.7)','70% mem Heap Memory used on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14169','{14259}>({14260}*0.7)','70% mem Non-Heap Memory used on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14170','{14261}>({14262}*0.7)','70% mp CMS Old Gen used on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14171','{14263}>({14264}*0.7)','70% mp CMS Perm Gen used on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14172','{14265}>({14266}*0.7)','70% mp Code Cache used on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14173','{14267}>({14268}*0.7)','70% mp Perm Gen used on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14174','{14269}>({14270}*0.7)','70% mp PS Old Gen used on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14175','{14271}>({14272}*0.7)','70% mp PS Perm Gen used on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14176','{14273}>({14274}*0.7)','70% mp Tenured Gen used on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14177','{14275}>({14276}*0.7)','70% os Opened File Descriptor Count used on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14178','{14277}>70','70% os Process CPU Load on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14179','{14278}<{14279}','gc Concurrent Mark Sweep in fire fighting mode on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14180','{14280}<{14281}','gc Mark Sweep Compact in fire fighting mode on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14181','{14282}<{14283}','gc PS Mark Sweep in fire fighting mode on {HOST.NAME}','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14182','{14284}={14285}','mem Heap Memory fully committed on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14183','{14286}={14287}','mem Non-Heap Memory fully committed on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14184','{14288}={14289}','mp CMS Old Gen fully committed on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14185','{14290}={14291}','mp CMS Perm Gen fully committed on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14186','{14292}={14293}','mp Code Cache fully committed on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14187','{14294}={14295}','mp Perm Gen fully committed on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14188','{14296}={14297}','mp PS Old Gen fully committed on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14189','{14298}={14299}','mp PS Perm Gen fully committed on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14190','{14300}={14301}','mp Tenured Gen fully committed on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14191','{14302}=1','{HOST.NAME} is not reachable','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14192','{14303}<>1','{HOST.NAME} runs suboptimal VM type','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14193','{14304}=1','{HOST.NAME} uses suboptimal JIT compiler','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14195','{14306}<1.597 or {14306}>2.019','BB +1.8V SM Critical [{ITEM.VALUE}]','','0','5','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14196','{14307}<1.646 or {14307}>1.960','BB +1.8V SM Non-Critical [{ITEM.VALUE}]','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14197','{14308}<2.876 or {14308}>3.729','BB +3.3V Critical [{ITEM.VALUE}]','','0','5','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14198','{14309}<2.970 or {14309}>3.618','BB +3.3V Non-Critical [{ITEM.VALUE}]','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14199','{14310}<2.876 or {14310}>3.729','BB +3.3V STBY Critical [{ITEM.VALUE}]','','0','5','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14200','{14311}<2.970 or {14311}>3.618','BB +3.3V STBY Non-Critical [{ITEM.VALUE}]','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14201','{14312}<4.362 or {14312}>5.663','BB +5.0V Critical [{ITEM.VALUE}]','','0','5','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14202','{14313}<4.483 or {14313}>5.495','BB +5.0V Non-Critical [{ITEM.VALUE}]','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14203','{14314}<5 or {14314}>66','BB Ambient Temp Critical [{ITEM.VALUE}]','','0','5','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14204','{14315}<10 or {14315}>61','BB Ambient Temp Non-Critical [{ITEM.VALUE}]','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14205','{14316}=0','Power','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14206','{14317}<5 or {14317}>90','Baseboard Temp Critical [{ITEM.VALUE}]','','0','5','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14207','{14318}<10 or {14318}>83','Baseboard Temp Non-Critical [{ITEM.VALUE}]','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14208','{14319}<0.953 or {14319}>1.149','BB +1.05V PCH Critical [{ITEM.VALUE}]','','0','5','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14209','{14320}<0.985 or {14320}>1.117','BB +1.05V PCH Non-Critical [{ITEM.VALUE}]','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14210','{14321}<0.683 or {14321}>1.543','BB +1.1V P1 Vccp Critical [{ITEM.VALUE}]','','0','5','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14211','{14322}<0.708 or {14322}>1.501','BB +1.1V P1 Vccp Non-Critical [{ITEM.VALUE}]','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14212','{14323}<1.362 or {14323}>1.635','BB +1.5V P1 DDR3 Critical [{ITEM.VALUE}]','','0','5','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14213','{14324}<1.401 or {14324}>1.589','BB +1.5V P1 DDR3 Non-Critical [{ITEM.VALUE}]','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14214','{14325}<2.982 or {14325}>3.625','BB +3.3V Critical [{ITEM.VALUE}]','','0','5','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14215','{14326}<3.067 or {14326}>3.525','BB +3.3V Non-Critical [{ITEM.VALUE}]','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14216','{14327}<2.982 or {14327}>3.625','BB +3.3V STBY Critical [{ITEM.VALUE}]','','0','5','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14217','{14328}<3.067 or {14328}>3.525','BB +3.3V STBY Non-Critical [{ITEM.VALUE}]','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14218','{14329}<4.471 or {14329}>5.538','BB +5.0V Critical [{ITEM.VALUE}]','','0','5','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14219','{14330}<4.630 or {14330}>5.380','BB +5.0V Non-Critical [{ITEM.VALUE}]','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14220','{14331}<0 or {14331}>48','Front Panel Temp Critical [{ITEM.VALUE}]','','0','5','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14221','{14332}<5 or {14332}>44','Front Panel Temp Non-Critical [{ITEM.VALUE}]','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14222','{14333}=0','Power','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14223','{14334}<324','System Fan 2 Critical [{ITEM.VALUE}]','','0','5','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14224','{14335}<378','System Fan 2 Non-Critical [{ITEM.VALUE}]','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14225','{14336}<324','System Fan 3 Critical [{ITEM.VALUE}]','','0','5','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14226','{14337}<378','System Fan 3 Non-Critical [{ITEM.VALUE}]','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14251','{14378}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14252','{14379}>{$ICMP_LOSS_WARN} and {14379}<100','High ICMP ping loss','','0','2','',NULL,'0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14253','{14380}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','',NULL,'0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14318','{14515}>{$TEMP_WARN:""}','{#SNMPVALUE}: Temperature is above warning threshold: >{$TEMP_WARN:""}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{14516}<{$TEMP_WARN:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14319','{14517}>{$TEMP_CRIT:""}','{#SNMPVALUE}: Temperature is above critical threshold: >{$TEMP_CRIT:""}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{14518}<{$TEMP_CRIT:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14320','{14519}<{$TEMP_CRIT_LOW:""}','{#SNMPVALUE}: Temperature is too low: <{$TEMP_CRIT_LOW:""}','','0','3','',NULL,'0','2','1','{14520}>{$TEMP_CRIT_LOW:""}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14322','{14522}=1 and {14523}>0','{#ENT_NAME}: Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14336','{14545}=1 and {14546}>0','Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14337','{14547}=1 and {14548}>0','Firmware has changed','','0','1','Firmware version has changed. Ack to close',NULL,'0','0','0','','0','','1','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14339','{14552}>{$TEMP_CRIT:""}','{#SENSOR_INFO}: Temperature is above critical threshold: >{$TEMP_CRIT:""}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{14553}<{$TEMP_CRIT:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14340','{14554}<{$TEMP_CRIT_LOW:""}','{#SENSOR_INFO}: Temperature is too low: <{$TEMP_CRIT_LOW:""}','','0','3','',NULL,'0','2','1','{14555}>{$TEMP_CRIT_LOW:""}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14363','{14594}=1 and {14595}>0','Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14364','{14596}=1 and {14597}>0','Firmware has changed','','0','1','Firmware version has changed. Ack to close',NULL,'0','0','0','','0','','1','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14365','{14598}=1 and {14599}>0','Firmware has changed','','0','1','Firmware version has changed. Ack to close',NULL,'0','0','0','','0','','1','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14372','{14606}>{$TEMP_WARN:""}','{#SENSOR_DESCR}: Temperature is above warning threshold: >{$TEMP_WARN:""}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{14607}<{$TEMP_WARN:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14373','{14608}>{$TEMP_CRIT:""}','{#SENSOR_DESCR}: Temperature is above critical threshold: >{$TEMP_CRIT:""}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{14609}<{$TEMP_CRIT:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14374','{14610}<{$TEMP_CRIT_LOW:""}','{#SENSOR_DESCR}: Temperature is too low: <{$TEMP_CRIT_LOW:""}','','0','3','',NULL,'0','2','1','{14611}>{$TEMP_CRIT_LOW:""}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14380','{14620}>{$TEMP_WARN:""}','{#SENSOR_DESCR}: Temperature is above warning threshold: >{$TEMP_WARN:""}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{14621}<{$TEMP_WARN:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14381','{14622}>{$TEMP_CRIT:""}','{#SENSOR_DESCR}: Temperature is above critical threshold: >{$TEMP_CRIT:""}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{14623}<{$TEMP_CRIT:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14382','{14624}<{$TEMP_CRIT_LOW:""}','{#SENSOR_DESCR}: Temperature is too low: <{$TEMP_CRIT_LOW:""}','','0','3','',NULL,'0','2','1','{14625}>{$TEMP_CRIT_LOW:""}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14383','{14626}=1 and {14627}>0','Unit {#SNMPVALUE}: Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14409','{14669}=1 and {14670}>0','Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14417','{14681}=1 and {14682}>0','{#ENT_NAME}: Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14420','{14689}<{$TEMP_CRIT_LOW:""}','{#SNMPVALUE}: Temperature is too low: <{$TEMP_CRIT_LOW:""}','','0','3','',NULL,'0','2','1','{14690}>{$TEMP_CRIT_LOW:""}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14460','{14756}>{$TEMP_WARN:""}','Device {#SNMPVALUE}: Temperature is above warning threshold: >{$TEMP_WARN:""}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{14757}<{$TEMP_WARN:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14461','{14758}>{$TEMP_CRIT:""}','Device {#SNMPVALUE}: Temperature is above critical threshold: >{$TEMP_CRIT:""}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{14759}<{$TEMP_CRIT:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14462','{14760}<{$TEMP_CRIT_LOW:""}','Device {#SNMPVALUE}: Temperature is too low: <{$TEMP_CRIT_LOW:""}','','0','3','',NULL,'0','2','1','{14761}>{$TEMP_CRIT_LOW:""}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14463','{14762}=1 and {14763}>0','#{#SNMPVALUE}: Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14474','{14782}=1 and {14783}>0','Firmware has changed','','0','1','Firmware version has changed. Ack to close',NULL,'0','0','0','','0','','1','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14476','{14785}>{$TEMP_WARN:""}','{#SNMPVALUE}: Temperature is above warning threshold: >{$TEMP_WARN:""}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{14786}<{$TEMP_WARN:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14477','{14787}>{$TEMP_CRIT:""}','{#SNMPVALUE}: Temperature is above critical threshold: >{$TEMP_CRIT:""}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{14788}<{$TEMP_CRIT:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14478','{14789}<{$TEMP_CRIT_LOW:""}','{#SNMPVALUE}: Temperature is too low: <{$TEMP_CRIT_LOW:""}','','0','3','',NULL,'0','2','1','{14790}>{$TEMP_CRIT_LOW:""}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14492','{14812}=1 and {14813}>0','Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14493','{14814}=1 and {14815}>0','Firmware has changed','','0','1','Firmware version has changed. Ack to close',NULL,'0','0','0','','0','','1','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14495','{14817}>{$TEMP_WARN:""}','#{#SNMPVALUE}: Temperature is above warning threshold: >{$TEMP_WARN:""}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{14818}<{$TEMP_WARN:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14496','{14819}>{$TEMP_CRIT:""}','#{#SNMPVALUE}: Temperature is above critical threshold: >{$TEMP_CRIT:""}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{14820}<{$TEMP_CRIT:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14497','{14821}<{$TEMP_CRIT_LOW:""}','#{#SNMPVALUE}: Temperature is too low: <{$TEMP_CRIT_LOW:""}','','0','3','',NULL,'0','2','1','{14822}>{$TEMP_CRIT_LOW:""}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14511','{14844}>{$TEMP_WARN:""}','Device: Temperature is above warning threshold: >{$TEMP_WARN:""}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','0','1','{14845}<{$TEMP_WARN:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14513','{14849}<{$TEMP_CRIT_LOW:""}','Device: Temperature is too low: <{$TEMP_CRIT_LOW:""}','','0','3','',NULL,'0','0','1','{14850}>{$TEMP_CRIT_LOW:""}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14514','{14851}=1 and {14852}>0','Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14515','{14853}=1 and {14854}>0','Firmware has changed','','0','1','Firmware version has changed. Ack to close',NULL,'0','0','0','','0','','1','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14551','{14914}>{$TEMP_WARN:""}','{#SNMPVALUE}: Temperature is above warning threshold: >{$TEMP_WARN:""}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{14915}<{$TEMP_WARN:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14552','{14916}>{$TEMP_CRIT:""}','{#SNMPVALUE}: Temperature is above critical threshold: >{$TEMP_CRIT:""}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{14917}<{$TEMP_CRIT:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14553','{14918}<{$TEMP_CRIT_LOW:""}','{#SNMPVALUE}: Temperature is too low: <{$TEMP_CRIT_LOW:""}','','0','3','',NULL,'0','2','1','{14919}>{$TEMP_CRIT_LOW:""}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14556','{14922}=1 and {14923}>0','{#ENT_NAME}: Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14557','{14924}=1 and {14925}>0','{#ENT_NAME}: Firmware has changed','','0','1','Firmware version has changed. Ack to close',NULL,'0','2','0','','0','','1','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14589','{14979}>{$TEMP_WARN:""}','{#ENT_NAME}: Temperature is above warning threshold: >{$TEMP_WARN:""}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{14980}<{$TEMP_WARN:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14590','{14981}>{$TEMP_CRIT:""}','{#ENT_NAME}: Temperature is above critical threshold: >{$TEMP_CRIT:""}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{14982}<{$TEMP_CRIT:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14591','{14983}<{$TEMP_CRIT_LOW:""}','{#ENT_NAME}: Temperature is too low: <{$TEMP_CRIT_LOW:""}','','0','3','',NULL,'0','2','1','{14984}>{$TEMP_CRIT_LOW:""}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14592','{14985}=1 and {14986}>0','{#ENT_NAME}: Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14603','{15005}=1 and {15006}>0','Firmware has changed','','0','1','Firmware version has changed. Ack to close',NULL,'0','0','0','','0','','1','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14606','{15013}<{$TEMP_CRIT_LOW:""}','{#SENSOR_INFO}: Temperature is too low: <{$TEMP_CRIT_LOW:""}','','0','3','',NULL,'0','2','1','{15014}>{$TEMP_CRIT_LOW:""}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14607','{15015}=1 and {15016}>0','{#ENT_NAME}: Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14621','{15038}=1 and {15039}>0','Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14624','{15042}>{$TEMP_WARN:""}','{#SENSOR_INFO}: Temperature is above warning threshold: >{$TEMP_WARN:""}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{15043}<{$TEMP_WARN:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14625','{15044}>{$TEMP_CRIT:""}','{#SENSOR_INFO}: Temperature is above critical threshold: >{$TEMP_CRIT:""}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{15045}<{$TEMP_CRIT:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14626','{15046}<{$TEMP_CRIT_LOW:""}','{#SENSOR_INFO}: Temperature is too low: <{$TEMP_CRIT_LOW:""}','','0','3','',NULL,'0','2','1','{15047}>{$TEMP_CRIT_LOW:""}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14658','{15100}>{$TEMP_WARN:"Device"}','Device: Temperature is above warning threshold: >{$TEMP_WARN:"Device"}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','0','1','{15101}<{$TEMP_WARN:"Device"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14659','{15102}>{$TEMP_CRIT:"Device"}','Device: Temperature is above critical threshold: >{$TEMP_CRIT:"Device"}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','0','1','{15103}<{$TEMP_CRIT:"Device"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14660','{15104}<{$TEMP_CRIT_LOW:"Device"}','Device: Temperature is too low: <{$TEMP_CRIT_LOW:"Device"}','','0','3','',NULL,'0','0','1','{15105}>{$TEMP_CRIT_LOW:"Device"}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14661','{15106}=1 and {15107}>0','Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14662','{15108}=1 and {15109}>0','Firmware has changed','','0','1','Firmware version has changed. Ack to close',NULL,'0','0','0','','0','','1','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14664','{15111}>{$TEMP_WARN:"CPU"}','CPU: Temperature is above warning threshold: >{$TEMP_WARN:"CPU"}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{15112}<{$TEMP_WARN:"CPU"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14665','{15113}>{$TEMP_CRIT:"CPU"}','CPU: Temperature is above critical threshold: >{$TEMP_CRIT:"CPU"}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{15114}<{$TEMP_CRIT:"CPU"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14666','{15115}<{$TEMP_CRIT_LOW:"CPU"}','CPU: Temperature is too low: <{$TEMP_CRIT_LOW:"CPU"}','','0','3','',NULL,'0','2','1','{15116}>{$TEMP_CRIT_LOW:"CPU"}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14680','{15138}=1 and {15139}>0','Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14683','{15146}<{$TEMP_CRIT_LOW:""}','#{#SNMPVALUE}: Temperature is too low: <{$TEMP_CRIT_LOW:""}','','0','3','',NULL,'0','2','1','{15147}>{$TEMP_CRIT_LOW:""}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14698','{15170}=1 and {15171}>0','Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14699','{15172}=1 and {15173}>0','Firmware has changed','','0','1','Firmware version has changed. Ack to close',NULL,'0','0','0','','0','','1','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14709','{15191}=1 and {15192}>0','Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14710','{15193}=1 and {15194}>0','Firmware has changed','','0','1','Firmware version has changed. Ack to close',NULL,'0','0','0','','0','','1','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14724','{15216}=1 and {15217}>0','Firmware has changed','','0','1','Firmware version has changed. Ack to close',NULL,'0','0','0','','0','','1','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14912','{15684}=1 and {15685}>0','Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14913','{15686}=1 and {15687}>0','Firmware has changed','','0','1','Firmware version has changed. Ack to close',NULL,'0','0','0','','0','','1','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14914','{15688}>{$TEMP_WARN:""}','{#SENSOR_INFO}: Temperature is above warning threshold: >{$TEMP_WARN:""}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{15689}<{$TEMP_WARN:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14915','{15690}>{$TEMP_CRIT:""}','{#SENSOR_INFO}: Temperature is above critical threshold: >{$TEMP_CRIT:""}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{15691}<{$TEMP_CRIT:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14916','{15692}<{$TEMP_CRIT_LOW:""}','{#SENSOR_INFO}: Temperature is too low: <{$TEMP_CRIT_LOW:""}','','0','3','',NULL,'0','2','1','{15693}>{$TEMP_CRIT_LOW:""}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14934','{15721}>{$TEMP_CRIT:""}','{#SENSOR_INFO}: Temperature is above critical threshold: >{$TEMP_CRIT:""}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{15722}<{$TEMP_CRIT:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14935','{15723}<{$TEMP_CRIT_LOW:""}','{#SENSOR_INFO}: Temperature is too low: <{$TEMP_CRIT_LOW:""}','','0','3','',NULL,'0','2','1','{15724}>{$TEMP_CRIT_LOW:""}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14937','{15726}=1 and {15727}>0','{#ENT_NAME}: Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14939','{15729}=2','Interface {#IFNAME}({#IFALIAS}): In half-duplex mode','','0','2','Please check autonegotiation settings and cabling',NULL,'0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14941','{15731}=2','Interface {#IFNAME}({#IFALIAS}): In half-duplex mode','','0','2','Please check autonegotiation settings and cabling',NULL,'0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15330','{16818}=1','#{#SNMPINDEX}: Fan is in critical state','','0','3','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15331','{16819}=1','PSU {#SNMPVALUE}: Power supply is in critical state','','0','3','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15332','{16820}=1','PSU {#SNMPVALUE}: Power supply is not in normal state','','0','1','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15333','{16821}=1','Fan {#SNMPVALUE}: Fan is in critical state','','0','3','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15334','{16822}=1','Fan {#SNMPVALUE}: Fan is not in normal state','','0','1','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15335','{16823}>{$TEMP_WARN:""}
or
{16824}={$TEMP_WARN_STATUS}','{#SENSOR_INFO}: Temperature is above warning threshold: >{$TEMP_WARN:""}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{16825}<{$TEMP_WARN:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15336','{16826}>{$TEMP_CRIT:""}
or
{16827}={$TEMP_CRIT_STATUS}','{#SENSOR_INFO}: Temperature is above critical threshold: >{$TEMP_CRIT:""}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{16828}<{$TEMP_CRIT:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15337','{16829}=1','{#SNMPVALUE}: Power supply is in critical state','','0','3','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15338','{16830}=1','{#SNMPVALUE}: Power supply is in warning state','','0','2','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15339','{16831}=1','{#SNMPVALUE}: Fan is in critical state','','0','3','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15340','{16832}=1','#{#SNMPVALUE}: Power supply is in critical state','','0','3','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15341','{16833}=1','#{#SNMPVALUE}: Fan is in critical state','','0','3','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15342','{16834}>{$TEMP_WARN:""}
or
{16835}={$TEMP_WARN_STATUS}','{#SNMPVALUE}: Temperature is above warning threshold: >{$TEMP_WARN:""}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{16836}<{$TEMP_WARN:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15343','{16837}>{$TEMP_CRIT:""}
or
{16838}={$TEMP_CRIT_STATUS}
or
{16838}={$TEMP_DISASTER_STATUS}','{#SNMPVALUE}: Temperature is above critical threshold: >{$TEMP_CRIT:""}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{16839}<{$TEMP_CRIT:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15344','{16840}=1 or {16841}=1','{#SENSOR_INFO}: Power supply is in critical state','','0','3','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15345','{16842}=1 or {16843}=1','{#SENSOR_INFO}: Power supply is in warning state','','0','2','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15346','{16844}=1 or {16845}=1','{#SENSOR_INFO}: Fan is in critical state','','0','3','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15347','{16846}=1 or {16847}=1','{#SENSOR_INFO}: Fan is in warning state','','0','2','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15366','{16890}=1','{#SNMPVALUE}: Power supply is in critical state','','0','3','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15367','{16891}=1','{#SNMPVALUE}: Fan is in critical state','','0','3','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15368','{16892}>{$TEMP_CRIT:""}
or
{16893}={$TEMP_CRIT_STATUS}','Device: Temperature is above critical threshold: >{$TEMP_CRIT:""}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','0','1','{16894}<{$TEMP_CRIT:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15369','{16895}=1','PSU {#SNMPVALUE}: Power supply is in critical state','','0','3','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15370','{16896}=1','Fan {#SNMPVALUE}: Fan is in critical state','','0','3','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15371','{16897}=1 or {16898}=1','{#ENT_NAME}: Fan is in critical state','','0','3','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15372','{16899}=1 or {16900}=1 or {16901}=1','{#ENT_NAME}: Power supply is in critical state','','0','3','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15373','{16902}=1','{#ENT_DESCR}: Fan is in critical state','','0','3','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15374','{16903}=1','{#ENT_DESCR}: Fan is in warning state','','0','2','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15375','{16904}=1','{#ENT_DESCR}: Power supply is in critical state','','0','3','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15376','{16905}=1','{#ENT_DESCR}: Power supply is in warning state','','0','2','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15377','{16906}=1','{#SNMPVALUE}: Fan is in critical state','','0','3','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15378','{16907}=1','{#SNMPVALUE}: Power supply is in critical state','','0','3','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15379','{16908}=1','PSU {#PSU_INDEX}: Power supply is in critical state','','0','3','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15380','{16909}=1','PSU {#PSU_INDEX}: Power supply is not in normal state','','0','1','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15381','{16910}=1','Fan {#FAN_INDEX}: Fan is in critical state','','0','3','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15382','{16911}=1','Fan {#FAN_INDEX}: Fan is not in normal state','','0','1','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15383','{16912}=1','Unit {#PSU_UNIT} PSU {#PSU_INDEX}: Power supply is in critical state','','0','3','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15384','{16913}=1','Unit {#PSU_UNIT} PSU {#PSU_INDEX}: Power supply is not in normal state','','0','1','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15385','{16914}=1','Unit {#FAN_UNIT} Fan {#FAN_INDEX}: Fan is in critical state','','0','3','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15386','{16915}=1','Unit {#FAN_UNIT} Fan {#FAN_INDEX}: Fan is not in normal state','','0','1','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15387','{16916}>{$TEMP_WARN:""}
or
{16917}={$TEMP_WARN_STATUS}','{#SENSOR_INFO}: Temperature is above warning threshold: >{$TEMP_WARN:""}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{16918}<{$TEMP_WARN:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15388','{16919}=1','{#SENSOR_INFO}: Fan is in critical state','','0','3','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15389','{16920}=1','{#ENT_NAME}: Power supply is in critical state','','0','3','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15390','{16921}>{$TEMP_WARN:""}
or
{16922}={$TEMP_WARN_STATUS}','{#SENSOR_INFO}: Temperature is above warning threshold: >{$TEMP_WARN:""}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{16923}<{$TEMP_WARN:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15391','{16924}=1','{#SENSOR_INFO}: Power supply is in critical state','','0','3','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15392','{16925}=1','{#SENSOR_INFO}: Power supply is not in normal state','','0','1','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15393','{16926}=1','{#SENSOR_INFO}: Fan is in critical state','','0','3','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15394','{16927}=1','{#SENSOR_INFO}: Fan is not in normal state','','0','1','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15395','{16928}=1','#{#SNMPVALUE}: Fan is in critical state','','0','3','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15396','{16929}>{$TEMP_WARN:""}
or
{16930}={$TEMP_WARN_STATUS}','#{#SNMPVALUE}: Temperature is above warning threshold: >{$TEMP_WARN:""}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{16931}<{$TEMP_WARN:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15397','{16932}>{$TEMP_CRIT:""}
or
{16933}={$TEMP_CRIT_STATUS}','#{#SNMPVALUE}: Temperature is above critical threshold: >{$TEMP_CRIT:""}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{16934}<{$TEMP_CRIT:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15398','{16935}=1','#{#SNMPVALUE}: Fan is in critical state','','0','3','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15399','{16936}=1','#{#SNMPVALUE}: Power supply is in critical state','','0','3','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15490','{$IFCONTROL:"{#IFNAME}"}=1 and ({17237}=2 and {17238}=1)','Interface {#IFDESCR}: Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.',NULL,'0','2','1','{17237}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15496','{$IFCONTROL:"{#IFNAME}"}=1 and ({17249}=2 and {17250}=1)','Interface {#IFDESCR}: Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.',NULL,'0','2','1','{17249}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15502','{$IFCONTROL:"{#IFNAME}"}=1 and ({17261}=2 and {17262}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.',NULL,'0','2','1','{17261}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15506','{$IFCONTROL:"{#IFNAME}"}=1 and ({17269}=2 and {17270}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.',NULL,'0','2','1','{17269}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15508','{$IFCONTROL:"{#IFNAME}"}=1 and ({17273}=2 and {17274}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.',NULL,'0','2','1','{17273}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15640','{17657}>75','More than 75% used in the vmware cache','','0','3','Consider increasing VMwareCacheSize in the zabbix_proxy.conf configuration file',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15641','{17658}>75','Zabbix vmware collector processes more than 75% busy','','0','3','',NULL,'0','0','1','{17658}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15670','{17687}<0 and {17688}>0
and (
{17689}=6 or
{17689}=7 or
{17689}=11 or
{17689}=62 or
{17689}=69 or
{17689}=117
)
and
({17690}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.',NULL,'0','2','1','({17687}>0 and {17691}>0) or
({17690}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15671','{17692}<0 and {17693}>0
and (
{17694}=6 or
{17694}=7 or
{17694}=11 or
{17694}=62 or
{17694}=69 or
{17694}=117
)
and
({17695}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.',NULL,'0','2','1','({17692}>0 and {17696}>0) or
({17695}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15692','{17797}<0 and {17798}>0
and (
{17799}=6 or
{17799}=7 or
{17799}=11 or
{17799}=62 or
{17799}=69 or
{17799}=117
)
and
({17800}<>2)','Interface {#IFDESCR}: Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.',NULL,'0','2','1','({17797}>0 and {17801}>0) or
({17800}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15695','{17812}<0 and {17813}>0
and (
{17814}=6 or
{17814}=7 or
{17814}=11 or
{17814}=62 or
{17814}=69 or
{17814}=117
)
and
({17815}<>2)','Interface {#IFDESCR}: Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.',NULL,'0','2','1','({17812}>0 and {17816}>0) or
({17815}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15698','{17827}<0 and {17828}>0
and (
{17829}=6 or
{17829}=7 or
{17829}=11 or
{17829}=62 or
{17829}=69 or
{17829}=117
)
and
({17830}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.',NULL,'0','2','1','({17827}>0 and {17831}>0) or
({17830}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15714','{17859}>{$TEMP_WARN:""}
or
{17860}={$TEMP_WARN_STATUS}','{#SENSOR_INFO}: Temperature is above warning threshold: >{$TEMP_WARN:""}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{17861}<{$TEMP_WARN:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15715','{17862}>{$TEMP_CRIT:""}','{#SENSOR_INFO}: Temperature is above critical threshold: >{$TEMP_CRIT:""}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{17863}<{$TEMP_CRIT:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15716','{17864}<{$TEMP_CRIT_LOW:""}','{#SENSOR_INFO}: Temperature is too low: <{$TEMP_CRIT_LOW:""}','','0','3','',NULL,'0','2','1','{17865}>{$TEMP_CRIT_LOW:""}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15717','{17866}=1','{#SENSOR_INFO}: Fan is in critical state','','0','3','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15718','{17867}=1 and {17868}>0','{#ENT_NAME}: Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15719','{17869}=1','{#ENT_NAME}: Power supply is in critical state','','0','3','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15720','{17870}=1','System status is in critical state','','0','4','Please check the device for errors',NULL,'0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15721','{17871}=1 or {17872}=1','System status is in warning state','','0','2','Please check the device for warnings',NULL,'0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15722','{17873}=1','System status is in critical state','','0','4','Please check the device for errors',NULL,'0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15728','{17879}=1','System is in unrecoverable state!','','0','4','Please check the device for faults',NULL,'0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15729','{17880}=1','System status is in critical state','','0','4','Please check the device for errors',NULL,'0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15730','{17881}=1','System status is in warning state','','0','2','Please check the device for warnings',NULL,'0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15731','{17882}=1 and {17883}>0','Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15732','{17884}=1 and {17885}>0','Firmware has changed','','0','1','Firmware version has changed. Ack to close',NULL,'0','0','0','','0','','1','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15733','{17886}>{$TEMP_WARN:"CPU"}
or
{17887}={$TEMP_WARN_STATUS}','{#SENSOR_LOCALE}: Temperature is above warning threshold: >{$TEMP_WARN:"CPU"}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{17888}<{$TEMP_WARN:"CPU"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15734','{17889}>{$TEMP_CRIT:"CPU"}
or
{17890}={$TEMP_CRIT_STATUS}
or
{17890}={$TEMP_DISASTER_STATUS}','{#SENSOR_LOCALE}: Temperature is above critical threshold: >{$TEMP_CRIT:"CPU"}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{17891}<{$TEMP_CRIT:"CPU"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15735','{17892}<{$TEMP_CRIT_LOW:"CPU"}','{#SENSOR_LOCALE}: Temperature is too low: <{$TEMP_CRIT_LOW:"CPU"}','','0','3','',NULL,'0','2','1','{17893}>{$TEMP_CRIT_LOW:"CPU"}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15736','{17894}>{$TEMP_WARN:"Ambient"}
or
{17895}={$TEMP_WARN_STATUS}','{#SENSOR_LOCALE}: Temperature is above warning threshold: >{$TEMP_WARN:"Ambient"}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{17896}<{$TEMP_WARN:"Ambient"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15737','{17897}>{$TEMP_CRIT:"Ambient"}
or
{17898}={$TEMP_CRIT_STATUS}
or
{17898}={$TEMP_DISASTER_STATUS}','{#SENSOR_LOCALE}: Temperature is above critical threshold: >{$TEMP_CRIT:"Ambient"}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{17899}<{$TEMP_CRIT:"Ambient"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15738','{17900}<{$TEMP_CRIT_LOW:"Ambient"}','{#SENSOR_LOCALE}: Temperature is too low: <{$TEMP_CRIT_LOW:"Ambient"}','','0','3','',NULL,'0','2','1','{17901}>{$TEMP_CRIT_LOW:"Ambient"}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15739','{17902}=1 or {17903}=1','{#PSU_DESCR}: Power supply is in critical state','','0','3','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15740','{17904}=1','{#PSU_DESCR}: Power supply is in warning state','','0','2','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15741','{17905}=1 or {17906}=1 or {17907}=1 or {17908}=1 or {17909}=1','{#FAN_DESCR}: Fan is in critical state','','0','3','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15742','{17910}=1 or {17911}=1','{#FAN_DESCR}: Fan is in warning state','','0','2','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15743','{17912}=1 or {17913}=1','{#DISK_NAME}: Physical disk failed','','0','4','Please check physical disk for warnings or errors',NULL,'0','2','0','','0','','0','Current status: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15744','{17914}=1','{#DISK_NAME}: Physical disk is in warning state','','0','2','Please check physical disk for warnings or errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15745','{17915}=1 and {17916}>0','{#DISK_NAME}: Disk has been replaced (new serial number received)','','0','1','Disk serial number has changed. Ack to close',NULL,'0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15746','{17917}=1','{#DISK_NAME}: Physical disk S.M.A.R.T. failed','','0','4','Disk probably requires replacement.',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15747','{17918}=1','Disk {#SNMPVALUE}({#DISK_NAME}): Virtual disk failed','','0','4','Please check virtual disk for warnings or errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15748','{17919}=1','Disk {#SNMPVALUE}({#DISK_NAME}): Virtual disk is in warning state','','0','3','Please check virtual disk for warnings or errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15749','{17920}=1','{#CNTLR_NAME}: Disk array controller is in unrecoverable state!','','0','5','Please check the device for faults',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15750','{17921}=1','{#CNTLR_NAME}: Disk array controller is in critical state','','0','4','Please check the device for faults',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15751','{17922}=1','{#CNTLR_NAME}: Disk array controller is in warning state','','0','3','Please check the device for faults',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15752','{17923}=1','Battery {#BATTERY_NUM}: Disk array cache controller battery is in warning state','','0','2','Please check the device for faults',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15753','{17924}=1','Battery {#BATTERY_NUM}: Disk array cache controller battery is not in optimal state','','0','2','Please check the device for faults',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15754','{17925}=1','Battery {#BATTERY_NUM}: Disk array cache controller battery is in critical state!','','0','3','Please check the device for faults',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15762','{17933}=1 and {17934}>0','Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15763','{17935}>{$TEMP_WARN:"{#SNMPINDEX}"}','{#SNMPINDEX}: Temperature is above warning threshold: >{$TEMP_WARN:"{#SNMPINDEX}"}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{17936}<{$TEMP_WARN:"{#SNMPINDEX}"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15764','{17937}>{$TEMP_CRIT:"{#SNMPINDEX}"}','{#SNMPINDEX}: Temperature is above critical threshold: >{$TEMP_CRIT:"{#SNMPINDEX}"}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{17938}<{$TEMP_CRIT:"{#SNMPINDEX}"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15765','{17939}<{$TEMP_CRIT_LOW:"{#SNMPINDEX}"}','{#SNMPINDEX}: Temperature is too low: <{$TEMP_CRIT_LOW:"{#SNMPINDEX}"}','','0','3','',NULL,'0','2','1','{17940}>{$TEMP_CRIT_LOW:"{#SNMPINDEX}"}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15766','{17941}>{$TEMP_WARN:"Ambient"}','Ambient: Temperature is above warning threshold: >{$TEMP_WARN:"Ambient"}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{17942}<{$TEMP_WARN:"Ambient"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15767','{17943}>{$TEMP_CRIT:"Ambient"}','Ambient: Temperature is above critical threshold: >{$TEMP_CRIT:"Ambient"}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{17944}<{$TEMP_CRIT:"Ambient"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15768','{17945}<{$TEMP_CRIT_LOW:"Ambient"}','Ambient: Temperature is too low: <{$TEMP_CRIT_LOW:"Ambient"}','','0','3','',NULL,'0','2','1','{17946}>{$TEMP_CRIT_LOW:"Ambient"}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15769','{17947}>{$TEMP_WARN:"CPU"}','CPU-{#SNMPINDEX}: Temperature is above warning threshold: >{$TEMP_WARN:"CPU"}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{17948}<{$TEMP_WARN:"CPU"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15770','{17949}>{$TEMP_CRIT:"CPU"}','CPU-{#SNMPINDEX}: Temperature is above critical threshold: >{$TEMP_CRIT:"CPU"}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{17950}<{$TEMP_CRIT:"CPU"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15771','{17951}<{$TEMP_CRIT_LOW:"CPU"}','CPU-{#SNMPINDEX}: Temperature is too low: <{$TEMP_CRIT_LOW:"CPU"}','','0','3','',NULL,'0','2','1','{17952}>{$TEMP_CRIT_LOW:"CPU"}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15772','{17953}>{$TEMP_WARN:"Memory"}','Memory-{#SNMPINDEX}: Temperature is above warning threshold: >{$TEMP_WARN:"Memory"}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{17954}<{$TEMP_WARN:"Memory"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15773','{17955}>{$TEMP_CRIT:"Memory"}','Memory-{#SNMPINDEX}: Temperature is above critical threshold: >{$TEMP_CRIT:"Memory"}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{17956}<{$TEMP_CRIT:"Memory"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15774','{17957}<{$TEMP_CRIT_LOW:"Memory"}','Memory-{#SNMPINDEX}: Temperature is too low: <{$TEMP_CRIT_LOW:"Memory"}','','0','3','',NULL,'0','2','1','{17958}>{$TEMP_CRIT_LOW:"Memory"}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15775','{17959}>{$TEMP_WARN:"PSU"}','PSU-{#SNMPINDEX}: Temperature is above warning threshold: >{$TEMP_WARN:"PSU"}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{17960}<{$TEMP_WARN:"PSU"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15776','{17961}>{$TEMP_CRIT:"PSU"}','PSU-{#SNMPINDEX}: Temperature is above critical threshold: >{$TEMP_CRIT:"PSU"}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{17962}<{$TEMP_CRIT:"PSU"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15777','{17963}<{$TEMP_CRIT_LOW:"PSU"}','PSU-{#SNMPINDEX}: Temperature is too low: <{$TEMP_CRIT_LOW:"PSU"}','','0','3','',NULL,'0','2','1','{17964}>{$TEMP_CRIT_LOW:"PSU"}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15778','{17965}>{$TEMP_WARN:"Device"}','System-{#SNMPINDEX}: Temperature is above warning threshold: >{$TEMP_WARN:"Device"}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{17966}<{$TEMP_WARN:"Device"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15779','{17967}>{$TEMP_CRIT:"Device"}','System-{#SNMPINDEX}: Temperature is above critical threshold: >{$TEMP_CRIT:"Device"}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{17968}<{$TEMP_CRIT:"Device"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15780','{17969}<{$TEMP_CRIT_LOW:"Device"}','System-{#SNMPINDEX}: Temperature is too low: <{$TEMP_CRIT_LOW:"Device"}','','0','3','',NULL,'0','2','1','{17970}>{$TEMP_CRIT_LOW:"Device"}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15781','{17971}=1','Chassis {#CHASSIS_NUM}, bay {#BAY_NUM}: Power supply is in critical state','','0','3','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15782','{17972}=1','Chassis {#CHASSIS_NUM}, bay {#BAY_NUM}: Power supply is in warning state','','0','2','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15783','{17973}=1','Fan {#SNMPINDEX}: Fan is in critical state','','0','3','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15784','{17974}=1','Fan {#SNMPINDEX}: Fan is in warning state','','0','2','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15785','{17975}=1','{#CNTLR_LOCATION}: Disk array controller is in critical state','','0','4','Please check the device for faults',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15786','{17976}=1','{#CNTLR_LOCATION}: Disk array controller is in warning state','','0','3','Please check the device for faults',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15787','{17977}=1','#{#CACHE_CNTRL_INDEX}: Disk array cache controller is in critical state!','','0','3','Please check the device for faults',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15788','{17978}=1 or {17979}=1 or {17980}=1 or {17981}=1','#{#CACHE_CNTRL_INDEX}: Disk array cache controller is in warning state','','0','2','Please check the device for faults',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15789','{17982}=1','#{#CACHE_CNTRL_INDEX}: Disk array cache controller is not in optimal state','','0','2','Please check the device for faults',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15790','{17983}=1 or {17984}=1','#{#CACHE_CNTRL_INDEX}: Disk array cache controller battery is in critical state!','','0','3','Please check the device for faults',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15791','{17985}=1 or {17986}=1','#{#CACHE_CNTRL_INDEX}: Disk array cache controller battery is in warning state','','0','2','Please check the device for faults',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15792','{17987}=1','{#DISK_LOCATION}: Physical disk failed','','0','4','Please check physical disk for warnings or errors',NULL,'0','2','0','','0','','0','Current status: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15793','{17988}=1','{#DISK_LOCATION}: Physical disk is in warning state','','0','2','Please check physical disk for warnings or errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15794','{17989}=1 or {17990}=1','{#DISK_LOCATION}: Physical disk S.M.A.R.T. failed','','0','4','Disk probably requires replacement.',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15795','{17991}=1 and {17992}>0','{#DISK_LOCATION}: Disk has been replaced (new serial number received)','','0','1','Disk serial number has changed. Ack to close',NULL,'0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15796','{17993}=1','Disk {#SNMPINDEX}({#DISK_NAME}): Virtual disk failed','','0','4','Please check virtual disk for warnings or errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15797','{17994}=1','Disk {#SNMPINDEX}({#DISK_NAME}): Virtual disk is not in OK state','','0','2','Please check virtual disk for warnings or errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15803','{18000}=1','System is in unrecoverable state!','','0','4','Please check the device for faults',NULL,'0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15804','{18001}=1','System status is in critical state','','0','4','Please check the device for errors',NULL,'0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15805','{18002}=1','System status is in warning state','','0','2','Please check the device for warnings',NULL,'0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15806','{18003}=1 and {18004}>0','Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15807','{18005}>{$TEMP_WARN:""}','{#SNMPVALUE}: Temperature is above warning threshold: >{$TEMP_WARN:""}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{18006}<{$TEMP_WARN:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15808','{18007}>{$TEMP_CRIT:""}','{#SNMPVALUE}: Temperature is above critical threshold: >{$TEMP_CRIT:""}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{18008}<{$TEMP_CRIT:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15809','{18009}<{$TEMP_CRIT_LOW:""}','{#SNMPVALUE}: Temperature is too low: <{$TEMP_CRIT_LOW:""}','','0','3','',NULL,'0','2','1','{18010}>{$TEMP_CRIT_LOW:""}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15810','{18011}>{$TEMP_WARN:"Ambient"}','Ambient: Temperature is above warning threshold: >{$TEMP_WARN:"Ambient"}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{18012}<{$TEMP_WARN:"Ambient"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15811','{18013}>{$TEMP_CRIT:"Ambient"}','Ambient: Temperature is above critical threshold: >{$TEMP_CRIT:"Ambient"}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{18014}<{$TEMP_CRIT:"Ambient"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15812','{18015}<{$TEMP_CRIT_LOW:"Ambient"}','Ambient: Temperature is too low: <{$TEMP_CRIT_LOW:"Ambient"}','','0','3','',NULL,'0','2','1','{18016}>{$TEMP_CRIT_LOW:"Ambient"}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15813','{18017}>{$TEMP_WARN:"CPU"}','CPU: Temperature is above warning threshold: >{$TEMP_WARN:"CPU"}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{18018}<{$TEMP_WARN:"CPU"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15814','{18019}>{$TEMP_CRIT:"CPU"}','CPU: Temperature is above critical threshold: >{$TEMP_CRIT:"CPU"}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{18020}<{$TEMP_CRIT:"CPU"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15815','{18021}<{$TEMP_CRIT_LOW:"CPU"}','CPU: Temperature is too low: <{$TEMP_CRIT_LOW:"CPU"}','','0','3','',NULL,'0','2','1','{18022}>{$TEMP_CRIT_LOW:"CPU"}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15816','{18023}=1','{#PSU_DESCR}: Power supply is not in normal state','','0','1','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15817','{18024}=1','{#FAN_DESCR}: Fan is not in normal state','','0','1','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15818','{18025}=1','{#SNMPINDEX}: Physical disk is not in OK state','','0','2','Please check physical disk for warnings or errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15824','{18031}=1','System is in unrecoverable state!','','0','4','Please check the device for faults',NULL,'0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15825','{18032}=1','System status is in critical state','','0','4','Please check the device for errors',NULL,'0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15826','{18033}=1','System status is in warning state','','0','2','Please check the device for warnings',NULL,'0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15827','{18034}=1 and {18035}>0','Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15828','{18036}>{$TEMP_WARN:""}','{#SNMPVALUE}: Temperature is above warning threshold: >{$TEMP_WARN:""}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{18037}<{$TEMP_WARN:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15829','{18038}>{$TEMP_CRIT:""}','{#SNMPVALUE}: Temperature is above critical threshold: >{$TEMP_CRIT:""}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{18039}<{$TEMP_CRIT:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15830','{18040}<{$TEMP_CRIT_LOW:""}','{#SNMPVALUE}: Temperature is too low: <{$TEMP_CRIT_LOW:""}','','0','3','',NULL,'0','2','1','{18041}>{$TEMP_CRIT_LOW:""}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15831','{18042}>{$TEMP_WARN:"Ambient"}','Ambient: Temperature is above warning threshold: >{$TEMP_WARN:"Ambient"}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{18043}<{$TEMP_WARN:"Ambient"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15832','{18044}>{$TEMP_CRIT:"Ambient"}','Ambient: Temperature is above critical threshold: >{$TEMP_CRIT:"Ambient"}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{18045}<{$TEMP_CRIT:"Ambient"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15833','{18046}<{$TEMP_CRIT_LOW:"Ambient"}','Ambient: Temperature is too low: <{$TEMP_CRIT_LOW:"Ambient"}','','0','3','',NULL,'0','2','1','{18047}>{$TEMP_CRIT_LOW:"Ambient"}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15834','{18048}>{$TEMP_WARN:"CPU"}','CPU: Temperature is above warning threshold: >{$TEMP_WARN:"CPU"}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{18049}<{$TEMP_WARN:"CPU"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15835','{18050}>{$TEMP_CRIT:"CPU"}','CPU: Temperature is above critical threshold: >{$TEMP_CRIT:"CPU"}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{18051}<{$TEMP_CRIT:"CPU"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15836','{18052}<{$TEMP_CRIT_LOW:"CPU"}','CPU: Temperature is too low: <{$TEMP_CRIT_LOW:"CPU"}','','0','3','',NULL,'0','2','1','{18053}>{$TEMP_CRIT_LOW:"CPU"}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15837','{18054}=1','{#PSU_DESCR}: Power supply is not in normal state','','0','1','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15838','{18055}=1','{#FAN_DESCR}: Fan is not in normal state','','0','1','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15839','{18056}=1','{#SNMPINDEX}: Physical disk is not in OK state','','0','2','Please check physical disk for warnings or errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15845','{18062}>{$TEMP_WARN:""}','{#SENSOR_DESCR}: Temperature is above warning threshold: >{$TEMP_WARN:""}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{18063}<{$TEMP_WARN:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15846','{18064}>{$TEMP_CRIT:""}','{#SENSOR_DESCR}: Temperature is above critical threshold: >{$TEMP_CRIT:""}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{18065}<{$TEMP_CRIT:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15847','{18066}<{$TEMP_CRIT_LOW:""}','{#SENSOR_DESCR}: Temperature is too low: <{$TEMP_CRIT_LOW:""}','','0','3','',NULL,'0','2','1','{18067}>{$TEMP_CRIT_LOW:""}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15848','{18068} > ({18069} * 0.7)','70% http-8080 worker threads busy on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15849','{18070} > ({18071} * 0.7)','70% http-8443 worker threads busy on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15850','{18072} > ({18073}  *0.7)','70% jk-8009 worker threads busy on {HOST.NAME}','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15851','{18074} = 1','gzip compression is off for connector http-8080 on {HOST.NAME}','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15852','{18075} = 1','gzip compression is off for connector http-8443 on {HOST.NAME}','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15853','{18076}>75','Zabbix LLD manager processes more than 75% busy','','0','3','',NULL,'0','0','1','{18076}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15855','{18078}>75','Zabbix LLD worker processes more than 75% busy','','0','3','',NULL,'0','0','1','{18078}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15857','{18080}>75','More than 75% used in the configuration cache','','0','3','Consider increasing CacheSize in the zabbix_server.conf configuration file',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15858','{18081}>75','More than 75% used in the history cache','','0','3','Consider increasing HistoryCacheSize in the zabbix_server.conf configuration file',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15859','{18082}>75','More than 75% used in the history index cache','','0','3','Consider increasing HistoryIndexCacheSize in the zabbix_server.conf configuration file',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15860','{18083}>75','More than 75% used in the trends cache','','0','3','Consider increasing TrendCacheSize in the zabbix_server.conf configuration file',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15861','{18084}>75','More than 75% used in the vmware cache','','0','3','Consider increasing VMwareCacheSize in the zabbix_server.conf configuration file',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15862','{18085}>95','More than 95% used in the value cache','','0','3','Consider increasing ValueCacheSize in the zabbix_server.conf configuration file',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15863','{18086}>100','More than 100 items having missing data for more than 10 minutes','','0','2','zabbix[stats,{$IP},{$PORT},queue,10m] item is collecting data about how many items are missing data for more than 10 minutes',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15864','{18087}>75','Zabbix alerter processes more than 75% busy','','0','3','',NULL,'0','0','1','{18087}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15865','{18088}>75','Zabbix alert manager processes more than 75% busy','','0','3','',NULL,'0','0','1','{18088}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15866','{18089}>75','Zabbix configuration syncer processes more than 75% busy','','0','3','Zabbix configuration syncer processes more than 75% busy',NULL,'0','0','1','{18089}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15867','{18090}>75','Zabbix discoverer processes more than 75% busy','','0','3','',NULL,'0','0','1','{18090}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15868','{18091}>75','Zabbix escalator processes more than 75% busy','','0','3','',NULL,'0','0','1','{18091}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15869','{18092}>75','Zabbix history syncer processes more than 75% busy','','0','3','',NULL,'0','0','1','{18092}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15870','{18093}>75','Zabbix housekeeper processes more than 75% busy','','0','3','',NULL,'0','0','1','{18093}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15871','{18094}>75','Zabbix http poller processes more than 75% busy','','0','3','',NULL,'0','0','1','{18094}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15872','{18095}>75','Zabbix icmp pinger processes more than 75% busy','','0','3','',NULL,'0','0','1','{18095}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15873','{18096}>75','Zabbix ipmi manager processes more than 75% busy','','0','3','',NULL,'0','0','1','{18096}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15874','{18097}>75','Zabbix ipmi poller processes more than 75% busy','','0','3','',NULL,'0','0','1','{18097}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15875','{18098}>75','Zabbix java poller processes more than 75% busy','','0','3','',NULL,'0','0','1','{18098}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15876','{18099}>75','Zabbix poller processes more than 75% busy','','0','3','',NULL,'0','0','1','{18099}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15877','{18100}>75','Zabbix preprocessing manager processes more than 75% busy','','0','3','',NULL,'0','0','1','{18100}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15878','{18101}>75','Zabbix preprocessing worker processes more than 75% busy','','0','3','',NULL,'0','0','1','{18101}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15879','{18102}>75','Zabbix proxy poller processes more than 75% busy','','0','3','',NULL,'0','0','1','{18102}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15880','{18103}>75','Zabbix self-monitoring processes more than 75% busy','','0','3','',NULL,'0','0','1','{18103}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15881','{18104}>75','Zabbix snmp trapper processes more than 75% busy','','0','3','',NULL,'0','0','1','{18104}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15882','{18105}>75','Zabbix task manager processes more than 75% busy','','0','3','',NULL,'0','0','1','{18105}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15883','{18106}>75','Zabbix timer processes more than 75% busy','','0','3','',NULL,'0','0','1','{18106}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15884','{18107}>75','Zabbix trapper processes more than 75% busy','','0','3','',NULL,'0','0','1','{18107}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15885','{18108}>75','Zabbix unreachable poller processes more than 75% busy','','0','3','',NULL,'0','0','1','{18108}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15886','{18109}=1','Zabbix value cache working in low memory mode','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15887','{18110}>75','Zabbix vmware collector processes more than 75% busy','','0','3','',NULL,'0','0','1','{18110}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15888','{18111}>75','Zabbix LLD manager processes more than 75% busy','','0','3','',NULL,'0','0','1','{18111}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15889','{18112}>75','Zabbix LLD worker processes more than 75% busy','','0','3','',NULL,'0','0','1','{18112}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15890','{18113}>75','More than 75% used in the configuration cache','','0','3','Consider increasing CacheSize in the zabbix_proxy.conf configuration file',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15891','{18114}>75','More than 75% used in the history cache','','0','3','Consider increasing HistoryCacheSize in the zabbix_proxy.conf configuration file',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15892','{18115}>75','More than 75% used in the history index cache','','0','3','Consider increasing HistoryIndexCacheSize in the zabbix_proxy.conf configuration file',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15893','{18116}>75','More than 75% used in the vmware cache','','0','3','Consider increasing VMwareCacheSize in the zabbix_proxy.conf configuration file',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15894','{18117}>100','More than 100 items having missing data for more than 10 minutes','','0','2','zabbix[stats,{$IP},{$PORT},queue,10m] item is collecting data about how many items are missing data for more than 10 minutes',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15895','{18118}>75','Zabbix configuration syncer processes more than 75% busy','','0','3','',NULL,'0','0','1','{18118}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15896','{18119}>75','Zabbix data sender processes more than 75% busy','','0','3','',NULL,'0','0','1','{18119}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15897','{18120}>75','Zabbix discoverer processes more than 75% busy','','0','3','',NULL,'0','0','1','{18120}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15898','{18121}>75','Zabbix heartbeat sender processes more than 75% busy','','0','3','',NULL,'0','0','1','{18121}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15899','{18122}>75','Zabbix history syncer processes more than 75% busy','','0','3','',NULL,'0','0','1','{18122}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15900','{18123}>75','Zabbix housekeeper processes more than 75% busy','','0','3','',NULL,'0','0','1','{18123}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15901','{18124}>75','Zabbix http poller processes more than 75% busy','','0','3','',NULL,'0','0','1','{18124}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15902','{18125}>75','Zabbix icmp pinger processes more than 75% busy','','0','3','',NULL,'0','0','1','{18125}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15903','{18126}>75','Zabbix ipmi manager processes more than 75% busy','','0','3','',NULL,'0','0','1','{18126}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15904','{18127}>75','Zabbix ipmi poller processes more than 75% busy','','0','3','',NULL,'0','0','1','{18127}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15905','{18128}>75','Zabbix java poller processes more than 75% busy','','0','3','',NULL,'0','0','1','{18128}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15906','{18129}>75','Zabbix poller processes more than 75% busy','','0','3','',NULL,'0','0','1','{18129}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15907','{18130}>75','Zabbix self-monitoring processes more than 75% busy','','0','3','',NULL,'0','0','1','{18130}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15908','{18131}>75','Zabbix snmp trapper processes more than 75% busy','','0','3','',NULL,'0','0','1','{18131}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15909','{18132}>75','Zabbix task manager processes more than 75% busy','','0','3','',NULL,'0','0','1','{18132}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15910','{18133}>75','Zabbix trapper processes more than 75% busy','','0','3','',NULL,'0','0','1','{18133}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15911','{18134}>75','Zabbix unreachable poller processes more than 75% busy','','0','3','',NULL,'0','0','1','{18134}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15912','{18135}>75','Zabbix vmware collector processes more than 75% busy','','0','3','',NULL,'0','0','1','{18135}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15913','{18136}>75','Zabbix preprocessing manager processes more than 75% busy','','0','3','',NULL,'0','0','1','{18136}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15914','{18137}>75','Zabbix preprocessing worker processes more than 75% busy','','0','3','',NULL,'0','0','1','{18137}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15926','{18150} < {$PG.CACHE_HITRATIO.MIN.WARN}','PostgreSQL: Cache hit ratio too low (under {$PG.CACHE_HITRATIO.MIN.WARN} in 5m)','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15927','{18151}=1 and {18152}>0','PostgreSQL: Configuration has changed','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15928','{18153} = 1','PostgreSQL: Failed to get items (no data for 30m)','','0','2','Zabbix has not received data for items for the last 30 minutes',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15929','{18154}=0','PostgreSQL: Replication is down','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15930','{18155} > {$PG.CHECKPOINTS_REQ.MAX.WARN}','PostgreSQL: Required checkpoints occurs too frequently (over {$PG.CHECKPOINTS_REQ.MAX.WARN})','','0','3','Checkpoints are points in the sequence of transactions at which it is guaranteed that the heap and index data files have been updated with all information written before that checkpoint. At checkpoint time, all dirty data pages are flushed to disk and a special checkpoint record is written to the log file.
https://www.postgresql.org/docs/current/wal-configuration.html',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15931','{18156} > {$PG.PING_TIME.MAX.WARN}','PostgreSQL: Response too long (over {$PG.PING_TIME.MAX.WARN})','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15932','{18157} < 10m','PostgreSQL: Service has been restarted (uptime < 10m)','','0','1','PostgreSQL uptime is less than 10 minutes',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15933','{18158} = 0','PostgreSQL: Service is down','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15934','{18159} > {$PG.REPL_LAG.MAX.WARN}','PostgreSQL: Streaming lag with {#MASTER} is too high (over {$PG.REPL_LAG.MAX.WARN} in 5m)','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15935','{18160} > {$PG.CONN_TOTAL_PCT.MAX.WARN}','PostgreSQL: Total number of connections is too high (over {$PG.CONN_TOTAL_PCT.MAX.WARN} in 5m)','','0','3','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15936','{18161}=1 and {18162}>0','PostgreSQL: Version has changed (new version value received: {ITEM.VALUE})','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15938','{18164}>{$PG.LOCKS.MAX.WARN:"{#DBNAME}"}','Database {#DBNAME}: Number of locks is too high (over {$PG.LOCKS.MAX.WARN:"{#DBNAME}"} in 5m)','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15939','{18165} > {$PG.CONFLICTS.MAX.WARN:"{#DBNAME}"}','Database {#DBNAME}: Too many recovery conflicts (over {$PG.CONFLICTS.MAX.WARN:"{#DBNAME}"} in 5m)','','0','3','The primary and standby servers are in many ways loosely connected. Actions on the primary will have an effect on the standby. As a result, there is potential for negative interactions or conflicts between them.
https://www.postgresql.org/docs/current/hot-standby.html#HOT-STANDBY-CONFLICT',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15940','{18166}>{$PG.SLOW_QUERIES.MAX.WARN:"{#DBNAME}"}','Database {#DBNAME}: Too many slow queries (over {$PG.SLOW_QUERIES.MAX.WARN:"{#DBNAME}"} in 5m)','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15941','{18167}<{$PG.FROZENXID_PCT_STOP.MIN.HIGH:"{#DBNAME}"}','Database {#DBNAME}: VACUUM FREEZE is required to prevent wraparound (frozen XID less then {$PG.FROZENXID_PCT_STOP.MIN.HIGH:"{#DBNAME}"} %)','','0','3','Preventing Transaction ID Wraparound Failures
https://www.postgresql.org/docs/current/routine-vacuuming.html#VACUUM-FOR-WRAPAROUND',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15942','{18168}=1','Apache: Failed to fetch status page (or no data for 30m)','','0','2','Zabbix has not received data for items for the last 30 minutes.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15943','{18169}=0','Apache: Service is down','','0','3','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15944','{18170}>{$APACHE.RESPONSE_TIME.MAX.WARN}','Apache: Service response time is too high (over {$APACHE.RESPONSE_TIME.MAX.WARN}s for 5m)','','0','2','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15945','{18171}<10m','Apache: has been restarted (uptime < 10m)','','0','1','Uptime is less than 10 minutes',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15946','{18172}=1 and {18173}>0','Apache: Version has changed (new version: {ITEM.VALUE})','','0','1','Apache version has changed. Ack to close.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15947','{18174}=0','Apache: Process is not running','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15948','{18175}=1','Apache: Failed to fetch status page (or no data for 30m)','','0','2','Zabbix has not received data for items for the last 30 minutes.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15949','{18176}=0','Apache: Service is down','','0','3','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15950','{18177}>{$APACHE.RESPONSE_TIME.MAX.WARN}','Apache: Service response time is too high (over {$APACHE.RESPONSE_TIME.MAX.WARN}s for 5m)','','0','2','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15951','{18178}<10m','Apache: has been restarted (uptime < 10m)','','0','1','Uptime is less than 10 minutes',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15952','{18179}=1 and {18180}>0','Apache: Version has changed (new version: {ITEM.VALUE})','','0','1','Apache version has changed. Ack to close.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15954','{18183}=0','Nginx: Service is down','','0','3','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15955','{18184}>{$NGINX.RESPONSE_TIME.MAX.WARN}','Nginx: Service response time is too high (over {$NGINX.RESPONSE_TIME.MAX.WARN}s for 5m)','','0','2','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15956','{18185} > {$NGINX.DROP_RATE.MAX.WARN}','Nginx: High connections drop rate (more than {$NGINX.DROP_RATE.MAX.WARN} for 5m)','','0','2','The dropping rate connections is greater than {$NGINX.DROP_RATE.MAX.WARN} for the last 5 minutes.',NULL,'0','0','0','','0','','0','Current rate: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15957','{18186}=0','Nginx: Process is not running','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15958','{18187}=1 and {18188}>0','Nginx: Version has changed (new version: {ITEM.VALUE})','','0','1','Nginx version has changed. Ack to close.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15960','{18191}=0','Nginx: Service is down','','0','3','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15961','{18192}>{$NGINX.RESPONSE_TIME.MAX.WARN}','Nginx: Service response time is too high (over {$NGINX.RESPONSE_TIME.MAX.WARN}s for 5m)','','0','2','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15962','{18193} > {$NGINX.DROP_RATE.MAX.WARN}','Nginx: High connections drop rate (more than {$NGINX.DROP_RATE.MAX.WARN} for 5m)','','0','2','The dropping rate connections is greater than {$NGINX.DROP_RATE.MAX.WARN} for the last 5 minutes.',NULL,'0','0','0','','0','','0','Current rate: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15963','{18194}=1 and {18195}>0','Nginx: Version has changed (new version: {ITEM.VALUE})','','0','1','Nginx version has changed. Ack to close.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15978','{18211}=1','MySQL: Failed to get items (no data for 30m)','','0','2','Zabbix has not received data for items for the last 30 minutes.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15979','{18212}>0','MySQL: Refused connections (max_connections limit reached)','','0','3','Number of refused connections due to the max_connections limit being reached.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15980','{18213}>{$MYSQL.ABORTED_CONN.MAX.WARN}','MySQL: Server has aborted connections (over {$MYSQL.ABORTED_CONN.MAX.WARN} for 5m)','','0','3','The number of failed attempts to connect to the MySQL server is more than {$MYSQL.ABORTED_CONN.MAX.WARN} in the last 5 minutes.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15981','{18214}>{$MYSQL.SLOW_QUERIES.MAX.WARN}','MySQL: Server has slow queries (over {$MYSQL.SLOW_QUERIES.MAX.WARN} for 5m)','','0','2','The number of slow queries is more than {$MYSQL.SLOW_QUERIES.MAX.WARN} in the last 5 minutes.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15982','{18215}<10m','MySQL: Service has been restarted (uptime < 10m)','','0','1','MySQL uptime is less than 10 minutes.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15983','{18216}=0','MySQL: Service is down','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15984','{18217}=1 and  {18218}>0','MySQL: Version has changed (new version value received: {ITEM.VALUE})','','0','1','MySQL version has changed. Ack to close.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15985','{18219}>{$MYSQL.REPL_LAG.MAX.WARN}','MySQL: Replication lag is too high (over {$MYSQL.REPL_LAG.MAX.WARN} for 5m)','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15986','{18220}=1','MySQL: The slave I/O thread is not connected to a replication master','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15987','{18221}=1','MySQL: The slave I/O thread is not running','','0','3','Whether the I/O thread for reading the master''s binary log is running.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15988','{18222}=1','MySQL: The SQL thread is not running','','0','2','Whether the SQL thread for executing events in the relay log is running.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15999','{18241}>{$MEMORY.UTIL.MAX}','High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16000','{18242}<{$MEMORY.AVAILABLE.MIN} and {18243}>0','Lack of available memory ( < {$MEMORY.AVAILABLE.MIN} of {ITEM.VALUE2})','','0','3','',NULL,'0','0','0','','0','','0','Available: {ITEM.LASTVALUE1}, total: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16001','{18244}<{$SWAP.PFREE.MIN.WARN} and {18245}>0','High swap space usage ( less than {$SWAP.PFREE.MIN.WARN}% free)','','0','2','This trigger is ignored, if there is no swap configured',NULL,'0','0','0','','0','','0','Free: {ITEM.LASTVALUE1}, total: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16007','{18255}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','2','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16008','{18256}>{$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"} and
(({18257}-{18258})<5G or {18259}<1d)','{#FSNAME}: Disk space is critically low (used > {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}%)','','0','3','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 5G.
 - The disk will be full in less than 24 hours.',NULL,'0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16009','{18260}>{$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"} and
(({18261}-{18262})<10G or {18263}<1d)','{#FSNAME}: Disk space is low (used > {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}%)','','0','2','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 10G.
 - The disk will be full in less than 24 hours.',NULL,'0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16010','{18264}<{$VFS.FS.INODE.PFREE.MIN.CRIT:"{#FSNAME}"}','{#FSNAME}: Running out of free inodes (free < {$VFS.FS.INODE.PFREE.MIN.CRIT:"{#FSNAME}"}%)','','0','3','It may become impossible to write to disk if there are no index nodes left.
As symptoms, ''No space left on device'' or ''Disk is full'' errors may be seen even though free space is available.',NULL,'0','2','0','','0','','0','Free inodes: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16011','{18265}<{$VFS.FS.INODE.PFREE.MIN.WARN:"{#FSNAME}"}','{#FSNAME}: Running out of free inodes (free < {$VFS.FS.INODE.PFREE.MIN.WARN:"{#FSNAME}"}%)','','0','2','It may become impossible to write to disk if there are no index nodes left.
As symptoms, ''No space left on device'' or ''Disk is full'' errors may be seen even though free space is available.',NULL,'0','2','0','','0','','0','Free inodes: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16031','{18300}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16032','{18301}>{$MEMORY.UTIL.MAX}','High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16033','{18302}<{$MEMORY.AVAILABLE.MIN} and {18303}>0','Lack of available memory ( < {$MEMORY.AVAILABLE.MIN} of {ITEM.VALUE2})','','0','3','',NULL,'0','0','0','','0','','0','Available: {ITEM.LASTVALUE1}, total: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16034','{18304}<{$SWAP.PFREE.MIN.WARN} and {18305}>0','High swap space usage ( less than {$SWAP.PFREE.MIN.WARN}% free)','','0','2','This trigger is ignored, if there is no swap configured',NULL,'0','0','0','','0','','0','Free: {ITEM.LASTVALUE1}, total: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16035','{18306}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','The host uptime is less than 10 minutes',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16036','{18307}=0','System time is out of sync (diff with Zabbix server > {$SYSTEM.FUZZYTIME.MAX}s)','','0','2','The host system time is different from the Zabbix server time.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16038','{18310}<{$KERNEL.MAXFILES.MIN}','Configured max number of open filedescriptors is too low (< {$KERNEL.MAXFILES.MIN})','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16039','{18311}<{$KERNEL.MAXPROC.MIN}','Configured max number of processes is too low (< {$KERNEL.MAXPROC.MIN})','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16040','{18312}/{18313}*100>80','Getting closer to process limit (over 80% used)','','0','2','',NULL,'0','0','0','','0','','0','{ITEM.LASTVALUE1} active, {ITEM.LASTVALUE2} limit.','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16041','{18314}>0','/etc/passwd has been changed','','0','1','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16042','{18315}=1 and {18316}>0','Operating system description has changed','','0','1','Operating system description has changed. Possible reasons that system has been updated or replaced. Ack to close.',NULL,'0','0','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16069','{18355}>{$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"} and
(({18356}-{18357})<5G or {18358}<1d)','{#FSNAME}: Disk space is critically low (used > {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}%)','','0','3','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 5G.
 - The disk will be full in less than 24 hours.',NULL,'0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16070','{18359}>{$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"} and
(({18360}-{18361})<10G or {18362}<1d)','{#FSNAME}: Disk space is low (used > {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}%)','','0','2','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 10G.
 - The disk will be full in less than 24 hours.',NULL,'0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16071','{18363}<{$VFS.FS.INODE.PFREE.MIN.CRIT:"{#FSNAME}"}','{#FSNAME}: Running out of free inodes (free < {$VFS.FS.INODE.PFREE.MIN.CRIT:"{#FSNAME}"}%)','','0','3','It may become impossible to write to disk if there are no index nodes left.
As symptoms, ''No space left on device'' or ''Disk is full'' errors may be seen even though free space is available.',NULL,'0','2','0','','0','','0','Free inodes: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16072','{18364}<{$VFS.FS.INODE.PFREE.MIN.WARN:"{#FSNAME}"}','{#FSNAME}: Running out of free inodes (free < {$VFS.FS.INODE.PFREE.MIN.WARN:"{#FSNAME}"}%)','','0','2','It may become impossible to write to disk if there are no index nodes left.
As symptoms, ''No space left on device'' or ''Disk is full'' errors may be seen even though free space is available.',NULL,'0','2','0','','0','','0','Free inodes: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16074','{18366}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18367}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}: High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold',NULL,'0','2','1','{18368}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {18369}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16075','{$IFCONTROL:"{#IFNAME}"}=1 and ({18370}=2 and {18371}=1)','Interface {#IFNAME}: Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.',NULL,'0','2','1','{18370}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16076','{18372}<0 and {18373}>0
and
({18373}=6
or {18373}=1)
and
({18374}<>2)','Interface {#IFNAME}: Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.',NULL,'0','2','1','({18372}>0 and {18375}>0) or
({18374}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16097','{18423}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16098','{18424}>{$MEMORY.UTIL.MAX}','High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16099','{18425}<{$MEMORY.AVAILABLE.MIN} and {18426}>0','Lack of available memory ( < {$MEMORY.AVAILABLE.MIN} of {ITEM.VALUE2})','','0','3','',NULL,'0','0','0','','0','','0','Available: {ITEM.LASTVALUE1}, total: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16100','{18427}<{$SWAP.PFREE.MIN.WARN} and {18428}>0','High swap space usage ( less than {$SWAP.PFREE.MIN.WARN}% free)','','0','2','This trigger is ignored, if there is no swap configured',NULL,'0','0','0','','0','','0','Free: {ITEM.LASTVALUE1}, total: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16101','{18429}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','The host uptime is less than 10 minutes',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16102','{18430}=0','System time is out of sync (diff with Zabbix server > {$SYSTEM.FUZZYTIME.MAX}s)','','0','2','The host system time is different from the Zabbix server time.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16104','{18433}<{$KERNEL.MAXFILES.MIN}','Configured max number of open filedescriptors is too low (< {$KERNEL.MAXFILES.MIN})','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16105','{18434}<{$KERNEL.MAXPROC.MIN}','Configured max number of processes is too low (< {$KERNEL.MAXPROC.MIN})','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16106','{18435}/{18436}*100>80','Getting closer to process limit (over 80% used)','','0','2','',NULL,'0','0','0','','0','','0','{ITEM.LASTVALUE1} active, {ITEM.LASTVALUE2} limit.','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16107','{18437}>0','/etc/passwd has been changed','','0','1','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16108','{18438}=1 and {18439}>0','Operating system description has changed','','0','1','Operating system description has changed. Possible reasons that system has been updated or replaced. Ack to close.',NULL,'0','0','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16122','{18459}>{$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"} and
(({18460}-{18461})<5G or {18462}<1d)','{#FSNAME}: Disk space is critically low (used > {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}%)','','0','3','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 5G.
 - The disk will be full in less than 24 hours.',NULL,'0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16123','{18463}>{$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"} and
(({18464}-{18465})<10G or {18466}<1d)','{#FSNAME}: Disk space is low (used > {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}%)','','0','2','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 10G.
 - The disk will be full in less than 24 hours.',NULL,'0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16124','{18467}<{$VFS.FS.INODE.PFREE.MIN.CRIT:"{#FSNAME}"}','{#FSNAME}: Running out of free inodes (free < {$VFS.FS.INODE.PFREE.MIN.CRIT:"{#FSNAME}"}%)','','0','3','It may become impossible to write to disk if there are no index nodes left.
As symptoms, ''No space left on device'' or ''Disk is full'' errors may be seen even though free space is available.',NULL,'0','2','0','','0','','0','Free inodes: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16125','{18468}<{$VFS.FS.INODE.PFREE.MIN.WARN:"{#FSNAME}"}','{#FSNAME}: Running out of free inodes (free < {$VFS.FS.INODE.PFREE.MIN.WARN:"{#FSNAME}"}%)','','0','2','It may become impossible to write to disk if there are no index nodes left.
As symptoms, ''No space left on device'' or ''Disk is full'' errors may be seen even though free space is available.',NULL,'0','2','0','','0','','0','Free inodes: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16127','{18470}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18471}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}: High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold',NULL,'0','2','1','{18472}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {18473}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16128','{$IFCONTROL:"{#IFNAME}"}=1 and ({18474}=2 and {18475}=1)','Interface {#IFNAME}: Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.',NULL,'0','2','1','{18474}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16129','{18476}<0 and {18477}>0
and
({18477}=6
or {18477}=1)
and
({18478}<>2)','Interface {#IFNAME}: Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.',NULL,'0','2','1','({18476}>0 and {18479}>0) or
({18478}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16138','{18501}=1','node_exporter is not available (or no data for 30m)','','0','2','Failed to fetch system metrics from node_exporter in time.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16139','{18502}=0','System time is out of sync (diff with Zabbix server > {$SYSTEM.FUZZYTIME.MAX}s)','','0','2','The host system time is different from the Zabbix server time.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16141','{18505}<{$KERNEL.MAXFILES.MIN}','Configured max number of open filedescriptors is too low (< {$KERNEL.MAXFILES.MIN})','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16142','{18506}/{18507}*100>80','Running out of file descriptors (less than < 20% free)','','0','2','',NULL,'0','0','0','','0','','0','{ITEM.LASTVALUE1} of {ITEM.LASTVALUE2} file descriptors are in use.','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16143','{18508}=1 and {18509}>0','Operating system description has changed','','0','1','Operating system description has changed. Possible reasons that system has been updated or replaced. Ack to close.',NULL,'0','0','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16144','{18510}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','The device uptime is less than 10 minutes',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16146','{18513}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16147','{18514}>{$MEMORY.UTIL.MAX}','High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16148','{18515}<{$MEMORY.AVAILABLE.MIN} and {18516}>0','Lack of available memory ( < {$MEMORY.AVAILABLE.MIN} of {ITEM.VALUE2})','','0','3','',NULL,'0','0','0','','0','','0','Available: {ITEM.LASTVALUE1}, total: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16149','{18517}<{$SWAP.PFREE.MIN.WARN} and {18518}>0','High swap space usage ( less than {$SWAP.PFREE.MIN.WARN}% free)','','0','2','This trigger is ignored, if there is no swap configured',NULL,'0','0','0','','0','','0','Free: {ITEM.LASTVALUE1}, total: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16150','({18519}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18520} or
{18521}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18520}) and
{18520}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.',NULL,'0','2','1','{18519}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18520} and
{18521}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18520}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16151','{18522}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18523}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold',NULL,'0','2','1','{18524}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {18525}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16152','{18526}<0 and {18527}>0
and (
{18528}=6 or
{18528}=7 or
{18528}=11 or
{18528}=62 or
{18528}=69 or
{18528}=117
)
and
({18529}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.',NULL,'0','2','1','({18526}>0 and {18530}>0) or
({18529}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16153','{18531}<0 and {18532}>0
and
({18532}=6
or {18532}=1)
and
({18533}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.',NULL,'0','2','1','({18531}>0 and {18534}>0) or
({18533}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16154','{$IFCONTROL:"{#IFNAME}"}=1 and ({18535}=2 and {18536}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.',NULL,'0','2','1','{18535}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16155','{18537}>{$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"} and
(({18538}-{18539})<5G or {18540}<1d)','{#FSNAME}: Disk space is critically low (used > {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}%)','','0','3','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 5G.
 - The disk will be full in less than 24 hours.',NULL,'0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16156','{18541}>{$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"} and
(({18542}-{18543})<10G or {18544}<1d)','{#FSNAME}: Disk space is low (used > {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}%)','','0','2','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 10G.
 - The disk will be full in less than 24 hours.',NULL,'0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16157','{18545}<{$VFS.FS.INODE.PFREE.MIN.CRIT:"{#FSNAME}"}','{#FSNAME}: Running out of free inodes (free < {$VFS.FS.INODE.PFREE.MIN.CRIT:"{#FSNAME}"}%)','','0','3','It may become impossible to write to disk if there are no index nodes left.
As symptoms, ''No space left on device'' or ''Disk is full'' errors may be seen even though free space is available.',NULL,'0','2','0','','0','','0','Free inodes: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16158','{18546}<{$VFS.FS.INODE.PFREE.MIN.WARN:"{#FSNAME}"}','{#FSNAME}: Running out of free inodes (free < {$VFS.FS.INODE.PFREE.MIN.WARN:"{#FSNAME}"}%)','','0','2','It may become impossible to write to disk if there are no index nodes left.
As symptoms, ''No space left on device'' or ''Disk is full'' errors may be seen even though free space is available.',NULL,'0','2','0','','0','','0','Free inodes: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16160','{18548}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16161','{18549}>{$CPU.INTERRUPT.CRIT.MAX}','CPU interrupt time is too high (over {$CPU.INTERRUPT.CRIT.MAX}% for 5m)','','0','2',E'"The CPU Interrupt Time in the last 5 minutes exceeds {$CPU.INTERRUPT.CRIT.MAX}%."
The Processor Information\\% Interrupt Time is the time the processor spends receiving and servicing 
hardware interrupts during sample intervals. This value is an indirect indicator of the activity of 
devices that generate interrupts, such as the system clock, the mouse, disk drivers, data communication 
lines, network interface cards and other peripheral devices. This is an easy way to identify a potential 
hardware failure. This should never be higher than 20%.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16162','{18550}>{$CPU.PRIV.CRIT.MAX}','CPU privileged time is too high (over {$CPU.PRIV.CRIT.MAX}% for 5m)','','0','2','The CPU privileged time in the last 5 minutes exceeds {$CPU.PRIV.CRIT.MAX}%.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16164','{18552}>{$MEMORY.UTIL.MAX}','High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16165','{18553}<{$SWAP.PFREE.MIN.WARN} and {18554}>0','High swap space usage ( less than {$SWAP.PFREE.MIN.WARN}% free)','','0','2','This trigger is ignored, if there is no swap configured',NULL,'0','0','0','','0','','0','Free: {ITEM.LASTVALUE1}, total: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16166','{18555}<{$MEM.PAGE_TABLE_CRIT.MIN}','Number of free system page table entries is too low (less {$MEM.PAGE_TABLE_CRIT.MIN} for 5m)','','0','2','The Memory Free System Page Table Entries is less than {$MEM.PAGE_TABLE_CRIT.MIN} for 5 minutes. If the number is less than 5,000, there may well be a memory leak.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16167','{18556}>{$MEM.PAGE_SEC.CRIT.MAX}','The Memory Pages/sec is too high (over {$MEM.PAGE_SEC.CRIT.MAX} for 5m)','','0','2','The Memory Pages/sec in the last 5 minutes exceeds {$MEM.PAGE_SEC.CRIT.MAX}. If the value is greater than 1,000, as a result of excessive paging, there may be a memory leak.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16168','{18557}<10m','Host has been restarted (uptime < 10m)','','0','2','The device uptime is less than 10 minutes.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16169','{18558}=0','System time is out of sync (diff with Zabbix server > {$SYSTEM.FUZZYTIME.MAX}s)','','0','2','The host system time is different from the Zabbix server time.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16182','{18574}>{$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"} and
(({18575}-{18576})<5G or {18577}<1d)','{#FSNAME}: Disk space is critically low (used > {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}%)','','0','3','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 5G.
 - The disk will be full in less than 24 hours.',NULL,'0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16183','{18578}>{$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"} and
(({18579}-{18580})<10G or {18581}<1d)','{#FSNAME}: Disk space is low (used > {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}%)','','0','2','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 10G.
 - The disk will be full in less than 24 hours.',NULL,'0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16184','{18582}>{$VFS.DEV.UTIL.MAX.WARN}','{#DEVNAME}: Disk is overloaded (util > {$VFS.DEV.UTIL.MAX.WARN}% for 15m)','','0','2','The disk appears to be under heavy load',NULL,'0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16185','({18583}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18584} or
{18585}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18584}) and
{18584}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.',NULL,'0','2','1','{18583}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18584} and
{18585}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18584}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16186','{18586}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18587}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold',NULL,'0','2','1','{18588}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {18589}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16187','{18590}<0 and {18591}>0
and (
{18592}=6 or
{18592}=7 or
{18592}=11 or
{18592}=62 or
{18592}=69 or
{18592}=117
)
and
({18593}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.',NULL,'0','2','1','({18590}>0 and {18594}>0) or
({18593}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16188','{$IFCONTROL:"{#IFNAME}"}=1 and ({18595}=2 and {18596}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.',NULL,'0','2','1','{18595}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16196','{18620}=0','Zabbix agent is not available (for {$AGENT.TIMEOUT})','','0','3','For passive only agents, host availability is used with {$AGENT.TIMEOUT} as time threshold.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16197','{18621}=1','Zabbix agent is not available (or nodata for {$AGENT.NODATA_TIMEOUT})','','0','3','For active agents, nodata() with agent.ping is used with {$AGENT.NODATA_TIMEOUT} as time threshold.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16209','{18633}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16210','{18634}>{$CPU.INTERRUPT.CRIT.MAX}','CPU interrupt time is too high (over {$CPU.INTERRUPT.CRIT.MAX}% for 5m)','','0','2',E'"The CPU Interrupt Time in the last 5 minutes exceeds {$CPU.INTERRUPT.CRIT.MAX}%."
The Processor Information\\% Interrupt Time is the time the processor spends receiving and servicing 
hardware interrupts during sample intervals. This value is an indirect indicator of the activity of 
devices that generate interrupts, such as the system clock, the mouse, disk drivers, data communication 
lines, network interface cards and other peripheral devices. This is an easy way to identify a potential 
hardware failure. This should never be higher than 20%.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16211','{18635}>{$CPU.PRIV.CRIT.MAX}','CPU privileged time is too high (over {$CPU.PRIV.CRIT.MAX}% for 5m)','','0','2','The CPU privileged time in the last 5 minutes exceeds {$CPU.PRIV.CRIT.MAX}%.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16213','{18637}>{$MEMORY.UTIL.MAX}','High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16214','{18638}<{$SWAP.PFREE.MIN.WARN} and {18639}>0','High swap space usage ( less than {$SWAP.PFREE.MIN.WARN}% free)','','0','2','This trigger is ignored, if there is no swap configured',NULL,'0','0','0','','0','','0','Free: {ITEM.LASTVALUE1}, total: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16215','{18640}<{$MEM.PAGE_TABLE_CRIT.MIN}','Number of free system page table entries is too low (less {$MEM.PAGE_TABLE_CRIT.MIN} for 5m)','','0','2','The Memory Free System Page Table Entries is less than {$MEM.PAGE_TABLE_CRIT.MIN} for 5 minutes. If the number is less than 5,000, there may well be a memory leak.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16216','{18641}>{$MEM.PAGE_SEC.CRIT.MAX}','The Memory Pages/sec is too high (over {$MEM.PAGE_SEC.CRIT.MAX} for 5m)','','0','2','The Memory Pages/sec in the last 5 minutes exceeds {$MEM.PAGE_SEC.CRIT.MAX}. If the value is greater than 1,000, as a result of excessive paging, there may be a memory leak.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16217','{18642}<10m','Host has been restarted (uptime < 10m)','','0','2','The device uptime is less than 10 minutes.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16218','{18643}=0','System time is out of sync (diff with Zabbix server > {$SYSTEM.FUZZYTIME.MAX}s)','','0','2','The host system time is different from the Zabbix server time.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16231','{18659}>{$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"} and
(({18660}-{18661})<5G or {18662}<1d)','{#FSNAME}: Disk space is critically low (used > {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}%)','','0','3','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 5G.
 - The disk will be full in less than 24 hours.',NULL,'0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16232','{18663}>{$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"} and
(({18664}-{18665})<10G or {18666}<1d)','{#FSNAME}: Disk space is low (used > {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}%)','','0','2','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 10G.
 - The disk will be full in less than 24 hours.',NULL,'0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16233','{18667}>{$VFS.DEV.UTIL.MAX.WARN}','{#DEVNAME}: Disk is overloaded (util > {$VFS.DEV.UTIL.MAX.WARN}% for 15m)','','0','2','The disk appears to be under heavy load',NULL,'0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16234','({18668}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18669} or
{18670}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18669}) and
{18669}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.',NULL,'0','2','1','{18668}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18669} and
{18670}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18669}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16235','{18671}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18672}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold',NULL,'0','2','1','{18673}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {18674}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16236','{18675}<0 and {18676}>0
and (
{18677}=6 or
{18677}=7 or
{18677}=11 or
{18677}=62 or
{18677}=69 or
{18677}=117
)
and
({18678}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.',NULL,'0','2','1','({18675}>0 and {18679}>0) or
({18678}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16237','{$IFCONTROL:"{#IFNAME}"}=1 and ({18680}=2 and {18681}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.',NULL,'0','2','1','{18680}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16250','{18711}>0','RabbitMQ: Number of network partitions is too high (more than 0 for 5m)','','0','2','https://www.rabbitmq.com/partitions.html#detecting',NULL,'0','0','0','','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16251','{18712}=0','RabbitMQ: Node is not running','','0','3','RabbitMQ node is not running',NULL,'0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16254','{18715}<10m','RabbitMQ: has been restarted (uptime < 10m)','','0','1','Uptime is less than 10 minutes',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16255','{18716}=0','RabbitMQ: Process is not running','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16256','{18717}=0','RabbitMQ: Service is down','','0','3','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16257','{18718}>{$RABBITMQ.RESPONSE_TIME.MAX.WARN}','RabbitMQ: Service response time is too high (over {$RABBITMQ.RESPONSE_TIME.MAX.WARN}s for 5m)','','0','2','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16258','{18719}>{$RABBITMQ.MESSAGES.MAX.WARN:"{#QUEUE}"}','RabbitMQ: Too many messages in queue (over {$RABBITMQ.MESSAGES.MAX.WARN} for 5m)','','0','2','',NULL,'0','2','0','','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16259','{18720}=1','RabbitMQ: Failed to fetch overview data (or no data for 30m)','','0','2','Zabbix has not received data for items for the last 30 minutes',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16264','{18726}>0','RabbitMQ: Number of network partitions is too high (more than 0 for 5m)','','0','2','https://www.rabbitmq.com/partitions.html#detecting',NULL,'0','0','0','','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16265','{18727}=0','RabbitMQ: Node is not running','','0','3','RabbitMQ node is not running',NULL,'0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16268','{18730}<10m','RabbitMQ: has been restarted (uptime < 10m)','','0','1','Uptime is less than 10 minutes',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16269','{18731}=0','RabbitMQ: Service is down','','0','3','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16270','{18732}>{$RABBITMQ.RESPONSE_TIME.MAX.WARN}','RabbitMQ: Service response time is too high (over {$RABBITMQ.RESPONSE_TIME.MAX.WARN}s for 5m)','','0','2','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16271','{18733}>{$RABBITMQ.MESSAGES.MAX.WARN:"{#QUEUE}"}','RabbitMQ: Too many messages in queue (over {$RABBITMQ.MESSAGES.MAX.WARN} for 5m)','','0','2','',NULL,'0','2','0','','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16272','{18734}>75','Zabbix alert syncer processes more than 75% busy','','0','3','',NULL,'0','0','1','{18734}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16273','{18735}>75','Zabbix alert syncer processes more than 75% busy','','0','3','',NULL,'0','0','1','{18735}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16275','{18737}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16277','{18740}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.',NULL,'0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16287','{18753}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16289','{18756}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.',NULL,'0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16377','({18873}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18874} or
{18875}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18874}) and
{18874}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.',NULL,'0','2','1','{18873}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18874} and
{18875}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18874}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16378','{18876}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18877}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold',NULL,'0','2','1','{18878}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {18879}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16379','({18880}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18881} or
{18882}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18881}) and
{18881}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.',NULL,'0','2','1','{18880}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18881} and
{18882}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18881}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16380','{18883}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18884}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold',NULL,'0','2','1','{18885}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {18886}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16423','({19034}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{19035} or
{19036}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{19035}) and
{19035}>0','Interface {#IFDESCR}: High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.',NULL,'0','2','1','{19034}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{19035} and
{19036}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{19035}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16424','{19037}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {19038}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFDESCR}: High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold',NULL,'0','2','1','{19039}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {19040}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16429','({19055}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{19056} or
{19057}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{19056}) and
{19056}>0','Interface {#IFDESCR}: High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.',NULL,'0','2','1','{19055}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{19056} and
{19057}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{19056}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16430','{19058}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {19059}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFDESCR}: High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold',NULL,'0','2','1','{19060}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {19061}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16435','({19076}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{19077} or
{19078}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{19077}) and
{19077}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.',NULL,'0','2','1','{19076}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{19077} and
{19078}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{19077}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16436','{19079}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {19080}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold',NULL,'0','2','1','{19081}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {19082}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16439','{19090}=1','System status is in critical state','','0','4','Please check the device for errors',NULL,'0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16440','{19091}=1','System status is in warning state','','0','2','Please check the device for warnings',NULL,'0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16442','{19093}=1','RabbitMQ: Failed to fetch overview data (or no data for 30m)','','0','2','Zabbix has not received data for items for the last 30 minutes',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16443','{19094}=1','RabbitMQ: Failed to fetch nodes data (or no data for 30m)','','0','2','Zabbix has not received data for items for the last 30 minutes.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16444','{19095}=0','RabbitMQ: Node healthcheck failed','','0','3','https://www.rabbitmq.com/monitoring.html#health-checks',NULL,'0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16445','{19096}=1 and {19097}>0','RabbitMQ: Version has changed (new version: {ITEM.VALUE})','','0','1','RabbitMQ version has changed. Ack to close.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16446','{19098}=1','RabbitMQ: Memory alarm (Memory usage threshold has been reached)','','0','3','https://www.rabbitmq.com/memory.html',NULL,'0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16447','{19099}=1','RabbitMQ: Free disk space alarm (Free space threshold has been reached)','','0','3','https://www.rabbitmq.com/disk-alarms.html',NULL,'0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16448','{19100}=1','RabbitMQ: Failed to fetch nodes data (or no data for 30m)','','0','2','Zabbix has not received data for items for the last 30 minutes.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16449','{19101}=0','RabbitMQ: Node healthcheck failed','','0','3','https://www.rabbitmq.com/monitoring.html#health-checks',NULL,'0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16450','{19102}=1 and {19103}>0','RabbitMQ: Version has changed (new version: {ITEM.VALUE})','','0','1','RabbitMQ version has changed. Ack to close.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16451','{19104}=1','RabbitMQ: Memory alarm (Memory usage threshold has been reached)','','0','3','https://www.rabbitmq.com/memory.html',NULL,'0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16452','{19105}=1','RabbitMQ: Free disk space alarm (Free space threshold has been reached)','','0','3','https://www.rabbitmq.com/disk-alarms.html',NULL,'0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16459','{19113}>{$TEMP_WARN:"Ambient"}','{#SENSOR_LOCATION}.Ambient: Temperature is above warning threshold: >{$TEMP_WARN:"Ambient"}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{19114}<{$TEMP_WARN:"Ambient"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16460','{19115}>{$TEMP_CRIT:"Ambient"}','{#SENSOR_LOCATION}.Ambient: Temperature is above critical threshold: >{$TEMP_CRIT:"Ambient"}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{19116}<{$TEMP_CRIT:"Ambient"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16461','{19117}<{$TEMP_CRIT_LOW:"Ambient"}','{#SENSOR_LOCATION}.Ambient: Temperature is too low: <{$TEMP_CRIT_LOW:"Ambient"}','','0','3','',NULL,'0','2','1','{19118}>{$TEMP_CRIT_LOW:"Ambient"}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16462','{19119}>{$TEMP_WARN:"Ambient"}','{#SENSOR_LOCATION}.Front: Temperature is above warning threshold: >{$TEMP_WARN:"Ambient"}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{19120}<{$TEMP_WARN:"Ambient"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16463','{19121}>{$TEMP_CRIT:"Ambient"}','{#SENSOR_LOCATION}.Front: Temperature is above critical threshold: >{$TEMP_CRIT:"Ambient"}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{19122}<{$TEMP_CRIT:"Ambient"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16464','{19123}<{$TEMP_CRIT_LOW:"Ambient"}','{#SENSOR_LOCATION}.Front: Temperature is too low: <{$TEMP_CRIT_LOW:"Ambient"}','','0','3','',NULL,'0','2','1','{19124}>{$TEMP_CRIT_LOW:"Ambient"}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16465','{19125}>{$TEMP_WARN:"Ambient"}','{#SENSOR_LOCATION}.Rear: Temperature is above warning threshold: >{$TEMP_WARN:"Ambient"}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{19126}<{$TEMP_WARN:"Ambient"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16466','{19127}>{$TEMP_CRIT:"Ambient"}','{#SENSOR_LOCATION}.Rear: Temperature is above critical threshold: >{$TEMP_CRIT:"Ambient"}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{19128}<{$TEMP_CRIT:"Ambient"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16467','{19129}<{$TEMP_CRIT_LOW:"Ambient"}','{#SENSOR_LOCATION}.Rear: Temperature is too low: <{$TEMP_CRIT_LOW:"Ambient"}','','0','3','',NULL,'0','2','1','{19130}>{$TEMP_CRIT_LOW:"Ambient"}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16468','{19131}>{$TEMP_WARN:"Ambient"}','{#SENSOR_LOCATION}.IOH: Temperature is above warning threshold: >{$TEMP_WARN:"Ambient"}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{19132}<{$TEMP_WARN:"Ambient"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16469','{19133}>{$TEMP_CRIT:"Ambient"}','{#SENSOR_LOCATION}.IOH: Temperature is above critical threshold: >{$TEMP_CRIT:"Ambient"}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{19134}<{$TEMP_CRIT:"Ambient"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16470','{19135}<{$TEMP_CRIT_LOW:"Ambient"}','{#SENSOR_LOCATION}.IOH: Temperature is too low: <{$TEMP_CRIT_LOW:"Ambient"}','','0','3','',NULL,'0','2','1','{19136}>{$TEMP_CRIT_LOW:"Ambient"}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16471','{19137}>{$TEMP_WARN:"CPU"}','{#SENSOR_LOCATION}: Temperature is above warning threshold: >{$TEMP_WARN:"CPU"}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{19138}<{$TEMP_WARN:"CPU"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16472','{19139}>{$TEMP_CRIT:"CPU"}','{#SENSOR_LOCATION}: Temperature is above critical threshold: >{$TEMP_CRIT:"CPU"}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{19140}<{$TEMP_CRIT:"CPU"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16473','{19141}<{$TEMP_CRIT_LOW:"CPU"}','{#SENSOR_LOCATION}: Temperature is too low: <{$TEMP_CRIT_LOW:"CPU"}','','0','3','',NULL,'0','2','1','{19142}>{$TEMP_CRIT_LOW:"CPU"}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16474','{19143}=1','{#PSU_LOCATION}: Power supply is in critical state','','0','3','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16475','{19144}=1','{#PSU_LOCATION}: Power supply is in warning state','','0','2','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16476','{19145}=1 or {19146}=1 or {19147}=1 or {19148}=1','{#UNIT_LOCATION}: System status is in critical state','','0','4','Please check the device for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16477','{19149}=1 or {19150}=1 or {19151}=1 or {19152}=1 or {19153}=1','{#UNIT_LOCATION}: System status is in warning state','','0','2','Please check the device for warnings',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16478','{19154}=1 and {19155}>0','{#UNIT_LOCATION}: Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close',NULL,'0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16479','{19156}=1','{#FAN_LOCATION}: Fan is in critical state','','0','3','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16480','{19157}=1','{#FAN_LOCATION}: Fan is in warning state','','0','2','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16481','{19158}=1','{#DISK_LOCATION}: Physical disk failed','','0','4','Please check physical disk for warnings or errors',NULL,'0','2','0','','0','','0','Current status: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16482','{19159}=1 or {19160}=1','{#DISK_LOCATION}: Physical disk error','','0','3','Please check physical disk for warnings or errors',NULL,'0','2','0','','0','','0','Current status: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16483','{19161}=1','{#VDISK_LOCATION}: Virtual disk is not in OK state','','0','2','Please check virtual disk for warnings or errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16484','{19162}=1','{#DISKARRAY_LOCATION}: Disk array controller is in critical state','','0','4','Please check the device for faults',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16485','{19163}=1','{#DISKARRAY_LOCATION}: Disk array controller is in warning state','','0','3','Please check the device for faults',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16486','{19164}=1','{#DISKARRAY_LOCATION}: Disk array controller is not in optimal state','','0','2','Please check the device for faults',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16487','{19165}=1','{#DISKARRAY_CACHE_LOCATION}: Disk array cache controller battery is in critical state!','','0','3','Please check the device for faults',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16488','{19166}=1','{#DISKARRAY_CACHE_LOCATION}: Disk array cache controller battery is not in optimal state','','0','2','Please check the device for faults',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16491','{19171}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16492','{19172}=1 and {19173}>0','Operating system description has changed','','0','1','Operating system description has changed. Possible reasons that system has been updated or replaced. Ack to close.',NULL,'0','0','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16493','{19174}>{$MEMORY.UTIL.MAX}','High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16494','{19175}=1','#{#SNMPINDEX}: Power supply is in critical state','','0','3','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16495','{19176}=1','#{#SNMPINDEX}: Power supply is in critical state','','0','3','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16496','{19177}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16497','{19178}>{$MEMORY.UTIL.MAX}','High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16498','{19179}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16499','{19180}>{$MEMORY.UTIL.MAX}','High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16504','{19185}>{$TEMP_WARN:"Chassis"}','Chassis #{#SNMPINDEX}: Temperature is above warning threshold: >{$TEMP_WARN:"Chassis"}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{19186}<{$TEMP_WARN:"Chassis"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16505','{19187}>{$TEMP_CRIT:"Chassis"}','Chassis #{#SNMPINDEX}: Temperature is above critical threshold: >{$TEMP_CRIT:"Chassis"}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','2','1','{19188}<{$TEMP_CRIT:"Chassis"}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16506','{19189}<{$TEMP_CRIT_LOW:"Chassis"}','Chassis #{#SNMPINDEX}: Temperature is too low: <{$TEMP_CRIT_LOW:"Chassis"}','','0','3','',NULL,'0','2','1','{19190}>{$TEMP_CRIT_LOW:"Chassis"}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16507','{19191}=1 and {19192}>0','Operating system description has changed','','0','1','Operating system description has changed. Possible reasons that system has been updated or replaced. Ack to close.',NULL,'0','0','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16508','{19193}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16513','{19201}>{$MEMORY.UTIL.MAX}','{#SNMPVALUE}: High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16514','{19202}>{$CPU.UTIL.CRIT}','{#SNMPVALUE}: High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','2','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16515','{19203}>{$CPU.UTIL.CRIT}','#{#SNMPINDEX}: High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','2','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16521','{19209}>{$CPU.UTIL.CRIT}','#{#SNMPINDEX}: High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','2','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16522','{19210}>{$MEMORY.UTIL.MAX}','#{#SNMPINDEX}: High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16523','{19211}=1 and {19212}>0','#{#SNMPVALUE}: Operating system description has changed','','0','1','Operating system description has changed. Possible reasons that system has been updated or replaced. Ack to close.',NULL,'0','2','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16524','{19213}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16525','{19214}=1 and {19215}>0','Operating system description has changed','','0','1','Operating system description has changed. Possible reasons that system has been updated or replaced. Ack to close.',NULL,'0','0','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16526','{19216}>{$MEMORY.UTIL.MAX}','{#SNMPINDEX}: High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16527','{19217}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16528','{19218}>{$MEMORY.UTIL.MAX}','#{#SNMPVALUE}: High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16529','{19219}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16530','{19220}=1 and {19221}>0','Operating system description has changed','','0','1','Operating system description has changed. Possible reasons that system has been updated or replaced. Ack to close.',NULL,'0','0','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16531','{19222}>{$MEMORY.UTIL.MAX}','#{#SNMPVALUE}: High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16532','{19223}=1 and {19224}>0','{#ENT_NAME}: Operating system description has changed','','0','1','Operating system description has changed. Possible reasons that system has been updated or replaced. Ack to close.',NULL,'0','2','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16533','{19225}>{$CPU.UTIL.CRIT}','{#MODULE_NAME}: High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','2','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16534','{19226}>{$MEMORY.UTIL.MAX}','{#MODULE_NAME}: High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16535','{19227}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16536','{19228}>{$MEMORY.UTIL.MAX}','#{#SNMPVALUE}: High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16537','{19229}>{$CPU.UTIL.CRIT}','{#ENT_NAME}: High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','2','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16538','{19230}=1 and {19231}>0','{#ENT_NAME}: Operating system description has changed','','0','1','Operating system description has changed. Possible reasons that system has been updated or replaced. Ack to close.',NULL,'0','2','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16539','{19232}>{$MEMORY.UTIL.MAX}','{#ENT_NAME}: High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16540','{19233}=1 and {19234}>0','Operating system description has changed','','0','1','Operating system description has changed. Possible reasons that system has been updated or replaced. Ack to close.',NULL,'0','0','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16541','{19235}>{$CPU.UTIL.CRIT}','{#SNMPVALUE}: High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','2','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16542','{19236}>{$MEMORY.UTIL.MAX}','{#SNMPVALUE}: High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16543','{19237}=1 and {19238}>0','Operating system description has changed','','0','1','Operating system description has changed. Possible reasons that system has been updated or replaced. Ack to close.',NULL,'0','0','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16544','{19239}>{$MEMORY.UTIL.MAX}','High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16545','{19240}>{$CPU.UTIL.CRIT}','#{#SNMPINDEX}: High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','2','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16546','{19241}>{$VFS.FS.PUSED.MAX.CRIT:"Disk-{#SNMPINDEX}"} and
(({19242}-{19243})<5G or {19244}<1d)','Disk-{#SNMPINDEX}: Disk space is critically low (used > {$VFS.FS.PUSED.MAX.CRIT:"Disk-{#SNMPINDEX}"}%)','','0','3','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.CRIT:"Disk-{#SNMPINDEX}"}.
 Second condition should be one of the following:
 - The disk free space is less than 5G.
 - The disk will be full in less than 24 hours.',NULL,'0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16547','{19245}>{$VFS.FS.PUSED.MAX.WARN:"Disk-{#SNMPINDEX}"} and
(({19246}-{19247})<10G or {19248}<1d)','Disk-{#SNMPINDEX}: Disk space is low (used > {$VFS.FS.PUSED.MAX.WARN:"Disk-{#SNMPINDEX}"}%)','','0','2','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.WARN:"Disk-{#SNMPINDEX}"}.
 Second condition should be one of the following:
 - The disk free space is less than 10G.
 - The disk will be full in less than 24 hours.',NULL,'0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16548','{19249}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16549','{19250}=1 and {19251}>0','Operating system description has changed','','0','1','Operating system description has changed. Possible reasons that system has been updated or replaced. Ack to close.',NULL,'0','0','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16550','{19252}>{$MEMORY.UTIL.MAX}','High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16551','{19253}>{$TEMP_WARN:""}','Temperature is above warning threshold: >{$TEMP_WARN:""}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','0','1','{19254}<{$TEMP_WARN:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16552','{19255}>{$TEMP_CRIT:""}','Temperature is above critical threshold: >{$TEMP_CRIT:""}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available',NULL,'0','0','1','{19256}<{$TEMP_CRIT:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16553','{19257}<{$TEMP_CRIT_LOW:""}','Temperature is too low: <{$TEMP_CRIT_LOW:""}','','0','3','',NULL,'0','0','1','{19258}>{$TEMP_CRIT_LOW:""}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16554','{19259}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16555','{19260}=1 and {19261}>0','Operating system description has changed','','0','1','Operating system description has changed. Possible reasons that system has been updated or replaced. Ack to close.',NULL,'0','0','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16556','{19262}>{$MEMORY.UTIL.MAX}','High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16557','{19263}=1','{#SNMPINDEX}: Fan is in critical state','','0','3','Please check the fan unit',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16558','{19264}=1','{#SNMPINDEX}: Power supply is in critical state','','0','3','Please check the power supply unit for errors',NULL,'0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16559','{19265}>{$CPU.UTIL.CRIT}','#{#SNMPVALUE}: High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','2','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16560','{19266}>{$MEMORY.UTIL.MAX}','#{#SNMPVALUE}: High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16561','{19267}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16562','{19268}>{$MEMORY.UTIL.MAX}','High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16563','{19269}/{19270}>{$LOAD_AVG_PER_CPU.MAX.WARN}
and {19271}>0
and {19272}>0','Load average is too high (per CPU load over {$LOAD_AVG_PER_CPU.MAX.WARN} for 5m)','','0','3','Per CPU load average is too high. Your system may be slow to respond.',NULL,'0','0','0','','0','','0','Load averages(1m 5m 15m): ({ITEM.LASTVALUE1} {ITEM.LASTVALUE3} {ITEM.LASTVALUE4}), # of CPUs: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16569','{19287}/{19288}>{$LOAD_AVG_PER_CPU.MAX.WARN}
and {19289}>0
and {19290}>0','Load average is too high (per CPU load over {$LOAD_AVG_PER_CPU.MAX.WARN} for 5m)','','0','3','Per CPU load average is too high. Your system may be slow to respond.',NULL,'0','0','0','','0','','0','Load averages(1m 5m 15m): ({ITEM.LASTVALUE1} {ITEM.LASTVALUE3} {ITEM.LASTVALUE4}), # of CPUs: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16573','{19299}/{19300}>{$LOAD_AVG_PER_CPU.MAX.WARN}
and {19301}>0
and {19302}>0','Load average is too high (per CPU load over {$LOAD_AVG_PER_CPU.MAX.WARN} for 5m)','','0','3','Per CPU load average is too high. Your system may be slow to respond.',NULL,'0','0','0','','0','','0','Load averages(1m 5m 15m): ({ITEM.LASTVALUE1} {ITEM.LASTVALUE3} {ITEM.LASTVALUE4}), # of CPUs: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16575','{19305}/{19306}>{$LOAD_AVG_PER_CPU.MAX.WARN}
and {19307}>0
and {19308}>0','Load average is too high (per CPU load over {$LOAD_AVG_PER_CPU.MAX.WARN} for 5m)','','0','3','Per CPU load average is too high. Your system may be slow to respond.',NULL,'0','0','0','','0','','0','Load averages(1m 5m 15m): ({ITEM.LASTVALUE1} {ITEM.LASTVALUE3} {ITEM.LASTVALUE4}), # of CPUs: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16577','{19313}=1 and {19314}>0','Operating system description has changed','','0','1','Operating system description has changed. Possible reasons that system has been updated or replaced. Ack to close.',NULL,'0','0','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16579','{19316}=1 and {19317}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16582','{19322}=1 and {19323}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16584','{19326}=1 and {19327}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16585','{19328}=1 and {19329}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16587','{19332}=1 and {19333}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16589','{19336}=1 and {19337}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16593','{19344}=1 and {19345}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16624','{19406}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16629','{19411}>{$MEMORY.UTIL.MAX}','{#MEMNAME}: High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16630','{19412}>{$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"} and
(({19413}-{19414})<5G or {19415}<1d)','{#FSNAME}: Disk space is critically low (used > {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}%)','','0','3','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 5G.
 - The disk will be full in less than 24 hours.',NULL,'0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16631','{19416}>{$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"} and
(({19417}-{19418})<10G or {19419}<1d)','{#FSNAME}: Disk space is low (used > {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}%)','','0','2','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 10G.
 - The disk will be full in less than 24 hours.',NULL,'0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16644','{19456}<10m','HAProxy: has been restarted (uptime < 10m)','','0','1','Uptime is less than 10 minutes',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16645','{19457}=1 and {19458}>0','HAProxy: Version has changed (new version: {ITEM.VALUE})','','0','1','HAProxy version has changed. Ack to close.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16646','{19459}>{$HAPROXY.RESPONSE_TIME.MAX.WARN}','HAProxy: Service response time is too high (over {$HAPROXY.RESPONSE_TIME.MAX.WARN} for 5m)','','0','2','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16647','{19460}=0','HAProxy: Service is down','','0','3','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16648','{19461}>{$HAPROXY.BACK_ERESP.MAX.WARN}','HAProxy backend {#PXNAME}: Number of responses with error is more than {$HAPROXY.BACK_ERESP.MAX.WARN} for 5m','','0','2','Number of requests on backend, whose responses yielded an error, is more than {$HAPROXY.BACK_ERESP.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16649','{19462}>{$HAPROXY.BACK_QCUR.MAX.WARN}','HAProxy backend {#PXNAME}: Current number of requests unassigned in queue is more than {$HAPROXY.BACK_QCUR.MAX.WARN} for 5m','','0','2','Current number of requests on backend unassigned in queue is more than {$HAPROXY.BACK_QCUR.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16650','{19463}>{$HAPROXY.BACK_QTIME.MAX.WARN}','HAProxy backend {#PXNAME}: Average time spent in queue is more than {$HAPROXY.BACK_QTIME.MAX.WARN} for 5m','','0','2','Average time spent in queue (in ms) for the last 1,024 requests is more than {$HAPROXY.BACK_QTIME.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16651','{19464}>{$HAPROXY.BACK_RTIME.MAX.WARN}','HAProxy backend {#PXNAME}: Average response time is more than {$HAPROXY.BACK_RTIME.MAX.WARN} for 5m','','0','2','Average backend response time (in ms) for the last 1,024 requests is more than {$HAPROXY.BACK_RTIME.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16652','{19465}=0','HAProxy backend {#PXNAME}: Server is DOWN','','0','3','Backend is not available.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16653','{19466}>{$HAPROXY.FRONT_DREQ.MAX.WARN}','HAProxy frontend {#PXNAME}: Number of requests denied is more than {$HAPROXY.FRONT_DREQ.MAX.WARN} for 5m','','0','2','Number of requests denied due to security concerns (ACL-restricted) is more than {$HAPROXY.FRONT_DREQ.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16654','{19467}>{$HAPROXY.FRONT_EREQ.MAX.WARN}','HAProxy frontend {#PXNAME}: Number of request errors is more than {$HAPROXY.FRONT_EREQ.MAX.WARN} for 5m','','0','2','Number of request errors is more than {$HAPROXY.FRONT_EREQ.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16655','{19468}>{$HAPROXY.FRONT_SUTIL.MAX.WARN}','HAProxy frontend {#PXNAME}: Session utilization is more than {$HAPROXY.FRONT_SUTIL.MAX.WARN}% for 5m','','0','2','Alerting on this metric is essential to ensure your server has sufficient capacity to handle all concurrent sessions. Unlike requests, upon reaching the session limit HAProxy will deny additional clients until resource consumption drops. Furthermore, if you find your session usage percentage to be hovering above 80%, it could be time to either modify HAProxy’s configuration to allow more sessions, or migrate your HAProxy server to a bigger box.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16656','{19469}>{$HAPROXY.SERVER_ERESP.MAX.WARN}','HAProxy {#PXNAME} {#SVNAME}: Number of responses with error is more than {$HAPROXY.SERVER_ERESP.MAX.WARN} for 5m','','0','2','Number of requests on server, whose responses yielded an error, is more than {$HAPROXY.SERVER_ERESP.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16657','{19470}>{$HAPROXY.SERVER_QCUR.MAX.WARN}','HAProxy {#PXNAME} {#SVNAME}: Current number of requests unassigned in queue is more than {$HAPROXY.SERVER_QCUR.MAX.WARN} for 5m','','0','2','Current number of requests unassigned in queue is more than {$HAPROXY.SERVER_QCUR.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16658','{19471}>{$HAPROXY.SERVER_QTIME.MAX.WARN}','HAProxy {#PXNAME} {#SVNAME}: Average time spent in queue is more than {$HAPROXY.SERVER_QTIME.MAX.WARN} for 5m','','0','2','Average time spent in queue (in ms) for the last 1,024 requests is more than {$HAPROXY.SERVER_QTIME.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16659','{19472}>{$HAPROXY.SERVER_RTIME.MAX.WARN}','HAProxy {#PXNAME} {#SVNAME}: Average response time is more than {$HAPROXY.SERVER_RTIME.MAX.WARN} for 5m','','0','2','Average server response time (in ms) for the last 1,024 requests is more than {$HAPROXY.SERVER_RTIME.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16660','{19473}=0','HAProxy {#PXNAME} {#SVNAME}: Server is DOWN','','0','2','Server is not available.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16661','{19474}<10m','HAProxy: has been restarted (uptime < 10m)','','0','1','Uptime is less than 10 minutes',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16662','{19475}=1 and {19476}>0','HAProxy: Version has changed (new version: {ITEM.VALUE})','','0','1','HAProxy version has changed. Ack to close.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16665','{19479}>{$HAPROXY.BACK_ERESP.MAX.WARN}','HAProxy backend {#PXNAME}: Number of responses with error is more than {$HAPROXY.BACK_ERESP.MAX.WARN} for 5m','','0','2','Number of requests on backend, whose responses yielded an error, is more than {$HAPROXY.BACK_ERESP.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16666','{19480}>{$HAPROXY.BACK_QCUR.MAX.WARN}','HAProxy backend {#PXNAME}: Current number of requests unassigned in queue is more than {$HAPROXY.BACK_QCUR.MAX.WARN} for 5m','','0','2','Current number of requests on backend unassigned in queue is more than {$HAPROXY.BACK_QCUR.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16667','{19481}>{$HAPROXY.BACK_QTIME.MAX.WARN}','HAProxy backend {#PXNAME}: Average time spent in queue is more than {$HAPROXY.BACK_QTIME.MAX.WARN} for 5m','','0','2','Average time spent in queue (in ms) for the last 1,024 requests is more than {$HAPROXY.BACK_QTIME.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16668','{19482}>{$HAPROXY.BACK_RTIME.MAX.WARN}','HAProxy backend {#PXNAME}: Average response time is more than {$HAPROXY.BACK_RTIME.MAX.WARN} for 5m','','0','2','Average backend response time (in ms) for the last 1,024 requests is more than {$HAPROXY.BACK_RTIME.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16669','{19483}=0','HAProxy backend {#PXNAME}: Server is DOWN','','0','3','Backend is not available.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16670','{19484}>{$HAPROXY.FRONT_DREQ.MAX.WARN}','HAProxy frontend {#PXNAME}: Number of requests denied is more than {$HAPROXY.FRONT_DREQ.MAX.WARN} for 5m','','0','2','Number of requests denied due to security concerns (ACL-restricted) is more than {$HAPROXY.FRONT_DREQ.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16671','{19485}>{$HAPROXY.FRONT_EREQ.MAX.WARN}','HAProxy frontend {#PXNAME}: Number of request errors is more than {$HAPROXY.FRONT_EREQ.MAX.WARN} for 5m','','0','2','Number of request errors is more than {$HAPROXY.FRONT_EREQ.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16672','{19486}>{$HAPROXY.FRONT_SUTIL.MAX.WARN}','HAProxy frontend {#PXNAME}: Session utilization is more than {$HAPROXY.FRONT_SUTIL.MAX.WARN}% for 5m','','0','2','Alerting on this metric is essential to ensure your server has sufficient capacity to handle all concurrent sessions. Unlike requests, upon reaching the session limit HAProxy will deny additional clients until resource consumption drops. Furthermore, if you find your session usage percentage to be hovering above 80%, it could be time to either modify HAProxy’s configuration to allow more sessions, or migrate your HAProxy server to a bigger box.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16673','{19487}>{$HAPROXY.SERVER_ERESP.MAX.WARN}','HAProxy {#PXNAME} {#SVNAME}: Number of responses with error is more than {$HAPROXY.SERVER_ERESP.MAX.WARN} for 5m','','0','2','Number of requests on server, whose responses yielded an error, is more than {$HAPROXY.SERVER_ERESP.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16674','{19488}>{$HAPROXY.SERVER_QCUR.MAX.WARN}','HAProxy {#PXNAME} {#SVNAME}: Current number of requests unassigned in queue is more than {$HAPROXY.SERVER_QCUR.MAX.WARN} for 5m','','0','2','Current number of requests unassigned in queue is more than {$HAPROXY.SERVER_QCUR.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16675','{19489}>{$HAPROXY.SERVER_QTIME.MAX.WARN}','HAProxy {#PXNAME} {#SVNAME}: Average time spent in queue is more than {$HAPROXY.SERVER_QTIME.MAX.WARN} for 5m','','0','2','Average time spent in queue (in ms) for the last 1,024 requests is more than {$HAPROXY.SERVER_QTIME.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16676','{19490}>{$HAPROXY.SERVER_RTIME.MAX.WARN}','HAProxy {#PXNAME} {#SVNAME}: Average response time is more than {$HAPROXY.SERVER_RTIME.MAX.WARN} for 5m','','0','2','Average server response time (in ms) for the last 1,024 requests is more than {$HAPROXY.SERVER_RTIME.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16677','{19491}=0','HAProxy {#PXNAME} {#SVNAME}: Server is DOWN','','0','2','Server is not available.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16678','{19492}=0 or
 {19493}=1','Nginx: Failed to fetch stub status page (or no data for 30m)','','0','2','Zabbix has not received data for items for the last 30 minutes.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16679','{19494}=0 or
 {19495}=1','Nginx: Failed to fetch stub status page (or no data for 30m)','','0','2','Zabbix has not received data for items for the last 30 minutes.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16680','{19496} > {$PG.DEADLOCKS.MAX.WARN:"{#DBNAME}"}','Database {#DBNAME}: Deadlock occurred (over {$PG.DEADLOCKS.MAX.WARN:"{#DBNAME}"} in 5m)','','0','4','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16681','{19497}/{19498}*100>{$REDIS.CLIENTS.PRC.MAX.WARN}','Redis: Total number of connected clients is too high (over {$REDIS.CLIENTS.PRC.MAX.WARN}% in 5m)','','0','2','When the number of clients reaches the value of the "maxclients" parameter, new connections will be rejected.

https://redis.io/topics/clients#maximum-number-of-clients',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16682','{19499}=1 and {19500}>0','Redis: Configuration has changed','','0','1','Redis configuration has changed. Ack to close.',NULL,'0','0','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16683','{19501}=1','Redis: Failed to fetch info data (or no data for 30m)','','0','2','Zabbix has not received data for items for the last 30 minutes',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16684','{19502}>{$REDIS.MEM.FRAG_RATIO.MAX.WARN}','Redis: Memory fragmentation ratio is too high (over {$REDIS.MEM.FRAG_RATIO.MAX.WARN} in 15m)','','0','2','This ratio is an indication of memory mapping efficiency:
  — Value over 1.0 indicate that memory fragmentation is very likely. Consider restarting the Redis server so the operating system can recover fragmented memory, especially with a ratio over 1.5.
  — Value under 1.0 indicate that Redis likely has insufficient memory available. Consider optimizing memory usage or adding more RAM.

Note: If your peak memory usage is much higher than your current memory usage, the memory fragmentation ratio may be unreliable.

https://redis.io/topics/memory-optimization',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16685','{19503}=0','Redis: Last AOF write operation failed','','0','2','Detailed information about persistence: https://redis.io/topics/persistence',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16686','{19504}=0','Redis: Last RDB save operation failed','','0','2','Detailed information about persistence: https://redis.io/topics/persistence',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16687','{19505}=0','Redis: Service is down','','0','3','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16688','{19506}=1','Redis: Number of slaves has changed','','0','1','Redis number of slaves has changed. Ack to close.',NULL,'0','0','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16689','{19507}=1 and {19508}>0','Redis: Replication role has changed (new role: {ITEM.VALUE})','','0','2','Redis replication role has changed. Ack to close.',NULL,'0','0','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16690','{19509}=1 and {19510}>0','Redis: Version has changed (new version: {ITEM.VALUE})','','0','1','Redis version has changed. Ack to close.',NULL,'0','0','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16691','{19511}<10m','Redis: has been restarted (uptime < 10m)','','0','1','Uptime is less than 10 minutes',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16692','{19512}>{$REDIS.SLOWLOG.COUNT.MAX.WARN}','Redis: Too many entries in the slowlog (over {$REDIS.SLOWLOG.COUNT.MAX.WARN} per second in 5m)','','0','1','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16693','{19513}>0','Redis: Connections are rejected','','0','4','The number of connections has reached the value of "maxclients".

https://redis.io/topics/clients',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16694','{19514}=0','Redis: Process is not running','','0','4','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16695','{19515}/{19516}*100>{$REDIS.MEM.PUSED.MAX.WARN}','Redis: Memory usage is too high (over {$REDIS.MEM.PUSED.MAX.WARN}% in 5m)','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16696','{19517}>{$REDIS.REPL.LAG.MAX.WARN}','Redis: Replication lag with master is too high (over {$REDIS.REPL.LAG.MAX.WARN} in 5m)','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16697','{19518}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.',NULL,'0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16699','{19520}>{$MEMORY.UTIL.MAX}','{#MEMNAME}: High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16700','{19521}>{$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"} and
(({19522}-{19523})<5G or {19524}<1d)','{#FSNAME}: Disk space is critically low (used > {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}%)','','0','3','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 5G.
 - The disk will be full in less than 24 hours.',NULL,'0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16701','{19525}>{$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"} and
(({19526}-{19527})<10G or {19528}<1d)','{#FSNAME}: Disk space is low (used > {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}%)','','0','2','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 10G.
 - The disk will be full in less than 24 hours.',NULL,'0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16705','{19538} > {$VFS.DEV.READ.AWAIT.WARN:"{#DEVNAME}"} or {19539} > {$VFS.DEV.WRITE.AWAIT.WARN:"{#DEVNAME}"}','{#DEVNAME}: Disk read/write request responses are too high (read > {$VFS.DEV.READ.AWAIT.WARN:"{#DEVNAME}"} ms for 15m or write > {$VFS.DEV.WRITE.AWAIT.WARN:"{#DEVNAME}"} ms for 15m)','','0','2','This trigger might indicate disk {#DEVNAME} saturation.',NULL,'0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16708','{19544} > {$VFS.DEV.READ.AWAIT.WARN:"{#DEVNAME}"} or {19545} > {$VFS.DEV.WRITE.AWAIT.WARN:"{#DEVNAME}"}','{#DEVNAME}: Disk read/write request responses are too high (read > {$VFS.DEV.READ.AWAIT.WARN:"{#DEVNAME}"} ms for 15m or write > {$VFS.DEV.WRITE.AWAIT.WARN:"{#DEVNAME}"} ms for 15m)','','0','2','This trigger might indicate disk {#DEVNAME} saturation.',NULL,'0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16710','{19548} > {$VFS.DEV.READ.AWAIT.WARN:"{#DEVNAME}"} or {19549} > {$VFS.DEV.WRITE.AWAIT.WARN:"{#DEVNAME}"}','{#DEVNAME}: Disk read/write request responses are too high (read > {$VFS.DEV.READ.AWAIT.WARN:"{#DEVNAME}"} ms for 15m or write > {$VFS.DEV.WRITE.AWAIT.WARN:"{#DEVNAME}"} ms for 15m)','','0','2','This trigger might indicate disk {#DEVNAME} saturation.',NULL,'0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16711','{19550}>{$CPU.QUEUE.CRIT.MAX}','CPU queue length is too high (over {$CPU.QUEUE.CRIT.MAX} for 5m)','','0','2','The CPU Queue Length in the last 5 minutes exceeds {$CPU.QUEUE.CRIT.MAX}.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16713','{19552}<>0','"{#SERVICE.NAME}" ({#SERVICE.DISPLAYNAME}) is not running (startup type {#SERVICE.STARTUPNAME})','','0','3','The service has a state other than "Running" for the last three times.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16715','{19554}>{$CPU.QUEUE.CRIT.MAX}','CPU queue length is too high (over {$CPU.QUEUE.CRIT.MAX} for 5m)','','0','2','The CPU Queue Length in the last 5 minutes exceeds {$CPU.QUEUE.CRIT.MAX}.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16717','{19556}<>0','"{#SERVICE.NAME}" ({#SERVICE.DISPLAYNAME}) is not running (startup type {#SERVICE.STARTUPNAME})','','0','3','The service has a state other than "Running" for the last three times.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16719','{19558}>{$MYSQL.ABORTED_CONN.MAX.WARN}','MySQL: Server has aborted connections (over {$MYSQL.ABORTED_CONN.MAX.WARN} for 5m)','','0','3','The number of failed attempts to connect to the MySQL server is more than {$MYSQL.ABORTED_CONN.MAX.WARN} in the last 5 minutes.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16720','{19559}<{$MYSQL.BUFF_UTIL.MIN.WARN}','MySQL: Buffer pool utilization is too low (less {$MYSQL.BUFF_UTIL.MIN.WARN}% for 5m)','','0','2','The buffer pool utilization is less than {$MYSQL.BUFF_UTIL.MIN.WARN}% in the last 5 minutes. This means that there is a lot of unused RAM allocated for the buffer pool, which you can easily reallocate at the moment.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16721','{19560}>0','MySQL: Refused connections (max_connections limit reached)','','0','3','Number of refused connections due to the max_connections limit being reached.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16722','{19561}=1','MySQL: Failed to get items (no data for 30m)','','0','2','Zabbix has not received data for items for the last 30 minutes.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16723','{19562}=0','MySQL: Service is down','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16724','{19563}>{$MYSQL.SLOW_QUERIES.MAX.WARN}','MySQL: Server has slow queries (over {$MYSQL.SLOW_QUERIES.MAX.WARN} for 5m)','','0','2','The number of slow queries is more than {$MYSQL.SLOW_QUERIES.MAX.WARN} in the last 5 minutes.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16725','{19564}<10m','MySQL: Service has been restarted (uptime < 10m)','','0','1','MySQL uptime is less than 10 minutes.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16726','{19565}=1 and {19566}>0','MySQL: Version has changed (new version value received: {ITEM.VALUE})','','0','1','MySQL version has changed. Ack to close.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16727','{19567}>{$MYSQL.REPL_LAG.MAX.WARN}','MySQL: Replication lag is too high (over {$MYSQL.REPL_LAG.MAX.WARN} for 5m)','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16728','{19568}=1','MySQL: The slave I/O thread is not running','','0','3','Whether the I/O thread for reading the master''s binary log is running.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16729','{19569}=1','MySQL: The slave I/O thread is not connected to a replication master','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16730','{19570}=1','MySQL: The SQL thread is not running','','0','2','Whether the SQL thread for executing events in the relay log is running.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16731','{19571}=1','MySQL: Failed to get items (no data for 30m)','','0','2','Zabbix has not received data for items for the last 30 minutes.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16732','{19572}=0','MySQL: Service is down','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16733','{19573}=1 and {19574}>0','MySQL: Version has changed (new version value received: {ITEM.VALUE})','','0','1','MySQL version has changed. Ack to close.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16734','{19575}>{$MYSQL.ABORTED_CONN.MAX.WARN}','MySQL: Server has aborted connections (over {$MYSQL.ABORTED_CONN.MAX.WARN} for 5m)','','0','3','The number of failed attempts to connect to the MySQL server is more than {$MYSQL.ABORTED_CONN.MAX.WARN} in the last 5 minutes.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16735','{19576}<{$MYSQL.BUFF_UTIL.MIN.WARN}','MySQL: Buffer pool utilization is too low (less {$MYSQL.BUFF_UTIL.MIN.WARN}% for 5m)','','0','2','The buffer pool utilization is less than {$MYSQL.BUFF_UTIL.MIN.WARN}% in the last 5 minutes. This means that there is a lot of unused RAM allocated for the buffer pool, which you can easily reallocate at the moment.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16736','{19577}>0','MySQL: Refused connections (max_connections limit reached)','','0','3','Number of refused connections due to the max_connections limit being reached.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16737','{19578}>{$MYSQL.SLOW_QUERIES.MAX.WARN}','MySQL: Server has slow queries (over {$MYSQL.SLOW_QUERIES.MAX.WARN} for 5m)','','0','2','The number of slow queries is more than {$MYSQL.SLOW_QUERIES.MAX.WARN} in the last 5 minutes.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16738','{19579}<10m','MySQL: Service has been restarted (uptime < 10m)','','0','1','MySQL uptime is less than 10 minutes.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16739','{19580}>{$MYSQL.REPL_LAG.MAX.WARN}','MySQL: Replication lag is too high (over {$MYSQL.REPL_LAG.MAX.WARN} for 5m)','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16740','{19581}=1','MySQL: The slave I/O thread is not running','','0','3','Whether the I/O thread for reading the master''s binary log is running.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16741','{19582}=1','MySQL: The slave I/O thread is not connected to a replication master','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16742','{19583}=1','MySQL: The SQL thread is not running','','0','2','Whether the SQL thread for executing events in the relay log is running.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16743','{19584}=1','Docker: Failed to fetch info data (or no data for 30m)','','0','2','Zabbix has not received data for items for the last 30 minutes',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16744','{19585}=0','Docker: Service is down','','0','3','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16745','{19586}=1 and {19587}>0','Docker: Version has changed (new version: {ITEM.VALUE})','','0','1','Docker version has changed. Ack to close.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16746','{19588}>0 and {19589}=0','Container {#NAME}: Container has been stopped with error code','','0','3','',NULL,'0','2','0','','0','','1','Exit code: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16747','{19590}=1 and {19591}>0','Container {#NAME}: An error has occurred in the container','','0','2','Container {#NAME} has an error. Ack to close.',NULL,'0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16748','{19592}/{19593}*100>{$MEMCACHED.MEM.PUSED.MAX.WARN}','Memcached: Memory usage is too high (over {$MEMCACHED.MEM.PUSED.MAX.WARN} in 5m)','','0','2','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16749','{19594}/{19595}*100>{$MEMCACHED.CONN.PRC.MAX.WARN}','Memcached: Total number of connected clients is too high (over {$MEMCACHED.CONN.PRC.MAX.WARN}% in 5m)','','0','2','When the number of connections reaches the value of the "max_connections" parameter, new connections will be rejected.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16750','{19596}>{$MEMCACHED.CONN.QUEUED.MAX.WARN}','Memcached: Too many queued connections (over {$MEMCACHED.CONN.QUEUED.MAX.WARN} in 5m)','','0','2','The max number of connections is reachedand and a new connection had to wait in the queue as a result.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16751','{19597}>{$MEMCACHED.CONN.THROTTLED.MAX.WARN}','Memcached: Too many throttled connections (over {$MEMCACHED.CONN.THROTTLED.MAX.WARN} in 5m)','','0','2','Number of times a client connection was throttled is too hight.
When sending GETs in batch mode and the connection contains too many requests (limited by -R parameter) the connection might be throttled to prevent starvation.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16752','{19598}=1','Memcached: Failed to fetch info data (or no data for 30m)','','0','2','Zabbix has not received data for items for the last 30 minutes',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16753','{19599}=0','Memcached: Service is down','','0','3','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16754','{19600}<10m','Memcached: has been restarted (uptime < 10m)','','0','1','Uptime is less than 10 minutes',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16755','{19601}=1 and {19602}>0','Memcached: Version has changed (new version: {ITEM.VALUE})','','0','1','Memcached version has changed. Ack to close.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16756','{19603}>{$MYSQL.ABORTED_CONN.MAX.WARN}','MySQL: Server has aborted connections (over {$MYSQL.ABORTED_CONN.MAX.WARN} for 5m)','','0','3','The number of failed attempts to connect to the MySQL server is more than {$MYSQL.ABORTED_CONN.MAX.WARN} in the last 5 minutes.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16757','{19604}<{$MYSQL.BUFF_UTIL.MIN.WARN}','MySQL: Buffer pool utilization is too low (less {$MYSQL.BUFF_UTIL.MIN.WARN}% for 5m)','','0','2','The buffer pool utilization is less than {$MYSQL.BUFF_UTIL.MIN.WARN}% in the last 5 minutes. This means that there is a lot of unused RAM allocated for the buffer pool, which you can easily reallocate at the moment.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16758','{19605}>0','MySQL: Refused connections (max_connections limit reached)','','0','3','Number of refused connections due to the max_connections limit being reached.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16759','{19606}=0','MySQL: Service is down','','0','4','',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16760','{19607}>{$MYSQL.SLOW_QUERIES.MAX.WARN}','MySQL: Server has slow queries (over {$MYSQL.SLOW_QUERIES.MAX.WARN} for 5m)','','0','2','The number of slow queries is more than {$MYSQL.SLOW_QUERIES.MAX.WARN} in the last 5 minutes.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16761','{19608}<10m','MySQL: Service has been restarted (uptime < 10m)','','0','1','MySQL uptime is less than 10 minutes.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16762','{19609}=1 and {19610}>0','MySQL: Version has changed (new version value received: {ITEM.VALUE})','','0','1','MySQL version has changed. Ack to close.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16763','{19611}>{$MYSQL.REPL_LAG.MAX.WARN}','MySQL: Replication lag is too high (over {$MYSQL.REPL_LAG.MAX.WARN} for 5m)','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16764','{19612}=1','MySQL: The slave I/O thread is not running','','0','3','Whether the I/O thread for reading the master''s binary log is running.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16765','{19613}=1','MySQL: The slave I/O thread is not connected to a replication master','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16766','{19614}=1','MySQL: The SQL thread is not running','','0','2','Whether the SQL thread for executing events in the relay log is running.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16767','{19615}=1','IPMI: {#SENSOR_ID} value has changed','','0','1','The trigger is informing about changes in a state of the discrete IPMI sensor. A problem generated by this trigger can be manually closed.',NULL,'0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16768','{19616}<{#SENSOR_LO_WARN}','IPMI: {#SENSOR_ID} value is below non-critical low (less than {#SENSOR_LO_WARN} for 5m)','','0','2','The trigger is informing that a value less than the lower non-critical threshold has been reached.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16769','{19617}<{#SENSOR_LO_CRIT}','IPMI: {#SENSOR_ID} value is below critical low (less than {#SENSOR_LO_CRIT} for 5m)','','0','4','The trigger is informing that a value less than the lower critical threshold has been reached.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16770','{19618}<{#SENSOR_LO_DISAST}','IPMI: {#SENSOR_ID} value is below non-recoverable low (less than {#SENSOR_LO_DISAST} for 5m)','','0','5','The trigger is informing that a value less than the lower non-recoverable threshold has been reached.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16771','{19619}>{#SENSOR_HI_WARN}','IPMI: {#SENSOR_ID} value is above non-critical high (greater than {#SENSOR_HI_WARN} for 5m)','','0','2','The trigger is informing that a value higher than the upper non-critical threshold has been reached.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16772','{19620}>{#SENSOR_HI_CRIT}','IPMI: {#SENSOR_ID} value is above critical high (greater than {#SENSOR_HI_CRIT} for 5m)','','0','4','The trigger is informing that a value higher than the upper critical threshold has been reached.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16773','{19621}>{#SENSOR_HI_DISAST}','IPMI: {#SENSOR_ID} value is above non-recoverable high (greater than {#SENSOR_HI_DISAST} for 5m)','','0','5','The trigger is informing that a value higher than the upper non-recoverable threshold has been reached.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16774','({19622}-{19623})/({19624}-1)>{19623}','ES: Cluster does not have enough space for resharding','','0','4','There is not enough disk space for index resharding.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16775','{19625}>0','ES: Cluster has the initializing shards','','0','3','The cluster has the initializing shards longer than 10 minutes.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16776','{19626}<0','ES: The number of nodes within the cluster has decreased','','0','1','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16777','{19627}>0','ES: The number of nodes within the cluster has increased','','0','1','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16778','{19628}=1','ES: Health is YELLOW','','0','3','All primary shards are assigned, but one or more replica shards are unassigned. 
If a node in the cluster fails, some data could be unavailable until that node is repaired.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16779','{19629}=2','ES: Health is RED','','0','4','One or more primary shards are unassigned, so some data is unavailable. 
This can occur briefly during cluster startup as primary shards are assigned.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16780','{19630}=255','ES: Health is UNKNOWN','','0','4','The health status of the cluster is unknown or cannot be obtained.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16781','{19631}>0','ES: Cluster has the unassigned shards','','0','3','The cluster has the unassigned shards longer than 10 minutes.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16782','{19632}=2','ES: Cluster has only two master nodes','','0','5','The cluster has only two nodes with a master role and will be unavailable if one of them breaks.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16783','{19633}<10m','ES: Cluster has been restarted (uptime < 10m)','','0','1','Uptime is less than 10 minutes',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16784','{19634}>{$ELASTICSEARCH.RESPONSE_TIME.MAX.WARN}','ES: Service response time is too high (over {$ELASTICSEARCH.RESPONSE_TIME.MAX.WARN} for 5m)','','0','2','The performance of the TCP service is very low.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16785','{19635}=0','ES: Service is down','','0','3','The service is unavailable or does not accept TCP connections.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16786','{19636}>{$ELASTICSEARCH.FLUSH_LATENCY.MAX.WARN}','ES {#ES.NODE}: Flush latency is too high (over {$ELASTICSEARCH.FLUSH_LATENCY.MAX.WARN}ms for 5m)','','0','2','If you see this metric increasing steadily, it may indicate a problem with slow disks; this problem may escalate 
and eventually prevent you from being able to add new information to your index.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16787','{19637}>{$ELASTICSEARCH.INDEXING_LATENCY.MAX.WARN}','ES {#ES.NODE}: Indexing latency is too high (over {$ELASTICSEARCH.INDEXING_LATENCY.MAX.WARN}ms for 5m)','','0','2','If the latency is increasing, it may indicate that you are indexing too many documents at the same time (Elasticsearch’s documentation 
recommends starting with a bulk indexing size of 5 to 15 megabytes and increasing slowly from there).',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16788','{19638}>{$ELASTICSEARCH.FETCH_LATENCY.MAX.WARN}','ES {#ES.NODE}: Fetch latency is too high (over {$ELASTICSEARCH.FETCH_LATENCY.MAX.WARN}ms for 5m)','','0','2','The fetch phase should typically take much less time than the query phase. If you notice this metric consistently increasing, 
this could indicate a problem with slow disks, enriching of documents (highlighting the relevant text in search results, etc.), 
or requesting too many results.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16789','{19639}>{$ELASTICSEARCH.QUERY_LATENCY.MAX.WARN}','ES {#ES.NODE}: Query latency is too high (over {$ELASTICSEARCH.QUERY_LATENCY.MAX.WARN}ms for 5m)','','0','2','If latency exceeds a threshold, look for potential resource bottlenecks, or investigate whether you need to optimize your queries.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16790','{19640}>{$ELASTICSEARCH.HEAP_USED.MAX.WARN}','ES {#ES.NODE}: Percent of JVM heap in use is high (over {$ELASTICSEARCH.HEAP_USED.MAX.WARN}% for 1h)','','0','2','This indicates that the rate of garbage collection isn’t keeping up with the rate of garbage creation. 
To address this problem, you can either increase your heap size (as long as it remains below the recommended 
guidelines stated above), or scale out the cluster by adding more nodes.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16791','{19641}>{$ELASTICSEARCH.HEAP_USED.MAX.CRIT}','ES {#ES.NODE}: Percent of JVM heap in use is critical (over {$ELASTICSEARCH.HEAP_USED.MAX.CRIT}% for 1h)','','0','4','This indicates that the rate of garbage collection isn’t keeping up with the rate of garbage creation. 
To address this problem, you can either increase your heap size (as long as it remains below the recommended 
guidelines stated above), or scale out the cluster by adding more nodes.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16792','{19642}<10m','ES {#ES.NODE}: Node {#ES.NODE} has been restarted (uptime < 10m)','','0','1','Uptime is less than 10 minutes',NULL,'0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16793','{19643}>0','ES {#ES.NODE}: Refresh thread pool executor has the rejected tasks (for 5m)','','0','2','The number of tasks rejected by the refresh thread pool executor is over 0 for 5m.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16794','{19644}>0','ES {#ES.NODE}: Search thread pool executor has the rejected tasks (for 5m)','','0','2','The number of tasks rejected by the search thread pool executor is over 0 for 5m.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16795','{19645}>0','ES {#ES.NODE}: Write thread pool executor has the rejected tasks (for 5m)','','0','2','The number of tasks rejected by the write thread pool executor is over 0 for 5m.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16796','{19646}>{$HAPROXY.BACK_ERESP.MAX.WARN}','HAProxy TCP Backend {#PXNAME}: Number of responses with error is more than {$HAPROXY.BACK_ERESP.MAX.WARN} for 5m','','0','2','Number of requests on backend, whose responses yielded an error, is more than {$HAPROXY.BACK_ERESP.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16797','{19647}>{$HAPROXY.BACK_QCUR.MAX.WARN}','HAProxy TCP Backend {#PXNAME}: Current number of requests unassigned in queue is more than {$HAPROXY.BACK_QCUR.MAX.WARN} for 5m','','0','2','Current number of requests on backend unassigned in queue is more than {$HAPROXY.BACK_QCUR.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16798','{19648}>{$HAPROXY.BACK_QTIME.MAX.WARN}','HAProxy TCP Backend {#PXNAME}: Average time spent in queue is more than {$HAPROXY.BACK_QTIME.MAX.WARN} for 5m','','0','2','Average time spent in queue (in ms) for the last 1,024 requests is more than {$HAPROXY.BACK_QTIME.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16799','{19649}>{$HAPROXY.BACK_RTIME.MAX.WARN}','HAProxy TCP Backend {#PXNAME}: Average response time is more than {$HAPROXY.BACK_RTIME.MAX.WARN} for 5m','','0','2','Average backend response time (in ms) for the last 1,024 requests is more than {$HAPROXY.BACK_RTIME.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16800','{19650}=0','HAProxy TCP Backend {#PXNAME}: Server is DOWN','','0','3','Backend is not available.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16801','{19651}>{$HAPROXY.FRONT_DREQ.MAX.WARN}','HAProxy TCP Frontend {#PXNAME}: Number of requests denied is more than {$HAPROXY.FRONT_DREQ.MAX.WARN} for 5m','','0','2','Number of requests denied due to security concerns (ACL-restricted) is more than {$HAPROXY.FRONT_DREQ.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16802','{19652}>{$HAPROXY.FRONT_EREQ.MAX.WARN}','HAProxy TCP Frontend {#PXNAME}: Number of request errors is more than {$HAPROXY.FRONT_EREQ.MAX.WARN} for 5m','','0','2','Number of request errors is more than {$HAPROXY.FRONT_EREQ.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16803','{19653}>{$HAPROXY.FRONT_SUTIL.MAX.WARN}','HAProxy TCP Frontend {#PXNAME}: Session utilization is more than {$HAPROXY.FRONT_SUTIL.MAX.WARN}% for 5m','','0','2','Alerting on this metric is essential to ensure your server has sufficient capacity to handle all concurrent sessions. Unlike requests, upon reaching the session limit HAProxy will deny additional clients until resource consumption drops. Furthermore, if you find your session usage percentage to be hovering above 80%, it could be time to either modify HAProxy’s configuration to allow more sessions, or migrate your HAProxy server to a bigger box.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16804','{19654}>{$HAPROXY.SERVER_ERESP.MAX.WARN}','HAProxy TCP {#PXNAME} {#SVNAME}: Number of responses with error is more than {$HAPROXY.SERVER_ERESP.MAX.WARN} for 5m','','0','2','Number of requests on server, whose responses yielded an error, is more than {$HAPROXY.SERVER_ERESP.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16805','{19655}>{$HAPROXY.SERVER_QCUR.MAX.WARN}','HAProxy TCP {#PXNAME} {#SVNAME}: Current number of requests unassigned in queue is more than {$HAPROXY.SERVER_QCUR.MAX.WARN} for 5m','','0','2','Current number of requests unassigned in queue is more than {$HAPROXY.SERVER_QCUR.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16806','{19656}>{$HAPROXY.SERVER_QTIME.MAX.WARN}','HAProxy TCP {#PXNAME} {#SVNAME}: Average time spent in queue is more than {$HAPROXY.SERVER_QTIME.MAX.WARN} for 5m','','0','2','Average time spent in queue (in ms) for the last 1,024 requests is more than {$HAPROXY.SERVER_QTIME.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16807','{19657}>{$HAPROXY.SERVER_RTIME.MAX.WARN}','HAProxy TCP {#PXNAME} {#SVNAME}: Average response time is more than {$HAPROXY.SERVER_RTIME.MAX.WARN} for 5m','','0','2','Average server response time (in ms) for the last 1,024 requests is more than {$HAPROXY.SERVER_RTIME.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16808','{19658}=0','HAProxy TCP {#PXNAME} {#SVNAME}: Server is DOWN','','0','2','Server is not available.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16809','{19659}>{$HAPROXY.RESPONSE_TIME.MAX.WARN}','HAProxy: Service response time is too high (over {$HAPROXY.RESPONSE_TIME.MAX.WARN} for 5m)','','0','2','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16810','{19660}=0','HAProxy: Service is down','','0','3','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16811','{19661}>{$HAPROXY.BACK_ERESP.MAX.WARN}','HAProxy TCP Backend {#PXNAME}: Number of responses with error is more than {$HAPROXY.BACK_ERESP.MAX.WARN} for 5m','','0','2','Number of requests on backend, whose responses yielded an error, is more than {$HAPROXY.BACK_ERESP.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16812','{19662}>{$HAPROXY.BACK_QCUR.MAX.WARN}','HAProxy TCP Backend {#PXNAME}: Current number of requests unassigned in queue is more than {$HAPROXY.BACK_QCUR.MAX.WARN} for 5m','','0','2','Current number of requests on backend unassigned in queue is more than {$HAPROXY.BACK_QCUR.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16813','{19663}>{$HAPROXY.BACK_QTIME.MAX.WARN}','HAProxy TCP Backend {#PXNAME}: Average time spent in queue is more than {$HAPROXY.BACK_QTIME.MAX.WARN} for 5m','','0','2','Average time spent in queue (in ms) for the last 1,024 requests is more than {$HAPROXY.BACK_QTIME.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16814','{19664}>{$HAPROXY.BACK_RTIME.MAX.WARN}','HAProxy TCP Backend {#PXNAME}: Average response time is more than {$HAPROXY.BACK_RTIME.MAX.WARN} for 5m','','0','2','Average backend response time (in ms) for the last 1,024 requests is more than {$HAPROXY.BACK_RTIME.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16815','{19665}=0','HAProxy TCP Backend {#PXNAME}: Server is DOWN','','0','3','Backend is not available.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16816','{19666}>{$HAPROXY.FRONT_DREQ.MAX.WARN}','HAProxy TCP Frontend {#PXNAME}: Number of requests denied is more than {$HAPROXY.FRONT_DREQ.MAX.WARN} for 5m','','0','2','Number of requests denied due to security concerns (ACL-restricted) is more than {$HAPROXY.FRONT_DREQ.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16817','{19667}>{$HAPROXY.FRONT_EREQ.MAX.WARN}','HAProxy TCP Frontend {#PXNAME}: Number of request errors is more than {$HAPROXY.FRONT_EREQ.MAX.WARN} for 5m','','0','2','Number of request errors is more than {$HAPROXY.FRONT_EREQ.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16818','{19668}>{$HAPROXY.FRONT_SUTIL.MAX.WARN}','HAProxy TCP Frontend {#PXNAME}: Session utilization is more than {$HAPROXY.FRONT_SUTIL.MAX.WARN}% for 5m','','0','2','Alerting on this metric is essential to ensure your server has sufficient capacity to handle all concurrent sessions. Unlike requests, upon reaching the session limit HAProxy will deny additional clients until resource consumption drops. Furthermore, if you find your session usage percentage to be hovering above 80%, it could be time to either modify HAProxy’s configuration to allow more sessions, or migrate your HAProxy server to a bigger box.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16819','{19669}>{$HAPROXY.SERVER_ERESP.MAX.WARN}','HAProxy TCP {#PXNAME} {#SVNAME}: Number of responses with error is more than {$HAPROXY.SERVER_ERESP.MAX.WARN} for 5m','','0','2','Number of requests on server, whose responses yielded an error, is more than {$HAPROXY.SERVER_ERESP.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16820','{19670}>{$HAPROXY.SERVER_QCUR.MAX.WARN}','HAProxy TCP {#PXNAME} {#SVNAME}: Current number of requests unassigned in queue is more than {$HAPROXY.SERVER_QCUR.MAX.WARN} for 5m','','0','2','Current number of requests unassigned in queue is more than {$HAPROXY.SERVER_QCUR.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16821','{19671}>{$HAPROXY.SERVER_QTIME.MAX.WARN}','HAProxy TCP {#PXNAME} {#SVNAME}: Average time spent in queue is more than {$HAPROXY.SERVER_QTIME.MAX.WARN} for 5m','','0','2','Average time spent in queue (in ms) for the last 1,024 requests is more than {$HAPROXY.SERVER_QTIME.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16822','{19672}>{$HAPROXY.SERVER_RTIME.MAX.WARN}','HAProxy TCP {#PXNAME} {#SVNAME}: Average response time is more than {$HAPROXY.SERVER_RTIME.MAX.WARN} for 5m','','0','2','Average server response time (in ms) for the last 1,024 requests is more than {$HAPROXY.SERVER_RTIME.MAX.WARN}.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16823','{19673}=0','HAProxy TCP {#PXNAME} {#SVNAME}: Server is DOWN','','0','2','Server is not available.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16824','{19674}>{$CLICKHOUSE.DELAYED.FILES.DISTRIBUTED.COUNT.MAX.WARN}','ClickHouse: Too many distributed files to insert (over {$CLICKHOUSE.DELAYED.FILES.DISTRIBUTED.COUNT.MAX.WARN} for 5 min)','','0','2','"Clickhouse servers and <remote_servers> in config.xml
https://clickhouse.tech/docs/en/operations/table_engines/distributed/"',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16825','{19675}>{$CLICKHOUSE.DELAYED.INSERTS.MAX.WARN}','ClickHouse: Too many throttled insert queries (over {$CLICKHOUSE.DELAYED.INSERTS.MAX.WARN) for 5 min)','','0','2','Clickhouse have INSERT queries that are throttled due to high number of active data parts for partition in a MergeTree, please decrease INSERT frequency',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16826','{19676}>{$CLICKHOUSE.PARTS.PER.PARTITION.WARN} * 0.9','ClickHouse: Too many MergeTree parts (over 90% of {$CLICKHOUSE.PARTS.PER.PARTITION.WARN})','','0','2','"Descease INSERT queries frequency.
Clickhouse MergeTree table engine split each INSERT query to partitions (PARTITION BY expression) 
and add one or more PARTS per INSERT inside each partition, 
after that background merge process run, and when you have too much unmerged parts inside partition, 
SELECT queries performance can significate degrade, so clickhouse try delay insert, or abort it"',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16827','{19677}>{$CLICKHOUSE.NETWORK.ERRORS.MAX.WARN}','ClickHouse: Too many network errors (over {$CLICKHOUSE.NETWORK.ERRORS.MAX.WARN} in 5m)','','0','2','Number of errors (timeouts and connection failures) during query execution, background pool tasks and DNS cache update is too high.',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16828','{19678}=0','ClickHouse: ClickHouse: Service is down','','0','3','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16829','{19679}>{$CLICKHOUSE.QUERY_TIME.MAX.WARN}','ClickHouse: There are queries running more than {$CLICKHOUSE.QUERY_TIME.MAX.WARN} seconds','','0','3','',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16830','{19680}>{$CLICKHOUSE.REPLICA.MAX.WARN}','ClickHouse: Replication lag is too high (over {$CLICKHOUSE.REPLICA.MAX.WARN} sec for 5min)','','0','2','"When replica have too much lag, it can be skipped from Distributed SELECT Queries without errors 
and you will have wrong query results."',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16831','{19681}=1 and {19682}>0','ClickHouse: Configuration has been changed','','0','1','ClickHouse configuration has been changed. Ack to close.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16832','{19683}<10m','ClickHouse: has been restarted (uptime < 10m)','','0','1','Uptime is less than 10 minutes',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16833','{19684}=1','ClickHouse: Failed to fetch info data (or no data for 30m)','','0','2','Zabbix has not received data for items for the last 30 minutes',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16834','{19685}=1 and {19686}>0','ClickHouse: Version has changed (new version: {ITEM.VALUE})','','0','1','ClickHouse version has changed. Ack to close.',NULL,'0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16835','{19687}>1','ClickHouse: Too many ZooKeeper sessions opened','','0','2','"Number of sessions (connections) to ZooKeeper. 
Should be no more than one, because using more than one connection to ZooKeeper may lead to bugs due to lack of linearizability (stale reads) that ZooKeeper consistency model allows."',NULL,'0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16836','{19688} < {19689}','ClickHouse: {#DB}.{#TABLE}: Number of active replicas less than number of total replicas','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16837','{19690}=1','ClickHouse: {#DB}.{#TABLE} Replica is readonly','','0','2','This mode is turned on if the config doesn’t have sections with ZooKeeper, if an unknown error occurred when reinitializing sessions in ZooKeeper, and during session reinitialization in ZooKeeper.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16838','{19691}=1','ClickHouse: {#DB}.{#TABLE} Replica session is expired','','0','2','This mode is turned on if the config doesn’t have sections with ZooKeeper, if an unknown error occurred when reinitializing sessions in ZooKeeper, and during session reinitialization in ZooKeeper.',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16839','{19692} > {$CLICKHOUSE.LOG_POSITION.DIFF.MAX.WARN}','ClickHouse: {#DB}.{#TABLE}: Difference between log_max_index and log_pointer is too high (More than {$CLICKHOUSE.LOG_POSITION.DIFF.MAX.WARN} for 5m)','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16840','{19693}>{$CLICKHOUSE.QUEUE.SIZE.MAX.WARN:"{#TABLE}"}','ClickHouse: {#DB}.{#TABLE}: Too many operations in queue (over {$CLICKHOUSE.QUEUE.SIZE.MAX.WARN} for 5m)','','0','2','',NULL,'0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13075','{12648}>95','More than 95% used in the value cache','','0','3','Consider increasing ValueCacheSize in the zabbix_server.conf configuration file','13074','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13436','{13205}>75','Zabbix vmware collector processes more than 75% busy','','0','3','','13097','0','0','1','{13205}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13467','{13165}>75','Zabbix alerter processes more than 75% busy','','0','3','','13080','0','0','1','{13165}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13468','{13171}>75','Zabbix configuration syncer processes more than 75% busy','','0','3','','13081','0','0','1','{13171}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13470','{13173}>75','Zabbix discoverer processes more than 75% busy','','0','3','','13083','0','0','1','{13173}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13471','{13175}>75','Zabbix escalator processes more than 75% busy','','0','3','','13084','0','0','1','{13175}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13472','{13177}>75','Zabbix history syncer processes more than 75% busy','','0','3','','13085','0','0','1','{13177}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13473','{13179}>75','Zabbix housekeeper processes more than 75% busy','','0','3','','13086','0','0','1','{13179}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13474','{13181}>75','Zabbix http poller processes more than 75% busy','','0','3','','13087','0','0','1','{13181}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13475','{13183}>75','Zabbix icmp pinger processes more than 75% busy','','0','3','','13088','0','0','1','{13183}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13476','{13185}>75','Zabbix ipmi poller processes more than 75% busy','','0','3','','13089','0','0','1','{13185}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13477','{13187}>75','Zabbix java poller processes more than 75% busy','','0','3','','13275','0','0','1','{13187}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13479','{13189}>75','Zabbix poller processes more than 75% busy','','0','3','','13091','0','0','1','{13189}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13480','{13191}>75','Zabbix proxy poller processes more than 75% busy','','0','3','','13092','0','0','1','{13191}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13481','{13193}>75','Zabbix self-monitoring processes more than 75% busy','','0','3','','13093','0','0','1','{13193}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13482','{13195}>75','Zabbix snmp trapper processes more than 75% busy','','0','3','','13441','0','0','1','{13195}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13483','{13199}>75','Zabbix timer processes more than 75% busy','','0','3','','13094','0','0','1','{13199}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13484','{13201}>75','Zabbix trapper processes more than 75% busy','','0','3','','13095','0','0','1','{13201}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13485','{13203}>75','Zabbix unreachable poller processes more than 75% busy','','0','3','','13096','0','0','1','{13203}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13486','{12895}>100','More than 100 items having missing data for more than 10 minutes','','0','2','zabbix[queue,10m] item is collecting data about how many items are missing data for more than 10 minutes','13023','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13487','{12896}>75','More than 75% used in the configuration cache','','0','3','Consider increasing CacheSize in the zabbix_server.conf configuration file','13015','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13488','{12897}>75','More than 75% used in the history cache','','0','3','Consider increasing HistoryCacheSize in the zabbix_server.conf configuration file','13073','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13489','{12898}>75','More than 75% used in the history index cache','','0','3','Consider increasing HistoryIndexCacheSize in the zabbix_server.conf configuration file','13017','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13490','{12899}>75','More than 75% used in the trends cache','','0','3','Consider increasing TrendCacheSize in the zabbix_server.conf configuration file','13019','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13537','{12966}>75','More than 75% used in the vmware cache','','0','3','Consider increasing VMwareCacheSize in the zabbix_server.conf configuration file','13536','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13558','{13161}=1','Zabbix value cache working in low memory mode','','0','4','','13557','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13560','{13197}>75','Zabbix task manager processes more than 75% busy','','0','3','','13559','0','0','1','{13197}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13563','{13223}>75','Zabbix ipmi manager processes more than 75% busy','','0','3','','13562','0','0','1','{13223}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13567','{13227}>75','Zabbix alert manager processes more than 75% busy','','0','3','','13566','0','0','1','{13227}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13570','{13230}>75','Zabbix preprocessing manager processes more than 75% busy','','0','3','','13568','0','0','1','{13230}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('13571','{13231}>75','Zabbix preprocessing worker processes more than 75% busy','','0','3','','13569','0','0','1','{13231}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14288','{14463}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14251','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14289','{14464}>{$ICMP_LOSS_WARN} and {14464}<100','High ICMP ping loss','','0','2','','14252','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14290','{14465}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14253','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14293','{14468}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14251','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14294','{14469}>{$ICMP_LOSS_WARN} and {14469}<100','High ICMP ping loss','','0','2','','14252','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14295','{14470}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14253','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14311','{14508}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14312','{14509}>{$ICMP_LOSS_WARN} and {14509}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14313','{14510}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14327','{14536}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14328','{14537}>{$ICMP_LOSS_WARN} and {14537}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14329','{14538}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14347','{14570}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14348','{14571}>{$ICMP_LOSS_WARN} and {14571}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14349','{14572}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14356','{14587}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14357','{14588}>{$ICMP_LOSS_WARN} and {14588}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14358','{14589}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14389','{14641}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14390','{14642}>{$ICMP_LOSS_WARN} and {14642}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14391','{14643}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14403','{14663}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14404','{14664}>{$ICMP_LOSS_WARN} and {14664}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14405','{14665}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14411','{14672}=1 and {14673}>0','Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close','14409','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14413','{14676}=1 and {14677}>0','Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close','14409','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14428','{14698}=1 and {14699}>0','{#ENT_NAME}: Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close','14417','0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14430','{14702}=1 and {14703}>0','{#ENT_NAME}: Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close','14417','0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14437','{14722}<{$TEMP_CRIT_LOW:""}','{#SNMPVALUE}: Temperature is too low: <{$TEMP_CRIT_LOW:""}','','0','3','','14420','0','2','1','{14723}>{$TEMP_CRIT_LOW:""}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14439','{14726}<{$TEMP_CRIT_LOW:""}','{#SNMPVALUE}: Temperature is too low: <{$TEMP_CRIT_LOW:""}','','0','3','','14420','0','2','1','{14727}>{$TEMP_CRIT_LOW:""}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14451','{14747}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14452','{14748}>{$ICMP_LOSS_WARN} and {14748}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14453','{14749}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14468','{14776}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14469','{14777}>{$ICMP_LOSS_WARN} and {14777}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14470','{14778}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14486','{14806}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14487','{14807}>{$ICMP_LOSS_WARN} and {14807}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14488','{14808}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14505','{14838}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14506','{14839}>{$ICMP_LOSS_WARN} and {14839}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14507','{14840}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14524','{14871}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14288','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14525','{14872}>{$ICMP_LOSS_WARN} and {14872}<100','High ICMP ping loss','','0','2','','14289','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14526','{14873}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14290','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14534','{14889}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14535','{14890}>{$ICMP_LOSS_WARN} and {14890}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14536','{14891}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14544','{14907}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14545','{14908}>{$ICMP_LOSS_WARN} and {14908}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14546','{14909}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14582','{14972}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14583','{14973}>{$ICMP_LOSS_WARN} and {14973}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14584','{14974}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14598','{15000}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14599','{15001}>{$ICMP_LOSS_WARN} and {15001}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14600','{15002}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14615','{15032}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14616','{15033}>{$ICMP_LOSS_WARN} and {15033}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14617','{15034}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14652','{15094}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14653','{15095}>{$ICMP_LOSS_WARN} and {15095}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14654','{15096}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14673','{15131}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14674','{15132}>{$ICMP_LOSS_WARN} and {15132}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14675','{15133}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14691','{15163}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14692','{15164}>{$ICMP_LOSS_WARN} and {15164}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14693','{15165}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14704','{15186}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14705','{15187}>{$ICMP_LOSS_WARN} and {15187}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14706','{15188}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14717','{15209}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14288','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14718','{15210}>{$ICMP_LOSS_WARN} and {15210}<100','High ICMP ping loss','','0','2','','14289','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14719','{15211}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14290','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14906','{15678}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14907','{15679}>{$ICMP_LOSS_WARN} and {15679}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14908','{15680}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14928','{15713}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14929','{15714}>{$ICMP_LOSS_WARN} and {15714}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14930','{15715}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14940','{15730}=2','Interface {#IFNAME}({#IFALIAS}): In half-duplex mode','','0','2','Please check autonegotiation settings and cabling','14939','0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14942','{15732}=2','Interface {#IFNAME}({#IFALIAS}): In half-duplex mode','','0','2','Please check autonegotiation settings and cabling','14941','0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14943','{15733}=2','Interface {#IFNAME}({#IFALIAS}): In half-duplex mode','','0','2','Please check autonegotiation settings and cabling','14941','0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14944','{15734}=2','Interface {#IFNAME}({#IFALIAS}): In half-duplex mode','','0','2','Please check autonegotiation settings and cabling','14941','0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14945','{15735}=2','Interface {#IFNAME}({#IFALIAS}): In half-duplex mode','','0','2','Please check autonegotiation settings and cabling','14941','0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14946','{15736}=2','Interface {#IFNAME}({#IFALIAS}): In half-duplex mode','','0','2','Please check autonegotiation settings and cabling','14941','0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14947','{15737}=2','Interface {#IFNAME}({#IFALIAS}): In half-duplex mode','','0','2','Please check autonegotiation settings and cabling','14941','0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14948','{15738}=2','Interface {#IFNAME}({#IFALIAS}): In half-duplex mode','','0','2','Please check autonegotiation settings and cabling','14941','0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14949','{15739}=2','Interface {#IFNAME}({#IFALIAS}): In half-duplex mode','','0','2','Please check autonegotiation settings and cabling','14941','0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14950','{15740}=2','Interface {#IFNAME}({#IFALIAS}): In half-duplex mode','','0','2','Please check autonegotiation settings and cabling','14941','0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14951','{15741}=2','Interface {#IFNAME}({#IFALIAS}): In half-duplex mode','','0','2','Please check autonegotiation settings and cabling','14941','0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('14953','{15743}=2','Interface {#IFNAME}({#IFALIAS}): In half-duplex mode','','0','2','Please check autonegotiation settings and cabling','14941','0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15208','{16445}=1 and {16446}>0','Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close','14409','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15209','{16447}=1 and {16448}>0','{#ENT_NAME}: Device has been replaced (new serial number received)','','0','1','Device serial number has changed. Ack to close','14417','0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15214','{16457}<{$TEMP_CRIT_LOW:""}','{#SNMPVALUE}: Temperature is too low: <{$TEMP_CRIT_LOW:""}','','0','3','','14420','0','2','1','{16458}>{$TEMP_CRIT_LOW:""}+3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15220','{16472}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15221','{16473}>{$ICMP_LOSS_WARN} and {16473}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15222','{16474}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15348','{16848}>{$TEMP_WARN:""}
or
{16849}={$TEMP_WARN_STATUS}','{#SNMPVALUE}: Temperature is above warning threshold: >{$TEMP_WARN:""}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available','15342','0','2','1','{16850}<{$TEMP_WARN:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15349','{16851}>{$TEMP_WARN:""}
or
{16852}={$TEMP_WARN_STATUS}','{#SNMPVALUE}: Temperature is above warning threshold: >{$TEMP_WARN:""}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available','15342','0','2','1','{16853}<{$TEMP_WARN:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15350','{16854}>{$TEMP_WARN:""}
or
{16855}={$TEMP_WARN_STATUS}','{#SNMPVALUE}: Temperature is above warning threshold: >{$TEMP_WARN:""}','','0','2','This trigger uses temperature sensor values as well as temperature sensor status if available','15342','0','2','1','{16856}<{$TEMP_WARN:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15351','{16857}>{$TEMP_CRIT:""}
or
{16858}={$TEMP_CRIT_STATUS}
or
{16858}={$TEMP_DISASTER_STATUS}','{#SNMPVALUE}: Temperature is above critical threshold: >{$TEMP_CRIT:""}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available','15343','0','2','1','{16859}<{$TEMP_CRIT:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15352','{16860}>{$TEMP_CRIT:""}
or
{16861}={$TEMP_CRIT_STATUS}
or
{16861}={$TEMP_DISASTER_STATUS}','{#SNMPVALUE}: Temperature is above critical threshold: >{$TEMP_CRIT:""}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available','15343','0','2','1','{16862}<{$TEMP_CRIT:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15353','{16863}>{$TEMP_CRIT:""}
or
{16864}={$TEMP_CRIT_STATUS}
or
{16864}={$TEMP_DISASTER_STATUS}','{#SNMPVALUE}: Temperature is above critical threshold: >{$TEMP_CRIT:""}','','0','4','This trigger uses temperature sensor values as well as temperature sensor status if available','15343','0','2','1','{16865}<{$TEMP_CRIT:""}-3','0','','0','Current value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15354','{16866}=1 or {16867}=1','{#SENSOR_INFO}: Power supply is in critical state','','0','3','Please check the power supply unit for errors','15344','0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15355','{16868}=1 or {16869}=1','{#SENSOR_INFO}: Power supply is in critical state','','0','3','Please check the power supply unit for errors','15344','0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15356','{16870}=1 or {16871}=1','{#SENSOR_INFO}: Power supply is in critical state','','0','3','Please check the power supply unit for errors','15344','0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15357','{16872}=1 or {16873}=1','{#SENSOR_INFO}: Power supply is in warning state','','0','2','Please check the power supply unit for errors','15345','0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15358','{16874}=1 or {16875}=1','{#SENSOR_INFO}: Power supply is in warning state','','0','2','Please check the power supply unit for errors','15345','0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15359','{16876}=1 or {16877}=1','{#SENSOR_INFO}: Power supply is in warning state','','0','2','Please check the power supply unit for errors','15345','0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15360','{16878}=1 or {16879}=1','{#SENSOR_INFO}: Fan is in critical state','','0','3','Please check the fan unit','15346','0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15361','{16880}=1 or {16881}=1','{#SENSOR_INFO}: Fan is in critical state','','0','3','Please check the fan unit','15346','0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15362','{16882}=1 or {16883}=1','{#SENSOR_INFO}: Fan is in critical state','','0','3','Please check the fan unit','15346','0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15363','{16884}=1 or {16885}=1','{#SENSOR_INFO}: Fan is in warning state','','0','2','Please check the fan unit','15347','0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15364','{16886}=1 or {16887}=1','{#SENSOR_INFO}: Fan is in warning state','','0','2','Please check the fan unit','15347','0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15365','{16888}=1 or {16889}=1','{#SENSOR_INFO}: Fan is in warning state','','0','2','Please check the fan unit','15347','0','2','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15492','{$IFCONTROL:"{#IFNAME}"}=1 and ({17241}=2 and {17242}=1)','Interface {#IFDESCR}: Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15490','0','2','1','{17241}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15493','{$IFCONTROL:"{#IFNAME}"}=1 and ({17243}=2 and {17244}=1)','Interface {#IFDESCR}: Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15490','0','2','1','{17243}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15498','{$IFCONTROL:"{#IFNAME}"}=1 and ({17253}=2 and {17254}=1)','Interface {#IFDESCR}: Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15496','0','2','1','{17253}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15499','{$IFCONTROL:"{#IFNAME}"}=1 and ({17255}=2 and {17256}=1)','Interface {#IFDESCR}: Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15496','0','2','1','{17255}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15510','{$IFCONTROL:"{#IFNAME}"}=1 and ({17277}=2 and {17278}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15508','0','2','1','{17277}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15511','{$IFCONTROL:"{#IFNAME}"}=1 and ({17279}=2 and {17280}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15508','0','2','1','{17279}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15512','{$IFCONTROL:"{#IFNAME}"}=1 and ({17281}=2 and {17282}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15508','0','2','1','{17281}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15513','{$IFCONTROL:"{#IFNAME}"}=1 and ({17283}=2 and {17284}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15508','0','2','1','{17283}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15514','{$IFCONTROL:"{#IFNAME}"}=1 and ({17285}=2 and {17286}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15508','0','2','1','{17285}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15515','{$IFCONTROL:"{#IFNAME}"}=1 and ({17287}=2 and {17288}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15508','0','2','1','{17287}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15516','{$IFCONTROL:"{#IFNAME}"}=1 and ({17289}=2 and {17290}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15508','0','2','1','{17289}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15517','{$IFCONTROL:"{#IFNAME}"}=1 and ({17291}=2 and {17292}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15508','0','2','1','{17291}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15518','{$IFCONTROL:"{#IFNAME}"}=1 and ({17293}=2 and {17294}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15508','0','2','1','{17293}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15519','{$IFCONTROL:"{#IFNAME}"}=1 and ({17295}=2 and {17296}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15508','0','2','1','{17295}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15520','{$IFCONTROL:"{#IFNAME}"}=1 and ({17297}=2 and {17298}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15508','0','2','1','{17297}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15521','{$IFCONTROL:"{#IFNAME}"}=1 and ({17299}=2 and {17300}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15508','0','2','1','{17299}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15522','{$IFCONTROL:"{#IFNAME}"}=1 and ({17301}=2 and {17302}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15508','0','2','1','{17301}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15523','{$IFCONTROL:"{#IFNAME}"}=1 and ({17303}=2 and {17304}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15508','0','2','1','{17303}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15524','{$IFCONTROL:"{#IFNAME}"}=1 and ({17305}=2 and {17306}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15508','0','2','1','{17305}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15525','{$IFCONTROL:"{#IFNAME}"}=1 and ({17307}=2 and {17308}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15508','0','2','1','{17307}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15527','{$IFCONTROL:"{#IFNAME}"}=1 and ({17311}=2 and {17312}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15508','0','2','1','{17311}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15528','{$IFCONTROL:"{#IFNAME}"}=1 and ({17313}=2 and {17314}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15508','0','2','1','{17313}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15529','{$IFCONTROL:"{#IFNAME}"}=1 and ({17315}=2 and {17316}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15508','0','2','1','{17315}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15672','{17697}<0 and {17698}>0
and (
{17699}=6 or
{17699}=7 or
{17699}=11 or
{17699}=62 or
{17699}=69 or
{17699}=117
)
and
({17700}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15671','0','2','1','({17697}>0 and {17701}>0) or
({17700}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15673','{17702}<0 and {17703}>0
and (
{17704}=6 or
{17704}=7 or
{17704}=11 or
{17704}=62 or
{17704}=69 or
{17704}=117
)
and
({17705}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15671','0','2','1','({17702}>0 and {17706}>0) or
({17705}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15674','{17707}<0 and {17708}>0
and (
{17709}=6 or
{17709}=7 or
{17709}=11 or
{17709}=62 or
{17709}=69 or
{17709}=117
)
and
({17710}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15671','0','2','1','({17707}>0 and {17711}>0) or
({17710}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15675','{17712}<0 and {17713}>0
and (
{17714}=6 or
{17714}=7 or
{17714}=11 or
{17714}=62 or
{17714}=69 or
{17714}=117
)
and
({17715}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15671','0','2','1','({17712}>0 and {17716}>0) or
({17715}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15676','{17717}<0 and {17718}>0
and (
{17719}=6 or
{17719}=7 or
{17719}=11 or
{17719}=62 or
{17719}=69 or
{17719}=117
)
and
({17720}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15671','0','2','1','({17717}>0 and {17721}>0) or
({17720}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15677','{17722}<0 and {17723}>0
and (
{17724}=6 or
{17724}=7 or
{17724}=11 or
{17724}=62 or
{17724}=69 or
{17724}=117
)
and
({17725}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15671','0','2','1','({17722}>0 and {17726}>0) or
({17725}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15678','{17727}<0 and {17728}>0
and (
{17729}=6 or
{17729}=7 or
{17729}=11 or
{17729}=62 or
{17729}=69 or
{17729}=117
)
and
({17730}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15671','0','2','1','({17727}>0 and {17731}>0) or
({17730}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15679','{17732}<0 and {17733}>0
and (
{17734}=6 or
{17734}=7 or
{17734}=11 or
{17734}=62 or
{17734}=69 or
{17734}=117
)
and
({17735}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15671','0','2','1','({17732}>0 and {17736}>0) or
({17735}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15680','{17737}<0 and {17738}>0
and (
{17739}=6 or
{17739}=7 or
{17739}=11 or
{17739}=62 or
{17739}=69 or
{17739}=117
)
and
({17740}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15671','0','2','1','({17737}>0 and {17741}>0) or
({17740}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15681','{17742}<0 and {17743}>0
and (
{17744}=6 or
{17744}=7 or
{17744}=11 or
{17744}=62 or
{17744}=69 or
{17744}=117
)
and
({17745}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15671','0','2','1','({17742}>0 and {17746}>0) or
({17745}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15682','{17747}<0 and {17748}>0
and (
{17749}=6 or
{17749}=7 or
{17749}=11 or
{17749}=62 or
{17749}=69 or
{17749}=117
)
and
({17750}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15671','0','2','1','({17747}>0 and {17751}>0) or
({17750}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15683','{17752}<0 and {17753}>0
and (
{17754}=6 or
{17754}=7 or
{17754}=11 or
{17754}=62 or
{17754}=69 or
{17754}=117
)
and
({17755}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15671','0','2','1','({17752}>0 and {17756}>0) or
({17755}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15684','{17757}<0 and {17758}>0
and (
{17759}=6 or
{17759}=7 or
{17759}=11 or
{17759}=62 or
{17759}=69 or
{17759}=117
)
and
({17760}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15671','0','2','1','({17757}>0 and {17761}>0) or
({17760}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15685','{17762}<0 and {17763}>0
and (
{17764}=6 or
{17764}=7 or
{17764}=11 or
{17764}=62 or
{17764}=69 or
{17764}=117
)
and
({17765}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15671','0','2','1','({17762}>0 and {17766}>0) or
({17765}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15686','{17767}<0 and {17768}>0
and (
{17769}=6 or
{17769}=7 or
{17769}=11 or
{17769}=62 or
{17769}=69 or
{17769}=117
)
and
({17770}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15671','0','2','1','({17767}>0 and {17771}>0) or
({17770}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15687','{17772}<0 and {17773}>0
and (
{17774}=6 or
{17774}=7 or
{17774}=11 or
{17774}=62 or
{17774}=69 or
{17774}=117
)
and
({17775}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15671','0','2','1','({17772}>0 and {17776}>0) or
({17775}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15689','{17782}<0 and {17783}>0
and (
{17784}=6 or
{17784}=7 or
{17784}=11 or
{17784}=62 or
{17784}=69 or
{17784}=117
)
and
({17785}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15671','0','2','1','({17782}>0 and {17786}>0) or
({17785}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15690','{17787}<0 and {17788}>0
and (
{17789}=6 or
{17789}=7 or
{17789}=11 or
{17789}=62 or
{17789}=69 or
{17789}=117
)
and
({17790}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15671','0','2','1','({17787}>0 and {17791}>0) or
({17790}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15691','{17792}<0 and {17793}>0
and (
{17794}=6 or
{17794}=7 or
{17794}=11 or
{17794}=62 or
{17794}=69 or
{17794}=117
)
and
({17795}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15671','0','2','1','({17792}>0 and {17796}>0) or
({17795}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15693','{17802}<0 and {17803}>0
and (
{17804}=6 or
{17804}=7 or
{17804}=11 or
{17804}=62 or
{17804}=69 or
{17804}=117
)
and
({17805}<>2)','Interface {#IFDESCR}: Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15692','0','2','1','({17802}>0 and {17806}>0) or
({17805}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15694','{17807}<0 and {17808}>0
and (
{17809}=6 or
{17809}=7 or
{17809}=11 or
{17809}=62 or
{17809}=69 or
{17809}=117
)
and
({17810}<>2)','Interface {#IFDESCR}: Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15692','0','2','1','({17807}>0 and {17811}>0) or
({17810}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15696','{17817}<0 and {17818}>0
and (
{17819}=6 or
{17819}=7 or
{17819}=11 or
{17819}=62 or
{17819}=69 or
{17819}=117
)
and
({17820}<>2)','Interface {#IFDESCR}: Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15695','0','2','1','({17817}>0 and {17821}>0) or
({17820}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15697','{17822}<0 and {17823}>0
and (
{17824}=6 or
{17824}=7 or
{17824}=11 or
{17824}=62 or
{17824}=69 or
{17824}=117
)
and
({17825}<>2)','Interface {#IFDESCR}: Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15695','0','2','1','({17822}>0 and {17826}>0) or
({17825}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15700','{17837}=2','Interface {#IFNAME}({#IFALIAS}): In half-duplex mode','','0','2','Please check autonegotiation settings and cabling','14941','0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15701','{17838}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15702','{17839}>{$ICMP_LOSS_WARN} and {17839}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15703','{17840}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15708','{17848}<0 and {17849}>0
and (
{17850}=6 or
{17850}=7 or
{17850}=11 or
{17850}=62 or
{17850}=69 or
{17850}=117
)
and
({17851}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15671','0','2','1','({17848}>0 and {17852}>0) or
({17851}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15709','{$IFCONTROL:"{#IFNAME}"}=1 and ({17853}=2 and {17854}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15508','0','2','1','{17853}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15723','{17874}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15724','{17875}>{$ICMP_LOSS_WARN} and {17875}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15725','{17876}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15755','{17926}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15756','{17927}>{$ICMP_LOSS_WARN} and {17927}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15757','{17928}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15798','{17995}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14288','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15799','{17996}>{$ICMP_LOSS_WARN} and {17996}<100','High ICMP ping loss','','0','2','','14289','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15800','{17997}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14290','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15819','{18026}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15820','{18027}>{$ICMP_LOSS_WARN} and {18027}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15821','{18028}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15840','{18057}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15841','{18058}>{$ICMP_LOSS_WARN} and {18058}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15842','{18059}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15854','{18077}>75','Zabbix LLD manager processes more than 75% busy','','0','3','','15853','0','0','1','{18077}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15856','{18079}>75','Zabbix LLD worker processes more than 75% busy','','0','3','','15855','0','0','1','{18079}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15989','{18223}=2','Interface {#IFNAME}({#IFALIAS}): In half-duplex mode','','0','2','Please check autonegotiation settings and cabling','14941','0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15990','{18224}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15991','{18225}>{$ICMP_LOSS_WARN} and {18225}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15992','{18226}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15997','{18234}<0 and {18235}>0
and (
{18236}=6 or
{18236}=7 or
{18236}=11 or
{18236}=62 or
{18236}=69 or
{18236}=117
)
and
({18237}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15671','0','2','1','({18234}>0 and {18238}>0) or
({18237}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('15998','{$IFCONTROL:"{#IFNAME}"}=1 and ({18239}=2 and {18240}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15508','0','2','1','{18239}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16003','{18248}>{$MEMORY.UTIL.MAX}','High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.','15999','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16004','{18249}<{$MEMORY.AVAILABLE.MIN} and {18250}>0','Lack of available memory ( < {$MEMORY.AVAILABLE.MIN} of {ITEM.VALUE2})','','0','3','','16000','0','0','0','','0','','0','Available: {ITEM.LASTVALUE1}, total: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16005','{18251}<{$SWAP.PFREE.MIN.WARN} and {18252}>0','High swap space usage ( less than {$SWAP.PFREE.MIN.WARN}% free)','','0','2','This trigger is ignored, if there is no swap configured','16001','0','0','0','','0','','0','Free: {ITEM.LASTVALUE1}, total: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16012','{18266}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.','16007','0','2','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16013','{18267}>{$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"} and
(({18268}-{18269})<5G or {18270}<1d)','{#FSNAME}: Disk space is critically low (used > {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}%)','','0','3','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 5G.
 - The disk will be full in less than 24 hours.','16008','0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16014','{18271}>{$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"} and
(({18272}-{18273})<10G or {18274}<1d)','{#FSNAME}: Disk space is low (used > {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}%)','','0','2','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 10G.
 - The disk will be full in less than 24 hours.','16009','0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16015','{18275}<{$VFS.FS.INODE.PFREE.MIN.CRIT:"{#FSNAME}"}','{#FSNAME}: Running out of free inodes (free < {$VFS.FS.INODE.PFREE.MIN.CRIT:"{#FSNAME}"}%)','','0','3','It may become impossible to write to disk if there are no index nodes left.
As symptoms, ''No space left on device'' or ''Disk is full'' errors may be seen even though free space is available.','16010','0','2','0','','0','','0','Free inodes: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16016','{18276}<{$VFS.FS.INODE.PFREE.MIN.WARN:"{#FSNAME}"}','{#FSNAME}: Running out of free inodes (free < {$VFS.FS.INODE.PFREE.MIN.WARN:"{#FSNAME}"}%)','','0','2','It may become impossible to write to disk if there are no index nodes left.
As symptoms, ''No space left on device'' or ''Disk is full'' errors may be seen even though free space is available.','16011','0','2','0','','0','','0','Free inodes: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16017','{18277}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16018','{18278}>{$ICMP_LOSS_WARN} and {18278}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16019','{18279}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16028','{18291}<0 and {18292}>0
and (
{18293}=6 or
{18293}=7 or
{18293}=11 or
{18293}=62 or
{18293}=69 or
{18293}=117
)
and
({18294}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','15698','0','2','1','({18291}>0 and {18295}>0) or
({18294}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16029','{$IFCONTROL:"{#IFNAME}"}=1 and ({18296}=2 and {18297}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','15502','0','2','1','{18296}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16045','{18321}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.','16031','0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16046','{18322}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.','16045','0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16047','{18323}>{$MEMORY.UTIL.MAX}','High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.','16032','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16048','{18324}>{$MEMORY.UTIL.MAX}','High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.','16047','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16049','{18325}<{$MEMORY.AVAILABLE.MIN} and {18326}>0','Lack of available memory ( < {$MEMORY.AVAILABLE.MIN} of {ITEM.VALUE2})','','0','3','','16033','0','0','0','','0','','0','Available: {ITEM.LASTVALUE1}, total: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16050','{18327}<{$MEMORY.AVAILABLE.MIN} and {18328}>0','Lack of available memory ( < {$MEMORY.AVAILABLE.MIN} of {ITEM.VALUE2})','','0','3','','16049','0','0','0','','0','','0','Available: {ITEM.LASTVALUE1}, total: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16051','{18329}<{$SWAP.PFREE.MIN.WARN} and {18330}>0','High swap space usage ( less than {$SWAP.PFREE.MIN.WARN}% free)','','0','2','This trigger is ignored, if there is no swap configured','16034','0','0','0','','0','','0','Free: {ITEM.LASTVALUE1}, total: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16052','{18331}<{$SWAP.PFREE.MIN.WARN} and {18332}>0','High swap space usage ( less than {$SWAP.PFREE.MIN.WARN}% free)','','0','2','This trigger is ignored, if there is no swap configured','16051','0','0','0','','0','','0','Free: {ITEM.LASTVALUE1}, total: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16053','{18333}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','The host uptime is less than 10 minutes','16035','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16054','{18334}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','The host uptime is less than 10 minutes','16053','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16055','{18335}=0','System time is out of sync (diff with Zabbix server > {$SYSTEM.FUZZYTIME.MAX}s)','','0','2','The host system time is different from the Zabbix server time.','16036','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16056','{18336}=0','System time is out of sync (diff with Zabbix server > {$SYSTEM.FUZZYTIME.MAX}s)','','0','2','The host system time is different from the Zabbix server time.','16055','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16059','{18341}<{$KERNEL.MAXFILES.MIN}','Configured max number of open filedescriptors is too low (< {$KERNEL.MAXFILES.MIN})','','0','1','','16038','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16060','{18342}<{$KERNEL.MAXFILES.MIN}','Configured max number of open filedescriptors is too low (< {$KERNEL.MAXFILES.MIN})','','0','1','','16059','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16061','{18343}<{$KERNEL.MAXPROC.MIN}','Configured max number of processes is too low (< {$KERNEL.MAXPROC.MIN})','','0','1','','16039','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16062','{18344}<{$KERNEL.MAXPROC.MIN}','Configured max number of processes is too low (< {$KERNEL.MAXPROC.MIN})','','0','1','','16061','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16063','{18345}/{18346}*100>80','Getting closer to process limit (over 80% used)','','0','2','','16040','0','0','0','','0','','0','{ITEM.LASTVALUE1} active, {ITEM.LASTVALUE2} limit.','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16064','{18347}/{18348}*100>80','Getting closer to process limit (over 80% used)','','0','2','','16063','0','0','0','','0','','0','{ITEM.LASTVALUE1} active, {ITEM.LASTVALUE2} limit.','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16065','{18349}>0','/etc/passwd has been changed','','0','1','','16041','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16066','{18350}>0','/etc/passwd has been changed','','0','1','','16065','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16067','{18351}=1 and {18352}>0','Operating system description has changed','','0','1','Operating system description has changed. Possible reasons that system has been updated or replaced. Ack to close.','16042','0','0','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16068','{18353}=1 and {18354}>0','Operating system description has changed','','0','1','Operating system description has changed. Possible reasons that system has been updated or replaced. Ack to close.','16067','0','0','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16077','{18376}>{$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"} and
(({18377}-{18378})<5G or {18379}<1d)','{#FSNAME}: Disk space is critically low (used > {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}%)','','0','3','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 5G.
 - The disk will be full in less than 24 hours.','16069','0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16078','{18380}>{$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"} and
(({18381}-{18382})<5G or {18383}<1d)','{#FSNAME}: Disk space is critically low (used > {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}%)','','0','3','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 5G.
 - The disk will be full in less than 24 hours.','16077','0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16079','{18384}>{$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"} and
(({18385}-{18386})<10G or {18387}<1d)','{#FSNAME}: Disk space is low (used > {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}%)','','0','2','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 10G.
 - The disk will be full in less than 24 hours.','16070','0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16080','{18388}>{$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"} and
(({18389}-{18390})<10G or {18391}<1d)','{#FSNAME}: Disk space is low (used > {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}%)','','0','2','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 10G.
 - The disk will be full in less than 24 hours.','16079','0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16081','{18392}<{$VFS.FS.INODE.PFREE.MIN.CRIT:"{#FSNAME}"}','{#FSNAME}: Running out of free inodes (free < {$VFS.FS.INODE.PFREE.MIN.CRIT:"{#FSNAME}"}%)','','0','3','It may become impossible to write to disk if there are no index nodes left.
As symptoms, ''No space left on device'' or ''Disk is full'' errors may be seen even though free space is available.','16071','0','2','0','','0','','0','Free inodes: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16082','{18393}<{$VFS.FS.INODE.PFREE.MIN.CRIT:"{#FSNAME}"}','{#FSNAME}: Running out of free inodes (free < {$VFS.FS.INODE.PFREE.MIN.CRIT:"{#FSNAME}"}%)','','0','3','It may become impossible to write to disk if there are no index nodes left.
As symptoms, ''No space left on device'' or ''Disk is full'' errors may be seen even though free space is available.','16081','0','2','0','','0','','0','Free inodes: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16083','{18394}<{$VFS.FS.INODE.PFREE.MIN.WARN:"{#FSNAME}"}','{#FSNAME}: Running out of free inodes (free < {$VFS.FS.INODE.PFREE.MIN.WARN:"{#FSNAME}"}%)','','0','2','It may become impossible to write to disk if there are no index nodes left.
As symptoms, ''No space left on device'' or ''Disk is full'' errors may be seen even though free space is available.','16072','0','2','0','','0','','0','Free inodes: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16084','{18395}<{$VFS.FS.INODE.PFREE.MIN.WARN:"{#FSNAME}"}','{#FSNAME}: Running out of free inodes (free < {$VFS.FS.INODE.PFREE.MIN.WARN:"{#FSNAME}"}%)','','0','2','It may become impossible to write to disk if there are no index nodes left.
As symptoms, ''No space left on device'' or ''Disk is full'' errors may be seen even though free space is available.','16083','0','2','0','','0','','0','Free inodes: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16087','{18398}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18399}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}: High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16074','0','2','1','{18400}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {18401}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16088','{18402}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18403}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}: High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16087','0','2','1','{18404}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {18405}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16089','{$IFCONTROL:"{#IFNAME}"}=1 and ({18406}=2 and {18407}=1)','Interface {#IFNAME}: Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','16075','0','2','1','{18406}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16090','{$IFCONTROL:"{#IFNAME}"}=1 and ({18408}=2 and {18409}=1)','Interface {#IFNAME}: Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','16089','0','2','1','{18408}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16091','{18410}<0 and {18411}>0
and
({18411}=6
or {18411}=1)
and
({18412}<>2)','Interface {#IFNAME}: Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','16076','0','2','1','({18410}>0 and {18413}>0) or
({18412}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16092','{18414}<0 and {18415}>0
and
({18415}=6
or {18415}=1)
and
({18416}<>2)','Interface {#IFNAME}: Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','16091','0','2','1','({18414}>0 and {18417}>0) or
({18416}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16110','{18442}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.','16097','0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16111','{18443}>{$MEMORY.UTIL.MAX}','High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.','16098','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16112','{18444}<{$MEMORY.AVAILABLE.MIN} and {18445}>0','Lack of available memory ( < {$MEMORY.AVAILABLE.MIN} of {ITEM.VALUE2})','','0','3','','16099','0','0','0','','0','','0','Available: {ITEM.LASTVALUE1}, total: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16113','{18446}<{$SWAP.PFREE.MIN.WARN} and {18447}>0','High swap space usage ( less than {$SWAP.PFREE.MIN.WARN}% free)','','0','2','This trigger is ignored, if there is no swap configured','16100','0','0','0','','0','','0','Free: {ITEM.LASTVALUE1}, total: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16114','{18448}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','The host uptime is less than 10 minutes','16101','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16115','{18449}=0','System time is out of sync (diff with Zabbix server > {$SYSTEM.FUZZYTIME.MAX}s)','','0','2','The host system time is different from the Zabbix server time.','16102','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16117','{18452}<{$KERNEL.MAXFILES.MIN}','Configured max number of open filedescriptors is too low (< {$KERNEL.MAXFILES.MIN})','','0','1','','16104','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16118','{18453}<{$KERNEL.MAXPROC.MIN}','Configured max number of processes is too low (< {$KERNEL.MAXPROC.MIN})','','0','1','','16105','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16119','{18454}/{18455}*100>80','Getting closer to process limit (over 80% used)','','0','2','','16106','0','0','0','','0','','0','{ITEM.LASTVALUE1} active, {ITEM.LASTVALUE2} limit.','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16120','{18456}>0','/etc/passwd has been changed','','0','1','','16107','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16121','{18457}=1 and {18458}>0','Operating system description has changed','','0','1','Operating system description has changed. Possible reasons that system has been updated or replaced. Ack to close.','16108','0','0','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16130','{18480}>{$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"} and
(({18481}-{18482})<5G or {18483}<1d)','{#FSNAME}: Disk space is critically low (used > {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}%)','','0','3','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 5G.
 - The disk will be full in less than 24 hours.','16122','0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16131','{18484}>{$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"} and
(({18485}-{18486})<10G or {18487}<1d)','{#FSNAME}: Disk space is low (used > {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}%)','','0','2','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 10G.
 - The disk will be full in less than 24 hours.','16123','0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16132','{18488}<{$VFS.FS.INODE.PFREE.MIN.CRIT:"{#FSNAME}"}','{#FSNAME}: Running out of free inodes (free < {$VFS.FS.INODE.PFREE.MIN.CRIT:"{#FSNAME}"}%)','','0','3','It may become impossible to write to disk if there are no index nodes left.
As symptoms, ''No space left on device'' or ''Disk is full'' errors may be seen even though free space is available.','16124','0','2','0','','0','','0','Free inodes: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16133','{18489}<{$VFS.FS.INODE.PFREE.MIN.WARN:"{#FSNAME}"}','{#FSNAME}: Running out of free inodes (free < {$VFS.FS.INODE.PFREE.MIN.WARN:"{#FSNAME}"}%)','','0','2','It may become impossible to write to disk if there are no index nodes left.
As symptoms, ''No space left on device'' or ''Disk is full'' errors may be seen even though free space is available.','16125','0','2','0','','0','','0','Free inodes: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16135','{18491}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18492}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}: High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16127','0','2','1','{18493}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {18494}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16136','{$IFCONTROL:"{#IFNAME}"}=1 and ({18495}=2 and {18496}=1)','Interface {#IFNAME}: Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','16128','0','2','1','{18495}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16137','{18497}<0 and {18498}>0
and
({18498}=6
or {18498}=1)
and
({18499}<>2)','Interface {#IFNAME}: Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','16129','0','2','1','({18497}>0 and {18500}>0) or
({18499}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16171','{18561}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.','16160','0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16172','{18562}>{$CPU.INTERRUPT.CRIT.MAX}','CPU interrupt time is too high (over {$CPU.INTERRUPT.CRIT.MAX}% for 5m)','','0','2',E'"The CPU Interrupt Time in the last 5 minutes exceeds {$CPU.INTERRUPT.CRIT.MAX}%."
The Processor Information\\% Interrupt Time is the time the processor spends receiving and servicing 
hardware interrupts during sample intervals. This value is an indirect indicator of the activity of 
devices that generate interrupts, such as the system clock, the mouse, disk drivers, data communication 
lines, network interface cards and other peripheral devices. This is an easy way to identify a potential 
hardware failure. This should never be higher than 20%.','16161','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16173','{18563}>{$CPU.PRIV.CRIT.MAX}','CPU privileged time is too high (over {$CPU.PRIV.CRIT.MAX}% for 5m)','','0','2','The CPU privileged time in the last 5 minutes exceeds {$CPU.PRIV.CRIT.MAX}%.','16162','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16175','{18565}>{$MEMORY.UTIL.MAX}','High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.','16164','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16176','{18566}<{$SWAP.PFREE.MIN.WARN} and {18567}>0','High swap space usage ( less than {$SWAP.PFREE.MIN.WARN}% free)','','0','2','This trigger is ignored, if there is no swap configured','16165','0','0','0','','0','','0','Free: {ITEM.LASTVALUE1}, total: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16177','{18568}<{$MEM.PAGE_TABLE_CRIT.MIN}','Number of free system page table entries is too low (less {$MEM.PAGE_TABLE_CRIT.MIN} for 5m)','','0','2','The Memory Free System Page Table Entries is less than {$MEM.PAGE_TABLE_CRIT.MIN} for 5 minutes. If the number is less than 5,000, there may well be a memory leak.','16166','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16178','{18569}>{$MEM.PAGE_SEC.CRIT.MAX}','The Memory Pages/sec is too high (over {$MEM.PAGE_SEC.CRIT.MAX} for 5m)','','0','2','The Memory Pages/sec in the last 5 minutes exceeds {$MEM.PAGE_SEC.CRIT.MAX}. If the value is greater than 1,000, as a result of excessive paging, there may be a memory leak.','16167','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16179','{18570}<10m','Host has been restarted (uptime < 10m)','','0','2','The device uptime is less than 10 minutes.','16168','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16180','{18571}=0','System time is out of sync (diff with Zabbix server > {$SYSTEM.FUZZYTIME.MAX}s)','','0','2','The host system time is different from the Zabbix server time.','16169','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16189','{18597}>{$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"} and
(({18598}-{18599})<5G or {18600}<1d)','{#FSNAME}: Disk space is critically low (used > {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}%)','','0','3','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 5G.
 - The disk will be full in less than 24 hours.','16182','0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16190','{18601}>{$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"} and
(({18602}-{18603})<10G or {18604}<1d)','{#FSNAME}: Disk space is low (used > {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}%)','','0','2','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 10G.
 - The disk will be full in less than 24 hours.','16183','0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16191','{18605}>{$VFS.DEV.UTIL.MAX.WARN}','{#DEVNAME}: Disk is overloaded (util > {$VFS.DEV.UTIL.MAX.WARN}% for 15m)','','0','2','The disk appears to be under heavy load','16184','0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16192','({18606}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18607} or
{18608}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18607}) and
{18607}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16185','0','2','1','{18606}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18607} and
{18608}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18607}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16193','{18609}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18610}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16186','0','2','1','{18611}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {18612}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16194','{18613}<0 and {18614}>0
and (
{18615}=6 or
{18615}=7 or
{18615}=11 or
{18615}=62 or
{18615}=69 or
{18615}=117
)
and
({18616}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','16187','0','2','1','({18613}>0 and {18617}>0) or
({18616}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16195','{$IFCONTROL:"{#IFNAME}"}=1 and ({18618}=2 and {18619}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','16188','0','2','1','{18618}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16198','{18622}=0','Zabbix agent is not available (for {$AGENT.TIMEOUT})','','0','3','For passive only agents, host availability is used with {$AGENT.TIMEOUT} as time threshold.','16196','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16199','{18623}=0','Zabbix agent is not available (for {$AGENT.TIMEOUT})','','0','3','For passive only agents, host availability is used with {$AGENT.TIMEOUT} as time threshold.','16198','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16200','{18624}=0','Zabbix agent is not available (for {$AGENT.TIMEOUT})','','0','3','For passive only agents, host availability is used with {$AGENT.TIMEOUT} as time threshold.','16196','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16201','{18625}=0','Zabbix agent is not available (for {$AGENT.TIMEOUT})','','0','3','For passive only agents, host availability is used with {$AGENT.TIMEOUT} as time threshold.','16196','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16202','{18626}=0','Zabbix agent is not available (for {$AGENT.TIMEOUT})','','0','3','For passive only agents, host availability is used with {$AGENT.TIMEOUT} as time threshold.','16196','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16203','{18627}=0','Zabbix agent is not available (for {$AGENT.TIMEOUT})','','0','3','For passive only agents, host availability is used with {$AGENT.TIMEOUT} as time threshold.','16196','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16204','{18628}=0','Zabbix agent is not available (for {$AGENT.TIMEOUT})','','0','3','For passive only agents, host availability is used with {$AGENT.TIMEOUT} as time threshold.','16196','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16205','{18629}=0','Zabbix agent is not available (for {$AGENT.TIMEOUT})','','0','3','For passive only agents, host availability is used with {$AGENT.TIMEOUT} as time threshold.','16196','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16206','{18630}=0','Zabbix agent is not available (for {$AGENT.TIMEOUT})','','0','3','For passive only agents, host availability is used with {$AGENT.TIMEOUT} as time threshold.','16196','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16208','{18632}=1','Zabbix agent is not available (or nodata for {$AGENT.NODATA_TIMEOUT})','','0','3','For active agents, nodata() with agent.ping is used with {$AGENT.NODATA_TIMEOUT} as time threshold.','16197','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16220','{18646}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.','16209','0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16221','{18647}>{$CPU.INTERRUPT.CRIT.MAX}','CPU interrupt time is too high (over {$CPU.INTERRUPT.CRIT.MAX}% for 5m)','','0','2',E'"The CPU Interrupt Time in the last 5 minutes exceeds {$CPU.INTERRUPT.CRIT.MAX}%."
The Processor Information\\% Interrupt Time is the time the processor spends receiving and servicing 
hardware interrupts during sample intervals. This value is an indirect indicator of the activity of 
devices that generate interrupts, such as the system clock, the mouse, disk drivers, data communication 
lines, network interface cards and other peripheral devices. This is an easy way to identify a potential 
hardware failure. This should never be higher than 20%.','16210','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16222','{18648}>{$CPU.PRIV.CRIT.MAX}','CPU privileged time is too high (over {$CPU.PRIV.CRIT.MAX}% for 5m)','','0','2','The CPU privileged time in the last 5 minutes exceeds {$CPU.PRIV.CRIT.MAX}%.','16211','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16224','{18650}>{$MEMORY.UTIL.MAX}','High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.','16213','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16225','{18651}<{$SWAP.PFREE.MIN.WARN} and {18652}>0','High swap space usage ( less than {$SWAP.PFREE.MIN.WARN}% free)','','0','2','This trigger is ignored, if there is no swap configured','16214','0','0','0','','0','','0','Free: {ITEM.LASTVALUE1}, total: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16226','{18653}<{$MEM.PAGE_TABLE_CRIT.MIN}','Number of free system page table entries is too low (less {$MEM.PAGE_TABLE_CRIT.MIN} for 5m)','','0','2','The Memory Free System Page Table Entries is less than {$MEM.PAGE_TABLE_CRIT.MIN} for 5 minutes. If the number is less than 5,000, there may well be a memory leak.','16215','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16227','{18654}>{$MEM.PAGE_SEC.CRIT.MAX}','The Memory Pages/sec is too high (over {$MEM.PAGE_SEC.CRIT.MAX} for 5m)','','0','2','The Memory Pages/sec in the last 5 minutes exceeds {$MEM.PAGE_SEC.CRIT.MAX}. If the value is greater than 1,000, as a result of excessive paging, there may be a memory leak.','16216','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16228','{18655}<10m','Host has been restarted (uptime < 10m)','','0','2','The device uptime is less than 10 minutes.','16217','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16229','{18656}=0','System time is out of sync (diff with Zabbix server > {$SYSTEM.FUZZYTIME.MAX}s)','','0','2','The host system time is different from the Zabbix server time.','16218','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16238','{18682}>{$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"} and
(({18683}-{18684})<5G or {18685}<1d)','{#FSNAME}: Disk space is critically low (used > {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}%)','','0','3','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 5G.
 - The disk will be full in less than 24 hours.','16231','0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16239','{18686}>{$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"} and
(({18687}-{18688})<10G or {18689}<1d)','{#FSNAME}: Disk space is low (used > {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}%)','','0','2','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 10G.
 - The disk will be full in less than 24 hours.','16232','0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16240','{18690}>{$VFS.DEV.UTIL.MAX.WARN}','{#DEVNAME}: Disk is overloaded (util > {$VFS.DEV.UTIL.MAX.WARN}% for 15m)','','0','2','The disk appears to be under heavy load','16233','0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16241','({18691}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18692} or
{18693}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18692}) and
{18692}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16234','0','2','1','{18691}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18692} and
{18693}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18692}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16242','{18694}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18695}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16235','0','2','1','{18696}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {18697}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16243','{18698}<0 and {18699}>0
and (
{18700}=6 or
{18700}=7 or
{18700}=11 or
{18700}=62 or
{18700}=69 or
{18700}=117
)
and
({18701}<>2)','Interface {#IFNAME}({#IFALIAS}): Ethernet has changed to lower speed than it was before','','0','1','This Ethernet connection has transitioned down from its known maximum speed. This might be a sign of autonegotiation issues. Ack to close.','16236','0','2','1','({18698}>0 and {18702}>0) or
({18701}=2)','0','','1','Current reported speed: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16244','{$IFCONTROL:"{#IFNAME}"}=1 and ({18703}=2 and {18704}=1)','Interface {#IFNAME}({#IFALIAS}): Link down','','0','3','This trigger expression works as follows:
1. Can be triggered if operations status is down.
2. {$IFCONTROL:"{#IFNAME}"}=1 - user can redefine Context macro to value - 0. That marks this interface as not important. No new trigger will be fired if this interface is down.
3. {TEMPLATE_NAME:METRIC.diff()}=1) - trigger fires only if operational status was up(1) sometime before. (So, do not fire ''ethernal off'' interfaces.)

WARNING: if closed manually - won''t fire again on next poll, because of .diff.','16237','0','2','1','{18703}<>2','0','','1','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16274','{18736}>75','Zabbix alert syncer processes more than 75% busy','','0','3','','16273','0','0','1','{18736}<65','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16278','{18741}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16275','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16279','{18742}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16275','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16280','{18743}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16275','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16284','{18750}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16277','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16285','{18751}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16277','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16286','{18752}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16277','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16290','{18757}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16291','{18758}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16292','{18759}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16293','{18760}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16294','{18761}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16295','{18762}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16296','{18763}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16297','{18764}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16298','{18765}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16299','{18766}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16300','{18767}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16301','{18768}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16302','{18769}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16303','{18770}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16304','{18771}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16305','{18772}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16306','{18773}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16307','{18774}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16308','{18775}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16309','{18776}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16310','{18777}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16311','{18778}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16312','{18779}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16313','{18780}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16314','{18781}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16315','{18782}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16316','{18783}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16317','{18784}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16318','{18785}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16348','{18844}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16349','{18845}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16350','{18846}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16351','{18847}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16352','{18848}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16353','{18849}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16354','{18850}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16355','{18851}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16356','{18852}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16357','{18853}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16358','{18854}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16359','{18855}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16360','{18856}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16361','{18857}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16362','{18858}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16363','{18859}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16364','{18860}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16365','{18861}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16366','{18862}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16367','{18863}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16368','{18864}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16369','{18865}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16370','{18866}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16371','{18867}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16372','{18868}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16373','{18869}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16374','{18870}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16375','{18871}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16376','{18872}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16381','({18887}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18888} or
{18889}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18888}) and
{18888}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16379','0','2','1','{18887}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18888} and
{18889}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18888}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16382','({18890}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18891} or
{18892}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18891}) and
{18891}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16379','0','2','1','{18890}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18891} and
{18892}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18891}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16383','({18893}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18894} or
{18895}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18894}) and
{18894}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16379','0','2','1','{18893}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18894} and
{18895}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18894}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16384','({18896}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18897} or
{18898}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18897}) and
{18897}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16379','0','2','1','{18896}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18897} and
{18898}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18897}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16385','({18899}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18900} or
{18901}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18900}) and
{18900}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16379','0','2','1','{18899}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18900} and
{18901}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18900}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16386','({18902}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18903} or
{18904}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18903}) and
{18903}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16379','0','2','1','{18902}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18903} and
{18904}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18903}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16387','({18905}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18906} or
{18907}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18906}) and
{18906}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16379','0','2','1','{18905}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18906} and
{18907}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18906}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16388','({18908}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18909} or
{18910}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18909}) and
{18909}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16379','0','2','1','{18908}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18909} and
{18910}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18909}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16389','({18911}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18912} or
{18913}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18912}) and
{18912}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16379','0','2','1','{18911}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18912} and
{18913}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18912}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16390','({18914}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18915} or
{18916}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18915}) and
{18915}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16379','0','2','1','{18914}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18915} and
{18916}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18915}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16391','({18917}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18918} or
{18919}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18918}) and
{18918}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16379','0','2','1','{18917}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18918} and
{18919}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18918}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16392','({18920}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18921} or
{18922}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18921}) and
{18921}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16379','0','2','1','{18920}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18921} and
{18922}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18921}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16393','({18923}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18924} or
{18925}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18924}) and
{18924}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16379','0','2','1','{18923}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18924} and
{18925}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18924}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16394','({18926}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18927} or
{18928}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18927}) and
{18927}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16379','0','2','1','{18926}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18927} and
{18928}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18927}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16395','({18929}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18930} or
{18931}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18930}) and
{18930}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16379','0','2','1','{18929}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18930} and
{18931}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18930}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16396','({18932}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18933} or
{18934}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18933}) and
{18933}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16379','0','2','1','{18932}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18933} and
{18934}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18933}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16397','({18935}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18936} or
{18937}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18936}) and
{18936}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16379','0','2','1','{18935}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18936} and
{18937}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18936}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16398','({18938}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18939} or
{18940}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18939}) and
{18939}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16379','0','2','1','{18938}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18939} and
{18940}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18939}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16399','({18941}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18942} or
{18943}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18942}) and
{18942}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16379','0','2','1','{18941}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18942} and
{18943}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18942}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16400','({18944}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18945} or
{18946}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18945}) and
{18945}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16379','0','2','1','{18944}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18945} and
{18946}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18945}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16401','({18947}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18948} or
{18949}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{18948}) and
{18948}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16379','0','2','1','{18947}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18948} and
{18949}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{18948}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16402','{18950}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18951}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16380','0','2','1','{18952}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {18953}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16403','{18954}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18955}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16380','0','2','1','{18956}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {18957}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16404','{18958}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18959}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16380','0','2','1','{18960}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {18961}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16405','{18962}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18963}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16380','0','2','1','{18964}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {18965}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16406','{18966}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18967}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16380','0','2','1','{18968}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {18969}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16407','{18970}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18971}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16380','0','2','1','{18972}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {18973}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16408','{18974}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18975}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16380','0','2','1','{18976}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {18977}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16409','{18978}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18979}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16380','0','2','1','{18980}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {18981}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16410','{18982}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18983}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16380','0','2','1','{18984}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {18985}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16411','{18986}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18987}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16380','0','2','1','{18988}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {18989}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16412','{18990}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18991}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16380','0','2','1','{18992}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {18993}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16413','{18994}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18995}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16380','0','2','1','{18996}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {18997}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16414','{18998}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {18999}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16380','0','2','1','{19000}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {19001}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16415','{19002}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {19003}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16380','0','2','1','{19004}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {19005}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16416','{19006}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {19007}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16380','0','2','1','{19008}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {19009}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16417','{19010}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {19011}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16380','0','2','1','{19012}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {19013}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16418','{19014}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {19015}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16380','0','2','1','{19016}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {19017}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16419','{19018}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {19019}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16380','0','2','1','{19020}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {19021}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16420','{19022}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {19023}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16380','0','2','1','{19024}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {19025}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16421','{19026}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {19027}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16380','0','2','1','{19028}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {19029}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16422','{19030}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {19031}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16380','0','2','1','{19032}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {19033}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16425','({19041}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{19042} or
{19043}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{19042}) and
{19042}>0','Interface {#IFDESCR}: High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16423','0','2','1','{19041}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{19042} and
{19043}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{19042}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16426','({19044}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{19045} or
{19046}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{19045}) and
{19045}>0','Interface {#IFDESCR}: High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16423','0','2','1','{19044}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{19045} and
{19046}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{19045}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16427','{19047}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {19048}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFDESCR}: High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16424','0','2','1','{19049}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {19050}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16428','{19051}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {19052}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFDESCR}: High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16424','0','2','1','{19053}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {19054}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16431','({19062}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{19063} or
{19064}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{19063}) and
{19063}>0','Interface {#IFDESCR}: High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16429','0','2','1','{19062}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{19063} and
{19064}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{19063}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16432','({19065}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{19066} or
{19067}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{19066}) and
{19066}>0','Interface {#IFDESCR}: High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16429','0','2','1','{19065}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{19066} and
{19067}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{19066}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16433','{19068}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {19069}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFDESCR}: High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16430','0','2','1','{19070}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {19071}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16434','{19072}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {19073}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFDESCR}: High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16430','0','2','1','{19074}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {19075}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16437','({19083}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{19084} or
{19085}>({$IF.UTIL.MAX:"{#IFNAME}"}/100)*{19084}) and
{19084}>0','Interface {#IFNAME}({#IFALIAS}): High bandwidth usage ( > {$IF.UTIL.MAX:"{#IFNAME}"}% )','','0','2','The network interface utilization is close to its estimated maximum bandwidth.','16435','0','2','1','{19083}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{19084} and
{19085}<(({$IF.UTIL.MAX:"{#IFNAME}"}-3)/100)*{19084}','0','','1','In: {ITEM.LASTVALUE1}, out: {ITEM.LASTVALUE3}, speed: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16438','{19086}>{$IF.ERRORS.WARN:"{#IFNAME}"}
or {19087}>{$IF.ERRORS.WARN:"{#IFNAME}"}','Interface {#IFNAME}({#IFALIAS}): High error rate ( > {$IF.ERRORS.WARN:"{#IFNAME}"} for 5m)','','0','2','Recovers when below 80% of {$IF.ERRORS.WARN:"{#IFNAME}"} threshold','16436','0','2','1','{19088}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8
and {19089}<{$IF.ERRORS.WARN:"{#IFNAME}"}*0.8','0','','1','errors in: {ITEM.LASTVALUE1}, errors out: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16441','{19092}=1','Zabbix agent is not available (or nodata for {$AGENT.NODATA_TIMEOUT})','','0','3','For active agents, nodata() with agent.ping is used with {$AGENT.NODATA_TIMEOUT} as time threshold.','16197','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16453','{19106}=0','Unavailable by ICMP ping','','0','4','Last three attempts returned timeout.  Please check device connectivity.','14293','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16454','{19107}>{$ICMP_LOSS_WARN} and {19107}<100','High ICMP ping loss','','0','2','','14294','0','0','0','','0','','0','Loss: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16455','{19108}>{$ICMP_RESPONSE_TIME_WARN}','High ICMP ping response time','','0','2','','14295','0','0','0','','0','','0','Value: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16457','{19111}<10m','{HOST.NAME} has been restarted (uptime < 10m)','','0','2','Uptime is less than 10 minutes','16287','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16458','{19112}=0','No SNMP data collection','','0','2','SNMP is not available for polling. Please check device connectivity and SNMP settings.','16289','0','0','0','','0','','0','Current state: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16500','{19181}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.','16498','0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16501','{19182}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.','16498','0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16502','{19183}>{$MEMORY.UTIL.MAX}','High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.','16499','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16503','{19184}>{$MEMORY.UTIL.MAX}','High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.','16499','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16509','{19194}=1 and {19195}>0','Operating system description has changed','','0','1','Operating system description has changed. Possible reasons that system has been updated or replaced. Ack to close.','16507','0','0','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16510','{19196}=1 and {19197}>0','Operating system description has changed','','0','1','Operating system description has changed. Possible reasons that system has been updated or replaced. Ack to close.','16507','0','0','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16511','{19198}=1 and {19199}>0','Operating system description has changed','','0','1','Operating system description has changed. Possible reasons that system has been updated or replaced. Ack to close.','16507','0','0','2','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16512','{19200}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.','16508','0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16516','{19204}>{$MEMORY.UTIL.MAX}','{#SNMPVALUE}: High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.','16513','0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16517','{19205}>{$MEMORY.UTIL.MAX}','{#SNMPVALUE}: High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.','16513','0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16518','{19206}>{$MEMORY.UTIL.MAX}','{#SNMPVALUE}: High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.','16513','0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16519','{19207}>{$CPU.UTIL.CRIT}','{#SNMPVALUE}: High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.','16514','0','2','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16520','{19208}>{$CPU.UTIL.CRIT}','#{#SNMPINDEX}: High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.','16515','0','2','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16564','{19273}/{19274}>{$LOAD_AVG_PER_CPU.MAX.WARN}
and {19275}>0
and {19276}>0','Load average is too high (per CPU load over {$LOAD_AVG_PER_CPU.MAX.WARN} for 5m)','','0','3','Per CPU load average is too high. Your system may be slow to respond.','16563','0','0','0','','0','','0','Load averages(1m 5m 15m): ({ITEM.LASTVALUE1} {ITEM.LASTVALUE3} {ITEM.LASTVALUE4}), # of CPUs: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16565','{19277}/{19278}>{$LOAD_AVG_PER_CPU.MAX.WARN}
and {19279}>0
and {19280}>0','Load average is too high (per CPU load over {$LOAD_AVG_PER_CPU.MAX.WARN} for 5m)','','0','3','Per CPU load average is too high. Your system may be slow to respond.','16564','0','0','0','','0','','0','Load averages(1m 5m 15m): ({ITEM.LASTVALUE1} {ITEM.LASTVALUE3} {ITEM.LASTVALUE4}), # of CPUs: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16570','{19291}/{19292}>{$LOAD_AVG_PER_CPU.MAX.WARN}
and {19293}>0
and {19294}>0','Load average is too high (per CPU load over {$LOAD_AVG_PER_CPU.MAX.WARN} for 5m)','','0','3','Per CPU load average is too high. Your system may be slow to respond.','16569','0','0','0','','0','','0','Load averages(1m 5m 15m): ({ITEM.LASTVALUE1} {ITEM.LASTVALUE3} {ITEM.LASTVALUE4}), # of CPUs: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16576','{19309}/{19310}>{$LOAD_AVG_PER_CPU.MAX.WARN}
and {19311}>0
and {19312}>0','Load average is too high (per CPU load over {$LOAD_AVG_PER_CPU.MAX.WARN} for 5m)','','0','3','Per CPU load average is too high. Your system may be slow to respond.','16575','0','0','0','','0','','0','Load averages(1m 5m 15m): ({ITEM.LASTVALUE1} {ITEM.LASTVALUE3} {ITEM.LASTVALUE4}), # of CPUs: {ITEM.LASTVALUE2}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16580','{19318}=1 and {19319}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16579','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16581','{19320}=1 and {19321}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16580','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16583','{19324}=1 and {19325}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16582','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16586','{19330}=1 and {19331}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16585','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16588','{19334}=1 and {19335}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16587','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16590','{19338}=1 and {19339}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16589','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16591','{19340}=1 and {19341}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16589','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16592','{19342}=1 and {19343}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16589','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16594','{19346}=1 and {19347}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16595','{19348}=1 and {19349}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16596','{19350}=1 and {19351}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16597','{19352}=1 and {19353}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16598','{19354}=1 and {19355}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16599','{19356}=1 and {19357}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16600','{19358}=1 and {19359}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16601','{19360}=1 and {19361}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16602','{19362}=1 and {19363}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16603','{19364}=1 and {19365}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16604','{19366}=1 and {19367}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16605','{19368}=1 and {19369}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16606','{19370}=1 and {19371}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16607','{19372}=1 and {19373}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16608','{19374}=1 and {19375}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16609','{19376}=1 and {19377}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16610','{19378}=1 and {19379}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16611','{19380}=1 and {19381}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16612','{19382}=1 and {19383}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16613','{19384}=1 and {19385}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16614','{19386}=1 and {19387}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16615','{19388}=1 and {19389}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16616','{19390}=1 and {19391}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16617','{19392}=1 and {19393}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16618','{19394}=1 and {19395}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16619','{19396}=1 and {19397}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16620','{19398}=1 and {19399}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16621','{19400}=1 and {19401}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16622','{19402}=1 and {19403}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16623','{19404}=1 and {19405}>0','System name has changed (new name: {ITEM.VALUE})','','0','1','System name has changed. Ack to close.','16593','0','0','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16625','{19407}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.','16624','0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16626','{19408}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.','16625','0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16627','{19409}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.','16625','0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16628','{19410}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.','16625','0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16632','{19420}>{$MEMORY.UTIL.MAX}','{#MEMNAME}: High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.','16629','0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16633','{19421}>{$MEMORY.UTIL.MAX}','{#MEMNAME}: High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.','16632','0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16634','{19422}>{$MEMORY.UTIL.MAX}','{#MEMNAME}: High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.','16632','0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16635','{19423}>{$MEMORY.UTIL.MAX}','{#MEMNAME}: High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.','16632','0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16636','{19424}>{$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"} and
(({19425}-{19426})<5G or {19427}<1d)','{#FSNAME}: Disk space is critically low (used > {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}%)','','0','3','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 5G.
 - The disk will be full in less than 24 hours.','16630','0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16637','{19428}>{$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"} and
(({19429}-{19430})<5G or {19431}<1d)','{#FSNAME}: Disk space is critically low (used > {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}%)','','0','3','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 5G.
 - The disk will be full in less than 24 hours.','16636','0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16638','{19432}>{$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"} and
(({19433}-{19434})<5G or {19435}<1d)','{#FSNAME}: Disk space is critically low (used > {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}%)','','0','3','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 5G.
 - The disk will be full in less than 24 hours.','16636','0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16639','{19436}>{$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"} and
(({19437}-{19438})<5G or {19439}<1d)','{#FSNAME}: Disk space is critically low (used > {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}%)','','0','3','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 5G.
 - The disk will be full in less than 24 hours.','16636','0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16640','{19440}>{$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"} and
(({19441}-{19442})<10G or {19443}<1d)','{#FSNAME}: Disk space is low (used > {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}%)','','0','2','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 10G.
 - The disk will be full in less than 24 hours.','16631','0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16641','{19444}>{$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"} and
(({19445}-{19446})<10G or {19447}<1d)','{#FSNAME}: Disk space is low (used > {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}%)','','0','2','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 10G.
 - The disk will be full in less than 24 hours.','16640','0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16642','{19448}>{$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"} and
(({19449}-{19450})<10G or {19451}<1d)','{#FSNAME}: Disk space is low (used > {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}%)','','0','2','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 10G.
 - The disk will be full in less than 24 hours.','16640','0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16643','{19452}>{$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"} and
(({19453}-{19454})<10G or {19455}<1d)','{#FSNAME}: Disk space is low (used > {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}%)','','0','2','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 10G.
 - The disk will be full in less than 24 hours.','16640','0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16698','{19519}>{$CPU.UTIL.CRIT}','High CPU utilization (over {$CPU.UTIL.CRIT}% for 5m)','','0','2','CPU utilization is too high. The system might be slow to respond.','16697','0','0','0','','0','','0','Current utilization: {ITEM.LASTVALUE1}','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16702','{19529}>{$MEMORY.UTIL.MAX}','{#MEMNAME}: High memory utilization ( >{$MEMORY.UTIL.MAX}% for 5m)','','0','3','The system is running out of free memory.','16699','0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16703','{19530}>{$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"} and
(({19531}-{19532})<5G or {19533}<1d)','{#FSNAME}: Disk space is critically low (used > {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}%)','','0','3','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.CRIT:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 5G.
 - The disk will be full in less than 24 hours.','16700','0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16704','{19534}>{$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"} and
(({19535}-{19536})<10G or {19537}<1d)','{#FSNAME}: Disk space is low (used > {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}%)','','0','2','Two conditions should match: First, space utilization should be above {$VFS.FS.PUSED.MAX.WARN:"{#FSNAME}"}.
 Second condition should be one of the following:
 - The disk free space is less than 10G.
 - The disk will be full in less than 24 hours.','16701','0','2','0','','0','','1','Space used: {ITEM.LASTVALUE3} of {ITEM.LASTVALUE2} ({ITEM.LASTVALUE1})','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16706','{19540} > {$VFS.DEV.READ.AWAIT.WARN:"{#DEVNAME}"} or {19541} > {$VFS.DEV.WRITE.AWAIT.WARN:"{#DEVNAME}"}','{#DEVNAME}: Disk read/write request responses are too high (read > {$VFS.DEV.READ.AWAIT.WARN:"{#DEVNAME}"} ms for 15m or write > {$VFS.DEV.WRITE.AWAIT.WARN:"{#DEVNAME}"} ms for 15m)','','0','2','This trigger might indicate disk {#DEVNAME} saturation.','16705','0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16707','{19542} > {$VFS.DEV.READ.AWAIT.WARN:"{#DEVNAME}"} or {19543} > {$VFS.DEV.WRITE.AWAIT.WARN:"{#DEVNAME}"}','{#DEVNAME}: Disk read/write request responses are too high (read > {$VFS.DEV.READ.AWAIT.WARN:"{#DEVNAME}"} ms for 15m or write > {$VFS.DEV.WRITE.AWAIT.WARN:"{#DEVNAME}"} ms for 15m)','','0','2','This trigger might indicate disk {#DEVNAME} saturation.','16706','0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16709','{19546} > {$VFS.DEV.READ.AWAIT.WARN:"{#DEVNAME}"} or {19547} > {$VFS.DEV.WRITE.AWAIT.WARN:"{#DEVNAME}"}','{#DEVNAME}: Disk read/write request responses are too high (read > {$VFS.DEV.READ.AWAIT.WARN:"{#DEVNAME}"} ms for 15m or write > {$VFS.DEV.WRITE.AWAIT.WARN:"{#DEVNAME}"} ms for 15m)','','0','2','This trigger might indicate disk {#DEVNAME} saturation.','16708','0','2','0','','0','','1','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16712','{19551}>{$CPU.QUEUE.CRIT.MAX}','CPU queue length is too high (over {$CPU.QUEUE.CRIT.MAX} for 5m)','','0','2','The CPU Queue Length in the last 5 minutes exceeds {$CPU.QUEUE.CRIT.MAX}.','16711','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16714','{19553}<>0','"{#SERVICE.NAME}" ({#SERVICE.DISPLAYNAME}) is not running (startup type {#SERVICE.STARTUPNAME})','','0','3','The service has a state other than "Running" for the last three times.','16713','0','2','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16716','{19555}>{$CPU.QUEUE.CRIT.MAX}','CPU queue length is too high (over {$CPU.QUEUE.CRIT.MAX} for 5m)','','0','2','The CPU Queue Length in the last 5 minutes exceeds {$CPU.QUEUE.CRIT.MAX}.','16715','0','0','0','','0','','0','','0');
INSERT INTO triggers (triggerid,expression,description,url,status,priority,comments,templateid,type,flags,recovery_mode,recovery_expression,correlation_mode,correlation_tag,manual_close,opdata,discover) values ('16718','{19557}<>0','"{#SERVICE.NAME}" ({#SERVICE.DISPLAYNAME}) is not running (startup type {#SERVICE.STARTUPNAME})','','0','3','The service has a state other than "Running" for the last three times.','16717','0','2','0','','0','','0','','0');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('10546','15978','15983');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('10547','15980','15979');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('10548','15986','15987');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('10549','15988','15987');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14032','15944','15947');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14033','15944','15943');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14034','15943','15947');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14035','15942','15947');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14036','15942','15943');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14037','15948','15949');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14038','15950','15949');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14039','16743','16744');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14040','16784','16785');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14041','16790','16791');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14042','16646','16647');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14043','16809','16810');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14044','16752','16753');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14045','15955','15957');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14046','15955','15954');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14047','15954','15957');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14048','15956','15957');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14049','15956','15954');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14050','16678','15957');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14051','16678','15954');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14052','15961','15960');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14053','15962','15960');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14054','16679','15960');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14055','16257','16255');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14056','16257','16256');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14057','16256','16255');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14058','16251','16255');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14059','16251','16256');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14060','16443','16255');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14061','16443','16256');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14062','16270','16269');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14063','16448','16269');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14064','16265','16269');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14065','14195','14205');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14066','14196','14195');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14067','14196','14205');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14068','14197','14205');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14069','14198','14197');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14070','14198','14205');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14071','14200','14199');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14072','14201','14205');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14073','14202','14201');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14074','14202','14205');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14075','14204','14203');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14076','14206','14222');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14077','14207','14206');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14078','14207','14222');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14079','14208','14222');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14080','14209','14208');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14081','14209','14222');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14082','14210','14222');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14083','14211','14210');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14084','14211','14222');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14085','14212','14222');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14086','14213','14212');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14087','14213','14222');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14088','14214','14222');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14089','14215','14214');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14090','14215','14222');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14091','14217','14216');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14092','14218','14222');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14093','14219','14218');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14094','14219','14222');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14095','14220','14222');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14096','14221','14220');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14097','14221','14222');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14098','14223','14222');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14099','14224','14222');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14100','14224','14223');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14101','14225','14222');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14102','14226','14222');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14103','14226','14225');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14104','16833','16828');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14105','16719','16721');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14106','16722','16723');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14107','16729','16728');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14108','16730','16728');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14109','16756','16758');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14110','16765','16764');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14111','16766','16764');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14112','16731','16732');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14113','16734','16736');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14114','16741','16740');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14115','16742','16740');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14116','15928','15933');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14117','15931','15933');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14118','16683','16687');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14119','14252','14251');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14120','14289','14288');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14121','14525','14524');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14122','14718','14717');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14123','15799','15798');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14124','14294','14293');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14125','14312','14311');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14126','14328','14327');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14127','14348','14347');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14128','14357','14356');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14129','14390','14389');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14130','14404','14403');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14131','14452','14451');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14132','14469','14468');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14133','14487','14486');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14134','14506','14505');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14135','14535','14534');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14136','14545','14544');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14137','14583','14582');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14138','14599','14598');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14139','14616','14615');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14140','14653','14652');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14141','14674','14673');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14142','14692','14691');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14143','14705','14704');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14144','14907','14906');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14145','14929','14928');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14146','15221','15220');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14147','15702','15701');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14148','15724','15723');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14149','15756','15755');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14150','15820','15819');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14151','15841','15840');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14152','15991','15990');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14153','16018','16017');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14154','16454','16453');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14155','14253','14252');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14156','14290','14289');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14157','14526','14525');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14158','14719','14718');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14159','15800','15799');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14160','14295','14294');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14161','14313','14312');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14162','14329','14328');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14163','14349','14348');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14164','14358','14357');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14165','14391','14390');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14166','14405','14404');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14167','14453','14452');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14168','14470','14469');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14169','14488','14487');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14170','14507','14506');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14171','14536','14535');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14172','14546','14545');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14173','14584','14583');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14174','14600','14599');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14175','14617','14616');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14176','14654','14653');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14177','14675','14674');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14178','14693','14692');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14179','14706','14705');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14180','14908','14907');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14181','14930','14929');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14182','15222','15221');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14183','15703','15702');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14184','15725','15724');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14185','15757','15756');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14186','15821','15820');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14187','15842','15841');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14188','15992','15991');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14189','16019','16018');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14190','16455','16454');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14191','14253','14251');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14192','14290','14288');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14193','14526','14524');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14194','14719','14717');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14195','15800','15798');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14196','14295','14293');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14197','14313','14311');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14198','14329','14327');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14199','14349','14347');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14200','14358','14356');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14201','14391','14389');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14202','14405','14403');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14203','14453','14451');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14204','14470','14468');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14205','14488','14486');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14206','14507','14505');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14207','14536','14534');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14208','14546','14544');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14209','14584','14582');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14210','14600','14598');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14211','14617','14615');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14212','14654','14652');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14213','14675','14673');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14214','14693','14691');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14215','14706','14704');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14216','14908','14906');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14217','14930','14928');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14218','15222','15220');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14219','15703','15701');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14220','15725','15723');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14221','15757','15755');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14222','15821','15819');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14223','15842','15840');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14224','15992','15990');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14225','16019','16017');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14226','16455','16453');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14227','16275','16277');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14228','16278','16284');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14229','16279','16285');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14230','16280','16286');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14231','16277','14288');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14232','16284','14524');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14233','16285','14717');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14234','16286','15798');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14235','16287','16289');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14236','16290','16348');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14237','16291','16349');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14238','16292','16350');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14239','16293','16351');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14240','16294','16352');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14241','16295','16353');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14242','16296','16354');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14243','16297','16355');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14244','16298','16356');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14245','16299','16357');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14246','16300','16358');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14247','16301','16359');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14248','16302','16360');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14249','16303','16361');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14250','16304','16362');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14251','16305','16363');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14252','16306','16364');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14253','16307','16365');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14254','16308','16366');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14255','16309','16367');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14256','16310','16368');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14257','16311','16369');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14258','16312','16370');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14259','16313','16371');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14260','16314','16372');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14261','16315','16373');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14262','16316','16374');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14263','16317','16375');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14264','16318','16376');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14265','16457','16458');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14266','16289','14293');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14267','16348','14311');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14268','16349','14327');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14269','16350','14347');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14270','16351','14356');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14271','16352','14389');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14272','16353','14403');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14273','16354','14451');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14274','16355','14468');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14275','16356','14486');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14276','16357','14505');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14277','16358','14534');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14278','16359','14544');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14279','16360','14582');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14280','16361','14598');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14281','16362','14615');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14282','16363','14652');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14283','16364','14673');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14284','16365','14691');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14285','16366','14704');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14286','16367','14906');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14287','16368','14928');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14288','16369','15220');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14289','16370','15701');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14290','16371','15723');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14291','16372','15755');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14292','16373','15819');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14293','16374','15840');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14294','16375','15990');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14295','16376','16017');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14296','16458','16453');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14297','16701','16700');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14298','16704','16703');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14299','16631','16630');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14300','16640','16636');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14301','16641','16637');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14302','16642','16638');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14303','16643','16639');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14304','15692','15490');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14305','16423','15490');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14306','16424','15490');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14307','15693','15492');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14308','15694','15493');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14309','16425','15492');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14310','16426','15493');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14311','16427','15492');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14312','16428','15493');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14313','15695','15496');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14314','16429','15496');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14315','16430','15496');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14316','15696','15498');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14317','15697','15499');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14318','16431','15498');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14319','16432','15499');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14320','16433','15498');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14321','16434','15499');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14322','15670','15506');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14323','16377','15506');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14324','16378','15506');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14325','15671','15508');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14326','16379','15508');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14327','16380','15508');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14328','15672','15510');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14329','15673','15511');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14330','15674','15512');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14331','15675','15513');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14332','15676','15514');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14333','15677','15515');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14334','15678','15516');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14335','15679','15517');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14336','15680','15518');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14337','15681','15519');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14338','15682','15520');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14339','15683','15521');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14340','15684','15522');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14341','15685','15523');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14342','15686','15524');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14343','15687','15525');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14344','15689','15527');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14345','15690','15528');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14346','15691','15529');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14347','15708','15709');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14348','15997','15998');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14349','16381','15510');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14350','16382','15511');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14351','16383','15512');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14352','16384','15513');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14353','16385','15514');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14354','16386','15515');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14355','16387','15516');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14356','16388','15517');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14357','16389','15518');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14358','16390','15519');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14359','16391','15520');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14360','16392','15521');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14361','16393','15522');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14362','16394','15523');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14363','16395','15524');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14364','16396','15525');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14365','16397','15527');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14366','16398','15528');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14367','16399','15529');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14368','16400','15709');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14369','16401','15998');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14370','16402','15510');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14371','16403','15511');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14372','16404','15512');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14373','16405','15513');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14374','16406','15514');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14375','16407','15515');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14376','16408','15516');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14377','16409','15517');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14378','16410','15518');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14379','16411','15519');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14380','16412','15520');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14381','16413','15521');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14382','16414','15522');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14383','16415','15523');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14384','16416','15524');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14385','16417','15525');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14386','16418','15527');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14387','16419','15528');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14388','16420','15529');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14389','16421','15709');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14390','16422','15998');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14391','15698','15502');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14392','16435','15502');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14393','16436','15502');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14394','16028','16029');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14395','16437','16029');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14396','16438','16029');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14397','14318','14319');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14398','15714','15715');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14399','15721','15720');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14400','15394','15393');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14401','15392','15391');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14402','15390','14339');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14403','15382','15381');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14404','15380','15379');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14405','16504','16505');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14406','14372','14373');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14407','15386','15385');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14408','15384','15383');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14409','14380','14381');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14410','15347','15346');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14411','15345','15344');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14412','15342','15343');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14413','15363','15360');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14414','15364','15361');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14415','15365','15362');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14416','15357','15354');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14417','15358','15355');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14418','15359','15356');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14419','15348','15351');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14420','15349','15352');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14421','15350','15353');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14422','15334','15333');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14423','15332','15331');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14424','14460','14461');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14425','14476','14477');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14426','14495','14496');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14427','14511','15368');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14428','14551','14552');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14429','15374','15373');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14430','15376','15375');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14431','14914','14915');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14432','14589','14590');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14433','15338','15337');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14434','15335','15336');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14435','14624','14625');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14436','15387','14934');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14437','14658','14659');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14438','14664','14665');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14439','16547','16546');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14440','15396','15397');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14441','16551','16552');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14442','16034','16032');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14443','16051','16047');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14444','16052','16048');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14445','16034','16033');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14446','16051','16049');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14447','16052','16050');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14448','16031','16563');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14449','16045','16564');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14450','16046','16565');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14451','16039','16040');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14452','16061','16063');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14453','16062','16064');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14454','16042','16579');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14455','16067','16580');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14456','16068','16581');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14457','16041','16042');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14458','16065','16067');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14459','16066','16068');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14460','16041','16579');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14461','16065','16580');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14462','16066','16581');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14463','16032','16033');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14464','16047','16049');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14465','16048','16050');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14466','16070','16069');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14467','16072','16071');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14468','16076','16075');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14469','16074','16075');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14470','16079','16077');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14471','16080','16078');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14472','16083','16081');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14473','16084','16082');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14474','16091','16089');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14475','16092','16090');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14476','16087','16089');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14477','16088','16090');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14478','16100','16098');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14479','16113','16111');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14480','16100','16099');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14481','16113','16112');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14482','16097','16569');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14483','16110','16570');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14484','16105','16106');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14485','16118','16119');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14486','16108','16582');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14487','16121','16583');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14488','16107','16108');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14489','16120','16121');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14490','16107','16582');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14491','16120','16583');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14492','16098','16099');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14493','16111','16112');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14494','16123','16122');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14495','16125','16124');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14496','16129','16128');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14497','16127','16128');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14498','16131','16130');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14499','16133','16132');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14500','16137','16136');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14501','16135','16136');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14502','16149','16147');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14503','16149','16148');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14504','16141','16142');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14505','16146','16573');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14506','16143','16584');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14507','16147','16148');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14508','16152','16154');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14509','16153','16154');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14510','16150','16154');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14511','16151','16154');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14512','16156','16155');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14513','16158','16157');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14514','16001','15999');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14515','16005','16003');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14516','16001','16000');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14517','16005','16004');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14518','15999','16000');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14519','16003','16004');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14520','16009','16008');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14521','16011','16010');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14522','16014','16013');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14523','16016','16015');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14524','16165','16164');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14525','16176','16175');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14526','16161','16160');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14527','16172','16171');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14528','16162','16161');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14529','16173','16172');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14530','16162','16160');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14531','16173','16171');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14532','16711','16160');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14533','16712','16171');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14534','16166','16164');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14535','16177','16175');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14536','16167','16164');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14537','16178','16175');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14538','16183','16182');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14539','16187','16188');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14540','16185','16188');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14541','16186','16188');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14542','16190','16189');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14543','16194','16195');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14544','16192','16195');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14545','16193','16195');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14546','16214','16213');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14547','16225','16224');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14548','16210','16209');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14549','16221','16220');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14550','16211','16210');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14551','16222','16221');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14552','16211','16209');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14553','16222','16220');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14554','16715','16209');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14555','16716','16220');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14556','16215','16213');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14557','16226','16224');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14558','16216','16213');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14559','16227','16224');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14560','16232','16231');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14561','16236','16237');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14562','16234','16237');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14563','16235','16237');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14564','16239','16238');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14565','16243','16244');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14566','16241','16244');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14567','16242','16244');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14568','16768','16769');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14569','16768','16770');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14570','16769','16770');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14571','16771','16772');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14572','16771','16773');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14573','16772','16773');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14574','16488','16487');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14575','16485','16484');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14576','16486','16484');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14577','16486','16485');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14578','16480','16479');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14579','16482','16481');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14580','16475','16474');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14581','16471','16472');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14582','16468','16469');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14583','16459','16460');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14584','16462','16463');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14585','16465','16466');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14586','16477','16476');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14587','15729','15728');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14588','15730','15728');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14589','15730','15729');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14590','15752','15754');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14591','15753','15754');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14592','15753','15752');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14593','15742','15741');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14594','15750','15749');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14595','15751','15750');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14596','15751','15749');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14597','15746','15743');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14598','15744','15743');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14599','15740','15739');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14600','15736','15737');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14601','15733','15734');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14602','15748','15747');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14603','16440','16439');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14604','15791','15790');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14605','15788','15787');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14606','15789','15787');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14607','15789','15788');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14608','15786','15785');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14609','15784','15783');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14610','15794','15792');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14611','15793','15792');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14612','15782','15781');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14613','15763','15764');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14614','15766','15767');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14615','15769','15770');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14616','15778','15779');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14617','15772','15773');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14618','15775','15776');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14619','15797','15796');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14620','15804','15803');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14621','15805','15803');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14622','15805','15804');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14623','15807','15808');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14624','15810','15811');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14625','15813','15814');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14626','15825','15824');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14627','15826','15824');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14628','15826','15825');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14629','15828','15829');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14630','15831','15832');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14631','15834','15835');
INSERT INTO trigger_depends (triggerdepid,triggerid_down,triggerid_up) values ('14632','15845','15846');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12641','22189','13015','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12645','22183','13073','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12646','22191','13074','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12648','23620','13075','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12649','22185','13019','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12651','22396','13017','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12653','22219','13023','min','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12717','22835','13330','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12718','22836','13331','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12723','22853','13336','diff','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12724','22856','13337','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12725','22858','13338','diff','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12726','22859','13339','change','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12727','22861','13340','diff','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12728','22862','13341','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12729','22869','13342','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12730','22872','13343','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12733','22875','13346','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12734','22876','13347','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12739','22893','13352','diff','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12740','22896','13353','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12741','22898','13354','diff','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12742','22899','13355','change','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12743','22901','13356','diff','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12744','22902','13357','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12745','22909','13358','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12746','22912','13359','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12755','22933','13368','diff','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12757','22938','13370','diff','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12758','22939','13371','change','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12759','22941','13372','diff','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12760','22942','13373','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12761','22949','13374','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12762','22952','13375','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12771','22973','13384','diff','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12773','22978','13386','diff','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12775','22981','13388','diff','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12776','22982','13389','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12777','22989','13390','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12778','22992','13391','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12782','22996','13395','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12787','23013','13400','diff','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12788','23016','13401','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12789','23018','13402','diff','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12790','23019','13403','change','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12791','23021','13404','diff','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12792','23022','13405','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12793','23029','13406','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12794','23032','13407','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12797','23035','13410','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12798','23036','13411','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12803','23053','13416','diff','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12805','23058','13418','diff','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12806','23059','13419','change','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12807','23061','13420','diff','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12808','23062','13421','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12809','23069','13422','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12810','23072','13423','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12895','23271','13486','min','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12896','23273','13487','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12897','23274','13488','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12898','23275','13489','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12899','23276','13490','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12946','23357','13517','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12947','23342','13518','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12948','23341','13519','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12949','23359','13520','min','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12965','23634','13536','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12966','23635','13537','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12994','23644','13544','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12995','23645','13545','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12996','23646','13546','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12997','23647','13547','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('12998','23648','13548','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13068','23115','13367','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13069','22922','13366','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13070','22918','13365','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13071','22917','13364','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13072','22882','13350','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13073','22878','13349','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13074','22877','13348','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13075','22962','13382','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13086','23042','13414','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13087','22842','13334','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13088','22838','13333','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13089','22837','13332','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13090','23007','13399','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13091','23002','13398','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13092','22998','13397','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13093','22997','13396','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13152','23651','13551','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13154','23649','13549','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13156','23650','13550','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13157','23652','13552','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13158','23653','13553','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13159','23654','13285','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13160','23661','13557','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13161','23662','13558','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13164','22424','13080','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13165','23252','13467','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13170','22412','13081','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13171','23253','13468','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13172','22430','13083','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13173','23255','13470','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13174','22422','13084','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13175','23256','13471','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13176','22406','13085','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13177','23257','13472','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13178','22408','13086','avg','30m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13179','23258','13473','avg','30m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13180','22402','13087','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13181','23259','13474','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13182','22418','13088','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13183','23260','13475','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13184','22416','13089','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13185','23261','13476','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13186','22689','13275','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13187','23262','13477','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13188','22399','13091','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13189','23264','13479','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13190','22420','13092','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13191','23265','13480','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13192','22414','13093','min','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13193','23266','13481','min','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13194','23171','13441','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13195','23267','13482','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13196','23663','13559','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13197','23664','13560','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13198','22426','13094','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13199','23268','13483','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13200','22404','13095','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13201','23269','13484','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13202','22400','13096','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13203','23270','13485','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13204','22401','13097','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13205','23328','13436','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13206','23347','13521','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13207','23360','13534','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13208','23352','13522','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13209','23351','13535','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13210','23350','13523','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13211','23353','13524','avg','30m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13212','23354','13525','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13213','23356','13526','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13214','23355','13527','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13215','23349','13528','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13216','23348','13529','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13217','23343','13530','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13218','23344','13531','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13219','23345','13532','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13220','23346','13533','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13222','25366','13562','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13223','25367','13563','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13224','25368','13564','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13225','25369','13565','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13226','25370','13566','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13227','25371','13567','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13228','25665','13568','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13229','25666','13569','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13230','25667','13570','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('13231','25668','13571','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14257','26909','14168','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14258','26908','14168','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14259','26899','14169','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14260','26903','14169','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14261','26902','14170','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14262','26901','14170','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14263','26864','14171','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14264','26882','14171','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14265','26866','14172','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14266','26865','14172','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14267','26861','14173','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14268','26862','14173','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14269','26858','14174','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14270','26856','14174','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14271','26868','14175','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14272','26860','14175','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14273','26877','14176','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14274','26878','14176','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14275','26880','14177','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14276','26879','14177','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14277','26881','14178','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14278','26887','14179','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14279','26895','14179','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14280','26889','14180','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14281','26884','14180','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14282','26906','14181','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14283','26896','14181','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14284','26907','14182','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14285','26908','14182','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14286','26904','14183','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14287','26903','14183','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14288','26900','14184','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14289','26901','14184','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14290','26883','14185','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14291','26882','14185','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14292','26863','14186','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14293','26865','14186','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14294','26867','14187','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14295','26862','14187','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14296','26857','14188','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14297','26856','14188','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14298','26859','14189','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14299','26860','14189','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14300','26869','14190','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14301','26878','14190','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14302','26876','14191','nodata','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14303','26875','14192','str','Server');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14304','26893','14193','str','Client');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14306','26932','14195','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14307','26932','14196','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14308','26930','14197','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14309','26930','14198','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14310','26931','14199','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14311','26931','14200','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14312','26929','14201','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14313','26929','14202','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14314','26928','14203','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14315','26928','14204','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14316','26925','14205','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14317','26943','14206','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14318','26943','14207','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14319','26939','14208','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14320','26939','14209','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14321','26940','14210','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14322','26940','14211','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14323','26941','14212','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14324','26941','14213','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14325','26942','14214','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14326','26942','14215','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14327','26938','14216','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14328','26938','14217','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14329','26937','14218','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14330','26937','14219','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14331','26933','14220','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14332','26933','14221','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14333','26934','14222','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14334','26935','14223','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14335','26935','14224','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14336','26936','14225','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14337','26936','14226','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14378','27067','14251','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14379','27066','14252','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14380','27065','14253','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14463','27138','14288','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14464','27139','14289','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14465','27140','14290','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14468','27149','14293','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14469','27150','14294','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14470','27151','14295','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14508','27192','14311','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14509','27193','14312','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14510','27194','14313','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14515','27212','14318','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14516','27212','14318','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14517','27212','14319','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14518','27212','14319','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14519','27212','14320','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14520','27212','14320','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14522','27214','14322','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14523','27214','14322','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14536','27225','14327','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14537','27226','14328','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14538','27227','14329','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14545','27237','14336','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14546','27237','14336','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14547','27236','14337','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14548','27236','14337','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14552','27247','14339','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14553','27247','14339','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14554','27247','14340','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14555','27247','14340','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14570','27261','14347','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14571','27262','14348','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14572','27263','14349','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14587','27282','14356','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14588','27283','14357','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14589','27284','14358','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14594','27296','14363','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14595','27296','14363','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14596','27295','14364','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14597','27295','14364','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14598','27297','14365','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14599','27297','14365','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14606','27314','14372','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14607','27314','14372','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14608','27314','14373','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14609','27314','14373','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14610','27314','14374','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14611','27314','14374','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14620','27318','14380','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14621','27318','14380','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14622','27318','14381','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14623','27318','14381','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14624','27318','14382','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14625','27318','14382','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14626','27320','14383','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14627','27320','14383','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14641','27333','14389','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14642','27334','14390','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14643','27335','14391','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14663','27365','14403','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14664','27366','14404','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14665','27367','14405','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14669','27378','14409','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14670','27378','14409','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14672','27385','14411','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14673','27385','14411','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14676','27382','14413','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14677','27382','14413','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14681','27419','14417','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14682','27419','14417','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14689','27421','14420','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14690','27421','14420','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14698','27428','14428','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14699','27428','14428','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14702','27445','14430','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14703','27445','14430','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14722','27430','14437','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14723','27430','14437','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14726','27447','14439','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14727','27447','14439','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14747','27462','14451','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14748','27463','14452','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14749','27464','14453','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14756','27485','14460','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14757','27485','14460','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14758','27485','14461','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14759','27485','14461','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14760','27485','14462','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14761','27485','14462','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14762','27483','14463','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14763','27483','14463','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14776','27496','14468','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14777','27497','14469','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14778','27498','14470','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14782','27509','14474','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14783','27509','14474','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14785','27517','14476','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14786','27517','14476','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14787','27517','14477','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14788','27517','14477','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14789','27517','14478','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14790','27517','14478','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14806','27532','14486','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14807','27533','14487','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14808','27534','14488','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14812','27545','14492','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14813','27545','14492','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14814','27544','14493','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14815','27544','14493','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14817','27553','14495','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14818','27553','14495','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14819','27553','14496','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14820','27553','14496','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14821','27553','14497','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14822','27553','14497','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14838','27568','14505','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14839','27569','14506','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14840','27570','14507','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14844','27584','14511','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14845','27584','14511','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14849','27584','14513','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14850','27584','14513','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14851','27582','14514','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14852','27582','14514','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14853','27579','14515','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14854','27579','14515','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14871','27608','14524','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14872','27609','14525','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14873','27610','14526','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14889','27631','14534','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14890','27632','14535','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14891','27633','14536','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14907','27654','14544','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14908','27655','14545','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14909','27656','14546','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14914','27672','14551','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14915','27672','14551','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14916','27672','14552','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14917','27672','14552','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14918','27672','14553','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14919','27672','14553','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14922','27678','14556','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14923','27678','14556','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14924','27677','14557','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14925','27677','14557','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14972','27734','14582','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14973','27735','14583','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14974','27736','14584','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14979','27751','14589','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14980','27751','14589','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14981','27751','14590','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14982','27751','14590','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14983','27751','14591','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14984','27751','14591','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14985','27750','14592','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('14986','27750','14592','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15000','27766','14598','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15001','27767','14599','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15002','27768','14600','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15005','27777','14603','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15006','27777','14603','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15013','27784','14606','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15014','27784','14606','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15015','27785','14607','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15016','27785','14607','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15032','27800','14615','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15033','27801','14616','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15034','27802','14617','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15038','27813','14621','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15039','27813','14621','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15042','27821','14624','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15043','27821','14624','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15044','27821','14625','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15045','27821','14625','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15046','27821','14626','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15047','27821','14626','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15094','27882','14652','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15095','27883','14653','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15096','27884','14654','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15100','27897','14658','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15101','27897','14658','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15102','27897','14659','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15103','27897','14659','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15104','27897','14660','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15105','27897','14660','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15106','27894','14661','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15107','27894','14661','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15108','27895','14662','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15109','27895','14662','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15111','27905','14664','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15112','27905','14664','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15113','27905','14665','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15114','27905','14665','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15115','27905','14666','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15116','27905','14666','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15131','27919','14673','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15132','27920','14674','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15133','27921','14675','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15138','27931','14680','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15139','27931','14680','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15146','27941','14683','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15147','27941','14683','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15163','27956','14691','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15164','27957','14692','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15165','27958','14693','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15170','27970','14698','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15171','27970','14698','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15172','27967','14699','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15173','27967','14699','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15186','27986','14704','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15187','27987','14705','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15188','27988','14706','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15191','27999','14709','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15192','27999','14709','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15193','27998','14710','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15194','27998','14710','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15209','28015','14717','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15210','28016','14718','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15211','28017','14719','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15216','28027','14724','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15217','28027','14724','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15678','28130','14906','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15679','28131','14907','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15680','28132','14908','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15684','28142','14912','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15685','28142','14912','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15686','28141','14913','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15687','28141','14913','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15688','28150','14914','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15689','28150','14914','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15690','28150','14915','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15691','28150','14915','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15692','28150','14916','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15693','28150','14916','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15713','28185','14928','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15714','28186','14929','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15715','28187','14930','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15721','28201','14934','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15722','28201','14934','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15723','28201','14935','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15724','28201','14935','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15726','28204','14937','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15727','28204','14937','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15729','27030','14939','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15730','27607','14940','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15731','27032','14941','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15732','27191','14942','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15733','27332','14943','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15734','27461','14944','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15735','27531','14945','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15736','27567','14946','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15737','27630','14947','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15738','27653','14948','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15739','27733','14949','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15740','27799','14950','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15741','27955','14951','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('15743','28129','14953','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16445','28210','15208','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16446','28210','15208','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16447','28208','15209','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16448','28208','15209','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16457','28218','15214','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16458','28218','15214','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16472','28233','15220','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16473','28234','15221','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16474','28235','15222','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16818','27213','15330','count','#1,{$FAN_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16819','27479','15331','count','#1,{$PSU_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16820','27479','15332','count','#1,{$PSU_OK_STATUS},ne');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16821','27480','15333','count','#1,{$FAN_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16822','27480','15334','count','#1,{$FAN_OK_STATUS},ne');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16823','27784','15335','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16824','27783','15335','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16825','27784','15335','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16826','27784','15336','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16827','27783','15336','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16828','27784','15336','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16829','27786','15337','count','#1,{$PSU_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16830','27786','15338','count','#1,{$PSU_WARN_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16831','27787','15339','count','#1,{$FAN_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16832','27554','15340','count','#1,{$PSU_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16833','27555','15341','count','#1,{$FAN_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16834','27421','15342','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16835','27420','15342','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16836','27421','15342','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16837','27421','15343','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16838','27420','15343','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16839','27421','15343','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16840','27422','15344','count','#1,{$PSU_CRIT_STATUS:"critical"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16841','27422','15344','count','#1,{$PSU_CRIT_STATUS:"shutdown"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16842','27422','15345','count','#1,{$PSU_WARN_STATUS:"warning"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16843','27422','15345','count','#1,{$PSU_WARN_STATUS:"notFunctioning"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16844','27423','15346','count','#1,{$FAN_CRIT_STATUS:"critical"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16845','27423','15346','count','#1,{$FAN_CRIT_STATUS:"shutdown"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16846','27423','15347','count','#1,{$FAN_WARN_STATUS:"warning"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16847','27423','15347','count','#1,{$FAN_WARN_STATUS:"notFunctioning"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16848','27430','15348','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16849','27429','15348','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16850','27430','15348','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16851','27447','15349','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16852','27446','15349','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16853','27447','15349','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16854','28218','15350','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16855','28217','15350','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16856','28218','15350','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16857','27430','15351','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16858','27429','15351','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16859','27430','15351','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16860','27447','15352','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16861','27446','15352','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16862','27447','15352','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16863','28218','15353','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16864','28217','15353','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16865','28218','15353','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16866','27431','15354','count','#1,{$PSU_CRIT_STATUS:"critical"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16867','27431','15354','count','#1,{$PSU_CRIT_STATUS:"shutdown"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16868','27448','15355','count','#1,{$PSU_CRIT_STATUS:"critical"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16869','27448','15355','count','#1,{$PSU_CRIT_STATUS:"shutdown"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16870','28216','15356','count','#1,{$PSU_CRIT_STATUS:"critical"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16871','28216','15356','count','#1,{$PSU_CRIT_STATUS:"shutdown"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16872','27431','15357','count','#1,{$PSU_WARN_STATUS:"warning"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16873','27431','15357','count','#1,{$PSU_WARN_STATUS:"notFunctioning"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16874','27448','15358','count','#1,{$PSU_WARN_STATUS:"warning"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16875','27448','15358','count','#1,{$PSU_WARN_STATUS:"notFunctioning"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16876','28216','15359','count','#1,{$PSU_WARN_STATUS:"warning"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16877','28216','15359','count','#1,{$PSU_WARN_STATUS:"notFunctioning"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16878','27432','15360','count','#1,{$FAN_CRIT_STATUS:"critical"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16879','27432','15360','count','#1,{$FAN_CRIT_STATUS:"shutdown"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16880','27449','15361','count','#1,{$FAN_CRIT_STATUS:"critical"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16881','27449','15361','count','#1,{$FAN_CRIT_STATUS:"shutdown"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16882','28215','15362','count','#1,{$FAN_CRIT_STATUS:"critical"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16883','28215','15362','count','#1,{$FAN_CRIT_STATUS:"shutdown"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16884','27432','15363','count','#1,{$FAN_WARN_STATUS:"warning"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16885','27432','15363','count','#1,{$FAN_WARN_STATUS:"notFunctioning"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16886','27449','15364','count','#1,{$FAN_WARN_STATUS:"warning"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16887','27449','15364','count','#1,{$FAN_WARN_STATUS:"notFunctioning"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16888','28215','15365','count','#1,{$FAN_WARN_STATUS:"warning"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16889','28215','15365','count','#1,{$FAN_WARN_STATUS:"notFunctioning"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16890','27518','15366','count','#1,{$PSU_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16891','27519','15367','count','#1,{$FAN_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16892','27584','15368','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16893','27585','15368','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16894','27584','15368','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16895','27593','15369','count','#1,{$PSU_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16896','27595','15370','count','#1,{$FAN_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16897','27673','15371','count','#1,{$FAN_CRIT_STATUS:"fanError"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16898','27673','15371','count','#1,{$FAN_CRIT_STATUS:"hardwareFaulty"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16899','27674','15372','count','#1,{$PSU_CRIT_STATUS:"psuError"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16900','27674','15372','count','#1,{$PSU_CRIT_STATUS:"rpsError"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16901','27674','15372','count','#1,{$PSU_CRIT_STATUS:"hardwareFaulty"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16902','28154','15373','count','#1,{$FAN_CRIT_STATUS:"bad"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16903','28154','15374','count','#1,{$FAN_WARN_STATUS:"warning"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16904','28155','15375','count','#1,{$PSU_CRIT_STATUS:"bad"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16905','28155','15376','count','#1,{$PSU_WARN_STATUS:"warning"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16906','27822','15377','count','#1,{$FAN_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16907','27823','15378','count','#1,{$PSU_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16908','27312','15379','count','#1,{$PSU_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16909','27312','15380','count','#1,{$PSU_OK_STATUS},ne');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16910','27313','15381','count','#1,{$FAN_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16911','27313','15382','count','#1,{$FAN_OK_STATUS},ne');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16912','27316','15383','count','#1,{$PSU_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16913','27316','15384','count','#1,{$PSU_OK_STATUS},ne');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16914','27317','15385','count','#1,{$FAN_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16915','27317','15386','count','#1,{$FAN_OK_STATUS},ne');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16916','28201','15387','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16917','28200','15387','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16918','28201','15387','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16919','28202','15388','count','#1,{$FAN_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16920','28206','15389','count','#1,{$PSU_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16921','27247','15390','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16922','27246','15390','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16923','27247','15390','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16924','27248','15391','count','#1,{$PSU_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16925','27248','15392','count','#1,{$PSU_OK_STATUS},ne');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16926','27250','15393','count','#1,{$FAN_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16927','27250','15394','count','#1,{$FAN_OK_STATUS},ne');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16928','27755','15395','count','#1,{$FAN_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16929','27941','15396','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16930','27940','15396','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16931','27941','15396','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16932','27941','15397','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16933','27940','15397','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16934','27941','15397','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16935','27942','15398','count','#1,{$FAN_CRIT_STATUS:"failed"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('16936','27943','15399','count','#1,{$PSU_CRIT_STATUS:"failed"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17237','27077','15490','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17238','27077','15490','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17241','27604','15492','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17242','27604','15492','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17243','28013','15493','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17244','28013','15493','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17249','27087','15496','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17250','27087','15496','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17253','27627','15498','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17254','27627','15498','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17255','27984','15499','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17256','27984','15499','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17261','27127','15502','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17262','27127','15502','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17269','27097','15506','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17270','27097','15506','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17273','27107','15508','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17274','27107','15508','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17277','27188','15510','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17278','27188','15510','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17279','27223','15511','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17280','27223','15511','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17281','27259','15512','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17282','27259','15512','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17283','27280','15513','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17284','27280','15513','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17285','27329','15514','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17286','27329','15514','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17287','27458','15515','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17288','27458','15515','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17289','27494','15516','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17290','27494','15516','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17291','27528','15517','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17292','27528','15517','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17293','27564','15518','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17294','27564','15518','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17295','27650','15519','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17296','27650','15519','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17297','27730','15520','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17298','27730','15520','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17299','27764','15521','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17300','27764','15521','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17301','27796','15522','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17302','27796','15522','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17303','27880','15523','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17304','27880','15523','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17305','27917','15524','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17306','27917','15524','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17307','27952','15525','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17308','27952','15525','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17311','28126','15527','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17312','28126','15527','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17313','28183','15528','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17314','28183','15528','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17315','28231','15529','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17316','28231','15529','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17657','28251','15640','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17658','28250','15641','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17687','27091','15670','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17688','27091','15670','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17689','27090','15670','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17690','27097','15670','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17691','27091','15670','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17692','27101','15671','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17693','27101','15671','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17694','27100','15671','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17695','27107','15671','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17696','27101','15671','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17697','27187','15672','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17698','27187','15672','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17699','27189','15672','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17700','27188','15672','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17701','27187','15672','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17702','27222','15673','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17703','27222','15673','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17704','27224','15673','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17705','27223','15673','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17706','27222','15673','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17707','27258','15674','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17708','27258','15674','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17709','27260','15674','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17710','27259','15674','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17711','27258','15674','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17712','27279','15675','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17713','27279','15675','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17714','27281','15675','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17715','27280','15675','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17716','27279','15675','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17717','27328','15676','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17718','27328','15676','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17719','27330','15676','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17720','27329','15676','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17721','27328','15676','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17722','27457','15677','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17723','27457','15677','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17724','27459','15677','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17725','27458','15677','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17726','27457','15677','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17727','27493','15678','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17728','27493','15678','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17729','27495','15678','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17730','27494','15678','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17731','27493','15678','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17732','27527','15679','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17733','27527','15679','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17734','27529','15679','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17735','27528','15679','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17736','27527','15679','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17737','27563','15680','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17738','27563','15680','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17739','27565','15680','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17740','27564','15680','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17741','27563','15680','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17742','27649','15681','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17743','27649','15681','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17744','27651','15681','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17745','27650','15681','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17746','27649','15681','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17747','27729','15682','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17748','27729','15682','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17749','27731','15682','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17750','27730','15682','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17751','27729','15682','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17752','27763','15683','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17753','27763','15683','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17754','27765','15683','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17755','27764','15683','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17756','27763','15683','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17757','27795','15684','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17758','27795','15684','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17759','27797','15684','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17760','27796','15684','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17761','27795','15684','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17762','27879','15685','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17763','27879','15685','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17764','27881','15685','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17765','27880','15685','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17766','27879','15685','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17767','27916','15686','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17768','27916','15686','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17769','27918','15686','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17770','27917','15686','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17771','27916','15686','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17772','27951','15687','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17773','27951','15687','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17774','27953','15687','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17775','27952','15687','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17776','27951','15687','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17782','28125','15689','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17783','28125','15689','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17784','28127','15689','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17785','28126','15689','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17786','28125','15689','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17787','28182','15690','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17788','28182','15690','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17789','28184','15690','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17790','28183','15690','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17791','28182','15690','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17792','28230','15691','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17793','28230','15691','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17794','28232','15691','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17795','28231','15691','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17796','28230','15691','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17797','27071','15692','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17798','27071','15692','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17799','27070','15692','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17800','27077','15692','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17801','27071','15692','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17802','27603','15693','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17803','27603','15693','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17804','27605','15693','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17805','27604','15693','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17806','27603','15693','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17807','28012','15694','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17808','28012','15694','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17809','28014','15694','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17810','28013','15694','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17811','28012','15694','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17812','27081','15695','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17813','27081','15695','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17814','27080','15695','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17815','27087','15695','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17816','27081','15695','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17817','27626','15696','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17818','27626','15696','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17819','27628','15696','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17820','27627','15696','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17821','27626','15696','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17822','27983','15697','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17823','27983','15697','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17824','27985','15697','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17825','27984','15697','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17826','27983','15697','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17827','27121','15698','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17828','27121','15698','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17829','27120','15698','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17830','27127','15698','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17831','27121','15698','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17837','28281','15700','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17838','28282','15701','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17839','28283','15702','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17840','28284','15703','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17848','28300','15708','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17849','28300','15708','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17850','28302','15708','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17851','28301','15708','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17852','28300','15708','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17853','28301','15709','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17854','28301','15709','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17859','28323','15714','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17860','28324','15714','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17861','28323','15714','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17862','28323','15715','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17863','28323','15715','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17864','28323','15716','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17865','28323','15716','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17866','28326','15717','count','#1,{$FAN_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17867','28328','15718','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17868','28328','15718','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17869','28329','15719','count','#1,{$PSU_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17870','27238','15720','count','#1,{$HEALTH_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17871','27238','15721','count','#1,{$HEALTH_WARN_STATUS:"offline"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17872','27238','15721','count','#1,{$HEALTH_WARN_STATUS:"testing"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17873','27814','15722','count','#1,{$HEALTH_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17874','28330','15723','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17875','28331','15724','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17876','28332','15725','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17879','28341','15728','count','#1,{$HEALTH_DISASTER_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17880','28341','15729','count','#1,{$HEALTH_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17881','28341','15730','count','#1,{$HEALTH_WARN_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17882','28344','15731','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17883','28344','15731','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17884','28345','15732','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17885','28345','15732','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17886','28354','15733','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17887','28355','15733','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17888','28354','15733','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17889','28354','15734','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17890','28355','15734','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17891','28354','15734','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17892','28354','15735','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17893','28354','15735','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17894','28356','15736','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17895','28357','15736','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17896','28356','15736','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17897','28356','15737','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17898','28357','15737','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17899','28356','15737','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17900','28356','15738','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17901','28356','15738','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17902','28358','15739','count','#1,{$PSU_CRIT_STATUS:"critical"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17903','28358','15739','count','#1,{$PSU_CRIT_STATUS:"nonRecoverable"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17904','28358','15740','count','#1,{$PSU_WARN_STATUS:"nonCritical"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17905','28359','15741','count','#1,{$FAN_CRIT_STATUS:"criticalUpper"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17906','28359','15741','count','#1,{$FAN_CRIT_STATUS:"nonRecoverableUpper"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17907','28359','15741','count','#1,{$FAN_CRIT_STATUS:"criticalLower"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17908','28359','15741','count','#1,{$FAN_CRIT_STATUS:"nonRecoverableLower"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17909','28359','15741','count','#1,{$FAN_CRIT_STATUS:"failed"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17910','28359','15742','count','#1,{$FAN_WARN_STATUS:"nonCriticalUpper"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17911','28359','15742','count','#1,{$FAN_WARN_STATUS:"nonCriticalLower"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17912','28361','15743','count','#1,{$DISK_FAIL_STATUS:"critical"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17913','28361','15743','count','#1,{$DISK_FAIL_STATUS:"nonRecoverable"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17914','28361','15744','count','#1,{$DISK_WARN_STATUS:"nonCritical"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17915','28362','15745','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17916','28362','15745','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17917','28363','15746','count','#1,{$DISK_SMART_FAIL_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17918','28373','15747','count','#1,{$VDISK_CRIT_STATUS:"failed"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17919','28373','15748','count','#1,{$VDISK_WARN_STATUS:"degraded"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17920','28374','15749','count','#1,{$DISK_ARRAY_FAIL_STATUS:"nonRecoverable"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17921','28374','15750','count','#1,{$DISK_ARRAY_CRIT_STATUS:"critical"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17922','28374','15751','count','#1,{$DISK_ARRAY_WARN_STATUS:"nonCritical"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17923','28376','15752','count','#1,{$DISK_ARRAY_CACHE_BATTERY_WARN_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17924','28376','15753','count','#1,{$DISK_ARRAY_CACHE_BATTERY_OK_STATUS},ne');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17925','28376','15754','count','#1,{$DISK_ARRAY_CACHE_BATTERY_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17926','28377','15755','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17927','28378','15756','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17928','28379','15757','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17933','28391','15762','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17934','28391','15762','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17935','28404','15763','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17936','28404','15763','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17937','28404','15764','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17938','28404','15764','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17939','28404','15765','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17940','28404','15765','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17941','28406','15766','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17942','28406','15766','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17943','28406','15767','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17944','28406','15767','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17945','28406','15768','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17946','28406','15768','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17947','28407','15769','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17948','28407','15769','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17949','28407','15770','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17950','28407','15770','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17951','28407','15771','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17952','28407','15771','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17953','28408','15772','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17954','28408','15772','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17955','28408','15773','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17956','28408','15773','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17957','28408','15774','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17958','28408','15774','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17959','28409','15775','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17960','28409','15775','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17961','28409','15776','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17962','28409','15776','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17963','28409','15777','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17964','28409','15777','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17965','28410','15778','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17966','28410','15778','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17967','28410','15779','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17968','28410','15779','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17969','28410','15780','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17970','28410','15780','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17971','28411','15781','count','#1,{$PSU_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17972','28411','15782','count','#1,{$PSU_WARN_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17973','28412','15783','count','#1,{$FAN_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17974','28412','15784','count','#1,{$FAN_WARN_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17975','28413','15785','count','#1,{$DISK_ARRAY_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17976','28413','15786','count','#1,{$DISK_ARRAY_WARN_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17977','28415','15787','count','#1,{$DISK_ARRAY_CACHE_CRIT_STATUS:"cacheModCriticalFailure"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17978','28415','15788','count','#1,{$DISK_ARRAY_CACHE_WARN_STATUS:"invalid"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17979','28415','15788','count','#1,{$DISK_ARRAY_CACHE_WARN_STATUS:"cacheModDegradedFailsafeSpeed"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17980','28415','15788','count','#1,{$DISK_ARRAY_CACHE_WARN_STATUS:"cacheReadCacheNotMapped"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17981','28415','15788','count','#1,{$DISK_ARRAY_CACHE_WARN_STATUS:"cacheModFlashMemNotAttached"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17982','28415','15789','count','#1,{$DISK_ARRAY_CACHE_OK_STATUS:"enabled"},ne');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17983','28416','15790','count','#1,{$DISK_ARRAY_CACHE_BATTERY_CRIT_STATUS:"failed"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17984','28416','15790','count','#1,{$DISK_ARRAY_CACHE_BATTERY_CRIT_STATUS:"capacitorFailed"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17985','28416','15791','count','#1,{$DISK_ARRAY_CACHE_BATTERY_WARN_STATUS:"degraded"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17986','28416','15791','count','#1,{$DISK_ARRAY_CACHE_BATTERY_WARN_STATUS:"notPresent"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17987','28417','15792','count','#1,{$DISK_FAIL_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17988','28417','15793','count','#1,{$DISK_WARN_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17989','28418','15794','count','#1,{$DISK_SMART_FAIL_STATUS:"replaceDrive"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17990','28418','15794','count','#1,{$DISK_SMART_FAIL_STATUS:"replaceDriveSSDWearOut"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17991','28419','15795','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17992','28419','15795','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17993','28423','15796','count','#1,{$VDISK_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17994','28423','15797','count','#1,{$VDISK_OK_STATUS},ne');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17995','28426','15798','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17996','28427','15799','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('17997','28428','15800','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18000','28437','15803','count','#1,{$HEALTH_DISASTER_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18001','28437','15804','count','#1,{$HEALTH_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18002','28437','15805','count','#1,{$HEALTH_WARN_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18003','28439','15806','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18004','28439','15806','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18005','28446','15807','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18006','28446','15807','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18007','28446','15808','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18008','28446','15808','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18009','28446','15809','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18010','28446','15809','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18011','28447','15810','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18012','28447','15810','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18013','28447','15811','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18014','28447','15811','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18015','28447','15812','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18016','28447','15812','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18017','28448','15813','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18018','28448','15813','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18019','28448','15814','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18020','28448','15814','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18021','28448','15815','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18022','28448','15815','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18023','28449','15816','count','#1,{$PSU_OK_STATUS},ne');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18024','28450','15817','count','#1,{$FAN_OK_STATUS},ne');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18025','28452','15818','count','#1,{$DISK_OK_STATUS},ne');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18026','28454','15819','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18027','28455','15820','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18028','28456','15821','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18031','28465','15824','count','#1,{$HEALTH_DISASTER_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18032','28465','15825','count','#1,{$HEALTH_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18033','28465','15826','count','#1,{$HEALTH_WARN_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18034','28467','15827','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18035','28467','15827','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18036','28474','15828','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18037','28474','15828','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18038','28474','15829','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18039','28474','15829','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18040','28474','15830','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18041','28474','15830','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18042','28475','15831','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18043','28475','15831','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18044','28475','15832','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18045','28475','15832','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18046','28475','15833','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18047','28475','15833','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18048','28476','15834','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18049','28476','15834','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18050','28476','15835','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18051','28476','15835','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18052','28476','15836','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18053','28476','15836','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18054','28477','15837','count','#1,{$PSU_OK_STATUS},ne');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18055','28478','15838','count','#1,{$FAN_OK_STATUS},ne');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18056','28480','15839','count','#1,{$DISK_OK_STATUS},ne');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18057','28482','15840','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18058','28483','15841','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18059','28484','15842','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18062','28495','15845','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18063','28495','15845','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18064','28495','15846','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18065','28495','15846','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18066','28495','15847','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18067','28495','15847','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18068','28503','15848','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18069','28532','15848','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18070','28506','15849','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18071','28505','15849','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18072','28509','15850','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18073','28508','15850','last','0');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18074','28513','15851','str','off');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18075','28512','15852','str','off');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18076','28535','15853','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18077','28536','15854','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18078','28537','15855','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18079','28538','15856','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18080','28543','15857','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18081','28549','15858','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18082','28542','15859','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18083','28551','15860','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18084','28548','15861','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18085','28544','15862','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18086','28541','15863','min','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18087','28561','15864','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18088','28563','15865','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18089','28564','15866','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18090','28565','15867','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18091','28566','15868','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18092','28567','15869','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18093','28568','15870','avg','30m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18094','28569','15871','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18095','28570','15872','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18096','28562','15873','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18097','28571','15874','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18098','28573','15875','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18099','28574','15876','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18100','28575','15877','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18101','28576','15878','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18102','28577','15879','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18103','28578','15880','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18104','28579','15881','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18105','28580','15882','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18106','28572','15883','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18107','28581','15884','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18108','28552','15885','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18109','28547','15886','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18110','28559','15887','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18111','28582','15888','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18112','28583','15889','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18113','28599','15890','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18114','28597','15891','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18115','28596','15892','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18116','28598','15893','max','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18117','28587','15894','min','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18118','28600','15895','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18119','28601','15896','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18120','28615','15897','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18121','28614','15898','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18122','28613','15899','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18123','28612','15900','avg','30m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18124','28611','15901','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18125','28610','15902','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18126','28609','15903','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18127','28608','15904','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18128','28607','15905','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18129','28606','15906','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18130','28605','15907','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18131','28604','15908','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18132','28603','15909','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18133','28602','15910','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18134','28616','15911','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18135','28588','15912','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18136','28618','15913','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18137','28619','15914','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18150','28681','15926','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18151','28680','15927','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18152','28680','15927','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18153','28682','15928','nodata','30m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18154','28679','15929','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18155','28699','15930','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18156','28673','15931','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18157','28684','15932','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18158','28674','15933','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18159','28677','15934','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18160','28709','15935','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18161','28685','15936','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18162','28685','15936','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18164','28716','15938','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18165','28715','15939','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18166','28724','15940','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18167','28741','15941','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18168','28742','15942','nodata','30m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18169','28743','15943','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18170','28748','15944','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18171','28758','15945','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18172','28766','15946','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18173','28766','15946','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18174','28746','15947','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18175','28775','15948','nodata','30m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18176','28776','15949','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18177','28777','15950','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18178','28791','15951','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18179','28790','15952','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18180','28790','15952','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18183','28810','15954','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18184','28805','15955','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18185','28816','15956','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18186','28809','15957','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18187','28820','15958','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18188','28820','15958','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18191','28822','15960','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18192','28823','15961','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18193','28827','15962','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18194','28833','15963','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18195','28833','15963','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18211','28913','15978','nodata','30m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18212','28941','15979','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18213','28939','15980','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18214','28922','15981','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18215','28927','15982','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18216','28910','15983','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18217','28909','15984','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18218','28909','15984','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18219','28952','15985','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18220','28953','15986','count','#1,"Yes",ne');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18221','28953','15987','count','#1,"No",eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18222','28954','15988','count','#1,"No",eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18223','28956','15989','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18224','28957','15990','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18225','28958','15991','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18226','28959','15992','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18234','28975','15997','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18235','28975','15997','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18236','28977','15997','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18237','28976','15997','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18238','28975','15997','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18239','28976','15998','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18240','28976','15998','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18241','28978','15999','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18242','28983','16000','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18243','28982','16000','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18244','28986','16001','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18245','28984','16001','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18248','28993','16003','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18249','28998','16004','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18250','28997','16004','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18251','29001','16005','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18252','28999','16005','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18255','29048','16007','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18256','29029','16008','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18257','29028','16008','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18258','29027','16008','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18259','29029','16008','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18260','29029','16009','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18261','29028','16009','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18262','29027','16009','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18263','29029','16009','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18264','29030','16010','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18265','29030','16011','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18266','29049','16012','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18267','29046','16013','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18268','29045','16013','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18269','29044','16013','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18270','29046','16013','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18271','29046','16014','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18272','29045','16014','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18273','29044','16014','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18274','29046','16014','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18275','29047','16015','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18276','29047','16016','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18277','29050','16017','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18278','29051','16018','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18279','29052','16019','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18291','29084','16028','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18292','29084','16028','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18293','29086','16028','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18294','29085','16028','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18295','29084','16028','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18296','29085','16029','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18297','29085','16029','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18300','29198','16031','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18301','29103','16032','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18302','29105','16033','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18303','29104','16033','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18304','29108','16034','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18305','29106','16034','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18306','29110','16035','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18307','29112','16036','fuzzytime','{$SYSTEM.FUZZYTIME.MAX}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18310','29116','16038','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18311','29117','16039','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18312','29118','16040','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18313','29117','16040','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18314','29120','16041','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18315','29121','16042','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18316','29121','16042','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18321','29199','16045','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18322','29200','16046','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18323','29140','16047','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18324','29177','16048','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18325','29142','16049','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18326','29141','16049','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18327','29179','16050','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18328','29178','16050','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18329','29145','16051','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18330','29143','16051','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18331','29182','16052','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18332','29180','16052','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18333','29147','16053','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18334','29184','16054','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18335','29149','16055','fuzzytime','{$SYSTEM.FUZZYTIME.MAX}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18336','29186','16056','fuzzytime','{$SYSTEM.FUZZYTIME.MAX}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18341','29153','16059','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18342','29190','16060','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18343','29154','16061','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18344','29191','16062','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18345','29155','16063','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18346','29154','16063','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18347','29192','16064','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18348','29191','16064','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18349','29157','16065','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18350','29194','16066','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18351','29158','16067','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18352','29158','16067','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18353','29195','16068','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18354','29195','16068','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18355','29212','16069','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18356','29211','16069','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18357','29210','16069','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18358','29212','16069','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18359','29212','16070','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18360','29211','16070','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18361','29210','16070','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18362','29212','16070','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18363','29213','16071','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18364','29213','16072','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18366','29219','16074','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18367','29218','16074','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18368','29219','16074','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18369','29218','16074','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18370','29222','16075','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18371','29222','16075','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18372','29223','16076','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18373','29223','16076','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18374','29222','16076','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18375','29223','16076','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18376','29226','16077','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18377','29225','16077','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18378','29224','16077','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18379','29226','16077','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18380','29240','16078','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18381','29239','16078','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18382','29238','16078','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18383','29240','16078','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18384','29226','16079','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18385','29225','16079','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18386','29224','16079','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18387','29226','16079','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18388','29240','16080','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18389','29239','16080','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18390','29238','16080','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18391','29240','16080','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18392','29227','16081','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18393','29241','16082','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18394','29227','16083','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18395','29241','16084','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18398','29233','16087','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18399','29232','16087','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18400','29233','16087','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18401','29232','16087','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18402','29247','16088','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18403','29246','16088','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18404','29247','16088','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18405','29246','16088','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18406','29236','16089','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18407','29236','16089','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18408','29250','16090','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18409','29250','16090','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18410','29237','16091','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18411','29237','16091','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18412','29236','16091','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18413','29237','16091','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18414','29251','16092','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18415','29251','16092','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18416','29250','16092','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18417','29251','16092','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18423','29347','16097','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18424','29289','16098','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18425','29291','16099','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18426','29290','16099','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18427','29294','16100','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18428','29292','16100','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18429','29296','16101','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18430','29298','16102','fuzzytime','{$SYSTEM.FUZZYTIME.MAX}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18433','29302','16104','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18434','29303','16105','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18435','29304','16106','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18436','29303','16106','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18437','29306','16107','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18438','29307','16108','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18439','29307','16108','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18442','29348','16110','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18443','29326','16111','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18444','29328','16112','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18445','29327','16112','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18446','29331','16113','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18447','29329','16113','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18448','29333','16114','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18449','29335','16115','fuzzytime','{$SYSTEM.FUZZYTIME.MAX}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18452','29339','16117','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18453','29340','16118','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18454','29341','16119','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18455','29340','16119','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18456','29343','16120','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18457','29344','16121','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18458','29344','16121','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18459','29357','16122','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18460','29356','16122','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18461','29355','16122','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18462','29357','16122','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18463','29357','16123','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18464','29356','16123','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18465','29355','16123','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18466','29357','16123','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18467','29358','16124','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18468','29358','16125','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18470','29364','16127','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18471','29363','16127','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18472','29364','16127','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18473','29363','16127','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18474','29367','16128','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18475','29367','16128','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18476','29368','16129','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18477','29368','16129','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18478','29367','16129','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18479','29368','16129','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18480','29371','16130','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18481','29370','16130','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18482','29369','16130','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18483','29371','16130','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18484','29371','16131','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18485','29370','16131','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18486','29369','16131','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18487','29371','16131','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18488','29372','16132','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18489','29372','16133','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18491','29378','16135','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18492','29377','16135','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18493','29378','16135','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18494','29377','16135','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18495','29381','16136','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18496','29381','16136','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18497','29382','16137','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18498','29382','16137','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18499','29381','16137','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18500','29382','16137','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18501','29395','16138','nodata','30m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18502','29398','16139','fuzzytime','{$SYSTEM.FUZZYTIME.MAX}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18505','29424','16141','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18506','29423','16142','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18507','29424','16142','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18508','29428','16143','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18509','29428','16143','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18510','29421','16144','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18513','29427','16146','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18514','29396','16147','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18515','29402','16148','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18516','29403','16148','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18517','29397','16149','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18518','29401','16149','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18519','29436','16150','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18520','29442','16150','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18521','29437','16150','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18522','29439','16151','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18523','29438','16151','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18524','29439','16151','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18525','29438','16151','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18526','29442','16152','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18527','29442','16152','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18528','29443','16152','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18529','29444','16152','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18530','29442','16152','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18531','29443','16153','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18532','29443','16153','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18533','29444','16153','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18534','29443','16153','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18535','29444','16154','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18536','29444','16154','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18537','29433','16155','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18538','29446','16155','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18539','29432','16155','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18540','29433','16155','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18541','29433','16156','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18542','29446','16156','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18543','29432','16156','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18544','29433','16156','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18545','29447','16157','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18546','29447','16158','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18548','29454','16160','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18549','29455','16161','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18550','29457','16162','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18552','29462','16164','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18553','29465','16165','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18554','29466','16165','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18555','29467','16166','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18556','29469','16167','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18557','29472','16168','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18558','29473','16169','fuzzytime','{$SYSTEM.FUZZYTIME.MAX}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18561','29480','16171','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18562','29481','16172','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18563','29483','16173','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18565','29488','16175','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18566','29491','16176','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18567','29492','16176','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18568','29493','16177','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18569','29495','16178','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18570','29498','16179','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18571','29499','16180','fuzzytime','{$SYSTEM.FUZZYTIME.MAX}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18574','29514','16182','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18575','29513','16182','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18576','29512','16182','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18577','29514','16182','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18578','29514','16183','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18579','29513','16183','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18580','29512','16183','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18581','29514','16183','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18582','29533','16184','min','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18583','29515','16185','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18584','29534','16185','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18585','29516','16185','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18586','29519','16186','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18587','29520','16186','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18588','29519','16186','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18589','29520','16186','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18590','29534','16187','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18591','29534','16187','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18592','29535','16187','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18593','29536','16187','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18594','29534','16187','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18595','29536','16188','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18596','29536','16188','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18597','29523','16189','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18598','29522','16189','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18599','29521','16189','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18600','29523','16189','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18601','29523','16190','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18602','29522','16190','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18603','29521','16190','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18604','29523','16190','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18605','29540','16191','min','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18606','29524','16192','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18607','29541','16192','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18608','29525','16192','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18609','29528','16193','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18610','29529','16193','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18611','29528','16193','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18612','29529','16193','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18613','29541','16194','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18614','29541','16194','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18615','29542','16194','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18616','29543','16194','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18617','29541','16194','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18618','29543','16195','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18619','29543','16195','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18620','29544','16196','max','{$AGENT.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18621','29547','16197','nodata','{$AGENT.NODATA_TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18622','29548','16198','max','{$AGENT.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18623','29557','16199','max','{$AGENT.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18624','29549','16200','max','{$AGENT.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18625','29550','16201','max','{$AGENT.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18626','29551','16202','max','{$AGENT.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18627','29552','16203','max','{$AGENT.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18628','29553','16204','max','{$AGENT.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18629','29554','16205','max','{$AGENT.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18630','29555','16206','max','{$AGENT.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18632','29559','16208','nodata','{$AGENT.NODATA_TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18633','29561','16209','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18634','29562','16210','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18635','29564','16211','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18637','29569','16213','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18638','29572','16214','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18639','29573','16214','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18640','29574','16215','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18641','29576','16216','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18642','29579','16217','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18643','29580','16218','fuzzytime','{$SYSTEM.FUZZYTIME.MAX}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18646','29587','16220','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18647','29588','16221','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18648','29590','16222','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18650','29595','16224','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18651','29598','16225','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18652','29599','16225','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18653','29600','16226','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18654','29602','16227','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18655','29605','16228','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18656','29606','16229','fuzzytime','{$SYSTEM.FUZZYTIME.MAX}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18659','29621','16231','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18660','29620','16231','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18661','29619','16231','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18662','29621','16231','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18663','29621','16232','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18664','29620','16232','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18665','29619','16232','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18666','29621','16232','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18667','29640','16233','min','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18668','29622','16234','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18669','29641','16234','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18670','29623','16234','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18671','29626','16235','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18672','29627','16235','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18673','29626','16235','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18674','29627','16235','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18675','29641','16236','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18676','29641','16236','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18677','29642','16236','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18678','29643','16236','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18679','29641','16236','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18680','29643','16237','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18681','29643','16237','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18682','29630','16238','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18683','29629','16238','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18684','29628','16238','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18685','29630','16238','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18686','29630','16239','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18687','29629','16239','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18688','29628','16239','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18689','29630','16239','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18690','29647','16240','min','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18691','29631','16241','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18692','29648','16241','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18693','29632','16241','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18694','29635','16242','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18695','29636','16242','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18696','29635','16242','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18697','29636','16242','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18698','29648','16243','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18699','29648','16243','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18700','29649','16243','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18701','29650','16243','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18702','29648','16243','prev','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18703','29650','16244','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18704','29650','16244','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18711','29696','16250','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18712','29695','16251','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18715','29692','16254','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18716','29659','16255','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18717','29655','16256','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18718','29660','16257','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18719','29720','16258','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18720','29738','16259','nodata','30m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18726','29771','16264','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18727','29775','16265','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18730','29772','16268','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18731','29742','16269','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18732','29743','16270','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18733','29803','16271','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18734','29821','16272','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18735','29822','16273','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18736','29823','16274','avg','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18737','29824','16275','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18740','27143','16277','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18741','29829','16278','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18742','29834','16279','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18743','29839','16280','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18750','27618','16284','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18751','28025','16285','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18752','28436','16286','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18753','29844','16287','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18756','27154','16289','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18757','29849','16290','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18758','29854','16291','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18759','29859','16292','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18760','29864','16293','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18761','29869','16294','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18762','29874','16295','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18763','29879','16296','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18764','29884','16297','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18765','29889','16298','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18766','29894','16299','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18767','29899','16300','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18768','29904','16301','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18769','29909','16302','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18770','29914','16303','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18771','29919','16304','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18772','29924','16305','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18773','29929','16306','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18774','29934','16307','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18775','29939','16308','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18776','29944','16309','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18777','29949','16310','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18778','29954','16311','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18779','29959','16312','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18780','29964','16313','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18781','29969','16314','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18782','29974','16315','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18783','29979','16316','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18784','29984','16317','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18785','29989','16318','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18844','27202','16348','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18845','27235','16349','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18846','27271','16350','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18847','27292','16351','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18848','27343','16352','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18849','27375','16353','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18850','27472','16354','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18851','27506','16355','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18852','27542','16356','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18853','27578','16357','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18854','27641','16358','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18855','27664','16359','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18856','27744','16360','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18857','27776','16361','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18858','27810','16362','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18859','27892','16363','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18860','27929','16364','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18861','27966','16365','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18862','27996','16366','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18863','28140','16367','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18864','28195','16368','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18865','28243','16369','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18866','28292','16370','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18867','28340','16371','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18868','28387','16372','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18869','28464','16373','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18870','28492','16374','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18871','28967','16375','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18872','29060','16376','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18873','27094','16377','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18874','27091','16377','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18875','27095','16377','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18876','27096','16378','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18877','27093','16378','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18878','27096','16378','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18879','27093','16378','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18880','27104','16379','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18881','27101','16379','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18882','27105','16379','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18883','27106','16380','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18884','27103','16380','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18885','27106','16380','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18886','27103','16380','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18887','27183','16381','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18888','27187','16381','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18889','27186','16381','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18890','27218','16382','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18891','27222','16382','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18892','27221','16382','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18893','27254','16383','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18894','27258','16383','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18895','27257','16383','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18896','27275','16384','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18897','27279','16384','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18898','27278','16384','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18899','27324','16385','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18900','27328','16385','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18901','27327','16385','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18902','27453','16386','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18903','27457','16386','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18904','27456','16386','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18905','27489','16387','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18906','27493','16387','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18907','27492','16387','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18908','27523','16388','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18909','27527','16388','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18910','27526','16388','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18911','27559','16389','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18912','27563','16389','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18913','27562','16389','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18914','27645','16390','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18915','27649','16390','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18916','27648','16390','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18917','27725','16391','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18918','27729','16391','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18919','27728','16391','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18920','27759','16392','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18921','27763','16392','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18922','27762','16392','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18923','27791','16393','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18924','27795','16393','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18925','27794','16393','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18926','27875','16394','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18927','27879','16394','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18928','27878','16394','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18929','27912','16395','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18930','27916','16395','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18931','27915','16395','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18932','27947','16396','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18933','27951','16396','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18934','27950','16396','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18935','28121','16397','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18936','28125','16397','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18937','28124','16397','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18938','28178','16398','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18939','28182','16398','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18940','28181','16398','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18941','28226','16399','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18942','28230','16399','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18943','28229','16399','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18944','28296','16400','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18945','28300','16400','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18946','28299','16400','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18947','28971','16401','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18948','28975','16401','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18949','28974','16401','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18950','27182','16402','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18951','27185','16402','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18952','27182','16402','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18953','27185','16402','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18954','27217','16403','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18955','27220','16403','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18956','27217','16403','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18957','27220','16403','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18958','27253','16404','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18959','27256','16404','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18960','27253','16404','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18961','27256','16404','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18962','27274','16405','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18963','27277','16405','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18964','27274','16405','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18965','27277','16405','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18966','27323','16406','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18967','27326','16406','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18968','27323','16406','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18969','27326','16406','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18970','27452','16407','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18971','27455','16407','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18972','27452','16407','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18973','27455','16407','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18974','27488','16408','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18975','27491','16408','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18976','27488','16408','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18977','27491','16408','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18978','27522','16409','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18979','27525','16409','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18980','27522','16409','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18981','27525','16409','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18982','27558','16410','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18983','27561','16410','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18984','27558','16410','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18985','27561','16410','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18986','27644','16411','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18987','27647','16411','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18988','27644','16411','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18989','27647','16411','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18990','27724','16412','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18991','27727','16412','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18992','27724','16412','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18993','27727','16412','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18994','27758','16413','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18995','27761','16413','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18996','27758','16413','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18997','27761','16413','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18998','27790','16414','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('18999','27793','16414','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19000','27790','16414','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19001','27793','16414','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19002','27874','16415','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19003','27877','16415','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19004','27874','16415','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19005','27877','16415','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19006','27911','16416','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19007','27914','16416','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19008','27911','16416','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19009','27914','16416','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19010','27946','16417','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19011','27949','16417','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19012','27946','16417','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19013','27949','16417','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19014','28120','16418','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19015','28123','16418','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19016','28120','16418','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19017','28123','16418','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19018','28177','16419','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19019','28180','16419','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19020','28177','16419','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19021','28180','16419','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19022','28225','16420','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19023','28228','16420','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19024','28225','16420','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19025','28228','16420','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19026','28295','16421','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19027','28298','16421','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19028','28295','16421','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19029','28298','16421','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19030','28970','16422','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19031','28973','16422','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19032','28970','16422','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19033','28973','16422','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19034','27074','16423','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19035','27071','16423','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19036','27075','16423','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19037','27076','16424','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19038','27073','16424','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19039','27076','16424','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19040','27073','16424','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19041','27599','16425','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19042','27603','16425','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19043','27602','16425','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19044','28008','16426','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19045','28012','16426','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19046','28011','16426','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19047','27598','16427','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19048','27601','16427','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19049','27598','16427','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19050','27601','16427','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19051','28007','16428','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19052','28010','16428','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19053','28007','16428','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19054','28010','16428','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19055','27084','16429','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19056','27081','16429','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19057','27085','16429','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19058','27086','16430','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19059','27083','16430','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19060','27086','16430','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19061','27083','16430','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19062','27622','16431','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19063','27626','16431','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19064','27625','16431','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19065','27979','16432','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19066','27983','16432','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19067','27982','16432','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19068','27621','16433','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19069','27624','16433','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19070','27621','16433','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19071','27624','16433','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19072','27978','16434','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19073','27981','16434','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19074','27978','16434','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19075','27981','16434','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19076','27124','16435','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19077','27121','16435','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19078','27125','16435','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19079','27126','16436','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19080','27123','16436','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19081','27126','16436','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19082','27123','16436','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19083','29080','16437','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19084','29084','16437','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19085','29083','16437','avg','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19086','29079','16438','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19087','29082','16438','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19088','29079','16438','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19089','29082','16438','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19090','29994','16439','count','#1,{$HEALTH_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19091','29994','16440','count','#1,{$HEALTH_WARN_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19092','29996','16441','nodata','{$AGENT.NODATA_TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19093','29998','16442','nodata','30m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19094','29654','16443','nodata','30m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19095','29662','16444','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19096','30025','16445','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19097','30025','16445','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19098','29693','16446','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19099','29688','16447','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19100','29741','16448','nodata','30m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19101','29744','16449','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19102','30045','16450','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19103','30045','16450','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19104','29774','16451','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19105','29773','16452','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19106','30046','16453','max','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19107','30047','16454','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19108','30048','16455','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19111','30055','16457','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19112','30056','16458','max','{$SNMP.TIMEOUT}');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19113','30066','16459','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19114','30066','16459','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19115','30066','16460','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19116','30066','16460','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19117','30066','16461','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19118','30066','16461','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19119','30067','16462','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19120','30067','16462','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19121','30067','16463','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19122','30067','16463','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19123','30067','16464','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19124','30067','16464','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19125','30068','16465','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19126','30068','16465','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19127','30068','16466','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19128','30068','16466','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19129','30068','16467','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19130','30068','16467','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19131','30069','16468','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19132','30069','16468','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19133','30069','16469','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19134','30069','16469','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19135','30069','16470','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19136','30069','16470','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19137','30070','16471','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19138','30070','16471','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19139','30070','16472','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19140','30070','16472','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19141','30070','16473','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19142','30070','16473','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19143','30071','16474','count','#1,{$PSU_CRIT_STATUS:"inoperable"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19144','30071','16475','count','#1,{$PSU_WARN_STATUS:"degraded"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19145','30072','16476','count','#1,{$HEALTH_CRIT_STATUS:"computeFailed"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19146','30072','16476','count','#1,{$HEALTH_CRIT_STATUS:"configFailure"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19147','30072','16476','count','#1,{$HEALTH_CRIT_STATUS:"unconfigFailure"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19148','30072','16476','count','#1,{$HEALTH_CRIT_STATUS:"inoperable"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19149','30072','16477','count','#1,{$HEALTH_WARN_STATUS:"testFailed"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19150','30072','16477','count','#1,{$HEALTH_WARN_STATUS:"thermalProblem"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19151','30072','16477','count','#1,{$HEALTH_WARN_STATUS:"powerProblem"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19152','30072','16477','count','#1,{$HEALTH_WARN_STATUS:"voltageProblem"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19153','30072','16477','count','#1,{$HEALTH_WARN_STATUS:"diagnosticsFailed"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19154','30074','16478','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19155','30074','16478','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19156','30075','16479','count','#1,{$FAN_CRIT_STATUS:"inoperable"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19157','30075','16480','count','#1,{$FAN_WARN_STATUS:"degraded"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19158','30076','16481','count','#1,{$DISK_FAIL_STATUS:"failed"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19159','30076','16482','count','#1,{$DISK_CRIT_STATUS:"bad"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19160','30076','16482','count','#1,{$DISK_CRIT_STATUS:"predictiveFailure"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19161','30080','16483','count','#1,{$VDISK_OK_STATUS:"equipped"},ne');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19162','30083','16484','count','#1,{$DISK_ARRAY_CRIT_STATUS:"inoperable"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19163','30083','16485','count','#1,{$DISK_ARRAY_WARN_STATUS:"degraded"},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19164','30083','16486','count','#1,{$DISK_ARRAY_OK_STATUS:"operable"},ne');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19165','30085','16487','count','#1,{$DISK_ARRAY_CACHE_BATTERY_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19166','30085','16488','count','#1,{$DISK_ARRAY_CACHE_BATTERY_OK_STATUS},ne');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19171','27208','16491','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19172','30086','16492','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19173','30086','16492','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19174','30089','16493','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19175','30091','16494','count','#1,{$PSU_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19176','30092','16495','count','#1,{$PSU_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19177','27240','16496','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19178','30093','16497','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19179','27294','16498','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19180','30094','16499','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19181','27299','16500','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19182','27301','16501','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19183','30095','16502','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19184','30096','16503','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19185','27315','16504','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19186','27315','16504','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19187','27315','16505','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19188','27315','16505','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19189','27315','16506','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19190','27315','16506','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19191','30097','16507','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19192','30097','16507','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19193','27376','16508','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19194','30098','16509','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19195','30098','16509','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19196','30099','16510','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19197','30099','16510','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19198','30100','16511','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19199','30100','16511','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19200','27380','16512','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19201','30101','16513','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19202','28246','16514','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19203','27417','16515','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19204','30102','16516','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19205','30103','16517','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19206','30104','16518','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19207','28247','16519','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19208','27427','16520','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19209','27478','16521','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19210','30105','16522','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19211','27481','16523','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19212','27481','16523','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19213','27511','16524','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19214','30106','16525','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19215','30106','16525','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19216','30107','16526','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19217','27547','16527','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19218','30108','16528','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19219','27586','16529','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19220','30109','16530','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19221','30109','16530','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19222','30111','16531','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19223','27675','16532','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19224','27675','16532','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19225','27671','16533','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19226','30112','16534','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19227','28143','16535','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19228','30115','16536','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19229','27753','16537','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19230','27749','16538','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19231','27749','16538','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19232','30116','16539','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19233','30117','16540','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19234','30117','16540','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19235','28894','16541','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19236','30118','16542','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19237','30119','16543','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19238','30119','16543','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19239','30120','16544','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19240','27904','16545','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19241','27906','16546','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19242','27907','16546','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19243','27908','16546','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19244','27906','16546','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19245','27906','16547','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19246','27907','16547','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19247','27908','16547','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19248','27906','16547','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19249','27936','16548','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19250','30121','16549','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19251','30121','16549','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19252','30123','16550','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19253','30124','16551','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19254','30124','16551','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19255','30124','16552','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19256','30124','16552','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19257','30124','16553','avg','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19258','30124','16553','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19259','27975','16554','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19260','30125','16555','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19261','30125','16555','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19262','30126','16556','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19263','30129','16557','count','#1,{$FAN_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19264','30130','16558','count','#1,{$PSU_CRIT_STATUS},eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19265','28003','16559','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19266','30131','16560','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19267','28031','16561','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19268','30136','16562','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19269','29096','16563','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19270','29087','16563','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19271','29101','16563','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19272','29100','16563','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19273','29133','16564','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19274','29124','16564','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19275','29138','16564','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19276','29137','16564','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19277','29170','16565','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19278','29161','16565','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19279','29175','16565','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19280','29174','16565','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19287','29282','16569','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19288','29273','16569','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19289','29287','16569','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19290','29286','16569','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19291','29319','16570','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19292','29310','16570','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19293','29324','16570','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19294','29323','16570','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19299','29420','16573','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19300','29417','16573','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19301','29419','16573','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19302','29418','16573','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19305','28987','16575','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19306','28990','16575','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19307','28988','16575','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19308','28989','16575','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19309','29002','16576','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19310','29005','16576','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19311','29003','16576','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19312','29004','16576','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19313','30141','16577','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19314','30141','16577','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19316','29113','16579','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19317','29113','16579','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19318','29150','16580','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19319','29150','16580','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19320','29187','16581','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19321','29187','16581','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19322','29299','16582','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19323','29299','16582','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19324','29336','16583','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19325','29336','16583','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19326','29414','16584','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19327','29414','16584','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19328','29474','16585','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19329','29474','16585','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19330','29500','16586','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19331','29500','16586','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19332','29581','16587','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19333','29581','16587','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19334','29607','16588','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19335','29607','16588','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19336','27141','16589','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19337','27141','16589','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19338','27615','16590','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19339','27615','16590','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19340','28022','16591','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19341','28022','16591','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19342','28433','16592','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19343','28433','16592','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19344','27152','16593','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19345','27152','16593','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19346','27199','16594','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19347','27199','16594','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19348','27232','16595','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19349','27232','16595','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19350','27268','16596','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19351','27268','16596','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19352','27289','16597','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19353','27289','16597','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19354','27340','16598','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19355','27340','16598','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19356','27372','16599','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19357','27372','16599','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19358','27469','16600','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19359','27469','16600','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19360','27503','16601','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19361','27503','16601','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19362','27539','16602','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19363','27539','16602','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19364','27575','16603','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19365','27575','16603','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19366','27638','16604','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19367','27638','16604','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19368','27661','16605','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19369','27661','16605','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19370','27741','16606','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19371','27741','16606','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19372','27773','16607','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19373','27773','16607','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19374','27807','16608','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19375','27807','16608','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19376','27889','16609','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19377','27889','16609','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19378','27926','16610','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19379','27926','16610','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19380','27963','16611','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19381','27963','16611','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19382','27993','16612','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19383','27993','16612','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19384','28137','16613','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19385','28137','16613','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19386','28192','16614','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19387','28192','16614','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19388','28240','16615','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19389','28240','16615','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19390','28289','16616','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19391','28289','16616','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19392','28337','16617','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19393','28337','16617','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19394','28384','16618','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19395','28384','16618','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19396','28461','16619','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19397','28461','16619','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19398','28489','16620','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19399','28489','16620','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19400','28964','16621','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19401','28964','16621','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19402','29057','16622','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19403','29057','16622','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19404','30053','16623','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19405','30053','16623','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19406','30142','16624','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19407','30143','16625','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19408','30144','16626','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19409','30145','16627','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19410','30146','16628','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19411','30159','16629','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19412','30160','16630','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19413','30161','16630','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19414','30162','16630','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19415','30160','16630','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19416','30160','16631','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19417','30161','16631','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19418','30162','16631','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19419','30160','16631','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19420','30165','16632','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19421','30171','16633','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19422','30177','16634','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19423','30183','16635','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19424','30166','16636','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19425','30167','16636','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19426','30168','16636','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19427','30166','16636','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19428','30172','16637','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19429','30173','16637','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19430','30174','16637','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19431','30172','16637','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19432','30178','16638','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19433','30179','16638','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19434','30180','16638','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19435','30178','16638','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19436','30184','16639','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19437','30185','16639','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19438','30186','16639','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19439','30184','16639','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19440','30166','16640','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19441','30167','16640','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19442','30168','16640','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19443','30166','16640','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19444','30172','16641','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19445','30173','16641','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19446','30174','16641','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19447','30172','16641','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19448','30178','16642','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19449','30179','16642','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19450','30180','16642','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19451','30178','16642','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19452','30184','16643','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19453','30185','16643','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19454','30186','16643','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19455','30184','16643','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19456','30191','16644','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19457','30192','16645','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19458','30192','16645','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19459','30187','16646','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19460','30188','16647','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19461','30199','16648','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19462','30200','16649','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19463','30201','16650','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19464','30202','16651','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19465','30203','16652','max','#5');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19466','30208','16653','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19467','30209','16654','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19468','30196','16655','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19469','30221','16656','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19470','30224','16657','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19471','30225','16658','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19472','30226','16659','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19473','30227','16660','max','#5');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19474','30234','16661','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19475','30235','16662','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19476','30235','16662','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19479','30242','16665','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19480','30243','16666','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19481','30244','16667','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19482','30245','16668','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19483','30246','16669','max','#5');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19484','30251','16670','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19485','30252','16671','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19486','30239','16672','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19487','30264','16673','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19488','30267','16674','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19489','30268','16675','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19490','30269','16676','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19491','30270','16677','max','#5');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19492','28804','16678','str','"HTTP/1.1 200"');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19493','28804','16678','nodata','30m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19494','28821','16679','str','"HTTP/1.1 200"');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19495','28821','16679','nodata','30m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19496','28729','16680','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19497','30322','16681','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19498','30312','16681','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19499','30275','16682','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19500','30275','16682','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19501','30276','16683','nodata','30m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19502','30317','16684','min','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19503','30326','16685','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19504','30333','16686','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19505','30273','16687','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19506','30306','16688','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19507','30286','16689','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19508','30286','16689','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19509','30283','16690','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19510','30283','16690','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19511','30281','16691','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19512','30274','16692','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19513','30298','16693','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19514','30347','16694','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19515','30369','16695','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19516','30318','16695','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19517','30398','16696','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19518','30405','16697','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19519','30406','16698','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19520','30413','16699','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19521','30414','16700','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19522','30415','16700','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19523','30416','16700','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19524','30414','16700','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19525','30414','16701','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19526','30415','16701','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19527','30416','16701','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19528','30414','16701','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19529','30419','16702','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19530','30420','16703','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19531','30421','16703','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19532','30422','16703','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19533','30420','16703','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19534','30420','16704','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19535','30421','16704','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19536','30422','16704','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19537','30420','16704','timeleft','1h,,100');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19538','29214','16705','min','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19539','29215','16705','min','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19540','29228','16706','min','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19541','29229','16706','min','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19542','29242','16707','min','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19543','29243','16707','min','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19544','29359','16708','min','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19545','29360','16708','min','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19546','29373','16709','min','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19547','29374','16709','min','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19548','29434','16710','min','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19549','29435','16710','min','15m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19550','29459','16711','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19551','29485','16712','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19552','30425','16713','min','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19553','30426','16714','min','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19554','29566','16715','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19555','29592','16716','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19556','30429','16717','min','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19557','30430','16718','min','#3');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19558','30470','16719','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19559','30434','16720','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19560','30454','16721','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19561','30433','16722','nodata','30m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19562','30432','16723','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19563','30445','16724','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19564','30450','16725','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19565','30431','16726','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19566','30431','16726','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19567','30476','16727','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19568','30477','16728','count','#1,"No",eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19569','30477','16729','count','#1,"Yes",ne');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19570','30478','16730','count','#1,"No",eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19571','30479','16731','nodata','30m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19572','30481','16732','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19573','30480','16733','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19574','30480','16733','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19575','30505','16734','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19576','30483','16735','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19577','30514','16736','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19578','30495','16737','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19579','30519','16738','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19580','30524','16739','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19581','30525','16740','count','#1,"No",eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19582','30525','16741','count','#1,"Yes",ne');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19583','30526','16742','count','#1,"No",eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19584','30537','16743','nodata','30m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19585','30530','16744','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19586','30547','16745','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19587','30547','16745','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19588','30599','16746','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19589','30604','16746','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19590','30598','16747','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19591','30598','16747','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19592','30614','16748','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19593','30634','16748','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19594','30633','16749','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19595','30632','16749','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19596','30631','16750','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19597','30628','16751','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19598','30627','16752','nodata','30m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19599','30611','16753','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19600','30615','16754','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19601','30636','16755','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19602','30636','16755','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19603','30676','16756','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19604','30640','16757','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19605','30660','16758','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19606','30638','16759','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19607','30651','16760','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19608','30656','16761','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19609','30637','16762','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19610','30637','16762','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19611','30682','16763','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19612','30683','16764','count','#1,"No",eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19613','30683','16765','count','#1,"Yes",ne');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19614','30684','16766','count','#1,"No",eq');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19615','30688','16767','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19616','30689','16768','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19617','30689','16769','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19618','30689','16770','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19619','30689','16771','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19620','30689','16772','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19621','30689','16773','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19622','30697','16774','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19623','30698','16774','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19624','30709','16774','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19625','30710','16775','min','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19626','30708','16776','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19627','30708','16777','change','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19628','30705','16778','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19629','30705','16779','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19630','30705','16780','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19631','30712','16781','min','10m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19632','30699','16782','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19633','30696','16783','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19634','30692','16784','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19635','30690','16785','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19636','30715','16786','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19637','30716','16787','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19638','30717','16788','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19639','30714','16789','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19640','30724','16790','min','1h');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19641','30724','16791','min','1h');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19642','30725','16792','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19643','30729','16793','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19644','30733','16794','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19645','30758','16795','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19646','30765','16796','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19647','30766','16797','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19648','30767','16798','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19649','30768','16799','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19650','30769','16800','max','#5');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19651','30774','16801','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19652','30775','16802','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19653','30762','16803','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19654','30782','16804','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19655','30783','16805','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19656','30784','16806','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19657','30785','16807','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19658','30786','16808','max','#5');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19659','30789','16809','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19660','30790','16810','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19661','30797','16811','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19662','30798','16812','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19663','30799','16813','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19664','30800','16814','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19665','30801','16815','max','#5');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19666','30806','16816','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19667','30807','16817','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19668','30794','16818','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19669','30814','16819','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19670','30815','16820','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19671','30816','16821','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19672','30817','16822','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19673','30818','16823','max','#5');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19674','30854','16824','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19675','30858','16825','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19676','30864','16826','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19677','30862','16827','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19678','30821','16828','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19679','30827','16829','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19680','30837','16830','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19681','30829','16831','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19682','30829','16831','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19683','30846','16832','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19684','30846','16833','nodata','30m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19685','30822','16834','diff','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19686','30822','16834','strlen','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19687','30843','16835','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19688','30880','16836','max','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19689','30891','16836','last','');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19690','30883','16837','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19691','30884','16838','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19692','30885','16839','min','5m');
INSERT INTO functions (functionid,itemid,triggerid,name,parameter) values ('19693','30890','16840','min','5m');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1000','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages status','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1001','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages per second','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1007','RabbitMQ: File descriptors','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1008','RabbitMQ: Disk free','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1009','RabbitMQ: Memory used','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1010','RabbitMQ: Sockets','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1011','RabbitMQ: Node status','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1012','RabbitMQ: Uptime','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1013','RabbitMQ: Memory usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1014','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages status','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1015','RabbitMQ: Queue {#VHOST}/{#QUEUE}: Messages per second','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1016','RabbitMQ: Connections','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1017','RabbitMQ: Queues','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1018','RabbitMQ: Messages','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1019','RabbitMQ: Messages status','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1020','RabbitMQ: Messages per second','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1021','RabbitMQ: File descriptors','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1022','RabbitMQ: Disk free','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1023','RabbitMQ: Memory used','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1024','RabbitMQ: Sockets','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1025','RabbitMQ: Node status','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1026','RabbitMQ: Uptime','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1027','RabbitMQ: Connections','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1028','RabbitMQ: Queues','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1029','RabbitMQ: Messages','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1030','RabbitMQ: Messages status','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1031','RabbitMQ: Messages per second','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1032','Memory usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1033','Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1034','Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1035','Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1038','{#SNMPVALUE}: Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1042','#{#SNMPINDEX}: Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1043','{#SNMPINDEX}: Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1044','#{#SNMPVALUE}: Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1045','#{#SNMPVALUE}: Memory usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1046','#{#SNMPVALUE}: Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1047','{#MODULE_NAME}: Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1048','#{#SNMPVALUE}: Memory usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1049','#{#SNMPVALUE}: Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1050','{#ENT_NAME}: Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1051','{#SNMPVALUE}: Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1052','Disk-{#SNMPINDEX}: Disk space usage','600','340','0','100',NULL,'1','1','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1053','Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1054','Memory usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1055','Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1056','Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1057','#{#SNMPVALUE}: Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1058','Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1060','{#MEMNAME}: Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1065','{#FSNAME}: Disk space usage','600','340','0','100',NULL,'1','1','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1070','CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1075','HAProxy: Backend {#PXNAME} Redispatched requests and retried connections per second','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1076','HAProxy: Frontend {#PXNAME} Errors and denials per second','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1077','HAProxy: Frontend {#PXNAME} In/Out traffic','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1078','HAProxy: Frontend {#PXNAME} Requests and sessions per second','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1079','HAProxy: Frontend {#PXNAME} Responses by HTTP code','900','200','0','100',NULL,'1','1','1','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1080','HAProxy: {#PXNAME} {#SVNAME} Response time and time in queue','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1081','HAProxy: Backend {#PXNAME} Redispatched requests and retried connections per second','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1082','HAProxy: Frontend {#PXNAME} Errors and denials per second','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1083','HAProxy: Frontend {#PXNAME} In/Out traffic','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1084','HAProxy: Frontend {#PXNAME} Requests and sessions per second','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1085','HAProxy: Frontend {#PXNAME} Responses by HTTP code','900','200','0','100',NULL,'1','1','1','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1086','HAProxy: {#PXNAME} {#SVNAME} Response time and time in queue','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1087','Redis: Memory usage{#SINGLETON}','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1088','DB {#DB}: Keys','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1089','Redis slave {#SLAVE_IP}:{#SLAVE_PORT}: Replication lag bytes','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1090','Redis: Replication lag time{#SINGLETON}','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1091','Redis: Clients','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1092','Redis: Commands','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1093','Redis: CPU','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1094','Redis: Expired keys','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1095','Redis: Keyspace','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1096','Redis: Memory','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1097','Redis: Memory fragmentation','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1098','Redis: Network','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1099','Redis: Persistence','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1100','Redis: Slaves','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1101','Redis: Slowlog','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1102','Redis: Uptime','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1103','{#MEMNAME}: Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1105','{#FSNAME}: Disk space usage','600','340','0','100',NULL,'1','1','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1107','CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1109','MySQL: Bandwidth','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1110','MySQL: Connections','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1111','MySQL: InnoDB buffer pool','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1112','MySQL: Operations','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1113','MySQL: Queries','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1114','MySQL: Threads','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1115','MySQL: Bandwidth','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1116','MySQL: Connections','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1117','MySQL: InnoDB buffer pool','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1118','MySQL: Operations','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1119','MySQL: Queries','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1120','MySQL: Threads','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1121','Container {#NAME}: CPU usage','900','200','0','100',NULL,'1','1','1','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1122','Container {#NAME}: Memory usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1123','Container {#NAME}: Network packets','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1124','Container {#NAME}: Network traffic','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1125','Docker: Containers','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1126','Docker: Goroutines','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1127','Docker: Images','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1128','Docker: Memory total','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1129','Docker: Size','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1130','Memcached: Commands','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1131','Memcached: Connections','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1132','Memcached: Connections rate','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1133','Memcached: Keyspace','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1134','Memcached: Network','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1135','Memcached: Uptime','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1136','MySQL: Bandwidth','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1137','MySQL: Connections','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1138','MySQL: InnoDB buffer pool','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1139','MySQL: Operations','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1140','MySQL: Queries','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1141','MySQL: Threads','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1142','IPMI: {#SENSOR_ID}','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1143','ES {#ES.NODE}: Latency','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1144','ES {#ES.NODE}: Query load','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1145','ES {#ES.NODE}: Refresh thread pool','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1146','ES {#ES.NODE}: Search thread pool','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1147','ES {#ES.NODE}: Write thread pool','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1148','ES: Cluster health','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1149','HAProxy: TCP Backend {#PXNAME} Redispatched requests and retried connections per second','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1150','HAProxy: TCP Frontend {#PXNAME} Errors and denials per second','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1151','HAProxy: TCP Frontend {#PXNAME} In/Out traffic','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1152','HAProxy: TCP Frontend {#PXNAME} Requests and sessions per second','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1153','HAProxy: TCP {#PXNAME} {#SVNAME} Response time and time in queue','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1154','HAProxy: TCP Backend {#PXNAME} Redispatched requests and retried connections per second','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1155','HAProxy: TCP Frontend {#PXNAME} Errors and denials per second','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1156','HAProxy: TCP Frontend {#PXNAME} In/Out traffic','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1157','HAProxy: TCP Frontend {#PXNAME} Requests and sessions per second','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1158','HAProxy: TCP {#PXNAME} {#SVNAME} Response time and time in queue','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1159','ClickHouse: {#DB}.{#TABLE}: Replica log activity','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1160','ClickHouse: {#DB}.{#TABLE}: Replica queues','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1161','ClickHouse: Current activity','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1162','ClickHouse: Current connections','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1163','ClickHouse: Distributed','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1164','ClickHouse: Insert/Merge bytes rate','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1165','ClickHouse: Insert/Merge rows rate','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1166','ClickHouse: Memory Usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1167','ClickHouse: Memory Utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1168','ClickHouse: Queries rate','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1169','ClickHouse: Syscalls in fly','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1170','ClickHouse: Uptime','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1171','ClickHouse: Zookeeper exeptions rate','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('392','Zabbix server performance','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('404','Zabbix data gathering process busy %','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('406','Zabbix internal process busy %','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('410','Zabbix cache usage, % used','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('456','CPU utilization','900','200','0','100',NULL,'1','0','1','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('457','CPU load','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('458','Swap usage','600','340','0','100',NULL,'0','0','2','1','1','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('459','CPU jumps','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('461','Disk space usage {#FSNAME}','600','340','0','100',NULL,'0','0','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('462','CPU utilization','900','200','0','100',NULL,'1','0','1','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('463','CPU load','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('464','Swap usage','600','340','0','100',NULL,'0','0','2','1','1','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('465','CPU jumps','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('467','Disk space usage {#FSNAME}','600','340','0','100',NULL,'0','0','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('469','CPU load','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('471','CPU jumps','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('472','Network traffic on {#IFNAME}','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('473','Disk space usage {#FSNAME}','600','340','0','100',NULL,'0','0','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('474','CPU utilization','900','200','0','100',NULL,'1','0','1','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('475','CPU load','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('478','Network traffic on {#IFNAME}','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('479','Disk space usage {#FSNAME}','600','340','0','100',NULL,'0','0','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('480','CPU utilization','900','200','0','100',NULL,'1','0','1','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('481','CPU load','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('482','Swap usage','600','340','0','100',NULL,'0','0','2','1','1','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('483','CPU jumps','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('484','Network traffic on {#IFNAME}','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('485','Disk space usage {#FSNAME}','600','340','0','100',NULL,'0','0','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('487','CPU load','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('491','Disk space usage {#FSNAME}','600','340','0','100',NULL,'0','0','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('492','Network traffic on {#IFNAME}','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('493','Network traffic on {#IFNAME}','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('494','Network traffic on en0','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('498','CPU utilization','900','200','0','100',NULL,'1','0','1','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('527','Value cache effectiveness','900','200','0','100',NULL,'1','1','1','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('529','Zabbix cache usage, % used','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('530','Zabbix data gathering process busy %','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('531','Zabbix internal process busy %','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('532','Zabbix proxy performance','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('540','Memory usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','2',NULL,'22943','0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('541','Memory usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','2',NULL,'22903','0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('542','Memory usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','2',NULL,'22983','0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('543','Memory usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','2',NULL,'23063','0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('544','Memory usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','2',NULL,'22863','0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('545','Memory usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','2',NULL,'23023','0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('638','Class Loader','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('639','File Descriptors','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('640','Garbage Collector collections per second','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('641','Memory Pool CMS Old Gen','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('642','Memory Pool CMS Perm Gen','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('643','Memory Pool Code Cache','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('644','Memory Pool Perm Gen','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('645','Memory Pool PS Old Gen','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('646','Memory Pool PS Perm Gen','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('647','Memory Pool Tenured Gen','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('648','Threads','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('651','Fan speed and ambient temperature','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('652','Voltage','900','200','0','5.5',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('653','Fan speed and temperature','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('654','Voltage','900','200','0','5.5',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('668','CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('671','CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('675','CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('687','#{#SNMPINDEX}: CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('691','CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('694','#{#SNMPINDEX}: CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('698','CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('701','CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('704','CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('708','{#MODULE_NAME}: CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('714','{#ENT_NAME}: CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('724','#{#SNMPINDEX}: CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('727','CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('730','CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('733','#{#SNMPVALUE}: CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('736','CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('738','Interface {#IFDESCR}: Network traffic','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('741','Interface {#IFDESCR}: Network traffic','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('744','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('745','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('766','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('775','CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('786','{#SNMPVALUE}: CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('788','Zabbix internal queues','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('793','http-8080 worker threads','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('794','http-8443 worker threads','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('795','jk-8009 worker threads','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('796','sessions /','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('797','Value cache effectiveness','900','200','0','100',NULL,'1','1','1','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('798','Zabbix cache usage, % free','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('799','Zabbix data gathering process busy %','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('800','Zabbix internal process busy %','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('801','Zabbix internal queues','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('802','Zabbix server performance','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('803','Zabbix cache usage, % free','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('804','Zabbix data gathering process busy %','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('805','Zabbix internal process busy %','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('806','Zabbix proxy performance','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('807','Zabbix internal queues','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('814','DB {#DBNAME}: Block hit/read','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('815','DB {#DBNAME}: Database size','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('816','DB {#DBNAME}: Events','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('817','DB {#DBNAME}: Locks','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('818','DB {#DBNAME}: Queries','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('819','DB {#DBNAME}: Slow queries','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('820','DB {#DBNAME}: Temp files','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('821','DB {#DBNAME}: Tuples','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('822','PostgreSQL bgwriter','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('823','PostgreSQL checkpoints','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('824','PostgreSQL connections','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('825','PostgreSQL ping','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('826','PostgreSQL replication lag','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('827','PostgreSQL transactions','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('828','PostgreSQL uptime','900','200','0','100',NULL,'1','0','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('829','PostgreSQL WAL','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('830','Apache: Current async connections{#SINGLETON}','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('831','Apache: Current async processes{#SINGLETON}','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('832','Apache: Requests per second','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('833','Apache: Workers total','900','200','0','100',NULL,'1','1','1','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('834','Apache: Worker states','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('835','Apache: Memory usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('836','Apache: Current async connections{#SINGLETON}','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('837','Apache: Current async processes{#SINGLETON}','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('838','Apache: Requests per second','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('839','Apache: Workers total','900','200','0','100',NULL,'1','1','1','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('840','Apache: Worker states','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('841','Nginx: Connections by state','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('842','Nginx: Connections per second','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('843','Nginx: Requests per second','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('844','Nginx: Memory usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('845','Nginx: Connections by state','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('846','Nginx: Connections per second','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('847','Nginx: Requests per second','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('856','{#SNMPVALUE}: CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('859','MySQL bandwidth','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('860','MySQL connections','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('861','MySQL InnoDB buffer pool','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('862','MySQL operations','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('863','MySQL queries','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('864','MySQL threads','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('866','{#DEVNAME}: Disk read/write rates','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('868','CPU usage{#SINGLETON}','900','200','0','100',NULL,'1','1','1','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('870','CPU utilization{#SINGLETON}','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('872','{#FSNAME}: Disk space usage','600','340','0','100',NULL,'1','1','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('874','Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('876','Memory usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('878','Swap usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('880','System load','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('882','CPU jumps','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('887','{#FSNAME}: Disk space usage','600','340','0','100',NULL,'1','1','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('890','{#DEVNAME}: Disk read/write rates','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('893','{#DEVNAME}: Disk average waiting time','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('896','{#DEVNAME}: Disk utilization and queue','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('899','Interface {#IFNAME}: Network traffic','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('902','System load','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('905','CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('908','CPU usage','900','200','0','100',NULL,'1','1','1','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('911','CPU jumps','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('914','Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('917','Memory usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('920','Swap usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('923','Processes','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('926','{#FSNAME}: Disk space usage','600','340','0','100',NULL,'1','1','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('928','{#DEVNAME}: Disk read/write rates','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('930','{#DEVNAME}: Disk average waiting time','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('932','{#DEVNAME}: Disk utilization and queue','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('934','Interface {#IFNAME}: Network traffic','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('936','System load','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('938','CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('940','CPU usage','900','200','0','100',NULL,'1','1','1','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('942','CPU jumps','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('944','Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('946','Memory usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('948','Swap usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('950','Processes','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('952','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('953','{#FSNAME}: Disk space usage','600','340','0','100',NULL,'1','1','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('954','{#DEVNAME}: Disk read/write rates','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('955','{#DEVNAME}: Disk average waiting time','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('956','{#DEVNAME}: Disk utilization and queue','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('957','System load','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('958','CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('959','CPU usage','900','200','0','100',NULL,'1','1','1','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('960','CPU jumps','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('961','Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('962','Memory usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('963','Swap usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('964','{#FSNAME}: Disk space usage','600','340','0','100',NULL,'1','1','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('966','{#DEVNAME}: Disk read/write rates','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('968','{#DEVNAME}: Disk utilization and queue','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('970','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('972','CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('974','CPU jumps','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('976','CPU usage','900','200','0','100',NULL,'1','1','1','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('978','Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('980','Swap usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('982','{#FSNAME}: Disk space usage','600','340','0','100',NULL,'1','1','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('984','{#DEVNAME}: Disk read/write rates','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('986','{#DEVNAME}: Disk utilization and queue','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('988','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('990','CPU utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('992','CPU jumps','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('994','CPU usage','900','200','0','100',NULL,'1','1','1','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('996','Memory utilization','900','200','0','100',NULL,'1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('998','Swap usage','900','200','0','100',NULL,'1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1036','Memory utilization','900','200','0','100','1035','1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1037','Memory utilization','900','200','0','100','1035','1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1039','{#SNMPVALUE}: Memory utilization','900','200','0','100','1038','1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1040','{#SNMPVALUE}: Memory utilization','900','200','0','100','1038','1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1041','{#SNMPVALUE}: Memory utilization','900','200','0','100','1038','1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1061','{#MEMNAME}: Memory utilization','900','200','0','100','1060','1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1062','{#MEMNAME}: Memory utilization','900','200','0','100','1061','1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1063','{#MEMNAME}: Memory utilization','900','200','0','100','1061','1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1064','{#MEMNAME}: Memory utilization','900','200','0','100','1061','1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1066','{#FSNAME}: Disk space usage','600','340','0','100','1065','1','1','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1067','{#FSNAME}: Disk space usage','600','340','0','100','1066','1','1','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1068','{#FSNAME}: Disk space usage','600','340','0','100','1066','1','1','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1069','{#FSNAME}: Disk space usage','600','340','0','100','1066','1','1','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1071','CPU utilization','900','200','0','100','1070','1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1072','CPU utilization','900','200','0','100','1071','1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1073','CPU utilization','900','200','0','100','1071','1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1074','CPU utilization','900','200','0','100','1071','1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1104','{#MEMNAME}: Memory utilization','900','200','0','100','1103','1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1106','{#FSNAME}: Disk space usage','600','340','0','100','1105','1','1','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('1108','CPU utilization','900','200','0','100','1107','1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('517','Zabbix internal process busy %','900','200','0','100','406','1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('518','Zabbix data gathering process busy %','900','200','0','100','404','1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('519','Zabbix server performance','900','200','0','100','392','1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('520','Zabbix cache usage, % used','900','200','0','100','410','1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('528','Value cache effectiveness','900','200','0','100','527','1','1','1','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('676','CPU utilization','900','200','0','100','675','1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('677','CPU utilization','900','200','0','100','675','1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('688','#{#SNMPINDEX}: CPU utilization','900','200','0','100','687','1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('692','CPU utilization','900','200','0','100','691','1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('739','Interface {#IFDESCR}: Network traffic','900','200','0','100','738','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('740','Interface {#IFDESCR}: Network traffic','900','200','0','100','738','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('742','Interface {#IFDESCR}: Network traffic','900','200','0','100','741','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('743','Interface {#IFDESCR}: Network traffic','900','200','0','100','741','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('746','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100','745','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('747','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100','745','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('748','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100','745','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('749','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100','745','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('750','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100','745','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('752','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100','745','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('753','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100','745','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('754','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100','745','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('755','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100','745','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('756','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100','745','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('758','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100','745','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('759','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100','745','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('760','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100','745','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('762','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100','745','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('763','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100','745','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('764','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100','745','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('773','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100','745','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('778','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100','745','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('785','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100','745','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('787','{#SNMPVALUE}: CPU utilization','900','200','0','100','786','1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('789','Zabbix internal queues','900','200','0','100','788','1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('790','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100','745','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('865','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100','745','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('867','{#DEVNAME}: Disk read/write rates','900','200','0','100','866','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('869','CPU usage{#SINGLETON}','900','200','0','100','868','1','1','1','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('871','CPU utilization{#SINGLETON}','900','200','0','100','870','1','1','0','1','0','0','0','1','1',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('873','{#FSNAME}: Disk space usage','600','340','0','100','872','1','1','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('875','Memory utilization','900','200','0','100','874','1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('877','Memory usage','900','200','0','100','876','1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('879','Swap usage','900','200','0','100','878','1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('881','System load','900','200','0','100','880','1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('883','CPU jumps','900','200','0','100','882','1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('886','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100','766','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('888','{#FSNAME}: Disk space usage','600','340','0','100','887','1','1','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('889','{#FSNAME}: Disk space usage','600','340','0','100','888','1','1','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('891','{#DEVNAME}: Disk read/write rates','900','200','0','100','890','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('892','{#DEVNAME}: Disk read/write rates','900','200','0','100','891','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('894','{#DEVNAME}: Disk average waiting time','900','200','0','100','893','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('895','{#DEVNAME}: Disk average waiting time','900','200','0','100','894','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('897','{#DEVNAME}: Disk utilization and queue','900','200','0','100','896','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('898','{#DEVNAME}: Disk utilization and queue','900','200','0','100','897','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('900','Interface {#IFNAME}: Network traffic','900','200','0','100','899','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('901','Interface {#IFNAME}: Network traffic','900','200','0','100','900','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('903','System load','900','200','0','100','902','1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('904','System load','900','200','0','100','903','1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('906','CPU utilization','900','200','0','100','905','1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('907','CPU utilization','900','200','0','100','906','1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('909','CPU usage','900','200','0','100','908','1','1','1','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('910','CPU usage','900','200','0','100','909','1','1','1','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('912','CPU jumps','900','200','0','100','911','1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('913','CPU jumps','900','200','0','100','912','1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('915','Memory utilization','900','200','0','100','914','1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('916','Memory utilization','900','200','0','100','915','1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('918','Memory usage','900','200','0','100','917','1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('919','Memory usage','900','200','0','100','918','1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('921','Swap usage','900','200','0','100','920','1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('922','Swap usage','900','200','0','100','921','1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('924','Processes','900','200','0','100','923','1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('925','Processes','900','200','0','100','924','1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('927','{#FSNAME}: Disk space usage','600','340','0','100','926','1','1','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('929','{#DEVNAME}: Disk read/write rates','900','200','0','100','928','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('931','{#DEVNAME}: Disk average waiting time','900','200','0','100','930','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('933','{#DEVNAME}: Disk utilization and queue','900','200','0','100','932','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('935','Interface {#IFNAME}: Network traffic','900','200','0','100','934','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('937','System load','900','200','0','100','936','1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('939','CPU utilization','900','200','0','100','938','1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('941','CPU usage','900','200','0','100','940','1','1','1','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('943','CPU jumps','900','200','0','100','942','1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('945','Memory utilization','900','200','0','100','944','1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('947','Memory usage','900','200','0','100','946','1','1','0','1','0','0','0','1','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('949','Swap usage','900','200','0','100','948','1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('951','Processes','900','200','0','100','950','1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('965','{#FSNAME}: Disk space usage','600','340','0','100','964','1','1','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('967','{#DEVNAME}: Disk read/write rates','900','200','0','100','966','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('969','{#DEVNAME}: Disk utilization and queue','900','200','0','100','968','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('971','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100','970','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('973','CPU utilization','900','200','0','100','972','1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('975','CPU jumps','900','200','0','100','974','1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('977','CPU usage','900','200','0','100','976','1','1','1','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('979','Memory utilization','900','200','0','100','978','1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('981','Swap usage','900','200','0','100','980','1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('983','{#FSNAME}: Disk space usage','600','340','0','100','982','1','1','2','1','1','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('985','{#DEVNAME}: Disk read/write rates','900','200','0','100','984','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('987','{#DEVNAME}: Disk utilization and queue','900','200','0','100','986','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('989','Interface {#IFNAME}({#IFALIAS}): Network traffic','900','200','0','100','988','1','1','0','1','0','0','0','0','0',NULL,NULL,'2','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('991','CPU utilization','900','200','0','100','990','1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('993','CPU jumps','900','200','0','100','992','1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('995','CPU usage','900','200','0','100','994','1','1','1','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('997','Memory utilization','900','200','0','100','996','1','1','0','1','0','0','0','1','1',NULL,NULL,'0','0');
INSERT INTO graphs (graphid,name,width,height,yaxismin,yaxismax,templateid,show_work_period,show_triggers,graphtype,show_legend,show_3d,percent_left,percent_right,ymin_type,ymax_type,ymin_itemid,ymax_itemid,flags,discover) values ('999','Swap usage','900','200','0','100','998','1','1','0','1','0','0','0','0','0',NULL,NULL,'0','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('18830','859','28932','5','0','00AA00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('18831','859','28933','5','1','3333FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('18832','860','28929','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('18833','860','28939','0','1','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('18834','860','28931','0','2','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('18835','860','28919','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('18836','861','28930','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('18837','861','28928','0','1','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('18838','861','28915','0','2','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('18839','861','28914','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('18840','862','28934','0','0','C80000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('18841','862','28935','0','1','0000EE','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('18842','862','28936','0','2','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('18843','862','28937','0','3','C800C8','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('18844','863','28922','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('18845','863','28921','0','1','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('18846','863','28920','0','2','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('18847','864','28923','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('18848','864','28924','0','1','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('18849','864','28925','0','2','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('18850','864','28926','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26073','830','28769','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26074','830','28770','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26075','830','28771','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26076','830','28772','2','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26077','831','28774','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26078','835','28744','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26079','835','28745','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26080','832','28761','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26081','834','28762','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26082','834','28760','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26083','834','28757','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26084','834','28750','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26085','834','28756','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26086','834','28754','0','5','6C59DC','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26087','834','28763','0','6','AC8C14','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26088','834','28767','0','7','611F27','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26089','834','28759','0','8','F230E0','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26090','834','28755','0','9','FFAD40','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26091','834','28753','0','10','40CDFF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26092','833','28765','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26093','833','28764','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26094','836','28798','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26095','836','28799','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26096','836','28800','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26097','836','28801','2','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26098','837','28803','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26099','838','28793','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26100','840','28787','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26101','840','28784','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26102','840','28782','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26103','840','28781','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26104','840','28780','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26105','840','28778','0','5','6C59DC','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26106','840','28786','0','6','AC8C14','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26107','840','28785','0','7','611F27','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26108','840','28783','0','8','F230E0','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26109','840','28779','0','9','FFAD40','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26110','840','28796','0','10','40CDFF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26111','839','28789','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26112','839','28788','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26113','1121','30606','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26114','1121','30590','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26115','1121','30582','5','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26116','1122','30580','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26117','1122','30578','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26118','1123','30586','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26119','1123','30608','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26120','1123','30585','2','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26121','1123','30589','2','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26122','1123','30584','2','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26123','1123','30588','2','5','6C59DC','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26124','1124','30583','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26125','1124','30587','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26126','1125','30555','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26127','1125','30554','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26128','1125','30556','2','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26129','1125','30557','2','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26130','1126','30565','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26131','1127','30567','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26132','1127','30568','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26133','1128','30536','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26134','1129','30566','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26135','1129','30549','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26136','1129','30553','2','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26137','1129','30570','2','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26138','1143','30714','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26139','1143','30716','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26140','1143','30717','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26141','1143','30715','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26142','1144','30753','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26143','1144','30738','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26144','1145','30718','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26145','1145','30737','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26146','1145','30727','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26147','1145','30729','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26148','1146','30730','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26149','1146','30732','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26150','1146','30731','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26151','1146','30733','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26152','1147','30734','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26153','1147','30736','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26154','1147','30735','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26155','1147','30758','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26156','1148','30711','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26157','1148','30706','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26158','1148','30710','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26159','1148','30712','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26160','1148','30702','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26161','1148','30707','0','5','6C59DC','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26162','1148','30704','0','6','AC8C14','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26163','1149','30770','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26164','1149','30771','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26165','1075','30204','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26166','1075','30205','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26167','1150','30775','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26168','1150','30774','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26169','1151','30772','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26170','1151','30773','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26171','1152','30777','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26172','1152','30776','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26173','1076','30209','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26174','1076','30208','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26175','1077','30206','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26176','1077','30207','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26177','1078','30216','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26178','1078','30215','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26179','1079','30210','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26180','1079','30211','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26181','1079','30212','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26182','1079','30213','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26183','1079','30214','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26184','1153','30785','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26185','1153','30784','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26186','1080','30226','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26187','1080','30225','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26188','1154','30802','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26189','1154','30803','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26190','1081','30247','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26191','1081','30248','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26192','1155','30807','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26193','1155','30806','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26194','1156','30804','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26195','1156','30805','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26196','1157','30809','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26197','1157','30808','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26198','1082','30252','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26199','1082','30251','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26200','1083','30249','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26201','1083','30250','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26202','1084','30259','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26203','1084','30258','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26204','1085','30253','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26205','1085','30254','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26206','1085','30255','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26207','1085','30256','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26208','1085','30257','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26209','1158','30817','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26210','1158','30816','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26211','1086','30269','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26212','1086','30268','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26213','1130','30613','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26214','1130','30635','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26215','1130','30625','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26216','1131','30632','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26217','1131','30633','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26218','1131','30629','5','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26219','1132','30630','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26220','1132','30628','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26221','1132','30631','2','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26222','1133','30619','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26223','1133','30618','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26224','1134','30623','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26225','1134','30622','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26226','1135','30615','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26227','841','28813','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26228','841','28811','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26229','841','28812','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26230','841','28814','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26231','842','28817','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26232','842','28815','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26233','842','28816','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26234','844','28808','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26235','844','28807','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26236','843','28818','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26237','845','28829','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26238','845','28831','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26239','845','28832','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26240','845','28830','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26241','846','28826','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26242','846','28828','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26243','846','28827','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26244','847','28825','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26245','1001','29729','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26246','1001','29728','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26247','1001','29727','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26248','1001','29725','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26249','1001','29723','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26250','1001','29733','0','5','6C59DC','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26251','1001','29737','0','6','AC8C14','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26252','1001','29731','0','7','611F27','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26253','1000','29720','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26254','1000','29730','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26255','1000','29721','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26256','1000','29726','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26257','1000','29724','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26258','1000','29734','0','5','6C59DC','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26259','1000','29722','0','6','AC8C14','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26260','1000','29732','0','7','611F27','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26261','1027','30022','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26262','1027','30021','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26263','1027','30019','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26264','1008','29698','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26265','1008','29700','2','1','FF0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26266','1007','29691','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26267','1013','29657','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26268','1013','29658','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26269','1009','29687','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26270','1009','29694','2','1','FF0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26271','1029','30017','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26272','1029','30016','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26273','1029','30015','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26274','1031','30007','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26275','1031','30013','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26276','1031','30011','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26277','1031','30009','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26278','1031','30005','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26279','1031','30003','0','5','6C59DC','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26280','1031','30023','0','6','AC8C14','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26281','1031','30001','0','7','611F27','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26282','1030','30008','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26283','1030','30014','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26284','1030','30012','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26285','1030','30010','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26286','1030','30006','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26287','1030','30004','0','5','6C59DC','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26288','1030','30000','0','6','AC8C14','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26289','1030','30002','0','7','611F27','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26290','1011','29695','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26291','1011','29662','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26292','1028','30020','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26293','1010','29701','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26294','1010','29697','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26295','1012','29692','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26296','1015','29812','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26297','1015','29811','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26298','1015','29810','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26299','1015','29808','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26300','1015','29806','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26301','1015','29816','0','5','6C59DC','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26302','1015','29820','0','6','AC8C14','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26303','1015','29814','0','7','611F27','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26304','1014','29803','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26305','1014','29813','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26306','1014','29804','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26307','1014','29809','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26308','1014','29807','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26309','1014','29817','0','5','6C59DC','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26310','1014','29805','0','6','AC8C14','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26311','1014','29815','0','7','611F27','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26312','1016','29768','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26313','1016','29767','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26314','1016','29765','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26315','1022','29782','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26316','1022','29781','2','1','FF0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26317','1021','29783','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26318','1023','29780','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26319','1023','29784','2','1','FF0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26320','1018','29763','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26321','1018','29762','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26322','1018','29761','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26323','1020','29753','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26324','1020','29759','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26325','1020','29757','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26326','1020','29755','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26327','1020','29751','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26328','1020','29749','0','5','6C59DC','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26329','1020','29769','0','6','AC8C14','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26330','1020','29747','0','7','611F27','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26331','1019','29754','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26332','1019','29760','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26333','1019','29758','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26334','1019','29756','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26335','1019','29752','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26336','1019','29750','0','5','6C59DC','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26337','1019','29746','0','6','AC8C14','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26338','1019','29748','0','7','611F27','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26339','1025','29775','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26340','1025','29744','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26341','1017','29766','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26342','1024','29776','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26343','1024','29777','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26344','1026','29772','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26345','793','28532','0','0','C80000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26346','793','28503','0','1','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26347','793','28504','0','2','0000C8','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26348','794','28505','0','0','C80000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26349','794','28506','0','1','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26350','794','28507','0','2','0000C8','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26351','795','28508','0','0','C80000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26352','795','28509','0','1','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26353','795','28510','0','2','0000C8','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26354','796','28515','0','0','C80000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26355','796','28518','0','1','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26356','796','28516','0','2','0000C8','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26357','638','26892','0','0','C80000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26358','638','26891','0','1','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26359','638','26910','0','2','0000C8','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26360','639','26879','0','0','C80000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26361','639','26880','0','1','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26362','640','26906','0','0','C80000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26363','640','26895','0','1','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26364','640','26889','0','2','0000C8','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26365','640','26884','0','3','C8C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26366','640','26896','0','4','00C8C9','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26367','640','26887','0','5','C800C8','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26368','641','26900','0','0','C80000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26369','641','26901','0','1','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26370','641','26902','0','2','0000C8','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26371','642','26883','0','0','C80000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26372','642','26882','0','1','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26373','642','26864','0','2','0000C8','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26374','643','26863','0','0','C80000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26375','643','26865','0','1','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26376','643','26866','0','2','0000C8','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26377','644','26867','0','0','C80000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26378','644','26862','0','1','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26379','644','26861','0','2','0000C8','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26380','645','26857','0','0','C80000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26381','645','26856','0','1','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26382','645','26858','0','2','0000C8','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26383','646','26859','0','0','0000C8','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26384','646','26860','0','1','C80000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26385','646','26868','0','2','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26386','647','26869','0','0','C80000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26387','647','26878','0','1','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26388','647','26877','0','2','0000C8','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26389','648','26872','0','0','C80000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26390','648','26870','0','1','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26391','648','26873','0','2','0000C8','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26392','803','28599','0','0','DD0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26393','803','28596','0','1','00DDDD','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26394','803','28597','0','2','3333FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26395','803','28598','0','3','00FF00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26396','804','28602','0','0','990099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26397','804','28606','0','1','990000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26398','804','28608','0','2','0000EE','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26399','804','28615','0','3','FF33FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26400','804','28610','0','4','00EE00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26401','804','28611','0','5','003300','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26402','804','28616','0','6','33FFFF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26403','804','28607','0','7','DD0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26404','804','28604','0','8','000099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26405','804','28588','0','9','00FF00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26406','805','28612','0','0','FFAA00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26407','805','28600','0','1','990099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26408','805','28613','0','2','EE0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26409','805','28605','0','3','FF66FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26410','805','28614','0','4','960000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26411','805','28601','0','5','009600','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26412','805','28603','0','6','009999','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26413','805','28609','0','7','BBBB00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26414','806','28595','0','0','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26415','806','28586','0','1','C80000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26416','797','28546','0','0','C80000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26417','797','28545','0','1','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26418','798','28551','0','0','009900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26419','798','28543','0','1','DD0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26420','798','28542','0','2','00DDDD','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26421','798','28549','0','3','3333FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26422','798','28544','0','4','999900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26423','798','28548','0','5','00FF00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26424','799','28581','0','0','990099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26425','799','28574','0','1','990000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26426','799','28571','0','2','0000EE','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26427','799','28565','0','3','FF33FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26428','799','28570','0','4','009600','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26429','799','28569','0','5','003300','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26430','799','28577','0','6','CCCC00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26431','799','28552','0','7','33FFFF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26432','799','28573','0','8','DD0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26433','799','28579','0','9','000099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26434','799','28559','0','10','00FF00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26435','800','28572','0','0','00EE00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26436','800','28566','0','1','0000EE','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26437','800','28568','0','2','FFAA00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26438','800','28561','0','3','00EEEE','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26439','800','28564','0','4','990099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26440','800','28567','0','5','EE0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26441','800','28578','0','6','FF66FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26442','800','28580','0','7','009999','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26443','800','28562','0','8','BBBB00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26444','800','28563','0','9','AA0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26445','800','28575','0','10','990000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26446','800','28576','0','11','008800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26447','800','28582','0','12','80B0E0','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26448','800','28583','0','13','4080B0','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26449','800','29821','0','14','8000FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26450','801','28560','0','0','008800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26451','801','28584','0','1','EE0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26452','802','28550','5','0','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26453','802','28540','0','1','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26454','529','23357','0','0','DD0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26455','529','23341','0','1','00DDDD','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26456','529','23342','0','2','3333FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26457','529','28251','0','3','00FF00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26458','530','23345','0','0','990099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26459','530','23348','0','1','990000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26460','530','23355','0','2','0000EE','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26461','530','23352','0','3','FF33FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26462','530','23356','0','4','007700','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26463','530','23354','0','5','003300','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26464','530','23346','0','6','33FFFF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26465','530','23349','0','7','DD0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26466','530','23344','0','8','000099','0','7','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26467','530','28250','0','9','00FF00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26468','531','23353','0','0','FFAA00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26469','531','23347','0','1','990099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26470','531','23350','0','2','EE0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26471','531','23343','0','3','FF66FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26472','531','23351','0','4','0000EE','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26473','531','23360','0','5','00EE00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26474','531','25369','0','6','009999','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26475','531','25368','0','7','BBBB00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26476','531','28618','0','8','990000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26477','531','28619','0','9','008800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26478','807','28617','0','0','008800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26479','532','23340','5','0','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26480','532','23358','5','1','C80000','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26481','527','22199','0','0','C80000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26482','527','22196','0','1','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26483','528','23628','0','0','C80000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26484','528','23625','0','1','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26485','410','22185','0','0','009900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26486','410','22189','0','1','DD0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26487','410','22396','0','2','00DDDD','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26488','410','22183','0','3','3333FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26489','410','22191','0','4','999900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26490','410','23634','0','5','00FF00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26491','520','23276','0','0','009900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26492','520','23273','0','1','DD0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26493','520','23275','0','2','00DDDD','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26494','520','23274','0','3','3333FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26495','520','23620','0','4','999900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26496','520','23635','0','5','00FF00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26497','404','22404','0','0','990099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26498','404','22399','0','1','990000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26499','404','22416','0','2','0000EE','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26500','404','22430','0','3','FF33FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26501','404','22418','0','4','009600','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26502','404','22402','0','5','003300','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26503','404','22420','0','6','CCCC00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26504','404','22400','0','7','33FFFF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26505','404','22689','0','8','DD0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26506','404','23171','0','9','000099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26507','404','22401','0','10','00FF00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26508','518','23269','0','0','990099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26509','518','23264','0','1','990000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26510','518','23261','0','2','0000EE','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26511','518','23255','0','3','FF33FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26512','518','23260','0','4','009600','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26513','518','23259','0','5','003300','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26514','518','23265','0','6','CCCC00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26515','518','23270','0','7','33FFFF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26516','518','23262','0','8','DD0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26517','518','23267','0','9','000099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26518','518','23328','0','10','00FF00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26519','406','22426','0','0','00EE00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26520','406','22422','0','1','0000EE','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26521','406','22408','0','2','FFAA00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26522','406','22424','0','3','00EEEE','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26523','406','22412','0','4','990099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26524','406','22406','0','5','EE0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26525','406','22414','0','6','FF66FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26526','406','23663','0','7','009999','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26527','406','25366','0','8','BBBB00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26528','406','25370','0','9','AA0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26529','406','25665','0','10','990000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26530','406','25666','0','11','008800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26531','406','28535','0','12','80B0E0','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26532','406','28537','0','13','4080B0','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26533','406','29822','0','14','8000FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26534','517','23268','0','0','00EE00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26535','517','23256','0','1','0000EE','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26536','517','23258','0','2','FFAA00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26537','517','23252','0','3','00EEEE','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26538','517','23253','0','4','990099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26539','517','23257','0','5','EE0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26540','517','23266','0','6','FF66FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26541','517','23664','0','7','009999','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26542','517','25367','0','8','BBBB00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26543','517','25371','0','9','AA0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26544','517','25667','0','10','990000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26545','517','25668','0','11','008800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26546','517','28536','0','12','80B0E0','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26547','517','28538','0','13','4080B0','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26548','517','29823','0','14','8000FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26549','788','28248','0','0','008800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26550','788','28533','0','1','EE0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26551','789','28249','0','0','008800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26552','789','28534','0','1','EE0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26553','392','22187','5','0','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26554','392','23251','5','1','C80000','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26555','519','23277','5','0','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26556','519','23272','5','1','C80000','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26557','472','22945','5','0','00AA00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26558','472','22946','5','1','3333FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26559','473','22950','0','0','C80000','0','2','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26560','473','22948','0','1','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26561','471','22924','0','0','009900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26562','471','22920','0','1','000099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26563','469','22922','0','0','009900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26564','469','22923','0','1','000099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26565','469','22921','0','2','990000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26566','498','23109','0','0','009999','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26567','498','23112','0','1','990099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26568','498','23115','0','2','999900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26569','498','23113','0','3','990000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26570','498','23114','0','4','000099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26571','498','23110','0','5','009900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26572','540','22942','5','0','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26573','492','23073','5','0','00AA00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26574','492','23074','5','1','3333FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26575','467','22910','0','0','C80000','0','2','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26576','467','22908','0','1','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26577','465','22884','0','0','009900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26578','465','22880','0','1','000099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26579','463','22882','0','0','009900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26580','463','22883','0','1','000099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26581','463','22881','0','2','990000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26582','462','22886','1','0','009999','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26583','462','22888','1','1','990099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26584','462','22891','1','2','990000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26585','462','22892','1','3','000099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26586','462','22885','1','4','009900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26587','541','22902','5','0','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26588','464','22897','0','0','AA0000','0','2','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26589','464','22895','0','1','00AA00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26590','478','22985','5','0','00AA00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26591','478','22986','5','1','3333FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26592','479','22990','0','0','C80000','0','2','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26593','479','22988','0','1','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26594','475','22962','0','0','009900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26595','475','22963','0','1','000099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26596','475','22961','0','2','990000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26597','474','22968','1','0','990099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26598','474','22971','1','1','990000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26599','474','22972','1','2','000099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26600','474','22965','1','3','009900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26601','542','22982','5','0','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26602','491','23070','0','0','C80000','0','2','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26603','491','23068','0','1','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26604','487','23042','0','0','009900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26605','487','23043','0','1','000099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26606','487','23041','0','2','990000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26607','543','23062','5','0','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26608','494','23077','5','0','00AA00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26609','494','23078','5','1','3333FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26610','493','23075','5','0','00AA00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26611','493','23076','5','1','3333FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26612','461','22870','0','0','C80000','0','2','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26613','461','22868','0','1','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26614','459','22844','0','0','009900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26615','459','22840','0','1','000099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26616','457','22842','0','0','009900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26617','457','22843','0','1','000099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26618','457','22841','0','2','990000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26619','456','22846','1','0','009999','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26620','456','22848','1','1','990099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26621','456','22851','1','2','990000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26622','456','22852','1','3','000099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26623','456','22845','1','4','009900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26624','544','22862','5','0','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26625','458','22857','0','0','AA0000','0','2','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26626','458','22855','0','1','00AA00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26627','484','23025','5','0','00AA00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26628','484','23026','5','1','3333FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26629','485','23030','0','0','C80000','0','2','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26630','485','23028','0','1','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26631','483','23004','0','0','009900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26632','483','23000','0','1','000099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26633','481','23002','0','0','009900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26634','481','23003','0','1','000099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26635','481','23001','0','2','990000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26636','480','23007','1','0','999900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26637','480','23011','1','1','990000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26638','480','23012','1','2','000099','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26639','480','23005','1','3','009900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26640','545','23022','5','0','00C800','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26641','482','23017','0','0','AA0000','0','2','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26642','482','23015','0','1','00AA00','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26643','651','26928','5','0','EE0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26644','651','26927','0','1','000000','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26645','652','26925','2','0','880000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26646','652','26932','0','1','009900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26647','652','26930','0','2','00CCCC','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26648','652','26931','0','3','000000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26649','652','26929','0','4','3333FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26650','652','26926','0','5','777700','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26651','653','26933','2','0','EE0000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26652','653','26943','2','1','EE00EE','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26653','653','26935','0','2','000000','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26654','653','26936','4','3','000000','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26655','654','26934','2','0','880000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26656','654','26939','0','1','009900','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26657','654','26942','0','2','00CCCC','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26658','654','26938','0','3','000000','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26659','654','26937','0','4','3333FF','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26660','1159','30886','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26661','1159','30887','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26662','1160','30888','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26663','1160','30882','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26664','1160','30890','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26665','1160','30881','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26666','1160','30889','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26667','1161','30847','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26668','1161','30872','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26669','1162','30853','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26670','1162','30849','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26671','1162','30852','2','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26672','1162','30851','2','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26673','1162','30848','2','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26674','1163','30856','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26675','1163','30855','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26676','1163','30854','2','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26677','1164','30859','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26678','1164','30870','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26679','1165','30860','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26680','1165','30871','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26681','1166','30868','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26682','1166','30869','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26683','1166','30867','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26684','1166','30866','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26685','1166','30865','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26686','1167','30850','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26687','1167','30863','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26688','1167','30861','5','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26689','1168','30833','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26690','1168','30841','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26691','1168','30857','2','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26692','1169','30834','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26693','1169','30831','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26694','1170','30846','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26695','1171','30840','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26696','1171','30845','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26697','1171','30842','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26698','1171','30873','2','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26699','1109','30453','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26700','1109','30455','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26701','1110','30471','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26702','1110','30470','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26703','1110','30466','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26704','1110','30441','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26705','1111','30463','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26706','1111','30452','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26707','1111','30451','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26708','1111','30437','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26709','1112','30456','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26710','1112','30457','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26711','1112','30458','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26712','1112','30459','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26713','1113','30442','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26714','1113','30444','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26715','1113','30445','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26716','1114','30446','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26717','1114','30447','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26718','1114','30448','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26719','1114','30449','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26720','1136','30659','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26721','1136','30661','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26722','1137','30677','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26723','1137','30676','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26724','1137','30672','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26725','1137','30647','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26726','1138','30669','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26727','1138','30658','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26728','1138','30657','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26729','1138','30643','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26730','1139','30662','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26731','1139','30663','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26732','1139','30664','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26733','1139','30665','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26734','1140','30648','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26735','1140','30650','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26736','1140','30651','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26737','1141','30652','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26738','1141','30653','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26739','1141','30654','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26740','1141','30655','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26741','1115','30506','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26742','1115','30507','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26743','1116','30504','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26744','1116','30505','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26745','1116','30518','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26746','1116','30492','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26747','1117','30493','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26748','1117','30500','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26749','1117','30486','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26750','1117','30488','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26751','1118','30508','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26752','1118','30509','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26753','1118','30503','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26754','1118','30510','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26755','1119','30491','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26756','1119','30494','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26757','1119','30495','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26758','1120','30496','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26759','1120','30497','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26760','1120','30498','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26761','1120','30499','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26762','814','28730','0','0','66BB6A','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26763','814','28728','0','1','42A5F5','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26764','815','28712','0','0','66BB6A','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26765','816','28733','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26766','816','28715','0','1','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26767','816','28729','0','2','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26768','816','28732','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26769','817','28716','0','0','EC407A','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26770','818','28726','0','0','4CAF50','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26771','818','28723','0','1','03A9F4','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26772','818','28720','0','2','9C27B0','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26773','818','28725','5','3','81C784','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26774','818','28722','5','4','90CAF9','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26775','818','28719','5','5','CE93D8','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26776','819','28727','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26777','819','28724','0','1','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26778','819','28721','0','2','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26779','820','28740','5','0','66BB6A','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26780','820','28739','0','1','42A5F5','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26781','821','28738','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26782','821','28737','0','1','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26783','821','28736','0','2','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26784','821','28735','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26785','821','28734','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26786','822','28693','0','0','1A7C11','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26787','822','28698','0','1','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26788','822','28694','0','2','2774A4','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26789','822','28697','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26790','822','28702','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26791','822','28696','0','5','6C59DC','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26792','823','28700','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26793','823','28699','0','1','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26794','823','28701','0','2','2774A4','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26795','823','28695','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26796','824','28708','5','0','C8E6C9','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26797','824','28709','0','1','6C59DC','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26798','824','28704','0','2','1A7C11','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26799','824','28705','0','3','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26800','824','28706','0','4','2774A4','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26801','824','28707','0','5','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26802','824','28703','0','6','AC8C14','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26803','825','28674','5','0','A5D6A7','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26804','825','28673','0','1','039BE5','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26805','826','28677','0','0','42A5F5','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26806','827','28689','0','0','1A7C11','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26807','827','28688','0','1','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26808','827','28690','0','2','2774A4','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26809','827','28691','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26810','828','28684','0','0','66BB6A','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26811','828','28681','0','1','03A9F4','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26812','829','28710','0','0','29B6F6','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26813','829','28692','0','1','AB47BC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26814','1087','30346','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26815','1087','30345','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26816','1088','30350','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26817','1088','30349','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26818','1089','30396','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26819','1090','30398','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26820','1091','30322','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26821','1091','30277','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26822','1092','30284','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26823','1093','30313','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26824','1093','30314','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26825','1093','30315','5','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26826','1093','30316','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26827','1094','30279','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26828','1094','30280','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26829','1095','30290','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26830','1095','30293','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26831','1096','30318','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26832','1096','30308','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26833','1096','30320','2','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26834','1097','30317','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26835','1098','30289','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26836','1098','30291','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26837','1099','30334','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26838','1099','30325','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26839','1100','30306','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26840','1101','30274','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26841','1102','30281','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26842','1103','30413','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26843','1104','30419','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26844','1105','30415','0','0','969696','0','9','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26845','1105','30416','0','1','C80000','0','9','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26846','1106','30421','0','0','969696','0','9','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26847','1106','30422','0','1','C80000','0','9','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26848','1107','30405','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26849','1108','30406','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26850','1060','30159','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26851','1061','30165','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26852','1062','30171','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26853','1063','30177','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26854','1064','30183','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26855','1065','30161','0','0','969696','0','9','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26856','1065','30162','0','1','C80000','0','9','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26857','1066','30167','0','0','969696','0','9','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26858','1066','30168','0','1','C80000','0','9','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26859','1067','30173','0','0','969696','0','9','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26860','1067','30174','0','1','C80000','0','9','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26861','1068','30179','0','0','969696','0','9','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26862','1068','30180','0','1','C80000','0','9','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26863','1069','30185','0','0','969696','0','9','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26864','1069','30186','0','1','C80000','0','9','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26865','1070','30142','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26866','1071','30143','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26867','1072','30144','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26868','1073','30145','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26869','1074','30146','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26870','738','27074','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26871','738','27075','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26872','738','27073','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26873','738','27076','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26874','738','27072','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26875','738','27069','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26876','739','27599','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26877','739','27602','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26878','739','27601','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26879','739','27598','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26880','739','27600','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26881','739','27597','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26882','740','28008','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26883','740','28011','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26884','740','28010','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26885','740','28007','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26886','740','28009','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26887','740','28006','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26888','741','27084','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26889','741','27085','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26890','741','27083','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26891','741','27086','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26892','741','27082','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26893','741','27079','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26894','742','27622','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26895','742','27625','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26896','742','27624','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26897','742','27621','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26898','742','27623','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26899','742','27620','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26900','743','27979','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26901','743','27982','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26902','743','27981','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26903','743','27978','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26904','743','27980','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26905','743','27977','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26906','744','27094','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26907','744','27095','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26908','744','27093','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26909','744','27096','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26910','744','27092','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26911','744','27089','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26912','745','27104','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26913','745','27105','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26914','745','27103','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26915','745','27106','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26916','745','27102','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26917','745','27099','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26918','746','27183','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26919','746','27186','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26920','746','27185','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26921','746','27182','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26922','746','27184','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26923','746','27181','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26924','747','27218','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26925','747','27221','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26926','747','27220','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26927','747','27217','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26928','747','27219','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26929','747','27216','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26930','748','27254','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26931','748','27257','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26932','748','27256','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26933','748','27253','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26934','748','27255','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26935','748','27252','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26936','749','27275','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26937','749','27278','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26938','749','27277','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26939','749','27274','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26940','749','27276','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26941','749','27273','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26942','750','27324','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26943','750','27327','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26944','750','27326','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26945','750','27323','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26946','750','27325','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26947','750','27322','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26948','752','27453','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26949','752','27456','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26950','752','27455','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26951','752','27452','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26952','752','27454','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26953','752','27451','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26954','753','27489','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26955','753','27492','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26956','753','27491','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26957','753','27488','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26958','753','27490','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26959','753','27487','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26960','754','27523','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26961','754','27526','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26962','754','27525','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26963','754','27522','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26964','754','27524','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26965','754','27521','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26966','755','27559','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26967','755','27562','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26968','755','27561','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26969','755','27558','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26970','755','27560','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26971','755','27557','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26972','756','27645','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26973','756','27648','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26974','756','27647','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26975','756','27644','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26976','756','27646','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26977','756','27643','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26978','758','27725','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26979','758','27728','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26980','758','27727','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26981','758','27724','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26982','758','27726','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26983','758','27723','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26984','759','27759','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26985','759','27762','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26986','759','27761','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26987','759','27758','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26988','759','27760','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26989','759','27757','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26990','760','27791','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26991','760','27794','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26992','760','27793','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26993','760','27790','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26994','760','27792','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26995','760','27789','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26996','762','27875','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26997','762','27878','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26998','762','27877','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('26999','762','27874','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27000','762','27876','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27001','762','27873','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27002','763','27912','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27003','763','27915','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27004','763','27914','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27005','763','27911','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27006','763','27913','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27007','763','27910','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27008','764','27947','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27009','764','27950','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27010','764','27949','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27011','764','27946','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27012','764','27948','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27013','764','27945','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27014','773','28121','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27015','773','28124','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27016','773','28123','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27017','773','28120','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27018','773','28122','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27019','773','28119','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27020','778','28178','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27021','778','28181','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27022','778','28180','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27023','778','28177','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27024','778','28179','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27025','778','28176','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27026','785','28226','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27027','785','28229','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27028','785','28228','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27029','785','28225','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27030','785','28227','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27031','785','28224','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27032','790','28296','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27033','790','28299','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27034','790','28298','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27035','790','28295','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27036','790','28297','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27037','790','28294','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27038','865','28971','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27039','865','28974','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27040','865','28973','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27041','865','28970','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27042','865','28972','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27043','865','28969','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27044','766','27124','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27045','766','27125','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27046','766','27123','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27047','766','27126','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27048','766','27122','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27049','766','27119','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27050','886','29080','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27051','886','29083','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27052','886','29082','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27053','886','29079','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27054','886','29081','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27055','886','29078','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27056','668','27208','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27057','1032','30088','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27058','1032','30087','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27059','1033','30089','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27060','671','27240','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27061','1034','30093','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27062','675','27294','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27063','676','27299','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27064','677','27301','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27065','1035','30094','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27066','1036','30095','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27067','1037','30096','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27068','1038','30101','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27069','1039','30102','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27070','1040','30103','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27071','1041','30104','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27072','786','28246','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27073','787','28247','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27074','687','27417','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27075','688','27427','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27076','691','27376','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27077','692','27380','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27078','694','27478','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27079','1042','30105','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27080','1043','30107','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27081','698','27511','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27082','1044','30108','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27083','701','27547','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27084','1045','27591','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27085','1045','30110','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27086','1046','30111','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27087','704','27586','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27088','708','27671','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27089','1047','30112','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27090','1048','30114','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27091','1048','30113','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27092','1049','30115','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27093','775','28143','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27094','714','27753','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27095','1050','30116','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27096','856','28894','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27097','1051','30118','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27098','724','27904','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27099','1052','27907','0','0','969696','0','9','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27100','1052','27908','0','1','C80000','0','9','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27101','1053','30120','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27102','727','27936','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27103','1054','27935','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27104','1054','30122','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27105','1055','30123','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27106','730','27975','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27107','1056','30126','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27108','733','28003','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27109','1057','30131','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27110','736','28031','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27111','1058','30136','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27112','893','29214','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27113','893','29215','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27114','894','29228','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27115','894','29229','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27116','895','29242','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27117','895','29243','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27118','890','29252','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27119','890','29253','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27120','891','29258','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27121','891','29259','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27122','892','29264','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27123','892','29265','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27124','896','29256','0','0','1A7C11','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27125','896','29257','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27126','897','29262','0','0','1A7C11','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27127','897','29263','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27128','898','29268','0','0','1A7C11','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27129','898','29269','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27130','887','29211','0','0','969696','0','9','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27131','887','29210','0','1','C80000','0','9','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27132','888','29225','0','0','969696','0','9','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27133','888','29224','0','1','C80000','0','9','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27134','889','29239','0','0','969696','0','9','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27135','889','29238','0','1','C80000','0','9','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27136','899','29216','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27137','899','29217','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27138','899','29218','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27139','899','29219','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27140','899','29220','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27141','899','29221','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27142','900','29230','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27143','900','29231','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27144','900','29232','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27145','900','29233','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27146','900','29234','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27147','900','29235','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27148','901','29244','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27149','901','29245','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27150','901','29246','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27151','901','29247','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27152','901','29248','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27153','901','29249','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27154','911','29089','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27155','911','29102','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27156','912','29126','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27157','912','29139','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27158','913','29163','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27159','913','29176','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27160','908','29098','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27161','908','29097','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27162','908','29095','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27163','908','29088','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27164','908','29094','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27165','908','29093','0','5','6C59DC','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27166','908','29092','0','6','AC8C14','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27167','908','29091','0','7','611F27','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27168','908','29090','0','8','F230E0','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27169','909','29135','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27170','909','29134','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27171','909','29132','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27172','909','29125','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27173','909','29131','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27174','909','29130','0','5','6C59DC','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27175','909','29129','0','6','AC8C14','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27176','909','29128','0','7','611F27','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27177','909','29127','0','8','F230E0','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27178','910','29172','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27179','910','29171','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27180','910','29169','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27181','910','29162','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27182','910','29168','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27183','910','29167','0','5','6C59DC','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27184','910','29166','0','6','AC8C14','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27185','910','29165','0','7','611F27','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27186','910','29164','0','8','F230E0','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27187','905','29198','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27188','906','29199','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27189','907','29200','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27190','917','29104','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27191','917','29105','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27192','918','29141','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27193','918','29142','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27194','919','29178','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27195','919','29179','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27196','914','29103','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27197','915','29140','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27198','916','29177','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27199','923','29118','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27200','923','29119','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27201','923','29117','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27202','924','29155','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27203','924','29156','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27204','924','29154','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27205','925','29192','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27206','925','29193','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27207','925','29191','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27208','920','29107','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27209','920','29106','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27210','921','29144','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27211','921','29143','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27212','922','29181','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27213','922','29180','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27214','902','29096','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27215','902','29101','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27216','902','29100','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27217','902','29087','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27218','903','29133','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27219','903','29138','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27220','903','29137','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27221','903','29124','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27222','904','29170','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27223','904','29175','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27224','904','29174','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27225','904','29161','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27226','930','29359','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27227','930','29360','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27228','931','29373','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27229','931','29374','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27230','928','29383','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27231','928','29384','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27232','929','29389','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27233','929','29390','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27234','932','29387','0','0','1A7C11','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27235','932','29388','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27236','933','29393','0','0','1A7C11','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27237','933','29394','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27238','926','29356','0','0','969696','0','9','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27239','926','29355','0','1','C80000','0','9','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27240','927','29370','0','0','969696','0','9','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27241','927','29369','0','1','C80000','0','9','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27242','934','29361','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27243','934','29362','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27244','934','29363','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27245','934','29364','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27246','934','29365','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27247','934','29366','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27248','935','29375','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27249','935','29376','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27250','935','29377','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27251','935','29378','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27252','935','29379','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27253','935','29380','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27254','942','29275','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27255','942','29288','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27256','943','29312','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27257','943','29325','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27258','940','29284','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27259','940','29283','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27260','940','29281','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27261','940','29274','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27262','940','29280','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27263','940','29279','0','5','6C59DC','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27264','940','29278','0','6','AC8C14','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27265','940','29277','0','7','611F27','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27266','940','29276','0','8','F230E0','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27267','941','29321','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27268','941','29320','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27269','941','29318','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27270','941','29311','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27271','941','29317','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27272','941','29316','0','5','6C59DC','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27273','941','29315','0','6','AC8C14','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27274','941','29314','0','7','611F27','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27275','941','29313','0','8','F230E0','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27276','938','29347','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27277','939','29348','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27278','946','29290','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27279','946','29291','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27280','947','29327','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27281','947','29328','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27282','944','29289','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27283','945','29326','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27284','950','29304','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27285','950','29305','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27286','950','29303','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27287','951','29341','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27288','951','29342','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27289','951','29340','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27290','948','29293','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27291','948','29292','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27292','949','29330','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27293','949','29329','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27294','936','29282','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27295','936','29287','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27296','936','29286','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27297','936','29273','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27298','937','29319','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27299','937','29324','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27300','937','29323','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27301','937','29310','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27302','952','29436','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27303','952','29437','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27304','952','29438','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27305','952','29439','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27306','952','29441','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27307','952','29440','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27308','955','29434','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27309','955','29435','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27310','954','29448','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27311','954','29449','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27312','956','29452','0','0','1A7C11','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27313','956','29453','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27314','953','29446','0','0','969696','0','9','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27315','953','29432','0','1','C80000','0','9','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27316','960','29405','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27317','960','29406','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27318','959','29426','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27319','959','29413','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27320','959','29411','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27321','959','29410','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27322','959','29399','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27323','959','29409','0','5','6C59DC','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27324','959','29412','0','6','AC8C14','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27325','959','29408','0','7','611F27','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27326','959','29407','0','8','F230E0','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27327','958','29427','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27328','962','29403','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27329','962','29402','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27330','961','29396','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27331','963','29400','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27332','963','29401','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27333','957','29420','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27334','957','29419','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27335','957','29418','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27336','957','29417','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27337','866','29014','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27338','866','29015','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27339','867','29031','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27340','867','29032','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27341','868','29018','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27342','868','29019','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27343','868','29022','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27344','868','29023','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27345','868','29020','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27346','868','29024','0','5','6C59DC','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27347','868','29021','0','6','AC8C14','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27348','868','29025','0','7','611F27','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27349','868','29026','0','8','F230E0','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27350','869','29035','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27351','869','29036','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27352','869','29039','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27353','869','29040','0','3','A54F10','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27354','869','29037','0','4','FC6EA3','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27355','869','29041','0','5','6C59DC','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27356','869','29038','0','6','AC8C14','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27357','869','29042','0','7','611F27','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27358','869','29043','0','8','F230E0','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27359','870','29048','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27360','871','29049','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27361','872','29028','0','0','969696','0','9','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27362','872','29027','0','1','C80000','0','9','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27363','873','29045','0','0','969696','0','9','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27364','873','29044','0','1','C80000','0','9','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27365','882','28992','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27366','882','28991','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27367','883','29007','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27368','883','29006','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27369','876','28982','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27370','876','28983','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27371','877','28997','2','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27372','877','28998','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27373','874','28978','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27374','875','28993','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27375','878','28985','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27376','878','28984','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27377','879','29000','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27378','879','28999','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27379','880','28987','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27380','880','28988','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27381','880','28989','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27382','880','28990','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27383','881','29002','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27384','881','29003','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27385','881','29004','0','2','F63100','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27386','881','29005','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27387','964','29513','0','0','969696','0','9','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27388','964','29512','0','1','C80000','0','9','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27389','965','29522','0','0','969696','0','9','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27390','965','29521','0','1','C80000','0','9','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27391','970','29515','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27392','970','29516','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27393','970','29520','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27394','970','29519','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27395','970','29518','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27396','970','29517','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27397','971','29524','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27398','971','29525','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27399','971','29529','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27400','971','29528','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27401','971','29527','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27402','971','29526','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27403','966','29530','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27404','966','29531','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27405','967','29537','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27406','967','29538','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27407','968','29532','0','0','1A7C11','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27408','968','29533','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27409','969','29539','0','0','1A7C11','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27410','969','29540','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27411','974','29456','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27412','974','29455','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27413','975','29482','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27414','975','29481','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27415','976','29458','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27416','976','29457','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27417','977','29484','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27418','977','29483','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27419','972','29454','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27420','973','29480','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27421','978','29462','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27422','979','29488','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27423','980','29464','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27424','980','29466','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27425','981','29490','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27426','981','29492','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27427','982','29620','0','0','969696','0','9','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27428','982','29619','0','1','C80000','0','9','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27429','983','29629','0','0','969696','0','9','2');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27430','983','29628','0','1','C80000','0','9','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27431','988','29622','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27432','988','29623','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27433','988','29627','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27434','988','29626','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27435','988','29625','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27436','988','29624','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27437','989','29631','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27438','989','29632','2','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27439','989','29636','0','2','F63100','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27440','989','29635','0','3','A54F10','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27441','989','29634','0','4','FC6EA3','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27442','989','29633','0','5','6C59DC','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27443','984','29637','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27444','984','29638','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27445','985','29644','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27446','985','29645','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27447','986','29639','0','0','1A7C11','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27448','986','29640','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27449','987','29646','0','0','1A7C11','1','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27450','987','29647','5','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27451','992','29563','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27452','992','29562','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27453','993','29589','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27454','993','29588','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27455','994','29565','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27456','994','29564','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27457','995','29591','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27458','995','29590','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27459','990','29561','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27460','991','29587','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27461','996','29569','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27462','997','29595','5','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27463','998','29571','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27464','998','29573','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27465','999','29597','0','0','1A7C11','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27466','999','29599','0','1','2774A4','0','2','0');
INSERT INTO graphs_items (gitemid,graphid,itemid,drawtype,sortorder,color,yaxisside,calc_fnc,type) values ('27467','1142','30689','0','0','1A7C11','0','2','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('365','10186','{$ICMP_LOSS_WARN}','20','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('366','10186','{$ICMP_RESPONSE_TIME_WARN}','0.15','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('367','10187','{$IFCONTROL}','1','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('370','10188','{$IFCONTROL}','1','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('373','10189','{$IFCONTROL}','1','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('376','10190','{$IFCONTROL}','1','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('382','10192','{$IFCONTROL}','1','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('393','10207','{$TEMP_CRIT}','75','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('394','10207','{$TEMP_WARN}','65','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('395','10207','{$PSU_CRIT_STATUS}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('396','10207','{$FAN_CRIT_STATUS}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('399','10207','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('402','10208','{$TEMP_CRIT}','75','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('403','10208','{$TEMP_WARN}','65','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('404','10208','{$HEALTH_CRIT_STATUS}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('405','10208','{$HEALTH_WARN_STATUS:"offline"}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('406','10208','{$HEALTH_WARN_STATUS:"testing"}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('407','10208','{$TEMP_WARN_STATUS}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('408','10208','{$PSU_CRIT_STATUS}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('409','10208','{$FAN_CRIT_STATUS}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('410','10208','{$PSU_OK_STATUS}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('411','10208','{$FAN_OK_STATUS}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('414','10208','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('417','10210','{$TEMP_CRIT}','75','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('418','10210','{$TEMP_WARN}','65','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('419','10210','{$PSU_CRIT_STATUS}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('420','10210','{$FAN_CRIT_STATUS}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('421','10210','{$PSU_OK_STATUS}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('422','10210','{$FAN_OK_STATUS}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('425','10210','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('428','10211','{$TEMP_CRIT}','75','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('429','10211','{$TEMP_WARN}','65','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('430','10211','{$PSU_CRIT_STATUS}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('431','10211','{$FAN_CRIT_STATUS}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('432','10211','{$PSU_OK_STATUS}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('433','10211','{$FAN_OK_STATUS}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('436','10211','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('439','10217','{$TEMP_CRIT:"CPU"}','75','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('440','10217','{$TEMP_WARN:"CPU"}','70','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('441','10217','{$TEMP_WARN_STATUS}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('442','10217','{$TEMP_CRIT_STATUS}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('443','10217','{$TEMP_DISASTER_STATUS}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('469','10221','{$TEMP_CRIT}','65','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('470','10221','{$TEMP_WARN}','55','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('471','10221','{$PSU_CRIT_STATUS}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('472','10221','{$FAN_CRIT_STATUS}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('473','10221','{$PSU_OK_STATUS}','1','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('474','10221','{$FAN_OK_STATUS}','1','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('477','10221','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('480','10222','{$TEMP_CRIT}','75','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('481','10222','{$TEMP_WARN}','65','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('482','10222','{$PSU_CRIT_STATUS}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('483','10222','{$FAN_CRIT_STATUS}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('486','10222','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('489','10223','{$TEMP_CRIT}','75','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('490','10223','{$TEMP_WARN}','65','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('491','10223','{$PSU_CRIT_STATUS}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('492','10223','{$FAN_CRIT_STATUS}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('495','10223','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('498','10224','{$TEMP_CRIT}','65','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('499','10224','{$TEMP_WARN}','55','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('500','10224','{$TEMP_CRIT_STATUS}','1','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('501','10224','{$PSU_CRIT_STATUS}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('502','10224','{$FAN_CRIT_STATUS}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('507','10224','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('510','10227','{$FAN_CRIT_STATUS:"fanError"}','41','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('511','10227','{$FAN_CRIT_STATUS:"hardwareFaulty"}','91','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('512','10227','{$PSU_CRIT_STATUS:"psuError"}','51','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('513','10227','{$PSU_CRIT_STATUS:"rpsError"}','61','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('514','10227','{$PSU_CRIT_STATUS:"hardwareFaulty"}','91','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('517','10227','{$TEMP_CRIT}','60','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('518','10227','{$TEMP_WARN}','50','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('519','10227','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('533','10229','{$FAN_CRIT_STATUS}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('536','10229','{$TEMP_CRIT}','60','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('537','10229','{$TEMP_WARN}','50','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('538','10229','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('541','10230','{$TEMP_CRIT_STATUS}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('542','10230','{$TEMP_WARN_STATUS}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('543','10230','{$PSU_CRIT_STATUS}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('544','10230','{$FAN_CRIT_STATUS}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('547','10230','{$TEMP_CRIT}','60','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('548','10230','{$TEMP_WARN}','50','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('549','10230','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('552','10231','{$TEMP_CRIT:"Routing Engine"}','80','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('553','10231','{$TEMP_WARN:"Routing Engine"}','70','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('554','10231','{$HEALTH_CRIT_STATUS}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('555','10231','{$FAN_CRIT_STATUS}','6','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('556','10231','{$PSU_CRIT_STATUS}','6','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('559','10231','{$TEMP_CRIT}','60','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('560','10231','{$TEMP_WARN}','50','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('561','10231','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('572','10233','{$TEMP_CRIT:"CPU"}','75','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('573','10233','{$TEMP_WARN:"CPU"}','70','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('576','10233','{$TEMP_CRIT}','60','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('577','10233','{$TEMP_WARN}','50','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('578','10233','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('581','10234','{$TEMP_WARN_STATUS}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('582','10234','{$TEMP_CRIT_STATUS}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('583','10234','{$PSU_CRIT_STATUS:"failed"}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('584','10234','{$FAN_CRIT_STATUS:"failed"}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('587','10234','{$TEMP_CRIT}','60','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('588','10234','{$TEMP_WARN}','50','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('589','10234','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('592','10235','{$TEMP_CRIT}','75','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('593','10235','{$TEMP_WARN}','65','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('594','10235','{$PSU_CRIT_STATUS}','1','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('595','10235','{$FAN_CRIT_STATUS}','1','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('619','10250','{$FAN_CRIT_STATUS:"bad"}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('620','10250','{$PSU_CRIT_STATUS:"bad"}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('625','10250','{$TEMP_CRIT}','60','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('626','10250','{$TEMP_WARN}','50','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('627','10250','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('630','10251','{$PSU_CRIT_STATUS}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('631','10251','{$FAN_CRIT_STATUS}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('632','10251','{$TEMP_WARN_STATUS}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('635','10251','{$TEMP_CRIT}','60','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('636','10251','{$TEMP_WARN}','50','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('637','10251','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('647','10230','{$PSU_WARN_STATUS}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('648','10217','{$PSU_CRIT_STATUS:"critical"}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('649','10217','{$PSU_CRIT_STATUS:"shutdown"}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('650','10217','{$PSU_WARN_STATUS:"warning"}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('651','10217','{$PSU_WARN_STATUS:"notFunctioning"}','6','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('652','10217','{$FAN_CRIT_STATUS:"critical"}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('653','10217','{$FAN_CRIT_STATUS:"shutdown"}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('654','10217','{$FAN_WARN_STATUS:"warning"}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('655','10217','{$FAN_WARN_STATUS:"notFunctioning"}','6','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('656','10250','{$FAN_WARN_STATUS:"warning"}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('657','10250','{$PSU_WARN_STATUS:"warning"}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('659','10254','{$FAN_CRIT_STATUS}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('661','10254','{$PSU_CRIT_STATUS}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('664','10254','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('665','10254','{$TEMP_CRIT}','60','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('666','10254','{$TEMP_WARN_STATUS}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('667','10254','{$TEMP_WARN}','50','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('674','10217','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('675','10217','{$TEMP_CRIT}','60','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('676','10217','{$TEMP_WARN}','50','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('677','10255','{$DISK_ARRAY_CACHE_BATTERY_CRIT_STATUS}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('678','10255','{$DISK_ARRAY_CACHE_BATTERY_OK_STATUS}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('679','10255','{$DISK_ARRAY_CACHE_BATTERY_WARN_STATUS}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('680','10255','{$DISK_ARRAY_CRIT_STATUS:"critical"}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('681','10255','{$DISK_ARRAY_FAIL_STATUS:"nonRecoverable"}','6','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('682','10255','{$DISK_ARRAY_WARN_STATUS:"nonCritical"}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('683','10255','{$DISK_FAIL_STATUS:"critical"}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('684','10255','{$DISK_FAIL_STATUS:"nonRecoverable"}','6','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('685','10255','{$DISK_SMART_FAIL_STATUS}','1','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('686','10255','{$DISK_WARN_STATUS:"nonCritical"}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('687','10255','{$FAN_CRIT_STATUS:"criticalLower"}','8','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('688','10255','{$FAN_CRIT_STATUS:"criticalUpper"}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('689','10255','{$FAN_CRIT_STATUS:"failed"}','10','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('690','10255','{$FAN_CRIT_STATUS:"nonRecoverableLower"}','9','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('691','10255','{$FAN_CRIT_STATUS:"nonRecoverableUpper"}','6','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('692','10255','{$FAN_WARN_STATUS:"nonCriticalLower"}','7','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('693','10255','{$FAN_WARN_STATUS:"nonCriticalUpper"}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('694','10255','{$HEALTH_CRIT_STATUS}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('695','10255','{$HEALTH_DISASTER_STATUS}','6','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('696','10255','{$HEALTH_WARN_STATUS}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('697','10255','{$PSU_CRIT_STATUS:"critical"}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('698','10255','{$PSU_CRIT_STATUS:"nonRecoverable"}','6','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('699','10255','{$PSU_WARN_STATUS:"nonCritical"}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('700','10255','{$TEMP_CRIT:"Ambient"}','35','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('701','10255','{$TEMP_CRIT:"CPU"}','75','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('702','10255','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('703','10255','{$TEMP_CRIT_STATUS}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('704','10255','{$TEMP_CRIT}','60','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('705','10255','{$TEMP_DISASTER_STATUS}','6','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('706','10255','{$TEMP_WARN:"Ambient"}','30','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('707','10255','{$TEMP_WARN:"CPU"}','70','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('708','10255','{$TEMP_WARN_STATUS}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('709','10255','{$TEMP_WARN}','50','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('710','10255','{$VDISK_CRIT_STATUS:"failed"}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('711','10255','{$VDISK_WARN_STATUS:"degraded"}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('712','10256','{$DISK_ARRAY_CACHE_BATTERY_CRIT_STATUS:"capacitorFailed"}','7','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('713','10256','{$DISK_ARRAY_CACHE_BATTERY_CRIT_STATUS:"failed"}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('714','10256','{$DISK_ARRAY_CACHE_BATTERY_WARN_STATUS:"degraded"}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('715','10256','{$DISK_ARRAY_CACHE_BATTERY_WARN_STATUS:"notPresent"}','6','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('716','10256','{$DISK_ARRAY_CACHE_CRIT_STATUS:"cacheModCriticalFailure"}','8','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('717','10256','{$DISK_ARRAY_CACHE_OK_STATUS:"enabled"}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('718','10256','{$DISK_ARRAY_CACHE_WARN_STATUS:"cacheModDegradedFailsafeSpeed"}','7','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('719','10256','{$DISK_ARRAY_CACHE_WARN_STATUS:"cacheModFlashMemNotAttached"}','6','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('720','10256','{$DISK_ARRAY_CACHE_WARN_STATUS:"cacheReadCacheNotMapped"}','9','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('721','10256','{$DISK_ARRAY_CACHE_WARN_STATUS:"invalid"}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('722','10256','{$DISK_ARRAY_CRIT_STATUS}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('723','10256','{$DISK_ARRAY_WARN_STATUS}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('724','10256','{$DISK_FAIL_STATUS}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('725','10256','{$DISK_SMART_FAIL_STATUS:"replaceDrive"}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('726','10256','{$DISK_SMART_FAIL_STATUS:"replaceDriveSSDWearOut"}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('727','10256','{$DISK_WARN_STATUS}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('728','10256','{$FAN_CRIT_STATUS}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('729','10256','{$FAN_WARN_STATUS}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('730','10256','{$HEALTH_CRIT_STATUS}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('731','10256','{$HEALTH_WARN_STATUS}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('732','10256','{$PSU_CRIT_STATUS}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('733','10256','{$PSU_WARN_STATUS}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('734','10256','{$TEMP_CRIT:"Ambient"}','35','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('735','10256','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('736','10256','{$TEMP_CRIT}','60','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('737','10256','{$TEMP_WARN:"Ambient"}','30','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('738','10256','{$TEMP_WARN}','50','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('739','10256','{$VDISK_CRIT_STATUS}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('740','10256','{$VDISK_OK_STATUS}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('741','10257','{$DISK_OK_STATUS}','Normal','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('742','10257','{$FAN_OK_STATUS}','Normal','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('743','10257','{$HEALTH_CRIT_STATUS}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('744','10257','{$HEALTH_DISASTER_STATUS}','0','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('745','10257','{$HEALTH_WARN_STATUS}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('746','10257','{$PSU_OK_STATUS}','Normal','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('747','10257','{$TEMP_CRIT:"Ambient"}','35','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('748','10257','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('749','10257','{$TEMP_CRIT}','60','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('750','10257','{$TEMP_WARN:"Ambient"}','30','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('751','10257','{$TEMP_WARN}','50','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('752','10258','{$DISK_OK_STATUS}','Normal','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('753','10258','{$FAN_OK_STATUS}','Normal','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('754','10258','{$HEALTH_CRIT_STATUS}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('755','10258','{$HEALTH_DISASTER_STATUS}','0','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('756','10258','{$HEALTH_WARN_STATUS}','4','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('757','10258','{$PSU_OK_STATUS}','Normal','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('758','10258','{$TEMP_CRIT:"Ambient"}','35','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('759','10258','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('760','10258','{$TEMP_CRIT}','60','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('761','10258','{$TEMP_WARN:"Ambient"}','30','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('762','10258','{$TEMP_WARN}','50','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('763','10259','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('764','10259','{$TEMP_CRIT}','60','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('765','10259','{$TEMP_WARN}','50','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('766','10260','{$PROTOCOL_HANDLER_AJP}','ajp-nio-8009','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('767','10260','{$PROTOCOL_HANDLER_HTTP}','http-nio-8080','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('768','10260','{$PROTOCOL_HANDLER_HTTPS}','https-openssl-nio-8443','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('769','10261','{$ADDRESS}','','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('770','10261','{$PORT}','','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('771','10262','{$ADDRESS}','','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('772','10262','{$PORT}','','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('773','10175','{$VMWARE_INTERVAL}','1m','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('774','10175','{$VMWARE_INTERVAL:conf}','1h','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('775','10175','{$VMWARE_PERF_INTERVAL}','1m','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('776','10175','{$VMWARE_PERF_INTERVAL:datastore}','5m','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('777','10174','{$VMWARE_INTERVAL}','1m','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('778','10174','{$VMWARE_INTERVAL:conf}','1h','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('779','10174','{$VMWARE_PERF_INTERVAL}','1m','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('780','10173','{$VMWARE_PERF_INTERVAL}','1m','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('781','10173','{$VMWARE_PERF_INTERVAL:datastore}','5m','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('787','10263','{$PG.CACHE_HITRATIO.MIN.WARN}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('788','10263','{$PG.CHECKPOINTS_REQ.MAX.WARN}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('789','10263','{$PG.CONFLICTS.MAX.WARN}','0','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('790','10263','{$PG.CONN_IDLE_IN_TRANS.MAX.WARN}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('791','10263','{$PG.CONN_TOTAL_PCT.MAX.WARN}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('792','10263','{$PG.CONN_WAIT.MAX.WARN}','0','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('793','10263','{$PG.DB}','postgres','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('794','10263','{$PG.DEADLOCKS.MAX.WARN}','0','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('795','10263','{$PG.FROZENXID_PCT_STOP.MIN.HIGH}','75','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('796','10263','{$PG.HOST}','127.0.0.1','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('797','10263','{$PG.LLD.FILTER.DBNAME}','(.*)','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('798','10263','{$PG.LOCKS.MAX.WARN}','100','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('799','10263','{$PG.PING_TIME.MAX.WARN}','1s','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('800','10263','{$PG.PORT}','5432','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('801','10263','{$PG.QUERY_ETIME.MAX.WARN}','30','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('802','10263','{$PG.REPL_LAG.MAX.WARN}','10m','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('803','10263','{$PG.SLOW_QUERIES.MAX.WARN}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('804','10263','{$PG.TRANS_ACTIVE.MAX.WARN}','30s','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('805','10263','{$PG.TRANS_IDLE.MAX.WARN}','30s','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('806','10263','{$PG.TRANS_WAIT.MAX.WARN}','30s','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('807','10263','{$PG.USER}','zbx_monitor','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('808','10264','{$APACHE.PROCESS_NAME}','httpd','Apache server process name','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('809','10264','{$APACHE.RESPONSE_TIME.MAX.WARN}','10','Maximum Apache response time in seconds for trigger expression','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('810','10264','{$APACHE.STATUS.HOST}','127.0.0.1','Hostname or IP address of the Apache status page','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('811','10264','{$APACHE.STATUS.PATH}','server-status?auto','The URL path','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('812','10264','{$APACHE.STATUS.PORT}','80','The port of Apache status page','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('813','10265','{$APACHE.RESPONSE_TIME.MAX.WARN}','10','Maximum Apache response time in seconds for trigger expression','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('814','10265','{$APACHE.STATUS.PATH}','server-status?auto','The URL path','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('815','10265','{$APACHE.STATUS.PORT}','80','The port of Apache status page','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('816','10265','{$APACHE.STATUS.SCHEME}','http','Request scheme which may be http or https','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('817','10266','{$NGINX.DROP_RATE.MAX.WARN}','1','The critical rate of the dropped connections for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('818','10266','{$NGINX.RESPONSE_TIME.MAX.WARN}','10','The Nginx maximum response time in seconds for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('819','10266','{$NGINX.STUB_STATUS.HOST}','localhost','Hostname or IP of Nginx stub_status host or container.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('820','10266','{$NGINX.STUB_STATUS.PATH}','basic_status','The path of Nginx stub_status page.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('821','10266','{$NGINX.STUB_STATUS.PORT}','80','The port of Nginx stub_status host or container.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('822','10267','{$NGINX.DROP_RATE.MAX.WARN}','1','The critical rate of the dropped connections for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('823','10267','{$NGINX.RESPONSE_TIME.MAX.WARN}','10','The Nginx maximum response time in seconds for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('824','10267','{$NGINX.STUB_STATUS.PATH}','basic_status','The path of Nginx stub_status page.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('825','10267','{$NGINX.STUB_STATUS.PORT}','80','The port of Nginx stub_status host or container.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('826','10267','{$NGINX.STUB_STATUS.SCHEME}','http','The protocol http or https of Nginx stub_status host or container.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('827','10170','{$MYSQL.ABORTED_CONN.MAX.WARN}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('828','10170','{$MYSQL.HOST}','localhost','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('829','10170','{$MYSQL.PORT}','3306','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('830','10170','{$MYSQL.REPL_LAG.MAX.WARN}','30m','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('831','10170','{$MYSQL.SLOW_QUERIES.MAX.WARN}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('832','10268','{$MEMORY.AVAILABLE.MIN}','20M','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('833','10268','{$MEMORY.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('834','10268','{$SWAP.PFREE.MIN.WARN}','50','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('835','10269','{$VFS.DEV.DEVNAME.MATCHES}','.+','This macro is used in block devices discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('836','10269','{$VFS.DEV.DEVNAME.NOT_MATCHES}','^(loop[0-9]*|sd[a-z][0-9]+|nbd[0-9]+|sr[0-9]+|fd[0-9]+|dm-[0-9]+|ram[0-9]+|ploop[a-z0-9]+|md[0-9]*|hcp[0-9]*|zram[0-9]*)','This macro is used in block devices discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('837','10270','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('838','10270','{$LOAD_AVG_PER_CPU.MAX.WARN}','1.5','Load per CPU considered sustainable. Tune if needed.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('839','10271','{$VFS.FS.FSNAME.MATCHES}','.+','This macro is used in filesystems discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('840','10271','{$VFS.FS.FSNAME.NOT_MATCHES}','^(/dev|/sys|/run|/proc|.+/shm$)','This macro is used in filesystems discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('841','10271','{$VFS.FS.FSTYPE.MATCHES}',E'.*(\\.4|\\.9|hrStorageFixedDisk|hrStorageFlashMemory)$','This macro is used in filesystems discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('842','10271','{$VFS.FS.FSTYPE.NOT_MATCHES}',E'^\\s$','This macro is used in filesystems discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('843','10271','{$VFS.FS.INODE.PFREE.MIN.CRIT}','10','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('844','10271','{$VFS.FS.INODE.PFREE.MIN.WARN}','20','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('845','10271','{$VFS.FS.PUSED.MAX.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('846','10271','{$VFS.FS.PUSED.MAX.WARN}','80','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('847','10272','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('848','10272','{$LOAD_AVG_PER_CPU.MAX.WARN}','1.5','Load per CPU considered sustainable. Tune if needed.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('849','10273','{$VFS.FS.FSNAME.MATCHES}','.+','This macro is used in filesystems discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('850','10273','{$VFS.FS.FSNAME.NOT_MATCHES}','^(/dev|/sys|/run|/proc|.+/shm$)','This macro is used in filesystems discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('851','10273','{$VFS.FS.FSTYPE.MATCHES}','^(btrfs|ext2|ext3|ext4|reiser|xfs|ffs|ufs|jfs|jfs2|vxfs|hfs|apfs|refs|ntfs|fat32|zfs)$','This macro is used in filesystems discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('852','10273','{$VFS.FS.FSTYPE.NOT_MATCHES}',E'^\\s$','This macro is used in filesystems discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('853','10273','{$VFS.FS.INODE.PFREE.MIN.CRIT}','10','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('854','10273','{$VFS.FS.INODE.PFREE.MIN.WARN}','20','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('855','10273','{$VFS.FS.PUSED.MAX.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('856','10273','{$VFS.FS.PUSED.MAX.WARN}','80','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('857','10274','{$MEMORY.AVAILABLE.MIN}','20M','This macro is used as a threshold in memory available trigger.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('858','10274','{$MEMORY.UTIL.MAX}','90','This macro is used as a threshold in memory utilization trigger.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('859','10274','{$SWAP.PFREE.MIN.WARN}','50','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('860','10275','{$VFS.DEV.DEVNAME.MATCHES}','.+','This macro is used in block devices discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('861','10275','{$VFS.DEV.DEVNAME.NOT_MATCHES}','^(loop[0-9]*|sd[a-z][0-9]+|nbd[0-9]+|sr[0-9]+|fd[0-9]+|dm-[0-9]+|ram[0-9]+|ploop[a-z0-9]+|md[0-9]*|hcp[0-9]*|zram[0-9]*)','This macro is used in block devices discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('862','10275','{$VFS.DEV.READ.AWAIT.WARN}','20','Disk read average response time (in ms) before the trigger would fire','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('863','10275','{$VFS.DEV.WRITE.AWAIT.WARN}','20','Disk write average response time (in ms) before the trigger would fire','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('864','10276','{$IF.ERRORS.WARN}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('866','10276','{$IFCONTROL}','1','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('867','10276','{$NET.IF.IFNAME.MATCHES}','^.*$','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('868','10276','{$NET.IF.IFNAME.NOT_MATCHES}','(^Software Loopback Interface|^NULL[0-9.]*$|^[Ll]o[0-9.]*$|^[Ss]ystem$|^Nu[0-9.]*$|^veth[0-9a-z]+$|docker[0-9]+|br-[a-z0-9]{12})','Filter out loopbacks, nulls, docker veth links and docker0 bridge by default','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('869','10277','{$KERNEL.MAXFILES.MIN}','256','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('870','10277','{$KERNEL.MAXPROC.MIN}','1024','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('871','10277','{$SYSTEM.FUZZYTIME.MAX}','60','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('872','10278','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('873','10278','{$LOAD_AVG_PER_CPU.MAX.WARN}','1.5','Load per CPU considered sustainable. Tune if needed.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('874','10279','{$VFS.FS.FSNAME.MATCHES}','.+','This macro is used in filesystems discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('875','10279','{$VFS.FS.FSNAME.NOT_MATCHES}','^(/dev|/sys|/run|/proc|.+/shm$)','This macro is used in filesystems discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('876','10279','{$VFS.FS.FSTYPE.MATCHES}','^(btrfs|ext2|ext3|ext4|reiser|xfs|ffs|ufs|jfs|jfs2|vxfs|hfs|apfs|refs|ntfs|fat32|zfs)$','This macro is used in filesystems discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('877','10279','{$VFS.FS.FSTYPE.NOT_MATCHES}',E'^\\s$','This macro is used in filesystems discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('878','10279','{$VFS.FS.INODE.PFREE.MIN.CRIT}','10','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('879','10279','{$VFS.FS.INODE.PFREE.MIN.WARN}','20','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('880','10279','{$VFS.FS.PUSED.MAX.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('881','10279','{$VFS.FS.PUSED.MAX.WARN}','80','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('882','10280','{$MEMORY.AVAILABLE.MIN}','20M','This macro is used as a threshold in memory available trigger.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('883','10280','{$MEMORY.UTIL.MAX}','90','This macro is used as a threshold in memory utilization trigger.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('884','10280','{$SWAP.PFREE.MIN.WARN}','50','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('885','10281','{$VFS.DEV.DEVNAME.MATCHES}','.+','This macro is used in block devices discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('886','10281','{$VFS.DEV.DEVNAME.NOT_MATCHES}','^(loop[0-9]*|sd[a-z][0-9]+|nbd[0-9]+|sr[0-9]+|fd[0-9]+|dm-[0-9]+|ram[0-9]+|ploop[a-z0-9]+|md[0-9]*|hcp[0-9]*|zram[0-9]*)','This macro is used in block devices discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('887','10281','{$VFS.DEV.READ.AWAIT.WARN}','20','Disk read average response time (in ms) before the trigger would fire','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('888','10281','{$VFS.DEV.WRITE.AWAIT.WARN}','20','Disk write average response time (in ms) before the trigger would fire','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('889','10282','{$IF.ERRORS.WARN}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('891','10282','{$IFCONTROL}','1','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('892','10282','{$NET.IF.IFNAME.MATCHES}','^.*$','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('893','10282','{$NET.IF.IFNAME.NOT_MATCHES}','(^Software Loopback Interface|^NULL[0-9.]*$|^[Ll]o[0-9.]*$|^[Ss]ystem$|^Nu[0-9.]*$|^veth[0-9a-z]+$|docker[0-9]+|br-[a-z0-9]{12})','Filter out loopbacks, nulls, docker veth links and docker0 bridge by default','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('894','10283','{$KERNEL.MAXFILES.MIN}','256','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('895','10283','{$KERNEL.MAXPROC.MIN}','1024','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('896','10283','{$SYSTEM.FUZZYTIME.MAX}','60','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('897','10285','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('898','10285','{$IF.ERRORS.WARN}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('899','10285','{$IF.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('900','10285','{$IFCONTROL}','1','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('901','10285','{$KERNEL.MAXFILES.MIN}','256','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('902','10285','{$LOAD_AVG_PER_CPU.MAX.WARN}','1.5','Load per CPU considered sustainable. Tune if needed.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('903','10285','{$MEMORY.AVAILABLE.MIN}','20M','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('904','10285','{$MEMORY.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('905','10285','{$NET.IF.IFALIAS.MATCHES}','^.*$','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('906','10285','{$NET.IF.IFALIAS.NOT_MATCHES}','CHANGE_IF_NEEDED','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('907','10285','{$NET.IF.IFNAME.MATCHES}','^.*$','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('908','10285','{$NET.IF.IFNAME.NOT_MATCHES}','(^Software Loopback Interface|^NULL[0-9.]*$|^[Ll]o[0-9.]*$|^[Ss]ystem$|^Nu[0-9.]*$|^veth[0-9a-z]+$|docker[0-9]+|br-[a-z0-9]{12})','Filter out loopbacks, nulls, docker veth links and docker0 bridge by default','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('909','10285','{$NET.IF.IFOPERSTATUS.MATCHES}','^.*$','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('910','10285','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}','^7$','Ignore notPresent(7)','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('911','10285','{$NODE_EXPORTER_PORT}','9100','TCP Port node_exporter is listening on.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('912','10285','{$SWAP.PFREE.MIN.WARN}','50','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('913','10285','{$SYSTEM.FUZZYTIME.MAX}','60','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('914','10285','{$VFS.DEV.DEVNAME.MATCHES}','.+','This macro is used in block devices discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('915','10285','{$VFS.DEV.DEVNAME.NOT_MATCHES}','^(loop[0-9]*|sd[a-z][0-9]+|nbd[0-9]+|sr[0-9]+|fd[0-9]+|dm-[0-9]+|ram[0-9]+|ploop[a-z0-9]+|md[0-9]*|hcp[0-9]*|zram[0-9]*)','This macro is used in block devices discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('916','10285','{$VFS.DEV.READ.AWAIT.WARN}','20','Disk read average response time (in ms) before the trigger would fire','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('917','10285','{$VFS.DEV.WRITE.AWAIT.WARN}','20','Disk write average response time (in ms) before the trigger would fire','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('918','10285','{$VFS.FS.FSDEVICE.MATCHES}','^.+$','This macro is used in filesystems discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('919','10285','{$VFS.FS.FSDEVICE.NOT_MATCHES}',E'^\\s$','This macro is used in filesystems discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('920','10285','{$VFS.FS.FSNAME.MATCHES}','.+','This macro is used in filesystems discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('921','10285','{$VFS.FS.FSNAME.NOT_MATCHES}','^(/dev|/sys|/run|/proc|.+/shm$)','This macro is used in filesystems discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('922','10285','{$VFS.FS.FSTYPE.MATCHES}','^(btrfs|ext2|ext3|ext4|reiser|xfs|ffs|ufs|jfs|jfs2|vxfs|hfs|apfs|refs|ntfs|fat32|zfs)$','This macro is used in filesystems discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('923','10285','{$VFS.FS.FSTYPE.NOT_MATCHES}',E'^\\s$','This macro is used in filesystems discovery. Can be overridden on the host or linked template level','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('924','10285','{$VFS.FS.INODE.PFREE.MIN.CRIT}','10','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('925','10285','{$VFS.FS.INODE.PFREE.MIN.WARN}','20','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('926','10285','{$VFS.FS.PUSED.MAX.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('927','10285','{$VFS.FS.PUSED.MAX.WARN}','80','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('928','10286','{$CPU.INTERRUPT.CRIT.MAX}','50','The critical threshold of the % Interrupt Time counter.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('929','10286','{$CPU.PRIV.CRIT.MAX}','30','The threshold of the % Privileged Time counter.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('930','10286','{$CPU.QUEUE.CRIT.MAX}','3','The threshold of the Processor Queue Length counter.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('931','10286','{$CPU.UTIL.CRIT}','90','The critical threshold of the CPU utilization in %.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('932','10287','{$MEM.PAGE_SEC.CRIT.MAX}','1000','The warning threshold of the Memory Pages/sec counter.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('933','10287','{$MEM.PAGE_TABLE_CRIT.MIN}','5000','The warning threshold of the Free System Page Table Entries counter.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('934','10287','{$MEMORY.UTIL.MAX}','90','The warning threshold of the Memory util item.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('935','10287','{$SWAP.PFREE.MIN.WARN}','20','The warning threshold of the minimum free swap.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('936','10288','{$VFS.FS.FSDRIVETYPE.MATCHES}','fixed','This macro is used in filesystems discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('937','10288','{$VFS.FS.FSDRIVETYPE.NOT_MATCHES}',E'^\\s$','This macro is used in filesystems discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('938','10288','{$VFS.FS.FSNAME.MATCHES}','.*','This macro is used in filesystems discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('939','10288','{$VFS.FS.FSNAME.NOT_MATCHES}','^(/dev|/sys|/run|/proc|.+/shm$)','This macro is used in filesystems discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('940','10288','{$VFS.FS.FSTYPE.MATCHES}','.*','This macro is used in filesystems discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('941','10288','{$VFS.FS.FSTYPE.NOT_MATCHES}',E'^\\s$','This macro is used in filesystems discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('942','10288','{$VFS.FS.PUSED.MAX.CRIT}','90','The critical threshold of the filesystem utilization in percent.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('943','10288','{$VFS.FS.PUSED.MAX.WARN}','80','The warning threshold of the filesystem utilization in percent.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('944','10289','{$VFS.DEV.DEVNAME.MATCHES}','.*','This macro is used in physical disks discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('945','10289','{$VFS.DEV.DEVNAME.NOT_MATCHES}','_Total','This macro is used in physical disks discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('946','10289','{$VFS.DEV.UTIL.MAX.WARN}','95','The warning threshold of disk time utilization in percent.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('947','10290','{$SYSTEM.FUZZYTIME.MAX}','60','The threshold for difference of system time in seconds.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('948','10291','{$NET.IF.IFALIAS.MATCHES}','.*','This macro is used in Network interface discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('949','10291','{$NET.IF.IFALIAS.NOT_MATCHES}','CHANGE_THIS','This macro is used in Network interface discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('950','10291','{$NET.IF.IFDESCR.MATCHES}','.*','This macro is used in Network interface discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('951','10291','{$NET.IF.IFDESCR.NOT_MATCHES}','CHANGE_THIS','This macro is used in Network interface discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('952','10291','{$NET.IF.IFNAME.MATCHES}','.*','This macro is used in Network interface discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('953','10291','{$NET.IF.IFNAME.NOT_MATCHES}','Miniport|Virtual|Teredo|Kernel|Loopback|Bluetooth|HTTPS|6to4|QoS|Layer','This macro is used in Network interface discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('954','10291','{$NET.IF.IFNETENABLED.MATCHES}','True','This macro is used in Network interface discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('955','10291','{$NET.IF.IFNETENABLED.NOT_MATCHES}','CHANGE_THIS','This macro is used in Network interface discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('956','10291','{$NET.IF.PHYSICALADAPTER.MATCHES}','True','This macro is used in Network interface discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('957','10291','{$NET.IF.PHYSICALADAPTER.NOT_MATCHES}','CHANGE_THIS','This macro is used in Network interface discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('958','10292','{$AGENT.NODATA_TIMEOUT}','30m','No data timeout for active agents. Consider to keep it relatively high.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('959','10050','{$AGENT.TIMEOUT}','3m','Timeout after which agent is considered unavailable. Works only for agents reachable from Zabbix server/proxy (passive mode).','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('960','10293','{$CPU.INTERRUPT.CRIT.MAX}','50','The critical threshold of the % Interrupt Time counter.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('961','10293','{$CPU.PRIV.CRIT.MAX}','30','The threshold of the % Privileged Time counter.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('962','10293','{$CPU.QUEUE.CRIT.MAX}','3','The threshold of the Processor Queue Length counter.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('963','10293','{$CPU.UTIL.CRIT}','90','The critical threshold of the CPU utilization in %.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('964','10294','{$MEM.PAGE_SEC.CRIT.MAX}','1000','The warning threshold of the Memory Pages/sec counter.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('965','10294','{$MEM.PAGE_TABLE_CRIT.MIN}','5000','The warning threshold of the Free System Page Table Entries counter.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('966','10294','{$MEMORY.UTIL.MAX}','90','The warning threshold of the Memory util item.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('967','10294','{$SWAP.PFREE.MIN.WARN}','20','The warning threshold of the minimum free swap.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('968','10295','{$VFS.FS.FSDRIVETYPE.MATCHES}','fixed','This macro is used in filesystems discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('969','10295','{$VFS.FS.FSDRIVETYPE.NOT_MATCHES}',E'^\\s$','This macro is used in filesystems discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('970','10295','{$VFS.FS.FSNAME.MATCHES}','.*','This macro is used in filesystems discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('971','10295','{$VFS.FS.FSNAME.NOT_MATCHES}','^(/dev|/sys|/run|/proc|.+/shm$)','This macro is used in filesystems discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('972','10295','{$VFS.FS.FSTYPE.MATCHES}','.*','This macro is used in filesystems discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('973','10295','{$VFS.FS.FSTYPE.NOT_MATCHES}',E'^\\s$','This macro is used in filesystems discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('974','10295','{$VFS.FS.PUSED.MAX.CRIT}','90','The critical threshold of the filesystem utilization in percent.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('975','10295','{$VFS.FS.PUSED.MAX.WARN}','80','The warning threshold of the filesystem utilization in percent.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('976','10296','{$VFS.DEV.DEVNAME.MATCHES}','.*','This macro is used in physical disks discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('977','10296','{$VFS.DEV.DEVNAME.NOT_MATCHES}','_Total','This macro is used in physical disks discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('978','10296','{$VFS.DEV.UTIL.MAX.WARN}','95','The warning threshold of disk time utilization in percent.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('979','10297','{$SYSTEM.FUZZYTIME.MAX}','60','The threshold for difference of system time in seconds.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('980','10298','{$NET.IF.IFALIAS.MATCHES}','.*','This macro is used in Network interface discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('981','10298','{$NET.IF.IFALIAS.NOT_MATCHES}','CHANGE_THIS','This macro is used in Network interface discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('982','10298','{$NET.IF.IFDESCR.MATCHES}','.*','This macro is used in Network interface discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('983','10298','{$NET.IF.IFDESCR.NOT_MATCHES}','CHANGE_THIS','This macro is used in Network interface discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('984','10298','{$NET.IF.IFNAME.MATCHES}','.*','This macro is used in Network interface discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('985','10298','{$NET.IF.IFNAME.NOT_MATCHES}','Miniport|Virtual|Teredo|Kernel|Loopback|Bluetooth|HTTPS|6to4|QoS|Layer','This macro is used in Network interface discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('986','10298','{$NET.IF.IFNETENABLED.MATCHES}','True','This macro is used in Network interface discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('987','10298','{$NET.IF.IFNETENABLED.NOT_MATCHES}','CHANGE_THIS','This macro is used in Network interface discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('988','10298','{$NET.IF.PHYSICALADAPTER.MATCHES}','True','This macro is used in Network interface discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('989','10298','{$NET.IF.PHYSICALADAPTER.NOT_MATCHES}','CHANGE_THIS','This macro is used in Network interface discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('991','10300','{$RABBITMQ.API.PASSWORD}','zabbix','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('992','10300','{$RABBITMQ.API.PORT}','15672','The port of RabbitMQ API endpoint','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('993','10300','{$RABBITMQ.API.USER}','zbx_monitor','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('995','10300','{$RABBITMQ.LLD.FILTER.EXCHANGE.MATCHES}','.*','Filter of discoverable exchanges','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('996','10300','{$RABBITMQ.LLD.FILTER.EXCHANGE.NOT_MATCHES}','CHANGE_IF_NEEDED','Filter to exclude discovered exchanges','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('997','10301','{$RABBITMQ.API.HOST}','127.0.0.1','The hostname or IP of RabbitMQ API endpoint','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('998','10301','{$RABBITMQ.API.PASSWORD}','zabbix','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('999','10301','{$RABBITMQ.API.PORT}','15672','The port of RabbitMQ API endpoint','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1000','10301','{$RABBITMQ.API.USER}','zbx_monitor','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1001','10301','{$RABBITMQ.CLUSTER.NAME}','rabbit','The name of RabbitMQ cluster','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1002','10301','{$RABBITMQ.LLD.FILTER.QUEUE.MATCHES}','.*','Filter of discoverable queues','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1003','10301','{$RABBITMQ.LLD.FILTER.QUEUE.NOT_MATCHES}','CHANGE_IF_NEEDED','Filter to exclude discovered queues','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1004','10301','{$RABBITMQ.MESSAGES.MAX.WARN}','1000','Maximum number of messages in the queue for trigger expression','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1005','10301','{$RABBITMQ.PROCESS_NAME}','beam.smp','RabbitMQ server process name','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1006','10301','{$RABBITMQ.RESPONSE_TIME.MAX.WARN}','10','Maximum RabbitMQ response time in seconds for trigger expression','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1007','10302','{$RABBITMQ.API.PASSWORD}','zabbix','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1008','10302','{$RABBITMQ.API.PORT}','15672','The port of RabbitMQ API endpoint','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1009','10302','{$RABBITMQ.API.SCHEME}','http','Request scheme which may be http or https','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1010','10302','{$RABBITMQ.API.USER}','zbx_monitor','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1012','10302','{$RABBITMQ.LLD.FILTER.EXCHANGE.MATCHES}','.*','Filter of discoverable exchanges','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1013','10302','{$RABBITMQ.LLD.FILTER.EXCHANGE.NOT_MATCHES}','CHANGE_IF_NEEDED','Filter to exclude discovered exchanges','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1014','10303','{$RABBITMQ.API.PASSWORD}','zabbix','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1015','10303','{$RABBITMQ.API.PORT}','15672','The port of RabbitMQ API endpoint','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1016','10303','{$RABBITMQ.API.SCHEME}','http','Request scheme which may be http or https','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1017','10303','{$RABBITMQ.API.USER}','zbx_monitor','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1018','10303','{$RABBITMQ.CLUSTER.NAME}','rabbit','The name of RabbitMQ cluster','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1019','10303','{$RABBITMQ.LLD.FILTER.QUEUE.MATCHES}','.*','Filter of discoverable queues','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1020','10303','{$RABBITMQ.LLD.FILTER.QUEUE.NOT_MATCHES}','CHANGE_IF_NEEDED','Filter to exclude discovered queues','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1021','10303','{$RABBITMQ.MESSAGES.MAX.WARN}','1000','Maximum number of messages in the queue for trigger expression','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1022','10303','{$RABBITMQ.RESPONSE_TIME.MAX.WARN}','10','Maximum RabbitMQ response time in seconds for trigger expression','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1023','10203','{$SNMP.TIMEOUT}','5m','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1024','10204','{$SNMP.TIMEOUT}','5m','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1025','10189','{$IF.ERRORS.WARN}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1026','10189','{$IF.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1027','10189','{$NET.IF.IFADMINSTATUS.MATCHES}','^.*','Ignore notPresent(6)','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1028','10189','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}','^2$','Ignore down(2) administrative status','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1029','10189','{$NET.IF.IFALIAS.MATCHES}','.*','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1030','10189','{$NET.IF.IFALIAS.NOT_MATCHES}','CHANGE_IF_NEEDED','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1031','10189','{$NET.IF.IFDESCR.MATCHES}','.*','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1032','10189','{$NET.IF.IFDESCR.NOT_MATCHES}','CHANGE_IF_NEEDED','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1033','10189','{$NET.IF.IFNAME.MATCHES}','^.*$','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1034','10189','{$NET.IF.IFNAME.NOT_MATCHES}','(^Software Loopback Interface|^NULL[0-9.]*$|^[Ll]o[0-9.]*$|^[Ss]ystem$|^Nu[0-9.]*$|^veth[0-9a-z]+$|docker[0-9]+|br-[a-z0-9]{12})','Filter out loopbacks, nulls, docker veth links and docker0 bridge by default','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1035','10189','{$NET.IF.IFOPERSTATUS.MATCHES}','^.*$','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1036','10189','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}','^6$','Ignore notPresent(6)','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1037','10189','{$NET.IF.IFTYPE.MATCHES}','.*','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1038','10189','{$NET.IF.IFTYPE.NOT_MATCHES}','CHANGE_IF_NEEDED','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1039','10190','{$IF.ERRORS.WARN}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1040','10190','{$IF.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1041','10190','{$NET.IF.IFADMINSTATUS.MATCHES}','^.*','Ignore notPresent(6)','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1042','10190','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}','^2$','Ignore down(2) administrative status','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1043','10190','{$NET.IF.IFALIAS.MATCHES}','.*','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1044','10190','{$NET.IF.IFALIAS.NOT_MATCHES}','CHANGE_IF_NEEDED','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1045','10190','{$NET.IF.IFDESCR.MATCHES}','.*','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1046','10190','{$NET.IF.IFDESCR.NOT_MATCHES}','CHANGE_IF_NEEDED','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1047','10190','{$NET.IF.IFNAME.MATCHES}','^.*$','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1048','10190','{$NET.IF.IFNAME.NOT_MATCHES}','(^Software Loopback Interface|^NULL[0-9.]*$|^[Ll]o[0-9.]*$|^[Ss]ystem$|^Nu[0-9.]*$|^veth[0-9a-z]+$|docker[0-9]+|br-[a-z0-9]{12})','Filter out loopbacks, nulls, docker veth links and docker0 bridge by default','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1049','10190','{$NET.IF.IFOPERSTATUS.MATCHES}','^.*$','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1050','10190','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}','^6$','Ignore notPresent(6)','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1051','10190','{$NET.IF.IFTYPE.MATCHES}','.*','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1052','10190','{$NET.IF.IFTYPE.NOT_MATCHES}','CHANGE_IF_NEEDED','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1053','10187','{$IF.ERRORS.WARN}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1054','10187','{$IF.UTIL.MAX}','95','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1055','10187','{$NET.IF.IFADMINSTATUS.MATCHES}','^.*','Ignore notPresent(6)','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1056','10187','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}','^2$','Ignore down(2) administrative status','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1057','10187','{$NET.IF.IFDESCR.MATCHES}','.*','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1058','10187','{$NET.IF.IFDESCR.NOT_MATCHES}','CHANGE_IF_NEEDED','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1059','10187','{$NET.IF.IFNAME.MATCHES}','^.*$','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1060','10187','{$NET.IF.IFNAME.NOT_MATCHES}','(^Software Loopback Interface|^NULL[0-9.]*$|^[Ll]o[0-9.]*$|^[Ss]ystem$|^Nu[0-9.]*$|^veth[0-9a-z]+$|docker[0-9]+|br-[a-z0-9]{12})','Filter out loopbacks, nulls, docker veth links and docker0 bridge by default','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1061','10187','{$NET.IF.IFOPERSTATUS.MATCHES}','^.*$','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1062','10187','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}','^6$','Ignore notPresent(6)','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1063','10187','{$NET.IF.IFTYPE.MATCHES}','.*','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1064','10187','{$NET.IF.IFTYPE.NOT_MATCHES}','CHANGE_IF_NEEDED','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1065','10188','{$IF.ERRORS.WARN}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1066','10188','{$IF.UTIL.MAX}','95','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1067','10188','{$NET.IF.IFADMINSTATUS.MATCHES}','^.*','Ignore notPresent(6)','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1068','10188','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}','^2$','Ignore down(2) administrative status','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1069','10188','{$NET.IF.IFDESCR.MATCHES}','.*','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1070','10188','{$NET.IF.IFDESCR.NOT_MATCHES}','CHANGE_IF_NEEDED','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1071','10188','{$NET.IF.IFNAME.MATCHES}','^.*$','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1072','10188','{$NET.IF.IFNAME.NOT_MATCHES}','(^Software Loopback Interface|^NULL[0-9.]*$|^[Ll]o[0-9.]*$|^[Ss]ystem$|^Nu[0-9.]*$|^veth[0-9a-z]+$|docker[0-9]+|br-[a-z0-9]{12})','Filter out loopbacks, nulls, docker veth links and docker0 bridge by default','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1073','10188','{$NET.IF.IFOPERSTATUS.MATCHES}','^.*$','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1074','10188','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}','^6$','Ignore notPresent(6)','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1075','10188','{$NET.IF.IFTYPE.MATCHES}','.*','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1076','10188','{$NET.IF.IFTYPE.NOT_MATCHES}','CHANGE_IF_NEEDED','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1077','10192','{$IF.ERRORS.WARN}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1078','10192','{$IF.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1079','10192','{$NET.IF.IFADMINSTATUS.MATCHES}','^.*$','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1080','10192','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}','^2$','Ignore down(2) administrative status','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1081','10192','{$NET.IF.IFALIAS.MATCHES}','.*','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1082','10192','{$NET.IF.IFALIAS.NOT_MATCHES}','CHANGE_IF_NEEDED','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1083','10192','{$NET.IF.IFDESCR.MATCHES}','.*','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1084','10192','{$NET.IF.IFDESCR.NOT_MATCHES}','Miniport|Virtual|Teredo|Kernel|Loopback|Bluetooth|HTTPS|6to4|QoS|Layer|isatap|ISATAP','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1085','10192','{$NET.IF.IFNAME.MATCHES}','^.*$','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1086','10192','{$NET.IF.IFNAME.NOT_MATCHES}','(^Software Loopback Interface|^NULL[0-9.]*$|^[Ll]o[0-9.]*$|^[Ss]ystem$|^Nu[0-9.]*$|^veth[0-9a-z]+$|docker[0-9]+|br-[a-z0-9]{12})','Filter out loopbacks, nulls, docker veth links and docker0 bridge by default','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1087','10192','{$NET.IF.IFOPERSTATUS.MATCHES}','^.*$','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1088','10192','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}','^6$','Ignore notPresent(6)','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1089','10192','{$NET.IF.IFTYPE.MATCHES}','.*','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1090','10192','{$NET.IF.IFTYPE.NOT_MATCHES}','CHANGE_IF_NEEDED','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1091','10300','{$RABBITMQ.API.CLUSTER_HOST}','127.0.0.1','The hostname or IP of RabbitMQ cluster API endpoint','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1092','10304','{$DISK_ARRAY_CACHE_BATTERY_CRIT_STATUS}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1093','10304','{$DISK_ARRAY_CACHE_BATTERY_OK_STATUS}','1','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1094','10304','{$DISK_ARRAY_CRIT_STATUS:"inoperable"}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1095','10304','{$DISK_ARRAY_OK_STATUS:"operable"}','1','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1096','10304','{$DISK_ARRAY_WARN_STATUS:"degraded"}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1097','10304','{$DISK_CRIT_STATUS:"bad"}','16','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1098','10304','{$DISK_CRIT_STATUS:"predictiveFailure"}','11','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1099','10304','{$DISK_FAIL_STATUS:"failed"}','9','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1100','10304','{$FAN_CRIT_STATUS:"inoperable"}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1101','10304','{$FAN_WARN_STATUS:"degraded"}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1102','10304','{$HEALTH_CRIT_STATUS:"computeFailed"}','30','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1103','10304','{$HEALTH_CRIT_STATUS:"configFailure"}','33','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1104','10304','{$HEALTH_CRIT_STATUS:"inoperable"}','60','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1105','10304','{$HEALTH_CRIT_STATUS:"unconfigFailure"}','34','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1106','10304','{$HEALTH_WARN_STATUS:"diagnosticsFailed"}','204','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1107','10304','{$HEALTH_WARN_STATUS:"powerProblem"}','62','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1108','10304','{$HEALTH_WARN_STATUS:"testFailed"}','35','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1109','10304','{$HEALTH_WARN_STATUS:"thermalProblem"}','60','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1110','10304','{$HEALTH_WARN_STATUS:"voltageProblem"}','62','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1111','10304','{$PSU_CRIT_STATUS:"inoperable"}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1112','10304','{$PSU_WARN_STATUS:"degraded"}','3','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1113','10304','{$TEMP_CRIT:"Ambient"}','35','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1114','10304','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1115','10304','{$TEMP_CRIT}','60','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1116','10304','{$TEMP_WARN:"Ambient"}','30','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1117','10304','{$TEMP_WARN}','50','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1118','10304','{$VDISK_OK_STATUS:"equipped"}','10','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1119','10207','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1120','10207','{$MEMORY.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1121','10208','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1122','10208','{$MEMORY.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1123','10209','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1124','10209','{$MEMORY.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1125','10212','{$MEMORY.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1126','10252','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1127','10213','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1128','10215','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1129','10221','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1130','10221','{$MEMORY.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1131','10222','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1132','10222','{$MEMORY.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1133','10223','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1134','10223','{$MEMORY.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1135','10224','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1136','10224','{$MEMORY.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1137','10227','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1138','10227','{$MEMORY.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1139','10250','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1140','10250','{$MEMORY.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1141','10229','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1142','10229','{$MEMORY.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1143','10231','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1144','10231','{$MEMORY.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1145','10233','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1146','10233','{$MEMORY.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1147','10233','{$VFS.FS.PUSED.MAX.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1148','10233','{$VFS.FS.PUSED.MAX.WARN}','80','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1149','10234','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1150','10234','{$MEMORY.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1151','10235','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1152','10235','{$MEMORY.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1153','10235','{$TEMP_CRIT_LOW}','5','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1154','10236','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1155','10236','{$MEMORY.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1156','10237','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1157','10237','{$MEMORY.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1158','10254','{$MEMORY.NAME.NOT_MATCHES}','(Buffer|Cache)','Filter is overriden to ignore RAM(Cache) and RAM(Buffers) memory objects.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1159','10254','{$VFS.FS.PUSED.MAX.CRIT}','95','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1160','10254','{$VFS.FS.PUSED.MAX.WARN}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1161','10305','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1162','10306','{$MEMORY.NAME.MATCHES}','.*','This macro is used in memory discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1163','10306','{$MEMORY.NAME.NOT_MATCHES}','CHANGE_IF_NEEDED','This macro is used in memory discovery. Can be overridden on the host or linked template level if you need to filter out results.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1164','10306','{$MEMORY.TYPE.MATCHES}',E'.*(\\.2|hrStorageRam)$','This macro is used in memory discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1165','10306','{$MEMORY.TYPE.NOT_MATCHES}','CHANGE_IF_NEEDED','This macro is used in memory discovery. Can be overridden on the host or linked template level if you need to filter out results.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1166','10306','{$MEMORY.UTIL.MAX}','90','The warning threshold of the "Physical memory: Memory utilization" item.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1167','10307','{$VFS.FS.FSNAME.MATCHES}','.+','This macro is used in filesystems discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1168','10307','{$VFS.FS.FSNAME.NOT_MATCHES}','^(/dev|/sys|/run|/proc|.+/shm$)','This macro is used in filesystems discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1169','10307','{$VFS.FS.FSTYPE.MATCHES}',E'.*(\\.4|\\.9|hrStorageFixedDisk|hrStorageFlashMemory)$','This macro is used in filesystems discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1170','10307','{$VFS.FS.FSTYPE.NOT_MATCHES}','CHANGE_IF_NEEDED','This macro is used in filesystems discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1171','10307','{$VFS.FS.PUSED.MAX.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1172','10307','{$VFS.FS.PUSED.MAX.WARN}','80','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1173','10308','{$HAPROXY.BACK_ERESP.MAX.WARN}','10','Maximum of responses with error on BACKEND for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1174','10308','{$HAPROXY.BACK_QCUR.MAX.WARN}','10','Maximum number of requests on BACKEND unassigned in queue for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1175','10308','{$HAPROXY.BACK_QTIME.MAX.WARN}','10s','Maximum of average time spent in queue on BACKEND for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1176','10308','{$HAPROXY.BACK_RTIME.MAX.WARN}','10s','Maximum of average BACKEND response time for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1177','10308','{$HAPROXY.FRONT_DREQ.MAX.WARN}','10','The HAProxy maximum denied requests for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1178','10308','{$HAPROXY.FRONT_EREQ.MAX.WARN}','10','The HAProxy maximum number of request errors for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1179','10308','{$HAPROXY.FRONT_SUTIL.MAX.WARN}','80','Maximum of session usage percentage on frontend for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1180','10308','{$HAPROXY.RESPONSE_TIME.MAX.WARN}','10s','The HAProxy stats page maximum response time in seconds for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1181','10308','{$HAPROXY.SERVER_ERESP.MAX.WARN}','10','Maximum of responses with error on server for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1182','10308','{$HAPROXY.SERVER_QCUR.MAX.WARN}','10','Maximum number of requests on server unassigned in queue for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1183','10308','{$HAPROXY.SERVER_QTIME.MAX.WARN}','10s','Maximum of average time spent in queue on server for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1184','10308','{$HAPROXY.SERVER_RTIME.MAX.WARN}','10s','Maximum of average server response time for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1185','10308','{$HAPROXY.STATS.PATH}','stats','The path of HAProxy stats page.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1186','10308','{$HAPROXY.STATS.PORT}','8404','The port of the HAProxy stats host or container.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1187','10308','{$HAPROXY.STATS.SCHEME}','http','The scheme of HAProxy stats page(http/https).','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1188','10309','{$HAPROXY.BACK_ERESP.MAX.WARN}','10','Maximum of responses with error on BACKEND for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1189','10309','{$HAPROXY.BACK_QCUR.MAX.WARN}','10','Maximum number of requests on BACKEND unassigned in queue for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1190','10309','{$HAPROXY.BACK_QTIME.MAX.WARN}','10s','Maximum of average time spent in queue on BACKEND for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1191','10309','{$HAPROXY.BACK_RTIME.MAX.WARN}','10s','Maximum of average BACKEND response time for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1192','10309','{$HAPROXY.FRONT_DREQ.MAX.WARN}','10','The HAProxy maximum denied requests for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1193','10309','{$HAPROXY.FRONT_EREQ.MAX.WARN}','10','The HAProxy maximum number of request errors for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1194','10309','{$HAPROXY.FRONT_SUTIL.MAX.WARN}','80%','Maximum of session usage percentage on frontend for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1195','10309','{$HAPROXY.PASSWORD}','','The password of the HAProxy stats page.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1196','10309','{$HAPROXY.RESPONSE_TIME.MAX.WARN}','10s','The HAProxy stats page maximum response time in seconds for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1197','10309','{$HAPROXY.SERVER_ERESP.MAX.WARN}','10','Maximum of responses with error on server for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1198','10309','{$HAPROXY.SERVER_QCUR.MAX.WARN}','10','Maximum number of requests on server unassigned in queue for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1199','10309','{$HAPROXY.SERVER_QTIME.MAX.WARN}','10s','Maximum of average time spent in queue on server for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1200','10309','{$HAPROXY.SERVER_RTIME.MAX.WARN}','10s','Maximum of average server response time for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1202','10309','{$HAPROXY.STATS.PATH}','stats','The path of the HAProxy stats page.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1203','10309','{$HAPROXY.STATS.PORT}','8404','The port of the HAProxy stats host or container.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1204','10309','{$HAPROXY.STATS.SCHEME}','http','The scheme of HAProxy stats page(http/https).','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1205','10309','{$HAPROXY.USERNAME}','','The username of the HAProxy stats page.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1206','10310','{$REDIS.CLIENTS.PRC.MAX.WARN}','80','Maximum percentage of connected clients','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1207','10310','{$REDIS.CONN.URI}','tcp://localhost:6379','Connection string in the URI format (password is not used). This param overwrites a value configured in the "Server" option of the configuration file (if it''s set), otherwise, the plugin''s default value is used: "tcp://localhost:6379"','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1208','10310','{$REDIS.LLD.FILTER.DB.MATCHES}','.*','Filter of discoverable databases','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1209','10310','{$REDIS.LLD.FILTER.DB.NOT_MATCHES}','CHANGE_IF_NEEDED','Filter to exclude discovered databases','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1210','10310','{$REDIS.LLD.PROCESS_NAME}','redis-server','Redis server process name for LLD','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1211','10310','{$REDIS.MEM.FRAG_RATIO.MAX.WARN}','1.5','Maximum memory fragmentation ratio','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1212','10310','{$REDIS.MEM.PUSED.MAX.WARN}','90','Maximum percentage of memory used','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1213','10310','{$REDIS.PROCESS_NAME}','redis-server','Redis server process name','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1214','10310','{$REDIS.REPL.LAG.MAX.WARN}','30s','Maximum replication lag in seconds','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1215','10310','{$REDIS.SLOWLOG.COUNT.MAX.WARN}','1','Maximum number of slowlog entries per second','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1216','10311','{$CPU.UTIL.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1217','10312','{$MEMORY.NAME.MATCHES}','.*','This macro is used in memory discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1218','10312','{$MEMORY.NAME.NOT_MATCHES}','CHANGE_IF_NEEDED','This macro is used in memory discovery. Can be overridden on the host or linked template level if you need to filter out results.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1219','10312','{$MEMORY.TYPE.MATCHES}',E'.*(\\.2|hrStorageRam)$','This macro is used in memory discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1220','10312','{$MEMORY.TYPE.NOT_MATCHES}','CHANGE_IF_NEEDED','This macro is used in memory discovery. Can be overridden on the host or linked template level if you need to filter out results.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1221','10312','{$MEMORY.UTIL.MAX}','90','The warning threshold of the "Physical memory: Memory utilization" item.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1222','10313','{$VFS.FS.FSNAME.MATCHES}','.+','This macro is used in filesystems discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1223','10313','{$VFS.FS.FSNAME.NOT_MATCHES}','^(/dev|/sys|/run|/proc|.+/shm$)','This macro is used in filesystems discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1224','10313','{$VFS.FS.FSTYPE.MATCHES}',E'.*(\\.4|\\.9|hrStorageFixedDisk|hrStorageFlashMemory)$','This macro is used in filesystems discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1225','10313','{$VFS.FS.FSTYPE.NOT_MATCHES}','CHANGE_IF_NEEDED','This macro is used in filesystems discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1226','10313','{$VFS.FS.PUSED.MAX.CRIT}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1227','10313','{$VFS.FS.PUSED.MAX.WARN}','80','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1228','10314','{$SERVICE.NAME.MATCHES}','^.*$','This macro is used in Service discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1229','10314','{$SERVICE.NAME.NOT_MATCHES}',E'^RemoteRegistry|MMCSS|gupdate|SysmonLog|clr_optimization_v.+|clr_optimization_v.+|sppsvc|gpsvc|Pml Driver HPZ12|Net Driver HPZ12|MapsBroker|IntelAudioService|Intel\\(R\\) TPM Provisioning Service|dbupdate|DoSvc$','This macro is used in Service discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1230','10314','{$SERVICE.STARTUPNAME.MATCHES}','^automatic|automatic delayed$','This macro is used in Service discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1231','10314','{$SERVICE.STARTUPNAME.NOT_MATCHES}','^manual|disabled$','This macro is used in Service discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1232','10291','{$IF.ERRORS.WARN}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1233','10291','{$IF.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1234','10291','{$IFCONTROL}','1','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1235','10315','{$SERVICE.NAME.MATCHES}','^.*$','This macro is used in Service discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1236','10315','{$SERVICE.NAME.NOT_MATCHES}',E'^RemoteRegistry|MMCSS|gupdate|SysmonLog|clr_optimization_v.+|clr_optimization_v.+|sppsvc|gpsvc|Pml Driver HPZ12|Net Driver HPZ12|MapsBroker|IntelAudioService|Intel\\(R\\) TPM Provisioning Service|dbupdate|DoSvc$','This macro is used in Service discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1237','10315','{$SERVICE.STARTUPNAME.MATCHES}','^automatic|automatic delayed$','This macro is used in Service discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1238','10315','{$SERVICE.STARTUPNAME.NOT_MATCHES}','^manual|disabled$','This macro is used in Service discovery. Can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1239','10298','{$IF.ERRORS.WARN}','2','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1240','10298','{$IF.UTIL.MAX}','90','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1241','10298','{$IFCONTROL}','1','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1242','10316','{$MYSQL.ABORTED_CONN.MAX.WARN}','3','The number of failed attempts to connect to the MySQL server for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1243','10316','{$MYSQL.BUFF_UTIL.MIN.WARN}','50','The minimum buffer pool utilization in percent for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1244','10316','{$MYSQL.HOST}','localhost','Hostname or IP of MySQL host or container.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1245','10316','{$MYSQL.PORT}','3306','MySQL service port.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1246','10316','{$MYSQL.REPL_LAG.MAX.WARN}','30m','The lag of slave from master for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1247','10316','{$MYSQL.SLOW_QUERIES.MAX.WARN}','3','The number of slow queries for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1248','10317','{$MYSQL.ABORTED_CONN.MAX.WARN}','3','The number of failed attempts to connect to the MySQL server for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1249','10317','{$MYSQL.BUFF_UTIL.MIN.WARN}','50','The minimum buffer pool utilization in percent for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1250','10317','{$MYSQL.DSN}','<Put your DSN here>','System data source name.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1251','10317','{$MYSQL.PASSWORD}','<Put your password here>','MySQL user password.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1252','10317','{$MYSQL.REPL_LAG.MAX.WARN}','30m','The lag of slave from master for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1253','10317','{$MYSQL.SLOW_QUERIES.MAX.WARN}','3','The number of slow queries for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1254','10317','{$MYSQL.USER}','<Put your username here>','MySQL username.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1255','10318','{$DOCKER.LLD.FILTER.CONTAINER.MATCHES}','.*','Filter of discoverable containers','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1256','10318','{$DOCKER.LLD.FILTER.CONTAINER.NOT_MATCHES}','CHANGE_IF_NEEDED','Filter to exclude discovered containers','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1257','10318','{$DOCKER.LLD.FILTER.IMAGE.MATCHES}','.*','Filter of discoverable images','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1258','10318','{$DOCKER.LLD.FILTER.IMAGE.NOT_MATCHES}','CHANGE_IF_NEEDED','Filter to exclude discovered images','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1259','10319','{$MEMCACHED.CONN.PRC.MAX.WARN}','80','Maximum percentage of connected clients','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1260','10319','{$MEMCACHED.CONN.QUEUED.MAX.WARN}','1','Maximum number of queued connections per second','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1261','10319','{$MEMCACHED.CONN.THROTTLED.MAX.WARN}','1','Maximum number of throttled connections per second','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1262','10319','{$MEMCACHED.CONN.URI}','tcp://localhost:11211','Connection string in the URI format (password is not used). This param overwrites a value configured in the "Plugins.Memcached.Uri" option of the configuration file (if it''s set), otherwise, the plugin''s default value is used: "tcp://localhost:11211"','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1263','10319','{$MEMCACHED.MEM.PUSED.MAX.WARN}','90','Maximum percentage of memory used','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1264','10320','{$MYSQL.ABORTED_CONN.MAX.WARN}','3','The number of failed attempts to connect to the MySQL server for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1265','10320','{$MYSQL.BUFF_UTIL.MIN.WARN}','50','The minimum buffer pool utilization percentage for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1266','10320','{$MYSQL.DSN}','<Put your DSN>','System data source name such as <protocol(host:port or /path/to/socket)/>.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1267','10320','{$MYSQL.PASSWORD}','','MySQL user password.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1268','10320','{$MYSQL.REPL_LAG.MAX.WARN}','30m','The lag of slave from master for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1269','10320','{$MYSQL.SLOW_QUERIES.MAX.WARN}','3','The number of slow queries for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1270','10320','{$MYSQL.USER}','','MySQL user name.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1271','10321','{$IPMI.PASSWORD}','','This macro is used for access to BMC. It can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1272','10321','{$IPMI.SENSOR_TYPE.MATCHES}','.*','This macro is used in sensors discovery. It can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1273','10321','{$IPMI.SENSOR_TYPE.NOT_MATCHES}','invalid','This macro is used in sensors discovery. It can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1274','10321','{$IPMI.USER}','','This macro is used for access to BMC. It can be overridden on the host or linked template level.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1275','10322','{$ELASTICSEARCH.FETCH_LATENCY.MAX.WARN}','100','Maximum of fetch latency in milliseconds for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1276','10322','{$ELASTICSEARCH.FLUSH_LATENCY.MAX.WARN}','100','Maximum of flush latency in milliseconds for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1277','10322','{$ELASTICSEARCH.HEAP_USED.MAX.CRIT}','95','The maximum percent in the use of JVM heap for critically trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1278','10322','{$ELASTICSEARCH.HEAP_USED.MAX.WARN}','85','The maximum percent in the use of JVM heap for warning trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1279','10322','{$ELASTICSEARCH.INDEXING_LATENCY.MAX.WARN}','100','Maximum of indexing latency in milliseconds for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1280','10322','{$ELASTICSEARCH.PASSWORD}','','The password of the Elasticsearch.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1281','10322','{$ELASTICSEARCH.PORT}','9200','The port of the Elasticsearch host.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1282','10322','{$ELASTICSEARCH.QUERY_LATENCY.MAX.WARN}','100','Maximum of query latency in milliseconds for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1283','10322','{$ELASTICSEARCH.RESPONSE_TIME.MAX.WARN}','10s','The ES cluster maximum response time in seconds for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1284','10322','{$ELASTICSEARCH.SCHEME}','http','The scheme of the Elasticsearch (http/https).','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1285','10322','{$ELASTICSEARCH.USERNAME}','','The username of the Elasticsearch.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1286','10323','{$CLICKHOUSE.DELAYED.FILES.DISTRIBUTED.COUNT.MAX.WARN}','600','Maximum size of distributed files queue to insert for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1287','10323','{$CLICKHOUSE.DELAYED.INSERTS.MAX.WARN}','0','Maximum number of delayed inserts for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1288','10323','{$CLICKHOUSE.LLD.FILTER.DB.MATCHES}','.*','Filter of discoverable databases','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1289','10323','{$CLICKHOUSE.LLD.FILTER.DB.NOT_MATCHES}','CHANGE_IF_NEEDED','Filter to exclude discovered databases','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1290','10323','{$CLICKHOUSE.LLD.FILTER.DICT.MATCHES}','.*','Filter of discoverable dictionaries','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1291','10323','{$CLICKHOUSE.LLD.FILTER.DICT.NOT_MATCHES}','CHANGE_IF_NEEDED','Filter to exclude discovered dictionaries','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1292','10323','{$CLICKHOUSE.LOG_POSITION.DIFF.MAX.WARN}','30','Maximum diff between log_pointer and log_max_index.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1293','10323','{$CLICKHOUSE.NETWORK.ERRORS.MAX.WARN}','5','Maximum number of smth for trigger expression','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1294','10323','{$CLICKHOUSE.PARTS.PER.PARTITION.WARN}','300','Maximum number of parts per partition for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1295','10323','{$CLICKHOUSE.PASSWORD}','zabbix_pass','','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1296','10323','{$CLICKHOUSE.PORT}','8123','The port of ClickHouse HTTP endpoint','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1297','10323','{$CLICKHOUSE.QUERY_TIME.MAX.WARN}','600','Maximum ClickHouse query time in seconds for trigger expression','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1298','10323','{$CLICKHOUSE.QUEUE.SIZE.MAX.WARN}','20','Maximum size of the queue for operations waiting to be performed for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1299','10323','{$CLICKHOUSE.REPLICA.MAX.WARN}','600','Replication lag across all tables for trigger expression.','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1300','10323','{$CLICKHOUSE.SCHEME}','http','Request scheme which may be http or https','0');
INSERT INTO hostmacro (hostmacroid,hostid,macro,value,description,type) values ('1301','10323','{$CLICKHOUSE.USER}','zabbix','','0');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('92','10084','4');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('175','10093','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('176','10169','12');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('177','10095','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('178','10094','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('179','10096','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('180','10097','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('181','10098','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('182','10099','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('183','10100','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('184','10101','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('185','10102','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('186','10103','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('187','10050','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('188','10048','12');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('189','10047','12');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('190','10170','13');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('191','10076','10');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('192','10075','10');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('193','10077','10');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('194','10001','10');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('195','10079','10');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('196','10074','10');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('197','10078','10');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('198','10081','10');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('199','10171','11');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('200','10172','11');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('201','10173','14');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('202','10174','14');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('203','10175','14');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('208','10182','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('209','10183','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('210','10184','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('211','10185','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('212','10186','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('213','10187','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('214','10188','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('215','10189','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('216','10190','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('218','10192','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('229','10203','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('230','10204','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('233','10207','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('234','10208','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('235','10209','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('236','10210','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('237','10211','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('238','10212','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('239','10213','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('241','10215','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('242','10216','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('243','10217','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('244','10218','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('246','10220','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('247','10221','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('248','10222','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('249','10223','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('250','10224','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('251','10225','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('252','10226','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('253','10227','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('255','10229','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('256','10230','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('257','10231','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('259','10233','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('260','10234','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('261','10235','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('262','10236','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('263','10237','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('274','10248','10');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('275','10249','10');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('276','10250','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('277','10251','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('278','10252','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('279','10253','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('280','10254','9');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('281','10255','11');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('282','10256','11');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('283','10257','11');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('284','10258','11');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('285','10259','11');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('286','10260','12');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('287','10261','12');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('288','10262','12');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('289','10263','13');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('290','10264','12');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('291','10265','12');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('292','10266','12');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('293','10267','12');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('294','10268','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('295','10269','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('296','10270','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('297','10271','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('298','10272','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('299','10273','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('300','10274','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('301','10275','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('302','10276','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('303','10277','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('304','10278','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('305','10279','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('306','10280','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('307','10281','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('308','10282','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('309','10283','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('310','10284','10');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('311','10285','10');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('312','10286','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('313','10287','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('314','10288','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('315','10289','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('316','10290','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('317','10291','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('318','10292','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('319','10293','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('320','10294','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('321','10295','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('322','10296','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('323','10297','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('324','10298','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('325','10299','10');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('326','10300','12');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('327','10301','12');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('328','10302','12');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('329','10303','12');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('330','10304','11');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('331','10305','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('332','10306','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('333','10307','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('334','10308','12');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('335','10309','12');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('336','10310','13');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('337','10311','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('338','10312','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('339','10313','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('340','10314','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('341','10315','8');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('342','10316','13');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('343','10317','13');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('344','10318','12');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('345','10319','12');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('346','10320','13');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('347','10321','11');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('348','10322','12');
INSERT INTO hosts_groups (hostgroupid,hostid,groupid) values ('349','10323','13');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('4','10001','10050');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('31','10074','10050');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('32','10075','10050');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('33','10076','10050');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('34','10077','10050');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('35','10078','10050');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('36','10079','10050');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('37','10081','10050');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('38','10084','10047');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('39','10084','10001');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('131','10176','10175');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('132','10177','10174');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('133','10203','10186');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('134','10204','10186');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('135','10207','10190');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('136','10207','10183');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('137','10207','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('138','10208','10190');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('139','10208','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('140','10210','10209');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('141','10210','10190');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('142','10210','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('143','10211','10209');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('144','10211','10190');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('145','10211','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('146','10218','10216');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('147','10218','10217');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('148','10218','10213');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('149','10218','10212');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('150','10218','10190');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('151','10218','10183');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('152','10218','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('159','10220','10216');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('160','10220','10217');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('161','10220','10212');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('162','10220','10215');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('163','10220','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('164','10221','10190');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('165','10221','10183');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('166','10221','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('167','10222','10190');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('168','10222','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('169','10223','10190');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('170','10223','10183');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('171','10223','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('172','10224','10190');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('173','10224','10183');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('174','10224','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('175','10225','10187');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('176','10225','10182');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('177','10225','10203');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('178','10226','10188');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('179','10226','10183');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('180','10226','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('181','10227','10190');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('182','10227','10183');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('183','10227','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('188','10229','10190');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('189','10229','10183');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('190','10229','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('191','10230','10190');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('192','10230','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('193','10231','10190');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('194','10231','10183');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('195','10231','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('200','10233','10190');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('201','10233','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('202','10234','10190');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('203','10234','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('204','10235','10190');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('205','10235','10183');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('206','10235','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('207','10236','10188');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('208','10236','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('209','10237','10187');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('210','10237','10203');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('218','10250','10190');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('219','10250','10183');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('220','10250','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('221','10251','10185');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('222','10251','10190');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('223','10251','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('224','10253','10216');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('225','10253','10217');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('226','10253','10212');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('227','10253','10252');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('228','10253','10190');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('229','10253','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('230','10254','10183');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('231','10254','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('232','10254','10190');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('233','10255','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('234','10256','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('235','10257','10203');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('236','10258','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('237','10259','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('238','10248','10183');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('239','10248','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('240','10248','10190');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('241','10248','10270');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('242','10248','10269');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('243','10248','10271');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('244','10248','10268');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('245','10249','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('246','10249','10185');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('247','10249','10192');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('248','10001','10272');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('249','10001','10275');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('250','10001','10273');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('251','10001','10277');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('252','10001','10274');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('253','10001','10276');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('254','10284','10278');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('255','10284','10281');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('256','10284','10279');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('257','10284','10283');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('258','10284','10280');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('259','10284','10282');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('261','10081','10286');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('262','10081','10288');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('263','10081','10290');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('264','10081','10287');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('265','10081','10291');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('266','10081','10289');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('267','10299','10293');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('268','10299','10295');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('269','10299','10297');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('270','10299','10294');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('271','10299','10298');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('272','10299','10296');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('273','10299','10292');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('274','10284','10292');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('275','10304','10204');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('276','10254','10185');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('277','10185','10305');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('278','10185','10306');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('279','10185','10307');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('280','10184','10311');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('281','10184','10312');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('282','10184','10313');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('283','10081','10314');
INSERT INTO hosts_templates (hosttemplateid,hostid,templateid) values ('284','10299','10315');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46596','740','28909');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46597','740','28910');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46598','740','28911');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46599','740','28912');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46600','1124','28913');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46601','740','28914');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46602','740','28915');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46603','740','28916');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46604','740','28917');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46605','740','28918');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46606','740','28919');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46607','740','28920');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46608','740','28921');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46609','740','28922');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46610','740','28923');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46611','740','28924');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46612','740','28925');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46613','740','28926');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46614','740','28927');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46615','740','28928');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46616','740','28929');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46617','740','28930');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46618','740','28931');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46619','740','28932');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46620','740','28933');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46621','740','28934');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46622','740','28935');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46623','740','28936');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46624','740','28937');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46625','740','28938');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46626','740','28939');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46627','740','28940');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46628','740','28941');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46629','740','28942');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46630','740','28943');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46631','740','28944');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46632','740','28945');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46633','740','28946');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46634','740','28947');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46635','740','28950');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46636','1124','28951');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46637','740','28952');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46638','740','28953');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('46639','740','28954');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60108','1117','28742');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60109','1116','28743');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60110','1116','28744');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60111','1116','28745');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60112','1116','28746');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60113','1116','28747');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60114','1116','28748');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60115','1116','28749');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60116','1116','28750');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60117','1116','28751');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60118','1116','28752');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60119','1116','28753');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60120','1116','28754');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60121','1116','28755');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60122','1116','28756');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60123','1116','28757');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60124','1116','28758');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60125','1116','28759');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60126','1116','28760');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60127','1116','28761');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60128','1116','28762');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60129','1116','28763');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60130','1116','28764');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60131','1116','28765');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60132','1116','28766');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60133','1116','28767');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60134','1116','28769');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60135','1116','28770');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60136','1116','28771');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60137','1116','28772');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60138','1116','28773');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60139','1116','28774');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60140','1119','28775');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60141','1118','28776');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60142','1118','28777');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60143','1118','28778');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60144','1118','28779');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60145','1118','28780');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60146','1118','28781');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60147','1118','28782');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60148','1118','28783');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60149','1118','28784');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60150','1118','28785');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60151','1118','28786');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60152','1118','28787');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60153','1118','28788');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60154','1118','28789');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60155','1118','28790');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60156','1118','28791');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60157','1118','28792');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60158','1118','28793');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60159','1118','28794');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60160','1118','28795');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60161','1118','28796');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60162','1118','28798');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60163','1118','28799');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60164','1118','28800');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60165','1118','28801');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60166','1118','28802');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60167','1118','28803');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60168','1319','30527');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60169','1319','30528');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60170','1319','30529');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60171','1318','30530');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60172','1319','30531');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60173','1318','30532');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60174','1318','30533');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60175','1318','30534');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60176','1318','30535');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60177','1318','30536');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60178','1318','30537');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60179','1318','30538');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60180','1318','30539');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60181','1318','30540');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60182','1318','30541');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60183','1318','30542');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60184','1318','30543');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60185','1318','30544');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60186','1318','30545');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60187','1318','30546');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60188','1318','30547');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60189','1318','30548');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60190','1318','30549');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60191','1318','30550');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60192','1318','30551');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60193','1318','30552');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60194','1318','30553');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60195','1318','30554');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60196','1318','30555');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60197','1318','30556');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60198','1318','30557');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60199','1318','30558');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60200','1318','30559');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60201','1318','30560');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60202','1318','30561');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60203','1318','30562');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60204','1318','30563');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60205','1318','30564');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60206','1318','30565');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60207','1318','30566');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60208','1318','30567');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60209','1318','30568');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60210','1318','30569');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60211','1318','30570');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60212','1326','30690');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60213','1327','30691');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60214','1326','30692');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60215','1327','30693');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60216','1327','30694');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60217','1326','30695');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60218','1326','30696');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60219','1326','30697');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60220','1326','30698');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60221','1326','30699');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60222','1326','30700');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60223','1326','30701');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60224','1326','30702');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60225','1326','30703');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60226','1326','30704');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60227','1326','30705');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60228','1326','30706');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60229','1326','30707');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60230','1326','30708');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60231','1326','30709');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60232','1326','30710');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60233','1326','30711');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60234','1326','30712');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60235','1327','30719');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60236','1327','30739');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60237','1327','30743');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60238','1327','30744');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60239','1327','30746');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60240','1327','30747');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60241','1327','30754');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60242','1327','30756');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60243','1298','30187');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60244','1298','30188');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60245','1299','30189');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60246','1299','30190');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60247','1298','30191');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60248','1298','30192');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60249','1301','30230');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60250','1301','30231');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60251','1300','30789');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60252','1300','30790');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60253','1300','30234');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60254','1300','30235');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60255','1320','30611');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60256','1321','30612');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60257','1320','30613');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60258','1320','30614');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60259','1320','30615');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60260','1320','30616');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60261','1320','30617');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60262','1320','30618');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60263','1320','30619');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60264','1320','30620');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60265','1320','30621');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60266','1320','30622');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60267','1320','30623');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60268','1320','30624');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60269','1320','30625');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60270','1320','30626');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60271','1320','30627');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60272','1320','30628');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60273','1320','30629');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60274','1320','30630');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60275','1320','30631');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60276','1320','30632');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60277','1320','30633');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60278','1320','30634');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60279','1320','30635');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60280','1320','30636');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60281','1121','28804');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60282','1120','28805');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60283','1120','28806');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60284','1120','28807');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60285','1120','28808');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60286','1120','28809');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60287','1120','28810');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60288','1120','28811');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60289','1120','28812');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60290','1120','28813');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60291','1120','28814');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60292','1120','28815');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60293','1120','28816');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60294','1120','28817');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60295','1120','28818');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60296','1120','28819');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60297','1120','28820');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60298','1123','28821');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60299','1122','28822');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60300','1122','28823');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60301','1122','28824');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60302','1122','28825');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60303','1122','28826');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60304','1122','28827');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60305','1122','28828');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60306','1122','28829');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60307','1122','28830');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60308','1122','28831');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60309','1122','28832');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60310','1122','28833');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60311','1264','29653');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60312','1264','29654');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60313','1263','29655');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60314','1263','29656');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60315','1263','29657');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60316','1263','29658');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60317','1263','29659');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60318','1263','29660');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60319','1264','29661');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60320','1263','29662');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60321','1262','29998');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60322','1262','29999');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60323','1263','29687');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60324','1263','29688');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60325','1263','29691');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60326','1263','29692');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60327','1263','29693');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60328','1263','29694');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60329','1263','29695');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60330','1263','29696');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60331','1263','29697');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60332','1263','29698');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60333','1263','29699');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60334','1263','29700');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60335','1263','29701');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60336','1261','30000');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60337','1261','30001');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60338','1261','30002');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60339','1261','30003');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60340','1261','30004');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60341','1261','30005');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60342','1261','30006');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60343','1261','30007');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60344','1261','30008');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60345','1261','30009');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60346','1261','30010');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60347','1261','30011');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60348','1261','30012');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60349','1261','30013');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60350','1261','30014');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60351','1261','30015');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60352','1261','30016');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60353','1261','30017');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60354','1261','30018');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60355','1261','30019');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60356','1261','30020');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60357','1261','30021');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60358','1261','30022');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60359','1261','30023');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60360','1263','30024');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60361','1263','30025');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60362','1266','29738');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60363','1266','29739');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60364','1268','29741');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60365','1267','29742');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60366','1267','29743');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60367','1267','29744');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60368','1268','29745');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60369','1268','30043');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60370','1265','29746');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60371','1265','29747');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60372','1265','29748');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60373','1265','29749');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60374','1265','29750');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60375','1265','29751');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60376','1265','29752');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60377','1265','29753');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60378','1265','29754');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60379','1265','29755');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60380','1265','29756');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60381','1265','29757');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60382','1265','29758');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60383','1265','29759');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60384','1265','29760');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60385','1265','29761');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60386','1265','29762');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60387','1265','29763');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60388','1265','29764');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60389','1265','29765');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60390','1265','29766');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60391','1265','29767');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60392','1265','29768');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60393','1265','29769');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60394','1267','29771');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60395','1267','29772');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60396','1267','29773');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60397','1267','29774');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60398','1267','29775');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60399','1267','29776');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60400','1267','29777');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60401','1267','29779');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60402','1267','29780');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60403','1267','29781');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60404','1267','29782');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60405','1267','29783');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60406','1267','29784');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60407','1267','30044');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60408','1267','30045');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60409','1107','28501');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60410','1108','28502');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60411','1105','28503');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60412','1105','28504');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60413','1106','28505');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60414','1106','28506');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60415','1106','28507');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60416','1107','28508');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60417','1107','28509');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60418','1107','28510');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60419','1109','28511');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60420','1106','28512');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60421','1105','28513');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60422','1108','28514');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60423','1108','28515');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60424','1108','28516');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60425','1107','28517');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60426','1108','28518');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60427','1105','28519');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60428','1105','28520');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60429','1105','28521');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60430','1105','28522');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60431','1105','28523');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60432','1106','28524');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60433','1106','28525');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60434','1106','28526');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60435','1106','28527');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60436','1106','28528');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60437','1107','28529');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60438','1107','28530');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60439','1107','28531');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60440','1105','28532');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60441','446','23644');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60442','736','26856');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60443','736','26857');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60444','736','26858');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60445','736','26859');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60446','736','26860');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60447','736','26861');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60448','736','26862');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60449','736','26863');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60450','736','26864');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60451','736','26865');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60452','736','26866');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60453','736','26867');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60454','736','26868');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60455','736','26869');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60456','739','26870');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60457','738','26871');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60458','739','26872');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60459','739','26873');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60460','739','26874');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60461','738','26875');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60462','738','26876');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60463','736','26877');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60464','736','26878');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60465','737','26879');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60466','737','26880');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60467','737','26881');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60468','736','26882');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60469','736','26883');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60470','734','26884');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60471','734','26885');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60472','734','26886');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60473','734','26887');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60474','734','26888');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60475','734','26889');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60476','734','26890');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60477','732','26891');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60478','732','26892');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60479','733','26893');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60480','733','26894');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60481','734','26895');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60482','734','26896');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60483','734','26897');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60484','735','26898');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60485','735','26899');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60486','736','26900');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60487','736','26901');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60488','736','26902');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60489','735','26903');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60490','735','26904');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60491','734','26905');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60492','734','26906');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60493','735','26907');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60494','735','26908');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60495','735','26909');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60496','732','26910');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60497','447','23645');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60498','448','23646');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60499','449','23647');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60500','450','23648');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60501','451','23649');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60502','452','23650');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60503','453','23651');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60504','1111','28585');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60505','1111','28586');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60506','1111','28587');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60507','1111','28588');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60508','1111','28589');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60509','1111','28590');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60510','1111','28591');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60511','1111','28592');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60512','1111','28593');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60513','1111','28594');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60514','1111','28595');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60515','1111','28596');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60516','1111','28597');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60517','1111','28598');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60518','1111','28599');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60519','1111','28600');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60520','1111','28601');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60521','1111','28602');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60522','1111','28603');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60523','1111','28604');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60524','1111','28605');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60525','1111','28606');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60526','1111','28607');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60527','1111','28608');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60528','1111','28609');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60529','1111','28610');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60530','1111','28611');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60531','1111','28612');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60532','1111','28613');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60533','1111','28614');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60534','1111','28615');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60535','1111','28616');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60536','1110','28539');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60537','1110','28540');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60538','1110','28541');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60539','1110','28542');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60540','1110','28543');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60541','1110','28544');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60542','1110','28545');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60543','1110','28546');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60544','1110','28547');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60545','1110','28548');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60546','1110','28549');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60547','1110','28550');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60548','1110','28551');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60549','1110','28552');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60550','1110','28553');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60551','1110','28554');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60552','1110','28555');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60553','1110','28556');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60554','1110','28557');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60555','1110','28558');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60556','1110','28559');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60557','1110','28560');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60558','1110','28561');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60559','1110','28562');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60560','1110','28563');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60561','1110','28564');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60562','1110','28565');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60563','1110','28566');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60564','1110','28567');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60565','1110','28568');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60566','1110','28569');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60567','1110','28570');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60568','1110','28571');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60569','1110','28572');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60570','1110','28573');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60571','1110','28574');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60572','1110','28575');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60573','1110','28576');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60574','1110','28577');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60575','1110','28578');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60576','1110','28579');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60577','1110','28580');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60578','1110','28581');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60579','1110','28582');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60580','1110','28583');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60581','1110','28584');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60582','1110','29821');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60583','454','23652');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60584','455','23653');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60585','456','23654');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60586','356','10067');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60587','356','10068');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60588','356','10069');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60589','356','10070');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60590','356','10071');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60591','356','10072');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60592','356','23340');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60593','356','23341');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60594','356','23342');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60595','356','23343');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60596','356','23344');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60597','356','23345');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60598','356','23346');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60599','356','23347');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60600','356','23348');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60601','356','23349');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60602','356','23350');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60603','356','23351');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60604','356','23352');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60605','356','23353');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60606','356','23354');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60607','356','23355');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60608','356','23356');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60609','356','23357');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60610','356','23358');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60611','356','23359');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60612','356','23360');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60613','356','25368');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60614','356','25369');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60615','356','28250');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60616','356','28251');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60617','356','28617');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60618','356','28618');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60619','356','28619');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60620','179','10061');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60621','179','10062');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60622','179','10063');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60623','179','10064');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60624','179','10065');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60625','179','10066');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60626','179','22183');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60627','179','22185');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60628','179','22187');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60629','179','22189');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60630','179','22191');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60631','179','22196');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60632','179','22199');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60633','179','22219');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60634','179','22396');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60635','179','22399');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60636','179','22400');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60637','179','22401');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60638','179','22402');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60639','179','22404');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60640','179','22406');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60641','179','22408');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60642','179','22412');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60643','179','22414');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60644','179','22416');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60645','179','22418');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60646','179','22420');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60647','179','22422');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60648','179','22424');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60649','179','22426');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60650','179','22430');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60651','179','22689');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60652','179','23171');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60653','179','23251');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60654','179','23634');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60655','179','23661');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60656','179','23663');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60657','179','25366');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60658','179','25370');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60659','179','25665');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60660','179','25666');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60661','179','28248');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60662','179','28533');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60663','179','28535');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60664','179','28537');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60665','179','29822');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60666','345','10073');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60667','345','10074');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60668','345','10075');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60669','345','10076');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60670','345','10077');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60671','345','10078');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60672','345','23252');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60673','345','23253');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60674','345','23255');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60675','345','23256');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60676','345','23257');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60677','345','23258');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60678','345','23259');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60679','345','23260');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60680','345','23261');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60681','345','23262');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60682','345','23264');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60683','345','23265');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60684','345','23266');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60685','345','23267');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60686','345','23268');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60687','345','23269');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60688','345','23270');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60689','345','23271');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60690','345','23272');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60691','345','23273');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60692','345','23274');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60693','345','23275');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60694','345','23276');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60695','345','23277');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60696','345','23328');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60697','345','23620');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60698','345','23625');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60699','345','23628');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60700','345','23635');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60701','345','23662');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60702','345','23664');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60703','345','25367');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60704','345','25371');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60705','345','25667');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60706','345','25668');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60707','345','28249');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60708','345','28534');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60709','345','28536');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60710','345','28538');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60711','345','29823');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60712','280','22917');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60713','280','22918');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60714','273','22920');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60715','279','22920');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60716','273','22921');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60717','279','22921');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60718','273','22922');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60719','279','22922');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60720','273','22923');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60721','279','22923');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60722','273','22924');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60723','279','22924');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60724','275','22933');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60725','278','22933');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60726','275','22934');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60727','278','22934');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60728','275','22938');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60729','278','22938');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60730','275','22939');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60731','278','22939');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60732','278','22940');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60733','281','22940');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60734','281','22941');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60735','276','22942');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60736','276','22943');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60737','273','23108');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60738','331','23108');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60739','279','23108');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60740','273','23109');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60741','331','23109');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60742','279','23109');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60743','273','23110');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60744','279','23110');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60745','273','23111');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60746','331','23111');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60747','279','23111');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60748','273','23112');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60749','331','23112');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60750','279','23112');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60751','273','23113');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60752','279','23113');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60753','273','23114');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60754','279','23114');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60755','273','23115');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60756','279','23115');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60757','274','23116');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60758','279','23116');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60759','274','23117');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60760','279','23117');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60761','273','23118');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60762','331','23118');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60763','273','23119');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60764','279','23119');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60765','273','23120');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60766','279','23120');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60767','273','23121');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60768','279','23121');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60769','276','23122');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60770','279','23122');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60771','273','23123');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60772','279','23123');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60773','276','23124');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60774','276','23125');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60775','276','23126');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60776','276','23127');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60777','276','23128');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60778','276','23129');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60779','276','23130');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60780','276','23131');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60781','277','22945');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60782','277','22946');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60783','274','22948');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60784','274','22949');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60785','274','22950');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60786','274','22951');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60787','274','22952');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60788','268','22875');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60789','268','22876');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60790','270','22877');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60791','270','22878');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60792','265','22879');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60793','268','22879');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60794','263','22880');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60795','269','22880');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60796','263','22881');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60797','269','22881');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60798','263','22882');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60799','269','22882');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60800','263','22883');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60801','269','22883');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60802','263','22884');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60803','269','22884');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60804','263','22885');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60805','269','22885');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60806','263','22886');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60807','269','22886');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60808','263','22888');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60809','269','22888');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60810','263','22891');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60811','269','22891');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60812','263','22892');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60813','269','22892');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60814','265','22893');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60815','268','22893');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60816','265','22894');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60817','268','22894');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60818','266','22895');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60819','266','22896');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60820','266','22897');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60821','265','22898');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60822','268','22898');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60823','265','22899');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60824','268','22899');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60825','268','22900');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60826','271','22900');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60827','271','22901');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60828','266','22902');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60829','266','22903');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60830','264','22908');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60831','264','22909');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60832','264','22910');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60833','264','22911');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60834','264','22912');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60835','267','23073');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60836','267','23074');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60837','283','22961');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60838','289','22961');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60839','283','22962');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60840','289','22962');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60841','283','22963');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60842','289','22963');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60843','283','22965');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60844','289','22965');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60845','283','22968');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60846','289','22968');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60847','283','22971');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60848','289','22971');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60849','283','22972');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60850','289','22972');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60851','285','22973');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60852','288','22973');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60853','285','22974');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60854','288','22974');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60855','285','22978');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60856','288','22978');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60857','288','22980');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60858','291','22980');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60859','291','22981');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60860','286','22982');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60861','286','22983');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60862','287','22985');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60863','287','22986');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60864','284','22988');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60865','284','22989');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60866','284','22990');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60867','284','22991');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60868','284','22992');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60869','308','23035');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60870','308','23036');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60871','305','23039');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60872','308','23039');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60873','303','23041');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60874','309','23041');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60875','303','23042');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60876','309','23042');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60877','303','23043');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60878','309','23043');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60879','305','23053');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60880','308','23053');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60881','305','23054');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60882','308','23054');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60883','305','23058');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60884','308','23058');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60885','305','23059');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60886','308','23059');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60887','308','23060');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60888','311','23060');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60889','311','23061');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60890','306','23062');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60891','306','23063');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60892','307','23077');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60893','307','23078');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60894','304','23068');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60895','304','23069');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60896','304','23070');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60897','304','23071');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60898','304','23072');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60899','258','22835');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60900','258','22836');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60901','260','22837');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60902','260','22838');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60903','255','22839');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60904','258','22839');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60905','253','22840');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60906','259','22840');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60907','253','22841');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60908','259','22841');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60909','253','22842');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60910','259','22842');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60911','253','22843');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60912','259','22843');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60913','253','22844');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60914','259','22844');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60915','253','22845');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60916','259','22845');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60917','253','22846');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60918','259','22846');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60919','253','22848');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60920','259','22848');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60921','253','22851');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60922','259','22851');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60923','253','22852');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60924','259','22852');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60925','255','22853');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60926','258','22853');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60927','255','22854');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60928','258','22854');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60929','256','22855');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60930','256','22856');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60931','256','22857');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60932','255','22858');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60933','258','22858');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60934','255','22859');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60935','258','22859');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60936','258','22860');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60937','261','22860');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60938','261','22861');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60939','256','22862');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60940','256','22863');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60941','254','22868');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60942','254','22869');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60943','254','22870');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60944','254','22871');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60945','254','22872');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60946','257','23075');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60947','257','23076');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60948','298','22996');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60949','300','22997');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60950','300','22998');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60951','295','22999');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60952','298','22999');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60953','293','23000');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60954','299','23000');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60955','293','23001');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60956','299','23001');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60957','293','23002');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60958','299','23002');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60959','293','23003');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60960','299','23003');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60961','293','23004');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60962','299','23004');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60963','293','23005');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60964','299','23005');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60965','293','23007');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60966','299','23007');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60967','293','23011');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60968','299','23011');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60969','293','23012');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60970','299','23012');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60971','295','23013');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60972','298','23013');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60973','295','23014');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60974','298','23014');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60975','296','23015');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60976','296','23016');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60977','296','23017');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60978','295','23018');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60979','298','23018');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60980','295','23019');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60981','298','23019');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60982','298','23020');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60983','301','23020');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60984','301','23021');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60985','296','23022');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60986','296','23023');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60987','297','23025');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60988','297','23026');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60989','294','23028');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60990','294','23029');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60991','294','23030');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60992','294','23031');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60993','294','23032');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60994','743','26925');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60995','743','26926');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60996','741','26927');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60997','742','26928');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60998','743','26929');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('60999','743','26930');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61000','743','26931');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61001','743','26932');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61002','745','26933');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61003','746','26934');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61004','744','26935');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61005','744','26936');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61006','746','26937');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61007','746','26938');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61008','746','26939');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61009','746','26940');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61010','746','26941');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61011','746','26942');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61012','745','26943');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61013','748','26944');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61014','748','26945');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61015','749','26946');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61016','755','26947');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61017','755','26948');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61018','755','26949');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61019','753','26950');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61020','757','26951');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61021','753','26952');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61022','757','26953');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61023','757','26954');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61024','755','26955');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61025','755','26956');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61026','750','26957');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61027','750','26958');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61028','750','26959');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61029','753','26960');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61030','753','26961');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61031','755','26962');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61032','755','26963');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61033','755','26964');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61034','753','26965');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61035','763','26966');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61036','763','26967');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61037','762','26968');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61038','762','26969');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61039','760','26970');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61040','760','26971');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61041','760','26972');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61042','760','26973');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61043','760','26974');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61044','761','26975');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61045','761','26976');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61046','758','26977');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61047','761','26977');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61048','760','26978');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61049','760','26979');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61050','758','26980');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61051','758','26981');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61052','761','26981');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61053','758','26982');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61054','761','26982');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61055','761','26983');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61056','761','26984');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61057','762','26984');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61058','758','26985');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61059','761','26985');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61060','760','26986');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61061','747','26994');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61062','754','26995');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61063','754','26996');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61064','754','26997');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61065','754','26998');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61066','751','26999');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61067','751','27000');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61068','751','27001');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61069','751','27002');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61070','752','27003');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61071','752','27004');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61072','752','27005');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61073','752','27006');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61074','759','27007');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61075','759','27008');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61076','759','27009');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61077','759','27010');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61078','1112','28621');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61079','1112','28622');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61080','1112','28623');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61081','1112','28624');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61082','1328','30821');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61083','1328','30822');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61084','1330','30823');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61085','1330','30824');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61086','1330','30825');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61087','1330','30826');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61088','1328','30827');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61089','1330','30828');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61090','1330','30829');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61091','1330','30830');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61092','1328','30831');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61093','1328','30832');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61094','1328','30833');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61095','1328','30834');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61096','1328','30835');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61097','1329','30836');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61098','1328','30837');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61099','1328','30838');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61100','1328','30839');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61101','1329','30840');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61102','1328','30841');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61103','1329','30842');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61104','1329','30843');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61105','1329','30844');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61106','1329','30845');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61107','1328','30846');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61108','1328','30847');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61109','1328','30848');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61110','1328','30849');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61111','1328','30850');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61112','1328','30851');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61113','1328','30852');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61114','1328','30853');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61115','1328','30854');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61116','1328','30855');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61117','1328','30856');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61118','1328','30857');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61119','1328','30858');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61120','1328','30859');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61121','1328','30860');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61122','1328','30861');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61123','1328','30862');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61124','1328','30863');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61125','1328','30864');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61126','1328','30865');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61127','1328','30866');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61128','1328','30867');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61129','1328','30868');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61130','1328','30869');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61131','1328','30870');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61132','1328','30871');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61133','1328','30872');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61134','1329','30873');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61135','1314','30431');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61136','1314','30432');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61137','1315','30433');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61138','1314','30434');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61139','1314','30435');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61140','1315','30436');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61141','1314','30437');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61142','1314','30438');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61143','1314','30439');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61144','1314','30440');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61145','1314','30441');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61146','1314','30442');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61147','1315','30443');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61148','1314','30444');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61149','1314','30445');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61150','1314','30446');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61151','1314','30447');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61152','1314','30448');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61153','1314','30449');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61154','1314','30450');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61155','1314','30451');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61156','1314','30452');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61157','1314','30453');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61158','1314','30454');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61159','1314','30455');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61160','1314','30456');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61161','1314','30457');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61162','1314','30458');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61163','1314','30459');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61164','1314','30460');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61165','1314','30461');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61166','1314','30462');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61167','1314','30463');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61168','1314','30464');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61169','1314','30465');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61170','1314','30466');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61171','1314','30467');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61172','1314','30468');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61173','1314','30469');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61174','1314','30470');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61175','1314','30471');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61176','1314','30474');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61177','1315','30475');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61178','1314','30476');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61179','1314','30477');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61180','1314','30478');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61181','1322','30637');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61182','1322','30638');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61183','1323','30639');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61184','1322','30640');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61185','1322','30641');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61186','1323','30642');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61187','1322','30643');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61188','1322','30644');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61189','1322','30645');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61190','1322','30646');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61191','1322','30647');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61192','1322','30648');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61193','1323','30649');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61194','1322','30650');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61195','1322','30651');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61196','1322','30652');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61197','1322','30653');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61198','1322','30654');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61199','1322','30655');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61200','1322','30656');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61201','1322','30657');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61202','1322','30658');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61203','1322','30659');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61204','1322','30660');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61205','1322','30661');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61206','1322','30662');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61207','1322','30663');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61208','1322','30664');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61209','1322','30665');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61210','1322','30666');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61211','1322','30667');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61212','1322','30668');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61213','1322','30669');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61214','1322','30670');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61215','1322','30671');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61216','1322','30672');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61217','1322','30673');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61218','1322','30674');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61219','1322','30675');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61220','1322','30676');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61221','1322','30677');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61222','1322','30680');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61223','1323','30681');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61224','1322','30682');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61225','1322','30683');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61226','1322','30684');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61227','1317','30479');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61228','1316','30480');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61229','1316','30481');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61230','1316','30482');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61231','1316','30483');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61232','1316','30484');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61233','1317','30485');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61234','1316','30486');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61235','1317','30487');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61236','1316','30488');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61237','1316','30489');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61238','1316','30490');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61239','1316','30491');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61240','1316','30492');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61241','1316','30493');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61242','1316','30494');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61243','1316','30495');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61244','1316','30496');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61245','1316','30497');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61246','1316','30498');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61247','1316','30499');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61248','1316','30500');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61249','1316','30501');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61250','1316','30502');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61251','1316','30503');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61252','1316','30504');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61253','1316','30505');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61254','1316','30506');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61255','1316','30507');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61256','1316','30508');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61257','1316','30509');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61258','1316','30510');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61259','1316','30511');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61260','1316','30512');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61261','1316','30513');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61262','1316','30514');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61263','1316','30515');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61264','1316','30516');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61265','1316','30517');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61266','1316','30518');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61267','1316','30519');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61268','1316','30522');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61269','1317','30523');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61270','1316','30524');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61271','1316','30525');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61272','1316','30526');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61273','1115','28671');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61274','1115','28672');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61275','1114','28673');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61276','1114','28674');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61277','1115','28675');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61278','1114','28676');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61279','1114','28677');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61280','1114','28678');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61281','1114','28679');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61282','1114','28680');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61283','1114','28681');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61284','1115','28682');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61285','1115','28683');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61286','1114','28684');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61287','1114','28685');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61288','1115','28686');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61289','1115','28687');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61290','1114','28688');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61291','1114','28689');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61292','1114','28690');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61293','1114','28691');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61294','1114','28692');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61295','1114','28693');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61296','1114','28694');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61297','1114','28695');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61298','1114','28696');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61299','1114','28697');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61300','1114','28698');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61301','1114','28699');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61302','1114','28700');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61303','1114','28701');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61304','1114','28702');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61305','1114','28703');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61306','1114','28704');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61307','1114','28705');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61308','1114','28706');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61309','1114','28707');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61310','1114','28708');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61311','1114','28709');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61312','1114','28710');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61313','1115','28713');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61314','1115','28714');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61315','1302','30273');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61316','1302','30274');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61317','1303','30275');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61318','1303','30276');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61319','1302','30277');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61320','1302','30278');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61321','1302','30279');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61322','1302','30280');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61323','1302','30281');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61324','1302','30282');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61325','1302','30283');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61326','1302','30284');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61327','1302','30285');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61328','1302','30286');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61329','1302','30287');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61330','1302','30288');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61331','1302','30289');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61332','1302','30290');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61333','1302','30291');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61334','1302','30292');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61335','1302','30293');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61336','1302','30294');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61337','1302','30295');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61338','1302','30296');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61339','1302','30297');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61340','1302','30298');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61341','1302','30299');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61342','1302','30300');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61343','1302','30301');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61344','1302','30302');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61345','1302','30303');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61346','1302','30304');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61347','1302','30305');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61348','1302','30306');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61349','1302','30307');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61350','1302','30308');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61351','1302','30309');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61352','1302','30310');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61353','1302','30311');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61354','1302','30312');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61355','1302','30313');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61356','1302','30314');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61357','1302','30315');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61358','1302','30316');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61359','1302','30317');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61360','1302','30318');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61361','1302','30319');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61362','1302','30320');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61363','1302','30321');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61364','1302','30322');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61365','1302','30323');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61366','1302','30324');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61367','1302','30325');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61368','1302','30326');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61369','1302','30327');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61370','1302','30328');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61371','1302','30329');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61372','1302','30330');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61373','1302','30331');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61374','1302','30332');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61375','1302','30333');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61376','1302','30334');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61377','1302','30335');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61378','1302','30336');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61379','1302','30344');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61380','1302','30345');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61381','1302','30346');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61382','1302','30347');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61383','1302','30351');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61384','1302','30352');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61385','1302','30353');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61386','1302','30354');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61387','1302','30355');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61388','1302','30356');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61389','1302','30357');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61390','1302','30358');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61391','1302','30359');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61392','1302','30360');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61393','1302','30361');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61394','1302','30362');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61395','1302','30363');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61396','1302','30364');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61397','1302','30365');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61398','1302','30366');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61399','1302','30367');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61400','1302','30368');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61401','1302','30369');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61402','1302','30370');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61403','1302','30371');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61404','1302','30372');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61405','1302','30373');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61406','1302','30374');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61407','1302','30375');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61408','1302','30376');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61409','1302','30377');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61410','1302','30378');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61411','1302','30379');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61412','1302','30380');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61413','1302','30381');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61414','1302','30382');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61415','1302','30383');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61416','1302','30384');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61417','1302','30385');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61418','1302','30386');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61419','1302','30387');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61420','1302','30388');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61421','1302','30389');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61422','1302','30390');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61423','1302','30391');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61424','1302','30392');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61425','1302','30393');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61426','1302','30394');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61427','1302','30395');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61428','1302','30397');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61429','1302','30398');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61430','1302','30399');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61431','1302','30400');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61432','1302','30401');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61433','1302','30402');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61434','1302','30403');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61435','1302','30404');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61436','780','27065');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61437','780','27066');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61438','780','27067');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61439','797','27138');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61440','797','27139');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61441','797','27140');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61442','799','27149');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61443','799','27150');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61444','799','27151');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61445','805','27192');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61446','805','27193');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61447','805','27194');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61448','813','27225');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61449','813','27226');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61450','813','27227');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61451','822','27261');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61452','822','27262');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61453','822','27263');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61454','825','27282');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61455','825','27283');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61456','825','27284');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61457','842','27333');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61458','842','27334');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61459','842','27335');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61460','847','27365');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61461','847','27366');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61462','847','27367');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61463','876','27462');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61464','876','27463');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61465','876','27464');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61466','885','27496');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61467','885','27497');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61468','885','27498');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61469','894','27532');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61470','894','27533');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61471','894','27534');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61472','903','27568');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61473','903','27569');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61474','903','27570');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61475','912','27608');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61476','912','27609');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61477','912','27610');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61478','915','27631');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61479','915','27632');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61480','915','27633');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61481','918','27654');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61482','918','27655');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61483','918','27656');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61484','936','27734');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61485','936','27735');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61486','936','27736');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61487','944','27766');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61488','944','27767');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61489','944','27768');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61490','951','27800');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61491','951','27801');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61492','951','27802');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61493','971','27882');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61494','971','27883');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61495','971','27884');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61496','979','27919');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61497','979','27920');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61498','979','27921');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61499','988','27956');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61500','988','27957');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61501','988','27958');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61502','994','27986');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61503','994','27987');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61504','994','27988');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61505','1000','28015');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61506','1000','28016');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61507','1000','28017');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61508','1030','28130');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61509','1030','28131');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61510','1030','28132');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61511','1043','28185');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61512','1043','28186');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61513','1043','28187');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61514','1055','28233');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61515','1055','28234');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61516','1055','28235');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61517','1060','28282');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61518','1060','28283');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61519','1060','28284');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61520','1070','28330');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61521','1070','28331');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61522','1070','28332');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61523','1079','28377');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61524','1079','28378');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61525','1079','28379');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61526','1088','28426');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61527','1088','28427');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61528','1088','28428');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61529','1095','28454');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61530','1095','28455');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61531','1095','28456');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61532','1102','28482');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61533','1102','28483');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61534','1102','28484');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61535','1127','28957');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61536','1127','28958');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61537','1127','28959');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61538','1136','29050');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61539','1136','29051');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61540','1136','29052');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61541','1271','30046');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61542','1271','30047');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61543','1271','30048');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61544','798','27141');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61545','797','27143');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61546','798','27146');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61547','797','29824');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61548','798','29825');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61549','798','29826');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61550','798','29827');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61551','798','29828');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61552','911','27611');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61553','911','27615');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61554','912','27618');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61555','999','28018');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61556','999','28022');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61557','1000','28025');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61558','1087','28429');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61559','1087','28433');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61560','1088','28436');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61561','912','29829');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61562','911','29830');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61563','911','29831');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61564','911','29832');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61565','911','29833');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61566','1000','29834');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61567','999','29835');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61568','999','29836');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61569','999','29837');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61570','999','29838');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61571','1088','29839');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61572','1087','29840');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61573','1087','29841');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61574','1087','29842');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61575','1087','29843');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61576','800','27152');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61577','799','27154');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61578','800','27157');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61579','799','29844');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61580','800','29845');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61581','800','29846');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61582','800','29847');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61583','800','29848');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61584','804','27195');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61585','804','27199');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61586','805','27202');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61587','812','27228');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61588','812','27232');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61589','813','27235');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61590','821','27264');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61591','821','27268');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61592','822','27271');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61593','824','27285');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61594','824','27289');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61595','825','27292');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61596','841','27336');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61597','841','27340');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61598','842','27343');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61599','846','27368');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61600','846','27372');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61601','847','27375');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61602','875','27465');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61603','875','27469');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61604','876','27472');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61605','884','27499');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61606','884','27503');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61607','885','27506');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61608','893','27535');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61609','893','27539');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61610','894','27542');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61611','902','27571');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61612','902','27575');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61613','903','27578');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61614','914','27634');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61615','914','27638');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61616','915','27641');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61617','917','27657');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61618','917','27661');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61619','918','27664');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61620','935','27737');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61621','935','27741');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61622','936','27744');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61623','943','27769');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61624','943','27773');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61625','944','27776');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61626','950','27803');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61627','950','27807');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61628','951','27810');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61629','970','27885');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61630','970','27889');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61631','971','27892');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61632','978','27922');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61633','978','27926');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61634','979','27929');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61635','987','27959');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61636','987','27963');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61637','988','27966');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61638','993','27989');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61639','993','27993');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61640','994','27996');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61641','1029','28133');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61642','1029','28137');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61643','1030','28140');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61644','1042','28188');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61645','1042','28192');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61646','1043','28195');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61647','1054','28236');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61648','1054','28240');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61649','1055','28243');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61650','1059','28285');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61651','1059','28289');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61652','1060','28292');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61653','1069','28333');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61654','1069','28337');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61655','1070','28340');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61656','1078','28380');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61657','1078','28384');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61658','1079','28387');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61659','1094','28457');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61660','1094','28461');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61661','1095','28464');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61662','1101','28485');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61663','1101','28489');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61664','1102','28492');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61665','1126','28960');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61666','1126','28964');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61667','1127','28967');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61668','1135','29053');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61669','1135','29057');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61670','1136','29060');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61671','805','29849');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61672','804','29850');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61673','804','29851');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61674','804','29852');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61675','804','29853');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61676','813','29854');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61677','812','29855');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61678','812','29856');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61679','812','29857');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61680','812','29858');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61681','822','29859');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61682','821','29860');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61683','821','29861');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61684','821','29862');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61685','821','29863');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61686','825','29864');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61687','824','29865');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61688','824','29866');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61689','824','29867');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61690','824','29868');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61691','842','29869');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61692','841','29870');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61693','841','29871');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61694','841','29872');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61695','841','29873');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61696','847','29874');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61697','846','29875');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61698','846','29876');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61699','846','29877');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61700','846','29878');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61701','876','29879');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61702','875','29880');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61703','875','29881');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61704','875','29882');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61705','875','29883');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61706','885','29884');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61707','884','29885');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61708','884','29886');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61709','884','29887');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61710','884','29888');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61711','894','29889');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61712','893','29890');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61713','893','29891');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61714','893','29892');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61715','893','29893');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61716','903','29894');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61717','902','29895');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61718','902','29896');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61719','902','29897');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61720','902','29898');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61721','915','29899');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61722','914','29900');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61723','914','29901');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61724','914','29902');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61725','914','29903');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61726','918','29904');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61727','917','29905');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61728','917','29906');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61729','917','29907');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61730','917','29908');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61731','936','29909');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61732','935','29910');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61733','935','29911');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61734','935','29912');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61735','935','29913');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61736','944','29914');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61737','943','29915');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61738','943','29916');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61739','943','29917');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61740','943','29918');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61741','951','29919');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61742','950','29920');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61743','950','29921');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61744','950','29922');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61745','950','29923');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61746','971','29924');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61747','970','29925');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61748','970','29926');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61749','970','29927');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61750','970','29928');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61751','979','29929');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61752','978','29930');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61753','978','29931');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61754','978','29932');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61755','978','29933');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61756','988','29934');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61757','987','29935');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61758','987','29936');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61759','987','29937');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61760','987','29938');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61761','994','29939');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61762','993','29940');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61763','993','29941');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61764','993','29942');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61765','993','29943');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61766','1030','29944');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61767','1029','29945');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61768','1029','29946');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61769','1029','29947');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61770','1029','29948');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61771','1043','29949');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61772','1042','29950');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61773','1042','29951');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61774','1042','29952');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61775','1042','29953');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61776','1055','29954');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61777','1054','29955');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61778','1054','29956');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61779','1054','29957');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61780','1054','29958');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61781','1060','29959');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61782','1059','29960');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61783','1059','29961');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61784','1059','29962');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61785','1059','29963');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61786','1070','29964');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61787','1069','29965');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61788','1069','29966');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61789','1069','29967');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61790','1069','29968');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61791','1079','29969');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61792','1078','29970');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61793','1078','29971');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61794','1078','29972');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61795','1078','29973');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61796','1095','29974');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61797','1094','29975');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61798','1094','29976');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61799','1094','29977');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61800','1094','29978');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61801','1102','29979');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61802','1101','29980');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61803','1101','29981');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61804','1101','29982');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61805','1101','29983');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61806','1127','29984');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61807','1126','29985');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61808','1126','29986');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61809','1126','29987');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61810','1126','29988');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61811','1136','29989');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61812','1135','29990');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61813','1135','29991');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61814','1135','29992');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61815','1135','29993');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61816','1270','30049');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61817','1270','30050');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61818','1270','30051');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61819','1270','30052');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61820','1270','30053');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61821','1270','30054');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61822','1271','30055');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61823','1271','30056');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61824','1304','30405');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61825','1307','30406');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61826','1305','30411');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61827','1305','30412');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61828','1305','30413');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61829','1308','30417');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61830','1308','30418');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61831','1308','30419');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61832','1283','30142');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61833','1286','30143');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61834','1289','30144');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61835','1292','30145');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61836','1295','30146');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61837','1284','30157');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61838','1284','30158');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61839','1284','30159');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61840','1287','30163');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61841','1287','30164');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61842','1287','30165');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61843','1290','30169');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61844','1290','30170');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61845','1290','30171');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61846','1293','30175');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61847','1293','30176');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61848','1293','30177');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61849','1296','30181');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61850','1296','30182');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61851','1296','30183');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61852','1221','22231');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61853','1221','22232');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61854','1221','23318');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61855','1222','29544');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61856','1223','29545');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61857','1223','29546');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61858','1224','29547');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61859','1225','10020');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61860','1225','10059');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61861','1226','22833');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61862','1226','22834');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61863','1228','22873');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61864','1228','22874');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61865','1230','22913');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61866','1230','22914');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61867','1232','22953');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61868','1232','22954');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61869','1234','22993');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61870','1234','22994');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61871','1236','23033');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61872','1236','23034');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61873','1238','23160');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61874','1238','23161');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61875','1225','23319');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61876','1226','23320');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61877','1228','23321');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61878','1230','23322');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61879','1232','23323');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61880','1234','23324');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61881','1236','23325');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61882','1238','23326');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61883','1161','29548');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61884','1227','29549');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61885','1229','29550');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61886','1231','29551');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61887','1233','29552');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61888','1235','29553');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61889','1237','29554');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61890','1219','29555');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61891','1241','29558');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61892','1242','29559');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61893','1241','29560');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61894','1269','29995');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61895','1192','29996');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61896','1269','29997');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61897','1240','23287');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61898','1240','23288');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61899','1240','23327');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61900','1171','29557');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61901','810','27203');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61902','807','27207');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61903','806','27208');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61904','810','30086');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61905','807','30087');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61906','807','30088');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61907','807','30089');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61908','808','27212');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61909','809','27213');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61910','810','27214');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61911','1279','30091');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61912','1279','30092');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61913','1068','28323');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61914','1068','28324');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61915','1062','28325');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61916','1062','28326');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61917','1064','28327');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61918','1064','28328');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61919','1066','28329');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61920','819','27236');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61921','819','27237');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61922','813','27238');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61923','814','27240');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61924','815','30093');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61925','816','27246');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61926','816','27247');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61927','817','27248');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61928','818','27249');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61929','818','27250');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61930','826','27294');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61931','831','27295');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61932','831','27296');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61933','835','27297');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61934','827','30094');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61935','836','27299');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61936','838','27301');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61937','837','30095');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61938','839','30096');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61939','829','27312');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61940','830','27313');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61941','828','27314');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61942','828','27315');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61943','833','27316');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61944','834','27317');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61945','832','27318');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61946','835','27319');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61947','835','27320');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61948','851','27376');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61949','852','27378');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61950','852','27379');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61951','852','30097');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61952','869','27380');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61953','870','27382');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61954','870','27383');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61955','858','27385');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61956','858','27386');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61957','1048','28209');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61958','1048','28210');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61959','858','30098');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61960','870','30099');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61961','1048','30100');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61962','848','27415');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61963','848','27416');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61964','849','27417');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61965','852','27419');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61966','853','27420');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61967','853','27421');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61968','854','27422');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61969','855','27423');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61970','1056','28246');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61971','848','30101');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61972','856','27425');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61973','856','27426');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61974','857','27427');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61975','858','27428');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61976','859','27429');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61977','859','27430');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61978','860','27431');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61979','861','27432');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61980','868','27443');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61981','868','27444');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61982','870','27445');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61983','871','27446');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61984','871','27447');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61985','872','27448');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61986','873','27449');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61987','1048','28208');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61988','1049','28215');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61989','1050','28216');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61990','1051','28217');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61991','1051','28218');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61992','1052','28220');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61993','1052','28222');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61994','1057','28247');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61995','856','30102');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61996','868','30103');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61997','1052','30104');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61998','877','27478');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('61999','880','27479');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62000','881','27480');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62001','882','27481');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62002','882','27482');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62003','882','27483');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62004','882','27484');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62005','879','27485');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62006','878','30105');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62007','891','27508');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62008','891','27509');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62009','891','27510');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62010','886','27511');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62011','891','30106');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62012','888','27517');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62013','890','27518');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62014','889','27519');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62015','887','30107');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62016','900','27543');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62017','900','27544');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62018','900','27545');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62019','900','27546');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62020','895','27547');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62021','897','27553');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62022','899','27554');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62023','898','27555');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62024','896','30108');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62025','909','27579');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62026','909','27580');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62027','909','27582');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62028','909','27583');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62029','906','27584');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62030','906','27585');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62031','904','27586');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62032','909','30109');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62033','905','27591');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62034','907','27593');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62035','908','27594');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62036','908','27595');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62037','905','30110');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62038','905','30111');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62039','919','27671');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62040','921','27672');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62041','922','27673');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62042','923','27674');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62043','924','27675');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62044','924','27676');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62045','924','27677');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62046','924','27678');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62047','924','27679');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62048','920','30112');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62049','1036','28141');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62050','1036','28142');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62051','1031','28143');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62052','1033','28150');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62053','1032','28153');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62054','1034','28154');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62055','1035','28155');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62056','1033','28156');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62057','1036','28157');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62058','1036','28158');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62059','1032','30113');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62060','1032','30114');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62061','1032','30115');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62062','941','27748');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62063','941','27749');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62064','941','27750');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62065','939','27751');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62066','937','27753');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62067','941','27754');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62068','940','27755');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62069','938','30116');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62070','948','27777');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62071','948','27778');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62072','945','27783');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62073','945','27784');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62074','948','27785');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62075','946','27786');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62076','947','27787');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62077','957','27812');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62078','957','27813');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62079','951','27814');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62080','957','30117');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62081','954','27821');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62082','956','27822');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62083','955','27823');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62084','952','28894');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62085','953','30118');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62086','1044','28200');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62087','1044','28201');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62088','1045','28202');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62089','1045','28203');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62090','1047','28204');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62091','1047','28205');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62092','1046','28206');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62093','976','27893');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62094','976','27894');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62095','976','27895');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62096','974','27897');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62097','973','27898');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62098','973','27900');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62099','976','30119');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62100','973','30120');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62101','972','27904');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62102','974','27905');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62103','975','27906');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62104','975','27907');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62105','975','27908');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62106','985','27930');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62107','985','27931');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62108','981','27935');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62109','980','27936');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62110','985','30121');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62111','981','30122');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62112','981','30123');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62113','982','27940');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62114','982','27941');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62115','984','27942');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62116','983','27943');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62117','991','27967');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62118','991','27968');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62119','991','27970');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62120','991','27971');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62121','990','27972');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62122','990','27973');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62123','989','27975');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62124','1282','30124');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62125','991','30125');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62126','990','30126');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62127','1280','30129');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62128','1281','30130');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62129','997','27997');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62130','997','27998');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62131','997','27999');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62132','997','28000');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62133','995','28003');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62134','996','30131');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62135','1003','28026');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62136','1003','28027');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62137','1001','28031');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62138','1002','30132');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62139','1002','30133');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62140','1002','30134');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62141','1002','30135');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62142','1002','30136');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62143','1142','29087');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62144','1142','29088');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62145','1142','29089');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62146','1142','29090');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62147','1142','29091');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62148','1142','29092');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62149','1142','29093');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62150','1142','29094');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62151','1142','29095');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62152','1142','29096');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62153','1142','29097');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62154','1142','29098');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62155','1142','29099');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62156','1142','29100');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62157','1142','29101');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62158','1142','29102');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62159','1144','29103');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62160','1144','29104');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62161','1144','29105');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62162','1144','29106');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62163','1144','29107');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62164','1144','29108');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62165','1146','29109');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62166','1151','29110');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62167','1148','29111');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62168','1148','29112');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62169','1148','29113');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62170','1148','29114');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62171','1148','29115');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62172','1148','29116');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62173','1148','29117');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62174','1148','29118');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62175','1148','29119');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62176','1150','29120');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62177','1149','29121');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62178','1149','29122');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62179','1149','29123');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62180','1152','29124');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62181','1152','29125');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62182','1152','29126');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62183','1152','29127');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62184','1152','29128');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62185','1152','29129');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62186','1152','29130');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62187','1152','29131');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62188','1152','29132');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62189','1152','29133');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62190','1152','29134');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62191','1152','29135');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62192','1152','29136');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62193','1152','29137');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62194','1152','29138');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62195','1152','29139');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62196','1154','29140');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62197','1154','29141');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62198','1154','29142');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62199','1154','29143');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62200','1154','29144');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62201','1154','29145');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62202','1156','29146');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62203','1161','29147');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62204','1158','29148');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62205','1158','29149');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62206','1158','29150');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62207','1158','29151');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62208','1158','29152');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62209','1158','29153');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62210','1158','29154');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62211','1158','29155');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62212','1158','29156');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62213','1160','29157');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62214','1159','29158');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62215','1159','29159');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62216','1159','29160');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62217','1162','29161');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62218','1162','29162');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62219','1162','29163');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62220','1162','29164');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62221','1162','29165');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62222','1162','29166');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62223','1162','29167');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62224','1162','29168');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62225','1162','29169');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62226','1162','29170');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62227','1162','29171');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62228','1162','29172');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62229','1162','29173');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62230','1162','29174');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62231','1162','29175');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62232','1162','29176');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62233','1164','29177');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62234','1164','29178');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62235','1164','29179');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62236','1164','29180');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62237','1164','29181');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62238','1164','29182');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62239','1166','29183');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62240','1171','29184');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62241','1168','29185');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62242','1168','29186');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62243','1168','29187');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62244','1168','29188');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62245','1168','29189');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62246','1168','29190');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62247','1168','29191');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62248','1168','29192');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62249','1168','29193');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62250','1170','29194');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62251','1169','29195');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62252','1169','29196');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62253','1169','29197');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62254','1142','29198');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62255','1152','29199');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62256','1162','29200');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62257','1146','29254');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62258','1146','29255');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62259','1156','29260');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62260','1156','29261');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62261','1166','29266');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62262','1166','29267');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62263','1173','29273');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62264','1173','29274');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62265','1173','29275');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62266','1173','29276');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62267','1173','29277');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62268','1173','29278');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62269','1173','29279');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62270','1173','29280');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62271','1173','29281');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62272','1173','29282');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62273','1173','29283');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62274','1173','29284');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62275','1173','29285');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62276','1173','29286');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62277','1173','29287');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62278','1173','29288');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62279','1175','29289');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62280','1175','29290');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62281','1175','29291');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62282','1175','29292');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62283','1175','29293');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62284','1175','29294');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62285','1177','29295');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62286','1182','29296');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62287','1179','29297');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62288','1179','29298');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62289','1179','29299');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62290','1179','29300');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62291','1179','29301');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62292','1179','29302');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62293','1179','29303');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62294','1179','29304');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62295','1179','29305');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62296','1181','29306');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62297','1180','29307');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62298','1180','29308');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62299','1180','29309');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62300','1183','29310');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62301','1183','29311');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62302','1183','29312');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62303','1183','29313');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62304','1183','29314');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62305','1183','29315');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62306','1183','29316');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62307','1183','29317');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62308','1183','29318');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62309','1183','29319');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62310','1183','29320');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62311','1183','29321');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62312','1183','29322');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62313','1183','29323');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62314','1183','29324');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62315','1183','29325');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62316','1185','29326');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62317','1185','29327');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62318','1185','29328');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62319','1185','29329');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62320','1185','29330');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62321','1185','29331');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62322','1187','29332');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62323','1192','29333');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62324','1189','29334');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62325','1189','29335');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62326','1189','29336');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62327','1189','29337');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62328','1189','29338');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62329','1189','29339');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62330','1189','29340');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62331','1189','29341');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62332','1189','29342');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62333','1191','29343');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62334','1190','29344');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62335','1190','29345');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62336','1190','29346');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62337','1173','29347');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62338','1183','29348');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62339','1177','29385');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62340','1177','29386');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62341','1187','29391');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62342','1187','29392');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62343','1201','29395');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62344','1196','29396');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62345','1196','29397');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62346','1194','29398');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62347','1193','29399');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62348','1196','29400');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62349','1196','29401');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62350','1196','29402');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62351','1196','29403');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62352','1194','29404');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62353','1193','29405');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62354','1193','29406');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62355','1193','29407');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62356','1193','29408');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62357','1193','29409');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62358','1193','29410');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62359','1193','29411');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62360','1193','29412');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62361','1193','29413');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62362','1194','29414');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62363','1197','29415');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62364','1193','29416');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62365','1193','29417');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62366','1193','29418');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62367','1193','29419');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62368','1193','29420');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62369','1199','29421');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62370','1195','29422');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62371','1194','29423');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62372','1194','29424');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62373','1194','29425');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62374','1193','29426');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62375','1193','29427');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62376','1195','29428');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62377','1201','29450');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62378','1201','29451');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62379','1128','28978');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62380','1128','28979');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62381','1128','28980');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62382','1128','28981');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62383','1128','28982');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62384','1128','28983');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62385','1128','28984');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62386','1128','28985');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62387','1128','28986');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62388','1130','28987');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62389','1130','28988');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62390','1130','28989');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62391','1130','28990');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62392','1130','28991');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62393','1130','28992');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62394','1132','28993');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62395','1132','28994');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62396','1132','28995');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62397','1132','28996');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62398','1132','28997');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62399','1132','28998');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62400','1132','28999');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62401','1132','29000');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62402','1132','29001');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62403','1134','29002');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62404','1134','29003');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62405','1134','29004');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62406','1134','29005');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62407','1134','29006');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62408','1134','29007');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62409','1130','29017');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62410','1130','29018');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62411','1130','29019');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62412','1130','29020');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62413','1130','29021');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62414','1130','29022');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62415','1130','29023');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62416','1130','29024');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62417','1130','29025');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62418','1130','29026');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62419','1134','29034');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62420','1134','29035');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62421','1134','29036');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62422','1134','29037');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62423','1134','29038');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62424','1134','29039');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62425','1134','29040');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62426','1134','29041');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62427','1134','29042');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62428','1134','29043');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62429','1130','29048');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62430','1134','29049');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62431','1202','29454');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62432','1202','29455');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62433','1202','29456');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62434','1202','29457');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62435','1202','29458');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62436','1202','29459');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62437','1203','29460');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62438','1203','29461');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62439','1203','29462');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62440','1203','29463');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62441','1203','29464');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62442','1203','29465');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62443','1203','29466');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62444','1203','29467');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62445','1203','29468');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62446','1203','29469');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62447','1203','29470');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62448','1206','29471');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62449','1209','29472');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62450','1207','29473');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62451','1207','29474');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62452','1207','29475');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62453','1207','29476');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62454','1207','29477');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62455','1208','29478');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62456','1211','29479');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62457','1202','30137');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62458','1212','29480');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62459','1212','29481');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62460','1212','29482');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62461','1212','29483');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62462','1212','29484');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62463','1212','29485');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62464','1213','29486');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62465','1213','29487');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62466','1213','29488');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62467','1213','29489');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62468','1213','29490');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62469','1213','29491');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62470','1213','29492');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62471','1213','29493');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62472','1213','29494');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62473','1213','29495');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62474','1213','29496');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62475','1216','29497');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62476','1219','29498');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62477','1217','29499');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62478','1217','29500');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62479','1217','29501');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62480','1217','29502');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62481','1217','29503');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62482','1218','29504');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62483','1216','29505');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62484','1212','30138');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62485','1310','30425');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62486','1311','30426');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62487','1243','29561');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62488','1243','29562');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62489','1243','29563');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62490','1243','29564');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62491','1243','29565');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62492','1243','29566');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62493','1244','29567');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62494','1244','29568');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62495','1244','29569');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62496','1244','29570');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62497','1244','29571');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62498','1244','29572');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62499','1244','29573');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62500','1244','29574');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62501','1244','29575');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62502','1244','29576');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62503','1244','29577');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62504','1247','29578');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62505','1250','29579');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62506','1248','29580');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62507','1248','29581');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62508','1248','29582');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62509','1248','29583');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62510','1248','29584');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62511','1249','29585');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62512','1252','29586');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62513','1243','30139');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62514','1253','29587');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62515','1253','29588');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62516','1253','29589');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62517','1253','29590');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62518','1253','29591');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62519','1253','29592');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62520','1254','29593');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62521','1254','29594');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62522','1254','29595');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62523','1254','29596');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62524','1254','29597');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62525','1254','29598');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62526','1254','29599');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62527','1254','29600');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62528','1254','29601');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62529','1254','29602');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62530','1254','29603');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62531','1257','29604');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62532','1242','29605');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62533','1258','29606');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62534','1258','29607');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62535','1258','29608');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62536','1258','29609');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62537','1258','29610');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62538','1259','29611');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62539','1257','29612');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62540','1253','30140');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62541','1312','30429');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62542','1313','30430');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62543','1325','30685');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62544','1277','30066');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62545','1277','30067');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62546','1277','30068');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62547','1277','30069');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62548','1277','30070');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62549','1276','30071');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62550','1271','30072');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62551','1274','30073');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62552','1274','30074');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62553','1273','30075');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62554','1275','30076');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62555','1275','30077');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62556','1275','30078');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62557','1275','30079');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62558','1278','30080');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62559','1278','30081');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62560','1278','30082');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62561','1272','30083');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62562','1272','30084');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62563','1272','30085');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62564','1070','28341');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62565','1073','28342');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62566','1073','28344');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62567','1073','28345');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62568','1073','30141');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62569','1076','28354');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62570','1076','28355');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62571','1076','28356');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62572','1076','28357');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62573','1075','28358');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62574','1072','28359');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62575','1072','28360');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62576','1074','28361');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62577','1074','28362');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62578','1074','28363');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62579','1074','28364');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62580','1074','28365');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62581','1074','28366');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62582','1074','28367');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62583','1077','28368');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62584','1077','28369');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62585','1077','28370');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62586','1077','28371');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62587','1077','28372');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62588','1077','28373');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62589','1071','28374');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62590','1071','28375');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62591','1071','28376');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62592','1085','28388');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62593','1082','28390');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62594','1082','28391');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62595','1079','29994');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62596','1085','28404');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62597','1085','28405');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62598','1085','28406');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62599','1085','28407');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62600','1085','28408');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62601','1085','28409');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62602','1085','28410');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62603','1084','28411');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62604','1081','28412');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62605','1080','28413');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62606','1080','28414');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62607','1080','28415');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62608','1080','28416');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62609','1083','28417');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62610','1083','28418');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62611','1083','28419');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62612','1083','28420');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62613','1083','28421');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62614','1083','28422');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62615','1086','28423');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62616','1086','28424');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62617','1086','28425');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62618','1088','28437');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62619','1090','28438');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62620','1090','28439');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62621','1093','28446');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62622','1093','28447');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62623','1093','28448');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62624','1092','28449');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62625','1089','28450');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62626','1089','28451');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62627','1091','28452');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62628','1091','28453');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62629','1095','28465');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62630','1097','28466');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62631','1097','28467');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62632','1100','28474');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62633','1100','28475');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62634','1100','28476');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62635','1099','28477');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62636','1096','28478');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62637','1096','28479');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62638','1098','28480');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62639','1098','28481');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62640','1104','28495');
INSERT INTO items_applications (itemappid,applicationid,itemid) values ('62641','1103','28496');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1','1','0','Down');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('2','1','1','Up');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('3','2','0','not available');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('4','2','1','available');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('5','2','2','unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('13','6','1','Other');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('14','6','2','OK');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('15','6','3','Degraded');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('17','7','1','Other');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('18','7','2','Unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('19','7','3','OK');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('20','7','4','NonCritical');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('21','7','5','Critical');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('22','7','6','NonRecoverable');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('23','5','1','unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('24','5','2','batteryNormal');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('25','5','3','batteryLow');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('26','4','1','unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('27','4','2','notInstalled');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('28','4','3','ok');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('29','4','4','failed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('30','4','5','highTemperature');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('31','4','6','replaceImmediately');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('32','4','7','lowCapacity');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('33','3','0','Running');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('34','3','1','Paused');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('35','3','3','Pause pending');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('36','3','4','Continue pending');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('37','3','5','Stop pending');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('38','3','6','Stopped');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('39','3','7','Unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('40','3','255','No such service');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('41','3','2','Start pending');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('49','9','1','unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('50','9','2','running');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('51','9','3','warning');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('52','9','4','testing');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('53','9','5','down');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('61','8','1','up');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('62','8','2','down');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('63','8','3','testing');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('64','8','4','unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('65','8','5','dormant');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('66','8','6','notPresent');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('67','8','7','lowerLayerDown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('68','10','1','Up');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('69','11','1','up');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('70','11','2','down');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('71','11','3','testing');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('72','12','0','poweredOff');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('73','12','1','poweredOn');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('74','12','2','suspended');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('75','13','0','gray');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('76','13','1','green');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('77','13','2','yellow');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('78','13','3','red');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('79','14','0','normal');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('80','14','1','in maintenance');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('81','14','2','no data collection');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('82','15','0','Normal');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('83','15','1','Low memory');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('84','16','0','Automatic');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('85','16','1','Automatic delayed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('86','16','2','Manual');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('87','16','3','Disabled');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('88','16','4','Unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('89','17','100','Continue');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('90','17','101','Switching Protocols');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('91','17','102','Processing');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('92','17','200','OK');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('93','17','201','Created');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('94','17','202','Accepted');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('95','17','203','Non-Authoritative Information');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('96','17','204','No Content');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('97','17','205','Reset Content');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('98','17','206','Partial Content');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('99','17','207','Multi-Status');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('100','17','208','Already Reported');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('101','17','226','IM Used');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('102','17','300','Multiple Choices');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('103','17','301','Moved Permanently');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('104','17','302','Found');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('105','17','303','See Other');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('106','17','304','Not Modified');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('107','17','305','Use Proxy');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('108','17','306','Switch Proxy');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('109','17','307','Temporary Redirect');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('110','17','308','Permanent Redirect/Resume Incomplete');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('111','17','400','Bad Request');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('112','17','401','Unauthorized');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('113','17','402','Payment Required');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('114','17','403','Forbidden');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('115','17','404','Not Found');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('116','17','405','Method Not Allowed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('117','17','406','Not Acceptable');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('118','17','407','Proxy Authentication Required');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('119','17','408','Request Timeout');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('120','17','409','Conflict');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('121','17','410','Gone');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('122','17','411','Length Required');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('123','17','412','Precondition Failed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('124','17','413','Payload Too Large');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('125','17','414','Request-URI Too Long');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('126','17','415','Unsupported Media Type');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('127','17','416','Requested Range Not Satisfiable');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('128','17','417','Expectation Failed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('129','17','418','I''m a Teapot');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('130','17','419','Authentication Timeout');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('131','17','420','Method Failure/Enhance Your Calm');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('132','17','421','Misdirected Request');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('133','17','422','Unprocessable Entity');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('134','17','423','Locked');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('135','17','424','Failed Dependency');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('136','17','426','Upgrade Required');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('137','17','428','Precondition Required');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('138','17','429','Too Many Requests');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('139','17','431','Request Header Fields Too Large');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('140','17','440','Login Timeout');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('141','17','444','No Response');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('142','17','449','Retry With');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('143','17','450','Blocked by Windows Parental Controls');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('144','17','451','Unavailable for Legal Reasons/Redirect');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('145','17','494','Request Header Too Large');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('146','17','495','Cert Error');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('147','17','496','No Cert');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('148','17','497','HTTP to HTTPS');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('149','17','498','Token Expired/Invalid');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('150','17','499','Client Closed Request/Token Required');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('151','17','500','Internal Server Error');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('152','17','501','Not Implemented');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('153','17','502','Bad Gateway');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('154','17','503','Service Unavailable');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('155','17','504','Gateway Timeout');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('156','17','505','HTTP Version Not Supported');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('157','17','506','Variant Also Negotiates');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('158','17','507','Insufficient Storage');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('159','17','508','Loop Detected');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('160','17','509','Bandwidth Limit Exceeded');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('161','17','510','Not Extended');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('162','17','511','Network Authentication Required');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('163','17','520','Unknown Error');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('164','17','598','Network Read Timeout Error');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('165','17','599','Network Connect Timeout Error');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('166','18','1','ok');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('167','18','2','unavailable');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('168','18','3','nonoperational');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('169','19','1','unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('170','19','2','halfDuplex');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('171','19','3','fullDuplex');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('172','20','1','up');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('173','20','2','down');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('175','20','4','unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('176','20','5','dormant');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('177','20','6','notPresent');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('178','20','7','lowerLayerDown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('179','21','1','other');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('180','21','2','regular1822');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('181','21','3','hdh1822');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('182','21','4','ddnX25');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('183','21','5','rfc877x25');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('184','21','6','ethernetCsmacd');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('185','21','7','iso88023Csmacd');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('186','21','8','iso88024TokenBus');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('187','21','9','iso88025TokenRing');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('188','21','10','iso88026Man');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('189','21','11','starLan');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('190','21','12','proteon10Mbit');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('191','21','13','proteon80Mbit');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('192','21','14','hyperchannel');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('193','21','15','fddi');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('194','21','16','lapb');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('195','21','17','sdlc');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('196','21','18','ds1');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('197','21','19','e1');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('198','21','20','basicISDN');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('199','21','21','primaryISDN');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('200','21','22','propPointToPointSerial');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('201','21','23','ppp');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('202','21','24','softwareLoopback');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('203','21','25','eon');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('204','21','26','ethernet3Mbit');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('205','21','27','nsip');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('206','21','28','slip');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('207','21','29','ultra');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('208','21','30','ds3');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('209','21','31','sip');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('210','21','32','frameRelay');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('211','21','33','rs232');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('212','21','34','para');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('213','21','35','arcnet');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('214','21','36','arcnetPlus');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('215','21','37','atm');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('216','21','38','miox25');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('217','21','39','sonet');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('218','21','40','x25ple');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('219','21','41','iso88022llc');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('220','21','42','localTalk');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('221','21','43','smdsDxi');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('222','21','44','frameRelayService');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('223','21','45','v35');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('224','21','46','hssi');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('225','21','47','hippi');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('226','21','48','modem');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('227','21','49','aal5');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('228','21','50','sonetPath');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('229','21','51','sonetVT');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('230','21','52','smdsIcip');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('231','21','53','propVirtual');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('232','21','54','propMultiplexor');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('233','21','55','ieee80212');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('234','21','56','fibreChannel');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('235','21','57','hippiInterface');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('236','21','58','frameRelayInterconnect');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('237','21','59','aflane8023');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('238','21','60','aflane8025');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('239','21','61','cctEmul');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('240','21','62','fastEther');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('241','21','63','isdn');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('242','21','64','v11');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('243','21','65','v36');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('244','21','66','g703at64k');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('245','21','67','g703at2mb');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('246','21','68','qllc');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('247','21','69','fastEtherFX');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('248','21','70','channel');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('249','21','71','ieee80211');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('250','21','72','ibm370parChan');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('251','21','73','escon');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('252','21','74','dlsw');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('253','21','75','isdns');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('254','21','76','isdnu');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('255','21','77','lapd');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('256','21','78','ipSwitch');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('257','21','79','rsrb');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('258','21','80','atmLogical');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('259','21','81','ds0');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('260','21','82','ds0Bundle');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('261','21','83','bsc');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('262','21','84','async');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('263','21','85','cnr');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('264','21','86','iso88025Dtr');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('265','21','87','eplrs');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('266','21','88','arap');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('267','21','89','propCnls');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('268','21','90','hostPad');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('269','21','91','termPad');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('270','21','92','frameRelayMPI');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('271','21','93','x213');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('272','21','94','adsl');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('273','21','95','radsl');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('274','21','96','sdsl');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('275','21','97','vdsl');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('276','21','98','iso88025CRFPInt');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('277','21','99','myrinet');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('278','21','100','voiceEM');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('279','21','101','voiceFXO');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('280','21','102','voiceFXS');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('281','21','103','voiceEncap');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('282','21','104','voiceOverIp');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('283','21','105','atmDxi');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('284','21','106','atmFuni');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('285','21','107','atmIma');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('286','21','108','pppMultilinkBundle');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('287','21','109','ipOverCdlc');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('288','21','110','ipOverClaw');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('289','21','111','stackToStack');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('290','21','112','virtualIpAddress');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('291','21','113','mpc');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('292','21','114','ipOverAtm');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('293','21','115','iso88025Fiber');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('294','21','116','tdlc');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('295','21','117','gigabitEthernet');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('296','21','118','hdlc');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('297','21','119','lapf');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('298','21','120','v37');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('299','21','121','x25mlp');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('300','21','122','x25huntGroup');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('301','21','123','trasnpHdlc');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('302','21','124','interleave');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('303','21','125','fast');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('304','21','126','ip');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('305','21','127','docsCableMaclayer');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('306','21','128','docsCableDownstream');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('307','21','129','docsCableUpstream');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('308','21','130','a12MppSwitch');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('309','21','131','tunnel');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('310','21','132','coffee');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('311','21','133','ces');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('312','21','134','atmSubInterface');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('313','21','135','l2vlan');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('314','21','136','l3ipvlan');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('315','21','137','l3ipxvlan');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('316','21','138','digitalPowerline');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('317','21','139','mediaMailOverIp');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('318','21','140','dtm');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('319','21','141','dcn');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('320','21','142','ipForward');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('321','21','143','msdsl');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('322','21','144','ieee1394');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('323','21','145','if-gsn');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('324','21','146','dvbRccMacLayer');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('325','21','147','dvbRccDownstream');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('326','21','148','dvbRccUpstream');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('327','21','149','atmVirtual');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('328','21','150','mplsTunnel');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('329','21','151','srp');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('330','21','152','voiceOverAtm');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('331','21','153','voiceOverFrameRelay');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('332','21','154','idsl');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('333','21','155','compositeLink');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('334','21','156','ss7SigLink');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('335','21','157','propWirelessP2P');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('336','21','158','frForward');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('337','21','159','rfc1483');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('338','21','160','usb');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('339','21','161','ieee8023adLag');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('340','21','162','bgppolicyaccounting');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('341','21','163','frf16MfrBundle');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('342','21','164','h323Gatekeeper');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('343','21','165','h323Proxy');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('344','21','166','mpls');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('345','21','167','mfSigLink');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('346','21','168','hdsl2');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('347','21','169','shdsl');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('348','21','170','ds1FDL');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('349','21','171','pos');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('350','21','172','dvbAsiIn');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('351','21','173','dvbAsiOut');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('352','21','174','plc');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('353','21','175','nfas');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('354','21','176','tr008');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('355','21','177','gr303RDT');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('356','21','178','gr303IDT');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('357','21','179','isup');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('358','21','180','propDocsWirelessMaclayer');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('359','21','181','propDocsWirelessDownstream');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('360','21','182','propDocsWirelessUpstream');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('361','21','183','hiperlan2');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('362','21','184','propBWAp2Mp');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('363','21','185','sonetOverheadChannel');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('364','21','186','digitalWrapperOverheadChannel');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('365','21','187','aal2');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('366','21','188','radioMAC');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('367','21','189','atmRadio');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('368','21','190','imt');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('369','21','191','mvl');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('370','21','192','reachDSL');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('371','21','193','frDlciEndPt');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('372','21','194','atmVciEndPt');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('373','21','195','opticalChannel');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('374','21','196','opticalTransport');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('375','21','197','propAtm');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('376','21','198','voiceOverCable');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('377','21','199','infiniband');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('378','21','200','teLink');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('379','21','201','q2931');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('380','21','202','virtualTg');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('381','21','203','sipTg');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('382','21','204','sipSig');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('383','21','205','docsCableUpstreamChannel');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('384','21','206','econet');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('385','21','207','pon155');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('386','21','208','pon622');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('387','21','209','bridge');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('388','21','210','linegroup');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('389','21','211','voiceEMFGD');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('390','21','212','voiceFGDEANA');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('391','21','213','voiceDID');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('392','21','214','mpegTransport');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('393','21','215','sixToFour');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('394','21','216','gtp');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('395','21','217','pdnEtherLoop1');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('396','21','218','pdnEtherLoop2');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('397','21','219','opticalChannelGroup');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('398','21','220','homepna');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('399','21','221','gfp');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('400','21','222','ciscoISLvlan');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('401','21','223','actelisMetaLOOP');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('402','21','224','fcipLink');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('403','21','225','rpr');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('404','21','226','qam');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('405','21','227','lmp');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('406','21','228','cblVectaStar');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('407','21','229','docsCableMCmtsDownstream');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('408','21','230','adsl2');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('409','21','231','macSecControlledIF');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('410','21','232','macSecUncontrolledIF');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('411','21','233','aviciOpticalEther');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('412','21','234','atmbond');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('413','21','235','voiceFGDOS');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('414','21','236','mocaVersion1');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('415','21','237','ieee80216WMAN');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('416','21','238','adsl2plus');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('417','21','239','dvbRcsMacLayer');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('418','21','240','dvbTdm');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('419','21','241','dvbRcsTdma');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('420','21','242','x86Laps');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('421','21','243','wwanPP');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('422','21','244','wwanPP2');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('423','21','245','voiceEBS');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('424','21','246','ifPwType');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('425','21','247','ilan');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('426','21','248','pip');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('427','21','249','aluELP');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('428','21','250','gpon');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('429','21','251','vdsl2');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('430','21','252','capwapDot11Profile');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('431','21','253','capwapDot11Bss');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('432','21','254','capwapWtpVirtualRadio');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('433','21','255','bits');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('434','21','256','docsCableUpstreamRfPort');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('435','21','257','cableDownstreamRfPort');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('436','21','258','vmwareVirtualNic');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('437','21','259','ieee802154');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('438','21','260','otnOdu');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('439','21','261','otnOtu');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('440','21','262','ifVfiType');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('441','21','263','g9981');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('442','21','264','g9982');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('443','21','265','g9983');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('444','21','266','aluEpon');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('445','21','267','aluEponOnu');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('446','21','268','aluEponPhysicalUni');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('447','21','269','aluEponLogicalLink');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('448','21','270','aluGponOnu');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('449','21','271','aluGponPhysicalUni');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('450','21','272','vmwareNicTeam');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('451','21','277','docsOfdmDownstream');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('452','21','278','docsOfdmaUpstream');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('453','21','279','gfast');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('454','21','280','sdci');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('455','21','281','xboxWireless');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('456','21','282','fastdsl');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('457','21','283','docsCableScte55d1FwdOob');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('458','21','284','docsCableScte55d1RetOob');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('459','21','285','docsCableScte55d2DsOob');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('460','21','286','docsCableScte55d2UsOob');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('461','21','287','docsCableNdf');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('462','21','288','docsCableNdr');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('463','21','289','ptm');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('464','21','290','ghn');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('465','22','0','not available');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('466','22','1','available');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('467','22','2','unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('468','23','1','deviceStateUnknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('469','23','2','deviceNotEquipped');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('470','23','3','deviceStateOk');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('471','23','4','deviceStateFailed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('472','23','5','deviceStateOutOfService');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('473','24','1','unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('474','24','2','faulty');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('475','24','3','below-min');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('476','24','4','nominal');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('477','24','5','above-max');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('478','24','6','absent');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('479','25','1','online');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('480','25','2','offline');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('481','25','3','testing');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('482','25','4','faulty');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('483','26','1','other');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('484','26','2','normal');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('485','26','3','failure');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('486','27','1','other');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('487','27','2','normal');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('488','27','3','failure');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('489','28','1','normal');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('490','28','2','warning');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('491','28','3','critical');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('492','28','4','shutdown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('493','28','5','notPresent');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('494','28','6','notFunctioning');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('495','29','1','true - on');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('496','29','2','false - off');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('497','30','1','up');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('498','30','2','down');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('499','30','3','absent');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('500','31','1','up');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('501','31','2','down');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('502','31','3','absent');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('503','32','1','noexist');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('504','32','2','existnopower');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('505','32','3','existreadypower');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('506','32','4','normal');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('507','32','5','powerbutabnormal');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('508','32','6','unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('509','33','0','other');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('510','33','1','working');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('511','33','2','fail');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('512','33','3','speed-0');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('513','33','4','speed-low');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('514','33','5','speed-middle');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('515','33','6','speed-high');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('516','34','0','other');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('517','34','1','lowVoltage');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('518','34','2','overCurrent');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('519','34','3','working');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('520','34','4','fail');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('521','34','5','connect');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('522','34','6','disconnect');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('523','35','1','true');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('524','35','2','false');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('525','36','1','true - on');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('526','36','2','false - off');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('527','37','1','alarm');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('528','37','2','normal');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('529','38','1','notPresent');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('530','38','2','presentOK');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('531','38','3','presentNotOK');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('532','38','4','presentPowerOff');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('533','39','1','notSupported');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('534','39','2','normal');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('535','39','3','postFailure');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('536','39','4','entityAbsent');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('543','39','11','poeError');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('550','40','1','unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('551','40','2','bad');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('552','40','3','warning');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('553','40','4','good');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('554','40','5','notPresent');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('555','41','1','normal');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('556','41','2','abnormal');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('557','42','1','online');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('558','42','2','operational');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('559','42','3','failed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('560','42','4','offline');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('561','43','1','invalid');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('562','43','2','bad');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('563','43','3','warning');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('564','43','4','good');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('565','43','5','disabled');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('566','44','1','unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('567','44','2','disabled');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('568','44','3','failed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('569','44','4','warning');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('570','44','5','standby');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('571','44','6','engaged');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('572','44','7','redundant');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('573','44','8','notPresent');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('574','45','1','normal');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('575','45','2','high');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('576','45','3','excessivelyHigh');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('577','45','4','low');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('578','45','5','excessivelyLow');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('579','45','6','noSensor');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('580','45','7','unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('581','46','1','other');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('582','46','2','off');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('583','46','3','on - RedAlarm');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('584','47','1','unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('585','47','2','running');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('586','47','3','ready');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('587','47','4','reset');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('588','47','5','runningAtFullSpeed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('589','47','6','down or off');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('590','47','7','standby');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('591','48','1','unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('592','48','2','disabled');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('593','48','3','enabled');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('594','48','4','testing');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('595','49','1','operational');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('596','49','2','failed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('597','49','3','powering');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('598','49','4','notpowering');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('599','49','5','notpresent');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('600','50','1','operational');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('601','50','2','failed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('602','50','3','powering');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('603','50','4','notpowering');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('604','50','5','notpresent');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('605','51','1','normal');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('606','51','2','warning');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('607','51','3','critical');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('608','51','4','shutdown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('609','51','5','notpresent');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('610','51','6','notoperational');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('611','52','0','normal');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('612','52','1','abnormal');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('613','53','0','normal');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('614','53','1','abnormal');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('615','53','2','not available');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('616','54','1','other');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('617','54','2','ok');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('618','54','3','degraded');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('619','54','4','failed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('620','55','1','other');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('621','55','2','unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('622','55','3','system');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('623','55','4','systemBoard');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('624','55','5','ioBoard');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('625','55','6','cpu');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('626','55','7','memory');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('627','55','8','storage');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('628','55','9','removableMedia');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('629','55','10','powerSupply');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('630','55','11','ambient');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('631','55','12','chassis');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('632','55','13','bridgeCard');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('633','56','1','other');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('634','56','2','ida');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('635','56','3','idaExpansion');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('636','56','4','ida-2');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('637','56','5','smart');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('638','56','6','smart-2e');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('639','56','7','smart-2p');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('640','56','8','smart-2sl');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('641','56','9','smart-3100es');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('642','56','10','smart-3200');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('643','56','11','smart-2dh');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('644','56','12','smart-221');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('645','56','13','sa-4250es');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('646','56','14','sa-4200');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('647','56','15','sa-integrated');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('648','56','16','sa-431');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('649','56','17','sa-5300');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('650','56','18','raidLc2');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('651','56','19','sa-5i');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('652','56','20','sa-532');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('653','56','21','sa-5312');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('654','56','22','sa-641');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('655','56','23','sa-642');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('656','56','24','sa-6400');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('657','56','25','sa-6400em');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('658','56','26','sa-6i');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('659','56','27','sa-generic');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('660','56','29','sa-p600');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('661','56','30','sa-p400');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('662','56','31','sa-e200');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('663','56','32','sa-e200i');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('664','56','33','sa-p400i');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('665','56','34','sa-p800');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('666','56','35','sa-e500');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('667','56','36','sa-p700m');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('668','56','37','sa-p212');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('669','56','38','sa-p410');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('670','56','39','sa-p410i');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('671','56','40','sa-p411');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('672','56','41','sa-b110i');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('673','56','42','sa-p712m');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('674','56','43','sa-p711m');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('675','56','44','sa-p812');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('676','57','1','other');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('677','57','2','ok');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('678','57','3','failed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('679','57','4','predictiveFailure');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('680','58','0','nonRecoverable');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('681','58','2','critical');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('682','58','4','nonCritical');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('683','58','255','normal');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('684','59','1','other');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('685','59','2','unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('686','59','3','ok');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('687','59','4','nonCritical');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('688','59','5','critical');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('689','59','6','nonRecoverable');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('690','60','1','other');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('691','60','2','unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('692','60','3','ok');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('693','60','4','nonCriticalUpper');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('694','60','5','criticalUpper');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('695','60','6','nonRecoverableUpper');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('696','60','7','nonCriticalLower');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('697','60','8','criticalLower');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('698','60','9','nonRecoverableLower');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('699','60','10','failed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('700','61','1','other');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('701','61','2','unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('702','61','3','ok');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('703','61','4','nonCritical');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('704','61','5','critical');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('705','61','6','nonRecoverable');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('706','62','0','ok');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('707','62','1','failed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('708','63','1','Unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('709','63','2','HDD');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('710','63','3','SSD');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('711','64','1','Unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('712','64','2','Ready');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('713','64','3','Failed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('714','64','4','Degraded');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('715','64','5','Missing');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('716','64','6','Charging');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('717','64','7','Below threshold');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('718','65','1','Other');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('719','65','2','RAID-0');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('720','65','3','RAID-1');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('721','65','4','RAID-5');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('722','65','5','RAID-6');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('723','65','6','RAID-10');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('724','65','7','RAID-50');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('725','65','8','RAID-60');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('726','65','9','Concatenated RAID 1');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('727','65','10','Concatenated RAID 5');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('728','66','1','Not applicable');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('729','66','2','Reconstructing');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('730','66','3','Resynching');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('731','66','4','Initializing');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('732','66','5','Background init');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('733','67','1','Write Through');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('734','67','2','Write Back');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('735','67','3','Force Write Back');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('736','68','1','No Read Ahead');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('737','68','2','Read Ahead');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('738','68','3','Adaptive Read Ahead');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('739','69','1','Unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('740','69','2','Online');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('741','69','3','Failed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('742','69','4','Degraded');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('743','70','1','other');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('744','70','2','ok');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('745','70','3','replaceDrive');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('746','70','4','replaceDriveSSDWearOut');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('747','71','1','other');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('748','71','2','invalid');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('749','71','3','enabled');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('750','71','4','tmpDisabled');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('751','71','5','permDisabled');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('752','71','6','cacheModFlashMemNotAttached');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('753','71','7','cacheModDegradedFailsafeSpeed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('754','71','8','cacheModCriticalFailure');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('755','71','9','cacheReadCacheNotMapped');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('756','72','1','Other');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('757','72','2','Ok');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('758','72','3','Recharging');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('759','72','4','Failed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('760','72','5','Degraded');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('761','72','6','Not Present');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('762','72','7','Capacitor failed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('763','73','1','Other');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('764','73','2','rotatingPlatters');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('765','73','3','solidState');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('766','74','0','other');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('767','74','2','none');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('768','74','3','RAID-1/RAID-10');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('769','74','4','RAID-4');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('770','74','5','RAID-5');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('771','74','7','RAID-6');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('772','74','8','RAID-50');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('773','74','9','RAID-60');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('774','74','10','RAID-1 ADM');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('775','74','11','RAID-10 ADM');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('776','75','1','other');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('777','75','2','ok');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('778','75','3','failed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('779','75','4','unconfigured');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('780','75','5','recovering');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('781','75','6','readyForRebuild');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('782','75','7','rebuilding');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('783','75','8','wrongDrive');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('784','75','9','badConnect');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('785','75','10','overheating');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('786','75','11','shutdown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('787','75','12','expanding');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('788','75','13','notAvailable');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('789','75','14','queuedForExpansion');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('790','75','15','multipathAccessDegraded');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('791','75','16','erasing');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('792','75','17','predictiveSpareRebuildReady');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('793','75','18','rapidParityInitInProgress');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('794','75','19','rapidParityInitPending');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('795','75','20','noAccessEncryptedNoCntlrKey');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('796','75','21','unencryptedToEncryptedInProgress');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('797','75','22','newLogDrvKeyRekeyInProgress');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('798','75','23','noAccessEncryptedCntlrEncryptnNotEnbld');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('799','75','24','unencryptedToEncryptedNotStarted');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('800','75','25','newLogDrvKeyRekeyRequestReceived');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('801','56','45','sw-1210m');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('802','56','46','sa-p220i');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('803','56','47','sa-p222');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('804','56','48','sa-p420');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('805','56','49','sa-p420i');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('806','56','50','sa-p421');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('807','56','51','sa-b320i');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('808','56','52','sa-p822');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('809','56','53','sa-p721m');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('810','56','54','sa-b120i');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('811','56','55','hps-1224');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('812','56','56','hps-1228');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('813','56','57','hps-1228m');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('814','56','58','sa-p822se');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('815','56','59','hps-1224e');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('816','56','60','hps-1228e');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('817','56','61','hps-1228em');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('818','56','62','sa-p230i');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('819','56','63','sa-p430i');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('820','56','64','sa-p430');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('821','56','65','sa-p431');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('822','56','66','sa-p731m');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('823','56','67','sa-p830i');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('824','56','68','sa-p830');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('825','56','69','sa-p831');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('826','56','70','sa-p530');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('827','56','71','sa-p531');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('828','56','72','sa-p244br');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('829','56','73','sa-p246br');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('830','56','74','sa-p440');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('831','56','75','sa-p440ar');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('832','56','76','sa-p441');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('833','56','77','sa-p741m');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('834','56','78','sa-p840');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('835','56','79','sa-p841');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('836','56','80','sh-h240ar');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('837','56','81','sh-h244br');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('838','56','82','sh-h240');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('839','56','83','sh-h241');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('840','56','84','sa-b140i');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('841','56','85','sh-generic');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('842','56','88','sa-p840ar');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('843','76','0','Master');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('844','76','1','Standby');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('845','77','0','Down');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('846','77','1','Up');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('847','77','2','Master');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('848','78','0','from KA9Q: NET/ROM pseudo');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('849','78','1','Ethernet');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('850','78','2','Experimental Ethernet');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('851','78','3','AX.25 Level 2');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('852','78','4','PROnet token ring');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('853','78','5','Chaosnet');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('854','78','6','IEEE 802.2 Ethernet/TR/TB');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('855','78','7','ARCnet');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('856','78','8','APPLEtalk');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('857','78','15','Frame Relay DLCI');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('858','78','19','ATM');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('859','78','23','Metricom STRIP (new IANA id)');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('860','78','24','IEEE 1394 IPv4 - RFC 2734');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('861','78','27','EUI-64');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('862','78','32','InfiniBand');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('863','78','256','ARPHRD_SLIP');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('864','78','257','ARPHRD_CSLIP');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('865','78','258','ARPHRD_SLIP6');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('866','78','259','ARPHRD_CSLIP6');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('867','78','260','Notional KISS type');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('868','78','264','ARPHRD_ADAPT');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('869','78','270','ARPHRD_ROSE');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('870','78','271','CCITT X.25');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('871','78','272','Boards with X.25 in firmware');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('872','78','280','Controller Area Network');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('873','78','512','ARPHRD_PPP');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('874','78','513','Cisco HDLC');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('875','78','516','LAPB');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('876','78','517','Digital''s DDCMP protocol');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('877','78','518','Raw HDLC');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('878','78','519','Raw IP');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('879','78','768','IPIP tunnel');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('880','78','769','IP6IP6 tunnel');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('881','78','770','Frame Relay Access Device');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('882','78','771','SKIP vif');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('883','78','772','Loopback device');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('884','78','773','Localtalk device');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('885','78','774','Fiber Distributed Data Interface');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('886','78','775','AP1000 BIF');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('887','78','776','sit0 device - IPv6-in-IPv4');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('888','78','777','IP over DDP tunneller');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('889','78','778','GRE over IP');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('890','78','779','PIMSM register interface');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('891','78','780','High Performance Parallel Interface');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('892','78','781','Nexus 64Mbps Ash');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('893','78','782','Acorn Econet');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('894','78','783','Linux-IrDA');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('895','78','784','Point to point fibrechannel');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('896','78','785','Fibrechannel arbitrated loop');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('897','78','786','Fibrechannel public loop');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('898','78','787','Fibrechannel fabric');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('899','78','800','Magic type ident for TR');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('900','78','801','IEEE 802.11');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('901','78','802','IEEE 802.11 + Prism2 header');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('902','78','803','IEEE 802.11 + radiotap header');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('903','78','804','ARPHRD_IEEE802154');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('904','78','805','IEEE 802.15.4 network monitor');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('905','78','820','PhoNet media type');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('906','78','821','PhoNet pipe header');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('907','78','822','CAIF media type');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('908','78','823','GRE over IPv6');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('909','78','824','Netlink header');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('910','78','825','IPv6 over LoWPAN');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('911','78','826','Vsock monitor header');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('912','79','0','Ethernet 802.3');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('913','79','1','Token Ring 802.5');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('914','79','2','Fiber Distributed Data Interface (FDDI)');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('915','79','3','Wide Area Network (WAN)');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('916','79','4','LocalTalk');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('917','79','5','Ethernet using DIX header format');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('918','79','6','ARCNET');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('919','79','7','ARCNET (878.2)');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('920','79','8','ATM');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('921','79','9','Wireless');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('922','79','10','Infrared Wireless');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('923','79','11','Bpc');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('924','79','12','CoWan');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('925','79','13','1394');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('926','80','1','Other');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('927','80','2','Unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('928','80','3','Running/Full Power');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('929','80','4','Warning');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('930','80','5','In Test');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('931','80','6','Not Applicable');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('932','80','7','Power Off');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('933','80','8','Off Line');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('934','80','9','Off Duty');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('935','80','10','Degraded');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('936','80','11','Not Installed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('937','80','12','Install Error');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('938','80','13','Power Save - Unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('939','80','14','Power Save - Low Power Mode');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('940','80','15','Power Save - Standby');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('941','80','16','Power Cycle');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('942','80','17','Power Save - Warning');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('943','80','18','Paused');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('944','80','19','Not Ready');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('945','80','20','Not Configured');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('946','80','21','Quiesced');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('947','81','0','Disconnected');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('948','81','1','Connecting');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('949','81','2','Connected');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('950','81','3','Disconnecting');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('951','81','4','Hardware Not Present');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('952','81','5','Hardware Disabled');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('953','81','6','Hardware Malfunction');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('954','81','7','Media Disconnected');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('955','81','8','Authenticating');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('956','81','9','Authentication Succeeded');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('957','81','10','Authentication Failed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('958','81','11','Invalid Address');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('959','81','12','Credentials Required');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('960','82','0','Failed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('961','82','1','Ok');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('962','83','0','Ok');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('963','83','1','Alarm');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('965','84','0','unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('966','84','1','operable');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('967','84','2','inoperable');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('968','84','3','degraded');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('969','84','4','poweredOff');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('970','84','5','powerProblem');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('971','84','6','removed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('972','84','7','voltageProblem');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('973','84','8','thermalProblem');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('974','84','9','performanceProblem');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('975','84','10','accessibilityProblem');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('976','84','11','identityUnestablishable');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('977','84','12','biosPostTimeout');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('978','84','13','disabled');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('979','84','14','malformedFru');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('980','84','15','backplanePortProblem');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('981','84','16','chassisIntrusion');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('982','84','51','fabricConnProblem');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('983','84','52','fabricUnsupportedConn');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('984','84','81','config');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('985','84','82','equipmentProblem');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('986','84','83','decomissioning');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('987','84','84','chassisLimitExceeded');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('988','84','100','notSupported');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('989','84','101','discovery');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('990','84','102','discoveryFailed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('991','84','103','identify');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('992','84','104','postFailure');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('993','84','105','upgradeProblem');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('994','84','106','peerCommProblem');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('995','84','107','autoUpgrade');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('996','84','108','linkActivateBlocked');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('997','85','0','indeterminate');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('998','85','1','unassociated');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('999','85','10','ok');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1000','85','11','discovery');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1001','85','12','config');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1002','85','13','unconfig');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1003','85','14','powerOff');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1004','85','15','restart');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1005','85','20','maintenance');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1006','85','21','test');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1007','85','29','computeMismatch');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1008','85','30','computeFailed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1009','85','31','degraded');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1010','85','32','discoveryFailed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1011','85','33','configFailure');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1012','85','34','unconfigFailed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1013','85','35','testFailed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1014','85','36','maintenanceFailed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1015','85','40','removed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1016','85','41','disabled');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1017','85','50','inaccessible');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1018','85','60','thermalProblem');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1019','85','61','powerProblem');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1020','85','62','voltageProblem');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1021','85','63','inoperable');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1022','85','101','decomissioning');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1023','85','201','biosRestore');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1024','85','202','cmosReset');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1025','85','203','diagnostics');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1026','85','204','diagnosticsFailed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1027','85','210','pendingReboot');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1028','85','211','pendingReassociation');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1029','85','212','svnicNotPresent');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1030','86','0','unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1031','86','1','online');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1032','86','2','unconfiguredGood');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1033','86','3','globalHotSpare');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1034','86','4','dedicatedHotSpare');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1035','86','5','jbod');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1036','86','6','offline');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1037','86','7','rebuilding');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1038','86','8','copyback');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1039','86','9','failed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1040','86','10','unconfiguredBad');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1041','86','11','predictiveFailure');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1042','86','12','disabledForRemoval');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1043','86','13','foreignConfiguration');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1044','86','14','zeroing');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1045','86','15','good');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1046','86','16','bad');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1047','86','17','lockedForeignConfiguration');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1048','87','0','unspecified');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1049','87','1','simple');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1050','87','2','mirror');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1051','87','3','stripe');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1052','87','4','raid');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1053','87','5','stripeParity');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1054','87','6','stripeDualParity');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1055','87','7','mirrorStripe');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1056','87','8','stripeParityStripe');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1057','87','9','stripeDualParityStripe');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1058','88','0','unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1059','88','1','empty');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1060','88','10','equipped');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1061','88','11','missing');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1062','88','12','mismatch');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1063','88','13','equippedNotPrimary');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1064','88','14','equippedSlave');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1065','88','15','mismatchSlave');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1066','88','16','missingSlave');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1067','88','20','equippedIdentityUnestablishable');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1068','88','21','mismatchIdentityUnestablishable');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1069','88','22','equippedWithMalformedFru');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1070','88','30','inaccessible');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1071','88','40','unauthorized');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1072','88','100','notSupported');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1073','88','101','equippedUnsupported');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1074','88','102','equippedDiscNotStarted');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1075','88','103','equippedDiscInProgress');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1076','88','104','equippedDiscError');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1077','88','105','equippedDiscUnknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1078','39','21','stackError');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1079','39','22','stackPortBlocked');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1080','39','23','stackPortFailed');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1081','39','31','sfpRecvError');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1082','39','32','sfpSendError');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1083','39','33','sfpBothError');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1084','39','41','fanError');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1085','39','51','psuError');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1086','39','61','rpsError');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1087','39','71','moduleFaulty');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1088','39','81','sensorError');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1089','39','91','hardwareFaulty');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1091','89','0','Error');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1092','89','1','Ok');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1093','90','0','No');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1094','90','1','Yes');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1095','91','-1 B','Undefined');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1096','92','- 1s','Inactive');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1097','93','0','False');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1098','93','1','True');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1099','94','0','green');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1100','94','1','yellow');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1101','94','2','red');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1102','94','255','unknown');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1103','95','0','False');
INSERT INTO mappings (mappingid,valuemapid,value,newvalue) values ('1104','95','1','True');
INSERT INTO sysmaps (sysmapid,name,width,height,backgroundid,label_type,label_location,highlight,expandproblem,markelements,show_unack,grid_size,grid_show,grid_align,label_format,label_type_host,label_type_hostgroup,label_type_trigger,label_type_map,label_type_image,label_string_host,label_string_hostgroup,label_string_trigger,label_string_map,label_string_image,iconmapid,expand_macros,severity_min,userid,private,show_suppressed) values ('1','Local network','680','200',NULL,'0','0','1','1','1','0','50','1','1','0','2','2','2','2','2','','','','','',NULL,'1','0','1','0','0');
INSERT INTO sysmaps_elements (selementid,sysmapid,elementid,elementtype,iconid_off,iconid_on,label,label_location,x,y,iconid_disabled,iconid_maintenance,elementsubtype,areatype,width,height,viewtype,use_iconmap,application) values ('1','1','10084','0','185',NULL,'{HOST.NAME}
{HOST.CONN}','0','111','61',NULL,NULL,'0','0','200','200','0','0','');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('135','22868','22867');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('136','22869','22867');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('137','22870','22867');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('138','22871','22867');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('139','22872','22867');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('142','22908','22907');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('143','22909','22907');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('144','22910','22907');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('145','22911','22907');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('146','22912','22907');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('147','22945','22944');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('148','22946','22944');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('149','22948','22947');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('150','22949','22947');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('151','22950','22947');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('152','22951','22947');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('153','22952','22947');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('154','22985','22984');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('155','22986','22984');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('156','22988','22987');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('157','22989','22987');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('158','22990','22987');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('159','22991','22987');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('160','22992','22987');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('161','23025','23024');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('162','23026','23024');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('163','23028','23027');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('164','23029','23027');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('165','23030','23027');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('166','23031','23027');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('167','23032','23027');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('170','23068','23067');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('171','23069','23067');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('172','23070','23067');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('173','23071','23067');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('174','23072','23067');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('189','23073','23540');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('190','23074','23540');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('191','23075','23329');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('192','23076','23329');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('746','26994','26987');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('747','26995','26990');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('748','26996','26990');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('749','26997','26990');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('750','26998','26990');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('751','26999','26991');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('752','27000','26991');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('753','27001','26991');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('754','27002','26991');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('755','27003','26992');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('756','27004','26992');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('757','27005','26992');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('758','27006','26992');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('759','27007','26993');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('760','27008','26993');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('761','27009','26993');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('762','27010','26993');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('775','27030','27029');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('776','27032','27031');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('803','27069','27068');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('804','27070','27068');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('805','27071','27068');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('806','27072','27068');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('807','27073','27068');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('808','27074','27068');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('809','27075','27068');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('810','27076','27068');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('811','27077','27068');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('812','27079','27078');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('813','27080','27078');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('814','27081','27078');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('815','27082','27078');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('816','27083','27078');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('817','27084','27078');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('818','27085','27078');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('819','27086','27078');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('820','27087','27078');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('821','27089','27088');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('822','27090','27088');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('823','27091','27088');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('824','27092','27088');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('825','27093','27088');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('826','27094','27088');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('827','27095','27088');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('828','27096','27088');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('829','27097','27088');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('830','27099','27098');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('831','27100','27098');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('832','27101','27098');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('833','27102','27098');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('834','27103','27098');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('835','27104','27098');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('836','27105','27098');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('837','27106','27098');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('838','27107','27098');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('848','27119','27118');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('849','27120','27118');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('850','27121','27118');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('851','27122','27118');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('852','27123','27118');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('853','27124','27118');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('854','27125','27118');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('855','27126','27118');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('856','27127','27118');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('875','27181','27180');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('876','27182','27180');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('877','27183','27180');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('878','27184','27180');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('879','27185','27180');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('880','27186','27180');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('881','27187','27180');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('882','27188','27180');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('883','27189','27180');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('884','27191','27190');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('885','27212','27209');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('886','27213','27210');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('887','27214','27211');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('888','27216','27215');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('889','27217','27215');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('890','27218','27215');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('891','27219','27215');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('892','27220','27215');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('893','27221','27215');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('894','27222','27215');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('895','27223','27215');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('896','27224','27215');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('898','27246','27242');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('899','27247','27242');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('900','27248','27243');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('901','27249','27244');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('902','27250','27244');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('903','27252','27251');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('904','27253','27251');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('905','27254','27251');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('906','27255','27251');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('907','27256','27251');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('908','27257','27251');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('909','27258','27251');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('910','27259','27251');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('911','27260','27251');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('912','27273','27272');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('913','27274','27272');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('914','27275','27272');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('915','27276','27272');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('916','27277','27272');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('917','27278','27272');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('918','27279','27272');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('919','27280','27272');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('920','27281','27272');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('921','27312','27302');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('922','27313','27303');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('923','27314','27304');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('924','27315','27306');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('925','27316','27307');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('926','27317','27308');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('927','27318','27309');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('928','27319','27310');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('929','27320','27311');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('930','27322','27321');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('931','27323','27321');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('932','27324','27321');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('933','27325','27321');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('934','27326','27321');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('935','27327','27321');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('936','27328','27321');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('937','27329','27321');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('938','27330','27321');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('939','27332','27331');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('950','27415','27390');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('951','27416','27390');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('952','27417','27391');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('954','27419','27393');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('955','27420','27394');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('956','27421','27394');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('957','27422','27395');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('958','27423','27396');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('960','27425','27397');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('961','27426','27397');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('962','27427','27398');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('963','27428','27399');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('964','27429','27400');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('965','27430','27400');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('966','27431','27401');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('967','27432','27402');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('978','27443','27409');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('979','27444','27409');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('980','27445','27410');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('981','27446','27411');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('982','27447','27411');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('983','27448','27412');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('984','27449','27413');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('985','27451','27450');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('986','27452','27450');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('987','27453','27450');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('988','27454','27450');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('989','27455','27450');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('990','27456','27450');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('991','27457','27450');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('992','27458','27450');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('993','27459','27450');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('994','27461','27460');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('996','27478','27473');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('997','27479','27474');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('998','27480','27475');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('999','27481','27476');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1000','27482','27476');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1001','27483','27476');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1002','27484','27476');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1003','27485','27476');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1004','27487','27486');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1005','27488','27486');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1006','27489','27486');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1007','27490','27486');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1008','27491','27486');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1009','27492','27486');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1010','27493','27486');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1011','27494','27486');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1012','27495','27486');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1014','27517','27513');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1015','27518','27514');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1016','27519','27515');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1017','27521','27520');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1018','27522','27520');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1019','27523','27520');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1020','27524','27520');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1021','27525','27520');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1022','27526','27520');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1023','27527','27520');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1024','27528','27520');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1025','27529','27520');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1026','27531','27530');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1028','27553','27549');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1029','27554','27550');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1030','27555','27551');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1031','27557','27556');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1032','27558','27556');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1033','27559','27556');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1034','27560','27556');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1035','27561','27556');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1036','27562','27556');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1037','27563','27556');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1038','27564','27556');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1039','27565','27556');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1040','27567','27566');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1042','27591','27587');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1044','27593','27588');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1045','27594','27589');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1046','27595','27589');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1047','27597','27596');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1048','27598','27596');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1049','27599','27596');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1050','27600','27596');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1051','27601','27596');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1052','27602','27596');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1053','27603','27596');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1054','27604','27596');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1055','27605','27596');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1056','27607','27606');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1057','27620','27619');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1058','27621','27619');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1059','27622','27619');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1060','27623','27619');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1061','27624','27619');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1062','27625','27619');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1063','27626','27619');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1064','27627','27619');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1065','27628','27619');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1066','27630','27629');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1067','27643','27642');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1068','27644','27642');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1069','27645','27642');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1070','27646','27642');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1071','27647','27642');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1072','27648','27642');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1073','27649','27642');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1074','27650','27642');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1075','27651','27642');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1076','27653','27652');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1078','27671','27665');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1079','27672','27666');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1080','27673','27667');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1081','27674','27668');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1082','27675','27669');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1083','27676','27669');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1084','27677','27669');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1085','27678','27669');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1086','27679','27669');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1107','27723','27722');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1108','27724','27722');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1109','27725','27722');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1110','27726','27722');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1111','27727','27722');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1112','27728','27722');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1113','27729','27722');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1114','27730','27722');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1115','27731','27722');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1116','27733','27732');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1117','27748','27745');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1118','27749','27745');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1119','27750','27745');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1120','27751','27745');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1122','27753','27745');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1123','27754','27746');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1124','27755','27747');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1125','27757','27756');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1126','27758','27756');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1127','27759','27756');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1128','27760','27756');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1129','27761','27756');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1130','27762','27756');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1131','27763','27756');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1132','27764','27756');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1133','27765','27756');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1134','27783','27779');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1135','27784','27779');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1136','27785','27780');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1137','27786','27781');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1138','27787','27782');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1139','27789','27788');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1140','27790','27788');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1141','27791','27788');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1142','27792','27788');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1143','27793','27788');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1144','27794','27788');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1145','27795','27788');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1146','27796','27788');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1147','27797','27788');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1148','27799','27798');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1151','27821','27816');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1152','27822','27817');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1153','27823','27818');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1183','27873','27872');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1184','27874','27872');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1185','27875','27872');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1186','27876','27872');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1187','27877','27872');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1188','27878','27872');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1189','27879','27872');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1190','27880','27872');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1191','27881','27872');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1192','27904','27901');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1193','27905','27902');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1194','27906','27903');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1195','27907','27903');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1196','27908','27903');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1197','27910','27909');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1198','27911','27909');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1199','27912','27909');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1200','27913','27909');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1201','27914','27909');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1202','27915','27909');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1203','27916','27909');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1204','27917','27909');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1205','27918','27909');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1206','27940','27937');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1207','27941','27937');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1208','27942','27938');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1209','27943','27939');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1210','27945','27944');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1211','27946','27944');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1212','27947','27944');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1213','27948','27944');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1214','27949','27944');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1215','27950','27944');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1216','27951','27944');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1217','27952','27944');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1218','27953','27944');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1219','27955','27954');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1220','27977','27976');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1221','27978','27976');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1222','27979','27976');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1223','27980','27976');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1224','27981','27976');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1225','27982','27976');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1226','27983','27976');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1227','27984','27976');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1228','27985','27976');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1229','28003','28001');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1231','28006','28005');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1232','28007','28005');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1233','28008','28005');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1234','28009','28005');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1235','28010','28005');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1236','28011','28005');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1237','28012','28005');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1238','28013','28005');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1239','28014','28005');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1285','28119','28118');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1286','28120','28118');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1287','28121','28118');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1288','28122','28118');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1289','28123','28118');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1290','28124','28118');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1291','28125','28118');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1292','28126','28118');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1293','28127','28118');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1294','28129','28128');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1295','28150','28144');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1298','28153','28145');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1299','28154','28146');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1300','28155','28147');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1301','28156','28148');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1302','28157','28149');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1303','28158','28149');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1317','28176','28175');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1318','28177','28175');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1319','28178','28175');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1320','28179','28175');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1321','28180','28175');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1322','28181','28175');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1323','28182','28175');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1324','28183','28175');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1325','28184','28175');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1326','28200','28196');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1327','28201','28196');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1328','28202','28197');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1329','28203','28197');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1330','28204','28198');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1331','28205','28198');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1332','28206','28199');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1333','28208','28207');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1334','28215','28212');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1335','28216','28213');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1336','28217','28214');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1337','28218','28214');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1338','28220','28219');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1340','28222','28219');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1341','28224','28223');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1342','28225','28223');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1343','28226','28223');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1344','28227','28223');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1345','28228','28223');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1346','28229','28223');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1347','28230','28223');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1348','28231','28223');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1349','28232','28223');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1350','28246','28244');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1351','28247','28245');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1352','28281','28280');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1353','28294','28293');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1354','28295','28293');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1355','28296','28293');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1356','28297','28293');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1357','28298','28293');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1358','28299','28293');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1359','28300','28293');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1360','28301','28293');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1361','28302','28293');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1375','28323','28306');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1376','28324','28306');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1377','28325','28307');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1378','28326','28307');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1379','28327','28308');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1380','28328','28308');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1381','28329','28309');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1382','28354','28346');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1383','28355','28346');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1384','28356','28347');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1385','28357','28347');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1386','28358','28348');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1387','28359','28349');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1388','28360','28349');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1389','28361','28350');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1390','28362','28350');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1391','28363','28350');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1392','28364','28350');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1393','28365','28350');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1394','28366','28350');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1395','28367','28350');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1396','28368','28351');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1397','28369','28351');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1398','28370','28351');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1399','28371','28351');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1400','28372','28351');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1401','28373','28351');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1402','28374','28352');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1403','28375','28352');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1404','28376','28353');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1405','28404','28392');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1406','28405','28392');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1407','28406','28393');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1408','28407','28394');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1409','28408','28395');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1410','28409','28396');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1411','28410','28397');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1412','28411','28398');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1413','28412','28399');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1414','28413','28400');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1415','28414','28400');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1416','28415','28401');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1417','28416','28401');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1418','28417','28402');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1419','28418','28402');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1420','28419','28402');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1421','28420','28402');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1422','28421','28402');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1423','28422','28402');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1424','28423','28403');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1425','28424','28403');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1426','28425','28403');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1427','28446','28440');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1428','28447','28441');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1429','28448','28442');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1430','28449','28443');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1431','28450','28444');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1432','28451','28444');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1433','28452','28445');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1434','28453','28445');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1435','28474','28468');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1436','28475','28469');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1437','28476','28470');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1438','28477','28471');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1439','28478','28472');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1440','28479','28472');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1441','28480','28473');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1442','28481','28473');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1443','28495','28493');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1444','28496','28494');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1445','28621','28620');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1446','28622','28620');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1447','28623','28620');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1448','28624','28620');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1454','28712','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1455','28713','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1456','28714','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1457','28715','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1458','28716','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1459','28717','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1460','28718','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1461','28719','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1462','28720','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1463','28721','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1464','28722','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1465','28723','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1466','28724','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1467','28725','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1468','28726','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1469','28727','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1470','28728','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1471','28729','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1472','28730','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1473','28731','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1474','28732','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1475','28733','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1476','28734','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1477','28735','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1478','28736','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1479','28737','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1480','28738','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1481','28739','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1482','28740','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1483','28741','28711');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1484','28769','28768');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1485','28770','28768');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1486','28771','28768');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1487','28772','28768');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1488','28773','28768');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1489','28774','28768');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1490','28798','28797');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1491','28799','28797');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1492','28800','28797');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1493','28801','28797');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1494','28802','28797');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1495','28803','28797');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1501','28894','27815');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1502','28950','28948');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1503','28951','28949');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1504','28952','28949');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1505','28953','28949');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1506','28954','28949');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1507','28956','28955');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1508','28969','28968');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1509','28970','28968');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1510','28971','28968');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1511','28972','28968');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1512','28973','28968');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1513','28974','28968');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1514','28975','28968');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1515','28976','28968');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1516','28977','28968');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1517','29014','29008');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1518','29015','29008');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1519','29016','29008');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1520','29017','29009');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1521','29018','29009');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1522','29019','29009');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1523','29020','29009');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1524','29021','29009');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1525','29022','29009');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1526','29023','29009');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1527','29024','29009');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1528','29025','29009');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1529','29026','29009');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1530','29027','29010');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1531','29028','29010');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1532','29029','29010');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1533','29030','29010');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1534','29031','29011');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1535','29032','29011');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1536','29033','29011');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1537','29034','29012');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1538','29035','29012');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1539','29036','29012');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1540','29037','29012');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1541','29038','29012');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1542','29039','29012');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1543','29040','29012');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1544','29041','29012');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1545','29042','29012');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1546','29043','29012');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1547','29044','29013');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1548','29045','29013');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1549','29046','29013');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1550','29047','29013');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1551','29048','29009');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1552','29049','29012');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1566','29078','29077');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1567','29079','29077');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1568','29080','29077');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1569','29081','29077');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1570','29082','29077');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1571','29083','29077');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1572','29084','29077');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1573','29085','29077');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1574','29086','29077');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1575','29210','29201');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1576','29211','29201');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1577','29212','29201');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1578','29213','29201');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1579','29214','29202');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1580','29215','29202');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1581','29216','29203');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1582','29217','29203');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1583','29218','29203');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1584','29219','29203');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1585','29220','29203');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1586','29221','29203');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1587','29222','29203');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1588','29223','29203');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1589','29224','29204');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1590','29225','29204');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1591','29226','29204');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1592','29227','29204');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1593','29228','29205');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1594','29229','29205');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1595','29230','29206');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1596','29231','29206');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1597','29232','29206');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1598','29233','29206');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1599','29234','29206');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1600','29235','29206');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1601','29236','29206');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1602','29237','29206');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1603','29238','29207');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1604','29239','29207');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1605','29240','29207');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1606','29241','29207');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1607','29242','29208');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1608','29243','29208');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1609','29244','29209');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1610','29245','29209');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1611','29246','29209');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1612','29247','29209');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1613','29248','29209');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1614','29249','29209');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1615','29250','29209');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1616','29251','29209');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1617','29252','29202');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1618','29253','29202');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1619','29254','29202');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1620','29255','29202');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1621','29256','29202');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1622','29257','29202');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1623','29258','29205');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1624','29259','29205');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1625','29260','29205');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1626','29261','29205');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1627','29262','29205');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1628','29263','29205');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1629','29264','29208');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1630','29265','29208');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1631','29266','29208');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1632','29267','29208');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1633','29268','29208');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1634','29269','29208');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1635','29355','29349');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1636','29356','29349');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1637','29357','29349');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1638','29358','29349');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1639','29359','29350');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1640','29360','29350');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1641','29361','29351');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1642','29362','29351');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1643','29363','29351');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1644','29364','29351');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1645','29365','29351');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1646','29366','29351');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1647','29367','29351');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1648','29368','29351');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1649','29369','29352');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1650','29370','29352');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1651','29371','29352');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1652','29372','29352');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1653','29373','29353');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1654','29374','29353');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1655','29375','29354');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1656','29376','29354');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1657','29377','29354');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1658','29378','29354');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1659','29379','29354');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1660','29380','29354');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1661','29381','29354');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1662','29382','29354');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1663','29383','29350');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1664','29384','29350');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1665','29385','29350');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1666','29386','29350');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1667','29387','29350');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1668','29388','29350');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1669','29389','29353');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1670','29390','29353');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1671','29391','29353');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1672','29392','29353');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1673','29393','29353');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1674','29394','29353');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1675','29432','29430');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1676','29433','29430');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1677','29434','29431');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1678','29435','29431');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1679','29436','29429');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1680','29437','29429');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1681','29438','29429');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1682','29439','29429');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1683','29440','29429');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1684','29441','29429');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1685','29442','29429');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1686','29443','29429');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1687','29444','29429');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1688','29445','29430');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1689','29446','29430');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1690','29447','29430');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1691','29448','29431');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1692','29449','29431');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1693','29450','29431');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1694','29451','29431');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1695','29452','29431');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1696','29453','29431');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1697','29512','29506');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1698','29513','29506');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1699','29514','29506');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1700','29515','29508');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1701','29516','29508');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1702','29517','29508');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1703','29518','29508');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1704','29519','29508');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1705','29520','29508');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1706','29521','29509');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1707','29522','29509');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1708','29523','29509');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1709','29524','29511');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1710','29525','29511');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1711','29526','29511');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1712','29527','29511');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1713','29528','29511');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1714','29529','29511');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1715','29530','29507');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1716','29531','29507');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1717','29532','29507');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1718','29533','29507');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1719','29534','29508');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1720','29535','29508');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1721','29536','29508');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1722','29537','29510');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1723','29538','29510');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1724','29539','29510');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1725','29540','29510');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1726','29541','29511');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1727','29542','29511');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1728','29543','29511');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1729','29619','29613');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1730','29620','29613');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1731','29621','29613');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1732','29622','29615');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1733','29623','29615');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1734','29624','29615');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1735','29625','29615');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1736','29626','29615');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1737','29627','29615');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1738','29628','29616');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1739','29629','29616');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1740','29630','29616');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1741','29631','29618');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1742','29632','29618');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1743','29633','29618');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1744','29634','29618');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1745','29635','29618');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1746','29636','29618');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1747','29637','29614');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1748','29638','29614');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1749','29639','29614');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1750','29640','29614');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1751','29641','29615');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1752','29642','29615');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1753','29643','29615');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1754','29644','29617');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1755','29645','29617');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1756','29646','29617');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1757','29647','29617');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1758','29648','29618');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1759','29649','29618');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1760','29650','29618');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1777','29720','29703');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1778','29721','29703');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1779','29722','29703');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1780','29723','29703');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1781','29724','29703');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1782','29725','29703');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1783','29726','29703');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1784','29727','29703');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1785','29728','29703');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1786','29729','29703');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1787','29730','29703');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1788','29731','29703');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1789','29732','29703');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1790','29733','29703');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1791','29734','29703');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1792','29735','29703');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1793','29736','29703');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1794','29737','29703');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1795','29787','29785');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1796','29788','29785');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1797','29789','29785');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1798','29790','29785');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1799','29791','29785');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1800','29792','29785');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1801','29793','29785');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1802','29794','29785');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1803','29795','29785');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1804','29796','29785');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1805','29797','29785');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1806','29798','29785');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1807','29799','29785');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1808','29800','29785');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1809','29801','29785');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1810','29802','29785');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1811','29803','29786');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1812','29804','29786');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1813','29805','29786');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1814','29806','29786');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1815','29807','29786');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1816','29808','29786');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1817','29809','29786');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1818','29810','29786');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1819','29811','29786');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1820','29812','29786');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1821','29813','29786');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1822','29814','29786');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1823','29815','29786');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1824','29816','29786');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1825','29817','29786');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1826','29818','29786');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1827','29819','29786');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1828','29820','29786');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1829','30027','30026');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1830','30028','30026');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1831','30029','30026');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1832','30030','30026');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1833','30031','30026');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1834','30032','30026');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1835','30033','30026');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1836','30034','30026');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1837','30035','30026');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1838','30036','30026');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1839','30037','30026');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1840','30038','30026');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1841','30039','30026');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1842','30040','30026');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1843','30041','30026');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1844','30042','30026');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1845','30066','30057');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1846','30067','30057');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1847','30068','30057');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1848','30069','30057');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1849','30070','30058');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1850','30071','30059');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1851','30072','30060');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1852','30073','30060');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1853','30074','30060');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1854','30075','30061');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1855','30076','30062');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1856','30077','30062');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1857','30078','30062');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1858','30079','30062');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1859','30080','30063');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1860','30081','30063');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1861','30082','30063');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1862','30083','30064');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1863','30084','30064');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1864','30085','30065');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1865','30091','30090');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1866','30092','30090');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1867','30101','27390');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1868','30102','27397');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1869','30103','27409');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1870','30104','28219');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1871','30105','27473');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1872','30107','27512');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1873','30108','27548');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1874','30110','27587');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1875','30111','27587');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1876','30112','27665');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1877','30113','28145');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1878','30114','28145');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1879','30115','28145');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1880','30116','27745');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1881','30118','27815');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1882','30129','30127');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1883','30130','30128');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1884','30131','28002');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1885','30157','30147');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1886','30158','30147');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1887','30159','30147');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1888','30160','30148');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1889','30161','30148');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1890','30162','30148');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1891','30163','30149');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1892','30164','30149');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1893','30165','30149');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1894','30166','30150');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1895','30167','30150');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1896','30168','30150');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1897','30169','30151');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1898','30170','30151');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1899','30171','30151');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1900','30172','30152');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1901','30173','30152');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1902','30174','30152');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1903','30175','30153');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1904','30176','30153');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1905','30177','30153');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1906','30178','30154');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1907','30179','30154');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1908','30180','30154');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1909','30181','30155');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1910','30182','30155');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1911','30183','30155');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1912','30184','30156');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1913','30185','30156');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1914','30186','30156');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1915','30196','30194');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1916','30197','30193');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1917','30198','30193');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1918','30199','30193');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1919','30200','30193');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1920','30201','30193');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1921','30202','30193');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1922','30203','30193');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1923','30204','30193');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1924','30205','30193');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1925','30206','30194');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1926','30207','30194');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1927','30208','30194');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1928','30209','30194');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1929','30210','30194');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1930','30211','30194');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1931','30212','30194');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1932','30213','30194');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1933','30214','30194');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1934','30215','30194');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1935','30216','30194');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1936','30217','30194');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1937','30218','30194');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1938','30219','30195');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1939','30220','30195');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1940','30221','30195');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1941','30222','30195');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1942','30223','30195');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1943','30224','30195');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1944','30225','30195');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1945','30226','30195');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1946','30227','30195');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1947','30228','30195');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1948','30229','30195');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1949','30239','30237');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1950','30240','30236');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1951','30241','30236');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1952','30242','30236');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1953','30243','30236');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1954','30244','30236');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1955','30245','30236');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1956','30246','30236');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1957','30247','30236');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1958','30248','30236');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1959','30249','30237');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1960','30250','30237');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1961','30251','30237');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1962','30252','30237');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1963','30253','30237');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1964','30254','30237');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1965','30255','30237');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1966','30256','30237');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1967','30257','30237');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1968','30258','30237');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1969','30259','30237');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1970','30260','30237');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1971','30261','30237');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1972','30262','30238');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1973','30263','30238');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1974','30264','30238');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1975','30265','30238');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1976','30266','30238');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1977','30267','30238');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1978','30268','30238');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1979','30269','30238');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1980','30270','30238');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1981','30271','30238');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1982','30272','30238');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1983','30344','30337');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1984','30345','30337');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1985','30346','30337');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1986','30347','30337');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1987','30348','30338');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1988','30349','30338');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1989','30350','30338');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1990','30351','30339');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1991','30352','30339');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1992','30353','30339');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1993','30354','30339');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1994','30355','30339');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1995','30356','30339');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1996','30357','30339');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1997','30358','30339');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1998','30359','30339');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('1999','30360','30339');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2000','30361','30339');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2001','30362','30339');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2002','30363','30339');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2003','30364','30339');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2004','30365','30339');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2005','30366','30339');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2006','30367','30339');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2007','30368','30339');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2008','30369','30339');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2009','30370','30339');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2010','30371','30339');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2011','30372','30340');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2012','30373','30340');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2013','30374','30340');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2014','30375','30340');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2015','30376','30340');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2016','30377','30340');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2017','30378','30340');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2018','30379','30340');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2019','30380','30340');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2020','30381','30340');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2021','30382','30340');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2022','30383','30340');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2023','30384','30340');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2024','30385','30340');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2025','30386','30340');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2026','30387','30340');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2027','30388','30340');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2028','30389','30341');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2029','30390','30341');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2030','30391','30341');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2031','30392','30341');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2032','30393','30341');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2033','30394','30341');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2034','30395','30341');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2035','30396','30342');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2036','30397','30343');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2037','30398','30343');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2038','30399','30343');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2039','30400','30343');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2040','30401','30343');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2041','30402','30343');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2042','30403','30343');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2043','30404','30343');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2044','30411','30407');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2045','30412','30407');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2046','30413','30407');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2047','30414','30408');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2048','30415','30408');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2049','30416','30408');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2050','30417','30409');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2051','30418','30409');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2052','30419','30409');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2053','30420','30410');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2054','30421','30410');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2055','30422','30410');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2056','30425','30423');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2057','30426','30424');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2058','30429','30427');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2059','30430','30428');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2060','30474','30472');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2061','30475','30473');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2062','30476','30473');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2063','30477','30473');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2064','30478','30473');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2065','30522','30520');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2066','30523','30521');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2067','30524','30521');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2068','30525','30521');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2069','30526','30521');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2070','30573','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2071','30574','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2072','30575','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2073','30576','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2074','30577','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2075','30578','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2076','30579','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2077','30580','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2078','30581','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2079','30582','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2080','30583','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2081','30584','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2082','30585','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2083','30586','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2084','30587','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2085','30588','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2086','30589','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2087','30590','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2088','30591','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2089','30592','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2090','30593','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2091','30594','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2092','30595','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2093','30596','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2094','30597','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2095','30598','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2096','30599','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2097','30600','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2098','30601','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2099','30602','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2100','30603','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2101','30604','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2102','30605','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2103','30606','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2104','30607','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2105','30608','30571');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2106','30609','30572');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2107','30610','30572');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2108','30680','30678');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2109','30681','30679');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2110','30682','30679');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2111','30683','30679');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2112','30684','30679');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2113','30688','30686');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2114','30689','30687');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2115','30714','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2116','30715','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2117','30716','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2118','30717','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2119','30718','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2120','30719','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2121','30720','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2122','30721','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2123','30722','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2124','30723','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2125','30724','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2126','30725','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2127','30726','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2128','30727','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2129','30728','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2130','30729','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2131','30730','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2132','30731','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2133','30732','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2134','30733','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2135','30734','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2136','30735','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2137','30736','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2138','30737','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2139','30738','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2140','30739','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2141','30740','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2142','30741','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2143','30742','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2144','30743','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2145','30744','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2146','30745','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2147','30746','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2148','30747','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2149','30748','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2150','30749','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2151','30750','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2152','30751','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2153','30752','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2154','30753','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2155','30754','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2156','30755','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2157','30756','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2158','30757','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2159','30758','30713');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2160','30762','30760');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2161','30763','30759');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2162','30764','30759');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2163','30765','30759');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2164','30766','30759');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2165','30767','30759');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2166','30768','30759');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2167','30769','30759');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2168','30770','30759');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2169','30771','30759');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2170','30772','30760');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2171','30773','30760');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2172','30774','30760');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2173','30775','30760');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2174','30776','30760');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2175','30777','30760');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2176','30778','30760');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2177','30779','30760');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2178','30780','30761');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2179','30781','30761');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2180','30782','30761');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2181','30783','30761');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2182','30784','30761');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2183','30785','30761');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2184','30786','30761');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2185','30787','30761');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2186','30788','30761');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2187','30794','30792');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2188','30795','30791');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2189','30796','30791');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2190','30797','30791');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2191','30798','30791');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2192','30799','30791');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2193','30800','30791');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2194','30801','30791');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2195','30802','30791');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2196','30803','30791');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2197','30804','30792');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2198','30805','30792');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2199','30806','30792');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2200','30807','30792');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2201','30808','30792');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2202','30809','30792');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2203','30810','30792');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2204','30811','30792');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2205','30812','30793');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2206','30813','30793');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2207','30814','30793');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2208','30815','30793');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2209','30816','30793');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2210','30817','30793');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2211','30818','30793');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2212','30819','30793');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2213','30820','30793');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2214','30877','30874');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2215','30878','30874');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2216','30879','30874');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2217','30880','30875');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2218','30881','30875');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2219','30882','30875');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2220','30883','30875');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2221','30884','30875');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2222','30885','30875');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2223','30886','30875');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2224','30887','30875');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2225','30888','30875');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2226','30889','30875');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2227','30890','30875');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2228','30891','30875');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2229','30892','30876');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2230','30893','30876');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2231','30894','30876');
INSERT INTO item_discovery (itemdiscoveryid,itemid,parent_itemid) values ('2232','30895','30876');
INSERT INTO host_discovery (hostid,parent_hostid,parent_itemid) values ('10176',NULL,'26988');
INSERT INTO host_discovery (hostid,parent_hostid,parent_itemid) values ('10177',NULL,'26989');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('19','345','179');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('165','797','780');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('166','799','780');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('167','803','784');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('168','803','771');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('169','804','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('170','805','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('171','811','784');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('172','812','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('173','813','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('174','820','784');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('175','821','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('176','822','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('177','823','784');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('178','824','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('179','825','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('180','836','826');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('181','837','827');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('182','838','826');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('183','839','827');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('184','840','784');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('185','840','771');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('186','841','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('187','842','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('191','846','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('192','847','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('193','856','848');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('194','857','849');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('195','858','852');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('196','859','853');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('197','860','854');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('198','861','855');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('205','868','848');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('206','869','851');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('207','870','852');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('208','871','853');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('209','872','854');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('210','873','855');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('211','874','784');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('212','874','771');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('213','875','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('214','876','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('215','883','784');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('216','884','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('217','885','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('218','892','784');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('219','892','771');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('220','893','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('221','894','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('222','901','784');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('223','901','771');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('224','902','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('225','903','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('226','910','781');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('227','910','770');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('228','911','798');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('229','912','797');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('230','913','782');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('231','913','771');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('232','914','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('233','915','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('234','916','784');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('235','916','771');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('236','917','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('237','918','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('243','934','784');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('244','934','771');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('245','935','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('246','936','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('247','942','784');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('248','943','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('249','944','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('250','949','784');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('251','949','771');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('252','950','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('253','951','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('263','969','784');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('264','970','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('265','971','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('266','977','784');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('267','978','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('268','979','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('269','986','784');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('270','986','771');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('271','987','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('272','988','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('273','992','782');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('274','993','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('275','994','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('276','998','781');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('277','999','798');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('278','1000','797');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('294','1028','784');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('295','1028','771');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('296','1029','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('297','1030','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('302','1041','784');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('303','1042','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('304','1043','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('305','1048','852');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('306','1049','855');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('307','1050','854');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('308','1051','853');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('309','1052','848');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('310','1053','784');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('311','1054','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('312','1055','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('313','1057','1056');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('314','1058','771');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('315','1059','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('316','1060','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('317','1058','784');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('318','1069','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('319','1070','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('320','1078','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('321','1079','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('322','1087','798');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('323','1088','797');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('324','1094','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('325','1095','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('326','1101','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('327','1102','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('328','1125','771');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('329','1126','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('330','1127','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('331','1125','784');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('332','1132','1128');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('333','1133','1129');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('334','1133','1131');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('335','1134','1130');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('336','1135','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('337','1136','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('342','1141','786');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('343','1152','1142');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('344','1153','1143');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('345','1154','1144');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('346','1155','1145');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('347','1156','1146');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('348','1157','1147');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('349','1158','1148');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('350','1159','1149');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('351','1160','1150');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('352','1161','1151');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('353','1162','1152');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('354','1163','1153');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('355','1164','1154');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('356','1165','1155');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('357','1166','1156');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('358','1167','1157');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('359','1168','1158');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('360','1169','1159');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('361','1170','1160');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('362','1171','1161');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('364','1183','1173');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('365','1184','1174');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('366','1185','1175');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('367','1186','1176');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('368','1187','1177');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('369','1188','1178');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('370','1189','1179');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('371','1190','1180');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('372','1191','1181');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('373','1192','1182');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('374','1212','1202');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('375','1213','1203');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('376','1214','1204');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('377','1215','1205');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('378','1216','1206');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('379','1216','1211');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('380','1217','1207');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('381','1218','1208');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('382','1219','1209');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('383','1220','1210');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('384','1225','1221');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('385','1226','1221');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('386','1227','1222');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('387','1228','1221');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('388','1229','1222');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('389','1230','1221');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('390','1231','1222');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('391','1232','1221');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('392','1233','1222');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('393','1234','1221');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('394','1235','1222');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('395','1236','1221');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('396','1237','1222');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('397','1238','1221');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('399','1161','1222');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('400','1219','1222');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('402','1240','1225');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('403','1241','1223');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('404','1242','1224');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('405','1253','1243');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('406','1254','1244');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('407','1255','1245');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('408','1256','1246');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('409','1257','1247');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('410','1257','1252');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('411','1258','1248');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('412','1259','1249');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('413','1260','1251');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('414','1242','1250');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('415','1269','1223');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('416','1192','1224');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('417','1270','800');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('418','1271','799');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('423','1286','1283');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('424','1287','1284');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('425','1288','1285');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('426','1289','1286');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('427','1290','1287');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('428','1291','1288');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('429','1292','1286');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('430','1293','1287');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('431','1294','1288');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('432','1295','1286');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('433','1296','1287');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('434','1297','1288');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('435','1307','1304');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('436','1308','1305');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('437','1309','1306');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('438','1311','1310');
INSERT INTO application_template (application_templateid,applicationid,templateid) values ('439','1313','1312');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('4','22867','8','{#FSTYPE}','@File systems for discovery');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('5','22907','8','{#FSTYPE}','@File systems for discovery');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('6','22944','8','{#IFNAME}','@Network interfaces for discovery');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('7','22947','8','{#FSTYPE}','@File systems for discovery');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('8','22984','8','{#IFNAME}','@Network interfaces for discovery');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('9','22987','8','{#FSTYPE}','@File systems for discovery');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('10','23024','8','{#IFNAME}','@Network interfaces for discovery');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('11','23027','8','{#FSTYPE}','@File systems for discovery');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('12','23067','8','{#FSTYPE}','@File systems for discovery');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('15','23329','8','{#IFNAME}','@Network interfaces for discovery');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('16','23540','8','{#IFNAME}','@Network interfaces for discovery');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('215','27029','8','{#IFOPERSTATUS}','1');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('216','27029','8','{#SNMPVALUE}','(2|3)');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('217','27031','8','{#IFOPERSTATUS}','1');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('218','27031','8','{#SNMPVALUE}','(2|3)');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('227','27068','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('228','27068','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('229','27078','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('230','27078','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('231','27088','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('232','27088','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('233','27098','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('234','27098','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('237','27118','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('238','27118','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('243','27180','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('244','27180','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('245','27190','8','{#IFOPERSTATUS}','1');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('246','27190','8','{#SNMPVALUE}','(2|3)');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('247','27209','8','{#TEMP_SENSOR}','1');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('248','27210','8','{#SNMPVALUE}','[^1]');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('249','27211','8','{#ENT_SN}','.+');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('250','27215','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('251','27215','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('253','27242','8','{#SENSOR_TYPE}','1');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('254','27243','8','{#SENSOR_TYPE}','3');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('255','27244','8','{#SENSOR_TYPE}','2');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('256','27251','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('257','27251','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('258','27272','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('259','27272','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('260','27321','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('261','27321','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('262','27331','8','{#IFOPERSTATUS}','1');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('263','27331','8','{#SNMPVALUE}','(2|3)');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('266','27393','8','{#ENT_SN}','.+');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('267','27393','8','{#ENT_CLASS}','[^3]');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('268','27399','8','{#ENT_SN}','.+');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('269','27399','8','{#ENT_CLASS}','[^3]');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('272','27410','8','{#ENT_SN}','.+');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('273','27410','8','{#ENT_CLASS}','[^3]');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('274','27450','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('275','27450','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('276','27460','8','{#IFOPERSTATUS}','1');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('277','27460','8','{#SNMPVALUE}','(2|3)');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('278','27486','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('279','27486','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('280','27520','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('281','27520','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('282','27530','8','{#IFOPERSTATUS}','1');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('283','27530','8','{#SNMPVALUE}','(2|3)');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('284','27550','8','{#STATUS}','[^0]');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('285','27551','8','{#STATUS}','[^0]');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('286','27556','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('287','27556','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('288','27566','8','{#IFOPERSTATUS}','1');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('289','27566','8','{#SNMPVALUE}','(2|3)');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('290','27596','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('291','27596','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('292','27606','8','{#IFOPERSTATUS}','1');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('293','27606','8','{#SNMPVALUE}','(2|3)');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('294','27619','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('295','27619','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('296','27629','8','{#IFOPERSTATUS}','1');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('297','27629','8','{#SNMPVALUE}','(2|3)');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('298','27642','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('299','27642','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('300','27652','8','{#IFOPERSTATUS}','1');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('301','27652','8','{#SNMPVALUE}','(2|3)');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('302','27665','8','{#SNMPVALUE}','^(MODULE|Module) (LEVEL|level)1$');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('303','27665','8','{#SNMPVALUE}','(Fabric|FABRIC) (.+) (Module|MODULE)');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('304','27666','8','{#SNMPVALUE}','^(MODULE|Module) (LEVEL|level)1$');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('305','27666','8','{#SNMPVALUE}','(Fabric|FABRIC) (.+) (Module|MODULE)');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('306','27666','8','{#SNMPVALUE}','(T|t)emperature.*(s|S)ensor');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('307','27667','8','{#ENT_CLASS}','7');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('308','27668','8','{#ENT_CLASS}','6');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('309','27669','8','{#ENT_CLASS}','3');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('323','27722','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('324','27722','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('325','27732','8','{#IFOPERSTATUS}','1');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('326','27732','8','{#SNMPVALUE}','(2|3)');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('327','27745','8','{#ENT_NAME}','MPU.*');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('328','27746','8','{#ENT_CLASS}','3');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('329','27756','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('330','27756','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('331','27779','8','{#SENSOR_TYPE}','2');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('332','27780','8','{#ENT_CLASS}','2');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('333','27788','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('334','27788','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('335','27798','8','{#IFOPERSTATUS}','1');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('336','27798','8','{#SNMPVALUE}','(2|3)');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('337','27815','8','{#SNMPVALUE}','Routing Engine.*');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('338','27816','8','{#SNMPVALUE}','[^0]+');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('350','27872','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('351','27872','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('352','27903','8','{#STORAGE_TYPE}','.+4$');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('353','27903','8','{#STORAGE_TYPE}','.+hrStorageFixedDisk');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('354','27909','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('355','27909','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('356','27944','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('357','27944','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('358','27954','8','{#IFOPERSTATUS}','1');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('359','27954','8','{#SNMPVALUE}','(2|3)');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('360','27976','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('361','27976','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('362','28005','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('363','28005','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('378','28118','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('379','28118','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('380','28128','8','{#IFOPERSTATUS}','1');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('381','28128','8','{#SNMPVALUE}','(2|3)');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('382','28144','8','{#SENSOR_TYPE}','8');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('383','28144','8','{#SENSOR_PRECISION}','0');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('384','28146','8','{#ENT_CLASS}','.+8.3.2$');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('385','28146','8','{#ENT_STATUS}','(1|2|3|4)');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('386','28147','8','{#ENT_CLASS}','.+8.3.1$');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('387','28147','8','{#ENT_STATUS}','(1|2|3|4)');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('388','28148','8','{#ENT_CLASS}','.+8.3.3$');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('389','28148','8','{#ENT_STATUS}','(1|2|3|4)');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('390','28149','8','{#ENT_CLASS}','3');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('395','28175','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('396','28175','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('397','28196','8','{#SENSOR_TYPE}','8');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('398','28196','8','{#SENSOR_PRECISION}','1');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('399','28197','8','{#SNMPVALUE}','10');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('400','28198','8','{#ENT_CLASS}','3');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('401','28199','8','{#ENT_CLASS}','6');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('402','28207','8','{#ENT_SN}','.+');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('403','28207','8','{#ENT_CLASS}','[^3]');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('404','28223','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('405','28223','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('406','27088','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('407','27098','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('408','27180','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('409','27215','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('410','27251','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('411','27272','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('412','27321','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('413','27450','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('414','27486','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('415','27520','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('416','27556','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('417','27642','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('418','27722','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('419','27756','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('420','27788','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('421','27872','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('422','27909','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('423','27944','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('425','28118','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('426','28175','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('427','28223','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('428','27068','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('429','27596','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('430','28005','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('431','27078','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('432','27619','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('433','27976','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('434','27118','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('436','28280','8','{#IFOPERSTATUS}','1');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('437','28280','8','{#SNMPVALUE}','(2|3)');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('438','28293','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('439','28293','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('440','28293','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('448','28306','8','{#SENSOR_TYPE}','8');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('449','28306','8','{#SENSOR_PRECISION}','1');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('450','28307','8','{#SNMPVALUE}','10');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('451','28308','8','{#ENT_CLASS}','3');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('452','28309','8','{#ENT_CLASS}','6');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('453','28346','8','{#SENSOR_LOCALE}','.*CPU.*');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('454','28347','8','{#SENSOR_LOCALE}','.*Inlet Temp.*');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('455','28349','8','{#TYPE}','3');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('456','28392','8','{#SENSOR_LOCALE}','(4|8|9|12|13)');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('457','28393','8','{#SNMPINDEX}',E'0\\.1');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('458','28393','8','{#SENSOR_LOCALE}','11');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('459','28394','8','{#SENSOR_LOCALE}','6');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('460','28395','8','{#SENSOR_LOCALE}','7');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('461','28396','8','{#SENSOR_LOCALE}','10');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('462','28397','8','{#SENSOR_LOCALE}','3');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('463','28440','8','{#SNMPVALUE}','(DIMM|PSU|PCH|RAID|RR|PCI).*');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('464','28441','8','{#SNMPVALUE}','Ambient.*');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('465','28442','8','{#SNMPVALUE}','CPU [0-9]* Temp');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('466','28468','8','{#SNMPVALUE}','(DIMM|PSU|PCH|RAID|RR|PCI).*');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('467','28469','8','{#SNMPVALUE}','Ambient.*');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('468','28470','8','{#SNMPVALUE}','CPU [0-9]* Temp');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('469','28493','8','{#SNMPVALUE}','[1-9]+');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('470','28493','8','{#SENSOR_DESCR}','.*Temp.*');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('471','28494','8','{#SNMPVALUE}','[1-9]+');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('472','28494','8','{#SENSOR_DESCR}','FAN.*');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('474','28711','8','{#DBNAME}','{$PG.LLD.FILTER.DBNAME}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('475','28948','9','{#DBNAME}','information_schema');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('476','28955','8','{#IFOPERSTATUS}','1');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('477','28955','8','{#SNMPVALUE}','(2|3)');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('478','28968','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('479','28968','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('480','28968','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('481','29008','8','{#DEVNAME}','{$VFS.DEV.DEVNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('482','29008','9','{#DEVNAME}','{$VFS.DEV.DEVNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('483','29010','8','{#FSTYPE}','{$VFS.FS.FSTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('484','29010','9','{#FSTYPE}','{$VFS.FS.FSTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('485','29010','8','{#FSNAME}','{$VFS.FS.FSNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('486','29010','9','{#FSNAME}','{$VFS.FS.FSNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('487','29011','8','{#DEVNAME}','{$VFS.DEV.DEVNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('488','29011','9','{#DEVNAME}','{$VFS.DEV.DEVNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('489','29013','8','{#FSTYPE}','{$VFS.FS.FSTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('490','29013','9','{#FSTYPE}','{$VFS.FS.FSTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('491','29013','8','{#FSNAME}','{$VFS.FS.FSNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('492','29013','9','{#FSNAME}','{$VFS.FS.FSNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('497','29077','8','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('498','29077','9','{#IFADMINSTATUS}','{$NET.IF.IFADMINSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('499','29077','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('500','29201','8','{#FSTYPE}','{$VFS.FS.FSTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('501','29201','9','{#FSTYPE}','{$VFS.FS.FSTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('502','29201','8','{#FSNAME}','{$VFS.FS.FSNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('503','29201','9','{#FSNAME}','{$VFS.FS.FSNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('504','29202','8','{#DEVNAME}','{$VFS.DEV.DEVNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('505','29202','9','{#DEVNAME}','{$VFS.DEV.DEVNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('506','29203','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('507','29203','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('508','29204','8','{#FSTYPE}','{$VFS.FS.FSTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('509','29204','9','{#FSTYPE}','{$VFS.FS.FSTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('510','29204','8','{#FSNAME}','{$VFS.FS.FSNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('511','29204','9','{#FSNAME}','{$VFS.FS.FSNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('512','29205','8','{#DEVNAME}','{$VFS.DEV.DEVNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('513','29205','9','{#DEVNAME}','{$VFS.DEV.DEVNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('514','29206','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('515','29206','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('516','29207','8','{#FSTYPE}','{$VFS.FS.FSTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('517','29207','9','{#FSTYPE}','{$VFS.FS.FSTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('518','29207','8','{#FSNAME}','{$VFS.FS.FSNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('519','29207','9','{#FSNAME}','{$VFS.FS.FSNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('520','29208','8','{#DEVNAME}','{$VFS.DEV.DEVNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('521','29208','9','{#DEVNAME}','{$VFS.DEV.DEVNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('522','29209','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('523','29209','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('524','29349','8','{#FSTYPE}','{$VFS.FS.FSTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('525','29349','9','{#FSTYPE}','{$VFS.FS.FSTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('526','29349','8','{#FSNAME}','{$VFS.FS.FSNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('527','29349','9','{#FSNAME}','{$VFS.FS.FSNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('528','29350','8','{#DEVNAME}','{$VFS.DEV.DEVNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('529','29350','9','{#DEVNAME}','{$VFS.DEV.DEVNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('530','29351','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('531','29351','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('532','29352','8','{#FSTYPE}','{$VFS.FS.FSTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('533','29352','9','{#FSTYPE}','{$VFS.FS.FSTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('534','29352','8','{#FSNAME}','{$VFS.FS.FSNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('535','29352','9','{#FSNAME}','{$VFS.FS.FSNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('536','29353','8','{#DEVNAME}','{$VFS.DEV.DEVNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('537','29353','9','{#DEVNAME}','{$VFS.DEV.DEVNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('538','29354','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('539','29354','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('540','29429','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('541','29429','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('542','29429','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('543','29429','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('544','29429','8','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('545','29429','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('546','29430','8','{#FSTYPE}','{$VFS.FS.FSTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('547','29430','9','{#FSTYPE}','{$VFS.FS.FSTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('548','29430','8','{#FSNAME}','{$VFS.FS.FSNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('549','29430','9','{#FSNAME}','{$VFS.FS.FSNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('550','29430','8','{#FSNAME}','{$VFS.FS.FSDEVICE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('551','29430','9','{#FSDEVICE}','{$VFS.FS.FSDEVICE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('552','29431','8','{#DEVNAME}','{$VFS.DEV.DEVNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('553','29431','9','{#DEVNAME}','{$VFS.DEV.DEVNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('554','29506','8','{#FSTYPE}','{$VFS.FS.FSTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('555','29506','9','{#FSTYPE}','{$VFS.FS.FSTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('556','29506','8','{#FSNAME}','{$VFS.FS.FSNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('557','29506','9','{#FSNAME}','{$VFS.FS.FSNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('558','29506','8','{#FSDRIVETYPE}','{$VFS.FS.FSDRIVETYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('559','29506','9','{#FSDRIVETYPE}','{$VFS.FS.FSDRIVETYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('560','29507','8','{#DEVNAME}','{$VFS.DEV.DEVNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('561','29507','9','{#DEVNAME}','{$VFS.DEV.DEVNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('562','29508','8','{#IFPHYSICALADAPTER}','{$NET.IF.PHYSICALADAPTER.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('563','29508','9','{#IFPHYSICALADAPTER}','{$NET.IF.PHYSICALADAPTER.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('564','29508','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('565','29508','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('566','29508','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('567','29508','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('568','29508','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('569','29508','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('570','29508','8','{#IFNETENABLED}','{$NET.IF.IFNETENABLED.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('571','29508','9','{#IFNETENABLED}','{$NET.IF.IFNETENABLED.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('572','29509','8','{#FSTYPE}','{$VFS.FS.FSTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('573','29509','9','{#FSTYPE}','{$VFS.FS.FSTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('574','29509','8','{#FSNAME}','{$VFS.FS.FSNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('575','29509','9','{#FSNAME}','{$VFS.FS.FSNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('576','29509','8','{#FSDRIVETYPE}','{$VFS.FS.FSDRIVETYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('577','29509','9','{#FSDRIVETYPE}','{$VFS.FS.FSDRIVETYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('578','29510','8','{#DEVNAME}','{$VFS.DEV.DEVNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('579','29510','9','{#DEVNAME}','{$VFS.DEV.DEVNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('580','29511','8','{#IFPHYSICALADAPTER}','{$NET.IF.PHYSICALADAPTER.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('581','29511','9','{#IFPHYSICALADAPTER}','{$NET.IF.PHYSICALADAPTER.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('582','29511','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('583','29511','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('584','29511','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('585','29511','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('586','29511','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('587','29511','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('588','29511','8','{#IFNETENABLED}','{$NET.IF.IFNETENABLED.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('589','29511','9','{#IFNETENABLED}','{$NET.IF.IFNETENABLED.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('590','29613','8','{#FSTYPE}','{$VFS.FS.FSTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('591','29613','9','{#FSTYPE}','{$VFS.FS.FSTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('592','29613','8','{#FSNAME}','{$VFS.FS.FSNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('593','29613','9','{#FSNAME}','{$VFS.FS.FSNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('594','29613','8','{#FSDRIVETYPE}','{$VFS.FS.FSDRIVETYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('595','29613','9','{#FSDRIVETYPE}','{$VFS.FS.FSDRIVETYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('596','29614','8','{#DEVNAME}','{$VFS.DEV.DEVNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('597','29614','9','{#DEVNAME}','{$VFS.DEV.DEVNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('598','29615','8','{#IFPHYSICALADAPTER}','{$NET.IF.PHYSICALADAPTER.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('599','29615','9','{#IFPHYSICALADAPTER}','{$NET.IF.PHYSICALADAPTER.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('600','29615','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('601','29615','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('602','29615','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('603','29615','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('604','29615','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('605','29615','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('606','29615','8','{#IFNETENABLED}','{$NET.IF.IFNETENABLED.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('607','29615','9','{#IFNETENABLED}','{$NET.IF.IFNETENABLED.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('608','29616','8','{#FSTYPE}','{$VFS.FS.FSTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('609','29616','9','{#FSTYPE}','{$VFS.FS.FSTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('610','29616','8','{#FSNAME}','{$VFS.FS.FSNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('611','29616','9','{#FSNAME}','{$VFS.FS.FSNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('612','29616','8','{#FSDRIVETYPE}','{$VFS.FS.FSDRIVETYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('613','29616','9','{#FSDRIVETYPE}','{$VFS.FS.FSDRIVETYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('614','29617','8','{#DEVNAME}','{$VFS.DEV.DEVNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('615','29617','9','{#DEVNAME}','{$VFS.DEV.DEVNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('616','29618','8','{#IFPHYSICALADAPTER}','{$NET.IF.PHYSICALADAPTER.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('617','29618','9','{#IFPHYSICALADAPTER}','{$NET.IF.PHYSICALADAPTER.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('618','29618','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('619','29618','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('620','29618','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('621','29618','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('622','29618','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('623','29618','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('624','29618','8','{#IFNETENABLED}','{$NET.IF.IFNETENABLED.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('625','29618','9','{#IFNETENABLED}','{$NET.IF.IFNETENABLED.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('628','29703','8','{#QUEUE}','{$RABBITMQ.LLD.FILTER.QUEUE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('629','29703','9','{#QUEUE}','{$RABBITMQ.LLD.FILTER.QUEUE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('630','29703','8','{#NODE}','{$RABBITMQ.CLUSTER.NAME}@{HOST.NAME}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('631','29785','8','{#EXCHANGE}','{$RABBITMQ.LLD.FILTER.EXCHANGE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('632','29785','9','{#EXCHANGE}','{$RABBITMQ.LLD.FILTER.EXCHANGE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('633','29786','8','{#QUEUE}','{$RABBITMQ.LLD.FILTER.QUEUE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('634','29786','9','{#QUEUE}','{$RABBITMQ.LLD.FILTER.QUEUE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('635','29786','8','{#NODE}','{$RABBITMQ.CLUSTER.NAME}@{HOST.NAME}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('636','27088','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('637','27088','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('638','27088','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('639','27088','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('640','27088','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('641','27088','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('642','27088','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('643','27088','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('644','27088','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('645','27098','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('646','27098','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('647','27098','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('648','27098','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('649','27098','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('650','27098','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('651','27098','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('652','27098','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('653','27098','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('654','27180','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('655','27180','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('656','27180','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('657','27180','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('658','27180','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('659','27180','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('660','27180','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('661','27180','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('662','27180','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('663','27215','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('664','27215','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('665','27215','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('666','27215','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('667','27215','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('668','27215','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('669','27215','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('670','27215','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('671','27215','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('672','27251','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('673','27251','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('674','27251','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('675','27251','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('676','27251','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('677','27251','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('678','27251','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('679','27251','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('680','27251','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('681','27272','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('682','27272','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('683','27272','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('684','27272','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('685','27272','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('686','27272','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('687','27272','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('688','27272','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('689','27272','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('690','27321','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('691','27321','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('692','27321','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('693','27321','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('694','27321','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('695','27321','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('696','27321','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('697','27321','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('698','27321','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('699','27450','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('700','27450','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('701','27450','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('702','27450','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('703','27450','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('704','27450','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('705','27450','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('706','27450','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('707','27450','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('708','27486','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('709','27486','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('710','27486','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('711','27486','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('712','27486','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('713','27486','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('714','27486','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('715','27486','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('716','27486','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('717','27520','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('718','27520','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('719','27520','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('720','27520','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('721','27520','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('722','27520','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('723','27520','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('724','27520','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('725','27520','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('726','27556','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('727','27556','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('728','27556','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('729','27556','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('730','27556','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('731','27556','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('732','27556','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('733','27556','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('734','27556','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('735','27642','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('736','27642','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('737','27642','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('738','27642','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('739','27642','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('740','27642','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('741','27642','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('742','27642','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('743','27642','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('744','27722','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('745','27722','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('746','27722','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('747','27722','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('748','27722','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('749','27722','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('750','27722','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('751','27722','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('752','27722','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('753','27756','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('754','27756','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('755','27756','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('756','27756','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('757','27756','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('758','27756','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('759','27756','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('760','27756','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('761','27756','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('762','27788','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('763','27788','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('764','27788','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('765','27788','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('766','27788','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('767','27788','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('768','27788','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('769','27788','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('770','27788','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('771','27872','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('772','27872','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('773','27872','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('774','27872','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('775','27872','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('776','27872','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('777','27872','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('778','27872','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('779','27872','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('780','27909','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('781','27909','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('782','27909','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('783','27909','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('784','27909','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('785','27909','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('786','27909','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('787','27909','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('788','27909','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('789','27944','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('790','27944','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('791','27944','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('792','27944','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('793','27944','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('794','27944','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('795','27944','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('796','27944','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('797','27944','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('798','28118','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('799','28118','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('800','28118','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('801','28118','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('802','28118','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('803','28118','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('804','28118','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('805','28118','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('806','28118','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('807','28175','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('808','28175','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('809','28175','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('810','28175','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('811','28175','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('812','28175','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('813','28175','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('814','28175','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('815','28175','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('816','28223','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('817','28223','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('818','28223','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('819','28223','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('820','28223','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('821','28223','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('822','28223','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('823','28223','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('824','28223','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('825','28293','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('826','28293','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('827','28293','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('828','28293','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('829','28293','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('830','28293','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('831','28293','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('832','28293','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('833','28293','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('834','28968','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('835','28968','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('836','28968','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('837','28968','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('838','28968','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('839','28968','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('840','28968','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('841','28968','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('842','28968','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('843','27068','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('844','27068','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('845','27068','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('846','27068','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('847','27068','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('848','27068','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('849','27068','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('850','27596','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('851','27596','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('852','27596','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('853','27596','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('854','27596','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('855','27596','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('856','27596','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('857','28005','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('858','28005','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('859','28005','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('860','28005','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('861','28005','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('862','28005','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('863','28005','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('864','27078','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('865','27078','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('866','27078','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('867','27078','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('868','27078','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('869','27078','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('870','27078','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('871','27619','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('872','27619','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('873','27619','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('874','27619','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('875','27619','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('876','27619','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('877','27619','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('878','27976','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('879','27976','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('880','27976','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('881','27976','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('882','27976','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('883','27976','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('884','27976','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('885','27118','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('886','27118','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('887','27118','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('888','27118','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('889','27118','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('890','27118','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('891','27118','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('892','27118','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('893','27118','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('894','29077','9','{#IFOPERSTATUS}','{$NET.IF.IFOPERSTATUS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('895','29077','8','{#IFNAME}','{$NET.IF.IFNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('896','29077','9','{#IFNAME}','{$NET.IF.IFNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('897','29077','8','{#IFDESCR}','{$NET.IF.IFDESCR.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('898','29077','9','{#IFDESCR}','{$NET.IF.IFDESCR.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('899','29077','8','{#IFALIAS}','{$NET.IF.IFALIAS.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('900','29077','9','{#IFALIAS}','{$NET.IF.IFALIAS.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('901','29077','8','{#IFTYPE}','{$NET.IF.IFTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('902','29077','9','{#IFTYPE}','{$NET.IF.IFTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('903','30026','8','{#EXCHANGE}','{$RABBITMQ.LLD.FILTER.EXCHANGE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('904','30026','9','{#EXCHANGE}','{$RABBITMQ.LLD.FILTER.EXCHANGE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('905','30147','8','{#MEMTYPE}','{$MEMORY.TYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('906','30147','9','{#MEMTYPE}','{$MEMORY.TYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('907','30147','8','{#MEMNAME}','{$MEMORY.NAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('908','30147','9','{#MEMNAME}','{$MEMORY.NAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('909','30148','8','{#FSTYPE}','{$VFS.FS.FSTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('910','30148','9','{#FSTYPE}','{$VFS.FS.FSTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('911','30148','8','{#FSNAME}','{$VFS.FS.FSNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('912','30148','9','{#FSNAME}','{$VFS.FS.FSNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('913','30149','8','{#MEMTYPE}','{$MEMORY.TYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('914','30149','9','{#MEMTYPE}','{$MEMORY.TYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('915','30149','8','{#MEMNAME}','{$MEMORY.NAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('916','30149','9','{#MEMNAME}','{$MEMORY.NAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('917','30150','8','{#FSTYPE}','{$VFS.FS.FSTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('918','30150','9','{#FSTYPE}','{$VFS.FS.FSTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('919','30150','8','{#FSNAME}','{$VFS.FS.FSNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('920','30150','9','{#FSNAME}','{$VFS.FS.FSNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('921','30151','8','{#MEMTYPE}','{$MEMORY.TYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('922','30151','9','{#MEMTYPE}','{$MEMORY.TYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('923','30151','8','{#MEMNAME}','{$MEMORY.NAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('924','30151','9','{#MEMNAME}','{$MEMORY.NAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('925','30152','8','{#FSTYPE}','{$VFS.FS.FSTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('926','30152','9','{#FSTYPE}','{$VFS.FS.FSTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('927','30152','8','{#FSNAME}','{$VFS.FS.FSNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('928','30152','9','{#FSNAME}','{$VFS.FS.FSNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('929','30153','8','{#MEMTYPE}','{$MEMORY.TYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('930','30153','9','{#MEMTYPE}','{$MEMORY.TYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('931','30153','8','{#MEMNAME}','{$MEMORY.NAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('932','30153','9','{#MEMNAME}','{$MEMORY.NAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('933','30154','8','{#FSTYPE}','{$VFS.FS.FSTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('934','30154','9','{#FSTYPE}','{$VFS.FS.FSTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('935','30154','8','{#FSNAME}','{$VFS.FS.FSNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('936','30154','9','{#FSNAME}','{$VFS.FS.FSNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('937','30155','8','{#MEMTYPE}','{$MEMORY.TYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('938','30155','9','{#MEMTYPE}','{$MEMORY.TYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('939','30155','8','{#MEMNAME}','{$MEMORY.NAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('940','30155','9','{#MEMNAME}','{$MEMORY.NAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('941','30156','8','{#FSTYPE}','{$VFS.FS.FSTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('942','30156','9','{#FSTYPE}','{$VFS.FS.FSTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('943','30156','8','{#FSNAME}','{$VFS.FS.FSNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('944','30156','9','{#FSNAME}','{$VFS.FS.FSNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('945','30193','8','{#SVNAME}','BACKEND');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('946','30194','8','{#SVNAME}','FRONTEND');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('947','30195','9','{#SVNAME}','FRONTEND|BACKEND');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('948','30236','8','{#SVNAME}','BACKEND');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('949','30237','8','{#SVNAME}','FRONTEND');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('950','30238','9','{#SVNAME}','FRONTEND|BACKEND');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('951','30338','8','{#DB}','{$REDIS.LLD.FILTER.DB.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('952','30338','9','{#DB}','{$REDIS.LLD.FILTER.DB.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('953','30407','8','{#MEMTYPE}','{$MEMORY.TYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('954','30407','9','{#MEMTYPE}','{$MEMORY.TYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('955','30407','8','{#MEMNAME}','{$MEMORY.NAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('956','30407','9','{#MEMNAME}','{$MEMORY.NAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('957','30408','8','{#FSTYPE}','{$VFS.FS.FSTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('958','30408','9','{#FSTYPE}','{$VFS.FS.FSTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('959','30408','8','{#FSNAME}','{$VFS.FS.FSNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('960','30408','9','{#FSNAME}','{$VFS.FS.FSNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('961','30409','8','{#MEMTYPE}','{$MEMORY.TYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('962','30409','9','{#MEMTYPE}','{$MEMORY.TYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('963','30409','8','{#MEMNAME}','{$MEMORY.NAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('964','30409','9','{#MEMNAME}','{$MEMORY.NAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('965','30410','8','{#FSTYPE}','{$VFS.FS.FSTYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('966','30410','9','{#FSTYPE}','{$VFS.FS.FSTYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('967','30410','8','{#FSNAME}','{$VFS.FS.FSNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('968','30410','9','{#FSNAME}','{$VFS.FS.FSNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('969','30423','8','{#SERVICE.NAME}','{$SERVICE.NAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('970','30423','9','{#SERVICE.NAME}','{$SERVICE.NAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('971','30423','8','{#SERVICE.STARTUPNAME}','{$SERVICE.STARTUPNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('972','30423','9','{#SERVICE.STARTUPNAME}','{$SERVICE.STARTUPNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('973','30424','8','{#SERVICE.NAME}','{$SERVICE.NAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('974','30424','9','{#SERVICE.NAME}','{$SERVICE.NAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('975','30424','8','{#SERVICE.STARTUPNAME}','{$SERVICE.STARTUPNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('976','30424','9','{#SERVICE.STARTUPNAME}','{$SERVICE.STARTUPNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('977','30427','8','{#SERVICE.NAME}','{$SERVICE.NAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('978','30427','9','{#SERVICE.NAME}','{$SERVICE.NAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('979','30427','8','{#SERVICE.STARTUPNAME}','{$SERVICE.STARTUPNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('980','30427','9','{#SERVICE.STARTUPNAME}','{$SERVICE.STARTUPNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('981','30428','8','{#SERVICE.NAME}','{$SERVICE.NAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('982','30428','9','{#SERVICE.NAME}','{$SERVICE.NAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('983','30428','8','{#SERVICE.STARTUPNAME}','{$SERVICE.STARTUPNAME.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('984','30428','9','{#SERVICE.STARTUPNAME}','{$SERVICE.STARTUPNAME.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('985','30472','9','{#DBNAME}','information_schema');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('986','30520','9','{#DATABASE}','information_schema');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('987','30571','8','{#NAME}','{$DOCKER.LLD.FILTER.CONTAINER.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('988','30571','9','{#NAME}','{$DOCKER.LLD.FILTER.CONTAINER.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('989','30572','8','{#NAME}','{$DOCKER.LLD.FILTER.IMAGE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('990','30572','9','{#NAME}','{$DOCKER.LLD.FILTER.IMAGE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('991','30678','9','{#DATABASE}','information_schema');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('992','30686','9','{#SENSOR_READING_TYPE}','threshold');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('993','30686','8','{#SENSOR_TYPE}','{$IPMI.SENSOR_TYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('994','30686','9','{#SENSOR_TYPE}','{$IPMI.SENSOR_TYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('995','30687','8','{#SENSOR_READING_TYPE}','threshold');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('996','30687','8','{#SENSOR_TYPE}','{$IPMI.SENSOR_TYPE.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('997','30687','9','{#SENSOR_TYPE}','{$IPMI.SENSOR_TYPE.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('998','30759','8','{#SVNAME}','BACKEND');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('999','30759','8','{#MODE}','tcp');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('1000','30760','8','{#SVNAME}','FRONTEND');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('1001','30760','8','{#MODE}','tcp');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('1002','30761','9','{#SVNAME}','FRONTEND|BACKEND');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('1003','30761','8','{#MODE}','tcp');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('1004','30193','8','{#MODE}','http');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('1005','30194','8','{#MODE}','http');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('1006','30195','8','{#MODE}','http');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('1007','30791','8','{#SVNAME}','BACKEND');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('1008','30791','8','{#MODE}','tcp');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('1009','30792','8','{#SVNAME}','FRONTEND');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('1010','30792','8','{#MODE}','tcp');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('1011','30793','9','{#SVNAME}','FRONTEND|BACKEND');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('1012','30793','8','{#MODE}','tcp');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('1013','30236','8','{#MODE}','http');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('1014','30237','8','{#MODE}','http');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('1015','30238','8','{#MODE}','http');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('1016','30874','8','{#NAME}','{$CLICKHOUSE.LLD.FILTER.DICT.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('1017','30874','9','{#NAME}','{$CLICKHOUSE.LLD.FILTER.DICT.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('1018','30875','8','{#DB}','{$CLICKHOUSE.LLD.FILTER.DB.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('1019','30875','9','{#DB}','{$CLICKHOUSE.LLD.FILTER.DB.NOT_MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('1020','30876','8','{#DB}','{$CLICKHOUSE.LLD.FILTER.DB.MATCHES}');
INSERT INTO item_condition (item_conditionid,itemid,operator,macro,value) values ('1021','30876','9','{#DB}','{$CLICKHOUSE.LLD.FILTER.DB.NOT_MATCHES}');
INSERT INTO item_rtdata (itemid) values ('10073');
INSERT INTO item_rtdata (itemid) values ('10074');
INSERT INTO item_rtdata (itemid) values ('10075');
INSERT INTO item_rtdata (itemid) values ('10076');
INSERT INTO item_rtdata (itemid) values ('10077');
INSERT INTO item_rtdata (itemid) values ('10078');
INSERT INTO item_rtdata (itemid) values ('23252');
INSERT INTO item_rtdata (itemid) values ('23253');
INSERT INTO item_rtdata (itemid) values ('23255');
INSERT INTO item_rtdata (itemid) values ('23256');
INSERT INTO item_rtdata (itemid) values ('23257');
INSERT INTO item_rtdata (itemid) values ('23258');
INSERT INTO item_rtdata (itemid) values ('23259');
INSERT INTO item_rtdata (itemid) values ('23260');
INSERT INTO item_rtdata (itemid) values ('23261');
INSERT INTO item_rtdata (itemid) values ('23262');
INSERT INTO item_rtdata (itemid) values ('23264');
INSERT INTO item_rtdata (itemid) values ('23265');
INSERT INTO item_rtdata (itemid) values ('23266');
INSERT INTO item_rtdata (itemid) values ('23267');
INSERT INTO item_rtdata (itemid) values ('23268');
INSERT INTO item_rtdata (itemid) values ('23269');
INSERT INTO item_rtdata (itemid) values ('23270');
INSERT INTO item_rtdata (itemid) values ('23271');
INSERT INTO item_rtdata (itemid) values ('23272');
INSERT INTO item_rtdata (itemid) values ('23273');
INSERT INTO item_rtdata (itemid) values ('23274');
INSERT INTO item_rtdata (itemid) values ('23275');
INSERT INTO item_rtdata (itemid) values ('23276');
INSERT INTO item_rtdata (itemid) values ('23277');
INSERT INTO item_rtdata (itemid) values ('23287');
INSERT INTO item_rtdata (itemid) values ('23288');
INSERT INTO item_rtdata (itemid) values ('23327');
INSERT INTO item_rtdata (itemid) values ('23328');
INSERT INTO item_rtdata (itemid) values ('23620');
INSERT INTO item_rtdata (itemid) values ('23625');
INSERT INTO item_rtdata (itemid) values ('23628');
INSERT INTO item_rtdata (itemid) values ('23635');
INSERT INTO item_rtdata (itemid) values ('23662');
INSERT INTO item_rtdata (itemid) values ('23664');
INSERT INTO item_rtdata (itemid) values ('25367');
INSERT INTO item_rtdata (itemid) values ('25371');
INSERT INTO item_rtdata (itemid) values ('25667');
INSERT INTO item_rtdata (itemid) values ('25668');
INSERT INTO item_rtdata (itemid) values ('28249');
INSERT INTO item_rtdata (itemid) values ('28534');
INSERT INTO item_rtdata (itemid) values ('28536');
INSERT INTO item_rtdata (itemid) values ('28538');
INSERT INTO item_rtdata (itemid) values ('29161');
INSERT INTO item_rtdata (itemid) values ('29162');
INSERT INTO item_rtdata (itemid) values ('29163');
INSERT INTO item_rtdata (itemid) values ('29164');
INSERT INTO item_rtdata (itemid) values ('29165');
INSERT INTO item_rtdata (itemid) values ('29166');
INSERT INTO item_rtdata (itemid) values ('29167');
INSERT INTO item_rtdata (itemid) values ('29168');
INSERT INTO item_rtdata (itemid) values ('29169');
INSERT INTO item_rtdata (itemid) values ('29170');
INSERT INTO item_rtdata (itemid) values ('29171');
INSERT INTO item_rtdata (itemid) values ('29172');
INSERT INTO item_rtdata (itemid) values ('29173');
INSERT INTO item_rtdata (itemid) values ('29174');
INSERT INTO item_rtdata (itemid) values ('29175');
INSERT INTO item_rtdata (itemid) values ('29176');
INSERT INTO item_rtdata (itemid) values ('29177');
INSERT INTO item_rtdata (itemid) values ('29178');
INSERT INTO item_rtdata (itemid) values ('29179');
INSERT INTO item_rtdata (itemid) values ('29180');
INSERT INTO item_rtdata (itemid) values ('29181');
INSERT INTO item_rtdata (itemid) values ('29182');
INSERT INTO item_rtdata (itemid) values ('29183');
INSERT INTO item_rtdata (itemid) values ('29184');
INSERT INTO item_rtdata (itemid) values ('29185');
INSERT INTO item_rtdata (itemid) values ('29186');
INSERT INTO item_rtdata (itemid) values ('29187');
INSERT INTO item_rtdata (itemid) values ('29188');
INSERT INTO item_rtdata (itemid) values ('29189');
INSERT INTO item_rtdata (itemid) values ('29190');
INSERT INTO item_rtdata (itemid) values ('29191');
INSERT INTO item_rtdata (itemid) values ('29192');
INSERT INTO item_rtdata (itemid) values ('29193');
INSERT INTO item_rtdata (itemid) values ('29194');
INSERT INTO item_rtdata (itemid) values ('29195');
INSERT INTO item_rtdata (itemid) values ('29196');
INSERT INTO item_rtdata (itemid) values ('29197');
INSERT INTO item_rtdata (itemid) values ('29200');
INSERT INTO item_rtdata (itemid) values ('29207');
INSERT INTO item_rtdata (itemid) values ('29208');
INSERT INTO item_rtdata (itemid) values ('29209');
INSERT INTO item_rtdata (itemid) values ('29557');
INSERT INTO item_rtdata (itemid) values ('29823');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('100','30338',NULL,'Redis: DB {#DB}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('101','30342',NULL,'Redis: Slave {#SLAVE_IP}:{#SLAVE_PORT}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('102','30408',NULL,'Filesystem {#FSNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('104','30571',NULL,'Docker: Container {#NAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('105','30572',NULL,'Docker: Image {#NAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('106','30686',NULL,'IPMI {#SENSOR_TYPE}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('107','30687',NULL,'IPMI {#SENSOR_TYPE}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('108','30713',NULL,'ES {#ES.NODE}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('109','30760',NULL,'HAProxy TCP Frontend {#PXNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('110','30759',NULL,'HAProxy TCP Backend {#PXNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('111','30761',NULL,'HAProxy TCP {#PXNAME} {#SVNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('112','30792',NULL,'HAProxy TCP Frontend {#PXNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('113','30791',NULL,'HAProxy TCP Backend {#PXNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('114','30793',NULL,'HAProxy TCP {#PXNAME} {#SVNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('115','30874',NULL,'ClickHouse: Dictionary "{#NAME}"');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('116','30875',NULL,'ClickHouse: "{#DB}.{#TABLE}" replica status');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('117','30876',NULL,'ClickHouse: DB "{#DB}"');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('118','30876',NULL,'ClickHouse: Table "{#DB}.{#TABLE}"');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('16','29349',NULL,'Filesystem {#FSNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('17','29350',NULL,'Disk {#DEVNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('18','29351',NULL,'Interface {#IFNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('2','28711',NULL,'PostgreSQL: DB {#DBNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('22','29430',NULL,'Filesystem {#FSNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('23','29431',NULL,'Disk {#DEVNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('24','29429',NULL,'Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('25','29506',NULL,'Filesystem {#FSNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('26','29508',NULL,'Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('29','29507',NULL,'Disk {#DEVNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('3','29008',NULL,'Disk {#DEVNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('31','29613',NULL,'Filesystem {#FSNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('32','29615',NULL,'Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('35','29614',NULL,'Disk {#DEVNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('38','29703',NULL,'RabbitMQ: Queue "{#VHOST}/{#QUEUE}"');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('39','29785',NULL,'RabbitMQ: Exchange "{#VHOST}/{#EXCHANGE}/{#TYPE}"');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('4','29010',NULL,'Filesystem {#FSNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('40','29786',NULL,'RabbitMQ: Queue "{#VHOST}/{#QUEUE}"');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('41','27029',NULL,'Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('43','27031',NULL,'Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('57','27088',NULL,'Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('58','27098',NULL,'Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('7','29201',NULL,'Filesystem {#FSNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('8','29202',NULL,'Disk {#DEVNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('80','27068',NULL,'Interface {#IFDESCR}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('83','27078',NULL,'Interface {#IFDESCR}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('86','27118',NULL,'Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('88','30026',NULL,'RabbitMQ: Exchange "{#VHOST}/{#EXCHANGE}/{#TYPE}"');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('89','30148',NULL,'Filesystem {#FSNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('9','29203',NULL,'Interface {#IFNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('94','30194',NULL,'HAProxy frontend {#PXNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('95','30193',NULL,'HAProxy backend {#PXNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('96','30195',NULL,'HAProxy {#PXNAME} {#SVNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('97','30237',NULL,'HAProxy frontend {#PXNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('98','30236',NULL,'HAProxy backend {#PXNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('99','30238',NULL,'HAProxy {#PXNAME} {#SVNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('10','29204','7','Filesystem {#FSNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('103','30410','102','Filesystem {#FSNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('11','29205','8','Disk {#DEVNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('12','29206','9','Interface {#IFNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('13','29207','10','Filesystem {#FSNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('14','29208','11','Disk {#DEVNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('15','29209','12','Interface {#IFNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('19','29352','16','Filesystem {#FSNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('20','29353','17','Disk {#DEVNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('21','29354','18','Interface {#IFNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('27','29509','25','Filesystem {#FSNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('28','29511','26','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('30','29510','29','Disk {#DEVNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('33','29616','31','Filesystem {#FSNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('34','29618','32','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('36','29617','35','Disk {#DEVNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('42','27606','41','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('44','27190','43','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('45','27331','43','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('46','27460','43','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('47','27530','43','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('48','27566','43','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('49','27629','43','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('5','29011','3','Disk {#DEVNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('50','27652','43','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('51','27732','43','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('52','27798','43','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('53','27954','43','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('54','28128','43','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('55','28280','43','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('56','28955','43','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('59','27180','58','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('6','29013','4','Filesystem {#FSNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('60','27215','58','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('61','27251','58','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('62','27272','58','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('63','27321','58','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('64','27450','58','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('65','27486','58','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('66','27520','58','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('67','27556','58','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('68','27642','58','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('69','27722','58','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('70','27756','58','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('71','27788','58','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('72','27872','58','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('73','27909','58','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('74','27944','58','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('75','28118','58','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('76','28175','58','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('77','28223','58','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('78','28293','58','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('79','28968','58','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('81','27596','80','Interface {#IFDESCR}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('82','28005','80','Interface {#IFDESCR}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('84','27619','83','Interface {#IFDESCR}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('85','27976','83','Interface {#IFDESCR}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('87','29077','86','Interface {#IFNAME}({#IFALIAS})');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('90','30150','89','Filesystem {#FSNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('91','30152','90','Filesystem {#FSNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('92','30154','90','Filesystem {#FSNAME}');
INSERT INTO application_prototype (application_prototypeid,itemid,templateid,name) values ('93','30156','90','Filesystem {#FSNAME}');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('2','2','28712');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('3','2','28715');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('4','2','28716');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('5','2','28717');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('6','2','28718');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('7','2','28719');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('8','2','28720');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('9','2','28721');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('10','2','28722');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('11','2','28723');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('12','2','28724');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('13','2','28725');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('14','2','28726');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('15','2','28727');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('16','2','28728');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('17','2','28729');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('18','2','28730');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('19','2','28731');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('20','2','28732');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('21','2','28733');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('22','2','28734');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('23','2','28735');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('24','2','28736');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('25','2','28737');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('26','2','28738');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('27','2','28739');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('28','2','28740');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('29','2','28741');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('30','3','29014');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('31','3','29015');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('32','3','29016');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('33','4','29027');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('34','4','29028');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('35','4','29029');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('36','4','29030');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('37','5','29031');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('38','5','29032');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('39','5','29033');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('40','6','29044');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('41','6','29045');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('42','6','29046');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('43','6','29047');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('44','7','29210');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('45','7','29211');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('46','7','29212');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('47','7','29213');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('48','8','29214');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('49','8','29215');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('50','9','29216');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('51','9','29217');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('52','9','29218');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('53','9','29219');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('54','9','29220');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('55','9','29221');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('56','9','29222');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('57','9','29223');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('58','10','29224');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('59','10','29225');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('60','10','29226');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('61','10','29227');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('62','11','29228');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('63','11','29229');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('64','12','29230');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('65','12','29231');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('66','12','29232');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('67','12','29233');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('68','12','29234');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('69','12','29235');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('70','12','29236');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('71','12','29237');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('72','13','29238');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('73','13','29239');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('74','13','29240');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('75','13','29241');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('76','14','29242');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('77','14','29243');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('78','15','29244');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('79','15','29245');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('80','15','29246');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('81','15','29247');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('82','15','29248');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('83','15','29249');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('84','15','29250');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('85','15','29251');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('86','8','29252');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('87','8','29253');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('88','8','29256');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('89','8','29257');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('90','11','29258');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('91','11','29259');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('92','11','29262');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('93','11','29263');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('94','14','29264');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('95','14','29265');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('96','14','29268');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('97','14','29269');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('98','16','29355');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('99','16','29356');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('100','16','29357');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('101','16','29358');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('102','17','29359');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('103','17','29360');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('104','18','29361');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('105','18','29362');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('106','18','29363');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('107','18','29364');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('108','18','29365');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('109','18','29366');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('110','18','29367');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('111','18','29368');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('112','19','29369');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('113','19','29370');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('114','19','29371');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('115','19','29372');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('116','20','29373');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('117','20','29374');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('118','21','29375');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('119','21','29376');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('120','21','29377');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('121','21','29378');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('122','21','29379');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('123','21','29380');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('124','21','29381');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('125','21','29382');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('126','17','29383');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('127','17','29384');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('128','17','29387');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('129','17','29388');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('130','20','29389');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('131','20','29390');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('132','20','29393');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('133','20','29394');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('134','22','29432');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('135','22','29433');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('136','23','29434');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('137','23','29435');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('138','24','29436');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('139','24','29437');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('140','24','29438');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('141','24','29439');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('142','24','29440');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('143','24','29441');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('144','24','29442');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('145','24','29443');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('146','24','29444');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('147','22','29445');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('148','22','29446');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('149','22','29447');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('150','23','29448');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('151','23','29449');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('152','23','29452');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('153','23','29453');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('154','25','29512');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('155','25','29513');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('156','25','29514');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('157','26','29515');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('158','26','29516');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('159','26','29517');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('160','26','29518');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('161','26','29519');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('162','26','29520');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('163','27','29521');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('164','27','29522');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('165','27','29523');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('166','28','29524');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('167','28','29525');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('168','28','29526');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('169','28','29527');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('170','28','29528');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('171','28','29529');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('172','29','29530');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('173','29','29531');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('174','29','29532');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('175','29','29533');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('176','26','29534');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('177','26','29535');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('178','26','29536');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('179','30','29537');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('180','30','29538');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('181','30','29539');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('182','30','29540');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('183','28','29541');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('184','28','29542');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('185','28','29543');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('186','31','29619');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('187','31','29620');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('188','31','29621');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('189','32','29622');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('190','32','29623');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('191','32','29624');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('192','32','29625');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('193','32','29626');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('194','32','29627');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('195','33','29628');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('196','33','29629');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('197','33','29630');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('198','34','29631');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('199','34','29632');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('200','34','29633');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('201','34','29634');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('202','34','29635');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('203','34','29636');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('204','35','29637');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('205','35','29638');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('206','35','29639');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('207','35','29640');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('208','32','29641');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('209','32','29642');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('210','32','29643');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('211','36','29644');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('212','36','29645');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('213','36','29646');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('214','36','29647');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('215','34','29648');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('216','34','29649');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('217','34','29650');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('234','38','29720');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('235','38','29721');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('236','38','29722');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('237','38','29723');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('238','38','29724');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('239','38','29725');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('240','38','29726');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('241','38','29727');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('242','38','29728');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('243','38','29729');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('244','38','29730');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('245','38','29731');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('246','38','29732');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('247','38','29733');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('248','38','29734');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('249','38','29735');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('250','38','29736');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('251','38','29737');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('252','39','29787');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('253','39','29788');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('254','39','29789');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('255','39','29790');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('256','39','29791');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('257','39','29792');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('258','39','29793');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('259','39','29794');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('260','39','29795');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('261','39','29796');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('262','39','29797');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('263','39','29798');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('264','39','29799');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('265','39','29800');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('266','39','29801');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('267','39','29802');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('268','40','29803');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('269','40','29804');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('270','40','29805');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('271','40','29806');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('272','40','29807');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('273','40','29808');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('274','40','29809');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('275','40','29810');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('276','40','29811');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('277','40','29812');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('278','40','29813');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('279','40','29814');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('280','40','29815');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('281','40','29816');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('282','40','29817');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('283','40','29818');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('284','40','29819');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('285','40','29820');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('286','41','27030');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('287','42','27607');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('288','43','27032');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('289','44','27191');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('290','45','27332');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('291','46','27461');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('292','47','27531');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('293','48','27567');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('294','49','27630');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('295','50','27653');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('296','51','27733');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('297','52','27799');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('298','53','27955');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('299','54','28129');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('300','55','28281');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('301','56','28956');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('302','57','27089');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('303','57','27090');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('304','57','27091');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('305','57','27092');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('306','57','27093');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('307','57','27094');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('308','57','27095');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('309','57','27096');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('310','57','27097');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('311','58','27099');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('312','58','27100');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('313','58','27101');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('314','58','27102');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('315','58','27103');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('316','58','27104');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('317','58','27105');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('318','58','27106');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('319','58','27107');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('320','59','27181');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('321','59','27182');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('322','59','27183');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('323','59','27184');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('324','59','27185');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('325','59','27186');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('326','59','27187');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('327','59','27188');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('328','59','27189');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('329','60','27216');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('330','60','27217');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('331','60','27218');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('332','60','27219');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('333','60','27220');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('334','60','27221');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('335','60','27222');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('336','60','27223');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('337','60','27224');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('338','61','27252');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('339','61','27253');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('340','61','27254');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('341','61','27255');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('342','61','27256');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('343','61','27257');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('344','61','27258');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('345','61','27259');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('346','61','27260');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('347','62','27273');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('348','62','27274');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('349','62','27275');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('350','62','27276');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('351','62','27277');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('352','62','27278');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('353','62','27279');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('354','62','27280');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('355','62','27281');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('356','63','27322');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('357','63','27323');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('358','63','27324');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('359','63','27325');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('360','63','27326');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('361','63','27327');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('362','63','27328');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('363','63','27329');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('364','63','27330');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('365','64','27451');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('366','64','27452');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('367','64','27453');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('368','64','27454');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('369','64','27455');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('370','64','27456');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('371','64','27457');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('372','64','27458');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('373','64','27459');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('374','65','27487');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('375','65','27488');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('376','65','27489');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('377','65','27490');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('378','65','27491');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('379','65','27492');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('380','65','27493');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('381','65','27494');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('382','65','27495');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('383','66','27521');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('384','66','27522');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('385','66','27523');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('386','66','27524');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('387','66','27525');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('388','66','27526');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('389','66','27527');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('390','66','27528');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('391','66','27529');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('392','67','27557');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('393','67','27558');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('394','67','27559');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('395','67','27560');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('396','67','27561');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('397','67','27562');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('398','67','27563');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('399','67','27564');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('400','67','27565');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('401','68','27643');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('402','68','27644');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('403','68','27645');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('404','68','27646');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('405','68','27647');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('406','68','27648');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('407','68','27649');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('408','68','27650');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('409','68','27651');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('410','69','27723');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('411','69','27724');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('412','69','27725');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('413','69','27726');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('414','69','27727');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('415','69','27728');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('416','69','27729');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('417','69','27730');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('418','69','27731');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('419','70','27757');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('420','70','27758');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('421','70','27759');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('422','70','27760');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('423','70','27761');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('424','70','27762');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('425','70','27763');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('426','70','27764');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('427','70','27765');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('428','71','27789');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('429','71','27790');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('430','71','27791');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('431','71','27792');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('432','71','27793');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('433','71','27794');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('434','71','27795');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('435','71','27796');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('436','71','27797');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('437','72','27873');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('438','72','27874');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('439','72','27875');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('440','72','27876');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('441','72','27877');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('442','72','27878');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('443','72','27879');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('444','72','27880');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('445','72','27881');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('446','73','27910');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('447','73','27911');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('448','73','27912');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('449','73','27913');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('450','73','27914');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('451','73','27915');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('452','73','27916');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('453','73','27917');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('454','73','27918');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('455','74','27945');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('456','74','27946');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('457','74','27947');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('458','74','27948');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('459','74','27949');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('460','74','27950');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('461','74','27951');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('462','74','27952');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('463','74','27953');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('464','75','28119');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('465','75','28120');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('466','75','28121');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('467','75','28122');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('468','75','28123');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('469','75','28124');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('470','75','28125');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('471','75','28126');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('472','75','28127');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('473','76','28176');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('474','76','28177');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('475','76','28178');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('476','76','28179');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('477','76','28180');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('478','76','28181');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('479','76','28182');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('480','76','28183');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('481','76','28184');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('482','77','28224');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('483','77','28225');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('484','77','28226');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('485','77','28227');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('486','77','28228');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('487','77','28229');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('488','77','28230');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('489','77','28231');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('490','77','28232');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('491','78','28294');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('492','78','28295');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('493','78','28296');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('494','78','28297');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('495','78','28298');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('496','78','28299');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('497','78','28300');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('498','78','28301');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('499','78','28302');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('500','79','28969');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('501','79','28970');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('502','79','28971');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('503','79','28972');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('504','79','28973');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('505','79','28974');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('506','79','28975');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('507','79','28976');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('508','79','28977');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('509','80','27069');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('510','80','27070');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('511','80','27071');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('512','80','27072');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('513','80','27073');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('514','80','27074');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('515','80','27075');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('516','80','27076');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('517','80','27077');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('518','81','27597');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('519','81','27598');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('520','81','27599');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('521','81','27600');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('522','81','27601');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('523','81','27602');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('524','81','27603');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('525','81','27604');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('526','81','27605');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('527','82','28006');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('528','82','28007');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('529','82','28008');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('530','82','28009');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('531','82','28010');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('532','82','28011');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('533','82','28012');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('534','82','28013');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('535','82','28014');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('536','83','27079');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('537','83','27080');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('538','83','27081');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('539','83','27082');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('540','83','27083');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('541','83','27084');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('542','83','27085');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('543','83','27086');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('544','83','27087');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('545','84','27620');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('546','84','27621');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('547','84','27622');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('548','84','27623');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('549','84','27624');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('550','84','27625');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('551','84','27626');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('552','84','27627');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('553','84','27628');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('554','85','27977');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('555','85','27978');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('556','85','27979');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('557','85','27980');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('558','85','27981');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('559','85','27982');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('560','85','27983');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('561','85','27984');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('562','85','27985');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('563','86','27119');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('564','86','27120');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('565','86','27121');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('566','86','27122');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('567','86','27123');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('568','86','27124');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('569','86','27125');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('570','86','27126');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('571','86','27127');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('572','87','29078');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('573','87','29079');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('574','87','29080');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('575','87','29081');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('576','87','29082');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('577','87','29083');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('578','87','29084');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('579','87','29085');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('580','87','29086');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('581','88','30027');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('582','88','30028');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('583','88','30029');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('584','88','30030');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('585','88','30031');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('586','88','30032');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('587','88','30033');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('588','88','30034');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('589','88','30035');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('590','88','30036');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('591','88','30037');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('592','88','30038');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('593','88','30039');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('594','88','30040');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('595','88','30041');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('596','88','30042');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('597','89','30160');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('598','89','30161');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('599','89','30162');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('600','90','30166');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('601','90','30167');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('602','90','30168');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('603','91','30172');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('604','91','30173');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('605','91','30174');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('606','92','30178');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('607','92','30179');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('608','92','30180');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('609','93','30184');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('610','93','30185');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('611','93','30186');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('612','94','30196');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('613','95','30197');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('614','95','30198');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('615','95','30199');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('616','95','30200');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('617','95','30201');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('618','95','30202');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('619','95','30203');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('620','95','30204');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('621','95','30205');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('622','94','30206');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('623','94','30207');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('624','94','30208');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('625','94','30209');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('626','94','30210');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('627','94','30211');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('628','94','30212');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('629','94','30213');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('630','94','30214');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('631','94','30215');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('632','94','30216');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('633','94','30217');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('634','94','30218');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('635','96','30219');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('636','96','30220');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('637','96','30221');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('638','96','30222');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('639','96','30223');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('640','96','30224');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('641','96','30225');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('642','96','30226');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('643','96','30227');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('644','96','30228');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('645','96','30229');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('646','97','30239');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('647','98','30240');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('648','98','30241');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('649','98','30242');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('650','98','30243');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('651','98','30244');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('652','98','30245');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('653','98','30246');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('654','98','30247');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('655','98','30248');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('656','97','30249');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('657','97','30250');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('658','97','30251');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('659','97','30252');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('660','97','30253');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('661','97','30254');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('662','97','30255');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('663','97','30256');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('664','97','30257');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('665','97','30258');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('666','97','30259');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('667','97','30260');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('668','97','30261');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('669','99','30262');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('670','99','30263');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('671','99','30264');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('672','99','30265');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('673','99','30266');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('674','99','30267');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('675','99','30268');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('676','99','30269');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('677','99','30270');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('678','99','30271');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('679','99','30272');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('680','100','30348');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('681','100','30349');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('682','100','30350');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('683','101','30396');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('684','102','30414');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('685','102','30415');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('686','102','30416');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('687','103','30420');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('688','103','30421');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('689','103','30422');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('690','104','30573');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('691','104','30574');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('692','104','30575');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('693','104','30576');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('694','104','30577');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('695','104','30578');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('696','104','30579');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('697','104','30580');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('698','104','30581');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('699','104','30582');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('700','104','30583');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('701','104','30584');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('702','104','30585');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('703','104','30586');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('704','104','30587');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('705','104','30588');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('706','104','30589');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('707','104','30590');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('708','104','30591');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('709','104','30592');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('710','104','30593');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('711','104','30594');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('712','104','30595');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('713','104','30596');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('714','104','30597');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('715','104','30598');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('716','104','30599');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('717','104','30600');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('718','104','30601');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('719','104','30602');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('720','104','30603');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('721','104','30604');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('722','104','30605');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('723','104','30606');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('724','104','30607');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('725','104','30608');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('726','105','30609');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('727','105','30610');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('728','106','30688');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('729','107','30689');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('730','108','30714');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('731','108','30715');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('732','108','30716');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('733','108','30717');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('734','108','30718');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('735','108','30720');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('736','108','30721');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('737','108','30722');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('738','108','30723');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('739','108','30724');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('740','108','30725');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('741','108','30726');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('742','108','30727');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('743','108','30728');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('744','108','30729');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('745','108','30730');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('746','108','30731');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('747','108','30732');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('748','108','30733');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('749','108','30734');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('750','108','30735');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('751','108','30736');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('752','108','30737');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('753','108','30738');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('754','108','30740');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('755','108','30741');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('756','108','30742');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('757','108','30745');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('758','108','30748');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('759','108','30749');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('760','108','30750');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('761','108','30751');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('762','108','30752');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('763','108','30753');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('764','108','30755');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('765','108','30757');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('766','108','30758');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('767','109','30762');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('768','110','30763');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('769','110','30764');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('770','110','30765');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('771','110','30766');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('772','110','30767');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('773','110','30768');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('774','110','30769');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('775','110','30770');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('776','110','30771');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('777','109','30772');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('778','109','30773');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('779','109','30774');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('780','109','30775');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('781','109','30776');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('782','109','30777');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('783','109','30778');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('784','109','30779');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('785','111','30780');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('786','111','30781');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('787','111','30782');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('788','111','30783');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('789','111','30784');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('790','111','30785');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('791','111','30786');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('792','111','30787');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('793','111','30788');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('794','112','30794');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('795','113','30795');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('796','113','30796');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('797','113','30797');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('798','113','30798');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('799','113','30799');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('800','113','30800');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('801','113','30801');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('802','113','30802');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('803','113','30803');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('804','112','30804');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('805','112','30805');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('806','112','30806');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('807','112','30807');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('808','112','30808');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('809','112','30809');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('810','112','30810');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('811','112','30811');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('812','114','30812');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('813','114','30813');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('814','114','30814');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('815','114','30815');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('816','114','30816');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('817','114','30817');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('818','114','30818');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('819','114','30819');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('820','114','30820');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('821','115','30877');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('822','115','30878');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('823','115','30879');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('824','116','30880');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('825','116','30881');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('826','116','30882');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('827','116','30883');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('828','116','30884');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('829','116','30885');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('830','116','30886');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('831','116','30887');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('832','116','30888');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('833','116','30889');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('834','116','30890');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('835','116','30891');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('836','117','30892');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('837','118','30893');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('838','118','30894');
INSERT INTO item_application_prototype (item_application_prototypeid,application_prototypeid,itemid) values ('839','118','30895');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23300','28909','1','5',E'(Server version)\\s+(.+)
\\2','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23301','28909','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23302','28910','1','21','return value.search(/is alive/)>0?1:0','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23303','28910','2','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23304','28914','1','11','/resultset/row[field/text()=''Innodb_buffer_pool_reads'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23305','28915','1','11','/resultset/row[field/text()=''Innodb_buffer_pool_read_requests'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23306','28916','1','11','/resultset/row[field/text()=''Innodb_row_lock_time'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23307','28916','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23308','28916','3','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23309','28917','1','11','/resultset/row[field/text()=''Innodb_row_lock_time_max'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23310','28917','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23311','28917','3','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23312','28918','1','11','/resultset/row[field/text()=''Innodb_row_lock_waits'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23313','28919','1','11','/resultset/row[field/text()=''Max_used_connections'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23314','28920','1','11','/resultset/row[field/text()=''Questions'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23315','28920','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23316','28921','1','11','/resultset/row[field/text()=''Queries'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23317','28921','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23318','28922','1','11','/resultset/row[field/text()=''Slow_queries'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23319','28922','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23320','28923','1','11','/resultset/row[field/text()=''Threads_cached'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23321','28924','1','11','/resultset/row[field/text()=''Threads_connected'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23322','28925','1','11','/resultset/row[field/text()=''Threads_created'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23323','28926','1','11','/resultset/row[field/text()=''Threads_running'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23324','28927','1','11','/resultset/row[field/text()=''Uptime'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23325','28928','1','11','/resultset/row[field/text()=''Innodb_buffer_pool_pages_total'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23326','28929','1','11','/resultset/row[field/text()=''Aborted_clients'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23327','28929','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23328','28930','1','11','/resultset/row[field/text()=''Innodb_buffer_pool_pages_free'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23329','28931','1','11','/resultset/row[field/text()=''Connections'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23330','28931','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23331','28932','1','11','/resultset/row[field/text()=''Bytes_received'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23332','28932','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23333','28933','1','11','/resultset/row[field/text()=''Bytes_sent'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23334','28933','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23335','28934','1','11','/resultset/row[field/text()=''Com_delete'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23336','28934','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23337','28935','1','11','/resultset/row[field/text()=''Com_insert'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23338','28935','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23339','28936','1','11','/resultset/row[field/text()=''Com_select'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23340','28936','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23341','28937','1','11','/resultset/row[field/text()=''Com_update'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23342','28937','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23343','28938','1','11','/resultset/row[field/text()=''Connection_errors_accept'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23344','28939','1','11','/resultset/row[field/text()=''Aborted_connects'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23345','28939','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23346','28940','1','11','/resultset/row[field/text()=''Connection_errors_internal'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23347','28940','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23348','28941','1','11','/resultset/row[field/text()=''Connection_errors_max_connections'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23349','28941','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23350','28942','1','11','/resultset/row[field/text()=''Connection_errors_peer_address'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23351','28942','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23352','28943','1','11','/resultset/row[field/text()=''Connection_errors_select'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23353','28943','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23354','28944','1','11','/resultset/row[field/text()=''Connection_errors_tcpwrap'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23355','28944','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23356','28945','1','11','/resultset/row[field/text()=''Created_tmp_disk_tables'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23357','28946','1','11','/resultset/row[field/text()=''Created_tmp_files'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23358','28947','1','11','/resultset/row[field/text()=''Created_tmp_tables'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23359','28948','1','21',E'arr = value.split(''\\n'')
s = []
for (var i in arr) {
   s.push({"{#DBNAME}": arr[i]})
}
return JSON.stringify(s)','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23360','28948','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23361','28949','1','21','var a = value.match(/Master_Host.*>(.*)<.*/)
if (a) {
  s = [{"{#MASTERHOST}": a[1]}]
} 
else {
  s = []
}
return JSON.stringify(s)','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23362','28949','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23363','28950','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23364','28952','1','11','/resultset/row/field[@name=''Seconds_Behind_Master'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23365','28952','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23366','28952','3','15','null','3','Replication is not performed.');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23367','28953','1','11','/resultset/row/field[@name=''Slave_IO_Running'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23368','28953','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23369','28954','1','11','/resultset/row/field[@name=''Slave_SQL_Running'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('23370','28954','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36911','28742','1','21',E'// Convert Apache status to JSON
var lines = value.split("\\n");
var fields = {},
    output = {},
    workers = {
        "_": 0, "S": 0, "R": 0,
        "W": 0, "K": 0, "D": 0,
        "C": 0, "L": 0, "G": 0,
        "I": 0, ".": 0
    };

// Get all "Key: Value" pairs as an object
for (var i = 0; i < lines.length; i++) {
    var line = lines[i].match(/([A-z0-9 ]+): (.*)/);
    if (line !== null) {
        output[line[1]] = isNaN(line[2]) ? line[2] : Number(line[2]);
    }
}

// For versions without "ServerUptimeSeconds" metric
output.ServerUptimeSeconds = output.ServerUptimeSeconds || output.Uptime
 
// Parse "Scoreboard" to get worker count
if (typeof output.Scoreboard === ''string'') {
    for (var i = 0; i < output.Scoreboard.length; i++) {
        var char = output.Scoreboard[i];
        workers[char]++;
    }
}
 
// Add worker data to the output
output.Workers = {
    waiting: workers["_"], starting: workers["S"], reading: workers["R"],
    sending: workers["W"], keepalive: workers["K"], dnslookup: workers["D"],
    closing: workers["C"], logging: workers["L"], finishing: workers["G"],
    cleanup: workers["I"], slot: workers["."]
};
 
// Return JSON string
return JSON.stringify(output);','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36912','28743','1','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36913','28749','1','12','$["Total Accesses"]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36914','28750','1','12','$.Workers.reading','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36915','28751','1','12','$["Total kBytes"]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36916','28751','2','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36917','28752','1','12','$["Total kBytes"]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36918','28752','2','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36919','28752','3','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36920','28753','1','12','$.Workers.waiting','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36921','28754','1','12','$.Workers.starting','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36922','28755','1','12','$.Workers.slot','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36923','28756','1','12','$.Workers.sending','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36924','28757','1','12','$.Workers.logging','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36925','28758','1','12','$.ServerUptimeSeconds','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36926','28759','1','12','$.Workers.keepalive','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36927','28760','1','12','$.Workers.cleanup','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36928','28761','1','12','$["Total Accesses"]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36929','28761','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36930','28762','1','12','$.Workers.dnslookup','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36931','28763','1','12','$.Workers.closing','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36932','28764','1','12','$.IdleWorkers','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36933','28765','1','12','$.BusyWorkers','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36934','28766','1','12','$.ServerVersion','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36935','28766','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36936','28767','1','12','$.Workers.finishing','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36937','28768','1','12','$.ServerMPM','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36938','28768','2','21','return JSON.stringify(value === ''event'' ? [{''{#SINGLETON}'': ''''}] : []);','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36939','28769','1','12','$.ConnsAsyncClosing','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36940','28770','1','12','$.ConnsAsyncKeepAlive','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36941','28771','1','12','$.ConnsAsyncWriting','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36942','28772','1','12','$.ConnsTotal','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36943','28773','1','12','$.BytesPerReq','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36944','28774','1','12','$.Processes','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36945','28775','1','21',E'// Convert Apache status to JSON
var lines = value.split("\\n");
var fields = {},
    output = {},
    workers = {
        "_": 0, "S": 0, "R": 0,
        "W": 0, "K": 0, "D": 0,
        "C": 0, "L": 0, "G": 0,
        "I": 0, ".": 0
    };

// Get all "Key: Value" pairs as an object
for (var i = 0; i < lines.length; i++) {
    var line = lines[i].match(/([A-z0-9 ]+): (.*)/);
    if (line !== null) {
        output[line[1]] = isNaN(line[2]) ? line[2] : Number(line[2]);
    }
}

// For versions without "ServerUptimeSeconds" metric
output.ServerUptimeSeconds = output.ServerUptimeSeconds || output.Uptime
 
// Parse "Scoreboard" to get worker count.
if (typeof output.Scoreboard === ''string'') {
    for (var i = 0; i < output.Scoreboard.length; i++) {
        var char = output.Scoreboard[i];
        workers[char]++;
    }
}
 
// Add worker data to the output
output.Workers = {
    waiting: workers["_"], starting: workers["S"], reading: workers["R"],
    sending: workers["W"], keepalive: workers["K"], dnslookup: workers["D"],
    closing: workers["C"], logging: workers["L"], finishing: workers["G"],
    cleanup: workers["I"], slot: workers["."]
};
 
// Return JSON string
return JSON.stringify(output);','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36946','28776','1','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36947','28778','1','12','$.Workers.starting','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36948','28779','1','12','$.Workers.slot','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36949','28780','1','12','$.Workers.sending','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36950','28781','1','12','$.Workers.reading','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36951','28782','1','12','$.Workers.logging','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36952','28783','1','12','$.Workers.keepalive','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36953','28784','1','12','$.Workers.cleanup','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36954','28785','1','12','$.Workers.finishing','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36955','28786','1','12','$.Workers.closing','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36956','28787','1','12','$.Workers.dnslookup','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36957','28788','1','12','$.IdleWorkers','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36958','28789','1','12','$.BusyWorkers','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36959','28790','1','12','$.ServerVersion','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36960','28790','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36961','28791','1','12','$.ServerUptimeSeconds','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36962','28792','1','12','$["Total Accesses"]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36963','28793','1','12','$["Total Accesses"]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36964','28793','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36965','28794','1','12','$["Total kBytes"]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36966','28794','2','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36967','28794','3','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36968','28795','1','12','$["Total kBytes"]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36969','28795','2','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36970','28796','1','12','$.Workers.waiting','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36971','28797','1','12','$.ServerMPM','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36972','28797','2','21','return JSON.stringify(value === ''event'' ? [{''{#SINGLETON}'': ''''}] : []);','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36973','28798','1','12','$.ConnsAsyncClosing','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36974','28799','1','12','$.ConnsAsyncKeepAlive','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36975','28800','1','12','$.ConnsAsyncWriting','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36976','28801','1','12','$.ConnsTotal','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36977','28802','1','12','$.BytesPerReq','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36978','28803','1','12','$.Processes','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36979','30530','1','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36980','30532','1','12','$.Architecture','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36981','30532','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36982','30533','1','12','$.LiveRestoreEnabled','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36983','30533','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36984','30533','3','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36985','30534','1','12','$.LoggingDriver','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36986','30534','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36987','30535','1','12','$.MemoryLimit','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36988','30535','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36989','30535','3','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36990','30536','1','12','$.MemTotal','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36991','30537','1','12','$.Name','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36992','30538','1','12','$.NCPU','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36993','30539','1','12','$.NFd','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36994','30540','1','12','$.NEventsListener','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36995','30541','1','12','$.KernelVersion','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36996','30541','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36997','30542','1','12','$.OomKillDisable','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36998','30542','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('36999','30542','3','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37000','30543','1','12','$.OperatingSystem','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37001','30543','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37002','30544','1','12','$.OSType','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37003','30544','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37004','30545','1','12','$.PidsLimit','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37005','30545','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37006','30545','3','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37007','30546','1','12','$.DockerRootDir','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37008','30546','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37009','30547','1','12','$.ServerVersion','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37010','30547','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37011','30548','1','12','$.SwapLimit','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37012','30548','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37013','30548','3','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37014','30549','1','12','$.LayersSize','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37015','30550','1','12','$.IPv4Forwarding','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37016','30550','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37017','30550','3','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37018','30551','1','12','$.KernelMemory','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37019','30551','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37020','30551','3','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37021','30552','1','12','$.CPUSet','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37022','30552','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37023','30552','3','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37024','30553','1','12','$.Containers[*].SizeRw.sum()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37025','30554','1','12','$.ContainersPaused','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37026','30555','1','12','$.ContainersRunning','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37027','30556','1','12','$.ContainersStopped','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37028','30557','1','12','$.Containers','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37029','30558','1','12','$.CpuCfsPeriod','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37030','30558','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37031','30558','3','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37032','30559','1','12','$.CpuCfsQuota','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37033','30559','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37034','30559','3','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37035','30560','1','12','$.CPUShares','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37036','30560','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37037','30560','3','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37038','30561','1','12','$.KernelMemoryTCP','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37039','30561','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37040','30561','3','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37041','30562','1','12','$.Debug','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37042','30562','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37043','30562','3','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37044','30563','1','12','$.DefaultRuntime','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37045','30563','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37046','30564','1','12','$.Driver','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37047','30564','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37048','30565','1','12','$.NGoroutines','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37049','30566','1','12','$.Images[*].Size.sum()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37050','30567','1','12','$.length()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37051','30568','1','12','$.Images','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37052','30569','1','12','$.CgroupDriver','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37053','30569','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37054','30570','1','12','$.Volumes[*].UsageData.Size.sum()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37055','30575','1','12','$.cpu_stats.online_cpus','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37056','30576','1','12','$.memory_stats.commitbytes','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37057','30577','1','12','$.memory_stats.commitpeakbytes','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37058','30578','1','12','$.memory_stats.max_usage','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37059','30579','1','12','$.memory_stats.privateworkingset','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37060','30580','1','12','$.memory_stats.usage','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37061','30581','1','12','$.Created','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37062','30581','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37063','30582','1','12','$.cpu_stats.cpu_usage.total_usage','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37064','30582','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37065','30582','3','1','1.0E-9','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37066','30583','1','12','$.networks[*].rx_bytes.sum()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37067','30583','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37068','30584','1','12','$.networks[*].rx_dropped.sum()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37069','30584','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37070','30585','1','12','$.networks[*].rx_errors.sum()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37071','30585','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37072','30586','1','12','$.networks[*].rx_packets.sum()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37073','30586','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37074','30587','1','12','$.networks[*].tx_bytes.sum()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37075','30587','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37076','30588','1','12','$.networks[*].tx_dropped.sum()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37077','30588','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37078','30589','1','12','$.networks[*].tx_errors.sum()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37079','30589','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37080','30590','1','12','$.cpu_stats.cpu_usage.usage_in_usermode','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37081','30590','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37082','30590','3','1','1.0E-9','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37083','30591','1','12','$.cpu_stats.throttling_data.periods','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37084','30592','1','12','$.State.FinishedAt','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37085','30592','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37086','30593','1','12','$.State.OOMKilled','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37087','30593','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37088','30594','1','12','$[?(@.Names[0] == "{#NAME}")].Image.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37089','30594','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37090','30595','1','12','$.RestartCount','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37091','30596','1','12','$.State.StartedAt','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37092','30596','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37093','30597','1','12','$.State.Dead','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37094','30597','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37095','30598','1','12','$.State.Error','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37096','30598','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37097','30599','1','12','$.State.ExitCode','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37098','30599','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37099','30600','1','12','$.State.Paused','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37100','30600','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37101','30601','1','12','$.cpu_stats.throttling_data.throttled_time','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37102','30601','2','1','1.0E-9','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37103','30602','1','12','$.State.Pid','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37104','30602','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37105','30603','1','12','$.State.Restarting','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37106','30603','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37107','30604','1','12','$.State.Running','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37108','30604','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37109','30605','1','12','$.State.Status','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37110','30605','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37111','30606','1','12','$.cpu_stats.cpu_usage.usage_in_kernelmode','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37112','30606','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37113','30606','3','1','1.0E-9','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37114','30607','1','12','$.cpu_stats.throttling_data.throttled_periods','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37115','30608','1','12','$.networks[*].tx_packets.sum()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37116','30608','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37117','30609','1','12','$[?(@.Id == "{#ID}")].Created.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37118','30609','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37119','30610','1','12','$[?(@.Id == "{#ID}")].Size.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37120','30690','1','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37121','30695','1','12','$.indices.docs.count','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37122','30695','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37123','30696','1','12','$.nodes.jvm.max_uptime_in_millis','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37124','30696','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37125','30697','1','12','$.nodes.fs.total_in_bytes','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37126','30697','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37127','30698','1','12','$.nodes.fs.available_in_bytes','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37128','30698','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37129','30699','1','12','$.nodes.count.master','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37130','30699','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37131','30700','1','12','$.nodes.count.ingest','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37132','30700','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37133','30701','1','12','$.nodes.count.data','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37134','30701','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37135','30702','1','12','$.delayed_unassigned_shards','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37136','30703','1','12','$.indices.count','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37137','30703','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37138','30704','1','12','$.task_max_waiting_in_queue_millis','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37139','30704','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37140','30705','1','12','$.status','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37141','30705','2','21','var state = [''green'', ''yellow'', ''red''];

return state.indexOf(value.trim()) === -1 ? 255 : state.indexOf(value.trim());
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37142','30705','3','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37143','30706','1','12','$.relocating_shards','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37144','30707','1','12','$.number_of_pending_tasks','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37145','30708','1','12','$.number_of_nodes','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37146','30708','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37147','30709','1','12','$.number_of_data_nodes','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37148','30709','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37149','30710','1','12','$.initializing_shards','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37150','30711','1','12','$.active_shards_percent_as_number','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37151','30711','2','21','return (100 - value)','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37152','30712','1','12','$.unassigned_shards','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37153','30713','1','12','$.nodes.[*]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37154','30713','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37155','30718','1','12','$..[?(@.name==''{#ES.NODE}'')].thread_pool.refresh.active.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37156','30719','1','12','$..[?(@.name==''{#ES.NODE}'')].indices.search.query_total.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37157','30719','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37158','30720','1','12','$..[?(@.name==''{#ES.NODE}'')].indices.search.query_total.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37159','30720','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37160','30721','1','12','$..[?(@.name==''{#ES.NODE}'')].jvm.mem.heap_committed_in_bytes.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37161','30721','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37162','30722','1','12','$..[?(@.name==''{#ES.NODE}'')].jvm.mem.heap_max_in_bytes.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37163','30722','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37164','30723','1','12','$..[?(@.name==''{#ES.NODE}'')].jvm.mem.heap_used_in_bytes.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37165','30723','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37166','30724','1','12','$..[?(@.name==''{#ES.NODE}'')].jvm.mem.heap_used_percent.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37167','30724','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37168','30725','1','12','$..[?(@.name==''{#ES.NODE}'')].jvm.uptime_in_millis.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37169','30725','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37170','30726','1','12','$..[?(@.name==''{#ES.NODE}'')].fs.total.available_in_bytes.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37171','30726','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37172','30727','1','12','$..[?(@.name==''{#ES.NODE}'')].thread_pool.refresh.completed.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37173','30727','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37174','30728','1','12','$..[?(@.name==''{#ES.NODE}'')].indices.search.query_time_in_millis.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37175','30728','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37176','30728','3','9','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37177','30729','1','12','$..[?(@.name==''{#ES.NODE}'')].thread_pool.refresh.rejected.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37178','30729','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37179','30730','1','12','$..[?(@.name==''{#ES.NODE}'')].thread_pool.search.active.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37180','30731','1','12','$..[?(@.name==''{#ES.NODE}'')].thread_pool.search.completed.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37181','30731','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37182','30732','1','12','$..[?(@.name==''{#ES.NODE}'')].thread_pool.search.queue.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37183','30733','1','12','$..[?(@.name==''{#ES.NODE}'')].thread_pool.search.rejected.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37184','30733','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37185','30734','1','12','$..[?(@.name==''{#ES.NODE}'')].thread_pool.write.active.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37186','30735','1','12','$..[?(@.name==''{#ES.NODE}'')].thread_pool.write.completed.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37187','30735','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37188','30736','1','12','$..[?(@.name==''{#ES.NODE}'')].thread_pool.write.queue.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37189','30737','1','12','$..[?(@.name==''{#ES.NODE}'')].thread_pool.refresh.queue.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37190','30738','1','12','$..[?(@.name==''{#ES.NODE}'')].indices.search.query_current.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37191','30739','1','12','$..[?(@.name==''{#ES.NODE}'')].indices.search.query_time_in_millis.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37192','30739','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37193','30740','1','12','$..[?(@.name==''{#ES.NODE}'')].indices.indexing.throttle_time_in_millis.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37194','30740','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37195','30740','3','9','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37196','30741','1','12','$..[?(@.name==''{#ES.NODE}'')].http.current_open.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37197','30741','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37198','30742','1','12','$..[?(@.name==''{#ES.NODE}'')].http.total_opened.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37199','30742','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37200','30743','1','12','$..[?(@.name==''{#ES.NODE}'')].indices.flush.total_time_in_millis.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37201','30743','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37202','30744','1','12','$..[?(@.name==''{#ES.NODE}'')].indices.flush.total.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37203','30744','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37204','30745','1','12','$..[?(@.name==''{#ES.NODE}'')].indices.indexing.index_current.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37205','30745','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37206','30746','1','12','$..[?(@.name==''{#ES.NODE}'')].indices.indexing.index_time_in_millis.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37207','30746','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37208','30747','1','12','$..[?(@.name==''{#ES.NODE}'')].indices.indexing.index_total.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37209','30747','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37210','30748','1','12','$..[?(@.name==''{#ES.NODE}'')].indices.merges.total_throttled_time_in_millis.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37211','30748','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37212','30748','3','9','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37213','30749','1','12','$..[?(@.name==''{#ES.NODE}'')].fs.total.total_in_bytes.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37214','30749','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37215','30750','1','12','$..[?(@.name==''{#ES.NODE}'')].indices.recovery.throttle_time_in_millis.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37216','30750','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37217','30750','3','9','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37218','30751','1','12','$..[?(@.name==''{#ES.NODE}'')].indices.refresh.total.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37219','30751','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37220','30752','1','12','$..[?(@.name==''{#ES.NODE}'')].indices.refresh.total_time_in_millis.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37221','30752','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37222','30752','3','9','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37223','30753','1','12','$..[?(@.name==''{#ES.NODE}'')].indices.search.fetch_current.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37224','30754','1','12','$..[?(@.name==''{#ES.NODE}'')].indices.search.fetch_time_in_millis.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37225','30754','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37226','30755','1','12','$..[?(@.name==''{#ES.NODE}'')].indices.search.fetch_time_in_millis.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37227','30755','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37228','30755','3','9','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37229','30756','1','12','$..[?(@.name==''{#ES.NODE}'')].indices.search.fetch_total.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37230','30756','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37231','30757','1','12','$..[?(@.name==''{#ES.NODE}'')].indices.search.fetch_total.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37232','30757','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37233','30758','1','12','$..[?(@.name==''{#ES.NODE}'')].thread_pool.write.rejected.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37234','30758','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37235','30188','1','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37236','30189','1','5',E'# ([\\s\\S]*)
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37237','30189','2','24','

1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37238','30191','1','21',E'try {
    var t = value.match(/(\\d+)d (\\d+)h(\\d+)m(\\d+)s/);
    return t[1] * 86400 + t[2] * 3600 + t[3] * 60 + t[4] * 1;
}
catch (error) {
    throw "HAProxy uptime is not found : " + error;
}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37239','30192','1','5',E'HAProxy version ([^,]*),
\\1','3','HAProxy version is not found');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37240','30192','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37241','30197','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].dresp.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37242','30197','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37243','30198','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].econ.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37244','30198','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37245','30199','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].eresp.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37246','30199','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37247','30200','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].qcur.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37248','30201','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].qtime.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37249','30201','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37250','30202','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].rtime.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37251','30202','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37252','30203','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].status.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37253','30203','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37254','30203','3','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37255','30204','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].wredis.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37256','30204','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37257','30205','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].wretr.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37258','30205','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37259','30206','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].bin.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37260','30206','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37261','30206','3','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37262','30207','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].bout.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37263','30207','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37264','30207','3','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37265','30208','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].dreq.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37266','30208','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37267','30209','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].ereq.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37268','30209','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37269','30210','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].hrsp_1xx.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37270','30210','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37271','30211','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].hrsp_2xx.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37272','30211','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37273','30212','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].hrsp_3xx.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37274','30212','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37275','30213','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].hrsp_4xx.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37276','30213','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37277','30214','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].hrsp_5xx.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37278','30214','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37279','30215','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].rate.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37280','30216','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].req_rate.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37281','30217','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].scur.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37282','30218','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].slim.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37283','30218','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37284','30219','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].dresp.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37285','30219','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37286','30220','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].econ.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37287','30220','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37288','30221','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].eresp.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37289','30221','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37290','30222','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].hrsp_4xx.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37291','30222','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37292','30223','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].hrsp_5xx.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37293','30223','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37294','30224','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].qcur.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37295','30225','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].qtime.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37296','30225','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37297','30226','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].rtime.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37298','30226','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37299','30227','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].status.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37300','30227','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37301','30227','3','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37302','30228','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].wredis.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37303','30228','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37304','30229','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].wretr.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37305','30229','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37306','30763','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].dresp.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37307','30763','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37308','30764','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].econ.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37309','30764','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37310','30765','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].eresp.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37311','30765','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37312','30766','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].qcur.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37313','30767','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].qtime.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37314','30767','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37315','30768','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].rtime.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37316','30768','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37317','30769','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].status.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37318','30769','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37319','30769','3','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37320','30770','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].wredis.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37321','30770','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37322','30771','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].wretr.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37323','30771','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37324','30772','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].bin.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37325','30772','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37326','30772','3','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37327','30773','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].bout.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37328','30773','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37329','30773','3','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37330','30774','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].dreq.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37331','30774','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37332','30775','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].ereq.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37333','30775','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37334','30776','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].rate.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37335','30777','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].req_rate.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37336','30778','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].scur.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37337','30779','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].slim.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37338','30779','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37339','30780','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].dresp.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37340','30780','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37341','30781','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].econ.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37342','30781','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37343','30782','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].eresp.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37344','30782','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37345','30783','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].qcur.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37346','30784','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].qtime.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37347','30784','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37348','30785','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].rtime.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37349','30785','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37350','30786','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].status.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37351','30786','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37352','30786','3','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37353','30787','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].wredis.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37354','30787','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37355','30788','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].wretr.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37356','30788','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37357','30230','1','5',E'# ([\\s\\S]*)\\n
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37358','30230','2','24','

1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37359','30790','1','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37360','30234','1','21',E'try {
    var t = value.match(/(\\d+)d (\\d+)h(\\d+)m(\\d+)s/);
    return t[1] * 86400 + t[2] * 3600 + t[3] * 60 + t[4] * 1;
}
catch (error) {
    throw "HAProxy uptime is not found : " + error;
}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37361','30235','1','5',E'HAProxy version ([^,]*),
\\1','3','HAProxy version is not found');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37362','30235','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37363','30240','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].dresp.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37364','30240','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37365','30241','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].econ.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37366','30241','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37367','30242','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].eresp.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37368','30242','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37369','30243','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].qcur.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37370','30244','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].qtime.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37371','30244','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37372','30245','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].rtime.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37373','30245','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37374','30246','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].status.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37375','30246','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37376','30246','3','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37377','30247','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].wredis.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37378','30247','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37379','30248','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].wretr.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37380','30248','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37381','30249','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].bin.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37382','30249','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37383','30249','3','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37384','30250','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].bout.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37385','30250','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37386','30250','3','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37387','30251','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].dreq.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37388','30251','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37389','30252','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].ereq.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37390','30252','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37391','30253','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].hrsp_1xx.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37392','30253','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37393','30254','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].hrsp_2xx.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37394','30254','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37395','30255','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].hrsp_3xx.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37396','30255','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37397','30256','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].hrsp_4xx.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37398','30256','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37399','30257','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].hrsp_5xx.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37400','30257','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37401','30258','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].rate.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37402','30259','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].req_rate.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37403','30260','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].scur.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37404','30261','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].slim.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37405','30261','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37406','30262','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].dresp.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37407','30262','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37408','30263','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].econ.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37409','30263','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37410','30264','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].eresp.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37411','30264','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37412','30265','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].hrsp_4xx.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37413','30265','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37414','30266','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].hrsp_5xx.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37415','30266','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37416','30267','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].qcur.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37417','30268','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].qtime.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37418','30268','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37419','30269','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].rtime.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37420','30269','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37421','30270','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].status.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37422','30270','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37423','30270','3','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37424','30271','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].wredis.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37425','30271','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37426','30272','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].wretr.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37427','30272','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37428','30795','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].dresp.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37429','30795','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37430','30796','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].econ.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37431','30796','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37432','30797','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].eresp.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37433','30797','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37434','30798','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].qcur.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37435','30799','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].qtime.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37436','30799','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37437','30800','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].rtime.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37438','30800','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37439','30801','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].status.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37440','30801','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37441','30801','3','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37442','30802','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].wredis.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37443','30802','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37444','30803','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].wretr.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37445','30803','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37446','30804','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].bin.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37447','30804','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37448','30804','3','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37449','30805','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].bout.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37450','30805','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37451','30805','3','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37452','30806','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].dreq.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37453','30806','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37454','30807','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].ereq.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37455','30807','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37456','30808','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].rate.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37457','30809','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].req_rate.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37458','30810','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].scur.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37459','30811','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].slim.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37460','30811','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37461','30812','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].dresp.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37462','30812','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37463','30813','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].econ.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37464','30813','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37465','30814','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].eresp.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37466','30814','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37467','30815','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].qcur.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37468','30816','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].qtime.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37469','30816','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37470','30817','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].rtime.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37471','30817','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37472','30818','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].status.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37473','30818','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37474','30818','3','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37475','30819','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].wredis.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37476','30819','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37477','30820','1','12','$.[?(@.pxname == ''{#PXNAME}'' && @.svname == ''{#SVNAME}'')].wretr.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37478','30820','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37479','30611','1','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37480','30613','1','12','$.cmd_flush','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37481','30613','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37482','30614','1','12','$.bytes','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37483','30615','1','12','$.uptime','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37484','30616','1','12','$.total_items','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37485','30616','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37486','30617','1','12','$.threads','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37487','30618','1','12','$.get_misses','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37488','30618','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37489','30619','1','12','$.get_hits','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37490','30619','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37491','30620','1','12','$.evictions','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37492','30620','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37493','30621','1','12','$.curr_items','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37494','30622','1','12','$.bytes_written','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37495','30622','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37496','30623','1','12','$.bytes_read','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37497','30623','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37498','30624','1','12','$.pid','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37499','30624','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37500','30625','1','12','$.cmd_get','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37501','30625','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37502','30626','1','12','$.rusage_user','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37503','30627','1','12','$.rusage_system','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37504','30628','1','12','$.conn_yields','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37505','30628','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37506','30629','1','12','$.connection_structures','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37507','30630','1','12','$.total_connections','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37508','30630','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37509','30631','1','12','$.listen_disabled_num','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37510','30631','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37511','30632','1','12','$.max_connections','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37512','30632','2','20','30m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37513','30633','1','12','$.curr_connections','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37514','30634','1','12','$.limit_maxbytes','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37515','30634','2','20','30m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37516','30635','1','12','$.cmd_set','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37517','30635','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37518','30636','1','12','$.version','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37519','30636','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37520','28810','1','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37521','28811','1','5',E'Reading: ([0-9]+) Writing: ([0-9]+) Waiting: ([0-9]+)
\\3','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37522','28812','1','5',E'Reading: ([0-9]+) Writing: ([0-9]+) Waiting: ([0-9]+)
\\2','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37523','28813','1','5',E'Active connections: ([0-9]+)
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37524','28814','1','5',E'Reading: ([0-9]+) Writing: ([0-9]+) Waiting: ([0-9]+)
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37525','28815','1','5',E'server accepts handled requests\\s+([0-9]+) ([0-9]+) ([0-9]+)
\\2','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37526','28815','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37527','28816','1','21',E'var a = value.match(/server accepts handled requests\\s+([0-9]+) ([0-9]+) ([0-9]+)/)
if (a) {
    return a[1]-a[2]
}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37528','28816','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37529','28817','1','5',E'server accepts handled requests\\s+([0-9]+) ([0-9]+) ([0-9]+)
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37530','28817','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37531','28818','1','5',E'server accepts handled requests\\s+([0-9]+) ([0-9]+) ([0-9]+)
\\3','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37532','28818','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37533','28819','1','5',E'server accepts handled requests\\s+([0-9]+) ([0-9]+) ([0-9]+)
\\3','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37534','28820','1','5',E'Server: nginx/(.+)
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37535','28820','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37536','28822','1','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37537','28824','1','5',E'server accepts handled requests\\s+([0-9]+) ([0-9]+) ([0-9]+)
\\3','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37538','28825','1','5',E'server accepts handled requests\\s+([0-9]+) ([0-9]+) ([0-9]+)
\\3','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37539','28825','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37540','28826','1','5',E'server accepts handled requests\\s+([0-9]+) ([0-9]+) ([0-9]+)
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37541','28826','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37542','28827','1','21',E'var a = value.match(/server accepts handled requests\\s+([0-9]+) ([0-9]+) ([0-9]+)/)
if (a) {
    return a[1]-a[2]
}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37543','28827','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37544','28828','1','5',E'server accepts handled requests\\s+([0-9]+) ([0-9]+) ([0-9]+)
\\2','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37545','28828','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37546','28829','1','5',E'Active connections: ([0-9]+)
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37547','28830','1','5',E'Reading: ([0-9]+) Writing: ([0-9]+) Waiting: ([0-9]+)
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37548','28831','1','5',E'Reading: ([0-9]+) Writing: ([0-9]+) Waiting: ([0-9]+)
\\3','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37549','28832','1','5',E'Reading: ([0-9]+) Writing: ([0-9]+) Waiting: ([0-9]+)
\\2','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37550','28833','1','5',E'Server: nginx/(.+)
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37551','28833','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37552','29653','1','5',E'\\n\\s?\\n(.*)
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37553','29654','1','5',E'\\n\\s?\\n(.*)
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37554','29655','1','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37555','29661','1','5',E'\\n\\s?\\n(.*)
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37556','29662','1','5',E'\\n\\s?\\n(.*)
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37557','29662','2','12','$.status','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37558','29662','3','6','','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37559','29998','1','5',E'\\n\\s?\\n(.*)
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37560','29999','1','5',E'\\n\\s?\\n(.*)
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37561','29687','1','12','$.mem_used','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37562','29688','1','12','$.disk_free_alarm','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37563','29688','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37564','29691','1','12','$.fd_used','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37565','29692','1','12','$.uptime','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37566','29692','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37567','29693','1','12','$.mem_alarm','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37568','29693','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37569','29694','1','12','$.mem_limit','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37570','29695','1','12','$.running','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37571','29695','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37572','29696','1','12','$.partitions','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37573','29696','2','21','return JSON.parse(value).length;','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37574','29697','1','12','$.sockets_total','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37575','29698','1','12','$.disk_free','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37576','29699','1','12','$.run_queue','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37577','29700','1','12','$.disk_free_limit','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37578','29701','1','12','$.sockets_used','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37579','30000','1','12','$.message_stats.redeliver','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37580','30001','1','12','$.message_stats.return_unroutable_details.rate','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37581','30002','1','12','$.message_stats.return_unroutable','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37582','30003','1','12','$.message_stats.publish_out_details.rate','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37583','30004','1','12','$.message_stats.publish_out','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37584','30005','1','12','$.message_stats.publish_in_details.rate','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37585','30006','1','12','$.message_stats.publish_in','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37586','30007','1','12','$.message_stats.publish_details.rate','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37587','30008','1','12','$.message_stats.publish','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37588','30009','1','12','$.message_stats.deliver_get_details.rate','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37589','30010','1','12','$.message_stats.deliver_get','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37590','30011','1','12','$.message_stats.confirm_details.rate','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37591','30012','1','12','$.message_stats.confirm','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37592','30013','1','12','$.message_stats.ack_details.rate','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37593','30014','1','12','$.message_stats.ack','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37594','30015','1','12','$.queue_totals.messages_unacknowledged','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37595','30016','1','12','$.queue_totals.messages_ready','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37596','30017','1','12','$.queue_totals.messages','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37597','30018','1','12','$.object_totals.exchanges','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37598','30019','1','12','$.object_totals.consumers','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37599','30020','1','12','$.object_totals.queues','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37600','30021','1','12','$.object_totals.channels','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37601','30022','1','12','$.object_totals.connections','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37602','30023','1','12','$.message_stats.redeliver_details.rate','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37603','30024','1','12','$.management_version','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37604','30024','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37605','30025','1','12','$.rabbitmq_version','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37606','30025','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37607','29720','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].messages.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37608','29721','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].message_stats.deliver.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37609','29722','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].message_stats.redeliver.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37610','29723','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].message_stats.publish_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37611','29724','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].message_stats.publish.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37612','29725','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].message_stats.deliver_get_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37613','29726','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].message_stats.deliver_get.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37614','29727','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].message_stats.deliver_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37615','29728','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].message_stats.ack_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37616','29729','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].messages_details.rate.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37617','29730','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].message_stats.ack.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37618','29731','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].messages_unacknowledged_details.rate.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37619','29732','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].messages_unacknowledged.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37620','29733','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].messages_ready_details.rate.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37621','29734','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].messages_ready.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37622','29735','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].memory.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37623','29736','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].consumers.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37624','29737','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].message_stats.redeliver_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37625','30027','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.ack.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37626','30028','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.ack_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37627','30029','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.confirm.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37628','30030','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.confirm_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37629','30031','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.deliver_get.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37630','30032','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.deliver_get_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37631','30033','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.publish.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37632','30034','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.publish_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37633','30035','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.publish_in.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37634','30036','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.publish_in_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37635','30037','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.publish_out.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37636','30038','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.publish_out_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37637','30039','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.return_unroutable.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37638','30040','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.return_unroutable_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37639','30041','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.redeliver.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37640','30042','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.redeliver_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37641','29742','1','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37642','29744','1','12','$.status','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37643','29744','2','6','','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37644','29746','1','12','$.message_stats.redeliver','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37645','29747','1','12','$.message_stats.return_unroutable_details.rate','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37646','29748','1','12','$.message_stats.return_unroutable','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37647','29749','1','12','$.message_stats.publish_out_details.rate','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37648','29750','1','12','$.message_stats.publish_out','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37649','29751','1','12','$.message_stats.publish_in_details.rate','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37650','29752','1','12','$.message_stats.publish_in','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37651','29753','1','12','$.message_stats.publish_details.rate','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37652','29754','1','12','$.message_stats.publish','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37653','29755','1','12','$.message_stats.deliver_get_details.rate','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37654','29756','1','12','$.message_stats.deliver_get','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37655','29757','1','12','$.message_stats.confirm_details.rate','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37656','29758','1','12','$.message_stats.confirm','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37657','29759','1','12','$.message_stats.ack_details.rate','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37658','29760','1','12','$.message_stats.ack','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37659','29761','1','12','$.queue_totals.messages_unacknowledged','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37660','29762','1','12','$.queue_totals.messages_ready','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37661','29763','1','12','$.queue_totals.messages','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37662','29764','1','12','$.object_totals.exchanges','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37663','29765','1','12','$.object_totals.consumers','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37664','29766','1','12','$.object_totals.queues','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37665','29767','1','12','$.object_totals.channels','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37666','29768','1','12','$.object_totals.connections','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37667','29769','1','12','$.message_stats.redeliver_details.rate','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37668','29771','1','12','$.partitions','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37669','29771','2','21','return JSON.parse(value).length;','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37670','29772','1','12','$.uptime','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37671','29772','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37672','29773','1','12','$.disk_free_alarm','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37673','29773','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37674','29774','1','12','$.mem_alarm','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37675','29774','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37676','29775','1','12','$.running','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37677','29775','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37678','29776','1','12','$.sockets_used','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37679','29777','1','12','$.sockets_total','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37680','29779','1','12','$.run_queue','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37681','29780','1','12','$.mem_used','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37682','29781','1','12','$.disk_free_limit','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37683','29782','1','12','$.disk_free','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37684','29783','1','12','$.fd_used','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37685','29784','1','12','$.mem_limit','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37686','30044','1','12','$.management_version','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37687','30044','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37688','30045','1','12','$.rabbitmq_version','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37689','30045','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37690','29787','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.ack.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37691','29788','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.ack_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37692','29789','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.confirm.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37693','29790','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.confirm_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37694','29791','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.deliver_get.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37695','29792','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.deliver_get_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37696','29793','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.publish.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37697','29794','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.publish_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37698','29795','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.publish_in.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37699','29796','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.publish_in_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37700','29797','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.publish_out.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37701','29798','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.publish_out_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37702','29799','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.return_unroutable.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37703','29800','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.return_unroutable_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37704','29801','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.redeliver.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37705','29802','1','12','$[?(@.name == "{#EXCHANGE}" && @.vhost == "{#VHOST}" && @.type =="{#TYPE}")].message_stats.redeliver_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37706','29803','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].messages.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37707','29804','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].message_stats.deliver.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37708','29805','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].message_stats.redeliver.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37709','29806','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].message_stats.publish_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37710','29807','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].message_stats.publish.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37711','29808','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].message_stats.deliver_get_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37712','29809','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].message_stats.deliver_get.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37713','29810','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].message_stats.deliver_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37714','29811','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].message_stats.ack_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37715','29812','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].messages_details.rate.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37716','29813','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].message_stats.ack.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37717','29814','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].messages_unacknowledged_details.rate.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37718','29815','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].messages_unacknowledged.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37719','29816','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].messages_ready_details.rate.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37720','29817','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].messages_ready.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37721','29818','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].memory.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37722','29819','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].consumers.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37723','29820','1','12','$[?(@.name == "{#QUEUE}" && @.vhost == "{#VHOST}")].message_stats.redeliver_details.rate.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37724','28501','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37725','28514','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37726','28517','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37727','28519','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37728','28520','1','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37729','28521','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37730','28522','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37731','28523','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37732','28524','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37733','28525','1','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37734','28526','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37735','28527','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37736','28528','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37737','28529','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37738','28530','1','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37739','28531','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37740','26876','1','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37741','26881','1','1','100','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37742','26884','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37743','26885','1','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37744','26886','1','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37745','26887','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37746','26888','1','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37747','26889','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37748','26890','1','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37749','26894','1','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37750','26895','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37751','26896','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37752','26897','1','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37753','26905','1','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37754','26906','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37755','28586','1','12','$.queue','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37756','28587','1','12','$.queue','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37757','28588','1','12','$.data.process[''vmware collector''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37758','28589','1','12','$.data.wcache.values.uint','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37759','28589','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37760','28590','1','12','$.data.wcache.values.text','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37761','28590','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37762','28591','1','12','$.data.wcache.values.str','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37763','28591','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37764','28592','1','12','$.data.wcache.values[''not supported'']','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37765','28592','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37766','28593','1','12','$.data.wcache.values.log','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37767','28593','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37768','28594','1','12','$.data.wcache.values.float','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37769','28594','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37770','28595','1','12','$.data.wcache.values.all','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37771','28595','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37772','28596','1','12','$.data.wcache.index.pused','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37773','28597','1','12','$.data.wcache.history.pused','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37774','28598','1','12','$.data.vmware.pused','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37775','28599','1','12','$.data.rcache.pused','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37776','28600','1','12','$.data.process[''configuration syncer''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37777','28601','1','12','$.data.process[''data sender''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37778','28602','1','12','$.data.process.trapper.busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37779','28603','1','12','$.data.process[''task manager''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37780','28604','1','12','$.data.process[''snmp trapper''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37781','28605','1','12','$.data.process[''self-monitoring''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37782','28606','1','12','$.data.process.poller.busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37783','28607','1','12','$.data.process[''java poller''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37784','28608','1','12','$.data.process[''ipmi poller''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37785','28609','1','12','$.data.process[''ipmi manager''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37786','28610','1','12','$.data.process[''icmp pinger''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37787','28611','1','12','$.data.process[''http poller''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37788','28612','1','12','$.data.process.housekeeper.busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37789','28613','1','12','$.data.process[''history syncer''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37790','28614','1','12','$.data.process[''heartbeat sender''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37791','28615','1','12','$.data.process.discoverer.busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37792','28616','1','12','$.data.process[''unreachable poller''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37793','28540','1','12','$.queue','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37794','28541','1','12','$.queue','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37795','28542','1','12','$.data.wcache.index.pused','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37796','28543','1','12','$.data.rcache.pused','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37797','28544','1','12','$.data.vcache.buffer.pused','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37798','28545','1','12','$.data.vcache.cache.hits','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37799','28545','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37800','28546','1','12','$.data.vcache.cache.misses','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37801','28546','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37802','28547','1','12','$.data.vcache.cache.mode','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37803','28548','1','12','$.data.vmware.pused','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37804','28549','1','12','$.data.wcache.history.pused','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37805','28550','1','12','$.data.wcache.values.all','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37806','28550','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37807','28551','1','12','$.data.wcache.trend.pused','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37808','28552','1','12','$.data.process[''unreachable poller''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37809','28553','1','12','$.data.wcache.values.float','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37810','28553','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37811','28554','1','12','$.data.wcache.values.log','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37812','28554','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37813','28555','1','12','$.data.wcache.values[''not supported'']','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37814','28555','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37815','28556','1','12','$.data.wcache.values.str','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37816','28556','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37817','28557','1','12','$.data.wcache.values.text','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37818','28557','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37819','28558','1','12','$.data.wcache.values.uint','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37820','28558','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37821','28559','1','12','$.data.process[''vmware collector''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37822','28560','1','12','$.data.preprocessing_queue','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37823','28561','1','12','$.data.process.alerter.busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37824','28562','1','12','$.data.process[''ipmi manager''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37825','28563','1','12','$.data.process[''alert manager''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37826','28564','1','12','$.data.process[''configuration syncer''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37827','28565','1','12','$.data.process.discoverer.busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37828','28566','1','12','$.data.process.escalator.busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37829','28567','1','12','$.data.process[''history syncer''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37830','28568','1','12','$.data.process.housekeeper.busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37831','28569','1','12','$.data.process[''http poller''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37832','28570','1','12','$.data.process[''icmp pinger''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37833','28571','1','12','$.data.process[''ipmi poller''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37834','28572','1','12','$.data.process.timer.busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37835','28573','1','12','$.data.process[''java poller''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37836','28574','1','12','$.data.process.poller.busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37837','28575','1','12','$.data.process[''preprocessing manager''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37838','28576','1','12','$.data.process[''preprocessing worker''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37839','28577','1','12','$.data.process[''proxy poller''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37840','28578','1','12','$.data.process[''self-monitoring''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37841','28579','1','12','$.data.process[''snmp trapper''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37842','28580','1','12','$.data.process[''task manager''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37843','28581','1','12','$.data.process.trapper.busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37844','28582','1','12','$.data.process[''lld manager''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37845','28583','1','12','$.data.process[''lld worker''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37846','28584','1','12','$.data.lld_queue','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37847','29821','1','12','$.data.process[''alert syncer''].busy.avg','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37848','10067','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37849','10068','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37850','10069','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37851','10070','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37852','10071','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37853','10072','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37854','23340','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37855','10061','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37856','10062','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37857','10063','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37858','10064','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37859','10065','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37860','10066','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37861','22187','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37862','22196','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37863','22199','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37864','10073','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37865','10074','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37866','10075','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37867','10076','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37868','10077','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37869','10078','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37870','23277','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37871','23625','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37872','23628','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37873','22920','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37874','22924','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37875','22945','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37876','22945','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37877','22946','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37878','22946','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37879','22880','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37880','22884','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37881','23073','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37882','23073','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37883','23074','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37884','23074','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37885','22985','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37886','22985','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37887','22986','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37888','22986','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37889','23077','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37890','23077','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37891','23078','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37892','23078','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37893','22840','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37894','22844','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37895','23075','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37896','23075','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37897','23076','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37898','23076','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37899','23000','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37900','23004','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37901','23025','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37902','23025','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37903','23026','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37904','23026','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37905','30821','1','5',E'Ok\\.
1','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37906','30821','2','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37907','30822','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37908','30823','1','12','$.data','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37909','30824','1','12','$.data','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37910','30825','1','12','$.data','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37911','30826','1','12','$.data','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37912','30828','1','12','$.data','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37913','30829','1','12','$.data','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37914','30829','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37915','30830','1','12','$.data','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37916','30831','1','12','$[?(@.metric == "Write")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37917','30832','1','12','$[?(@.metric == "ReplicasSumQueueSize")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37918','30833','1','12','$[?(@.data.event == "Query")].value.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37919','30833','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37920','30834','1','12','$[?(@.metric == "Read")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37921','30835','1','12','$[?(@.event == "ReadCompressedBytes")].value.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37922','30835','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37923','30836','1','12','$[?(@.event == "ZooKeeperWaitMicroseconds")].value.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37924','30836','2','1','0.000001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37925','30836','3','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37926','30837','1','12','$[?(@.metric == "ReplicasMaxAbsoluteDelay")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37927','30838','1','12','$[?(@.metric == "ReadonlyReplica")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37928','30839','1','12','$[?(@.metric == "Revision")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37929','30840','1','12','$[?(@.event == "ZooKeeperOtherExceptions")].value.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37930','30840','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37931','30841','1','12','$[?(@.event == "SelectQuery")].value.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37932','30841','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37933','30842','1','12','$[?(@.event == "ZooKeeperUserExceptions")].value.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37934','30842','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37935','30843','1','12','$[?(@.metric == "ZooKeeperSession")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37936','30844','1','12','$[?(@.metric == "ZooKeeperRequest")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37937','30845','1','12','$[?(@.event == "ZooKeeperHardwareExceptions")].value.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37938','30845','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37939','30846','1','12','$[?(@.metric == "Uptime")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37940','30847','1','12','$[?(@.metric == "Query")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37941','30848','1','12','$[?(@.metric == "DistributedSend")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37942','30849','1','12','$[?(@.metric == "HTTPConnection")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37943','30850','1','12','$[?(@.metric == "jemalloc.allocated")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37944','30851','1','12','$[?(@.metric == "InterserverConnection")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37945','30852','1','12','$[?(@.metric == "MySQLConnection")].value.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37946','30853','1','12','$[?(@.metric == "TCPConnection")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37947','30854','1','12','$[?(@.metric == "DistributedFilesToInsert")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37948','30855','1','12','$[?(@.metric == "DistributedConnectionFailAtAll")].value.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37949','30855','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37950','30856','1','12','$[?(@.metric == "DistributedConnectionFailTry")].value.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37951','30856','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37952','30857','1','12','$[?(@.event == "InsertQuery")].value.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37953','30857','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37954','30858','1','12','$[?(@.metric == "DelayedInserts")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37955','30859','1','12','$[?(@.event == "InsertedBytes")].value.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37956','30859','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37957','30860','1','12','$[?(@.event == "InsertedRows")].value.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37958','30860','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37959','30861','1','12','$[?(@.metric == "jemalloc.mapped")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37960','30862','1','12','$[?(@.event == "NetworkErrors")].value.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37961','30862','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37962','30863','1','12','$[?(@.metric == "jemalloc.resident")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37963','30864','1','12','$[?(@.metric == "MaxPartCountForPartition")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37964','30865','1','12','$[?(@.metric == "MemoryTracking")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37965','30866','1','12','$[?(@.metric == "MemoryTrackingInBackgroundProcessingPool")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37966','30867','1','12','$[?(@.metric == "MemoryTrackingInBackgroundMoveProcessingPool")].value.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37967','30868','1','12','$[?(@.metric == "MemoryTrackingForMerges")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37968','30869','1','12','$[?(@.metric == "MemoryTrackingInBackgroundSchedulePool")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37969','30870','1','12','$[?(@.event == "MergedUncompressedBytes")].value.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37970','30870','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37971','30871','1','12','$[?(@.event == "MergedRows")].value.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37972','30871','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37973','30872','1','12','$[?(@.metric == "Merge")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37974','30873','1','12','$[?(@.metric == "ZooKeeperWatch")].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37975','30877','1','12','$[?(@.name == "{#NAME}")].bytes_allocated.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37976','30878','1','12','$[?(@.name == "{#NAME}")].element_count.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37977','30879','1','12','$[?(@.name == "{#NAME}")].bytes_allocated.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37978','30879','2','1','100','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37979','30880','1','12','$[?(@.database == "{#DB}" && @.table == "{#TABLE}")].active_replicas.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37980','30881','1','12','$[?(@.database == "{#DB}" && @.table == "{#TABLE}")].future_parts.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37981','30882','1','12','$[?(@.database == "{#DB}" && @.table == "{#TABLE}")].inserts_in_queue.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37982','30883','1','12','$[?(@.database == "{#DB}" && @.table == "{#TABLE}")].is_readonly.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37983','30884','1','12','$[?(@.database == "{#DB}" && @.table == "{#TABLE}")].is_session_expired.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37984','30885','1','12','$[?(@.database == "{#DB}" && @.table == "{#TABLE}")].replica_lag.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37985','30886','1','12','$[?(@.database == "{#DB}" && @.table == "{#TABLE}")].log_max_index.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37986','30887','1','12','$[?(@.database == "{#DB}" && @.table == "{#TABLE}")].log_pointer.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37987','30888','1','12','$[?(@.database == "{#DB}" && @.table == "{#TABLE}")].merges_in_queue.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37988','30889','1','12','$[?(@.database == "{#DB}" && @.table == "{#TABLE}")].parts_to_check.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37989','30890','1','12','$[?(@.database == "{#DB}" && @.table == "{#TABLE}")].queue_size.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37990','30891','1','12','$[?(@.database == "{#DB}" && @.table == "{#TABLE}")].total_replicas.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37991','30892','1','12','$[?(@.database == "{#DB}")].bytes.sum()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37992','30893','1','12','$[?(@.database == "{#DB}" && @.table == "{#TABLE}")].bytes.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37993','30894','1','12','$[?(@.database == "{#DB}" && @.table == "{#TABLE}")].parts.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37994','30895','1','12','$[?(@.database == "{#DB}" && @.table == "{#TABLE}")].rows.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37995','30431','1','5',E'(Server version)\\s+(.+)
\\2','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37996','30431','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37997','30432','1','21','return value.indexOf(''is alive'') !== -1 ? 1 : 0;','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37998','30432','2','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('37999','30436','1','11','/resultset/row[field/text()=''Innodb_buffer_pool_reads'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38000','30437','1','11','/resultset/row[field/text()=''Innodb_buffer_pool_reads'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38001','30437','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38002','30438','1','11','/resultset/row[field/text()=''Innodb_row_lock_time'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38003','30438','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38004','30438','3','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38005','30439','1','11','/resultset/row[field/text()=''Innodb_row_lock_time_max'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38006','30439','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38007','30439','3','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38008','30440','1','11','/resultset/row[field/text()=''Innodb_row_lock_waits'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38009','30441','1','11','/resultset/row[field/text()=''Max_used_connections'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38010','30441','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38011','30442','1','11','/resultset/row[field/text()=''Queries'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38012','30442','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38013','30443','1','11','/resultset/row[field/text()=''Innodb_buffer_pool_read_requests'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38014','30444','1','11','/resultset/row[field/text()=''Questions'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38015','30444','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38016','30445','1','11','/resultset/row[field/text()=''Slow_queries'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38017','30445','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38018','30446','1','11','/resultset/row[field/text()=''Threads_cached'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38019','30447','1','11','/resultset/row[field/text()=''Threads_connected'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38020','30448','1','11','/resultset/row[field/text()=''Threads_created'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38021','30449','1','11','/resultset/row[field/text()=''Threads_running'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38022','30450','1','11','/resultset/row[field/text()=''Uptime'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38023','30451','1','11','/resultset/row[field/text()=''Innodb_buffer_pool_read_requests'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38024','30451','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38025','30452','1','11','/resultset/row[field/text()=''Innodb_buffer_pool_pages_total'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38026','30452','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38027','30453','1','11','/resultset/row[field/text()=''Bytes_received'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38028','30453','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38029','30454','1','11','/resultset/row[field/text()=''Connection_errors_max_connections'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38030','30454','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38031','30455','1','11','/resultset/row[field/text()=''Bytes_sent'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38032','30455','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38033','30456','1','11','/resultset/row[field/text()=''Com_delete'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38034','30456','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38035','30457','1','11','/resultset/row[field/text()=''Com_insert'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38036','30457','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38037','30458','1','11','/resultset/row[field/text()=''Com_select'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38038','30458','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38039','30459','1','11','/resultset/row[field/text()=''Com_update'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38040','30459','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38041','30460','1','11','/resultset/row[field/text()=''Connection_errors_accept'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38042','30460','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38043','30461','1','11','/resultset/row[field/text()=''Connection_errors_internal'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38044','30461','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38045','30462','1','11','/resultset/row[field/text()=''Connection_errors_peer_address'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38046','30462','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38047','30463','1','11','/resultset/row[field/text()=''Innodb_buffer_pool_pages_free'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38048','30464','1','11','/resultset/row[field/text()=''Connection_errors_select'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38049','30464','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38050','30465','1','11','/resultset/row[field/text()=''Connection_errors_tcpwrap'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38051','30465','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38052','30466','1','11','/resultset/row[field/text()=''Connections'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38053','30466','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38054','30467','1','11','/resultset/row[field/text()=''Created_tmp_disk_tables'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38055','30468','1','11','/resultset/row[field/text()=''Created_tmp_files'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38056','30469','1','11','/resultset/row[field/text()=''Created_tmp_tables'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38057','30470','1','11','/resultset/row[field/text()=''Aborted_connects'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38058','30470','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38059','30471','1','11','/resultset/row[field/text()=''Aborted_clients'']/field[@name=''Value'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38060','30471','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38061','30472','1','21',E'return JSON.stringify(value.split("\\n").map(function (name) {
    return ({"{#DBNAME}": name});
}));','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38062','30472','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38063','30473','1','21','var matches = value.match(/Master_Host.*>(.*)<.*/);
if (matches) {
    return JSON.stringify([{"{#MASTERHOST}": matches[1]}]);
}

return ''[]'';','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38064','30473','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38065','30474','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38066','30476','1','11','/resultset/row/field[@name=''Seconds_Behind_Master'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38067','30476','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38068','30476','3','15','null','3','Replication is not performed.');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38069','30477','1','11','/resultset/row/field[@name=''Slave_IO_Running'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38070','30477','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38071','30478','1','11','/resultset/row/field[@name=''Slave_SQL_Running'']/text()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38072','30478','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38073','30637','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38074','30638','1','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38075','30642','1','12','$.Innodb_buffer_pool_reads','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38076','30643','1','12','$.Innodb_buffer_pool_reads','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38077','30643','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38078','30644','1','12','$.Innodb_row_lock_time','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38079','30644','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38080','30644','3','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38081','30645','1','12','$.Innodb_row_lock_time_max','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38082','30645','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38083','30645','3','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38084','30646','1','12','$.Innodb_row_lock_waits','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38085','30647','1','12','$.Max_used_connections','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38086','30647','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38087','30648','1','12','$.Queries','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38088','30648','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38089','30649','1','12','$.Innodb_buffer_pool_read_requests','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38090','30650','1','12','$.Questions','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38091','30650','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38092','30651','1','12','$.Slow_queries','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38093','30651','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38094','30652','1','12','$.Threads_cached','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38095','30653','1','12','$.Threads_connected','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38096','30654','1','12','$.Threads_created','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38097','30655','1','12','$.Threads_running','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38098','30656','1','12','$.Uptime','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38099','30657','1','12','$.Innodb_buffer_pool_read_requests','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38100','30657','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38101','30658','1','12','$.Innodb_buffer_pool_pages_total','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38102','30658','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38103','30659','1','12','$.Bytes_received','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38104','30659','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38105','30660','1','12','$.Connection_errors_max_connections','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38106','30660','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38107','30661','1','12','$.Bytes_sent','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38108','30661','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38109','30662','1','12','$.Com_delete','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38110','30662','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38111','30663','1','12','$.Com_insert','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38112','30663','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38113','30664','1','12','$.Com_select','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38114','30664','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38115','30665','1','12','$.Com_update','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38116','30665','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38117','30666','1','12','$.Connection_errors_accept','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38118','30666','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38119','30667','1','12','$.Connection_errors_internal','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38120','30667','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38121','30668','1','12','$.Connection_errors_peer_address','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38122','30668','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38123','30669','1','12','$.Innodb_buffer_pool_pages_free','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38124','30670','1','12','$.Connection_errors_select','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38125','30670','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38126','30671','1','12','$.Connection_errors_tcpwrap','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38127','30671','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38128','30672','1','12','$.Connections','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38129','30672','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38130','30673','1','12','$.Created_tmp_disk_tables','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38131','30674','1','12','$.Created_tmp_files','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38132','30675','1','12','$.Created_tmp_tables','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38133','30676','1','12','$.Aborted_connects','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38134','30676','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38135','30677','1','12','$.Aborted_clients','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38136','30677','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38137','30678','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38138','30679','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38139','30680','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38140','30682','1','12','$.Seconds_Behind_Master','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38141','30682','2','14',E'\\d+','3','Replication is not performed.');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38142','30682','3','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38143','30683','1','12','$.Slave_IO_Running','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38144','30683','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38145','30684','1','12','$.Slave_SQL_Running','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38146','30684','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38147','30480','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38148','30481','1','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38149','30484','1','12','$[?(@.Variable_name==''Innodb_row_lock_waits'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38150','30485','1','12','$[?(@.Variable_name==''Innodb_buffer_pool_read_requests'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38151','30486','1','12','$[?(@.Variable_name==''Innodb_buffer_pool_read_requests'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38152','30486','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38153','30487','1','12','$[?(@.Variable_name==''Innodb_buffer_pool_reads'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38154','30488','1','12','$[?(@.Variable_name==''Innodb_buffer_pool_reads'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38155','30488','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38156','30489','1','12','$[?(@.Variable_name==''Innodb_row_lock_time'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38157','30489','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38158','30489','3','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38159','30490','1','12','$[?(@.Variable_name==''Innodb_row_lock_time_max'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38160','30490','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38161','30490','3','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38162','30491','1','12','$[?(@.Variable_name==''Queries'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38163','30491','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38164','30492','1','12','$[?(@.Variable_name==''Max_used_connections'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38165','30492','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38166','30493','1','12','$[?(@.Variable_name==''Innodb_buffer_pool_pages_free'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38167','30494','1','12','$[?(@.Variable_name==''Questions'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38168','30494','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38169','30495','1','12','$[?(@.Variable_name==''Slow_queries'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38170','30495','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38171','30496','1','12','$[?(@.Variable_name==''Threads_cached'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38172','30497','1','12','$[?(@.Variable_name==''Threads_connected'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38173','30498','1','12','$[?(@.Variable_name==''Threads_created'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38174','30499','1','12','$[?(@.Variable_name==''Threads_running'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38175','30500','1','12','$[?(@.Variable_name==''Innodb_buffer_pool_pages_total'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38176','30500','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38177','30501','1','12','$[?(@.Variable_name==''Created_tmp_disk_tables'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38178','30502','1','12','$[?(@.Variable_name==''Created_tmp_tables'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38179','30503','1','12','$[?(@.Variable_name==''Com_select'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38180','30503','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38181','30504','1','12','$[?(@.Variable_name==''Aborted_clients'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38182','30504','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38183','30505','1','12','$[?(@.Variable_name==''Aborted_connects'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38184','30505','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38185','30506','1','12','$[?(@.Variable_name==''Bytes_received'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38186','30506','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38187','30507','1','12','$[?(@.Variable_name==''Bytes_sent'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38188','30507','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38189','30508','1','12','$[?(@.Variable_name==''Com_delete'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38190','30508','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38191','30509','1','12','$[?(@.Variable_name==''Com_insert'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38192','30509','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38193','30510','1','12','$[?(@.Variable_name==''Com_update'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38194','30510','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38195','30511','1','12','$[?(@.Variable_name==''Created_tmp_files'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38196','30512','1','12','$[?(@.Variable_name==''Connection_errors_accept'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38197','30512','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38198','30513','1','12','$[?(@.Variable_name==''Connection_errors_internal'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38199','30513','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38200','30514','1','12','$[?(@.Variable_name==''Connection_errors_max_connections'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38201','30514','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38202','30515','1','12','$[?(@.Variable_name==''Connection_errors_peer_address'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38203','30515','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38204','30516','1','12','$[?(@.Variable_name==''Connection_errors_select'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38205','30516','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38206','30517','1','12','$[?(@.Variable_name==''Connection_errors_tcpwrap'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38207','30517','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38208','30518','1','12','$[?(@.Variable_name==''Connections'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38209','30518','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38210','30519','1','12','$[?(@.Variable_name==''Uptime'')].Value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38211','30520','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38212','30521','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38213','30522','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38214','30524','1','12','$.[?(@.Master_Host==''{#MASTER_HOST}'')][''Seconds_Behind_Master''].first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38215','30524','2','14',E'\\d+','3','Replication is not performed.');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38216','30524','3','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38217','30525','1','12','$.[?(@.Master_Host==''{#MASTER_HOST}'')][''Slave_IO_Running''].first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38218','30525','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38219','30526','1','12','$.[?(@.Master_Host==''{#MASTER_HOST}'')][''Slave_SQL_Running''].first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38220','30526','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38221','28673','1','5',E'Time:\\s(\\d+\\.\\d+)\\sms
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38222','28674','1','21','return value.search(/accepting connections/)>0 ? 1 : 0','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38223','28674','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38224','28680','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38225','28685','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38226','28688','1','12','$.idle','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38227','28689','1','12','$.active','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38228','28690','1','12','$.prepared','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38229','28691','1','12','$.waiting','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38230','28692','1','12','$.count','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38231','28693','1','12','$.buffers_alloc','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38232','28693','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38233','28694','1','12','$.buffers_backend','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38234','28694','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38235','28695','1','12','$.checkpoint_write_time','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38236','28695','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38237','28695','3','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38238','28696','1','12','$.buffers_backend_fsync','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38239','28696','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38240','28697','1','12','$.buffers_checkpoint','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38241','28697','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38242','28698','1','12','$.buffers_clean','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38243','28698','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38244','28699','1','12','$.checkpoints_req','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38245','28699','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38246','28700','1','12','$.checkpoints_timed','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38247','28700','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38248','28701','1','12','$.checkpoint_write_time','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38249','28701','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38250','28701','3','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38251','28702','1','12','$.maxwritten_clean','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38252','28702','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38253','28703','1','12','$.waiting','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38254','28704','1','12','$.active','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38255','28705','1','12','$.idle','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38256','28706','1','12','$.idle_in_transaction','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38257','28707','1','12','$.prepared','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38258','28708','1','12','$.total','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38259','28709','1','12','$.total_pct','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38260','28710','1','12','$.write','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38261','28710','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38262','28715','1','12','$[''{#DBNAME}''].conflicts','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38263','28715','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38264','28716','1','12','$[''{#DBNAME}''].total','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38265','28717','1','12','$.seq','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38266','28717','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38267','28718','1','12','$.idx','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38268','28718','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38269','28719','1','12','$[''{#DBNAME}''].tx_time_sum','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38270','28720','1','12','$[''{#DBNAME}''].tx_time_max','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38271','28721','1','12','$[''{#DBNAME}''].tx_slow_count','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38272','28722','1','12','$[''{#DBNAME}''].query_time_sum','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38273','28723','1','12','$[''{#DBNAME}''].query_time_max','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38274','28724','1','12','$[''{#DBNAME}''].query_slow_count','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38275','28725','1','12','$[''{#DBNAME}''].mro_time_sum','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38276','28726','1','12','$[''{#DBNAME}''].mro_time_max','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38277','28727','1','12','$[''{#DBNAME}''].mro_slow_count','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38278','28728','1','12','$[''{#DBNAME}''].blks_read','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38279','28728','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38280','28729','1','12','$[''{#DBNAME}''].deadlocks','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38281','28729','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38282','28730','1','12','$[''{#DBNAME}''].blks_hit','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38283','28730','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38284','28731','1','12','$.prc_before_av','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38285','28732','1','12','$[''{#DBNAME}''].xact_rollback','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38286','28732','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38287','28733','1','12','$[''{#DBNAME}''].xact_commit','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38288','28733','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38289','28734','1','12','$[''{#DBNAME}''].tup_updated','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38290','28734','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38291','28735','1','12','$[''{#DBNAME}''].tup_returned','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38292','28735','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38293','28736','1','12','$[''{#DBNAME}''].tup_inserted','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38294','28736','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38295','28737','1','12','$[''{#DBNAME}''].tup_fetched','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38296','28737','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38297','28738','1','12','$[''{#DBNAME}''].tup_deleted','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38298','28738','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38299','28739','1','12','$[''{#DBNAME}''].temp_files','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38300','28739','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38301','28740','1','12','$[''{#DBNAME}''].temp_bytes','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38302','28740','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38303','28741','1','12','$.prc_before_stop','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38304','30273','1','20','10m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38305','30274','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38306','30275','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38307','30277','1','12','$.Clients.blocked_clients','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38308','30278','1','12','$.Server.tcp_port','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38309','30278','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38310','30279','1','12','$.Stats.expired_keys','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38311','30280','1','12','$.Stats.evicted_keys','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38312','30281','1','12','$.Server.uptime_in_seconds','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38313','30282','1','12','$.Server.redis_mode','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38314','30282','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38315','30283','1','12','$.Server.redis_version','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38316','30283','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38317','30284','1','12','$.Stats.instantaneous_ops_per_sec','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38318','30285','1','12','$.Server.process_id','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38319','30285','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38320','30286','1','12','$.Replication.role','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38321','30286','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38322','30287','1','12','$.Replication.repl_backlog_size','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38323','30288','1','12','$.Replication.repl_backlog_histlen','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38324','30289','1','12','$.Stats.instantaneous_input_kbps','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38325','30289','2','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38326','30290','1','12','$.Stats.keyspace_hits','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38327','30291','1','12','$.Stats.instantaneous_output_kbps','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38328','30291','2','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38329','30292','1','12','$.Replication.repl_backlog_active','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38330','30293','1','12','$.Stats.keyspace_misses','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38331','30294','1','12','$.Stats.latest_fork_usec','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38332','30294','2','1','1.0E-5','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38333','30295','1','12','$.Stats.migrate_cached_sockets','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38334','30296','1','12','$.Stats.pubsub_channels','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38335','30297','1','12','$.Stats.pubsub_patterns','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38336','30298','1','12','$.Stats.rejected_connections','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38337','30299','1','12','$.Stats.sync_full','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38338','30300','1','12','$.Stats.sync_partial_err','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38339','30301','1','12','$.Stats.sync_partial_ok','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38340','30302','1','12','$.Stats.total_commands_processed','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38341','30303','1','12','$.Stats.total_connections_received','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38342','30304','1','12','$.Stats.total_net_input_bytes','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38343','30305','1','12','$.Replication.repl_backlog_first_byte_offset','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38344','30306','1','12','$.Replication.connected_slaves','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38345','30307','1','12','$.Replication.master_repl_offset','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38346','30308','1','12','$.Memory.used_memory_rss','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38347','30309','1','21','var clients = JSON.parse(value).Clients
return clients.client_recent_max_input_buffer || clients.client_biggest_input_buf','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38348','30310','1','21','var clients = JSON.parse(value).Clients
return clients.client_recent_max_output_buffer || clients.client_longest_output_list','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38349','30311','1','12','$.Cluster.cluster_enabled','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38350','30312','1','12','$.maxclients','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38351','30312','2','20','30m','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38352','30313','1','12','$.CPU.used_cpu_sys','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38353','30314','1','12','$.CPU.used_cpu_sys_children','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38354','30315','1','12','$.CPU.used_cpu_user','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38355','30316','1','12','$.CPU.used_cpu_user_children','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38356','30317','1','12','$.Memory.mem_fragmentation_ratio','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38357','30318','1','12','$.Memory.used_memory','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38358','30319','1','12','$.Memory.used_memory_lua','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38359','30320','1','12','$.Memory.used_memory_peak','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38360','30321','1','12','$.Persistence.aof_current_rewrite_time_sec','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38361','30322','1','12','$.Clients.connected_clients','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38362','30323','1','12','$.Persistence.aof_enabled','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38363','30324','1','12','$.Persistence.aof_last_bgrewrite_status','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38364','30324','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38365','30325','1','12','$.Persistence.aof_last_rewrite_time_sec','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38366','30326','1','12','$.Persistence.aof_last_write_status','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38367','30326','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38368','30327','1','12','$.Persistence.aof_rewrite_in_progress','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38369','30328','1','12','$.Persistence.aof_rewrite_scheduled','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38370','30329','1','12','$.Persistence.loading','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38371','30330','1','12','$.Persistence.rdb_bgsave_in_progress','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38372','30331','1','12','$.Persistence.rdb_changes_since_last_save','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38373','30332','1','12','$.Persistence.rdb_current_bgsave_time_sec','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38374','30333','1','12','$.Persistence.rdb_last_bgsave_status','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38375','30333','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38376','30334','1','12','$.Persistence.rdb_last_bgsave_time_sec','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38377','30335','1','12','$.Persistence.rdb_last_save_time','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38378','30336','1','12','$.Stats.total_net_output_bytes','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38379','30337','1','21','return JSON.stringify(value > 0 ? [{''{#SINGLETON}'': ''''}] : []);','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38380','30338','1','21','return JSON.stringify(Object.keys(JSON.parse(value).Keyspace)
  .map(function (v){return {"{#DB}": v}}));','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38381','30339','1','12','$.Server.redis_version','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38382','30339','2','21','return JSON.stringify(parseInt(value.split(''.'')[0]) >= 4 ? [{''{#SINGLETON}'': ''''}] : []);','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38383','30340','1','12','$.Server.redis_version','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38384','30340','2','21','return JSON.stringify(parseInt(value.split(''.'')[0]) >= 5 ? [{''{#SINGLETON}'': ''''}] : []);','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38385','30341','1','21','return JSON.stringify(JSON.parse(value).Persistence.aof_enabled === ''1''
  ? [{''{#SINGLETON}'': ''''}]
  : []);','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38386','30342','1','21',E'var repl = JSON.parse(value).Replication;
return JSON.stringify(Object.keys(repl)
  .filter(function (v) {return v.match(/slave\\d+/)})
  .map(function (v){
    return {"{#SLAVE_IP}": repl[v].ip, "{#SLAVE_PORT}": repl[v].port}
  }));','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38387','30343','1','21','return JSON.stringify(JSON.parse(value).Replication.role === ''slave''
  ? [{''{#SINGLETON}'': ''''}]
  : []);','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38388','30348','1','12','$.Keyspace["{#DB}"].avg_ttl','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38389','30348','2','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38390','30349','1','12','$.Keyspace["{#DB}"].expires','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38391','30350','1','12','$.Keyspace["{#DB}"].keys','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38392','30351','1','12','$.Memory.active_defrag_running','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38393','30352','1','12','$.Persistence.rdb_last_cow_size','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38394','30353','1','12','$.Stats.expired_time_cap_reached_count','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38395','30354','1','12','$.Stats.expired_stale_perc','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38396','30355','1','12','$.Stats.active_defrag_misses','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38397','30356','1','12','$.Stats.active_defrag_key_misses','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38398','30357','1','12','$.Stats.active_defrag_key_hits','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38399','30358','1','12','$.Stats.active_defrag_hits','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38400','30359','1','12','$.Server.executable','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38401','30359','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38402','30360','1','12','$.Replication.second_repl_offset','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38403','30361','1','12','$.Persistence.aof_last_cow_size','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38404','30362','1','12','$.Memory.lazyfree_pending_objects','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38405','30363','1','12','$.Memory.used_memory_startup','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38406','30364','1','12','$.Memory.used_memory_peak_perc','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38407','30364','2','5',E'(.+)%
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38408','30365','1','12','$.Memory.used_memory_overhead','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38409','30366','1','12','$.Memory.used_memory_dataset','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38410','30367','1','12','$.Memory.used_memory_dataset_perc','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38411','30367','2','5',E'(.+)%
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38412','30368','1','12','$.Memory.total_system_memory','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38413','30369','1','12','$.Memory.maxmemory','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38414','30370','1','12','$.Memory.maxmemory_policy','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38415','30370','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38416','30371','1','12','$.Stats.slave_expires_tracked_keys','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38417','30372','1','12','$.Memory.allocator_active','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38418','30373','1','12','$.Memory.mem_clients_normal','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38419','30374','1','12','$.Memory.rss_overhead_ratio','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38420','30375','1','12','$.Memory.rss_overhead_bytes','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38421','30376','1','12','$.Memory.mem_replication_backlog','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38422','30377','1','12','$.Memory.number_of_cached_scripts','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38423','30378','1','12','$.Memory.mem_not_counted_for_evict','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38424','30379','1','12','$.Memory.mem_clients_slaves','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38425','30380','1','12','$.Memory.mem_aof_buffer','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38426','30381','1','12','$.Memory.allocator_allocated','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38427','30382','1','12','$.Memory.mem_fragmentation_bytes','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38428','30383','1','12','$.Memory.allocator_rss_ratio','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38429','30384','1','12','$.Memory.allocator_rss_bytes','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38430','30385','1','12','$.Memory.allocator_resident','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38431','30386','1','12','$.Memory.allocator_frag_ratio','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38432','30387','1','12','$.Memory.allocator_frag_bytes','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38433','30388','1','12','$.Memory.used_memory_scripts','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38434','30389','1','12','$.Persistence.aof_base_size','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38435','30390','1','12','$.Persistence.aof_buffer_length','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38436','30391','1','12','$.Persistence.aof_current_size','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38437','30392','1','12','$.Persistence.aof_delayed_fsync','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38438','30393','1','12','$.Persistence.aof_pending_bio_fsync','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38439','30394','1','12','$.Persistence.aof_pending_rewrite','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38440','30395','1','12','$.Persistence.aof_rewrite_buffer_length','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38441','30396','1','21',E'var repl = JSON.parse(value).Replication;
var res = Object.keys(repl)
    .filter(function (v) {return v.match(/slave\\d+/)})
    .filter(function (v) {return (repl[v].ip === "{#SLAVE_IP}" && repl[v].port === "{#SLAVE_PORT}")})
    .map(function (v) {return repl[v].offset})[0];

if (res === undefined) {
    throw ''Slave {#SLAVE_IP}:{#SLAVE_PORT} is no longer available.'';
}

return res;','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38442','30397','1','12','$.Replication.master_host','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38443','30397','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38444','30398','1','12','$.Replication.master_last_io_seconds_ago','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38445','30399','1','12','$.Replication.master_link_status','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38446','30399','2','6','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38447','30400','1','12','$.Replication.master_port','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38448','30400','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38449','30401','1','12','$.Replication.master_sync_in_progress','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38450','30402','1','12','$.Replication.slave_priority','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38451','30403','1','12','$.Replication.slave_read_only','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38452','30403','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38453','30404','1','12','$.Replication.slave_repl_offset','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38454','27141','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38455','29824','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38456','29825','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38457','29826','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38458','29827','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38459','29828','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38460','27615','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38461','28022','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38462','28433','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38463','29829','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38464','29830','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38465','29831','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38466','29832','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38467','29833','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38468','29834','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38469','29835','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38470','29836','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38471','29837','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38472','29838','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38473','29839','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38474','29840','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38475','29841','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38476','29842','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38477','29843','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38478','27152','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38479','29844','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38480','29845','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38481','29846','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38482','29847','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38483','29848','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38484','27199','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38485','27232','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38486','27268','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38487','27289','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38488','27340','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38489','27372','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38490','27469','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38491','27503','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38492','27539','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38493','27575','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38494','27638','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38495','27661','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38496','27741','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38497','27773','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38498','27807','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38499','27889','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38500','27926','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38501','27963','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38502','27993','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38503','28137','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38504','28192','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38505','28240','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38506','28289','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38507','28337','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38508','28384','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38509','28461','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38510','28489','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38511','28964','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38512','29057','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38513','29849','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38514','29850','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38515','29851','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38516','29852','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38517','29853','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38518','29854','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38519','29855','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38520','29856','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38521','29857','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38522','29858','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38523','29859','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38524','29860','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38525','29861','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38526','29862','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38527','29863','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38528','29864','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38529','29865','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38530','29866','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38531','29867','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38532','29868','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38533','29869','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38534','29870','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38535','29871','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38536','29872','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38537','29873','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38538','29874','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38539','29875','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38540','29876','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38541','29877','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38542','29878','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38543','29879','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38544','29880','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38545','29881','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38546','29882','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38547','29883','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38548','29884','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38549','29885','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38550','29886','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38551','29887','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38552','29888','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38553','29889','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38554','29890','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38555','29891','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38556','29892','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38557','29893','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38558','29894','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38559','29895','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38560','29896','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38561','29897','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38562','29898','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38563','29899','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38564','29900','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38565','29901','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38566','29902','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38567','29903','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38568','29904','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38569','29905','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38570','29906','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38571','29907','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38572','29908','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38573','29909','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38574','29910','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38575','29911','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38576','29912','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38577','29913','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38578','29914','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38579','29915','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38580','29916','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38581','29917','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38582','29918','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38583','29919','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38584','29920','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38585','29921','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38586','29922','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38587','29923','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38588','29924','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38589','29925','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38590','29926','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38591','29927','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38592','29928','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38593','29929','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38594','29930','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38595','29931','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38596','29932','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38597','29933','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38598','29934','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38599','29935','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38600','29936','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38601','29937','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38602','29938','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38603','29939','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38604','29940','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38605','29941','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38606','29942','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38607','29943','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38608','29944','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38609','29945','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38610','29946','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38611','29947','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38612','29948','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38613','29949','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38614','29950','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38615','29951','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38616','29952','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38617','29953','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38618','29954','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38619','29955','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38620','29956','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38621','29957','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38622','29958','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38623','29959','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38624','29960','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38625','29961','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38626','29962','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38627','29963','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38628','29964','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38629','29965','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38630','29966','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38631','29967','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38632','29968','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38633','29969','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38634','29970','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38635','29971','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38636','29972','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38637','29973','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38638','29974','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38639','29975','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38640','29976','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38641','29977','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38642','29978','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38643','29979','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38644','29980','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38645','29981','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38646','29982','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38647','29983','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38648','29984','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38649','29985','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38650','29986','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38651','29987','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38652','29988','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38653','29989','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38654','29990','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38655','29991','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38656','29992','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38657','29993','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38658','30050','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38659','30051','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38660','30052','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38661','30053','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38662','30054','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38663','30055','1','1','0.01','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38664','30405','1','12','$..[''{#CPU.UTIL}''].avg()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38665','30406','1','12','$..[''{#CPU.UTIL}''].avg()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38666','30411','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38667','30412','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38668','30415','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38669','30416','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38670','30417','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38671','30418','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38672','30421','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38673','30422','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38674','30142','1','12','$..[''{#CPU.UTIL}''].avg()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38675','30143','1','12','$..[''{#CPU.UTIL}''].avg()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38676','30144','1','12','$..[''{#CPU.UTIL}''].avg()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38677','30145','1','12','$..[''{#CPU.UTIL}''].avg()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38678','30146','1','12','$..[''{#CPU.UTIL}''].avg()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38679','30157','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38680','30158','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38681','30161','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38682','30162','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38683','30163','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38684','30164','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38685','30167','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38686','30168','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38687','30169','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38688','30170','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38689','30173','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38690','30174','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38691','30175','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38692','30176','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38693','30179','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38694','30180','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38695','30181','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38696','30182','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38697','30185','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38698','30186','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38699','27069','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38700','27070','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38701','27072','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38702','27073','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38703','27074','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38704','27074','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38705','27075','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38706','27075','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38707','27076','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38708','27597','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38709','27598','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38710','27599','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38711','27599','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38712','27600','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38713','27601','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38714','27602','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38715','27602','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38716','27605','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38717','28006','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38718','28007','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38719','28008','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38720','28008','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38721','28009','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38722','28010','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38723','28011','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38724','28011','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38725','28014','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38726','27079','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38727','27080','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38728','27082','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38729','27083','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38730','27084','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38731','27084','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38732','27085','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38733','27085','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38734','27086','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38735','27620','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38736','27621','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38737','27622','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38738','27622','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38739','27623','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38740','27624','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38741','27625','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38742','27625','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38743','27628','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38744','27977','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38745','27978','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38746','27979','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38747','27979','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38748','27980','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38749','27981','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38750','27982','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38751','27982','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38752','27985','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38753','27089','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38754','27090','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38755','27091','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38756','27091','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38757','27092','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38758','27093','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38759','27094','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38760','27094','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38761','27095','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38762','27095','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38763','27096','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38764','27099','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38765','27100','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38766','27101','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38767','27101','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38768','27102','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38769','27103','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38770','27104','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38771','27104','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38772','27105','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38773','27105','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38774','27106','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38775','27181','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38776','27182','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38777','27183','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38778','27183','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38779','27184','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38780','27185','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38781','27186','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38782','27186','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38783','27187','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38784','27187','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38785','27189','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38786','27216','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38787','27217','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38788','27218','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38789','27218','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38790','27219','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38791','27220','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38792','27221','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38793','27221','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38794','27222','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38795','27222','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38796','27224','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38797','27252','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38798','27253','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38799','27254','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38800','27254','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38801','27255','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38802','27256','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38803','27257','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38804','27257','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38805','27258','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38806','27258','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38807','27260','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38808','27273','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38809','27274','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38810','27275','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38811','27275','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38812','27276','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38813','27277','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38814','27278','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38815','27278','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38816','27279','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38817','27279','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38818','27281','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38819','27322','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38820','27323','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38821','27324','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38822','27324','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38823','27325','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38824','27326','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38825','27327','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38826','27327','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38827','27328','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38828','27328','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38829','27330','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38830','27451','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38831','27452','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38832','27453','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38833','27453','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38834','27454','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38835','27455','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38836','27456','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38837','27456','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38838','27457','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38839','27457','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38840','27459','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38841','27487','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38842','27488','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38843','27489','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38844','27489','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38845','27490','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38846','27491','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38847','27492','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38848','27492','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38849','27493','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38850','27493','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38851','27495','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38852','27521','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38853','27522','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38854','27523','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38855','27523','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38856','27524','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38857','27525','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38858','27526','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38859','27526','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38860','27527','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38861','27527','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38862','27529','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38863','27557','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38864','27558','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38865','27559','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38866','27559','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38867','27560','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38868','27561','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38869','27562','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38870','27562','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38871','27563','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38872','27563','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38873','27565','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38874','27643','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38875','27644','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38876','27645','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38877','27645','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38878','27646','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38879','27647','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38880','27648','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38881','27648','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38882','27649','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38883','27649','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38884','27651','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38885','27723','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38886','27724','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38887','27725','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38888','27725','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38889','27726','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38890','27727','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38891','27728','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38892','27728','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38893','27729','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38894','27729','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38895','27731','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38896','27757','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38897','27758','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38898','27759','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38899','27759','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38900','27760','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38901','27761','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38902','27762','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38903','27762','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38904','27763','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38905','27763','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38906','27765','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38907','27789','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38908','27790','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38909','27791','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38910','27791','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38911','27792','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38912','27793','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38913','27794','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38914','27794','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38915','27795','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38916','27795','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38917','27797','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38918','27873','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38919','27874','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38920','27875','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38921','27875','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38922','27876','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38923','27877','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38924','27878','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38925','27878','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38926','27879','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38927','27879','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38928','27881','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38929','27910','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38930','27911','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38931','27912','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38932','27912','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38933','27913','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38934','27914','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38935','27915','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38936','27915','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38937','27916','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38938','27916','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38939','27918','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38940','27945','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38941','27946','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38942','27947','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38943','27947','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38944','27948','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38945','27949','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38946','27950','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38947','27950','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38948','27951','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38949','27951','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38950','27953','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38951','28119','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38952','28120','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38953','28121','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38954','28121','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38955','28122','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38956','28123','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38957','28124','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38958','28124','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38959','28125','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38960','28125','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38961','28127','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38962','28176','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38963','28177','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38964','28178','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38965','28178','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38966','28179','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38967','28180','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38968','28181','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38969','28181','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38970','28182','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38971','28182','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38972','28184','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38973','28224','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38974','28225','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38975','28226','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38976','28226','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38977','28227','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38978','28228','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38979','28229','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38980','28229','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38981','28230','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38982','28230','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38983','28232','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38984','28294','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38985','28295','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38986','28296','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38987','28296','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38988','28297','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38989','28298','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38990','28299','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38991','28299','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38992','28300','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38993','28300','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38994','28302','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38995','28969','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38996','28970','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38997','28971','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38998','28971','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('38999','28972','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39000','28973','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39001','28974','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39002','28974','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39003','28975','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39004','28975','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39005','28977','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39006','27119','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39007','27120','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39008','27121','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39009','27121','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39010','27122','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39011','27123','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39012','27124','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39013','27124','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39014','27125','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39015','27125','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39016','27126','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39017','29078','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39018','29079','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39019','29080','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39020','29080','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39021','29081','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39022','29082','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39023','29083','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39024','29083','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39025','29084','1','1','1000000','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39026','29084','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39027','29086','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39028','22231','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39029','23318','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39030','29545','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39031','29546','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39032','10059','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39033','22834','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39034','22874','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39035','22914','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39036','22954','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39037','22994','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39038','23034','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39039','23161','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39040','23319','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39041','23320','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39042','23321','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39043','23322','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39044','23323','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39045','23324','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39046','23325','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39047','23326','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39048','29558','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39049','29560','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39050','29995','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39051','29997','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39052','23288','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39053','23327','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39054','27203','1','5',E'^(\\w|-|\\.|/)+ (\\w|-|\\.|/)+ (.+) Copyright
\\3','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39055','27203','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39056','27207','1','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39057','30086','1','5',E'^((\\w|-|\\.|/)+)
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39058','30086','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39059','30087','1','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39060','27214','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39061','28323','1','1','0.1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39062','28327','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39063','28328','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39064','27236','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39065','27237','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39066','27295','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39067','27296','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39068','27297','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39069','27314','1','1','0.5','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39070','27315','1','1','0.5','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39071','27318','1','1','0.5','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39072','27319','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39073','27320','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39074','27378','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39075','27379','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39076','30097','1','5',E'Version (.+), RELEASE
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39077','30097','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39078','27382','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39079','27383','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39080','27385','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39081','27386','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39082','28209','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39083','28210','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39084','30098','1','5',E'Version (.+), RELEASE
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39085','30098','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39086','30099','1','5',E'Version (.+), RELEASE
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39087','30099','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39088','30100','1','5',E'Version (.+), RELEASE
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39089','30100','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39090','27419','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39091','27428','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39092','27445','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39093','28208','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39094','27481','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39095','27482','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39096','27483','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39097','27484','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39098','27508','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39099','27509','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39100','27510','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39101','30106','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39102','27543','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39103','27544','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39104','27545','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39105','27546','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39106','27579','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39107','27580','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39108','27582','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39109','27583','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39110','30109','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39111','27591','1','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39112','30110','1','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39113','27675','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39114','27676','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39115','27677','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39116','27678','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39117','27679','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39118','28141','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39119','28142','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39120','28157','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39121','28158','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39122','27748','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39123','27749','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39124','27750','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39125','27754','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39126','27777','1','5',E'Firmware Version: ([0-9.]+),
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39127','27777','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39128','27778','1','5',E'(.+) - Firmware
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39129','27778','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39130','27785','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39131','27812','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39132','27813','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39133','30117','1','5',E'kernel (JUNOS [0-9a-zA-Z\\.\\-]+)
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39134','30117','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39135','28201','1','1','0.1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39136','28204','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39137','28205','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39138','27893','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39139','27894','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39140','27895','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39141','27897','1','1','0.1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39142','27898','1','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39143','27900','1','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39144','30119','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39145','27905','1','1','0.1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39146','27907','1','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39147','27908','1','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39148','27930','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39149','27931','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39150','27936','1','5',E'60 Secs \\( ([0-9\\.]+)%\\).+300 Secs
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39151','30121','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39152','27967','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39153','27968','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39154','27970','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39155','27971','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39156','30125','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39157','27997','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39158','27998','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39159','27999','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39160','28000','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39161','28026','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39162','28027','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39163','30132','1','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39164','30133','1','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39165','30134','1','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39166','30135','1','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39167','29087','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39168','29089','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39169','29102','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39170','29103','1','21','return (100-value);','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39171','29109','1','21',E'var parsed = value.split("\\n").reduce(function(acc, x, i) {
  parts = x.trim().split(/ +/)
  acc["values"][parts[2]] = parts
  acc["lld"].push({"{#DEVNAME}":parts[2]})
  return acc;
}, {"values":{}, "lld": []});

return JSON.stringify(parsed);','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39172','29111','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39173','29113','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39174','29114','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39175','29116','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39176','29117','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39177','29120','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39178','29121','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39179','29122','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39180','29123','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39181','29124','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39182','29126','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39183','29139','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39184','29140','1','21','return (100-value);','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39185','29146','1','21',E'var parsed = value.split("\\n").reduce(function(acc, x, i) {
  parts = x.trim().split(/ +/)
  acc["values"][parts[2]] = parts
  acc["lld"].push({"{#DEVNAME}":parts[2]})
  return acc;
}, {"values":{}, "lld": []});

return JSON.stringify(parsed);','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39186','29148','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39187','29150','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39188','29151','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39189','29153','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39190','29154','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39191','29157','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39192','29158','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39193','29159','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39194','29160','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39195','29161','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39196','29163','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39197','29176','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39198','29177','1','21','return (100-value);','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39199','29183','1','21',E'var parsed = value.split("\\n").reduce(function(acc, x, i) {
  parts = x.trim().split(/ +/)
  acc["values"][parts[2]] = parts
  acc["lld"].push({"{#DEVNAME}":parts[2]})
  return acc;
}, {"values":{}, "lld": []});

return JSON.stringify(parsed);','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39200','29185','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39201','29187','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39202','29188','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39203','29190','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39204','29191','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39205','29194','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39206','29195','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39207','29196','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39208','29197','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39209','29198','1','21','//Calculate utilization
return (100 - value)','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39210','29199','1','21','//Calculate utilization
return (100 - value)','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39211','29200','1','21','//Calculate utilization
return (100 - value)','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39212','29202','1','12','$.lld','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39213','29202','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39214','29205','1','12','$.lld','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39215','29205','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39216','29208','1','12','$.lld','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39217','29208','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39218','29216','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39219','29216','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39220','29217','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39221','29217','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39222','29218','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39223','29219','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39224','29220','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39225','29221','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39226','29222','1','21','var newvalue;
switch(value) {
  case "up":
    newvalue = 1;
    break;
  case "down":
    newvalue = 2;
    break;
  case "testing":
    newvalue = 4;
    break;
  case "unknown":
    newvalue = 5;
    break;
  case "dormant":
    newvalue = 6;
    break;
  case "notPresent":
    newvalue = 7;
    break;
  default:
    newvalue = "Problem parsing interface operstate in JS";
}
return newvalue;','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39227','29223','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39228','29230','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39229','29230','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39230','29231','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39231','29231','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39232','29232','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39233','29233','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39234','29234','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39235','29235','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39236','29236','1','21','var newvalue;
switch(value) {
  case "up":
    newvalue = 1;
    break;
  case "down":
    newvalue = 2;
    break;
  case "testing":
    newvalue = 4;
    break;
  case "unknown":
    newvalue = 5;
    break;
  case "dormant":
    newvalue = 6;
    break;
  case "notPresent":
    newvalue = 7;
    break;
  default:
    newvalue = "Problem parsing interface operstate in JS";
}
return newvalue;','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39237','29237','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39238','29244','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39239','29244','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39240','29245','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39241','29245','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39242','29246','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39243','29247','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39244','29248','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39245','29249','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39246','29250','1','21','var newvalue;
switch(value) {
  case "up":
    newvalue = 1;
    break;
  case "down":
    newvalue = 2;
    break;
  case "testing":
    newvalue = 4;
    break;
  case "unknown":
    newvalue = 5;
    break;
  case "dormant":
    newvalue = 6;
    break;
  case "notPresent":
    newvalue = 7;
    break;
  default:
    newvalue = "Problem parsing interface operstate in JS";
}
return newvalue;','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39247','29251','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39248','29252','1','12','$.values[''{#DEVNAME}''][3]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39249','29252','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39250','29253','1','12','$.values[''{#DEVNAME}''][7]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39251','29253','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39252','29254','1','12','$.values[''{#DEVNAME}''][6]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39253','29254','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39254','29254','3','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39255','29255','1','12','$.values[''{#DEVNAME}''][10]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39256','29255','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39257','29255','3','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39258','29256','1','12','$.values[''{#DEVNAME}''][13]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39259','29256','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39260','29256','3','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39261','29257','1','12','$.values[''{#DEVNAME}''][12]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39262','29257','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39263','29257','3','1','0.1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39264','29258','1','12','$.values[''{#DEVNAME}''][3]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39265','29258','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39266','29259','1','12','$.values[''{#DEVNAME}''][7]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39267','29259','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39268','29260','1','12','$.values[''{#DEVNAME}''][6]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39269','29260','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39270','29260','3','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39271','29261','1','12','$.values[''{#DEVNAME}''][10]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39272','29261','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39273','29261','3','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39274','29262','1','12','$.values[''{#DEVNAME}''][13]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39275','29262','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39276','29262','3','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39277','29263','1','12','$.values[''{#DEVNAME}''][12]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39278','29263','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39279','29263','3','1','0.1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39280','29264','1','12','$.values[''{#DEVNAME}''][3]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39281','29264','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39282','29265','1','12','$.values[''{#DEVNAME}''][7]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39283','29265','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39284','29266','1','12','$.values[''{#DEVNAME}''][6]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39285','29266','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39286','29266','3','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39287','29267','1','12','$.values[''{#DEVNAME}''][10]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39288','29267','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39289','29267','3','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39290','29268','1','12','$.values[''{#DEVNAME}''][13]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39291','29268','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39292','29268','3','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39293','29269','1','12','$.values[''{#DEVNAME}''][12]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39294','29269','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39295','29269','3','1','0.1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39296','29273','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39297','29275','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39298','29288','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39299','29289','1','21','return (100-value);','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39300','29295','1','21',E'var parsed = value.split("\\n").reduce(function(acc, x, i) {
  parts = x.trim().split(/ +/)
  acc["values"][parts[2]] = parts
  acc["lld"].push({"{#DEVNAME}":parts[2]})
  return acc;
}, {"values":{}, "lld": []});

return JSON.stringify(parsed);','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39301','29297','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39302','29299','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39303','29300','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39304','29302','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39305','29303','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39306','29306','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39307','29307','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39308','29308','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39309','29309','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39310','29310','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39311','29312','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39312','29325','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39313','29326','1','21','return (100-value);','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39314','29332','1','21',E'var parsed = value.split("\\n").reduce(function(acc, x, i) {
  parts = x.trim().split(/ +/)
  acc["values"][parts[2]] = parts
  acc["lld"].push({"{#DEVNAME}":parts[2]})
  return acc;
}, {"values":{}, "lld": []});

return JSON.stringify(parsed);','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39315','29334','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39316','29336','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39317','29337','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39318','29339','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39319','29340','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39320','29343','1','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39321','29344','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39322','29345','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39323','29346','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39324','29347','1','21','//Calculate utilization
return (100 - value)','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39325','29348','1','21','//Calculate utilization
return (100 - value)','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39326','29350','1','12','$.lld','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39327','29350','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39328','29353','1','12','$.lld','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39329','29353','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39330','29361','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39331','29361','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39332','29362','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39333','29362','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39334','29363','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39335','29364','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39336','29365','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39337','29366','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39338','29367','1','21','var newvalue;
switch(value) {
  case "up":
    newvalue = 1;
    break;
  case "down":
    newvalue = 2;
    break;
  case "testing":
    newvalue = 4;
    break;
  case "unknown":
    newvalue = 5;
    break;
  case "dormant":
    newvalue = 6;
    break;
  case "notPresent":
    newvalue = 7;
    break;
  default:
    newvalue = "Problem parsing interface operstate in JS";
}
return newvalue;','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39339','29368','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39340','29375','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39341','29375','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39342','29376','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39343','29376','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39344','29377','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39345','29378','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39346','29379','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39347','29380','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39348','29381','1','21','var newvalue;
switch(value) {
  case "up":
    newvalue = 1;
    break;
  case "down":
    newvalue = 2;
    break;
  case "testing":
    newvalue = 4;
    break;
  case "unknown":
    newvalue = 5;
    break;
  case "dormant":
    newvalue = 6;
    break;
  case "notPresent":
    newvalue = 7;
    break;
  default:
    newvalue = "Problem parsing interface operstate in JS";
}
return newvalue;','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39349','29382','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39350','29383','1','12','$.values[''{#DEVNAME}''][3]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39351','29383','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39352','29384','1','12','$.values[''{#DEVNAME}''][7]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39353','29384','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39354','29385','1','12','$.values[''{#DEVNAME}''][6]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39355','29385','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39356','29385','3','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39357','29386','1','12','$.values[''{#DEVNAME}''][10]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39358','29386','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39359','29386','3','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39360','29387','1','12','$.values[''{#DEVNAME}''][13]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39361','29387','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39362','29387','3','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39363','29388','1','12','$.values[''{#DEVNAME}''][12]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39364','29388','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39365','29388','3','1','0.1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39366','29389','1','12','$.values[''{#DEVNAME}''][3]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39367','29389','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39368','29390','1','12','$.values[''{#DEVNAME}''][7]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39369','29390','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39370','29391','1','12','$.values[''{#DEVNAME}''][6]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39371','29391','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39372','29391','3','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39373','29392','1','12','$.values[''{#DEVNAME}''][10]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39374','29392','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39375','29392','3','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39376','29393','1','12','$.values[''{#DEVNAME}''][13]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39377','29393','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39378','29393','3','1','0.001','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39379','29394','1','12','$.values[''{#DEVNAME}''][12]','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39380','29394','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39381','29394','3','1','0.1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39382','29398','1','22','{__name__=~"^node_time(?:_seconds)?$"}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39383','29399','1','23','{__name__=~"^node_cpu(?:_seconds_total)?$",cpu=~".+",mode="steal"}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39384','29399','2','21','//calculates average, all cpu utilization
var valueArr = JSON.parse(value);
return valueArr.reduce(function(acc,obj){
   return acc + parseFloat(obj[''value''])
},0)/valueArr.length;','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39385','29399','3','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39386','29399','4','1','100','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39387','29400','1','22','{__name__=~"node_memory_SwapFree"}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39388','29401','1','22','{__name__=~"node_memory_SwapTotal"}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39389','29402','1','22','{__name__=~"node_memory_MemAvailable"}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39390','29403','1','22','{__name__=~"node_memory_MemTotal"}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39391','29404','1','22','{__name__=~"^node_boot_time(?:_seconds)?$"}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39392','29405','1','22','{__name__=~"node_context_switches"}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39393','29405','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39394','29406','1','22','{__name__=~"node_intr"}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39395','29406','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39396','29407','1','23','{__name__=~"^node_cpu(?:_guest_seconds_total)?$",cpu=~".+",mode=~"^(?:nice|guest_nice)$"}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39397','29407','2','21','//calculates average, all cpu utilization
var valueArr = JSON.parse(value);
return valueArr.reduce(function(acc,obj){
   return acc + parseFloat(obj[''value''])
},0)/valueArr.length;','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39398','29407','3','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39399','29407','4','1','100','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39400','29408','1','23','{__name__=~"^node_cpu(?:_guest_seconds_total)?$",cpu=~".+",mode=~"^(?:user|guest)$"}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39401','29408','2','21','//calculates average, all cpu utilization
var valueArr = JSON.parse(value);
return valueArr.reduce(function(acc,obj){
   return acc + parseFloat(obj[''value''])
},0)/valueArr.length;','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39402','29408','3','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39403','29408','4','1','100','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39404','29409','1','23','{__name__=~"^node_cpu(?:_seconds_total)?$",cpu=~".+",mode="irq"}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39405','29409','2','21','//calculates average, all cpu utilization
var valueArr = JSON.parse(value);
return valueArr.reduce(function(acc,obj){
   return acc + parseFloat(obj[''value''])
},0)/valueArr.length;','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39406','29409','3','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39407','29409','4','1','100','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39408','29410','1','23','{__name__=~"^node_cpu(?:_seconds_total)?$",cpu=~".+",mode="iowait"}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39409','29410','2','21','//calculates average, all cpu utilization
var valueArr = JSON.parse(value);
return valueArr.reduce(function(acc,obj){
   return acc + parseFloat(obj[''value''])
},0)/valueArr.length;','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39410','29410','3','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39411','29410','4','1','100','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39412','29411','1','23','{__name__=~"^node_cpu(?:_seconds_total)?$",cpu=~".+",mode="nice"}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39413','29411','2','21','//calculates average, all cpu utilization
var valueArr = JSON.parse(value);
return valueArr.reduce(function(acc,obj){
   return acc + parseFloat(obj[''value''])
},0)/valueArr.length;','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39414','29411','3','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39415','29411','4','1','100','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39416','29412','1','23','{__name__=~"^node_cpu(?:_seconds_total)?$",cpu=~".+",mode="softirq"}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39417','29412','2','21','//calculates average, all cpu utilization
var valueArr = JSON.parse(value);
return valueArr.reduce(function(acc,obj){
   return acc + parseFloat(obj[''value''])
},0)/valueArr.length;','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39418','29412','3','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39419','29412','4','1','100','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39420','29413','1','23','{__name__=~"^node_cpu(?:_seconds_total)?$",cpu=~".+",mode="user"}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39421','29413','2','21','//calculates average, all cpu utilization
var valueArr = JSON.parse(value);
return valueArr.reduce(function(acc,obj){
   return acc + parseFloat(obj[''value''])
},0)/valueArr.length;','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39422','29413','3','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39423','29413','4','1','100','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39424','29414','1','22','node_uname_info
nodename','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39425','29414','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39426','29415','1','22','node_exporter_build_info
version','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39427','29415','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39428','29416','1','23','{__name__=~"^node_cpu(?:_seconds_total)?$",cpu=~".+",mode="idle"}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39429','29416','2','21','//calculates average, all cpu utilization
var valueArr = JSON.parse(value);
return valueArr.reduce(function(acc,obj){
   return acc + parseFloat(obj[''value''])
},0)/valueArr.length;','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39430','29416','3','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39431','29416','4','1','100','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39432','29417','1','23','{__name__=~"^node_cpu(?:_seconds_total)?$",cpu=~".+",mode="idle"}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39433','29417','2','21','//count the number of cores
return JSON.parse(value).length
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39434','29418','1','22','node_load15
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39435','29419','1','22','node_load5
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39436','29420','1','22','node_load1
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39437','29421','1','22','{__name__=~"^node_boot_time(?:_seconds)?$"}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39438','29421','2','21','//use boottime to calculate uptime
return (Math.floor(Date.now()/1000)-Number(value));','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39439','29422','1','22','node_uname_info
machine','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39440','29422','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39441','29423','1','22','node_filefd_allocated
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39442','29424','1','22','node_filefd_maximum
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39443','29424','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39444','29425','1','23','node_uname_info','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39445','29425','2','21','var info = JSON.parse(value)[0];
   return info.labels.sysname+'' version: ''+info.labels.release+'' ''+info.labels.version','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39446','29425','3','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39447','29426','1','23','{__name__=~"^node_cpu(?:_seconds_total)?$",cpu=~".+",mode="system"}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39448','29426','2','21','//calculates average, all cpu utilization
var valueArr = JSON.parse(value);
return valueArr.reduce(function(acc,obj){
   return acc + parseFloat(obj[''value''])
},0)/valueArr.length;','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39449','29426','3','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39450','29426','4','1','100','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39451','29427','1','21','//Calculate utilization
return (100 - value)','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39452','29428','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39453','29429','1','23','{__name__=~"^node_network_info$"}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39454','29430','1','23','{__name__=~"^node_filesystem_size(?:_bytes)?$", mountpoint=~".+"}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39455','29431','1','23','node_disk_io_now{device=~".+"}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39456','29436','1','22','node_network_receive_bytes_total{device="{#IFNAME}"}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39457','29436','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39458','29436','3','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39459','29437','1','22','node_network_transmit_bytes_total{device="{#IFNAME}"}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39460','29437','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39461','29437','3','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39462','29438','1','22','node_network_transmit_errs_total{device="{#IFNAME}"}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39463','29438','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39464','29439','1','22','node_network_receive_errs_total{device="{#IFNAME}"}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39465','29439','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39466','29440','1','22','node_network_receive_drop_total{device="{#IFNAME}"}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39467','29440','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39468','29441','1','22','node_network_transmit_drop_total{device="{#IFNAME}"}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39469','29441','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39470','29442','1','22','node_network_speed_bytes{device="{#IFNAME}"}
','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39471','29442','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39472','29443','1','22','node_network_protocol_type{device="{#IFNAME}"}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39473','29444','1','22','node_network_info{device="{#IFNAME}"}
operstate','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39474','29444','2','21','var newvalue;
switch(value) {
  case "up":
    newvalue = 1;
    break;
  case "down":
    newvalue = 2;
    break;
  case "testing":
    newvalue = 4;
    break;
  case "unknown":
    newvalue = 5;
    break;
  case "dormant":
    newvalue = 6;
    break;
  case "notPresent":
    newvalue = 7;
    break;
  default:
    newvalue = "Problem parsing interface operstate in JS";
}
return newvalue;','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39475','29445','1','22','{__name__=~"^node_filesystem_avail(?:_bytes)?$", mountpoint="{#FSNAME}"}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39476','29446','1','22','{__name__=~"^node_filesystem_size(?:_bytes)?$", mountpoint="{#FSNAME}"}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39477','29447','1','23','{__name__=~"node_filesystem_files.*",mountpoint="{#FSNAME}"}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39478','29447','2','21','//count vfs.fs.inode.pfree
var inode_free;
var inode_total;
JSON.parse(value).forEach(function(metric) {
  if (metric[''name''] == ''node_filesystem_files''){
      inode_total = metric[''value''];
  } else if (metric[''name''] == ''node_filesystem_files_free''){
      inode_free = metric[''value''];
  }
});
return (inode_free/inode_total)*100;','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39479','29448','1','22','node_disk_reads_completed_total{device="{#DEVNAME}"}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39480','29448','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39481','29449','1','22','node_disk_writes_completed_total{device="{#DEVNAME}"}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39482','29449','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39483','29450','1','22','node_disk_read_time_seconds_total{device="{#DEVNAME}"}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39484','29450','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39485','29451','1','22','node_disk_write_time_seconds_total{device="{#DEVNAME}"}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39486','29451','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39487','29452','1','22','node_disk_io_time_weighted_seconds_total{device="{#DEVNAME}"}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39488','29452','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39489','29453','1','22','node_disk_io_time_seconds_total{device="{#DEVNAME}"}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39490','29453','2','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39491','29453','3','1','100','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39492','28979','1','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39493','28980','1','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39494','28981','1','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39495','28982','1','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39496','28984','1','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39497','28985','1','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39498','28990','1','21','//count the number of cores
return JSON.parse(value).length;
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39499','28991','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39500','28992','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39501','28994','1','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39502','28995','1','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39503','28996','1','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39504','28997','1','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39505','28999','1','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39506','29000','1','1','1024','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39507','29005','1','21','//count the number of cores
return JSON.parse(value).length;
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39508','29006','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39509','29007','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39510','29009','1','21','//count the number of CPU cores
return JSON.stringify([{"{#CPU.COUNT}": value, "{#SNMPINDEX}": 0, "{#SINGLETON}":""}])
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39511','29012','1','21','//count the number of CPU cores
return JSON.stringify([{"{#CPU.COUNT}": value, "{#SNMPINDEX}": 0, "{#SINGLETON}":""}])
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39512','29014','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39513','29015','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39514','29017','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39515','29017','2','21','//to get utilization in %, divide by N, where N is number of cores.
return value/{#CPU.COUNT}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39516','29018','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39517','29018','2','21','//to get utilization in %, divide by N, where N is number of cores.
return value/{#CPU.COUNT}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39518','29019','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39519','29019','2','21','//to get utilization in %, divide by N, where N is number of cores.
return value/{#CPU.COUNT}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39520','29020','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39521','29020','2','21','//to get utilization in %, divide by N, where N is number of cores.
return value/{#CPU.COUNT}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39522','29021','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39523','29021','2','21','//to get utilization in %, divide by N, where N is number of cores.
return value/{#CPU.COUNT}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39524','29022','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39525','29022','2','21','//to get utilization in %, divide by N, where N is number of cores.
return value/{#CPU.COUNT}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39526','29023','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39527','29023','2','21','//to get utilization in %, divide by N, where N is number of cores.
return value/{#CPU.COUNT}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39528','29024','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39529','29024','2','21','//to get utilization in %, divide by N, where N is number of cores.
return value/{#CPU.COUNT}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39530','29025','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39531','29025','2','21','//to get utilization in %, divide by N, where N is number of cores.
return value/{#CPU.COUNT}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39532','29026','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39533','29026','2','21','//to get utilization in %, divide by N, where N is number of cores.
return value/{#CPU.COUNT}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39534','29027','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39535','29028','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39536','29030','1','21','return (100-value);','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39537','29031','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39538','29032','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39539','29034','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39540','29034','2','21','//to get utilization in %, divide by N, where N is number of cores.
return value/{#CPU.COUNT}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39541','29035','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39542','29035','2','21','//to get utilization in %, divide by N, where N is number of cores.
return value/{#CPU.COUNT}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39543','29036','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39544','29036','2','21','//to get utilization in %, divide by N, where N is number of cores.
return value/{#CPU.COUNT}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39545','29037','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39546','29037','2','21','//to get utilization in %, divide by N, where N is number of cores.
return value/{#CPU.COUNT}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39547','29038','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39548','29038','2','21','//to get utilization in %, divide by N, where N is number of cores.
return value/{#CPU.COUNT}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39549','29039','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39550','29039','2','21','//to get utilization in %, divide by N, where N is number of cores.
return value/{#CPU.COUNT}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39551','29040','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39552','29040','2','21','//to get utilization in %, divide by N, where N is number of cores.
return value/{#CPU.COUNT}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39553','29041','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39554','29041','2','21','//to get utilization in %, divide by N, where N is number of cores.
return value/{#CPU.COUNT}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39555','29042','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39556','29042','2','21','//to get utilization in %, divide by N, where N is number of cores.
return value/{#CPU.COUNT}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39557','29043','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39558','29043','2','21','//to get utilization in %, divide by N, where N is number of cores.
return value/{#CPU.COUNT}
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39559','29044','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39560','29045','1','1','{#ALLOC_UNITS}','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39561','29047','1','21','return (100-value);','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39562','29048','1','21','//Calculate utilization
return (100 - value)
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39563','29049','1','21','//Calculate utilization
return (100 - value)
','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39564','29474','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39565','29475','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39566','29478','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39567','29500','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39568','29501','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39569','29504','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39570','29507','1','21','output = JSON.parse(value).map(function(dev){
    return {
        "{#DEVNAME}": dev.Name,
        "{#DEVQUEUE}": dev.CurrentDiskQueueLength,
        "{#DEVREADS}": dev.DiskReadsPersec,
        "{#DEVTIME}": dev.PercentDiskTime,
        "{#DEVWRITES}": dev.DiskWritesPersec
    }})
return JSON.stringify({"data": output})','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39571','29507','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39572','29508','1','21','output = JSON.parse(value).map(function(net){
    return {
        "{#IFNAME}": net.Name,
        "{#IFDESCR}": net.Description,
        "{#IFPHYSICALADAPTER}": net.PhysicalAdapter,
        "{#IFALIAS}" : net.NetConnectionID,
        "{#IFNETENABLED}": net.NetEnabled,
        "{#IFNETSTATUS}": net.NetConnectionStatus,
        "{#IFSPEED}": net.Speed
    }})
return JSON.stringify({"data": output})','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39573','29508','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39574','29510','1','21','output = JSON.parse(value).map(function(dev){
    return {
        "{#DEVNAME}": dev.Name,
        "{#DEVQUEUE}": dev.CurrentDiskQueueLength,
        "{#DEVREADS}": dev.DiskReadsPersec,
        "{#DEVTIME}": dev.PercentDiskTime,
        "{#DEVWRITES}": dev.DiskWritesPersec
    }})
return JSON.stringify({"data": output})','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39575','29510','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39576','29511','1','21','output = JSON.parse(value).map(function(net){
    return {
        "{#IFNAME}": net.Name,
        "{#IFDESCR}": net.Description,
        "{#IFPHYSICALADAPTER}": net.PhysicalAdapter,
        "{#IFALIAS}" : net.NetConnectionID,
        "{#IFNETENABLED}": net.NetEnabled,
        "{#IFNETSTATUS}": net.NetConnectionStatus,
        "{#IFSPEED}": net.Speed
    }})
return JSON.stringify({"data": output})','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39577','29511','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39578','29515','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39579','29515','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39580','29516','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39581','29516','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39582','29517','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39583','29518','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39584','29519','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39585','29520','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39586','29524','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39587','29524','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39588','29525','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39589','29525','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39590','29526','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39591','29527','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39592','29528','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39593','29529','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39594','29530','1','12','$[?(@.Name == "{#DEVNAME}")].DiskReadsPersec.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39595','29531','1','12','$[?(@.Name == "{#DEVNAME}")].DiskWritesPersec.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39596','29532','1','12','$[?(@.Name == "{#DEVNAME}")].CurrentDiskQueueLength.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39597','29533','1','12','$[?(@.Name == "{#DEVNAME}")].PercentDiskTime.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39598','29534','1','12','$[?(@.Name == "{#IFNAME}")].Speed.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39599','29535','1','12','$[?(@.Name == "{#IFNAME}")].AdapterTypeId.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39600','29536','1','12','$[?(@.Name == "{#IFNAME}")].NetConnectionStatus.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39601','29537','1','12','$[?(@.Name == "{#DEVNAME}")].DiskReadsPersec.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39602','29538','1','12','$[?(@.Name == "{#DEVNAME}")].DiskWritesPersec.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39603','29539','1','12','$[?(@.Name == "{#DEVNAME}")].CurrentDiskQueueLength.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39604','29540','1','12','$[?(@.Name == "{#DEVNAME}")].PercentDiskTime.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39605','29541','1','12','$[?(@.Name == "{#IFNAME}")].Speed.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39606','29542','1','12','$[?(@.Name == "{#IFNAME}")].AdapterTypeId.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39607','29543','1','12','$[?(@.Name == "{#IFNAME}")].NetConnectionStatus.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39608','29581','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39609','29582','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39610','29585','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39611','29607','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39612','29608','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39613','29611','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39614','29614','1','21','output = JSON.parse(value).map(function(dev){
    return {
        "{#DEVNAME}": dev.Name,
        "{#DEVQUEUE}": dev.CurrentDiskQueueLength,
        "{#DEVREADS}": dev.DiskReadsPersec,
        "{#DEVTIME}": dev.PercentDiskTime,
        "{#DEVWRITES}": dev.DiskWritesPersec
    }})
return JSON.stringify({"data": output})','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39615','29614','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39616','29615','1','21','output = JSON.parse(value).map(function(net){
    return {
        "{#IFNAME}": net.Name,
        "{#IFDESCR}": net.Description,
        "{#IFPHYSICALADAPTER}": net.PhysicalAdapter,
        "{#IFALIAS}" : net.NetConnectionID,
        "{#IFNETENABLED}": net.NetEnabled,
        "{#IFNETSTATUS}": net.NetConnectionStatus,
        "{#IFSPEED}": net.Speed
    }})
return JSON.stringify({"data": output})','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39617','29615','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39618','29617','1','21','output = JSON.parse(value).map(function(dev){
    return {
        "{#DEVNAME}": dev.Name,
        "{#DEVQUEUE}": dev.CurrentDiskQueueLength,
        "{#DEVREADS}": dev.DiskReadsPersec,
        "{#DEVTIME}": dev.PercentDiskTime,
        "{#DEVWRITES}": dev.DiskWritesPersec
    }})
return JSON.stringify({"data": output})','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39619','29617','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39620','29618','1','21','output = JSON.parse(value).map(function(net){
    return {
        "{#IFNAME}": net.Name,
        "{#IFDESCR}": net.Description,
        "{#IFPHYSICALADAPTER}": net.PhysicalAdapter,
        "{#IFALIAS}" : net.NetConnectionID,
        "{#IFNETENABLED}": net.NetEnabled,
        "{#IFNETSTATUS}": net.NetConnectionStatus,
        "{#IFSPEED}": net.Speed
    }})
return JSON.stringify({"data": output})','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39621','29618','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39622','29622','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39623','29622','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39624','29623','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39625','29623','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39626','29624','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39627','29625','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39628','29626','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39629','29627','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39630','29631','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39631','29631','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39632','29632','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39633','29632','2','1','8','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39634','29633','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39635','29634','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39636','29635','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39637','29636','1','10','','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39638','29637','1','12','$[?(@.Name == "{#DEVNAME}")].DiskReadsPersec.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39639','29638','1','12','$[?(@.Name == "{#DEVNAME}")].DiskWritesPersec.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39640','29639','1','12','$[?(@.Name == "{#DEVNAME}")].CurrentDiskQueueLength.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39641','29640','1','12','$[?(@.Name == "{#DEVNAME}")].PercentDiskTime.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39642','29641','1','12','$[?(@.Name == "{#IFNAME}")].Speed.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39643','29642','1','12','$[?(@.Name == "{#IFNAME}")].AdapterTypeId.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39644','29643','1','12','$[?(@.Name == "{#IFNAME}")].NetConnectionStatus.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39645','29644','1','12','$[?(@.Name == "{#DEVNAME}")].DiskReadsPersec.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39646','29645','1','12','$[?(@.Name == "{#DEVNAME}")].DiskWritesPersec.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39647','29646','1','12','$[?(@.Name == "{#DEVNAME}")].CurrentDiskQueueLength.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39648','29647','1','12','$[?(@.Name == "{#DEVNAME}")].PercentDiskTime.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39649','29648','1','12','$[?(@.Name == "{#IFNAME}")].Speed.first()','2','0');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39650','29649','1','12','$[?(@.Name == "{#IFNAME}")].AdapterTypeId.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39651','29650','1','12','$[?(@.Name == "{#IFNAME}")].NetConnectionStatus.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39652','30688','1','12','$.[?(@.id==''{#SENSOR_ID}'')].state.text.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39653','30688','2','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39654','30689','1','12','$.[?(@.id==''{#SENSOR_ID}'')].value.first()','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39655','30689','2','20','1h','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39656','30073','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39657','30074','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39658','30079','1','1','1048576','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39659','30082','1','1','1048576','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39660','28342','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39661','28344','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39662','28345','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39663','30141','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39664','28354','1','1','0.1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39665','28356','1','1','0.1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39666','28367','1','1','1048576','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39667','28372','1','1','1048576','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39668','28390','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39669','28391','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39670','28422','1','1','1048576','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39671','28425','1','1','1048576','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39672','28438','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39673','28439','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39674','28451','1','5',E'(\\d{1,3}) *%( of maximum)?
\\1','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39675','28466','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39676','28467','1','20','1d','0','');
INSERT INTO item_preproc (item_preprocid,itemid,step,type,params,error_handler,error_handler_params) values ('39677','28479','1','5',E'(\\d{1,3}) *%( of maximum)?
\\1','0','');
INSERT INTO sysmap_shape (sysmap_shapeid,sysmapid,type,x,y,width,height,text,font,font_size,font_color,text_halign,text_valign,border_type,border_width,border_color,background_color,zindex) values ('1','1','0','0','0','680','15','{MAP.NAME}','9','11','000000','0','0','0','0','000000','','0');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('1','29429','{#IFNAME}','$.labels.device');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('2','29429','{#HELP}','$.help');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('3','29429','{#IFALIAS}','$.labels.ifalias');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('4','29429','{#IFOPERSTATUS}','$.labels.operstate');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('5','29430','{#FSTYPE}','$.labels.fstype');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('6','29430','{#FSNAME}','$.labels.mountpoint');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('7','29430','{#FSDEVICE}','$.labels.device');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('8','29430','{#HELP}','$.help');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('9','29431','{#DEVNAME}','$.labels.device');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('10','29431','{#HELP}','$.help');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('38','29703','{#QUEUE}','$.name');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('39','29703','{#VHOST}','$.vhost');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('40','29703','{#NODE}','$.node');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('41','29785','{#EXCHANGE}','$.name');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('42','29785','{#TYPE}','$.type');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('43','29785','{#VHOST}','$.vhost');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('44','29786','{#QUEUE}','$.name');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('45','29786','{#VHOST}','$.vhost');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('46','29786','{#NODE}','$.node');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('47','30026','{#EXCHANGE}','$.name');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('48','30026','{#TYPE}','$.type');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('49','30026','{#VHOST}','$.vhost');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('50','30193','{#PXNAME}','$.pxname');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('51','30193','{#SVNAME}','$.svname');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('52','30194','{#PXNAME}','$.pxname');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('53','30194','{#SVNAME}','$.svname');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('54','30195','{#PXNAME}','$.pxname');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('55','30195','{#SVNAME}','$.svname');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('56','30236','{#PXNAME}','$.pxname');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('57','30236','{#SVNAME}','$.svname');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('58','30237','{#PXNAME}','$.pxname');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('59','30237','{#SVNAME}','$.svname');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('60','30238','{#PXNAME}','$.pxname');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('61','30238','{#SVNAME}','$.svname');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('62','30678','{#DATABASE}','$.Database');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('63','30679','{#MASTER_HOST}','$.Master_Host');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('64','30686','{#SENSOR_ID}','$.id');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('65','30686','{#SENSOR_READING_TYPE}','$.reading.text');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('66','30686','{#SENSOR_TYPE}','$.sensor.text');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('67','30686','{#SENSOR_UNIT}','$.units');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('68','30687','{#SENSOR_ID}','$.id');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('69','30687','{#SENSOR_READING_TYPE}','$.reading.text');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('70','30687','{#SENSOR_TYPE}','$.sensor.text');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('71','30687','{#SENSOR_UNIT}','$.units');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('72','30687','{#SENSOR_LO_WARN}','$.threshold.lower.non_crit');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('73','30687','{#SENSOR_LO_CRIT}','$.threshold.lower.crit');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('74','30687','{#SENSOR_LO_DISAST}','$.threshold.lower.non_recover');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('75','30687','{#SENSOR_HI_WARN}','$.threshold.upper.non_crit');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('76','30687','{#SENSOR_HI_CRIT}','$.threshold.upper.crit');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('77','30687','{#SENSOR_HI_DISAST}','$.threshold.upper.non_recover');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('78','30713','{#ES.NODE}','$..name.first()');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('79','30759','{#PXNAME}','$.pxname');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('80','30759','{#SVNAME}','$.svname');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('81','30759','{#MODE}','$.mode');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('82','30760','{#PXNAME}','$.pxname');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('83','30760','{#SVNAME}','$.svname');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('84','30760','{#MODE}','$.mode');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('85','30761','{#PXNAME}','$.pxname');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('86','30761','{#SVNAME}','$.svname');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('87','30761','{#MODE}','$.mode');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('88','30193','{#MODE}','$.mode');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('89','30194','{#MODE}','$.mode');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('90','30195','{#MODE}','$.mode');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('91','30791','{#PXNAME}','$.pxname');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('92','30791','{#SVNAME}','$.svname');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('93','30791','{#MODE}','$.mode');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('94','30792','{#PXNAME}','$.pxname');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('95','30792','{#SVNAME}','$.svname');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('96','30792','{#MODE}','$.mode');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('97','30793','{#PXNAME}','$.pxname');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('98','30793','{#SVNAME}','$.svname');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('99','30793','{#MODE}','$.mode');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('100','30236','{#MODE}','$.mode');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('101','30237','{#MODE}','$.mode');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('102','30238','{#MODE}','$.mode');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('103','30874','{#NAME}','$.name');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('104','30875','{#DB}','$.database');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('105','30875','{#TABLE}','$.table');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('106','30876','{#DB}','$.database');
INSERT INTO lld_macro_path (lld_macro_pathid,itemid,lld_macro,path) values ('107','30876','{#TABLE}','$.table');
INSERT INTO dashboard (dashboardid,name,userid,private) values ('1','Global view','1','0');
INSERT INTO dashboard (dashboardid,name,userid,private) values ('2','Zabbix server health','1','1');
INSERT INTO dashboard_usrgrp (dashboard_usrgrpid,dashboardid,usrgrpid,permission) values ('1','2','7','3');
INSERT INTO widget (widgetid,dashboardid,type,name,x,y,width,height,view_mode) values ('1','1','systeminfo','','0','0','8','4','0');
INSERT INTO widget (widgetid,dashboardid,type,name,x,y,width,height,view_mode) values ('2','1','hostavail','','8','0','12','2','1');
INSERT INTO widget (widgetid,dashboardid,type,name,x,y,width,height,view_mode) values ('3','1','problemsbysv','','8','2','12','2','1');
INSERT INTO widget (widgetid,dashboardid,type,name,x,y,width,height,view_mode) values ('4','1','clock','','20','0','4','4','1');
INSERT INTO widget (widgetid,dashboardid,type,name,x,y,width,height,view_mode) values ('5','1','problems','','0','4','20','10','0');
INSERT INTO widget (widgetid,dashboardid,type,name,x,y,width,height,view_mode) values ('6','1','favmaps','','20','4','4','5','0');
INSERT INTO widget (widgetid,dashboardid,type,name,x,y,width,height,view_mode) values ('7','1','favgraphs','','20','9','4','5','0');
INSERT INTO widget (widgetid,dashboardid,type,name,x,y,width,height,view_mode) values ('8','2','problems','Zabbix server problems','0','0','20','4','0');
INSERT INTO widget (widgetid,dashboardid,type,name,x,y,width,height,view_mode) values ('9','2','clock','Local time','20','0','4','4','1');
INSERT INTO widget (widgetid,dashboardid,type,name,x,y,width,height,view_mode) values ('10','2','svggraph','Values processed per second','0','4','8','5','0');
INSERT INTO widget (widgetid,dashboardid,type,name,x,y,width,height,view_mode) values ('11','2','svggraph','Utilization of data collectors','8','4','8','5','0');
INSERT INTO widget (widgetid,dashboardid,type,name,x,y,width,height,view_mode) values ('12','2','svggraph','Utilization of internal processes','16','4','8','5','0');
INSERT INTO widget (widgetid,dashboardid,type,name,x,y,width,height,view_mode) values ('13','2','svggraph','Cache usage','0','9','8','5','0');
INSERT INTO widget (widgetid,dashboardid,type,name,x,y,width,height,view_mode) values ('14','2','svggraph','Value cache effectiveness','8','9','8','5','0');
INSERT INTO widget (widgetid,dashboardid,type,name,x,y,width,height,view_mode) values ('15','2','svggraph','Queue size','16','9','8','5','0');
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('1','2','0','interface_type','1','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('2','3','0','show_type','1','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('3','5','0','show','3','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('4','5','0','show_tags','3','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('5','8','3','hostids','0','',NULL,'10084',NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('6','10','0','ds.axisy.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('7','10','0','ds.fill.0','3','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('8','10','0','ds.missingdatafunc.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('9','10','0','ds.transparency.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('10','10','0','ds.type.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('11','10','0','ds.width.0','1','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('12','10','0','graph_item_problems','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('13','10','0','legend','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('14','10','0','righty','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('15','10','0','show_problems','1','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('16','10','1','ds.color.0','0','00BFFF',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('17','10','1','ds.hosts.0.0','0','Zabbix server',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('18','10','1','ds.items.0.0','0','Number of processed *values per second',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('19','10','1','ds.timeshift.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('20','10','1','lefty_min','0','0',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('21','10','1','problemhosts.0','0','Zabbix server',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('22','11','0','ds.axisy.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('23','11','0','ds.fill.0','3','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('24','11','0','ds.missingdatafunc.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('25','11','0','ds.transparency.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('26','11','0','ds.type.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('27','11','0','ds.width.0','1','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('28','11','0','graph_item_problems','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('29','11','0','legend','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('30','11','0','righty','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('31','11','0','show_problems','1','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('32','11','1','ds.color.0','0','E57373',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('33','11','1','ds.hosts.0.0','0','Zabbix server',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('34','11','1','ds.items.0.0','0','Utilization of * data collector *',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('35','11','1','ds.timeshift.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('36','11','1','lefty_max','0','100',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('37','11','1','lefty_min','0','0',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('38','11','1','problemhosts.0','0','Zabbix server',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('39','12','0','ds.axisy.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('40','12','0','ds.fill.0','3','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('41','12','0','ds.missingdatafunc.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('42','12','0','ds.transparency.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('43','12','0','ds.type.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('44','12','0','ds.width.0','1','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('45','12','0','graph_item_problems','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('46','12','0','legend','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('47','12','0','righty','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('48','12','0','show_problems','1','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('49','12','1','ds.color.0','0','E57373',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('50','12','1','ds.hosts.0.0','0','Zabbix server',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('51','12','1','ds.items.0.0','0','Utilization of * internal *',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('52','12','1','ds.timeshift.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('53','12','1','lefty_max','0','100',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('54','12','1','lefty_min','0','0',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('55','12','1','problemhosts.0','0','Zabbix server',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('56','13','0','ds.axisy.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('57','13','0','ds.fill.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('58','13','0','ds.missingdatafunc.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('59','13','0','ds.transparency.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('60','13','0','ds.type.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('61','13','0','ds.width.0','2','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('62','13','0','graph_item_problems','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('63','13','0','legend','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('64','13','0','righty','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('65','13','0','show_problems','1','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('66','13','1','ds.color.0','0','4DB6AC',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('67','13','1','ds.hosts.0.0','0','Zabbix server',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('68','13','1','ds.items.0.0','0','Zabbix*cache*% used',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('69','13','1','ds.timeshift.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('70','13','1','lefty_max','0','100',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('71','13','1','lefty_min','0','0',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('72','13','1','problemhosts.0','0','Zabbix server',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('73','14','0','ds.axisy.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('74','14','0','ds.axisy.1','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('75','14','0','ds.fill.0','3','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('76','14','0','ds.fill.1','3','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('77','14','0','ds.missingdatafunc.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('78','14','0','ds.missingdatafunc.1','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('79','14','0','ds.transparency.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('80','14','0','ds.transparency.1','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('81','14','0','ds.type.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('82','14','0','ds.type.1','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('83','14','0','ds.width.0','2','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('84','14','0','ds.width.1','2','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('85','14','0','graph_item_problems','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('86','14','0','legend','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('87','14','0','righty','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('88','14','0','show_problems','1','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('89','14','1','ds.color.0','0','9CCC65',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('90','14','1','ds.color.1','0','FF465C',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('91','14','1','ds.hosts.0.0','0','Zabbix server',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('92','14','1','ds.hosts.1.0','0','Zabbix server',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('93','14','1','ds.items.0.0','0','Zabbix value cache hits',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('94','14','1','ds.items.1.0','0','Zabbix value cache misses',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('95','14','1','ds.timeshift.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('96','14','1','ds.timeshift.1','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('97','14','1','lefty_min','0','0',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('98','14','1','problemhosts.0','0','Zabbix server',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('99','15','0','ds.axisy.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('100','15','0','ds.axisy.1','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('101','15','0','ds.axisy.2','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('102','15','0','ds.fill.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('103','15','0','ds.fill.1','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('104','15','0','ds.fill.2','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('105','15','0','ds.missingdatafunc.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('106','15','0','ds.missingdatafunc.1','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('107','15','0','ds.missingdatafunc.2','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('108','15','0','ds.transparency.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('109','15','0','ds.transparency.1','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('110','15','0','ds.transparency.2','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('111','15','0','ds.type.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('112','15','0','ds.type.1','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('113','15','0','ds.type.2','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('114','15','0','ds.width.0','2','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('115','15','0','ds.width.1','2','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('116','15','0','ds.width.2','2','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('117','15','0','graph_item_problems','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('118','15','0','legend','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('119','15','0','righty','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('120','15','0','show_problems','1','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('121','15','1','ds.color.0','0','B0AF07',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('122','15','1','ds.color.1','0','E53935',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('123','15','1','ds.color.2','0','0275B8',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('124','15','1','ds.hosts.0.0','0','Zabbix server',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('125','15','1','ds.hosts.1.0','0','Zabbix server',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('126','15','1','ds.hosts.2.0','0','Zabbix server',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('127','15','1','ds.items.0.0','0','Zabbix queue',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('128','15','1','ds.items.1.0','0','Zabbix queue over 10 minutes',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('129','15','1','ds.items.2.0','0','Zabbix preprocessing queue',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('130','15','1','ds.timeshift.0','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('131','15','1','ds.timeshift.1','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('132','15','1','ds.timeshift.2','0','',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('133','15','1','lefty_min','0','0',NULL,NULL,NULL,NULL,NULL);
INSERT INTO widget_field (widget_fieldid,widgetid,type,name,value_int,value_str,value_groupid,value_hostid,value_itemid,value_graphid,value_sysmapid) values ('134','15','1','problemhosts.0','0','Zabbix server',NULL,NULL,NULL,NULL,NULL);
COMMIT;
